/*! For license information please see index.js.LICENSE.txt */
(()=>{var t={822:t=>{t.exports={age:{description:"The amount of time, in seconds, since the TrustedForm certificate was created. Serves as an approximation of lead age.",use:"Only accept leads that meet their minimum requirement for lead age."},browser:{description:"The browser name and version",use:"Use browser type information to infer attributes about a consumer, and accept or reject a lead accordingly."},created_at:{description:"Timestamp of the creation of the TrustedForm certificate, in ISO 8601 format.",use:"Only accept leads that are less than x hours old, to maximize the likelihood of conversion."},device:{description:"Mobile device type, if applicable.",use:"Infer attributes about a consumer, and accept or reject a lead accordingly."},event_duration:{description:"The amount of time, in seconds, that the consumer spent on the page filling out the form.",use:"Longer time on page might indicate a more thoughtful conversion event. Some buyers may choose to reject leads where a minimum duration was not met."},expires_at:{description:"Timestamp indicating when the claim period for the TrustedForm certificate expires.",use:"Reject leads where the TrustedForm certificate has expired and can no longer be claimed for protection against TCPA complaints."},framed:{description:"Whether or not the page_url was in an iframe.",use:""},city:{description:"The city that the consumer was located in when they filled out the form, based on IP address. ",use:"Accept leads within a specific geographic area."},country_code:{description:"The country that the consumer was located in when they filled out the form, based on IP address.",use:"Accept leads within a specific geographic area."},lat:{description:"The location (latitude) of the consumer when they filled out the form, based on IP address.",use:"Accept leads within a specific geographic area."},lon:{description:"The location (longitude) of the consumer when they filled out the form, based on IP address.",use:"Accept leads within a specific geographic area."},postal_code:{description:"The postal code that the consumer was located in when they filled out the form, based on IP address.",use:"Accept leads within a specific geographic area."},state:{description:"The state that the consumer was in when they filled out the form, based on IP address.",use:"Accept leads within a specific geographic area."},time_zone:{description:"The time zone that the consumer was in when they filled out the form, based on IP address.",use:"Accept leads within a specific geographic area."},ip:{description:"The IP address of the consumer.",use:""},wpm:{description:"The consumer’s typing speed on the form, in words per minute.",use:"Use typing speed information to infer attributes about a consumer. A buyer might reject leads that don’t fall within a desired range."},kpm:{description:"The consumer’s typing speed on the form, in keystrokes per minute.",use:"A kpm that is greater than wpm indicates the use of the delete key and/or spacebar. This might suggest a lower likelihood of bot activity and a lower probability that a lead is fraudulent."},page_url:{description:"The URL of the page on which the consumer filled out the form.",use:"Track leads back to their original source regardless of where they were purchased."},operating_system:{description:"The operating system for the device from which the consumer filled out the form.",use:"Infer attributes about a consumer, and accept or reject a lead accordingly."},parent_page_url:{description:"The URL of the page on which the consumer filled out the form. The value will be “null” unless framed=true (see above).",use:""},cert_id:{description:"The TrustedForm certificate ID.",use:""},user_agent:{description:"The browser and operating system for the device on which the consumer filled out the form.",use:"Infer attributes about a consumer, and accept or reject a lead accordingly."},fingerprints_matching:{description:"Matching fingerprints that were found on the TrustedForm certificate.",use:"Accept a lead where there is a fingerprint match."},fingerprints_non_matching:{description:"Non-matching fingerprints that were found on the TrustedForm certificate.",use:"Reject a lead where there is not a fingerprint match."},is_masked:{description:"Whether or not the TrustedForm certificate is masked.",use:"Route leads with masked certificates to a different system."},scans_found:{description:"Language that was found through the use of page scanning.",use:"Accept leads where desired language was found on the page through the use of page scanning."},scans_not_found:{description:"Language that was not found through the use of page scanning.",use:"Reject leads where page scanning indicates that desired language was not found on the page."},warnings:{description:"Any warnings present about the content of the form, specific to page scanning and fingerprinting.",use:"Reject leads where warnings are present."}}},711:t=>{t.exports={age:{name:"Age",description:"The amount of time, in seconds, since the TrustedForm certificate was created. Serves as an approximation of lead age.",enabled:!1},browser:{name:"Browser",description:"The name and version of the browser used during the lead event.",enabled:!1},created_timestamp:{name:"Created Timestamp",description:"Timestamp of the creation of the TrustedForm certificate, in ISO 8601 format.",enabled:!1},domain:{name:"Domain",description:"The name of the website the lead event took place on.",enabled:!1},expiration_timestamp:{name:"Expiration Timestamp",description:"A timestamp indicating when this certificate will no longer be available for API requests.",enabled:!1},framed:{name:"Framed",description:'Whether or not the lead event took place inside of an iframe. <a href="https://www.techtarget.com/whatis/definition/IFrame-Inline-Frame" target="_blank">Learn More.</a>',enabled:!1},form_input_method:{name:"Form Input Method",description:"A list of ways the consumer input their data onto the form including one or more of the following: typing, paste, autofill.",enabled:!1},form_input_kpm:{name:"Form Input KPM",description:"The consumer’s typing speed on the form, in keystrokes per minute.",enabled:!1},form_input_wpm:{name:"Form Input WPM",description:"The consumer’s approximate typing speed on the form, in words per minute. This is calculated by using the Form Input KPM and assuming five characters represent a word.",enabled:!1},ip_address:{name:"IP Address",description:"The public IP address of the consumer during the lead event.",enabled:!1},location:{name:"Location",description:"The city, state, postal code, country, timezone, latitude and longitude of the consumer's location during the lead event based on IP address.",enabled:!1},masked:{name:"Masked",description:"Whether or not the TrustedForm certificate is masked.",enabled:!1},sensitive_content:{name:"Sensitive Content",description:"Count of how many content elements (e.g. input, textarea) are marked sensitive and hidden from the session replay.",enabled:!1},sensitive_form_fields:{name:"Sensitive Form Fields",description:"Count of how many form fields (e.g. input, textarea) are marked sensitive and hidden from the session replay.",enabled:!1},operating_system:{name:"Operating System",description:"The name and version of the operating system for the device used during the lead event.",enabled:!1},page_scan:{name:"Page Scan",description:'Results indicating whether specified text was found on the web page that created the certificate. <a href="https://community.activeprospect.com/posts/4078890-trustedform-page-scan" target="_blank">Learn more.</a>',enabled:!1},page_url:{name:"Page URL",description:"The URL of the page where the lead event took place.",enabled:!1},parent_page_url:{name:"Parent Page URL",description:'The URL displayed in the consumer\'s browser if the Page URL was displayed in an iframe. <a href="https://www.techtarget.com/whatis/definition/IFrame-Inline-Frame" target="_blank">Learn more.</a>',enabled:!1},time_on_page:{name:"Time On Page",description:"The amount of time, in seconds, that the consumer spent on the page during the lead event.",enabled:!1}}},492:(t,e,n)=>{"use strict";n.r(e),n.d(e,{default:()=>a});var r=n(219),i=n.n(r),o=n(388),s=n.n(o)()(i());s.push([t.id,"\nul[data-v-5c50d850] {\n  padding-top: 1em;\n}\n",""]);const a=s},234:(t,e,n)=>{"use strict";n.r(e),n.d(e,{default:()=>a});var r=n(219),i=n.n(r),o=n(388),s=n.n(o)()(i());s.push([t.id,'\ntable[data-v-99414334] {\n  position: relative;\n}\nth[data-v-99414334] {\n  position: sticky;\n  top: 0;\n  background-color: #f4f6f8;\n  border-bottom: 1px solid #dfe4e8;\n}\n\n/*\nWe are using "fancy-checkbox" in an atypical way;\nTypically, the <label> and <input> components are siblings, and there is only 1 label for the checkbox.\nHowever, since our fancy-checkbox is supposed to be placed in a separate <td> and have additional padding,\nWe have to add some additional styling and a second <label> element.\n*/\n.checkbox-label[data-v-99414334] {\n  /* !important is needed because of this style https://github.com/activeprospect/leadconduit-client/blob/618797873a9fc485bf2d51873043700aae9d496e/public/css/core/forms.styl#L495 */\n  padding: 1.2em !important;\n}\n.text-label[data-v-99414334] {\n  /* !important is needed because of this style https://github.com/activeprospect/leadconduit-client/blob/618797873a9fc485bf2d51873043700aae9d496e/public/css/core/forms.styl#L429 */\n  margin: 0 !important;\n}\n',""]);const a=s},242:(t,e,n)=>{"use strict";n.r(e),n.d(e,{default:()=>a});var r=n(219),i=n.n(r),o=n(388),s=n.n(o)()(i());s.push([t.id,'\n/* All the selectors here use `:deep()` because otherwise the styles can\'t be scoped, since the classes are added by a library. */\n\n/** override this style https://github.com/activeprospect/leadconduit-client/blob/a005d3ac5627aa39d12c64756561ef400b512bf3/public/css/core/forms.styl#L252-L254 */\n[data-v-67a095b2] input[type="text"] {\n  min-width: 0 !important;\n}\n[data-v-67a095b2] .formkit-outer {\n  width: 100%;\n}\n',""]);const a=s},388:t=>{"use strict";t.exports=function(t){var e=[];return e.toString=function(){return this.map((function(e){var n="",r=void 0!==e[5];return e[4]&&(n+="@supports (".concat(e[4],") {")),e[2]&&(n+="@media ".concat(e[2]," {")),r&&(n+="@layer".concat(e[5].length>0?" ".concat(e[5]):""," {")),n+=t(e),r&&(n+="}"),e[2]&&(n+="}"),e[4]&&(n+="}"),n})).join("")},e.i=function(t,n,r,i,o){"string"==typeof t&&(t=[[null,t,void 0]]);var s={};if(r)for(var a=0;a<this.length;a++){var l=this[a][0];null!=l&&(s[l]=!0)}for(var c=0;c<t.length;c++){var u=[].concat(t[c]);r&&s[u[0]]||(void 0!==o&&(void 0===u[5]||(u[1]="@layer".concat(u[5].length>0?" ".concat(u[5]):""," {").concat(u[1],"}")),u[5]=o),n&&(u[2]?(u[1]="@media ".concat(u[2]," {").concat(u[1],"}"),u[2]=n):u[2]=n),i&&(u[4]?(u[1]="@supports (".concat(u[4],") {").concat(u[1],"}"),u[4]=i):u[4]="".concat(i)),e.push(u))}},e}},219:t=>{"use strict";t.exports=function(t){return t[1]}},743:function(t,e,n){var r,i;void 0===(i="function"==typeof(r=function(){var t=!1,e=function(t){if("loading"!==document.readyState)t();else if(document.addEventListener)document.addEventListener("DOMContentLoaded",t,!1);else var e=setInterval((function(){"loading"!==document.readyState&&(clearInterval(e),t())}),10)};function n(t,e){window.parent.postMessage({type:"integration-message",data:{event:t,data:e}},window.location.href.replace(window.location.pathname,""))}function r(t){return function(e){n(t,e)}}return{init:function(r,i){document.domain=document.domain,t||(t=!0,"function"!=typeof r||i||(i=r,r=void 0),e((function(){!function(t){var e=0,n=0,r=1,i=window.parent.document.styleSheets,o=document.createElement("style");o.appendChild(document.createTextNode("")),document.head.appendChild(o);for(var s=0;s<i.length;s++)c(i[s]);function a(){++n>=r&&t()}function l(t){return t.hasOwnProperty("cssRules")?t.cssRules:t.hasOwnProperty("rules")?t.rules:[]}function c(t){var e,n;if(rules=l(t),rules&&rules.length)for(var i=0;i<rules.length;i++)(e=rules[i]).type===CSSRule.IMPORT_RULE?c(e.styleSheet):u(e.cssText);else t.href&&(r++,t.ownerNode?((n=t.ownerNode.cloneNode()).onload=a,document.head.appendChild(n)):((n=document.createElement("link")).rel="stylesheet",n.onload=a,n.href=link.href,document.head.appendChild(n)))}function u(t){o.sheet.insertRule&&o.sheet.insertRule(t,e++)}a()}((function(){n("ready")}))})),"function"==typeof i&&window.addEventListener("message",(function(t){if("object"!=typeof t||"object"!=typeof t.data||!t.data.type)return!1;"init"==t.data.type&&e((function(){i(t.data.data)}))})),(r=r||{}).url=window.location.href,n("init",r))},send:n,create:r("create"),close:r("close"),cancel:r("cancel"),getBasePath:function(t){var e=location.pathname,n="/"==e.charAt(e.length-1)?"":"/";return e+n+t}}})?r.call(e,n,e,t):r)||(t.exports=i)},273:function(t,e,n){var r;t=n.nmd(t),function(){var i,o="Expected a function",s="__lodash_hash_undefined__",a="__lodash_placeholder__",l=32,c=128,u=1/0,h=9007199254740991,p=NaN,d=4294967295,f=[["ary",c],["bind",1],["bindKey",2],["curry",8],["curryRight",16],["flip",512],["partial",l],["partialRight",64],["rearg",256]],g="[object Arguments]",m="[object Array]",v="[object Boolean]",y="[object Date]",b="[object Error]",_="[object Function]",x="[object GeneratorFunction]",w="[object Map]",S="[object Number]",k="[object Object]",C="[object Promise]",A="[object RegExp]",O="[object Set]",T="[object String]",E="[object Symbol]",P="[object WeakMap]",M="[object ArrayBuffer]",L="[object DataView]",j="[object Float32Array]",D="[object Float64Array]",$="[object Int8Array]",I="[object Int16Array]",R="[object Int32Array]",N="[object Uint8Array]",B="[object Uint8ClampedArray]",F="[object Uint16Array]",z="[object Uint32Array]",V=/\b__p \+= '';/g,q=/\b(__p \+=) '' \+/g,W=/(__e\(.*?\)|\b__t\)) \+\n'';/g,H=/&(?:amp|lt|gt|quot|#39);/g,U=/[&<>"']/g,G=RegExp(H.source),X=RegExp(U.source),Y=/<%-([\s\S]+?)%>/g,K=/<%([\s\S]+?)%>/g,Z=/<%=([\s\S]+?)%>/g,J=/\.|\[(?:[^[\]]*|(["'])(?:(?!\1)[^\\]|\\.)*?\1)\]/,Q=/^\w*$/,tt=/[^.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|$))/g,et=/[\\^$.*+?()[\]{}|]/g,nt=RegExp(et.source),rt=/^\s+/,it=/\s/,ot=/\{(?:\n\/\* \[wrapped with .+\] \*\/)?\n?/,st=/\{\n\/\* \[wrapped with (.+)\] \*/,at=/,? & /,lt=/[^\x00-\x2f\x3a-\x40\x5b-\x60\x7b-\x7f]+/g,ct=/[()=,{}\[\]\/\s]/,ut=/\\(\\)?/g,ht=/\$\{([^\\}]*(?:\\.[^\\}]*)*)\}/g,pt=/\w*$/,dt=/^[-+]0x[0-9a-f]+$/i,ft=/^0b[01]+$/i,gt=/^\[object .+?Constructor\]$/,mt=/^0o[0-7]+$/i,vt=/^(?:0|[1-9]\d*)$/,yt=/[\xc0-\xd6\xd8-\xf6\xf8-\xff\u0100-\u017f]/g,bt=/($^)/,_t=/['\n\r\u2028\u2029\\]/g,xt="\\ud800-\\udfff",wt="\\u0300-\\u036f\\ufe20-\\ufe2f\\u20d0-\\u20ff",St="\\u2700-\\u27bf",kt="a-z\\xdf-\\xf6\\xf8-\\xff",Ct="A-Z\\xc0-\\xd6\\xd8-\\xde",At="\\ufe0e\\ufe0f",Ot="\\xac\\xb1\\xd7\\xf7\\x00-\\x2f\\x3a-\\x40\\x5b-\\x60\\x7b-\\xbf\\u2000-\\u206f \\t\\x0b\\f\\xa0\\ufeff\\n\\r\\u2028\\u2029\\u1680\\u180e\\u2000\\u2001\\u2002\\u2003\\u2004\\u2005\\u2006\\u2007\\u2008\\u2009\\u200a\\u202f\\u205f\\u3000",Tt="["+xt+"]",Et="["+Ot+"]",Pt="["+wt+"]",Mt="\\d+",Lt="["+St+"]",jt="["+kt+"]",Dt="[^"+xt+Ot+Mt+St+kt+Ct+"]",$t="\\ud83c[\\udffb-\\udfff]",It="[^"+xt+"]",Rt="(?:\\ud83c[\\udde6-\\uddff]){2}",Nt="[\\ud800-\\udbff][\\udc00-\\udfff]",Bt="["+Ct+"]",Ft="\\u200d",zt="(?:"+jt+"|"+Dt+")",Vt="(?:"+Bt+"|"+Dt+")",qt="(?:['’](?:d|ll|m|re|s|t|ve))?",Wt="(?:['’](?:D|LL|M|RE|S|T|VE))?",Ht="(?:"+Pt+"|"+$t+")?",Ut="["+At+"]?",Gt=Ut+Ht+"(?:"+Ft+"(?:"+[It,Rt,Nt].join("|")+")"+Ut+Ht+")*",Xt="(?:"+[Lt,Rt,Nt].join("|")+")"+Gt,Yt="(?:"+[It+Pt+"?",Pt,Rt,Nt,Tt].join("|")+")",Kt=RegExp("['’]","g"),Zt=RegExp(Pt,"g"),Jt=RegExp($t+"(?="+$t+")|"+Yt+Gt,"g"),Qt=RegExp([Bt+"?"+jt+"+"+qt+"(?="+[Et,Bt,"$"].join("|")+")",Vt+"+"+Wt+"(?="+[Et,Bt+zt,"$"].join("|")+")",Bt+"?"+zt+"+"+qt,Bt+"+"+Wt,"\\d*(?:1ST|2ND|3RD|(?![123])\\dTH)(?=\\b|[a-z_])","\\d*(?:1st|2nd|3rd|(?![123])\\dth)(?=\\b|[A-Z_])",Mt,Xt].join("|"),"g"),te=RegExp("["+Ft+xt+wt+At+"]"),ee=/[a-z][A-Z]|[A-Z]{2}[a-z]|[0-9][a-zA-Z]|[a-zA-Z][0-9]|[^a-zA-Z0-9 ]/,ne=["Array","Buffer","DataView","Date","Error","Float32Array","Float64Array","Function","Int8Array","Int16Array","Int32Array","Map","Math","Object","Promise","RegExp","Set","String","Symbol","TypeError","Uint8Array","Uint8ClampedArray","Uint16Array","Uint32Array","WeakMap","_","clearTimeout","isFinite","parseInt","setTimeout"],re=-1,ie={};ie[j]=ie[D]=ie[$]=ie[I]=ie[R]=ie[N]=ie[B]=ie[F]=ie[z]=!0,ie[g]=ie[m]=ie[M]=ie[v]=ie[L]=ie[y]=ie[b]=ie[_]=ie[w]=ie[S]=ie[k]=ie[A]=ie[O]=ie[T]=ie[P]=!1;var oe={};oe[g]=oe[m]=oe[M]=oe[L]=oe[v]=oe[y]=oe[j]=oe[D]=oe[$]=oe[I]=oe[R]=oe[w]=oe[S]=oe[k]=oe[A]=oe[O]=oe[T]=oe[E]=oe[N]=oe[B]=oe[F]=oe[z]=!0,oe[b]=oe[_]=oe[P]=!1;var se={"\\":"\\","'":"'","\n":"n","\r":"r","\u2028":"u2028","\u2029":"u2029"},ae=parseFloat,le=parseInt,ce="object"==typeof n.g&&n.g&&n.g.Object===Object&&n.g,ue="object"==typeof self&&self&&self.Object===Object&&self,he=ce||ue||Function("return this")(),pe=e&&!e.nodeType&&e,de=pe&&t&&!t.nodeType&&t,fe=de&&de.exports===pe,ge=fe&&ce.process,me=function(){try{return de&&de.require&&de.require("util").types||ge&&ge.binding&&ge.binding("util")}catch(t){}}(),ve=me&&me.isArrayBuffer,ye=me&&me.isDate,be=me&&me.isMap,_e=me&&me.isRegExp,xe=me&&me.isSet,we=me&&me.isTypedArray;function Se(t,e,n){switch(n.length){case 0:return t.call(e);case 1:return t.call(e,n[0]);case 2:return t.call(e,n[0],n[1]);case 3:return t.call(e,n[0],n[1],n[2])}return t.apply(e,n)}function ke(t,e,n,r){for(var i=-1,o=null==t?0:t.length;++i<o;){var s=t[i];e(r,s,n(s),t)}return r}function Ce(t,e){for(var n=-1,r=null==t?0:t.length;++n<r&&!1!==e(t[n],n,t););return t}function Ae(t,e){for(var n=null==t?0:t.length;n--&&!1!==e(t[n],n,t););return t}function Oe(t,e){for(var n=-1,r=null==t?0:t.length;++n<r;)if(!e(t[n],n,t))return!1;return!0}function Te(t,e){for(var n=-1,r=null==t?0:t.length,i=0,o=[];++n<r;){var s=t[n];e(s,n,t)&&(o[i++]=s)}return o}function Ee(t,e){return!(null==t||!t.length)&&Be(t,e,0)>-1}function Pe(t,e,n){for(var r=-1,i=null==t?0:t.length;++r<i;)if(n(e,t[r]))return!0;return!1}function Me(t,e){for(var n=-1,r=null==t?0:t.length,i=Array(r);++n<r;)i[n]=e(t[n],n,t);return i}function Le(t,e){for(var n=-1,r=e.length,i=t.length;++n<r;)t[i+n]=e[n];return t}function je(t,e,n,r){var i=-1,o=null==t?0:t.length;for(r&&o&&(n=t[++i]);++i<o;)n=e(n,t[i],i,t);return n}function De(t,e,n,r){var i=null==t?0:t.length;for(r&&i&&(n=t[--i]);i--;)n=e(n,t[i],i,t);return n}function $e(t,e){for(var n=-1,r=null==t?0:t.length;++n<r;)if(e(t[n],n,t))return!0;return!1}var Ie=qe("length");function Re(t,e,n){var r;return n(t,(function(t,n,i){if(e(t,n,i))return r=n,!1})),r}function Ne(t,e,n,r){for(var i=t.length,o=n+(r?1:-1);r?o--:++o<i;)if(e(t[o],o,t))return o;return-1}function Be(t,e,n){return e==e?function(t,e,n){for(var r=n-1,i=t.length;++r<i;)if(t[r]===e)return r;return-1}(t,e,n):Ne(t,ze,n)}function Fe(t,e,n,r){for(var i=n-1,o=t.length;++i<o;)if(r(t[i],e))return i;return-1}function ze(t){return t!=t}function Ve(t,e){var n=null==t?0:t.length;return n?Ue(t,e)/n:p}function qe(t){return function(e){return null==e?i:e[t]}}function We(t){return function(e){return null==t?i:t[e]}}function He(t,e,n,r,i){return i(t,(function(t,i,o){n=r?(r=!1,t):e(n,t,i,o)})),n}function Ue(t,e){for(var n,r=-1,o=t.length;++r<o;){var s=e(t[r]);s!==i&&(n=n===i?s:n+s)}return n}function Ge(t,e){for(var n=-1,r=Array(t);++n<t;)r[n]=e(n);return r}function Xe(t){return t?t.slice(0,pn(t)+1).replace(rt,""):t}function Ye(t){return function(e){return t(e)}}function Ke(t,e){return Me(e,(function(e){return t[e]}))}function Ze(t,e){return t.has(e)}function Je(t,e){for(var n=-1,r=t.length;++n<r&&Be(e,t[n],0)>-1;);return n}function Qe(t,e){for(var n=t.length;n--&&Be(e,t[n],0)>-1;);return n}var tn=We({À:"A",Á:"A",Â:"A",Ã:"A",Ä:"A",Å:"A",à:"a",á:"a",â:"a",ã:"a",ä:"a",å:"a",Ç:"C",ç:"c",Ð:"D",ð:"d",È:"E",É:"E",Ê:"E",Ë:"E",è:"e",é:"e",ê:"e",ë:"e",Ì:"I",Í:"I",Î:"I",Ï:"I",ì:"i",í:"i",î:"i",ï:"i",Ñ:"N",ñ:"n",Ò:"O",Ó:"O",Ô:"O",Õ:"O",Ö:"O",Ø:"O",ò:"o",ó:"o",ô:"o",õ:"o",ö:"o",ø:"o",Ù:"U",Ú:"U",Û:"U",Ü:"U",ù:"u",ú:"u",û:"u",ü:"u",Ý:"Y",ý:"y",ÿ:"y",Æ:"Ae",æ:"ae",Þ:"Th",þ:"th",ß:"ss",Ā:"A",Ă:"A",Ą:"A",ā:"a",ă:"a",ą:"a",Ć:"C",Ĉ:"C",Ċ:"C",Č:"C",ć:"c",ĉ:"c",ċ:"c",č:"c",Ď:"D",Đ:"D",ď:"d",đ:"d",Ē:"E",Ĕ:"E",Ė:"E",Ę:"E",Ě:"E",ē:"e",ĕ:"e",ė:"e",ę:"e",ě:"e",Ĝ:"G",Ğ:"G",Ġ:"G",Ģ:"G",ĝ:"g",ğ:"g",ġ:"g",ģ:"g",Ĥ:"H",Ħ:"H",ĥ:"h",ħ:"h",Ĩ:"I",Ī:"I",Ĭ:"I",Į:"I",İ:"I",ĩ:"i",ī:"i",ĭ:"i",į:"i",ı:"i",Ĵ:"J",ĵ:"j",Ķ:"K",ķ:"k",ĸ:"k",Ĺ:"L",Ļ:"L",Ľ:"L",Ŀ:"L",Ł:"L",ĺ:"l",ļ:"l",ľ:"l",ŀ:"l",ł:"l",Ń:"N",Ņ:"N",Ň:"N",Ŋ:"N",ń:"n",ņ:"n",ň:"n",ŋ:"n",Ō:"O",Ŏ:"O",Ő:"O",ō:"o",ŏ:"o",ő:"o",Ŕ:"R",Ŗ:"R",Ř:"R",ŕ:"r",ŗ:"r",ř:"r",Ś:"S",Ŝ:"S",Ş:"S",Š:"S",ś:"s",ŝ:"s",ş:"s",š:"s",Ţ:"T",Ť:"T",Ŧ:"T",ţ:"t",ť:"t",ŧ:"t",Ũ:"U",Ū:"U",Ŭ:"U",Ů:"U",Ű:"U",Ų:"U",ũ:"u",ū:"u",ŭ:"u",ů:"u",ű:"u",ų:"u",Ŵ:"W",ŵ:"w",Ŷ:"Y",ŷ:"y",Ÿ:"Y",Ź:"Z",Ż:"Z",Ž:"Z",ź:"z",ż:"z",ž:"z",Ĳ:"IJ",ĳ:"ij",Œ:"Oe",œ:"oe",ŉ:"'n",ſ:"s"}),en=We({"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"});function nn(t){return"\\"+se[t]}function rn(t){return te.test(t)}function on(t){var e=-1,n=Array(t.size);return t.forEach((function(t,r){n[++e]=[r,t]})),n}function sn(t,e){return function(n){return t(e(n))}}function an(t,e){for(var n=-1,r=t.length,i=0,o=[];++n<r;){var s=t[n];s!==e&&s!==a||(t[n]=a,o[i++]=n)}return o}function ln(t){var e=-1,n=Array(t.size);return t.forEach((function(t){n[++e]=t})),n}function cn(t){var e=-1,n=Array(t.size);return t.forEach((function(t){n[++e]=[t,t]})),n}function un(t){return rn(t)?function(t){for(var e=Jt.lastIndex=0;Jt.test(t);)++e;return e}(t):Ie(t)}function hn(t){return rn(t)?function(t){return t.match(Jt)||[]}(t):function(t){return t.split("")}(t)}function pn(t){for(var e=t.length;e--&&it.test(t.charAt(e)););return e}var dn=We({"&amp;":"&","&lt;":"<","&gt;":">","&quot;":'"',"&#39;":"'"}),fn=function t(e){var n,r=(e=null==e?he:fn.defaults(he.Object(),e,fn.pick(he,ne))).Array,it=e.Date,xt=e.Error,wt=e.Function,St=e.Math,kt=e.Object,Ct=e.RegExp,At=e.String,Ot=e.TypeError,Tt=r.prototype,Et=wt.prototype,Pt=kt.prototype,Mt=e["__core-js_shared__"],Lt=Et.toString,jt=Pt.hasOwnProperty,Dt=0,$t=(n=/[^.]+$/.exec(Mt&&Mt.keys&&Mt.keys.IE_PROTO||""))?"Symbol(src)_1."+n:"",It=Pt.toString,Rt=Lt.call(kt),Nt=he._,Bt=Ct("^"+Lt.call(jt).replace(et,"\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g,"$1.*?")+"$"),Ft=fe?e.Buffer:i,zt=e.Symbol,Vt=e.Uint8Array,qt=Ft?Ft.allocUnsafe:i,Wt=sn(kt.getPrototypeOf,kt),Ht=kt.create,Ut=Pt.propertyIsEnumerable,Gt=Tt.splice,Xt=zt?zt.isConcatSpreadable:i,Yt=zt?zt.iterator:i,Jt=zt?zt.toStringTag:i,te=function(){try{var t=lo(kt,"defineProperty");return t({},"",{}),t}catch(t){}}(),se=e.clearTimeout!==he.clearTimeout&&e.clearTimeout,ce=it&&it.now!==he.Date.now&&it.now,ue=e.setTimeout!==he.setTimeout&&e.setTimeout,pe=St.ceil,de=St.floor,ge=kt.getOwnPropertySymbols,me=Ft?Ft.isBuffer:i,Ie=e.isFinite,We=Tt.join,gn=sn(kt.keys,kt),mn=St.max,vn=St.min,yn=it.now,bn=e.parseInt,_n=St.random,xn=Tt.reverse,wn=lo(e,"DataView"),Sn=lo(e,"Map"),kn=lo(e,"Promise"),Cn=lo(e,"Set"),An=lo(e,"WeakMap"),On=lo(kt,"create"),Tn=An&&new An,En={},Pn=Ro(wn),Mn=Ro(Sn),Ln=Ro(kn),jn=Ro(Cn),Dn=Ro(An),$n=zt?zt.prototype:i,In=$n?$n.valueOf:i,Rn=$n?$n.toString:i;function Nn(t){if(ta(t)&&!qs(t)&&!(t instanceof Vn)){if(t instanceof zn)return t;if(jt.call(t,"__wrapped__"))return No(t)}return new zn(t)}var Bn=function(){function t(){}return function(e){if(!Qs(e))return{};if(Ht)return Ht(e);t.prototype=e;var n=new t;return t.prototype=i,n}}();function Fn(){}function zn(t,e){this.__wrapped__=t,this.__actions__=[],this.__chain__=!!e,this.__index__=0,this.__values__=i}function Vn(t){this.__wrapped__=t,this.__actions__=[],this.__dir__=1,this.__filtered__=!1,this.__iteratees__=[],this.__takeCount__=d,this.__views__=[]}function qn(t){var e=-1,n=null==t?0:t.length;for(this.clear();++e<n;){var r=t[e];this.set(r[0],r[1])}}function Wn(t){var e=-1,n=null==t?0:t.length;for(this.clear();++e<n;){var r=t[e];this.set(r[0],r[1])}}function Hn(t){var e=-1,n=null==t?0:t.length;for(this.clear();++e<n;){var r=t[e];this.set(r[0],r[1])}}function Un(t){var e=-1,n=null==t?0:t.length;for(this.__data__=new Hn;++e<n;)this.add(t[e])}function Gn(t){var e=this.__data__=new Wn(t);this.size=e.size}function Xn(t,e){var n=qs(t),r=!n&&Vs(t),i=!n&&!r&&Gs(t),o=!n&&!r&&!i&&la(t),s=n||r||i||o,a=s?Ge(t.length,At):[],l=a.length;for(var c in t)!e&&!jt.call(t,c)||s&&("length"==c||i&&("offset"==c||"parent"==c)||o&&("buffer"==c||"byteLength"==c||"byteOffset"==c)||mo(c,l))||a.push(c);return a}function Yn(t){var e=t.length;return e?t[Hr(0,e-1)]:i}function Kn(t,e){return Lo(Ai(t),or(e,0,t.length))}function Zn(t){return Lo(Ai(t))}function Jn(t,e,n){(n!==i&&!Bs(t[e],n)||n===i&&!(e in t))&&rr(t,e,n)}function Qn(t,e,n){var r=t[e];jt.call(t,e)&&Bs(r,n)&&(n!==i||e in t)||rr(t,e,n)}function tr(t,e){for(var n=t.length;n--;)if(Bs(t[n][0],e))return n;return-1}function er(t,e,n,r){return ur(t,(function(t,i,o){e(r,t,n(t),o)})),r}function nr(t,e){return t&&Oi(e,Pa(e),t)}function rr(t,e,n){"__proto__"==e&&te?te(t,e,{configurable:!0,enumerable:!0,value:n,writable:!0}):t[e]=n}function ir(t,e){for(var n=-1,o=e.length,s=r(o),a=null==t;++n<o;)s[n]=a?i:Ca(t,e[n]);return s}function or(t,e,n){return t==t&&(n!==i&&(t=t<=n?t:n),e!==i&&(t=t>=e?t:e)),t}function sr(t,e,n,r,o,s){var a,l=1&e,c=2&e,u=4&e;if(n&&(a=o?n(t,r,o,s):n(t)),a!==i)return a;if(!Qs(t))return t;var h=qs(t);if(h){if(a=function(t){var e=t.length,n=new t.constructor(e);return e&&"string"==typeof t[0]&&jt.call(t,"index")&&(n.index=t.index,n.input=t.input),n}(t),!l)return Ai(t,a)}else{var p=ho(t),d=p==_||p==x;if(Gs(t))return _i(t,l);if(p==k||p==g||d&&!o){if(a=c||d?{}:fo(t),!l)return c?function(t,e){return Oi(t,uo(t),e)}(t,function(t,e){return t&&Oi(e,Ma(e),t)}(a,t)):function(t,e){return Oi(t,co(t),e)}(t,nr(a,t))}else{if(!oe[p])return o?t:{};a=function(t,e,n){var r,i=t.constructor;switch(e){case M:return xi(t);case v:case y:return new i(+t);case L:return function(t,e){var n=e?xi(t.buffer):t.buffer;return new t.constructor(n,t.byteOffset,t.byteLength)}(t,n);case j:case D:case $:case I:case R:case N:case B:case F:case z:return wi(t,n);case w:return new i;case S:case T:return new i(t);case A:return function(t){var e=new t.constructor(t.source,pt.exec(t));return e.lastIndex=t.lastIndex,e}(t);case O:return new i;case E:return r=t,In?kt(In.call(r)):{}}}(t,p,l)}}s||(s=new Gn);var f=s.get(t);if(f)return f;s.set(t,a),oa(t)?t.forEach((function(r){a.add(sr(r,e,n,r,t,s))})):ea(t)&&t.forEach((function(r,i){a.set(i,sr(r,e,n,i,t,s))}));var m=h?i:(u?c?eo:to:c?Ma:Pa)(t);return Ce(m||t,(function(r,i){m&&(r=t[i=r]),Qn(a,i,sr(r,e,n,i,t,s))})),a}function ar(t,e,n){var r=n.length;if(null==t)return!r;for(t=kt(t);r--;){var o=n[r],s=e[o],a=t[o];if(a===i&&!(o in t)||!s(a))return!1}return!0}function lr(t,e,n){if("function"!=typeof t)throw new Ot(o);return To((function(){t.apply(i,n)}),e)}function cr(t,e,n,r){var i=-1,o=Ee,s=!0,a=t.length,l=[],c=e.length;if(!a)return l;n&&(e=Me(e,Ye(n))),r?(o=Pe,s=!1):e.length>=200&&(o=Ze,s=!1,e=new Un(e));t:for(;++i<a;){var u=t[i],h=null==n?u:n(u);if(u=r||0!==u?u:0,s&&h==h){for(var p=c;p--;)if(e[p]===h)continue t;l.push(u)}else o(e,h,r)||l.push(u)}return l}Nn.templateSettings={escape:Y,evaluate:K,interpolate:Z,variable:"",imports:{_:Nn}},Nn.prototype=Fn.prototype,Nn.prototype.constructor=Nn,zn.prototype=Bn(Fn.prototype),zn.prototype.constructor=zn,Vn.prototype=Bn(Fn.prototype),Vn.prototype.constructor=Vn,qn.prototype.clear=function(){this.__data__=On?On(null):{},this.size=0},qn.prototype.delete=function(t){var e=this.has(t)&&delete this.__data__[t];return this.size-=e?1:0,e},qn.prototype.get=function(t){var e=this.__data__;if(On){var n=e[t];return n===s?i:n}return jt.call(e,t)?e[t]:i},qn.prototype.has=function(t){var e=this.__data__;return On?e[t]!==i:jt.call(e,t)},qn.prototype.set=function(t,e){var n=this.__data__;return this.size+=this.has(t)?0:1,n[t]=On&&e===i?s:e,this},Wn.prototype.clear=function(){this.__data__=[],this.size=0},Wn.prototype.delete=function(t){var e=this.__data__,n=tr(e,t);return!(n<0||(n==e.length-1?e.pop():Gt.call(e,n,1),--this.size,0))},Wn.prototype.get=function(t){var e=this.__data__,n=tr(e,t);return n<0?i:e[n][1]},Wn.prototype.has=function(t){return tr(this.__data__,t)>-1},Wn.prototype.set=function(t,e){var n=this.__data__,r=tr(n,t);return r<0?(++this.size,n.push([t,e])):n[r][1]=e,this},Hn.prototype.clear=function(){this.size=0,this.__data__={hash:new qn,map:new(Sn||Wn),string:new qn}},Hn.prototype.delete=function(t){var e=so(this,t).delete(t);return this.size-=e?1:0,e},Hn.prototype.get=function(t){return so(this,t).get(t)},Hn.prototype.has=function(t){return so(this,t).has(t)},Hn.prototype.set=function(t,e){var n=so(this,t),r=n.size;return n.set(t,e),this.size+=n.size==r?0:1,this},Un.prototype.add=Un.prototype.push=function(t){return this.__data__.set(t,s),this},Un.prototype.has=function(t){return this.__data__.has(t)},Gn.prototype.clear=function(){this.__data__=new Wn,this.size=0},Gn.prototype.delete=function(t){var e=this.__data__,n=e.delete(t);return this.size=e.size,n},Gn.prototype.get=function(t){return this.__data__.get(t)},Gn.prototype.has=function(t){return this.__data__.has(t)},Gn.prototype.set=function(t,e){var n=this.__data__;if(n instanceof Wn){var r=n.__data__;if(!Sn||r.length<199)return r.push([t,e]),this.size=++n.size,this;n=this.__data__=new Hn(r)}return n.set(t,e),this.size=n.size,this};var ur=Pi(yr),hr=Pi(br,!0);function pr(t,e){var n=!0;return ur(t,(function(t,r,i){return n=!!e(t,r,i)})),n}function dr(t,e,n){for(var r=-1,o=t.length;++r<o;){var s=t[r],a=e(s);if(null!=a&&(l===i?a==a&&!aa(a):n(a,l)))var l=a,c=s}return c}function fr(t,e){var n=[];return ur(t,(function(t,r,i){e(t,r,i)&&n.push(t)})),n}function gr(t,e,n,r,i){var o=-1,s=t.length;for(n||(n=go),i||(i=[]);++o<s;){var a=t[o];e>0&&n(a)?e>1?gr(a,e-1,n,r,i):Le(i,a):r||(i[i.length]=a)}return i}var mr=Mi(),vr=Mi(!0);function yr(t,e){return t&&mr(t,e,Pa)}function br(t,e){return t&&vr(t,e,Pa)}function _r(t,e){return Te(e,(function(e){return Ks(t[e])}))}function xr(t,e){for(var n=0,r=(e=mi(e,t)).length;null!=t&&n<r;)t=t[Io(e[n++])];return n&&n==r?t:i}function wr(t,e,n){var r=e(t);return qs(t)?r:Le(r,n(t))}function Sr(t){return null==t?t===i?"[object Undefined]":"[object Null]":Jt&&Jt in kt(t)?function(t){var e=jt.call(t,Jt),n=t[Jt];try{t[Jt]=i;var r=!0}catch(t){}var o=It.call(t);return r&&(e?t[Jt]=n:delete t[Jt]),o}(t):function(t){return It.call(t)}(t)}function kr(t,e){return t>e}function Cr(t,e){return null!=t&&jt.call(t,e)}function Ar(t,e){return null!=t&&e in kt(t)}function Or(t,e,n){for(var o=n?Pe:Ee,s=t[0].length,a=t.length,l=a,c=r(a),u=1/0,h=[];l--;){var p=t[l];l&&e&&(p=Me(p,Ye(e))),u=vn(p.length,u),c[l]=!n&&(e||s>=120&&p.length>=120)?new Un(l&&p):i}p=t[0];var d=-1,f=c[0];t:for(;++d<s&&h.length<u;){var g=p[d],m=e?e(g):g;if(g=n||0!==g?g:0,!(f?Ze(f,m):o(h,m,n))){for(l=a;--l;){var v=c[l];if(!(v?Ze(v,m):o(t[l],m,n)))continue t}f&&f.push(m),h.push(g)}}return h}function Tr(t,e,n){var r=null==(t=Co(t,e=mi(e,t)))?t:t[Io(Yo(e))];return null==r?i:Se(r,t,n)}function Er(t){return ta(t)&&Sr(t)==g}function Pr(t,e,n,r,o){return t===e||(null==t||null==e||!ta(t)&&!ta(e)?t!=t&&e!=e:function(t,e,n,r,o,s){var a=qs(t),l=qs(e),c=a?m:ho(t),u=l?m:ho(e),h=(c=c==g?k:c)==k,p=(u=u==g?k:u)==k,d=c==u;if(d&&Gs(t)){if(!Gs(e))return!1;a=!0,h=!1}if(d&&!h)return s||(s=new Gn),a||la(t)?Ji(t,e,n,r,o,s):function(t,e,n,r,i,o,s){switch(n){case L:if(t.byteLength!=e.byteLength||t.byteOffset!=e.byteOffset)return!1;t=t.buffer,e=e.buffer;case M:return!(t.byteLength!=e.byteLength||!o(new Vt(t),new Vt(e)));case v:case y:case S:return Bs(+t,+e);case b:return t.name==e.name&&t.message==e.message;case A:case T:return t==e+"";case w:var a=on;case O:var l=1&r;if(a||(a=ln),t.size!=e.size&&!l)return!1;var c=s.get(t);if(c)return c==e;r|=2,s.set(t,e);var u=Ji(a(t),a(e),r,i,o,s);return s.delete(t),u;case E:if(In)return In.call(t)==In.call(e)}return!1}(t,e,c,n,r,o,s);if(!(1&n)){var f=h&&jt.call(t,"__wrapped__"),_=p&&jt.call(e,"__wrapped__");if(f||_){var x=f?t.value():t,C=_?e.value():e;return s||(s=new Gn),o(x,C,n,r,s)}}return!!d&&(s||(s=new Gn),function(t,e,n,r,o,s){var a=1&n,l=to(t),c=l.length;if(c!=to(e).length&&!a)return!1;for(var u=c;u--;){var h=l[u];if(!(a?h in e:jt.call(e,h)))return!1}var p=s.get(t),d=s.get(e);if(p&&d)return p==e&&d==t;var f=!0;s.set(t,e),s.set(e,t);for(var g=a;++u<c;){var m=t[h=l[u]],v=e[h];if(r)var y=a?r(v,m,h,e,t,s):r(m,v,h,t,e,s);if(!(y===i?m===v||o(m,v,n,r,s):y)){f=!1;break}g||(g="constructor"==h)}if(f&&!g){var b=t.constructor,_=e.constructor;b==_||!("constructor"in t)||!("constructor"in e)||"function"==typeof b&&b instanceof b&&"function"==typeof _&&_ instanceof _||(f=!1)}return s.delete(t),s.delete(e),f}(t,e,n,r,o,s))}(t,e,n,r,Pr,o))}function Mr(t,e,n,r){var o=n.length,s=o,a=!r;if(null==t)return!s;for(t=kt(t);o--;){var l=n[o];if(a&&l[2]?l[1]!==t[l[0]]:!(l[0]in t))return!1}for(;++o<s;){var c=(l=n[o])[0],u=t[c],h=l[1];if(a&&l[2]){if(u===i&&!(c in t))return!1}else{var p=new Gn;if(r)var d=r(u,h,c,t,e,p);if(!(d===i?Pr(h,u,3,r,p):d))return!1}}return!0}function Lr(t){return!(!Qs(t)||(e=t,$t&&$t in e))&&(Ks(t)?Bt:gt).test(Ro(t));var e}function jr(t){return"function"==typeof t?t:null==t?nl:"object"==typeof t?qs(t)?Nr(t[0],t[1]):Rr(t):hl(t)}function Dr(t){if(!xo(t))return gn(t);var e=[];for(var n in kt(t))jt.call(t,n)&&"constructor"!=n&&e.push(n);return e}function $r(t,e){return t<e}function Ir(t,e){var n=-1,i=Hs(t)?r(t.length):[];return ur(t,(function(t,r,o){i[++n]=e(t,r,o)})),i}function Rr(t){var e=ao(t);return 1==e.length&&e[0][2]?So(e[0][0],e[0][1]):function(n){return n===t||Mr(n,t,e)}}function Nr(t,e){return yo(t)&&wo(e)?So(Io(t),e):function(n){var r=Ca(n,t);return r===i&&r===e?Aa(n,t):Pr(e,r,3)}}function Br(t,e,n,r,o){t!==e&&mr(e,(function(s,a){if(o||(o=new Gn),Qs(s))!function(t,e,n,r,o,s,a){var l=Ao(t,n),c=Ao(e,n),u=a.get(c);if(u)Jn(t,n,u);else{var h=s?s(l,c,n+"",t,e,a):i,p=h===i;if(p){var d=qs(c),f=!d&&Gs(c),g=!d&&!f&&la(c);h=c,d||f||g?qs(l)?h=l:Us(l)?h=Ai(l):f?(p=!1,h=_i(c,!0)):g?(p=!1,h=wi(c,!0)):h=[]:ra(c)||Vs(c)?(h=l,Vs(l)?h=ma(l):Qs(l)&&!Ks(l)||(h=fo(c))):p=!1}p&&(a.set(c,h),o(h,c,r,s,a),a.delete(c)),Jn(t,n,h)}}(t,e,a,n,Br,r,o);else{var l=r?r(Ao(t,a),s,a+"",t,e,o):i;l===i&&(l=s),Jn(t,a,l)}}),Ma)}function Fr(t,e){var n=t.length;if(n)return mo(e+=e<0?n:0,n)?t[e]:i}function zr(t,e,n){e=e.length?Me(e,(function(t){return qs(t)?function(e){return xr(e,1===t.length?t[0]:t)}:t})):[nl];var r=-1;e=Me(e,Ye(oo()));var i=Ir(t,(function(t,n,i){var o=Me(e,(function(e){return e(t)}));return{criteria:o,index:++r,value:t}}));return function(t,e){var r=t.length;for(t.sort((function(t,e){return function(t,e,n){for(var r=-1,i=t.criteria,o=e.criteria,s=i.length,a=n.length;++r<s;){var l=Si(i[r],o[r]);if(l)return r>=a?l:l*("desc"==n[r]?-1:1)}return t.index-e.index}(t,e,n)}));r--;)t[r]=t[r].value;return t}(i)}function Vr(t,e,n){for(var r=-1,i=e.length,o={};++r<i;){var s=e[r],a=xr(t,s);n(a,s)&&Kr(o,mi(s,t),a)}return o}function qr(t,e,n,r){var i=r?Fe:Be,o=-1,s=e.length,a=t;for(t===e&&(e=Ai(e)),n&&(a=Me(t,Ye(n)));++o<s;)for(var l=0,c=e[o],u=n?n(c):c;(l=i(a,u,l,r))>-1;)a!==t&&Gt.call(a,l,1),Gt.call(t,l,1);return t}function Wr(t,e){for(var n=t?e.length:0,r=n-1;n--;){var i=e[n];if(n==r||i!==o){var o=i;mo(i)?Gt.call(t,i,1):li(t,i)}}return t}function Hr(t,e){return t+de(_n()*(e-t+1))}function Ur(t,e){var n="";if(!t||e<1||e>h)return n;do{e%2&&(n+=t),(e=de(e/2))&&(t+=t)}while(e);return n}function Gr(t,e){return Eo(ko(t,e,nl),t+"")}function Xr(t){return Yn(Ba(t))}function Yr(t,e){var n=Ba(t);return Lo(n,or(e,0,n.length))}function Kr(t,e,n,r){if(!Qs(t))return t;for(var o=-1,s=(e=mi(e,t)).length,a=s-1,l=t;null!=l&&++o<s;){var c=Io(e[o]),u=n;if("__proto__"===c||"constructor"===c||"prototype"===c)return t;if(o!=a){var h=l[c];(u=r?r(h,c,l):i)===i&&(u=Qs(h)?h:mo(e[o+1])?[]:{})}Qn(l,c,u),l=l[c]}return t}var Zr=Tn?function(t,e){return Tn.set(t,e),t}:nl,Jr=te?function(t,e){return te(t,"toString",{configurable:!0,enumerable:!1,value:Qa(e),writable:!0})}:nl;function Qr(t){return Lo(Ba(t))}function ti(t,e,n){var i=-1,o=t.length;e<0&&(e=-e>o?0:o+e),(n=n>o?o:n)<0&&(n+=o),o=e>n?0:n-e>>>0,e>>>=0;for(var s=r(o);++i<o;)s[i]=t[i+e];return s}function ei(t,e){var n;return ur(t,(function(t,r,i){return!(n=e(t,r,i))})),!!n}function ni(t,e,n){var r=0,i=null==t?r:t.length;if("number"==typeof e&&e==e&&i<=2147483647){for(;r<i;){var o=r+i>>>1,s=t[o];null!==s&&!aa(s)&&(n?s<=e:s<e)?r=o+1:i=o}return i}return ri(t,e,nl,n)}function ri(t,e,n,r){var o=0,s=null==t?0:t.length;if(0===s)return 0;for(var a=(e=n(e))!=e,l=null===e,c=aa(e),u=e===i;o<s;){var h=de((o+s)/2),p=n(t[h]),d=p!==i,f=null===p,g=p==p,m=aa(p);if(a)var v=r||g;else v=u?g&&(r||d):l?g&&d&&(r||!f):c?g&&d&&!f&&(r||!m):!f&&!m&&(r?p<=e:p<e);v?o=h+1:s=h}return vn(s,4294967294)}function ii(t,e){for(var n=-1,r=t.length,i=0,o=[];++n<r;){var s=t[n],a=e?e(s):s;if(!n||!Bs(a,l)){var l=a;o[i++]=0===s?0:s}}return o}function oi(t){return"number"==typeof t?t:aa(t)?p:+t}function si(t){if("string"==typeof t)return t;if(qs(t))return Me(t,si)+"";if(aa(t))return Rn?Rn.call(t):"";var e=t+"";return"0"==e&&1/t==-1/0?"-0":e}function ai(t,e,n){var r=-1,i=Ee,o=t.length,s=!0,a=[],l=a;if(n)s=!1,i=Pe;else if(o>=200){var c=e?null:Ui(t);if(c)return ln(c);s=!1,i=Ze,l=new Un}else l=e?[]:a;t:for(;++r<o;){var u=t[r],h=e?e(u):u;if(u=n||0!==u?u:0,s&&h==h){for(var p=l.length;p--;)if(l[p]===h)continue t;e&&l.push(h),a.push(u)}else i(l,h,n)||(l!==a&&l.push(h),a.push(u))}return a}function li(t,e){return null==(t=Co(t,e=mi(e,t)))||delete t[Io(Yo(e))]}function ci(t,e,n,r){return Kr(t,e,n(xr(t,e)),r)}function ui(t,e,n,r){for(var i=t.length,o=r?i:-1;(r?o--:++o<i)&&e(t[o],o,t););return n?ti(t,r?0:o,r?o+1:i):ti(t,r?o+1:0,r?i:o)}function hi(t,e){var n=t;return n instanceof Vn&&(n=n.value()),je(e,(function(t,e){return e.func.apply(e.thisArg,Le([t],e.args))}),n)}function pi(t,e,n){var i=t.length;if(i<2)return i?ai(t[0]):[];for(var o=-1,s=r(i);++o<i;)for(var a=t[o],l=-1;++l<i;)l!=o&&(s[o]=cr(s[o]||a,t[l],e,n));return ai(gr(s,1),e,n)}function di(t,e,n){for(var r=-1,o=t.length,s=e.length,a={};++r<o;){var l=r<s?e[r]:i;n(a,t[r],l)}return a}function fi(t){return Us(t)?t:[]}function gi(t){return"function"==typeof t?t:nl}function mi(t,e){return qs(t)?t:yo(t,e)?[t]:$o(va(t))}var vi=Gr;function yi(t,e,n){var r=t.length;return n=n===i?r:n,!e&&n>=r?t:ti(t,e,n)}var bi=se||function(t){return he.clearTimeout(t)};function _i(t,e){if(e)return t.slice();var n=t.length,r=qt?qt(n):new t.constructor(n);return t.copy(r),r}function xi(t){var e=new t.constructor(t.byteLength);return new Vt(e).set(new Vt(t)),e}function wi(t,e){var n=e?xi(t.buffer):t.buffer;return new t.constructor(n,t.byteOffset,t.length)}function Si(t,e){if(t!==e){var n=t!==i,r=null===t,o=t==t,s=aa(t),a=e!==i,l=null===e,c=e==e,u=aa(e);if(!l&&!u&&!s&&t>e||s&&a&&c&&!l&&!u||r&&a&&c||!n&&c||!o)return 1;if(!r&&!s&&!u&&t<e||u&&n&&o&&!r&&!s||l&&n&&o||!a&&o||!c)return-1}return 0}function ki(t,e,n,i){for(var o=-1,s=t.length,a=n.length,l=-1,c=e.length,u=mn(s-a,0),h=r(c+u),p=!i;++l<c;)h[l]=e[l];for(;++o<a;)(p||o<s)&&(h[n[o]]=t[o]);for(;u--;)h[l++]=t[o++];return h}function Ci(t,e,n,i){for(var o=-1,s=t.length,a=-1,l=n.length,c=-1,u=e.length,h=mn(s-l,0),p=r(h+u),d=!i;++o<h;)p[o]=t[o];for(var f=o;++c<u;)p[f+c]=e[c];for(;++a<l;)(d||o<s)&&(p[f+n[a]]=t[o++]);return p}function Ai(t,e){var n=-1,i=t.length;for(e||(e=r(i));++n<i;)e[n]=t[n];return e}function Oi(t,e,n,r){var o=!n;n||(n={});for(var s=-1,a=e.length;++s<a;){var l=e[s],c=r?r(n[l],t[l],l,n,t):i;c===i&&(c=t[l]),o?rr(n,l,c):Qn(n,l,c)}return n}function Ti(t,e){return function(n,r){var i=qs(n)?ke:er,o=e?e():{};return i(n,t,oo(r,2),o)}}function Ei(t){return Gr((function(e,n){var r=-1,o=n.length,s=o>1?n[o-1]:i,a=o>2?n[2]:i;for(s=t.length>3&&"function"==typeof s?(o--,s):i,a&&vo(n[0],n[1],a)&&(s=o<3?i:s,o=1),e=kt(e);++r<o;){var l=n[r];l&&t(e,l,r,s)}return e}))}function Pi(t,e){return function(n,r){if(null==n)return n;if(!Hs(n))return t(n,r);for(var i=n.length,o=e?i:-1,s=kt(n);(e?o--:++o<i)&&!1!==r(s[o],o,s););return n}}function Mi(t){return function(e,n,r){for(var i=-1,o=kt(e),s=r(e),a=s.length;a--;){var l=s[t?a:++i];if(!1===n(o[l],l,o))break}return e}}function Li(t){return function(e){var n=rn(e=va(e))?hn(e):i,r=n?n[0]:e.charAt(0),o=n?yi(n,1).join(""):e.slice(1);return r[t]()+o}}function ji(t){return function(e){return je(Ka(Va(e).replace(Kt,"")),t,"")}}function Di(t){return function(){var e=arguments;switch(e.length){case 0:return new t;case 1:return new t(e[0]);case 2:return new t(e[0],e[1]);case 3:return new t(e[0],e[1],e[2]);case 4:return new t(e[0],e[1],e[2],e[3]);case 5:return new t(e[0],e[1],e[2],e[3],e[4]);case 6:return new t(e[0],e[1],e[2],e[3],e[4],e[5]);case 7:return new t(e[0],e[1],e[2],e[3],e[4],e[5],e[6])}var n=Bn(t.prototype),r=t.apply(n,e);return Qs(r)?r:n}}function $i(t){return function(e,n,r){var o=kt(e);if(!Hs(e)){var s=oo(n,3);e=Pa(e),n=function(t){return s(o[t],t,o)}}var a=t(e,n,r);return a>-1?o[s?e[a]:a]:i}}function Ii(t){return Qi((function(e){var n=e.length,r=n,s=zn.prototype.thru;for(t&&e.reverse();r--;){var a=e[r];if("function"!=typeof a)throw new Ot(o);if(s&&!l&&"wrapper"==ro(a))var l=new zn([],!0)}for(r=l?r:n;++r<n;){var c=ro(a=e[r]),u="wrapper"==c?no(a):i;l=u&&bo(u[0])&&424==u[1]&&!u[4].length&&1==u[9]?l[ro(u[0])].apply(l,u[3]):1==a.length&&bo(a)?l[c]():l.thru(a)}return function(){var t=arguments,r=t[0];if(l&&1==t.length&&qs(r))return l.plant(r).value();for(var i=0,o=n?e[i].apply(this,t):r;++i<n;)o=e[i].call(this,o);return o}}))}function Ri(t,e,n,o,s,a,l,u,h,p){var d=e&c,f=1&e,g=2&e,m=24&e,v=512&e,y=g?i:Di(t);return function c(){for(var b=arguments.length,_=r(b),x=b;x--;)_[x]=arguments[x];if(m)var w=io(c),S=function(t,e){for(var n=t.length,r=0;n--;)t[n]===e&&++r;return r}(_,w);if(o&&(_=ki(_,o,s,m)),a&&(_=Ci(_,a,l,m)),b-=S,m&&b<p){var k=an(_,w);return Wi(t,e,Ri,c.placeholder,n,_,k,u,h,p-b)}var C=f?n:this,A=g?C[t]:t;return b=_.length,u?_=function(t,e){for(var n=t.length,r=vn(e.length,n),o=Ai(t);r--;){var s=e[r];t[r]=mo(s,n)?o[s]:i}return t}(_,u):v&&b>1&&_.reverse(),d&&h<b&&(_.length=h),this&&this!==he&&this instanceof c&&(A=y||Di(A)),A.apply(C,_)}}function Ni(t,e){return function(n,r){return function(t,e,n,r){return yr(t,(function(t,i,o){e(r,n(t),i,o)})),r}(n,t,e(r),{})}}function Bi(t,e){return function(n,r){var o;if(n===i&&r===i)return e;if(n!==i&&(o=n),r!==i){if(o===i)return r;"string"==typeof n||"string"==typeof r?(n=si(n),r=si(r)):(n=oi(n),r=oi(r)),o=t(n,r)}return o}}function Fi(t){return Qi((function(e){return e=Me(e,Ye(oo())),Gr((function(n){var r=this;return t(e,(function(t){return Se(t,r,n)}))}))}))}function zi(t,e){var n=(e=e===i?" ":si(e)).length;if(n<2)return n?Ur(e,t):e;var r=Ur(e,pe(t/un(e)));return rn(e)?yi(hn(r),0,t).join(""):r.slice(0,t)}function Vi(t){return function(e,n,o){return o&&"number"!=typeof o&&vo(e,n,o)&&(n=o=i),e=pa(e),n===i?(n=e,e=0):n=pa(n),function(t,e,n,i){for(var o=-1,s=mn(pe((e-t)/(n||1)),0),a=r(s);s--;)a[i?s:++o]=t,t+=n;return a}(e,n,o=o===i?e<n?1:-1:pa(o),t)}}function qi(t){return function(e,n){return"string"==typeof e&&"string"==typeof n||(e=ga(e),n=ga(n)),t(e,n)}}function Wi(t,e,n,r,o,s,a,c,u,h){var p=8&e;e|=p?l:64,4&(e&=~(p?64:l))||(e&=-4);var d=[t,e,o,p?s:i,p?a:i,p?i:s,p?i:a,c,u,h],f=n.apply(i,d);return bo(t)&&Oo(f,d),f.placeholder=r,Po(f,t,e)}function Hi(t){var e=St[t];return function(t,n){if(t=ga(t),(n=null==n?0:vn(da(n),292))&&Ie(t)){var r=(va(t)+"e").split("e");return+((r=(va(e(r[0]+"e"+(+r[1]+n)))+"e").split("e"))[0]+"e"+(+r[1]-n))}return e(t)}}var Ui=Cn&&1/ln(new Cn([,-0]))[1]==u?function(t){return new Cn(t)}:al;function Gi(t){return function(e){var n=ho(e);return n==w?on(e):n==O?cn(e):function(t,e){return Me(e,(function(e){return[e,t[e]]}))}(e,t(e))}}function Xi(t,e,n,s,u,h,p,d){var f=2&e;if(!f&&"function"!=typeof t)throw new Ot(o);var g=s?s.length:0;if(g||(e&=-97,s=u=i),p=p===i?p:mn(da(p),0),d=d===i?d:da(d),g-=u?u.length:0,64&e){var m=s,v=u;s=u=i}var y=f?i:no(t),b=[t,e,n,s,u,m,v,h,p,d];if(y&&function(t,e){var n=t[1],r=e[1],i=n|r,o=i<131,s=r==c&&8==n||r==c&&256==n&&t[7].length<=e[8]||384==r&&e[7].length<=e[8]&&8==n;if(!o&&!s)return t;1&r&&(t[2]=e[2],i|=1&n?0:4);var l=e[3];if(l){var u=t[3];t[3]=u?ki(u,l,e[4]):l,t[4]=u?an(t[3],a):e[4]}(l=e[5])&&(u=t[5],t[5]=u?Ci(u,l,e[6]):l,t[6]=u?an(t[5],a):e[6]),(l=e[7])&&(t[7]=l),r&c&&(t[8]=null==t[8]?e[8]:vn(t[8],e[8])),null==t[9]&&(t[9]=e[9]),t[0]=e[0],t[1]=i}(b,y),t=b[0],e=b[1],n=b[2],s=b[3],u=b[4],!(d=b[9]=b[9]===i?f?0:t.length:mn(b[9]-g,0))&&24&e&&(e&=-25),e&&1!=e)_=8==e||16==e?function(t,e,n){var o=Di(t);return function s(){for(var a=arguments.length,l=r(a),c=a,u=io(s);c--;)l[c]=arguments[c];var h=a<3&&l[0]!==u&&l[a-1]!==u?[]:an(l,u);return(a-=h.length)<n?Wi(t,e,Ri,s.placeholder,i,l,h,i,i,n-a):Se(this&&this!==he&&this instanceof s?o:t,this,l)}}(t,e,d):e!=l&&33!=e||u.length?Ri.apply(i,b):function(t,e,n,i){var o=1&e,s=Di(t);return function e(){for(var a=-1,l=arguments.length,c=-1,u=i.length,h=r(u+l),p=this&&this!==he&&this instanceof e?s:t;++c<u;)h[c]=i[c];for(;l--;)h[c++]=arguments[++a];return Se(p,o?n:this,h)}}(t,e,n,s);else var _=function(t,e,n){var r=1&e,i=Di(t);return function e(){return(this&&this!==he&&this instanceof e?i:t).apply(r?n:this,arguments)}}(t,e,n);return Po((y?Zr:Oo)(_,b),t,e)}function Yi(t,e,n,r){return t===i||Bs(t,Pt[n])&&!jt.call(r,n)?e:t}function Ki(t,e,n,r,o,s){return Qs(t)&&Qs(e)&&(s.set(e,t),Br(t,e,i,Ki,s),s.delete(e)),t}function Zi(t){return ra(t)?i:t}function Ji(t,e,n,r,o,s){var a=1&n,l=t.length,c=e.length;if(l!=c&&!(a&&c>l))return!1;var u=s.get(t),h=s.get(e);if(u&&h)return u==e&&h==t;var p=-1,d=!0,f=2&n?new Un:i;for(s.set(t,e),s.set(e,t);++p<l;){var g=t[p],m=e[p];if(r)var v=a?r(m,g,p,e,t,s):r(g,m,p,t,e,s);if(v!==i){if(v)continue;d=!1;break}if(f){if(!$e(e,(function(t,e){if(!Ze(f,e)&&(g===t||o(g,t,n,r,s)))return f.push(e)}))){d=!1;break}}else if(g!==m&&!o(g,m,n,r,s)){d=!1;break}}return s.delete(t),s.delete(e),d}function Qi(t){return Eo(ko(t,i,Wo),t+"")}function to(t){return wr(t,Pa,co)}function eo(t){return wr(t,Ma,uo)}var no=Tn?function(t){return Tn.get(t)}:al;function ro(t){for(var e=t.name+"",n=En[e],r=jt.call(En,e)?n.length:0;r--;){var i=n[r],o=i.func;if(null==o||o==t)return i.name}return e}function io(t){return(jt.call(Nn,"placeholder")?Nn:t).placeholder}function oo(){var t=Nn.iteratee||rl;return t=t===rl?jr:t,arguments.length?t(arguments[0],arguments[1]):t}function so(t,e){var n,r,i=t.__data__;return("string"==(r=typeof(n=e))||"number"==r||"symbol"==r||"boolean"==r?"__proto__"!==n:null===n)?i["string"==typeof e?"string":"hash"]:i.map}function ao(t){for(var e=Pa(t),n=e.length;n--;){var r=e[n],i=t[r];e[n]=[r,i,wo(i)]}return e}function lo(t,e){var n=function(t,e){return null==t?i:t[e]}(t,e);return Lr(n)?n:i}var co=ge?function(t){return null==t?[]:(t=kt(t),Te(ge(t),(function(e){return Ut.call(t,e)})))}:fl,uo=ge?function(t){for(var e=[];t;)Le(e,co(t)),t=Wt(t);return e}:fl,ho=Sr;function po(t,e,n){for(var r=-1,i=(e=mi(e,t)).length,o=!1;++r<i;){var s=Io(e[r]);if(!(o=null!=t&&n(t,s)))break;t=t[s]}return o||++r!=i?o:!!(i=null==t?0:t.length)&&Js(i)&&mo(s,i)&&(qs(t)||Vs(t))}function fo(t){return"function"!=typeof t.constructor||xo(t)?{}:Bn(Wt(t))}function go(t){return qs(t)||Vs(t)||!!(Xt&&t&&t[Xt])}function mo(t,e){var n=typeof t;return!!(e=null==e?h:e)&&("number"==n||"symbol"!=n&&vt.test(t))&&t>-1&&t%1==0&&t<e}function vo(t,e,n){if(!Qs(n))return!1;var r=typeof e;return!!("number"==r?Hs(n)&&mo(e,n.length):"string"==r&&e in n)&&Bs(n[e],t)}function yo(t,e){if(qs(t))return!1;var n=typeof t;return!("number"!=n&&"symbol"!=n&&"boolean"!=n&&null!=t&&!aa(t))||Q.test(t)||!J.test(t)||null!=e&&t in kt(e)}function bo(t){var e=ro(t),n=Nn[e];if("function"!=typeof n||!(e in Vn.prototype))return!1;if(t===n)return!0;var r=no(n);return!!r&&t===r[0]}(wn&&ho(new wn(new ArrayBuffer(1)))!=L||Sn&&ho(new Sn)!=w||kn&&ho(kn.resolve())!=C||Cn&&ho(new Cn)!=O||An&&ho(new An)!=P)&&(ho=function(t){var e=Sr(t),n=e==k?t.constructor:i,r=n?Ro(n):"";if(r)switch(r){case Pn:return L;case Mn:return w;case Ln:return C;case jn:return O;case Dn:return P}return e});var _o=Mt?Ks:gl;function xo(t){var e=t&&t.constructor;return t===("function"==typeof e&&e.prototype||Pt)}function wo(t){return t==t&&!Qs(t)}function So(t,e){return function(n){return null!=n&&n[t]===e&&(e!==i||t in kt(n))}}function ko(t,e,n){return e=mn(e===i?t.length-1:e,0),function(){for(var i=arguments,o=-1,s=mn(i.length-e,0),a=r(s);++o<s;)a[o]=i[e+o];o=-1;for(var l=r(e+1);++o<e;)l[o]=i[o];return l[e]=n(a),Se(t,this,l)}}function Co(t,e){return e.length<2?t:xr(t,ti(e,0,-1))}function Ao(t,e){if(("constructor"!==e||"function"!=typeof t[e])&&"__proto__"!=e)return t[e]}var Oo=Mo(Zr),To=ue||function(t,e){return he.setTimeout(t,e)},Eo=Mo(Jr);function Po(t,e,n){var r=e+"";return Eo(t,function(t,e){var n=e.length;if(!n)return t;var r=n-1;return e[r]=(n>1?"& ":"")+e[r],e=e.join(n>2?", ":" "),t.replace(ot,"{\n/* [wrapped with "+e+"] */\n")}(r,function(t,e){return Ce(f,(function(n){var r="_."+n[0];e&n[1]&&!Ee(t,r)&&t.push(r)})),t.sort()}(function(t){var e=t.match(st);return e?e[1].split(at):[]}(r),n)))}function Mo(t){var e=0,n=0;return function(){var r=yn(),o=16-(r-n);if(n=r,o>0){if(++e>=800)return arguments[0]}else e=0;return t.apply(i,arguments)}}function Lo(t,e){var n=-1,r=t.length,o=r-1;for(e=e===i?r:e;++n<e;){var s=Hr(n,o),a=t[s];t[s]=t[n],t[n]=a}return t.length=e,t}var jo,Do,$o=(jo=js((function(t){var e=[];return 46===t.charCodeAt(0)&&e.push(""),t.replace(tt,(function(t,n,r,i){e.push(r?i.replace(ut,"$1"):n||t)})),e}),(function(t){return 500===Do.size&&Do.clear(),t})),Do=jo.cache,jo);function Io(t){if("string"==typeof t||aa(t))return t;var e=t+"";return"0"==e&&1/t==-1/0?"-0":e}function Ro(t){if(null!=t){try{return Lt.call(t)}catch(t){}try{return t+""}catch(t){}}return""}function No(t){if(t instanceof Vn)return t.clone();var e=new zn(t.__wrapped__,t.__chain__);return e.__actions__=Ai(t.__actions__),e.__index__=t.__index__,e.__values__=t.__values__,e}var Bo=Gr((function(t,e){return Us(t)?cr(t,gr(e,1,Us,!0)):[]})),Fo=Gr((function(t,e){var n=Yo(e);return Us(n)&&(n=i),Us(t)?cr(t,gr(e,1,Us,!0),oo(n,2)):[]})),zo=Gr((function(t,e){var n=Yo(e);return Us(n)&&(n=i),Us(t)?cr(t,gr(e,1,Us,!0),i,n):[]}));function Vo(t,e,n){var r=null==t?0:t.length;if(!r)return-1;var i=null==n?0:da(n);return i<0&&(i=mn(r+i,0)),Ne(t,oo(e,3),i)}function qo(t,e,n){var r=null==t?0:t.length;if(!r)return-1;var o=r-1;return n!==i&&(o=da(n),o=n<0?mn(r+o,0):vn(o,r-1)),Ne(t,oo(e,3),o,!0)}function Wo(t){return null!=t&&t.length?gr(t,1):[]}function Ho(t){return t&&t.length?t[0]:i}var Uo=Gr((function(t){var e=Me(t,fi);return e.length&&e[0]===t[0]?Or(e):[]})),Go=Gr((function(t){var e=Yo(t),n=Me(t,fi);return e===Yo(n)?e=i:n.pop(),n.length&&n[0]===t[0]?Or(n,oo(e,2)):[]})),Xo=Gr((function(t){var e=Yo(t),n=Me(t,fi);return(e="function"==typeof e?e:i)&&n.pop(),n.length&&n[0]===t[0]?Or(n,i,e):[]}));function Yo(t){var e=null==t?0:t.length;return e?t[e-1]:i}var Ko=Gr(Zo);function Zo(t,e){return t&&t.length&&e&&e.length?qr(t,e):t}var Jo=Qi((function(t,e){var n=null==t?0:t.length,r=ir(t,e);return Wr(t,Me(e,(function(t){return mo(t,n)?+t:t})).sort(Si)),r}));function Qo(t){return null==t?t:xn.call(t)}var ts=Gr((function(t){return ai(gr(t,1,Us,!0))})),es=Gr((function(t){var e=Yo(t);return Us(e)&&(e=i),ai(gr(t,1,Us,!0),oo(e,2))})),ns=Gr((function(t){var e=Yo(t);return e="function"==typeof e?e:i,ai(gr(t,1,Us,!0),i,e)}));function rs(t){if(!t||!t.length)return[];var e=0;return t=Te(t,(function(t){if(Us(t))return e=mn(t.length,e),!0})),Ge(e,(function(e){return Me(t,qe(e))}))}function is(t,e){if(!t||!t.length)return[];var n=rs(t);return null==e?n:Me(n,(function(t){return Se(e,i,t)}))}var os=Gr((function(t,e){return Us(t)?cr(t,e):[]})),ss=Gr((function(t){return pi(Te(t,Us))})),as=Gr((function(t){var e=Yo(t);return Us(e)&&(e=i),pi(Te(t,Us),oo(e,2))})),ls=Gr((function(t){var e=Yo(t);return e="function"==typeof e?e:i,pi(Te(t,Us),i,e)})),cs=Gr(rs),us=Gr((function(t){var e=t.length,n=e>1?t[e-1]:i;return n="function"==typeof n?(t.pop(),n):i,is(t,n)}));function hs(t){var e=Nn(t);return e.__chain__=!0,e}function ps(t,e){return e(t)}var ds=Qi((function(t){var e=t.length,n=e?t[0]:0,r=this.__wrapped__,o=function(e){return ir(e,t)};return!(e>1||this.__actions__.length)&&r instanceof Vn&&mo(n)?((r=r.slice(n,+n+(e?1:0))).__actions__.push({func:ps,args:[o],thisArg:i}),new zn(r,this.__chain__).thru((function(t){return e&&!t.length&&t.push(i),t}))):this.thru(o)})),fs=Ti((function(t,e,n){jt.call(t,n)?++t[n]:rr(t,n,1)})),gs=$i(Vo),ms=$i(qo);function vs(t,e){return(qs(t)?Ce:ur)(t,oo(e,3))}function ys(t,e){return(qs(t)?Ae:hr)(t,oo(e,3))}var bs=Ti((function(t,e,n){jt.call(t,n)?t[n].push(e):rr(t,n,[e])})),_s=Gr((function(t,e,n){var i=-1,o="function"==typeof e,s=Hs(t)?r(t.length):[];return ur(t,(function(t){s[++i]=o?Se(e,t,n):Tr(t,e,n)})),s})),xs=Ti((function(t,e,n){rr(t,n,e)}));function ws(t,e){return(qs(t)?Me:Ir)(t,oo(e,3))}var Ss=Ti((function(t,e,n){t[n?0:1].push(e)}),(function(){return[[],[]]})),ks=Gr((function(t,e){if(null==t)return[];var n=e.length;return n>1&&vo(t,e[0],e[1])?e=[]:n>2&&vo(e[0],e[1],e[2])&&(e=[e[0]]),zr(t,gr(e,1),[])})),Cs=ce||function(){return he.Date.now()};function As(t,e,n){return e=n?i:e,e=t&&null==e?t.length:e,Xi(t,c,i,i,i,i,e)}function Os(t,e){var n;if("function"!=typeof e)throw new Ot(o);return t=da(t),function(){return--t>0&&(n=e.apply(this,arguments)),t<=1&&(e=i),n}}var Ts=Gr((function(t,e,n){var r=1;if(n.length){var i=an(n,io(Ts));r|=l}return Xi(t,r,e,n,i)})),Es=Gr((function(t,e,n){var r=3;if(n.length){var i=an(n,io(Es));r|=l}return Xi(e,r,t,n,i)}));function Ps(t,e,n){var r,s,a,l,c,u,h=0,p=!1,d=!1,f=!0;if("function"!=typeof t)throw new Ot(o);function g(e){var n=r,o=s;return r=s=i,h=e,l=t.apply(o,n)}function m(t){var n=t-u;return u===i||n>=e||n<0||d&&t-h>=a}function v(){var t=Cs();if(m(t))return y(t);c=To(v,function(t){var n=e-(t-u);return d?vn(n,a-(t-h)):n}(t))}function y(t){return c=i,f&&r?g(t):(r=s=i,l)}function b(){var t=Cs(),n=m(t);if(r=arguments,s=this,u=t,n){if(c===i)return function(t){return h=t,c=To(v,e),p?g(t):l}(u);if(d)return bi(c),c=To(v,e),g(u)}return c===i&&(c=To(v,e)),l}return e=ga(e)||0,Qs(n)&&(p=!!n.leading,a=(d="maxWait"in n)?mn(ga(n.maxWait)||0,e):a,f="trailing"in n?!!n.trailing:f),b.cancel=function(){c!==i&&bi(c),h=0,r=u=s=c=i},b.flush=function(){return c===i?l:y(Cs())},b}var Ms=Gr((function(t,e){return lr(t,1,e)})),Ls=Gr((function(t,e,n){return lr(t,ga(e)||0,n)}));function js(t,e){if("function"!=typeof t||null!=e&&"function"!=typeof e)throw new Ot(o);var n=function(){var r=arguments,i=e?e.apply(this,r):r[0],o=n.cache;if(o.has(i))return o.get(i);var s=t.apply(this,r);return n.cache=o.set(i,s)||o,s};return n.cache=new(js.Cache||Hn),n}function Ds(t){if("function"!=typeof t)throw new Ot(o);return function(){var e=arguments;switch(e.length){case 0:return!t.call(this);case 1:return!t.call(this,e[0]);case 2:return!t.call(this,e[0],e[1]);case 3:return!t.call(this,e[0],e[1],e[2])}return!t.apply(this,e)}}js.Cache=Hn;var $s=vi((function(t,e){var n=(e=1==e.length&&qs(e[0])?Me(e[0],Ye(oo())):Me(gr(e,1),Ye(oo()))).length;return Gr((function(r){for(var i=-1,o=vn(r.length,n);++i<o;)r[i]=e[i].call(this,r[i]);return Se(t,this,r)}))})),Is=Gr((function(t,e){var n=an(e,io(Is));return Xi(t,l,i,e,n)})),Rs=Gr((function(t,e){var n=an(e,io(Rs));return Xi(t,64,i,e,n)})),Ns=Qi((function(t,e){return Xi(t,256,i,i,i,e)}));function Bs(t,e){return t===e||t!=t&&e!=e}var Fs=qi(kr),zs=qi((function(t,e){return t>=e})),Vs=Er(function(){return arguments}())?Er:function(t){return ta(t)&&jt.call(t,"callee")&&!Ut.call(t,"callee")},qs=r.isArray,Ws=ve?Ye(ve):function(t){return ta(t)&&Sr(t)==M};function Hs(t){return null!=t&&Js(t.length)&&!Ks(t)}function Us(t){return ta(t)&&Hs(t)}var Gs=me||gl,Xs=ye?Ye(ye):function(t){return ta(t)&&Sr(t)==y};function Ys(t){if(!ta(t))return!1;var e=Sr(t);return e==b||"[object DOMException]"==e||"string"==typeof t.message&&"string"==typeof t.name&&!ra(t)}function Ks(t){if(!Qs(t))return!1;var e=Sr(t);return e==_||e==x||"[object AsyncFunction]"==e||"[object Proxy]"==e}function Zs(t){return"number"==typeof t&&t==da(t)}function Js(t){return"number"==typeof t&&t>-1&&t%1==0&&t<=h}function Qs(t){var e=typeof t;return null!=t&&("object"==e||"function"==e)}function ta(t){return null!=t&&"object"==typeof t}var ea=be?Ye(be):function(t){return ta(t)&&ho(t)==w};function na(t){return"number"==typeof t||ta(t)&&Sr(t)==S}function ra(t){if(!ta(t)||Sr(t)!=k)return!1;var e=Wt(t);if(null===e)return!0;var n=jt.call(e,"constructor")&&e.constructor;return"function"==typeof n&&n instanceof n&&Lt.call(n)==Rt}var ia=_e?Ye(_e):function(t){return ta(t)&&Sr(t)==A},oa=xe?Ye(xe):function(t){return ta(t)&&ho(t)==O};function sa(t){return"string"==typeof t||!qs(t)&&ta(t)&&Sr(t)==T}function aa(t){return"symbol"==typeof t||ta(t)&&Sr(t)==E}var la=we?Ye(we):function(t){return ta(t)&&Js(t.length)&&!!ie[Sr(t)]},ca=qi($r),ua=qi((function(t,e){return t<=e}));function ha(t){if(!t)return[];if(Hs(t))return sa(t)?hn(t):Ai(t);if(Yt&&t[Yt])return function(t){for(var e,n=[];!(e=t.next()).done;)n.push(e.value);return n}(t[Yt]());var e=ho(t);return(e==w?on:e==O?ln:Ba)(t)}function pa(t){return t?(t=ga(t))===u||t===-1/0?17976931348623157e292*(t<0?-1:1):t==t?t:0:0===t?t:0}function da(t){var e=pa(t),n=e%1;return e==e?n?e-n:e:0}function fa(t){return t?or(da(t),0,d):0}function ga(t){if("number"==typeof t)return t;if(aa(t))return p;if(Qs(t)){var e="function"==typeof t.valueOf?t.valueOf():t;t=Qs(e)?e+"":e}if("string"!=typeof t)return 0===t?t:+t;t=Xe(t);var n=ft.test(t);return n||mt.test(t)?le(t.slice(2),n?2:8):dt.test(t)?p:+t}function ma(t){return Oi(t,Ma(t))}function va(t){return null==t?"":si(t)}var ya=Ei((function(t,e){if(xo(e)||Hs(e))Oi(e,Pa(e),t);else for(var n in e)jt.call(e,n)&&Qn(t,n,e[n])})),ba=Ei((function(t,e){Oi(e,Ma(e),t)})),_a=Ei((function(t,e,n,r){Oi(e,Ma(e),t,r)})),xa=Ei((function(t,e,n,r){Oi(e,Pa(e),t,r)})),wa=Qi(ir),Sa=Gr((function(t,e){t=kt(t);var n=-1,r=e.length,o=r>2?e[2]:i;for(o&&vo(e[0],e[1],o)&&(r=1);++n<r;)for(var s=e[n],a=Ma(s),l=-1,c=a.length;++l<c;){var u=a[l],h=t[u];(h===i||Bs(h,Pt[u])&&!jt.call(t,u))&&(t[u]=s[u])}return t})),ka=Gr((function(t){return t.push(i,Ki),Se(ja,i,t)}));function Ca(t,e,n){var r=null==t?i:xr(t,e);return r===i?n:r}function Aa(t,e){return null!=t&&po(t,e,Ar)}var Oa=Ni((function(t,e,n){null!=e&&"function"!=typeof e.toString&&(e=It.call(e)),t[e]=n}),Qa(nl)),Ta=Ni((function(t,e,n){null!=e&&"function"!=typeof e.toString&&(e=It.call(e)),jt.call(t,e)?t[e].push(n):t[e]=[n]}),oo),Ea=Gr(Tr);function Pa(t){return Hs(t)?Xn(t):Dr(t)}function Ma(t){return Hs(t)?Xn(t,!0):function(t){if(!Qs(t))return function(t){var e=[];if(null!=t)for(var n in kt(t))e.push(n);return e}(t);var e=xo(t),n=[];for(var r in t)("constructor"!=r||!e&&jt.call(t,r))&&n.push(r);return n}(t)}var La=Ei((function(t,e,n){Br(t,e,n)})),ja=Ei((function(t,e,n,r){Br(t,e,n,r)})),Da=Qi((function(t,e){var n={};if(null==t)return n;var r=!1;e=Me(e,(function(e){return e=mi(e,t),r||(r=e.length>1),e})),Oi(t,eo(t),n),r&&(n=sr(n,7,Zi));for(var i=e.length;i--;)li(n,e[i]);return n})),$a=Qi((function(t,e){return null==t?{}:function(t,e){return Vr(t,e,(function(e,n){return Aa(t,n)}))}(t,e)}));function Ia(t,e){if(null==t)return{};var n=Me(eo(t),(function(t){return[t]}));return e=oo(e),Vr(t,n,(function(t,n){return e(t,n[0])}))}var Ra=Gi(Pa),Na=Gi(Ma);function Ba(t){return null==t?[]:Ke(t,Pa(t))}var Fa=ji((function(t,e,n){return e=e.toLowerCase(),t+(n?za(e):e)}));function za(t){return Ya(va(t).toLowerCase())}function Va(t){return(t=va(t))&&t.replace(yt,tn).replace(Zt,"")}var qa=ji((function(t,e,n){return t+(n?"-":"")+e.toLowerCase()})),Wa=ji((function(t,e,n){return t+(n?" ":"")+e.toLowerCase()})),Ha=Li("toLowerCase"),Ua=ji((function(t,e,n){return t+(n?"_":"")+e.toLowerCase()})),Ga=ji((function(t,e,n){return t+(n?" ":"")+Ya(e)})),Xa=ji((function(t,e,n){return t+(n?" ":"")+e.toUpperCase()})),Ya=Li("toUpperCase");function Ka(t,e,n){return t=va(t),(e=n?i:e)===i?function(t){return ee.test(t)}(t)?function(t){return t.match(Qt)||[]}(t):function(t){return t.match(lt)||[]}(t):t.match(e)||[]}var Za=Gr((function(t,e){try{return Se(t,i,e)}catch(t){return Ys(t)?t:new xt(t)}})),Ja=Qi((function(t,e){return Ce(e,(function(e){e=Io(e),rr(t,e,Ts(t[e],t))})),t}));function Qa(t){return function(){return t}}var tl=Ii(),el=Ii(!0);function nl(t){return t}function rl(t){return jr("function"==typeof t?t:sr(t,1))}var il=Gr((function(t,e){return function(n){return Tr(n,t,e)}})),ol=Gr((function(t,e){return function(n){return Tr(t,n,e)}}));function sl(t,e,n){var r=Pa(e),i=_r(e,r);null!=n||Qs(e)&&(i.length||!r.length)||(n=e,e=t,t=this,i=_r(e,Pa(e)));var o=!(Qs(n)&&"chain"in n&&!n.chain),s=Ks(t);return Ce(i,(function(n){var r=e[n];t[n]=r,s&&(t.prototype[n]=function(){var e=this.__chain__;if(o||e){var n=t(this.__wrapped__);return(n.__actions__=Ai(this.__actions__)).push({func:r,args:arguments,thisArg:t}),n.__chain__=e,n}return r.apply(t,Le([this.value()],arguments))})})),t}function al(){}var ll=Fi(Me),cl=Fi(Oe),ul=Fi($e);function hl(t){return yo(t)?qe(Io(t)):function(t){return function(e){return xr(e,t)}}(t)}var pl=Vi(),dl=Vi(!0);function fl(){return[]}function gl(){return!1}var ml,vl=Bi((function(t,e){return t+e}),0),yl=Hi("ceil"),bl=Bi((function(t,e){return t/e}),1),_l=Hi("floor"),xl=Bi((function(t,e){return t*e}),1),wl=Hi("round"),Sl=Bi((function(t,e){return t-e}),0);return Nn.after=function(t,e){if("function"!=typeof e)throw new Ot(o);return t=da(t),function(){if(--t<1)return e.apply(this,arguments)}},Nn.ary=As,Nn.assign=ya,Nn.assignIn=ba,Nn.assignInWith=_a,Nn.assignWith=xa,Nn.at=wa,Nn.before=Os,Nn.bind=Ts,Nn.bindAll=Ja,Nn.bindKey=Es,Nn.castArray=function(){if(!arguments.length)return[];var t=arguments[0];return qs(t)?t:[t]},Nn.chain=hs,Nn.chunk=function(t,e,n){e=(n?vo(t,e,n):e===i)?1:mn(da(e),0);var o=null==t?0:t.length;if(!o||e<1)return[];for(var s=0,a=0,l=r(pe(o/e));s<o;)l[a++]=ti(t,s,s+=e);return l},Nn.compact=function(t){for(var e=-1,n=null==t?0:t.length,r=0,i=[];++e<n;){var o=t[e];o&&(i[r++]=o)}return i},Nn.concat=function(){var t=arguments.length;if(!t)return[];for(var e=r(t-1),n=arguments[0],i=t;i--;)e[i-1]=arguments[i];return Le(qs(n)?Ai(n):[n],gr(e,1))},Nn.cond=function(t){var e=null==t?0:t.length,n=oo();return t=e?Me(t,(function(t){if("function"!=typeof t[1])throw new Ot(o);return[n(t[0]),t[1]]})):[],Gr((function(n){for(var r=-1;++r<e;){var i=t[r];if(Se(i[0],this,n))return Se(i[1],this,n)}}))},Nn.conforms=function(t){return function(t){var e=Pa(t);return function(n){return ar(n,t,e)}}(sr(t,1))},Nn.constant=Qa,Nn.countBy=fs,Nn.create=function(t,e){var n=Bn(t);return null==e?n:nr(n,e)},Nn.curry=function t(e,n,r){var o=Xi(e,8,i,i,i,i,i,n=r?i:n);return o.placeholder=t.placeholder,o},Nn.curryRight=function t(e,n,r){var o=Xi(e,16,i,i,i,i,i,n=r?i:n);return o.placeholder=t.placeholder,o},Nn.debounce=Ps,Nn.defaults=Sa,Nn.defaultsDeep=ka,Nn.defer=Ms,Nn.delay=Ls,Nn.difference=Bo,Nn.differenceBy=Fo,Nn.differenceWith=zo,Nn.drop=function(t,e,n){var r=null==t?0:t.length;return r?ti(t,(e=n||e===i?1:da(e))<0?0:e,r):[]},Nn.dropRight=function(t,e,n){var r=null==t?0:t.length;return r?ti(t,0,(e=r-(e=n||e===i?1:da(e)))<0?0:e):[]},Nn.dropRightWhile=function(t,e){return t&&t.length?ui(t,oo(e,3),!0,!0):[]},Nn.dropWhile=function(t,e){return t&&t.length?ui(t,oo(e,3),!0):[]},Nn.fill=function(t,e,n,r){var o=null==t?0:t.length;return o?(n&&"number"!=typeof n&&vo(t,e,n)&&(n=0,r=o),function(t,e,n,r){var o=t.length;for((n=da(n))<0&&(n=-n>o?0:o+n),(r=r===i||r>o?o:da(r))<0&&(r+=o),r=n>r?0:fa(r);n<r;)t[n++]=e;return t}(t,e,n,r)):[]},Nn.filter=function(t,e){return(qs(t)?Te:fr)(t,oo(e,3))},Nn.flatMap=function(t,e){return gr(ws(t,e),1)},Nn.flatMapDeep=function(t,e){return gr(ws(t,e),u)},Nn.flatMapDepth=function(t,e,n){return n=n===i?1:da(n),gr(ws(t,e),n)},Nn.flatten=Wo,Nn.flattenDeep=function(t){return null!=t&&t.length?gr(t,u):[]},Nn.flattenDepth=function(t,e){return null!=t&&t.length?gr(t,e=e===i?1:da(e)):[]},Nn.flip=function(t){return Xi(t,512)},Nn.flow=tl,Nn.flowRight=el,Nn.fromPairs=function(t){for(var e=-1,n=null==t?0:t.length,r={};++e<n;){var i=t[e];r[i[0]]=i[1]}return r},Nn.functions=function(t){return null==t?[]:_r(t,Pa(t))},Nn.functionsIn=function(t){return null==t?[]:_r(t,Ma(t))},Nn.groupBy=bs,Nn.initial=function(t){return null!=t&&t.length?ti(t,0,-1):[]},Nn.intersection=Uo,Nn.intersectionBy=Go,Nn.intersectionWith=Xo,Nn.invert=Oa,Nn.invertBy=Ta,Nn.invokeMap=_s,Nn.iteratee=rl,Nn.keyBy=xs,Nn.keys=Pa,Nn.keysIn=Ma,Nn.map=ws,Nn.mapKeys=function(t,e){var n={};return e=oo(e,3),yr(t,(function(t,r,i){rr(n,e(t,r,i),t)})),n},Nn.mapValues=function(t,e){var n={};return e=oo(e,3),yr(t,(function(t,r,i){rr(n,r,e(t,r,i))})),n},Nn.matches=function(t){return Rr(sr(t,1))},Nn.matchesProperty=function(t,e){return Nr(t,sr(e,1))},Nn.memoize=js,Nn.merge=La,Nn.mergeWith=ja,Nn.method=il,Nn.methodOf=ol,Nn.mixin=sl,Nn.negate=Ds,Nn.nthArg=function(t){return t=da(t),Gr((function(e){return Fr(e,t)}))},Nn.omit=Da,Nn.omitBy=function(t,e){return Ia(t,Ds(oo(e)))},Nn.once=function(t){return Os(2,t)},Nn.orderBy=function(t,e,n,r){return null==t?[]:(qs(e)||(e=null==e?[]:[e]),qs(n=r?i:n)||(n=null==n?[]:[n]),zr(t,e,n))},Nn.over=ll,Nn.overArgs=$s,Nn.overEvery=cl,Nn.overSome=ul,Nn.partial=Is,Nn.partialRight=Rs,Nn.partition=Ss,Nn.pick=$a,Nn.pickBy=Ia,Nn.property=hl,Nn.propertyOf=function(t){return function(e){return null==t?i:xr(t,e)}},Nn.pull=Ko,Nn.pullAll=Zo,Nn.pullAllBy=function(t,e,n){return t&&t.length&&e&&e.length?qr(t,e,oo(n,2)):t},Nn.pullAllWith=function(t,e,n){return t&&t.length&&e&&e.length?qr(t,e,i,n):t},Nn.pullAt=Jo,Nn.range=pl,Nn.rangeRight=dl,Nn.rearg=Ns,Nn.reject=function(t,e){return(qs(t)?Te:fr)(t,Ds(oo(e,3)))},Nn.remove=function(t,e){var n=[];if(!t||!t.length)return n;var r=-1,i=[],o=t.length;for(e=oo(e,3);++r<o;){var s=t[r];e(s,r,t)&&(n.push(s),i.push(r))}return Wr(t,i),n},Nn.rest=function(t,e){if("function"!=typeof t)throw new Ot(o);return Gr(t,e=e===i?e:da(e))},Nn.reverse=Qo,Nn.sampleSize=function(t,e,n){return e=(n?vo(t,e,n):e===i)?1:da(e),(qs(t)?Kn:Yr)(t,e)},Nn.set=function(t,e,n){return null==t?t:Kr(t,e,n)},Nn.setWith=function(t,e,n,r){return r="function"==typeof r?r:i,null==t?t:Kr(t,e,n,r)},Nn.shuffle=function(t){return(qs(t)?Zn:Qr)(t)},Nn.slice=function(t,e,n){var r=null==t?0:t.length;return r?(n&&"number"!=typeof n&&vo(t,e,n)?(e=0,n=r):(e=null==e?0:da(e),n=n===i?r:da(n)),ti(t,e,n)):[]},Nn.sortBy=ks,Nn.sortedUniq=function(t){return t&&t.length?ii(t):[]},Nn.sortedUniqBy=function(t,e){return t&&t.length?ii(t,oo(e,2)):[]},Nn.split=function(t,e,n){return n&&"number"!=typeof n&&vo(t,e,n)&&(e=n=i),(n=n===i?d:n>>>0)?(t=va(t))&&("string"==typeof e||null!=e&&!ia(e))&&!(e=si(e))&&rn(t)?yi(hn(t),0,n):t.split(e,n):[]},Nn.spread=function(t,e){if("function"!=typeof t)throw new Ot(o);return e=null==e?0:mn(da(e),0),Gr((function(n){var r=n[e],i=yi(n,0,e);return r&&Le(i,r),Se(t,this,i)}))},Nn.tail=function(t){var e=null==t?0:t.length;return e?ti(t,1,e):[]},Nn.take=function(t,e,n){return t&&t.length?ti(t,0,(e=n||e===i?1:da(e))<0?0:e):[]},Nn.takeRight=function(t,e,n){var r=null==t?0:t.length;return r?ti(t,(e=r-(e=n||e===i?1:da(e)))<0?0:e,r):[]},Nn.takeRightWhile=function(t,e){return t&&t.length?ui(t,oo(e,3),!1,!0):[]},Nn.takeWhile=function(t,e){return t&&t.length?ui(t,oo(e,3)):[]},Nn.tap=function(t,e){return e(t),t},Nn.throttle=function(t,e,n){var r=!0,i=!0;if("function"!=typeof t)throw new Ot(o);return Qs(n)&&(r="leading"in n?!!n.leading:r,i="trailing"in n?!!n.trailing:i),Ps(t,e,{leading:r,maxWait:e,trailing:i})},Nn.thru=ps,Nn.toArray=ha,Nn.toPairs=Ra,Nn.toPairsIn=Na,Nn.toPath=function(t){return qs(t)?Me(t,Io):aa(t)?[t]:Ai($o(va(t)))},Nn.toPlainObject=ma,Nn.transform=function(t,e,n){var r=qs(t),i=r||Gs(t)||la(t);if(e=oo(e,4),null==n){var o=t&&t.constructor;n=i?r?new o:[]:Qs(t)&&Ks(o)?Bn(Wt(t)):{}}return(i?Ce:yr)(t,(function(t,r,i){return e(n,t,r,i)})),n},Nn.unary=function(t){return As(t,1)},Nn.union=ts,Nn.unionBy=es,Nn.unionWith=ns,Nn.uniq=function(t){return t&&t.length?ai(t):[]},Nn.uniqBy=function(t,e){return t&&t.length?ai(t,oo(e,2)):[]},Nn.uniqWith=function(t,e){return e="function"==typeof e?e:i,t&&t.length?ai(t,i,e):[]},Nn.unset=function(t,e){return null==t||li(t,e)},Nn.unzip=rs,Nn.unzipWith=is,Nn.update=function(t,e,n){return null==t?t:ci(t,e,gi(n))},Nn.updateWith=function(t,e,n,r){return r="function"==typeof r?r:i,null==t?t:ci(t,e,gi(n),r)},Nn.values=Ba,Nn.valuesIn=function(t){return null==t?[]:Ke(t,Ma(t))},Nn.without=os,Nn.words=Ka,Nn.wrap=function(t,e){return Is(gi(e),t)},Nn.xor=ss,Nn.xorBy=as,Nn.xorWith=ls,Nn.zip=cs,Nn.zipObject=function(t,e){return di(t||[],e||[],Qn)},Nn.zipObjectDeep=function(t,e){return di(t||[],e||[],Kr)},Nn.zipWith=us,Nn.entries=Ra,Nn.entriesIn=Na,Nn.extend=ba,Nn.extendWith=_a,sl(Nn,Nn),Nn.add=vl,Nn.attempt=Za,Nn.camelCase=Fa,Nn.capitalize=za,Nn.ceil=yl,Nn.clamp=function(t,e,n){return n===i&&(n=e,e=i),n!==i&&(n=(n=ga(n))==n?n:0),e!==i&&(e=(e=ga(e))==e?e:0),or(ga(t),e,n)},Nn.clone=function(t){return sr(t,4)},Nn.cloneDeep=function(t){return sr(t,5)},Nn.cloneDeepWith=function(t,e){return sr(t,5,e="function"==typeof e?e:i)},Nn.cloneWith=function(t,e){return sr(t,4,e="function"==typeof e?e:i)},Nn.conformsTo=function(t,e){return null==e||ar(t,e,Pa(e))},Nn.deburr=Va,Nn.defaultTo=function(t,e){return null==t||t!=t?e:t},Nn.divide=bl,Nn.endsWith=function(t,e,n){t=va(t),e=si(e);var r=t.length,o=n=n===i?r:or(da(n),0,r);return(n-=e.length)>=0&&t.slice(n,o)==e},Nn.eq=Bs,Nn.escape=function(t){return(t=va(t))&&X.test(t)?t.replace(U,en):t},Nn.escapeRegExp=function(t){return(t=va(t))&&nt.test(t)?t.replace(et,"\\$&"):t},Nn.every=function(t,e,n){var r=qs(t)?Oe:pr;return n&&vo(t,e,n)&&(e=i),r(t,oo(e,3))},Nn.find=gs,Nn.findIndex=Vo,Nn.findKey=function(t,e){return Re(t,oo(e,3),yr)},Nn.findLast=ms,Nn.findLastIndex=qo,Nn.findLastKey=function(t,e){return Re(t,oo(e,3),br)},Nn.floor=_l,Nn.forEach=vs,Nn.forEachRight=ys,Nn.forIn=function(t,e){return null==t?t:mr(t,oo(e,3),Ma)},Nn.forInRight=function(t,e){return null==t?t:vr(t,oo(e,3),Ma)},Nn.forOwn=function(t,e){return t&&yr(t,oo(e,3))},Nn.forOwnRight=function(t,e){return t&&br(t,oo(e,3))},Nn.get=Ca,Nn.gt=Fs,Nn.gte=zs,Nn.has=function(t,e){return null!=t&&po(t,e,Cr)},Nn.hasIn=Aa,Nn.head=Ho,Nn.identity=nl,Nn.includes=function(t,e,n,r){t=Hs(t)?t:Ba(t),n=n&&!r?da(n):0;var i=t.length;return n<0&&(n=mn(i+n,0)),sa(t)?n<=i&&t.indexOf(e,n)>-1:!!i&&Be(t,e,n)>-1},Nn.indexOf=function(t,e,n){var r=null==t?0:t.length;if(!r)return-1;var i=null==n?0:da(n);return i<0&&(i=mn(r+i,0)),Be(t,e,i)},Nn.inRange=function(t,e,n){return e=pa(e),n===i?(n=e,e=0):n=pa(n),function(t,e,n){return t>=vn(e,n)&&t<mn(e,n)}(t=ga(t),e,n)},Nn.invoke=Ea,Nn.isArguments=Vs,Nn.isArray=qs,Nn.isArrayBuffer=Ws,Nn.isArrayLike=Hs,Nn.isArrayLikeObject=Us,Nn.isBoolean=function(t){return!0===t||!1===t||ta(t)&&Sr(t)==v},Nn.isBuffer=Gs,Nn.isDate=Xs,Nn.isElement=function(t){return ta(t)&&1===t.nodeType&&!ra(t)},Nn.isEmpty=function(t){if(null==t)return!0;if(Hs(t)&&(qs(t)||"string"==typeof t||"function"==typeof t.splice||Gs(t)||la(t)||Vs(t)))return!t.length;var e=ho(t);if(e==w||e==O)return!t.size;if(xo(t))return!Dr(t).length;for(var n in t)if(jt.call(t,n))return!1;return!0},Nn.isEqual=function(t,e){return Pr(t,e)},Nn.isEqualWith=function(t,e,n){var r=(n="function"==typeof n?n:i)?n(t,e):i;return r===i?Pr(t,e,i,n):!!r},Nn.isError=Ys,Nn.isFinite=function(t){return"number"==typeof t&&Ie(t)},Nn.isFunction=Ks,Nn.isInteger=Zs,Nn.isLength=Js,Nn.isMap=ea,Nn.isMatch=function(t,e){return t===e||Mr(t,e,ao(e))},Nn.isMatchWith=function(t,e,n){return n="function"==typeof n?n:i,Mr(t,e,ao(e),n)},Nn.isNaN=function(t){return na(t)&&t!=+t},Nn.isNative=function(t){if(_o(t))throw new xt("Unsupported core-js use. Try https://npms.io/search?q=ponyfill.");return Lr(t)},Nn.isNil=function(t){return null==t},Nn.isNull=function(t){return null===t},Nn.isNumber=na,Nn.isObject=Qs,Nn.isObjectLike=ta,Nn.isPlainObject=ra,Nn.isRegExp=ia,Nn.isSafeInteger=function(t){return Zs(t)&&t>=-9007199254740991&&t<=h},Nn.isSet=oa,Nn.isString=sa,Nn.isSymbol=aa,Nn.isTypedArray=la,Nn.isUndefined=function(t){return t===i},Nn.isWeakMap=function(t){return ta(t)&&ho(t)==P},Nn.isWeakSet=function(t){return ta(t)&&"[object WeakSet]"==Sr(t)},Nn.join=function(t,e){return null==t?"":We.call(t,e)},Nn.kebabCase=qa,Nn.last=Yo,Nn.lastIndexOf=function(t,e,n){var r=null==t?0:t.length;if(!r)return-1;var o=r;return n!==i&&(o=(o=da(n))<0?mn(r+o,0):vn(o,r-1)),e==e?function(t,e,n){for(var r=n+1;r--;)if(t[r]===e)return r;return r}(t,e,o):Ne(t,ze,o,!0)},Nn.lowerCase=Wa,Nn.lowerFirst=Ha,Nn.lt=ca,Nn.lte=ua,Nn.max=function(t){return t&&t.length?dr(t,nl,kr):i},Nn.maxBy=function(t,e){return t&&t.length?dr(t,oo(e,2),kr):i},Nn.mean=function(t){return Ve(t,nl)},Nn.meanBy=function(t,e){return Ve(t,oo(e,2))},Nn.min=function(t){return t&&t.length?dr(t,nl,$r):i},Nn.minBy=function(t,e){return t&&t.length?dr(t,oo(e,2),$r):i},Nn.stubArray=fl,Nn.stubFalse=gl,Nn.stubObject=function(){return{}},Nn.stubString=function(){return""},Nn.stubTrue=function(){return!0},Nn.multiply=xl,Nn.nth=function(t,e){return t&&t.length?Fr(t,da(e)):i},Nn.noConflict=function(){return he._===this&&(he._=Nt),this},Nn.noop=al,Nn.now=Cs,Nn.pad=function(t,e,n){t=va(t);var r=(e=da(e))?un(t):0;if(!e||r>=e)return t;var i=(e-r)/2;return zi(de(i),n)+t+zi(pe(i),n)},Nn.padEnd=function(t,e,n){t=va(t);var r=(e=da(e))?un(t):0;return e&&r<e?t+zi(e-r,n):t},Nn.padStart=function(t,e,n){t=va(t);var r=(e=da(e))?un(t):0;return e&&r<e?zi(e-r,n)+t:t},Nn.parseInt=function(t,e,n){return n||null==e?e=0:e&&(e=+e),bn(va(t).replace(rt,""),e||0)},Nn.random=function(t,e,n){if(n&&"boolean"!=typeof n&&vo(t,e,n)&&(e=n=i),n===i&&("boolean"==typeof e?(n=e,e=i):"boolean"==typeof t&&(n=t,t=i)),t===i&&e===i?(t=0,e=1):(t=pa(t),e===i?(e=t,t=0):e=pa(e)),t>e){var r=t;t=e,e=r}if(n||t%1||e%1){var o=_n();return vn(t+o*(e-t+ae("1e-"+((o+"").length-1))),e)}return Hr(t,e)},Nn.reduce=function(t,e,n){var r=qs(t)?je:He,i=arguments.length<3;return r(t,oo(e,4),n,i,ur)},Nn.reduceRight=function(t,e,n){var r=qs(t)?De:He,i=arguments.length<3;return r(t,oo(e,4),n,i,hr)},Nn.repeat=function(t,e,n){return e=(n?vo(t,e,n):e===i)?1:da(e),Ur(va(t),e)},Nn.replace=function(){var t=arguments,e=va(t[0]);return t.length<3?e:e.replace(t[1],t[2])},Nn.result=function(t,e,n){var r=-1,o=(e=mi(e,t)).length;for(o||(o=1,t=i);++r<o;){var s=null==t?i:t[Io(e[r])];s===i&&(r=o,s=n),t=Ks(s)?s.call(t):s}return t},Nn.round=wl,Nn.runInContext=t,Nn.sample=function(t){return(qs(t)?Yn:Xr)(t)},Nn.size=function(t){if(null==t)return 0;if(Hs(t))return sa(t)?un(t):t.length;var e=ho(t);return e==w||e==O?t.size:Dr(t).length},Nn.snakeCase=Ua,Nn.some=function(t,e,n){var r=qs(t)?$e:ei;return n&&vo(t,e,n)&&(e=i),r(t,oo(e,3))},Nn.sortedIndex=function(t,e){return ni(t,e)},Nn.sortedIndexBy=function(t,e,n){return ri(t,e,oo(n,2))},Nn.sortedIndexOf=function(t,e){var n=null==t?0:t.length;if(n){var r=ni(t,e);if(r<n&&Bs(t[r],e))return r}return-1},Nn.sortedLastIndex=function(t,e){return ni(t,e,!0)},Nn.sortedLastIndexBy=function(t,e,n){return ri(t,e,oo(n,2),!0)},Nn.sortedLastIndexOf=function(t,e){if(null!=t&&t.length){var n=ni(t,e,!0)-1;if(Bs(t[n],e))return n}return-1},Nn.startCase=Ga,Nn.startsWith=function(t,e,n){return t=va(t),n=null==n?0:or(da(n),0,t.length),e=si(e),t.slice(n,n+e.length)==e},Nn.subtract=Sl,Nn.sum=function(t){return t&&t.length?Ue(t,nl):0},Nn.sumBy=function(t,e){return t&&t.length?Ue(t,oo(e,2)):0},Nn.template=function(t,e,n){var r=Nn.templateSettings;n&&vo(t,e,n)&&(e=i),t=va(t),e=_a({},e,r,Yi);var o,s,a=_a({},e.imports,r.imports,Yi),l=Pa(a),c=Ke(a,l),u=0,h=e.interpolate||bt,p="__p += '",d=Ct((e.escape||bt).source+"|"+h.source+"|"+(h===Z?ht:bt).source+"|"+(e.evaluate||bt).source+"|$","g"),f="//# sourceURL="+(jt.call(e,"sourceURL")?(e.sourceURL+"").replace(/\s/g," "):"lodash.templateSources["+ ++re+"]")+"\n";t.replace(d,(function(e,n,r,i,a,l){return r||(r=i),p+=t.slice(u,l).replace(_t,nn),n&&(o=!0,p+="' +\n__e("+n+") +\n'"),a&&(s=!0,p+="';\n"+a+";\n__p += '"),r&&(p+="' +\n((__t = ("+r+")) == null ? '' : __t) +\n'"),u=l+e.length,e})),p+="';\n";var g=jt.call(e,"variable")&&e.variable;if(g){if(ct.test(g))throw new xt("Invalid `variable` option passed into `_.template`")}else p="with (obj) {\n"+p+"\n}\n";p=(s?p.replace(V,""):p).replace(q,"$1").replace(W,"$1;"),p="function("+(g||"obj")+") {\n"+(g?"":"obj || (obj = {});\n")+"var __t, __p = ''"+(o?", __e = _.escape":"")+(s?", __j = Array.prototype.join;\nfunction print() { __p += __j.call(arguments, '') }\n":";\n")+p+"return __p\n}";var m=Za((function(){return wt(l,f+"return "+p).apply(i,c)}));if(m.source=p,Ys(m))throw m;return m},Nn.times=function(t,e){if((t=da(t))<1||t>h)return[];var n=d,r=vn(t,d);e=oo(e),t-=d;for(var i=Ge(r,e);++n<t;)e(n);return i},Nn.toFinite=pa,Nn.toInteger=da,Nn.toLength=fa,Nn.toLower=function(t){return va(t).toLowerCase()},Nn.toNumber=ga,Nn.toSafeInteger=function(t){return t?or(da(t),-9007199254740991,h):0===t?t:0},Nn.toString=va,Nn.toUpper=function(t){return va(t).toUpperCase()},Nn.trim=function(t,e,n){if((t=va(t))&&(n||e===i))return Xe(t);if(!t||!(e=si(e)))return t;var r=hn(t),o=hn(e);return yi(r,Je(r,o),Qe(r,o)+1).join("")},Nn.trimEnd=function(t,e,n){if((t=va(t))&&(n||e===i))return t.slice(0,pn(t)+1);if(!t||!(e=si(e)))return t;var r=hn(t);return yi(r,0,Qe(r,hn(e))+1).join("")},Nn.trimStart=function(t,e,n){if((t=va(t))&&(n||e===i))return t.replace(rt,"");if(!t||!(e=si(e)))return t;var r=hn(t);return yi(r,Je(r,hn(e))).join("")},Nn.truncate=function(t,e){var n=30,r="...";if(Qs(e)){var o="separator"in e?e.separator:o;n="length"in e?da(e.length):n,r="omission"in e?si(e.omission):r}var s=(t=va(t)).length;if(rn(t)){var a=hn(t);s=a.length}if(n>=s)return t;var l=n-un(r);if(l<1)return r;var c=a?yi(a,0,l).join(""):t.slice(0,l);if(o===i)return c+r;if(a&&(l+=c.length-l),ia(o)){if(t.slice(l).search(o)){var u,h=c;for(o.global||(o=Ct(o.source,va(pt.exec(o))+"g")),o.lastIndex=0;u=o.exec(h);)var p=u.index;c=c.slice(0,p===i?l:p)}}else if(t.indexOf(si(o),l)!=l){var d=c.lastIndexOf(o);d>-1&&(c=c.slice(0,d))}return c+r},Nn.unescape=function(t){return(t=va(t))&&G.test(t)?t.replace(H,dn):t},Nn.uniqueId=function(t){var e=++Dt;return va(t)+e},Nn.upperCase=Xa,Nn.upperFirst=Ya,Nn.each=vs,Nn.eachRight=ys,Nn.first=Ho,sl(Nn,(ml={},yr(Nn,(function(t,e){jt.call(Nn.prototype,e)||(ml[e]=t)})),ml),{chain:!1}),Nn.VERSION="4.17.21",Ce(["bind","bindKey","curry","curryRight","partial","partialRight"],(function(t){Nn[t].placeholder=Nn})),Ce(["drop","take"],(function(t,e){Vn.prototype[t]=function(n){n=n===i?1:mn(da(n),0);var r=this.__filtered__&&!e?new Vn(this):this.clone();return r.__filtered__?r.__takeCount__=vn(n,r.__takeCount__):r.__views__.push({size:vn(n,d),type:t+(r.__dir__<0?"Right":"")}),r},Vn.prototype[t+"Right"]=function(e){return this.reverse()[t](e).reverse()}})),Ce(["filter","map","takeWhile"],(function(t,e){var n=e+1,r=1==n||3==n;Vn.prototype[t]=function(t){var e=this.clone();return e.__iteratees__.push({iteratee:oo(t,3),type:n}),e.__filtered__=e.__filtered__||r,e}})),Ce(["head","last"],(function(t,e){var n="take"+(e?"Right":"");Vn.prototype[t]=function(){return this[n](1).value()[0]}})),Ce(["initial","tail"],(function(t,e){var n="drop"+(e?"":"Right");Vn.prototype[t]=function(){return this.__filtered__?new Vn(this):this[n](1)}})),Vn.prototype.compact=function(){return this.filter(nl)},Vn.prototype.find=function(t){return this.filter(t).head()},Vn.prototype.findLast=function(t){return this.reverse().find(t)},Vn.prototype.invokeMap=Gr((function(t,e){return"function"==typeof t?new Vn(this):this.map((function(n){return Tr(n,t,e)}))})),Vn.prototype.reject=function(t){return this.filter(Ds(oo(t)))},Vn.prototype.slice=function(t,e){t=da(t);var n=this;return n.__filtered__&&(t>0||e<0)?new Vn(n):(t<0?n=n.takeRight(-t):t&&(n=n.drop(t)),e!==i&&(n=(e=da(e))<0?n.dropRight(-e):n.take(e-t)),n)},Vn.prototype.takeRightWhile=function(t){return this.reverse().takeWhile(t).reverse()},Vn.prototype.toArray=function(){return this.take(d)},yr(Vn.prototype,(function(t,e){var n=/^(?:filter|find|map|reject)|While$/.test(e),r=/^(?:head|last)$/.test(e),o=Nn[r?"take"+("last"==e?"Right":""):e],s=r||/^find/.test(e);o&&(Nn.prototype[e]=function(){var e=this.__wrapped__,a=r?[1]:arguments,l=e instanceof Vn,c=a[0],u=l||qs(e),h=function(t){var e=o.apply(Nn,Le([t],a));return r&&p?e[0]:e};u&&n&&"function"==typeof c&&1!=c.length&&(l=u=!1);var p=this.__chain__,d=!!this.__actions__.length,f=s&&!p,g=l&&!d;if(!s&&u){e=g?e:new Vn(this);var m=t.apply(e,a);return m.__actions__.push({func:ps,args:[h],thisArg:i}),new zn(m,p)}return f&&g?t.apply(this,a):(m=this.thru(h),f?r?m.value()[0]:m.value():m)})})),Ce(["pop","push","shift","sort","splice","unshift"],(function(t){var e=Tt[t],n=/^(?:push|sort|unshift)$/.test(t)?"tap":"thru",r=/^(?:pop|shift)$/.test(t);Nn.prototype[t]=function(){var t=arguments;if(r&&!this.__chain__){var i=this.value();return e.apply(qs(i)?i:[],t)}return this[n]((function(n){return e.apply(qs(n)?n:[],t)}))}})),yr(Vn.prototype,(function(t,e){var n=Nn[e];if(n){var r=n.name+"";jt.call(En,r)||(En[r]=[]),En[r].push({name:e,func:n})}})),En[Ri(i,2).name]=[{name:"wrapper",func:i}],Vn.prototype.clone=function(){var t=new Vn(this.__wrapped__);return t.__actions__=Ai(this.__actions__),t.__dir__=this.__dir__,t.__filtered__=this.__filtered__,t.__iteratees__=Ai(this.__iteratees__),t.__takeCount__=this.__takeCount__,t.__views__=Ai(this.__views__),t},Vn.prototype.reverse=function(){if(this.__filtered__){var t=new Vn(this);t.__dir__=-1,t.__filtered__=!0}else(t=this.clone()).__dir__*=-1;return t},Vn.prototype.value=function(){var t=this.__wrapped__.value(),e=this.__dir__,n=qs(t),r=e<0,i=n?t.length:0,o=function(t,e,n){for(var r=-1,i=n.length;++r<i;){var o=n[r],s=o.size;switch(o.type){case"drop":t+=s;break;case"dropRight":e-=s;break;case"take":e=vn(e,t+s);break;case"takeRight":t=mn(t,e-s)}}return{start:t,end:e}}(0,i,this.__views__),s=o.start,a=o.end,l=a-s,c=r?a:s-1,u=this.__iteratees__,h=u.length,p=0,d=vn(l,this.__takeCount__);if(!n||!r&&i==l&&d==l)return hi(t,this.__actions__);var f=[];t:for(;l--&&p<d;){for(var g=-1,m=t[c+=e];++g<h;){var v=u[g],y=v.iteratee,b=v.type,_=y(m);if(2==b)m=_;else if(!_){if(1==b)continue t;break t}}f[p++]=m}return f},Nn.prototype.at=ds,Nn.prototype.chain=function(){return hs(this)},Nn.prototype.commit=function(){return new zn(this.value(),this.__chain__)},Nn.prototype.next=function(){this.__values__===i&&(this.__values__=ha(this.value()));var t=this.__index__>=this.__values__.length;return{done:t,value:t?i:this.__values__[this.__index__++]}},Nn.prototype.plant=function(t){for(var e,n=this;n instanceof Fn;){var r=No(n);r.__index__=0,r.__values__=i,e?o.__wrapped__=r:e=r;var o=r;n=n.__wrapped__}return o.__wrapped__=t,e},Nn.prototype.reverse=function(){var t=this.__wrapped__;if(t instanceof Vn){var e=t;return this.__actions__.length&&(e=new Vn(this)),(e=e.reverse()).__actions__.push({func:ps,args:[Qo],thisArg:i}),new zn(e,this.__chain__)}return this.thru(Qo)},Nn.prototype.toJSON=Nn.prototype.valueOf=Nn.prototype.value=function(){return hi(this.__wrapped__,this.__actions__)},Nn.prototype.first=Nn.prototype.head,Yt&&(Nn.prototype[Yt]=function(){return this}),Nn}();he._=fn,(r=function(){return fn}.call(e,n,e,t))===i||(t.exports=r)}.call(this)},60:(t,e)=>{"use strict";e.A=(t,e)=>{const n=t.__vccOpts||t;for(const[t,r]of e)n[t]=r;return n}},659:(t,e,n)=>{var r=n(492);r.__esModule&&(r=r.default),"string"==typeof r&&(r=[[t.id,r,""]]),r.locals&&(t.exports=r.locals),(0,n(988).A)("ec29ce6c",r,!1,{})},525:(t,e,n)=>{var r=n(234);r.__esModule&&(r=r.default),"string"==typeof r&&(r=[[t.id,r,""]]),r.locals&&(t.exports=r.locals),(0,n(988).A)("419ff70f",r,!1,{})},265:(t,e,n)=>{var r=n(242);r.__esModule&&(r=r.default),"string"==typeof r&&(r=[[t.id,r,""]]),r.locals&&(t.exports=r.locals),(0,n(988).A)("1b79194e",r,!1,{})},988:(t,e,n)=>{"use strict";function r(t,e){for(var n=[],r={},i=0;i<e.length;i++){var o=e[i],s=o[0],a={id:t+":"+i,css:o[1],media:o[2],sourceMap:o[3]};r[s]?r[s].parts.push(a):n.push(r[s]={id:s,parts:[a]})}return n}n.d(e,{A:()=>f});var i="undefined"!=typeof document;if("undefined"!=typeof DEBUG&&DEBUG&&!i)throw new Error("vue-style-loader cannot be used in a non-browser environment. Use { target: 'node' } in your Webpack config to indicate a server-rendering environment.");var o={},s=i&&(document.head||document.getElementsByTagName("head")[0]),a=null,l=0,c=!1,u=function(){},h=null,p="data-vue-ssr-id",d="undefined"!=typeof navigator&&/msie [6-9]\b/.test(navigator.userAgent.toLowerCase());function f(t,e,n,i){c=n,h=i||{};var s=r(t,e);return g(s),function(e){for(var n=[],i=0;i<s.length;i++){var a=s[i];(l=o[a.id]).refs--,n.push(l)}for(e?g(s=r(t,e)):s=[],i=0;i<n.length;i++){var l;if(0===(l=n[i]).refs){for(var c=0;c<l.parts.length;c++)l.parts[c]();delete o[l.id]}}}}function g(t){for(var e=0;e<t.length;e++){var n=t[e],r=o[n.id];if(r){r.refs++;for(var i=0;i<r.parts.length;i++)r.parts[i](n.parts[i]);for(;i<n.parts.length;i++)r.parts.push(v(n.parts[i]));r.parts.length>n.parts.length&&(r.parts.length=n.parts.length)}else{var s=[];for(i=0;i<n.parts.length;i++)s.push(v(n.parts[i]));o[n.id]={id:n.id,refs:1,parts:s}}}}function m(){var t=document.createElement("style");return t.type="text/css",s.appendChild(t),t}function v(t){var e,n,r=document.querySelector("style["+p+'~="'+t.id+'"]');if(r){if(c)return u;r.parentNode.removeChild(r)}if(d){var i=l++;r=a||(a=m()),e=_.bind(null,r,i,!1),n=_.bind(null,r,i,!0)}else r=m(),e=x.bind(null,r),n=function(){r.parentNode.removeChild(r)};return e(t),function(r){if(r){if(r.css===t.css&&r.media===t.media&&r.sourceMap===t.sourceMap)return;e(t=r)}else n()}}var y,b=(y=[],function(t,e){return y[t]=e,y.filter(Boolean).join("\n")});function _(t,e,n,r){var i=n?"":r.css;if(t.styleSheet)t.styleSheet.cssText=b(e,i);else{var o=document.createTextNode(i),s=t.childNodes;s[e]&&t.removeChild(s[e]),s.length?t.insertBefore(o,s[e]):t.appendChild(o)}}function x(t,e){var n=e.css,r=e.media,i=e.sourceMap;if(r&&t.setAttribute("media",r),h.ssrId&&t.setAttribute(p,e.id),i&&(n+="\n/*# sourceURL="+i.sources[0]+" */",n+="\n/*# sourceMappingURL=data:application/json;base64,"+btoa(unescape(encodeURIComponent(JSON.stringify(i))))+" */"),t.styleSheet)t.styleSheet.cssText=n;else{for(;t.firstChild;)t.removeChild(t.firstChild);t.appendChild(document.createTextNode(n))}}}},e={};function n(r){var i=e[r];if(void 0!==i)return i.exports;var o=e[r]={id:r,loaded:!1,exports:{}};return t[r].call(o.exports,o,o.exports,n),o.loaded=!0,o.exports}n.n=t=>{var e=t&&t.__esModule?()=>t.default:()=>t;return n.d(e,{a:e}),e},n.d=(t,e)=>{for(var r in e)n.o(e,r)&&!n.o(t,r)&&Object.defineProperty(t,r,{enumerable:!0,get:e[r]})},n.g=function(){if("object"==typeof globalThis)return globalThis;try{return this||new Function("return this")()}catch(t){if("object"==typeof window)return window}}(),n.o=(t,e)=>Object.prototype.hasOwnProperty.call(t,e),n.r=t=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(t,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(t,"__esModule",{value:!0})},n.nmd=t=>(t.paths=[],t.children||(t.children=[]),t),(()=>{"use strict";var t={};n.r(t),n.d(t,{hasBrowserEnv:()=>el,hasStandardBrowserEnv:()=>nl,hasStandardBrowserWebWorkerEnv:()=>il});var e=n(743),r=n.n(e);function i(t,e){const n=new Set(t.split(","));return e?t=>n.has(t.toLowerCase()):t=>n.has(t)}const o={},s=[],a=()=>{},l=()=>!1,c=t=>111===t.charCodeAt(0)&&110===t.charCodeAt(1)&&(t.charCodeAt(2)>122||t.charCodeAt(2)<97),u=t=>t.startsWith("onUpdate:"),h=Object.assign,p=(t,e)=>{const n=t.indexOf(e);n>-1&&t.splice(n,1)},d=Object.prototype.hasOwnProperty,f=(t,e)=>d.call(t,e),g=Array.isArray,m=t=>"[object Map]"===C(t),v=t=>"[object Set]"===C(t),y=t=>"[object Date]"===C(t),b=t=>"function"==typeof t,_=t=>"string"==typeof t,x=t=>"symbol"==typeof t,w=t=>null!==t&&"object"==typeof t,S=t=>(w(t)||b(t))&&b(t.then)&&b(t.catch),k=Object.prototype.toString,C=t=>k.call(t),A=t=>C(t).slice(8,-1),O=t=>"[object Object]"===C(t),T=t=>_(t)&&"NaN"!==t&&"-"!==t[0]&&""+parseInt(t,10)===t,E=i(",key,ref,ref_for,ref_key,onVnodeBeforeMount,onVnodeMounted,onVnodeBeforeUpdate,onVnodeUpdated,onVnodeBeforeUnmount,onVnodeUnmounted"),P=t=>{const e=Object.create(null);return n=>e[n]||(e[n]=t(n))},M=/-(\w)/g,L=P((t=>t.replace(M,((t,e)=>e?e.toUpperCase():"")))),j=/\B([A-Z])/g,D=P((t=>t.replace(j,"-$1").toLowerCase())),$=P((t=>t.charAt(0).toUpperCase()+t.slice(1))),I=P((t=>t?`on${$(t)}`:"")),R=(t,e)=>!Object.is(t,e),N=(t,e)=>{for(let n=0;n<t.length;n++)t[n](e)},B=(t,e,n)=>{Object.defineProperty(t,e,{configurable:!0,enumerable:!1,value:n})},F=t=>{const e=parseFloat(t);return isNaN(e)?t:e},z=t=>{const e=_(t)?Number(t):NaN;return isNaN(e)?t:e};let V;const q=()=>V||(V="undefined"!=typeof globalThis?globalThis:"undefined"!=typeof self?self:"undefined"!=typeof window?window:void 0!==n.g?n.g:{});function W(t){if(g(t)){const e={};for(let n=0;n<t.length;n++){const r=t[n],i=_(r)?X(r):W(r);if(i)for(const t in i)e[t]=i[t]}return e}if(_(t)||w(t))return t}const H=/;(?![^(]*\))/g,U=/:([^]+)/,G=/\/\*[^]*?\*\//g;function X(t){const e={};return t.replace(G,"").split(H).forEach((t=>{if(t){const n=t.split(U);n.length>1&&(e[n[0].trim()]=n[1].trim())}})),e}function Y(t){let e="";if(_(t))e=t;else if(g(t))for(let n=0;n<t.length;n++){const r=Y(t[n]);r&&(e+=r+" ")}else if(w(t))for(const n in t)t[n]&&(e+=n+" ");return e.trim()}function K(t){if(!t)return null;let{class:e,style:n}=t;return e&&!_(e)&&(t.class=Y(e)),n&&(t.style=W(n)),t}const Z=i("itemscope,allowfullscreen,formnovalidate,ismap,nomodule,novalidate,readonly");function J(t){return!!t||""===t}function Q(t,e){if(t===e)return!0;let n=y(t),r=y(e);if(n||r)return!(!n||!r)&&t.getTime()===e.getTime();if(n=x(t),r=x(e),n||r)return t===e;if(n=g(t),r=g(e),n||r)return!(!n||!r)&&function(t,e){if(t.length!==e.length)return!1;let n=!0;for(let r=0;n&&r<t.length;r++)n=Q(t[r],e[r]);return n}(t,e);if(n=w(t),r=w(e),n||r){if(!n||!r)return!1;if(Object.keys(t).length!==Object.keys(e).length)return!1;for(const n in t){const r=t.hasOwnProperty(n),i=e.hasOwnProperty(n);if(r&&!i||!r&&i||!Q(t[n],e[n]))return!1}}return String(t)===String(e)}function tt(t,e){return t.findIndex((t=>Q(t,e)))}const et=t=>_(t)?t:null==t?"":g(t)||w(t)&&(t.toString===k||!b(t.toString))?JSON.stringify(t,nt,2):String(t),nt=(t,e)=>e&&e.__v_isRef?nt(t,e.value):m(e)?{[`Map(${e.size})`]:[...e.entries()].reduce(((t,[e,n],r)=>(t[rt(e,r)+" =>"]=n,t)),{})}:v(e)?{[`Set(${e.size})`]:[...e.values()].map((t=>rt(t)))}:x(e)?rt(e):!w(e)||g(e)||O(e)?e:String(e),rt=(t,e="")=>{var n;return x(t)?`Symbol(${null!=(n=t.description)?n:e})`:t};let it,ot;class st{constructor(t=!1){this.detached=t,this._active=!0,this.effects=[],this.cleanups=[],this.parent=it,!t&&it&&(this.index=(it.scopes||(it.scopes=[])).push(this)-1)}get active(){return this._active}run(t){if(this._active){const e=it;try{return it=this,t()}finally{it=e}}}on(){it=this}off(){it=this.parent}stop(t){if(this._active){let e,n;for(e=0,n=this.effects.length;e<n;e++)this.effects[e].stop();for(e=0,n=this.cleanups.length;e<n;e++)this.cleanups[e]();if(this.scopes)for(e=0,n=this.scopes.length;e<n;e++)this.scopes[e].stop(!0);if(!this.detached&&this.parent&&!t){const t=this.parent.scopes.pop();t&&t!==this&&(this.parent.scopes[this.index]=t,t.index=this.index)}this.parent=void 0,this._active=!1}}}class at{constructor(t,e,n,r){this.fn=t,this.trigger=e,this.scheduler=n,this.active=!0,this.deps=[],this._dirtyLevel=4,this._trackId=0,this._runnings=0,this._shouldSchedule=!1,this._depsLength=0,function(t,e=it){e&&e.active&&e.effects.push(t)}(this,r)}get dirty(){if(2===this._dirtyLevel||3===this._dirtyLevel){this._dirtyLevel=1,gt();for(let t=0;t<this._depsLength;t++){const e=this.deps[t];if(e.computed&&(lt(e.computed),this._dirtyLevel>=4))break}1===this._dirtyLevel&&(this._dirtyLevel=0),mt()}return this._dirtyLevel>=4}set dirty(t){this._dirtyLevel=t?4:0}run(){if(this._dirtyLevel=0,!this.active)return this.fn();let t=pt,e=ot;try{return pt=!0,ot=this,this._runnings++,ct(this),this.fn()}finally{ut(this),this._runnings--,ot=e,pt=t}}stop(){var t;this.active&&(ct(this),ut(this),null==(t=this.onStop)||t.call(this),this.active=!1)}}function lt(t){return t.value}function ct(t){t._trackId++,t._depsLength=0}function ut(t){if(t.deps.length>t._depsLength){for(let e=t._depsLength;e<t.deps.length;e++)ht(t.deps[e],t);t.deps.length=t._depsLength}}function ht(t,e){const n=t.get(e);void 0!==n&&e._trackId!==n&&(t.delete(e),0===t.size&&t.cleanup())}let pt=!0,dt=0;const ft=[];function gt(){ft.push(pt),pt=!1}function mt(){const t=ft.pop();pt=void 0===t||t}function vt(){dt++}function yt(){for(dt--;!dt&&_t.length;)_t.shift()()}function bt(t,e,n){if(e.get(t)!==t._trackId){e.set(t,t._trackId);const n=t.deps[t._depsLength];n!==e?(n&&ht(n,t),t.deps[t._depsLength++]=e):t._depsLength++}}const _t=[];function xt(t,e,n){vt();for(const n of t.keys()){let r;n._dirtyLevel<e&&(null!=r?r:r=t.get(n)===n._trackId)&&(n._shouldSchedule||(n._shouldSchedule=0===n._dirtyLevel),n._dirtyLevel=e),n._shouldSchedule&&(null!=r?r:r=t.get(n)===n._trackId)&&(n.trigger(),n._runnings&&!n.allowRecurse||2===n._dirtyLevel||(n._shouldSchedule=!1,n.scheduler&&_t.push(n.scheduler)))}yt()}const wt=(t,e)=>{const n=new Map;return n.cleanup=t,n.computed=e,n},St=new WeakMap,kt=Symbol(""),Ct=Symbol("");function At(t,e,n){if(pt&&ot){let e=St.get(t);e||St.set(t,e=new Map);let r=e.get(n);r||e.set(n,r=wt((()=>e.delete(n)))),bt(ot,r)}}function Ot(t,e,n,r,i,o){const s=St.get(t);if(!s)return;let a=[];if("clear"===e)a=[...s.values()];else if("length"===n&&g(t)){const t=Number(r);s.forEach(((e,n)=>{("length"===n||!x(n)&&n>=t)&&a.push(e)}))}else switch(void 0!==n&&a.push(s.get(n)),e){case"add":g(t)?T(n)&&a.push(s.get("length")):(a.push(s.get(kt)),m(t)&&a.push(s.get(Ct)));break;case"delete":g(t)||(a.push(s.get(kt)),m(t)&&a.push(s.get(Ct)));break;case"set":m(t)&&a.push(s.get(kt))}vt();for(const t of a)t&&xt(t,4);yt()}const Tt=i("__proto__,__v_isRef,__isVue"),Et=new Set(Object.getOwnPropertyNames(Symbol).filter((t=>"arguments"!==t&&"caller"!==t)).map((t=>Symbol[t])).filter(x)),Pt=Mt();function Mt(){const t={};return["includes","indexOf","lastIndexOf"].forEach((e=>{t[e]=function(...t){const n=ye(this);for(let t=0,e=this.length;t<e;t++)At(n,0,t+"");const r=n[e](...t);return-1===r||!1===r?n[e](...t.map(ye)):r}})),["push","pop","shift","unshift","splice"].forEach((e=>{t[e]=function(...t){gt(),vt();const n=ye(this)[e].apply(this,t);return yt(),mt(),n}})),t}function Lt(t){const e=ye(this);return At(e,0,t),e.hasOwnProperty(t)}class jt{constructor(t=!1,e=!1){this._isReadonly=t,this._isShallow=e}get(t,e,n){const r=this._isReadonly,i=this._isShallow;if("__v_isReactive"===e)return!r;if("__v_isReadonly"===e)return r;if("__v_isShallow"===e)return i;if("__v_raw"===e)return n===(r?i?ce:le:i?ae:se).get(t)||Object.getPrototypeOf(t)===Object.getPrototypeOf(n)?t:void 0;const o=g(t);if(!r){if(o&&f(Pt,e))return Reflect.get(Pt,e,n);if("hasOwnProperty"===e)return Lt}const s=Reflect.get(t,e,n);return(x(e)?Et.has(e):Tt(e))?s:(r||At(t,0,e),i?s:Ce(s)?o&&T(e)?s:s.value:w(s)?r?pe(s):ue(s):s)}}class Dt extends jt{constructor(t=!1){super(!1,t)}set(t,e,n,r){let i=t[e];if(!this._isShallow){const e=ge(i);if(me(n)||ge(n)||(i=ye(i),n=ye(n)),!g(t)&&Ce(i)&&!Ce(n))return!e&&(i.value=n,!0)}const o=g(t)&&T(e)?Number(e)<t.length:f(t,e),s=Reflect.set(t,e,n,r);return t===ye(r)&&(o?R(n,i)&&Ot(t,"set",e,n):Ot(t,"add",e,n)),s}deleteProperty(t,e){const n=f(t,e),r=(t[e],Reflect.deleteProperty(t,e));return r&&n&&Ot(t,"delete",e,void 0),r}has(t,e){const n=Reflect.has(t,e);return x(e)&&Et.has(e)||At(t,0,e),n}ownKeys(t){return At(t,0,g(t)?"length":kt),Reflect.ownKeys(t)}}class $t extends jt{constructor(t=!1){super(!0,t)}set(t,e){return!0}deleteProperty(t,e){return!0}}const It=new Dt,Rt=new $t,Nt=new Dt(!0),Bt=t=>t,Ft=t=>Reflect.getPrototypeOf(t);function zt(t,e,n=!1,r=!1){const i=ye(t=t.__v_raw),o=ye(e);n||(R(e,o)&&At(i,0,e),At(i,0,o));const{has:s}=Ft(i),a=r?Bt:n?xe:_e;return s.call(i,e)?a(t.get(e)):s.call(i,o)?a(t.get(o)):void(t!==i&&t.get(e))}function Vt(t,e=!1){const n=this.__v_raw,r=ye(n),i=ye(t);return e||(R(t,i)&&At(r,0,t),At(r,0,i)),t===i?n.has(t):n.has(t)||n.has(i)}function qt(t,e=!1){return t=t.__v_raw,!e&&At(ye(t),0,kt),Reflect.get(t,"size",t)}function Wt(t){t=ye(t);const e=ye(this);return Ft(e).has.call(e,t)||(e.add(t),Ot(e,"add",t,t)),this}function Ht(t,e){e=ye(e);const n=ye(this),{has:r,get:i}=Ft(n);let o=r.call(n,t);o||(t=ye(t),o=r.call(n,t));const s=i.call(n,t);return n.set(t,e),o?R(e,s)&&Ot(n,"set",t,e):Ot(n,"add",t,e),this}function Ut(t){const e=ye(this),{has:n,get:r}=Ft(e);let i=n.call(e,t);i||(t=ye(t),i=n.call(e,t)),r&&r.call(e,t);const o=e.delete(t);return i&&Ot(e,"delete",t,void 0),o}function Gt(){const t=ye(this),e=0!==t.size,n=t.clear();return e&&Ot(t,"clear",void 0,void 0),n}function Xt(t,e){return function(n,r){const i=this,o=i.__v_raw,s=ye(o),a=e?Bt:t?xe:_e;return!t&&At(s,0,kt),o.forEach(((t,e)=>n.call(r,a(t),a(e),i)))}}function Yt(t,e,n){return function(...r){const i=this.__v_raw,o=ye(i),s=m(o),a="entries"===t||t===Symbol.iterator&&s,l="keys"===t&&s,c=i[t](...r),u=n?Bt:e?xe:_e;return!e&&At(o,0,l?Ct:kt),{next(){const{value:t,done:e}=c.next();return e?{value:t,done:e}:{value:a?[u(t[0]),u(t[1])]:u(t),done:e}},[Symbol.iterator](){return this}}}}function Kt(t){return function(...e){return"delete"!==t&&("clear"===t?void 0:this)}}function Zt(){const t={get(t){return zt(this,t)},get size(){return qt(this)},has:Vt,add:Wt,set:Ht,delete:Ut,clear:Gt,forEach:Xt(!1,!1)},e={get(t){return zt(this,t,!1,!0)},get size(){return qt(this)},has:Vt,add:Wt,set:Ht,delete:Ut,clear:Gt,forEach:Xt(!1,!0)},n={get(t){return zt(this,t,!0)},get size(){return qt(this,!0)},has(t){return Vt.call(this,t,!0)},add:Kt("add"),set:Kt("set"),delete:Kt("delete"),clear:Kt("clear"),forEach:Xt(!0,!1)},r={get(t){return zt(this,t,!0,!0)},get size(){return qt(this,!0)},has(t){return Vt.call(this,t,!0)},add:Kt("add"),set:Kt("set"),delete:Kt("delete"),clear:Kt("clear"),forEach:Xt(!0,!0)};return["keys","values","entries",Symbol.iterator].forEach((i=>{t[i]=Yt(i,!1,!1),n[i]=Yt(i,!0,!1),e[i]=Yt(i,!1,!0),r[i]=Yt(i,!0,!0)})),[t,n,e,r]}const[Jt,Qt,te,ee]=Zt();function ne(t,e){const n=e?t?ee:te:t?Qt:Jt;return(e,r,i)=>"__v_isReactive"===r?!t:"__v_isReadonly"===r?t:"__v_raw"===r?e:Reflect.get(f(n,r)&&r in e?n:e,r,i)}const re={get:ne(!1,!1)},ie={get:ne(!1,!0)},oe={get:ne(!0,!1)},se=new WeakMap,ae=new WeakMap,le=new WeakMap,ce=new WeakMap;function ue(t){return ge(t)?t:de(t,!1,It,re,se)}function he(t){return de(t,!1,Nt,ie,ae)}function pe(t){return de(t,!0,Rt,oe,le)}function de(t,e,n,r,i){if(!w(t))return t;if(t.__v_raw&&(!e||!t.__v_isReactive))return t;const o=i.get(t);if(o)return o;const s=(a=t).__v_skip||!Object.isExtensible(a)?0:function(t){switch(t){case"Object":case"Array":return 1;case"Map":case"Set":case"WeakMap":case"WeakSet":return 2;default:return 0}}(A(a));var a;if(0===s)return t;const l=new Proxy(t,2===s?r:n);return i.set(t,l),l}function fe(t){return ge(t)?fe(t.__v_raw):!(!t||!t.__v_isReactive)}function ge(t){return!(!t||!t.__v_isReadonly)}function me(t){return!(!t||!t.__v_isShallow)}function ve(t){return fe(t)||ge(t)}function ye(t){const e=t&&t.__v_raw;return e?ye(e):t}function be(t){return Object.isExtensible(t)&&B(t,"__v_skip",!0),t}const _e=t=>w(t)?ue(t):t,xe=t=>w(t)?pe(t):t;class we{constructor(t,e,n,r){this.getter=t,this._setter=e,this.dep=void 0,this.__v_isRef=!0,this.__v_isReadonly=!1,this.effect=new at((()=>t(this._value)),(()=>ke(this,2===this.effect._dirtyLevel?2:3))),this.effect.computed=this,this.effect.active=this._cacheable=!r,this.__v_isReadonly=n}get value(){const t=ye(this);return t._cacheable&&!t.effect.dirty||!R(t._value,t._value=t.effect.run())||ke(t,4),Se(t),t.effect._dirtyLevel>=2&&ke(t,2),t._value}set value(t){this._setter(t)}get _dirty(){return this.effect.dirty}set _dirty(t){this.effect.dirty=t}}function Se(t){var e;pt&&ot&&(t=ye(t),bt(ot,null!=(e=t.dep)?e:t.dep=wt((()=>t.dep=void 0),t instanceof we?t:void 0)))}function ke(t,e=4,n){const r=(t=ye(t)).dep;r&&xt(r,e)}function Ce(t){return!(!t||!0!==t.__v_isRef)}function Ae(t){return Oe(t,!1)}function Oe(t,e){return Ce(t)?t:new Te(t,e)}class Te{constructor(t,e){this.__v_isShallow=e,this.dep=void 0,this.__v_isRef=!0,this._rawValue=e?t:ye(t),this._value=e?t:_e(t)}get value(){return Se(this),this._value}set value(t){const e=this.__v_isShallow||me(t)||ge(t);t=e?t:ye(t),R(t,this._rawValue)&&(this._rawValue=t,this._value=e?t:_e(t),ke(this,4))}}function Ee(t){ke(t,4)}function Pe(t){return Ce(t)?t.value:t}const Me={get:(t,e,n)=>Pe(Reflect.get(t,e,n)),set:(t,e,n,r)=>{const i=t[e];return Ce(i)&&!Ce(n)?(i.value=n,!0):Reflect.set(t,e,n,r)}};function Le(t){return fe(t)?t:new Proxy(t,Me)}function je(t){const e=g(t)?new Array(t.length):{};for(const n in t)e[n]=Ie(t,n);return e}class De{constructor(t,e,n){this._object=t,this._key=e,this._defaultValue=n,this.__v_isRef=!0}get value(){const t=this._object[this._key];return void 0===t?this._defaultValue:t}set value(t){this._object[this._key]=t}get dep(){return t=ye(this._object),e=this._key,null==(n=St.get(t))?void 0:n.get(e);var t,e,n}}class $e{constructor(t){this._getter=t,this.__v_isRef=!0,this.__v_isReadonly=!0}get value(){return this._getter()}}function Ie(t,e,n){const r=t[e];return Ce(r)?r:new De(t,e,n)}function Re(t,e,n,r){try{return r?t(...r):t()}catch(t){Be(t,e,n)}}function Ne(t,e,n,r){if(b(t)){const i=Re(t,e,n,r);return i&&S(i)&&i.catch((t=>{Be(t,e,n)})),i}const i=[];for(let o=0;o<t.length;o++)i.push(Ne(t[o],e,n,r));return i}function Be(t,e,n,r=!0){if(e&&e.vnode,e){let r=e.parent;const i=e.proxy,o=`https://vuejs.org/error-reference/#runtime-${n}`;for(;r;){const e=r.ec;if(e)for(let n=0;n<e.length;n++)if(!1===e[n](t,i,o))return;r=r.parent}const s=e.appContext.config.errorHandler;if(s)return void Re(s,null,10,[t,i,o])}!function(t,e,n,r=!0){console.error(t)}(t,0,0,r)}let Fe=!1,ze=!1;const Ve=[];let qe=0;const We=[];let He=null,Ue=0;const Ge=Promise.resolve();let Xe=null;function Ye(t){const e=Xe||Ge;return t?e.then(this?t.bind(this):t):e}function Ke(t){Ve.length&&Ve.includes(t,Fe&&t.allowRecurse?qe+1:qe)||(null==t.id?Ve.push(t):Ve.splice(function(t){let e=qe+1,n=Ve.length;for(;e<n;){const r=e+n>>>1,i=Ve[r],o=tn(i);o<t||o===t&&i.pre?e=r+1:n=r}return e}(t.id),0,t),Ze())}function Ze(){Fe||ze||(ze=!0,Xe=Ge.then(nn))}function Je(t,e,n=(Fe?qe+1:0)){for(;n<Ve.length;n++){const e=Ve[n];if(e&&e.pre){if(t&&e.id!==t.uid)continue;Ve.splice(n,1),n--,e()}}}function Qe(t){if(We.length){const t=[...new Set(We)].sort(((t,e)=>tn(t)-tn(e)));if(We.length=0,He)return void He.push(...t);for(He=t,Ue=0;Ue<He.length;Ue++)He[Ue]();He=null,Ue=0}}const tn=t=>null==t.id?1/0:t.id,en=(t,e)=>{const n=tn(t)-tn(e);if(0===n){if(t.pre&&!e.pre)return-1;if(e.pre&&!t.pre)return 1}return n};function nn(t){ze=!1,Fe=!0,Ve.sort(en);try{for(qe=0;qe<Ve.length;qe++){const t=Ve[qe];t&&!1!==t.active&&Re(t,null,14)}}finally{qe=0,Ve.length=0,Qe(),Fe=!1,Xe=null,(Ve.length||We.length)&&nn(t)}}let rn,on=[],sn=!1;function an(t,...e){rn?rn.emit(t,...e):sn||on.push({event:t,args:e})}function ln(t,e){var n,r;rn=t,rn?(rn.enabled=!0,on.forEach((({event:t,args:e})=>rn.emit(t,...e))),on=[]):"undefined"!=typeof window&&window.HTMLElement&&!(null==(r=null==(n=window.navigator)?void 0:n.userAgent)?void 0:r.includes("jsdom"))?((e.__VUE_DEVTOOLS_HOOK_REPLAY__=e.__VUE_DEVTOOLS_HOOK_REPLAY__||[]).push((t=>{ln(t,e)})),setTimeout((()=>{rn||(e.__VUE_DEVTOOLS_HOOK_REPLAY__=null,sn=!0,on=[])}),3e3)):(sn=!0,on=[])}const cn=dn("component:added"),un=dn("component:updated"),hn=dn("component:removed"),pn=t=>{rn&&"function"==typeof rn.cleanupBuffer&&!rn.cleanupBuffer(t)&&hn(t)};function dn(t){return e=>{an(t,e.appContext.app,e.uid,e.parent?e.parent.uid:void 0,e)}}function fn(t,e,...n){if(t.isUnmounted)return;const r=t.vnode.props||o;let i=n;const s=e.startsWith("update:"),a=s&&e.slice(7);if(a&&a in r){const t=`${"modelValue"===a?"model":a}Modifiers`,{number:e,trim:s}=r[t]||o;s&&(i=n.map((t=>_(t)?t.trim():t))),e&&(i=n.map(F))}let l;__VUE_PROD_DEVTOOLS__&&function(t,e,n){an("component:emit",t.appContext.app,t,e,n)}(t,e,i);let c=r[l=I(e)]||r[l=I(L(e))];!c&&s&&(c=r[l=I(D(e))]),c&&Ne(c,t,6,i);const u=r[l+"Once"];if(u){if(t.emitted){if(t.emitted[l])return}else t.emitted={};t.emitted[l]=!0,Ne(u,t,6,i)}}function gn(t,e,n=!1){const r=e.emitsCache,i=r.get(t);if(void 0!==i)return i;const o=t.emits;let s={},a=!1;if(__VUE_OPTIONS_API__&&!b(t)){const r=t=>{const n=gn(t,e,!0);n&&(a=!0,h(s,n))};!n&&e.mixins.length&&e.mixins.forEach(r),t.extends&&r(t.extends),t.mixins&&t.mixins.forEach(r)}return o||a?(g(o)?o.forEach((t=>s[t]=null)):h(s,o),w(t)&&r.set(t,s),s):(w(t)&&r.set(t,null),null)}function mn(t,e){return!(!t||!c(e))&&(e=e.slice(2).replace(/Once$/,""),f(t,e[0].toLowerCase()+e.slice(1))||f(t,D(e))||f(t,e))}let vn=null,yn=null;function bn(t){const e=vn;return vn=t,yn=t&&t.type.__scopeId||null,e}function _n(t){yn=t}function xn(){yn=null}function wn(t,e=vn,n){if(!e)return t;if(t._n)return t;const r=(...n)=>{r._d&&Ti(-1);const i=bn(e);let o;try{o=t(...n)}finally{bn(i),r._d&&Ti(1)}return __VUE_PROD_DEVTOOLS__&&un(e),o};return r._n=!0,r._c=!0,r._d=!0,r}function Sn(t){const{type:e,vnode:n,proxy:r,withProxy:i,props:o,propsOptions:[s],slots:a,attrs:l,emit:c,render:h,renderCache:p,data:d,setupState:f,ctx:g,inheritAttrs:m}=t;let v,y;const b=bn(t);try{if(4&n.shapeFlag){const t=i||r,e=t;v=qi(h.call(e,t,p,o,f,d,g)),y=l}else{const t=e;v=qi(t.length>1?t(o,{attrs:l,slots:a,emit:c}):t(o,null)),y=e.props?l:kn(l)}}catch(e){ki.length=0,Be(e,t,1),v=Ni(wi)}let _=v;if(y&&!1!==m){const t=Object.keys(y),{shapeFlag:e}=_;t.length&&7&e&&(s&&t.some(u)&&(y=Cn(y,s)),_=Fi(_,y))}return n.dirs&&(_=Fi(_),_.dirs=_.dirs?_.dirs.concat(n.dirs):n.dirs),n.transition&&(_.transition=n.transition),v=_,bn(b),v}const kn=t=>{let e;for(const n in t)("class"===n||"style"===n||c(n))&&((e||(e={}))[n]=t[n]);return e},Cn=(t,e)=>{const n={};for(const r in t)u(r)&&r.slice(9)in e||(n[r]=t[r]);return n};function An(t,e,n){const r=Object.keys(e);if(r.length!==Object.keys(t).length)return!0;for(let i=0;i<r.length;i++){const o=r[i];if(e[o]!==t[o]&&!mn(n,o))return!0}return!1}const On="components";function Tn(t,e){return Mn(On,t,!0,e)||t}const En=Symbol.for("v-ndc");function Pn(t){return _(t)?Mn(On,t,!1)||t:t||En}function Mn(t,e,n=!0,r=!1){const i=vn||Ki;if(i){const n=i.type;if(t===On){const t=uo(n,!1);if(t&&(t===e||t===L(e)||t===$(L(e))))return n}const o=Ln(i[t]||n[t],e)||Ln(i.appContext[t],e);return!o&&r?n:o}}function Ln(t,e){return t&&(t[e]||t[L(e)]||t[$(L(e))])}const jn=t=>t.__isSuspense;const Dn=Symbol.for("v-scx"),$n=()=>Jr(Dn);function In(t,e){return Bn(t,null,e)}const Rn={};function Nn(t,e,n){return Bn(t,e,n)}function Bn(t,e,{immediate:n,deep:r,flush:i,once:s,onTrack:l,onTrigger:c}=o){if(e&&s){const t=e;e=(...e)=>{t(...e),A()}}const u=Ki,h=t=>!0===r?t:Vn(t,!1===r?1:void 0);let d,f,m=!1,v=!1;if(Ce(t)?(d=()=>t.value,m=me(t)):fe(t)?(d=()=>h(t),m=!0):g(t)?(v=!0,m=t.some((t=>fe(t)||me(t))),d=()=>t.map((t=>Ce(t)?t.value:fe(t)?h(t):b(t)?Re(t,u,2):void 0))):d=b(t)?e?()=>Re(t,u,2):()=>(f&&f(),Ne(t,u,3,[_])):a,e&&r){const t=d;d=()=>Vn(t())}let y,_=t=>{f=k.onStop=()=>{Re(t,u,4),f=k.onStop=void 0}};if(oo){if(_=a,e?n&&Ne(e,u,3,[d(),v?[]:void 0,_]):d(),"sync"!==i)return a;{const t=$n();y=t.__watcherHandles||(t.__watcherHandles=[])}}let x=v?new Array(t.length).fill(Rn):Rn;const w=()=>{if(k.active&&k.dirty)if(e){const t=k.run();(r||m||(v?t.some(((t,e)=>R(t,x[e]))):R(t,x)))&&(f&&f(),Ne(e,u,3,[t,x===Rn?void 0:v&&x[0]===Rn?[]:x,_]),x=t)}else k.run()};let S;w.allowRecurse=!!e,"sync"===i?S=w:"post"===i?S=()=>fi(w,u&&u.suspense):(w.pre=!0,u&&(w.id=u.uid),S=()=>Ke(w));const k=new at(d,a,S),C=it,A=()=>{k.stop(),C&&p(C.effects,k)};return e?n?w():x=k.run():"post"===i?fi(k.run.bind(k),u&&u.suspense):k.run(),y&&y.push(A),A}function Fn(t,e,n){const r=this.proxy,i=_(t)?t.includes(".")?zn(r,t):()=>r[t]:t.bind(r,r);let o;b(e)?o=e:(o=e.handler,n=e);const s=to(this),a=Bn(i,o.bind(r),n);return s(),a}function zn(t,e){const n=e.split(".");return()=>{let e=t;for(let t=0;t<n.length&&e;t++)e=e[n[t]];return e}}function Vn(t,e,n=0,r){if(!w(t)||t.__v_skip)return t;if(e&&e>0){if(n>=e)return t;n++}if((r=r||new Set).has(t))return t;if(r.add(t),Ce(t))Vn(t.value,e,n,r);else if(g(t))for(let i=0;i<t.length;i++)Vn(t[i],e,n,r);else if(v(t)||m(t))t.forEach((t=>{Vn(t,e,n,r)}));else if(O(t))for(const i in t)Vn(t[i],e,n,r);return t}function qn(t,e){if(null===vn)return t;const n=co(vn)||vn.proxy,r=t.dirs||(t.dirs=[]);for(let t=0;t<e.length;t++){let[i,s,a,l=o]=e[t];i&&(b(i)&&(i={mounted:i,updated:i}),i.deep&&Vn(s),r.push({dir:i,instance:n,value:s,oldValue:void 0,arg:a,modifiers:l}))}return t}function Wn(t,e,n,r){const i=t.dirs,o=e&&e.dirs;for(let s=0;s<i.length;s++){const a=i[s];o&&(a.oldValue=o[s].value);let l=a.dir[r];l&&(gt(),Ne(l,n,8,[t.el,a,t,e]),mt())}}const Hn=Symbol("_leaveCb"),Un=Symbol("_enterCb");const Gn=[Function,Array],Xn={mode:String,appear:Boolean,persisted:Boolean,onBeforeEnter:Gn,onEnter:Gn,onAfterEnter:Gn,onEnterCancelled:Gn,onBeforeLeave:Gn,onLeave:Gn,onAfterLeave:Gn,onLeaveCancelled:Gn,onBeforeAppear:Gn,onAppear:Gn,onAfterAppear:Gn,onAppearCancelled:Gn},Yn={name:"BaseTransition",props:Xn,setup(t,{slots:e}){const n=Zi(),r=function(){const t={isMounted:!1,isLeaving:!1,isUnmounting:!1,leavingVNodes:new Map};return mr((()=>{t.isMounted=!0})),br((()=>{t.isUnmounting=!0})),t}();return()=>{const i=e.default&&nr(e.default(),!0);if(!i||!i.length)return;let o=i[0];if(i.length>1){let t=!1;for(const e of i)if(e.type!==wi){o=e,t=!0;break}}const s=ye(t),{mode:a}=s;if(r.isLeaving)return Qn(o);const l=tr(o);if(!l)return Qn(o);const c=Jn(l,s,r,n);er(l,c);const u=n.subTree,h=u&&tr(u);if(h&&h.type!==wi&&!ji(l,h)){const t=Jn(h,s,r,n);if(er(h,t),"out-in"===a)return r.isLeaving=!0,t.afterLeave=()=>{r.isLeaving=!1,!1!==n.update.active&&(n.effect.dirty=!0,n.update())},Qn(o);"in-out"===a&&l.type!==wi&&(t.delayLeave=(t,e,n)=>{Zn(r,h)[String(h.key)]=h,t[Hn]=()=>{e(),t[Hn]=void 0,delete c.delayedLeave},c.delayedLeave=n})}return o}}},Kn=Yn;function Zn(t,e){const{leavingVNodes:n}=t;let r=n.get(e.type);return r||(r=Object.create(null),n.set(e.type,r)),r}function Jn(t,e,n,r){const{appear:i,mode:o,persisted:s=!1,onBeforeEnter:a,onEnter:l,onAfterEnter:c,onEnterCancelled:u,onBeforeLeave:h,onLeave:p,onAfterLeave:d,onLeaveCancelled:f,onBeforeAppear:m,onAppear:v,onAfterAppear:y,onAppearCancelled:b}=e,_=String(t.key),x=Zn(n,t),w=(t,e)=>{t&&Ne(t,r,9,e)},S=(t,e)=>{const n=e[1];w(t,e),g(t)?t.every((t=>t.length<=1))&&n():t.length<=1&&n()},k={mode:o,persisted:s,beforeEnter(e){let r=a;if(!n.isMounted){if(!i)return;r=m||a}e[Hn]&&e[Hn](!0);const o=x[_];o&&ji(t,o)&&o.el[Hn]&&o.el[Hn](),w(r,[e])},enter(t){let e=l,r=c,o=u;if(!n.isMounted){if(!i)return;e=v||l,r=y||c,o=b||u}let s=!1;const a=t[Un]=e=>{s||(s=!0,w(e?o:r,[t]),k.delayedLeave&&k.delayedLeave(),t[Un]=void 0)};e?S(e,[t,a]):a()},leave(e,r){const i=String(t.key);if(e[Un]&&e[Un](!0),n.isUnmounting)return r();w(h,[e]);let o=!1;const s=e[Hn]=n=>{o||(o=!0,r(),w(n?f:d,[e]),e[Hn]=void 0,x[i]===t&&delete x[i])};x[i]=t,p?S(p,[e,s]):s()},clone:t=>Jn(t,e,n,r)};return k}function Qn(t){if(or(t))return(t=Fi(t)).children=null,t}function tr(t){return or(t)?t.children?t.children[0]:void 0:t}function er(t,e){6&t.shapeFlag&&t.component?er(t.component.subTree,e):128&t.shapeFlag?(t.ssContent.transition=e.clone(t.ssContent),t.ssFallback.transition=e.clone(t.ssFallback)):t.transition=e}function nr(t,e=!1,n){let r=[],i=0;for(let o=0;o<t.length;o++){let s=t[o];const a=null==n?s.key:String(n)+String(null!=s.key?s.key:o);s.type===_i?(128&s.patchFlag&&i++,r=r.concat(nr(s.children,e,a))):(e||s.type!==wi)&&r.push(null!=a?Fi(s,{key:a}):s)}if(i>1)for(let t=0;t<r.length;t++)r[t].patchFlag=-2;return r}function rr(t,e){return b(t)?(()=>h({name:t.name},e,{setup:t}))():t}const ir=t=>!!t.type.__asyncLoader,or=t=>t.type.__isKeepAlive;RegExp,RegExp;function sr(t,e){return g(t)?t.some((t=>sr(t,e))):_(t)?t.split(",").includes(e):"[object RegExp]"===C(t)&&t.test(e)}function ar(t,e){cr(t,"a",e)}function lr(t,e){cr(t,"da",e)}function cr(t,e,n=Ki){const r=t.__wdc||(t.__wdc=()=>{let e=n;for(;e;){if(e.isDeactivated)return;e=e.parent}return t()});if(dr(e,r,n),n){let t=n.parent;for(;t&&t.parent;)or(t.parent.vnode)&&ur(r,e,n,t),t=t.parent}}function ur(t,e,n,r){const i=dr(e,t,r,!0);_r((()=>{p(r[e],i)}),n)}function hr(t){t.shapeFlag&=-257,t.shapeFlag&=-513}function pr(t){return 128&t.shapeFlag?t.ssContent:t}function dr(t,e,n=Ki,r=!1){if(n){const i=n[t]||(n[t]=[]),o=e.__weh||(e.__weh=(...r)=>{if(n.isUnmounted)return;gt();const i=to(n),o=Ne(e,n,t,r);return i(),mt(),o});return r?i.unshift(o):i.push(o),o}}const fr=t=>(e,n=Ki)=>(!oo||"sp"===t)&&dr(t,((...t)=>e(...t)),n),gr=fr("bm"),mr=fr("m"),vr=fr("bu"),yr=fr("u"),br=fr("bum"),_r=fr("um"),xr=fr("sp"),wr=fr("rtg"),Sr=fr("rtc");function kr(t,e=Ki){dr("ec",t,e)}function Cr(t,e,n,r){let i;const o=n&&n[r];if(g(t)||_(t)){i=new Array(t.length);for(let n=0,r=t.length;n<r;n++)i[n]=e(t[n],n,void 0,o&&o[n])}else if("number"==typeof t){i=new Array(t);for(let n=0;n<t;n++)i[n]=e(n+1,n,void 0,o&&o[n])}else if(w(t))if(t[Symbol.iterator])i=Array.from(t,((t,n)=>e(t,n,void 0,o&&o[n])));else{const n=Object.keys(t);i=new Array(n.length);for(let r=0,s=n.length;r<s;r++){const s=n[r];i[r]=e(t[s],s,r,o&&o[r])}}else i=[];return n&&(n[r]=i),i}function Ar(t,e){for(let n=0;n<e.length;n++){const r=e[n];if(g(r))for(let e=0;e<r.length;e++)t[r[e].name]=r[e].fn;else r&&(t[r.name]=r.key?(...t)=>{const e=r.fn(...t);return e&&(e.key=r.key),e}:r.fn)}return t}function Or(t,e,n={},r,i){if(vn.isCE||vn.parent&&ir(vn.parent)&&vn.parent.isCE)return"default"!==e&&(n.name=e),Ni("slot",n,r&&r());let o=t[e];o&&o._c&&(o._d=!1),Ai();const s=o&&Tr(o(n)),a=Mi(_i,{key:n.key||s&&s.key||`_${e}`},s||(r?r():[]),s&&1===t._?64:-2);return!i&&a.scopeId&&(a.slotScopeIds=[a.scopeId+"-s"]),o&&o._c&&(o._d=!0),a}function Tr(t){return t.some((t=>!Li(t)||t.type!==wi&&!(t.type===_i&&!Tr(t.children))))?t:null}function Er(t,e){const n={};for(const r in t)n[e&&/[A-Z]/.test(r)?`on:${r}`:I(r)]=t[r];return n}const Pr=t=>t?no(t)?co(t)||t.proxy:Pr(t.parent):null,Mr=h(Object.create(null),{$:t=>t,$el:t=>t.vnode.el,$data:t=>t.data,$props:t=>t.props,$attrs:t=>t.attrs,$slots:t=>t.slots,$refs:t=>t.refs,$parent:t=>Pr(t.parent),$root:t=>Pr(t.root),$emit:t=>t.emit,$options:t=>__VUE_OPTIONS_API__?Br(t):t.type,$forceUpdate:t=>t.f||(t.f=()=>{t.effect.dirty=!0,Ke(t.update)}),$nextTick:t=>t.n||(t.n=Ye.bind(t.proxy)),$watch:t=>__VUE_OPTIONS_API__?Fn.bind(t):a}),Lr=(t,e)=>t!==o&&!t.__isScriptSetup&&f(t,e),jr={get({_:t},e){const{ctx:n,setupState:r,data:i,props:s,accessCache:a,type:l,appContext:c}=t;let u;if("$"!==e[0]){const l=a[e];if(void 0!==l)switch(l){case 1:return r[e];case 2:return i[e];case 4:return n[e];case 3:return s[e]}else{if(Lr(r,e))return a[e]=1,r[e];if(i!==o&&f(i,e))return a[e]=2,i[e];if((u=t.propsOptions[0])&&f(u,e))return a[e]=3,s[e];if(n!==o&&f(n,e))return a[e]=4,n[e];__VUE_OPTIONS_API__&&!Ir||(a[e]=0)}}const h=Mr[e];let p,d;return h?("$attrs"===e&&At(t,0,e),h(t)):(p=l.__cssModules)&&(p=p[e])?p:n!==o&&f(n,e)?(a[e]=4,n[e]):(d=c.config.globalProperties,f(d,e)?d[e]:void 0)},set({_:t},e,n){const{data:r,setupState:i,ctx:s}=t;return Lr(i,e)?(i[e]=n,!0):r!==o&&f(r,e)?(r[e]=n,!0):!(f(t.props,e)||"$"===e[0]&&e.slice(1)in t||(s[e]=n,0))},has({_:{data:t,setupState:e,accessCache:n,ctx:r,appContext:i,propsOptions:s}},a){let l;return!!n[a]||t!==o&&f(t,a)||Lr(e,a)||(l=s[0])&&f(l,a)||f(r,a)||f(Mr,a)||f(i.config.globalProperties,a)},defineProperty(t,e,n){return null!=n.get?t._.accessCache[e]=0:f(n,"value")&&this.set(t,e,n.value,null),Reflect.defineProperty(t,e,n)}};function Dr(){return function(){const t=Zi();return t.setupContext||(t.setupContext=lo(t))}().slots}function $r(t){return g(t)?t.reduce(((t,e)=>(t[e]=null,t)),{}):t}let Ir=!0;function Rr(t,e,n){Ne(g(t)?t.map((t=>t.bind(e.proxy))):t.bind(e.proxy),e,n)}function Nr(t,e,n,r){const i=r.includes(".")?zn(n,r):()=>n[r];if(_(t)){const n=e[t];b(n)&&Nn(i,n)}else if(b(t))Nn(i,t.bind(n));else if(w(t))if(g(t))t.forEach((t=>Nr(t,e,n,r)));else{const r=b(t.handler)?t.handler.bind(n):e[t.handler];b(r)&&Nn(i,r,t)}}function Br(t){const e=t.type,{mixins:n,extends:r}=e,{mixins:i,optionsCache:o,config:{optionMergeStrategies:s}}=t.appContext,a=o.get(e);let l;return a?l=a:i.length||n||r?(l={},i.length&&i.forEach((t=>Fr(l,t,s,!0))),Fr(l,e,s)):l=e,w(e)&&o.set(e,l),l}function Fr(t,e,n,r=!1){const{mixins:i,extends:o}=e;o&&Fr(t,o,n,!0),i&&i.forEach((e=>Fr(t,e,n,!0)));for(const i in e)if(r&&"expose"===i);else{const r=zr[i]||n&&n[i];t[i]=r?r(t[i],e[i]):e[i]}return t}const zr={data:Vr,props:Ur,emits:Ur,methods:Hr,computed:Hr,beforeCreate:Wr,created:Wr,beforeMount:Wr,mounted:Wr,beforeUpdate:Wr,updated:Wr,beforeDestroy:Wr,beforeUnmount:Wr,destroyed:Wr,unmounted:Wr,activated:Wr,deactivated:Wr,errorCaptured:Wr,serverPrefetch:Wr,components:Hr,directives:Hr,watch:function(t,e){if(!t)return e;if(!e)return t;const n=h(Object.create(null),t);for(const r in e)n[r]=Wr(t[r],e[r]);return n},provide:Vr,inject:function(t,e){return Hr(qr(t),qr(e))}};function Vr(t,e){return e?t?function(){return h(b(t)?t.call(this,this):t,b(e)?e.call(this,this):e)}:e:t}function qr(t){if(g(t)){const e={};for(let n=0;n<t.length;n++)e[t[n]]=t[n];return e}return t}function Wr(t,e){return t?[...new Set([].concat(t,e))]:e}function Hr(t,e){return t?h(Object.create(null),t,e):e}function Ur(t,e){return t?g(t)&&g(e)?[...new Set([...t,...e])]:h(Object.create(null),$r(t),$r(null!=e?e:{})):e}function Gr(){return{app:null,config:{isNativeTag:l,performance:!1,globalProperties:{},optionMergeStrategies:{},errorHandler:void 0,warnHandler:void 0,compilerOptions:{}},mixins:[],components:{},directives:{},provides:Object.create(null),optionsCache:new WeakMap,propsCache:new WeakMap,emitsCache:new WeakMap}}let Xr=0;function Yr(t,e){return function(n,r=null){b(n)||(n=h({},n)),null==r||w(r)||(r=null);const i=Gr(),o=new WeakSet;let s=!1;const a=i.app={_uid:Xr++,_component:n,_props:r,_container:null,_context:i,_instance:null,version:fo,get config(){return i.config},set config(t){},use:(t,...e)=>(o.has(t)||(t&&b(t.install)?(o.add(t),t.install(a,...e)):b(t)&&(o.add(t),t(a,...e))),a),mixin:t=>(__VUE_OPTIONS_API__&&(i.mixins.includes(t)||i.mixins.push(t)),a),component:(t,e)=>e?(i.components[t]=e,a):i.components[t],directive:(t,e)=>e?(i.directives[t]=e,a):i.directives[t],mount(o,l,c){if(!s){const u=Ni(n,r);return u.appContext=i,!0===c?c="svg":!1===c&&(c=void 0),l&&e?e(u,o):t(u,o,c),s=!0,a._container=o,o.__vue_app__=a,__VUE_PROD_DEVTOOLS__&&(a._instance=u.component,function(t,e){an("app:init",t,e,{Fragment:_i,Text:xi,Comment:wi,Static:Si})}(a,fo)),co(u.component)||u.component.proxy}},unmount(){s&&(t(null,a._container),__VUE_PROD_DEVTOOLS__&&(a._instance=null,function(t){an("app:unmount",t)}(a)),delete a._container.__vue_app__)},provide:(t,e)=>(i.provides[t]=e,a),runWithContext(t){const e=Kr;Kr=a;try{return t()}finally{Kr=e}}};return a}}let Kr=null;function Zr(t,e){if(Ki){let n=Ki.provides;const r=Ki.parent&&Ki.parent.provides;r===n&&(n=Ki.provides=Object.create(r)),n[t]=e}}function Jr(t,e,n=!1){const r=Ki||vn;if(r||Kr){const i=r?null==r.parent?r.vnode.appContext&&r.vnode.appContext.provides:r.parent.provides:Kr._context.provides;if(i&&t in i)return i[t];if(arguments.length>1)return n&&b(e)?e.call(r&&r.proxy):e}}function Qr(t,e,n,r){const[i,s]=t.propsOptions;let a,l=!1;if(e)for(let o in e){if(E(o))continue;const c=e[o];let u;i&&f(i,u=L(o))?s&&s.includes(u)?(a||(a={}))[u]=c:n[u]=c:mn(t.emitsOptions,o)||o in r&&c===r[o]||(r[o]=c,l=!0)}if(s){const e=ye(n),r=a||o;for(let o=0;o<s.length;o++){const a=s[o];n[a]=ti(i,e,a,r[a],t,!f(r,a))}}return l}function ti(t,e,n,r,i,o){const s=t[n];if(null!=s){const t=f(s,"default");if(t&&void 0===r){const t=s.default;if(s.type!==Function&&!s.skipFactory&&b(t)){const{propsDefaults:o}=i;if(n in o)r=o[n];else{const s=to(i);r=o[n]=t.call(null,e),s()}}else r=t}s[0]&&(o&&!t?r=!1:!s[1]||""!==r&&r!==D(n)||(r=!0))}return r}function ei(t,e,n=!1){const r=e.propsCache,i=r.get(t);if(i)return i;const a=t.props,l={},c=[];let u=!1;if(__VUE_OPTIONS_API__&&!b(t)){const r=t=>{u=!0;const[n,r]=ei(t,e,!0);h(l,n),r&&c.push(...r)};!n&&e.mixins.length&&e.mixins.forEach(r),t.extends&&r(t.extends),t.mixins&&t.mixins.forEach(r)}if(!a&&!u)return w(t)&&r.set(t,s),s;if(g(a))for(let t=0;t<a.length;t++){const e=L(a[t]);ni(e)&&(l[e]=o)}else if(a)for(const t in a){const e=L(t);if(ni(e)){const n=a[t],r=l[e]=g(n)||b(n)?{type:n}:h({},n);if(r){const t=oi(Boolean,r.type),n=oi(String,r.type);r[0]=t>-1,r[1]=n<0||t<n,(t>-1||f(r,"default"))&&c.push(e)}}}const p=[l,c];return w(t)&&r.set(t,p),p}function ni(t){return"$"!==t[0]&&!E(t)}function ri(t){return null===t?"null":"function"==typeof t?t.name||"":"object"==typeof t&&t.constructor&&t.constructor.name||""}function ii(t,e){return ri(t)===ri(e)}function oi(t,e){return g(e)?e.findIndex((e=>ii(e,t))):b(e)&&ii(e,t)?0:-1}const si=t=>"_"===t[0]||"$stable"===t,ai=t=>g(t)?t.map(qi):[qi(t)],li=(t,e,n)=>{if(e._n)return e;const r=wn(((...t)=>ai(e(...t))),n);return r._c=!1,r},ci=(t,e,n)=>{const r=t._ctx;for(const n in t){if(si(n))continue;const i=t[n];if(b(i))e[n]=li(0,i,r);else if(null!=i){const t=ai(i);e[n]=()=>t}}},ui=(t,e)=>{const n=ai(e);t.slots.default=()=>n},hi=(t,e)=>{if(32&t.vnode.shapeFlag){const n=e._;n?(t.slots=ye(e),B(e,"_",n)):ci(e,t.slots={})}else t.slots={},e&&ui(t,e);B(t.slots,Di,1)},pi=(t,e,n)=>{const{vnode:r,slots:i}=t;let s=!0,a=o;if(32&r.shapeFlag){const t=e._;t?n&&1===t?s=!1:(h(i,e),n||1!==t||delete i._):(s=!e.$stable,ci(e,i)),a=e}else e&&(ui(t,e),a={default:1});if(s)for(const t in i)si(t)||null!=a[t]||delete i[t]};function di(t,e,n,r,i=!1){if(g(t))return void t.forEach(((t,o)=>di(t,e&&(g(e)?e[o]:e),n,r,i)));if(ir(r)&&!i)return;const s=4&r.shapeFlag?co(r.component)||r.component.proxy:r.el,a=i?null:s,{i:l,r:c}=t,u=e&&e.r,h=l.refs===o?l.refs={}:l.refs,d=l.setupState;if(null!=u&&u!==c&&(_(u)?(h[u]=null,f(d,u)&&(d[u]=null)):Ce(u)&&(u.value=null)),b(c))Re(c,l,12,[a,h]);else{const e=_(c),r=Ce(c);if(e||r){const o=()=>{if(t.f){const n=e?f(d,c)?d[c]:h[c]:c.value;i?g(n)&&p(n,s):g(n)?n.includes(s)||n.push(s):e?(h[c]=[s],f(d,c)&&(d[c]=h[c])):(c.value=[s],t.k&&(h[t.k]=c.value))}else e?(h[c]=a,f(d,c)&&(d[c]=a)):r&&(c.value=a,t.k&&(h[t.k]=a))};a?(o.id=-1,fi(o,n)):o()}}}const fi=function(t,e){var n;e&&e.pendingBranch?g(t)?e.effects.push(...t):e.effects.push(t):(g(n=t)?We.push(...n):He&&He.includes(n,n.allowRecurse?Ue+1:Ue)||We.push(n),Ze())};function gi(t,e){"boolean"!=typeof __VUE_OPTIONS_API__&&(q().__VUE_OPTIONS_API__=!0),"boolean"!=typeof __VUE_PROD_DEVTOOLS__&&(q().__VUE_PROD_DEVTOOLS__=!1),"boolean"!=typeof __VUE_PROD_HYDRATION_MISMATCH_DETAILS__&&(q().__VUE_PROD_HYDRATION_MISMATCH_DETAILS__=!1);const n=q();n.__VUE__=!0,__VUE_PROD_DEVTOOLS__&&ln(n.__VUE_DEVTOOLS_GLOBAL_HOOK__,n);const{insert:r,remove:i,patchProp:l,createElement:c,createText:u,createComment:h,setText:p,setElementText:d,parentNode:g,nextSibling:m,setScopeId:v=a,insertStaticContent:y}=t,b=(t,e,n,r=null,i=null,o=null,s=void 0,a=null,l=!!e.dynamicChildren)=>{if(t===e)return;t&&!ji(t,e)&&(r=J(t),G(t,i,o,!0),t=null),-2===e.patchFlag&&(l=!1,e.dynamicChildren=null);const{type:c,ref:u,shapeFlag:h}=e;switch(c){case xi:_(t,e,n,r);break;case wi:x(t,e,n,r);break;case Si:null==t&&w(e,n,r,s);break;case _i:j(t,e,n,r,i,o,s,a,l);break;default:1&h?k(t,e,n,r,i,o,s,a,l):6&h?$(t,e,n,r,i,o,s,a,l):(64&h||128&h)&&c.process(t,e,n,r,i,o,s,a,l,et)}null!=u&&i&&di(u,t&&t.ref,o,e||t,!e)},_=(t,e,n,i)=>{if(null==t)r(e.el=u(e.children),n,i);else{const n=e.el=t.el;e.children!==t.children&&p(n,e.children)}},x=(t,e,n,i)=>{null==t?r(e.el=h(e.children||""),n,i):e.el=t.el},w=(t,e,n,r)=>{[t.el,t.anchor]=y(t.children,e,n,r,t.el,t.anchor)},k=(t,e,n,r,i,o,s,a,l)=>{"svg"===e.type?s="svg":"math"===e.type&&(s="mathml"),null==t?C(e,n,r,i,o,s,a,l):T(t,e,i,o,s,a,l)},C=(t,e,n,i,o,s,a,u)=>{let h,p;const{props:f,shapeFlag:g,transition:m,dirs:v}=t;if(h=t.el=c(t.type,s,f&&f.is,f),8&g?d(h,t.children):16&g&&O(t.children,h,null,i,o,mi(t,s),a,u),v&&Wn(t,null,i,"created"),A(h,t,t.scopeId,a,i),f){for(const e in f)"value"===e||E(e)||l(h,e,null,f[e],s,t.children,i,o,Z);"value"in f&&l(h,"value",null,f.value,s),(p=f.onVnodeBeforeMount)&&Gi(p,i,t)}__VUE_PROD_DEVTOOLS__&&(Object.defineProperty(h,"__vnode",{value:t,enumerable:!1}),Object.defineProperty(h,"__vueParentComponent",{value:i,enumerable:!1})),v&&Wn(t,null,i,"beforeMount");const y=function(t,e){return(!t||t&&!t.pendingBranch)&&e&&!e.persisted}(o,m);y&&m.beforeEnter(h),r(h,e,n),((p=f&&f.onVnodeMounted)||y||v)&&fi((()=>{p&&Gi(p,i,t),y&&m.enter(h),v&&Wn(t,null,i,"mounted")}),o)},A=(t,e,n,r,i)=>{if(n&&v(t,n),r)for(let e=0;e<r.length;e++)v(t,r[e]);if(i&&e===i.subTree){const e=i.vnode;A(t,e,e.scopeId,e.slotScopeIds,i.parent)}},O=(t,e,n,r,i,o,s,a,l=0)=>{for(let c=l;c<t.length;c++){const l=t[c]=a?Wi(t[c]):qi(t[c]);b(null,l,e,n,r,i,o,s,a)}},T=(t,e,n,r,i,s,a)=>{const c=e.el=t.el;let{patchFlag:u,dynamicChildren:h,dirs:p}=e;u|=16&t.patchFlag;const f=t.props||o,g=e.props||o;let m;if(n&&vi(n,!1),(m=g.onVnodeBeforeUpdate)&&Gi(m,n,e,t),p&&Wn(e,t,n,"beforeUpdate"),n&&vi(n,!0),h?P(t.dynamicChildren,h,c,n,r,mi(e,i),s):a||V(t,e,c,null,n,r,mi(e,i),s,!1),u>0){if(16&u)M(c,e,f,g,n,r,i);else if(2&u&&f.class!==g.class&&l(c,"class",null,g.class,i),4&u&&l(c,"style",f.style,g.style,i),8&u){const o=e.dynamicProps;for(let e=0;e<o.length;e++){const s=o[e],a=f[s],u=g[s];u===a&&"value"!==s||l(c,s,a,u,i,t.children,n,r,Z)}}1&u&&t.children!==e.children&&d(c,e.children)}else a||null!=h||M(c,e,f,g,n,r,i);((m=g.onVnodeUpdated)||p)&&fi((()=>{m&&Gi(m,n,e,t),p&&Wn(e,t,n,"updated")}),r)},P=(t,e,n,r,i,o,s)=>{for(let a=0;a<e.length;a++){const l=t[a],c=e[a],u=l.el&&(l.type===_i||!ji(l,c)||70&l.shapeFlag)?g(l.el):n;b(l,c,u,null,r,i,o,s,!0)}},M=(t,e,n,r,i,s,a)=>{if(n!==r){if(n!==o)for(const o in n)E(o)||o in r||l(t,o,n[o],null,a,e.children,i,s,Z);for(const o in r){if(E(o))continue;const c=r[o],u=n[o];c!==u&&"value"!==o&&l(t,o,u,c,a,e.children,i,s,Z)}"value"in r&&l(t,"value",n.value,r.value,a)}},j=(t,e,n,i,o,s,a,l,c)=>{const h=e.el=t?t.el:u(""),p=e.anchor=t?t.anchor:u("");let{patchFlag:d,dynamicChildren:f,slotScopeIds:g}=e;g&&(l=l?l.concat(g):g),null==t?(r(h,n,i),r(p,n,i),O(e.children||[],n,p,o,s,a,l,c)):d>0&&64&d&&f&&t.dynamicChildren?(P(t.dynamicChildren,f,n,o,s,a,l),(null!=e.key||o&&e===o.subTree)&&yi(t,e,!0)):V(t,e,n,p,o,s,a,l,c)},$=(t,e,n,r,i,o,s,a,l)=>{e.slotScopeIds=a,null==t?512&e.shapeFlag?i.ctx.activate(e,n,r,s,l):I(e,n,r,i,o,s,l):R(t,e,l)},I=(t,e,n,r,i,s,a)=>{const l=t.component=function(t,e,n){const r=t.type,i=(e?e.appContext:t.appContext)||Xi,s={uid:Yi++,vnode:t,type:r,parent:e,appContext:i,root:null,next:null,subTree:null,effect:null,update:null,scope:new st(!0),render:null,proxy:null,exposed:null,exposeProxy:null,withProxy:null,provides:e?e.provides:Object.create(i.provides),accessCache:null,renderCache:[],components:null,directives:null,propsOptions:ei(r,i),emitsOptions:gn(r,i),emit:null,emitted:null,propsDefaults:o,inheritAttrs:r.inheritAttrs,ctx:o,data:o,props:o,attrs:o,slots:o,refs:o,setupState:o,setupContext:null,attrsProxy:null,slotsProxy:null,suspense:n,suspenseId:n?n.pendingId:0,asyncDep:null,asyncResolved:!1,isMounted:!1,isUnmounted:!1,isDeactivated:!1,bc:null,c:null,bm:null,m:null,bu:null,u:null,um:null,bum:null,da:null,a:null,rtg:null,rtc:null,ec:null,sp:null};return s.ctx={_:s},s.root=e?e.root:s,s.emit=fn.bind(null,s),t.ce&&t.ce(s),s}(t,r,i);if(or(t)&&(l.ctx.renderer=et),function(t,e=!1){e&&Qi(e);const{props:n,children:r}=t.vnode,i=no(t);!function(t,e,n,r=!1){const i={},o={};B(o,Di,1),t.propsDefaults=Object.create(null),Qr(t,e,i,o);for(const e in t.propsOptions[0])e in i||(i[e]=void 0);n?t.props=r?i:he(i):t.type.props?t.props=i:t.props=o,t.attrs=o}(t,n,i,e),hi(t,r);const o=i?function(t,e){const n=t.type;t.accessCache=Object.create(null),t.proxy=be(new Proxy(t.ctx,jr));const{setup:r}=n;if(r){const n=t.setupContext=r.length>1?lo(t):null,i=to(t);gt();const o=Re(r,t,0,[t.props,n]);if(mt(),i(),S(o)){if(o.then(eo,eo),e)return o.then((n=>{so(t,n,e)})).catch((e=>{Be(e,t,0)}));t.asyncDep=o}else so(t,o,e)}else ao(t,e)}(t,e):void 0;e&&Qi(!1)}(l),l.asyncDep){if(i&&i.registerDep(l,F),!t.el){const t=l.subTree=Ni(wi);x(null,t,e,n)}}else F(l,t,e,n,i,s,a)},R=(t,e,n)=>{const r=e.component=t.component;if(function(t,e,n){const{props:r,children:i,component:o}=t,{props:s,children:a,patchFlag:l}=e,c=o.emitsOptions;if(e.dirs||e.transition)return!0;if(!(n&&l>=0))return!(!i&&!a||a&&a.$stable)||r!==s&&(r?!s||An(r,s,c):!!s);if(1024&l)return!0;if(16&l)return r?An(r,s,c):!!s;if(8&l){const t=e.dynamicProps;for(let e=0;e<t.length;e++){const n=t[e];if(s[n]!==r[n]&&!mn(c,n))return!0}}return!1}(t,e,n)){if(r.asyncDep&&!r.asyncResolved)return void z(r,e,n);r.next=e,function(t){const e=Ve.indexOf(t);e>qe&&Ve.splice(e,1)}(r.update),r.effect.dirty=!0,r.update()}else e.el=t.el,r.vnode=e},F=(t,e,n,r,i,o,s)=>{const l=()=>{if(t.isMounted){let{next:e,bu:n,u:r,parent:a,vnode:c}=t;{const n=bi(t);if(n)return e&&(e.el=c.el,z(t,e,s)),void n.asyncDep.then((()=>{t.isUnmounted||l()}))}let u,h=e;vi(t,!1),e?(e.el=c.el,z(t,e,s)):e=c,n&&N(n),(u=e.props&&e.props.onVnodeBeforeUpdate)&&Gi(u,a,e,c),vi(t,!0);const p=Sn(t),d=t.subTree;t.subTree=p,b(d,p,g(d.el),J(d),t,i,o),e.el=p.el,null===h&&function({vnode:t,parent:e},n){for(;e;){const r=e.subTree;if(r.suspense&&r.suspense.activeBranch===t&&(r.el=t.el),r!==t)break;(t=e.vnode).el=n,e=e.parent}}(t,p.el),r&&fi(r,i),(u=e.props&&e.props.onVnodeUpdated)&&fi((()=>Gi(u,a,e,c)),i),__VUE_PROD_DEVTOOLS__&&un(t)}else{let s;const{el:a,props:l}=e,{bm:c,m:u,parent:h}=t,p=ir(e);if(vi(t,!1),c&&N(c),!p&&(s=l&&l.onVnodeBeforeMount)&&Gi(s,h,e),vi(t,!0),a&&rt){const n=()=>{t.subTree=Sn(t),rt(a,t.subTree,t,i,null)};p?e.type.__asyncLoader().then((()=>!t.isUnmounted&&n())):n()}else{const s=t.subTree=Sn(t);b(null,s,n,r,t,i,o),e.el=s.el}if(u&&fi(u,i),!p&&(s=l&&l.onVnodeMounted)){const t=e;fi((()=>Gi(s,h,t)),i)}(256&e.shapeFlag||h&&ir(h.vnode)&&256&h.vnode.shapeFlag)&&t.a&&fi(t.a,i),t.isMounted=!0,__VUE_PROD_DEVTOOLS__&&cn(t),e=n=r=null}},c=t.effect=new at(l,a,(()=>Ke(u)),t.scope),u=t.update=()=>{c.dirty&&c.run()};u.id=t.uid,vi(t,!0),u()},z=(t,e,n)=>{e.component=t;const r=t.vnode.props;t.vnode=e,t.next=null,function(t,e,n,r){const{props:i,attrs:o,vnode:{patchFlag:s}}=t,a=ye(i),[l]=t.propsOptions;let c=!1;if(!(r||s>0)||16&s){let r;Qr(t,e,i,o)&&(c=!0);for(const o in a)e&&(f(e,o)||(r=D(o))!==o&&f(e,r))||(l?!n||void 0===n[o]&&void 0===n[r]||(i[o]=ti(l,a,o,void 0,t,!0)):delete i[o]);if(o!==a)for(const t in o)e&&f(e,t)||(delete o[t],c=!0)}else if(8&s){const n=t.vnode.dynamicProps;for(let r=0;r<n.length;r++){let s=n[r];if(mn(t.emitsOptions,s))continue;const u=e[s];if(l)if(f(o,s))u!==o[s]&&(o[s]=u,c=!0);else{const e=L(s);i[e]=ti(l,a,e,u,t,!1)}else u!==o[s]&&(o[s]=u,c=!0)}}c&&Ot(t,"set","$attrs")}(t,e.props,r,n),pi(t,e.children,n),gt(),Je(t),mt()},V=(t,e,n,r,i,o,s,a,l=!1)=>{const c=t&&t.children,u=t?t.shapeFlag:0,h=e.children,{patchFlag:p,shapeFlag:f}=e;if(p>0){if(128&p)return void H(c,h,n,r,i,o,s,a,l);if(256&p)return void W(c,h,n,r,i,o,s,a,l)}8&f?(16&u&&Z(c,i,o),h!==c&&d(n,h)):16&u?16&f?H(c,h,n,r,i,o,s,a,l):Z(c,i,o,!0):(8&u&&d(n,""),16&f&&O(h,n,r,i,o,s,a,l))},W=(t,e,n,r,i,o,a,l,c)=>{e=e||s;const u=(t=t||s).length,h=e.length,p=Math.min(u,h);let d;for(d=0;d<p;d++){const r=e[d]=c?Wi(e[d]):qi(e[d]);b(t[d],r,n,null,i,o,a,l,c)}u>h?Z(t,i,o,!0,!1,p):O(e,n,r,i,o,a,l,c,p)},H=(t,e,n,r,i,o,a,l,c)=>{let u=0;const h=e.length;let p=t.length-1,d=h-1;for(;u<=p&&u<=d;){const r=t[u],s=e[u]=c?Wi(e[u]):qi(e[u]);if(!ji(r,s))break;b(r,s,n,null,i,o,a,l,c),u++}for(;u<=p&&u<=d;){const r=t[p],s=e[d]=c?Wi(e[d]):qi(e[d]);if(!ji(r,s))break;b(r,s,n,null,i,o,a,l,c),p--,d--}if(u>p){if(u<=d){const t=d+1,s=t<h?e[t].el:r;for(;u<=d;)b(null,e[u]=c?Wi(e[u]):qi(e[u]),n,s,i,o,a,l,c),u++}}else if(u>d)for(;u<=p;)G(t[u],i,o,!0),u++;else{const f=u,g=u,m=new Map;for(u=g;u<=d;u++){const t=e[u]=c?Wi(e[u]):qi(e[u]);null!=t.key&&m.set(t.key,u)}let v,y=0;const _=d-g+1;let x=!1,w=0;const S=new Array(_);for(u=0;u<_;u++)S[u]=0;for(u=f;u<=p;u++){const r=t[u];if(y>=_){G(r,i,o,!0);continue}let s;if(null!=r.key)s=m.get(r.key);else for(v=g;v<=d;v++)if(0===S[v-g]&&ji(r,e[v])){s=v;break}void 0===s?G(r,i,o,!0):(S[s-g]=u+1,s>=w?w=s:x=!0,b(r,e[s],n,null,i,o,a,l,c),y++)}const k=x?function(t){const e=t.slice(),n=[0];let r,i,o,s,a;const l=t.length;for(r=0;r<l;r++){const l=t[r];if(0!==l){if(i=n[n.length-1],t[i]<l){e[r]=i,n.push(r);continue}for(o=0,s=n.length-1;o<s;)a=o+s>>1,t[n[a]]<l?o=a+1:s=a;l<t[n[o]]&&(o>0&&(e[r]=n[o-1]),n[o]=r)}}for(o=n.length,s=n[o-1];o-- >0;)n[o]=s,s=e[s];return n}(S):s;for(v=k.length-1,u=_-1;u>=0;u--){const t=g+u,s=e[t],p=t+1<h?e[t+1].el:r;0===S[u]?b(null,s,n,p,i,o,a,l,c):x&&(v<0||u!==k[v]?U(s,n,p,2):v--)}}},U=(t,e,n,i,o=null)=>{const{el:s,type:a,transition:l,children:c,shapeFlag:u}=t;if(6&u)U(t.component.subTree,e,n,i);else if(128&u)t.suspense.move(e,n,i);else if(64&u)a.move(t,e,n,et);else if(a!==_i)if(a!==Si)if(2!==i&&1&u&&l)if(0===i)l.beforeEnter(s),r(s,e,n),fi((()=>l.enter(s)),o);else{const{leave:t,delayLeave:i,afterLeave:o}=l,a=()=>r(s,e,n),c=()=>{t(s,(()=>{a(),o&&o()}))};i?i(s,a,c):c()}else r(s,e,n);else(({el:t,anchor:e},n,i)=>{let o;for(;t&&t!==e;)o=m(t),r(t,n,i),t=o;r(e,n,i)})(t,e,n);else{r(s,e,n);for(let t=0;t<c.length;t++)U(c[t],e,n,i);r(t.anchor,e,n)}},G=(t,e,n,r=!1,i=!1)=>{const{type:o,props:s,ref:a,children:l,dynamicChildren:c,shapeFlag:u,patchFlag:h,dirs:p}=t;if(null!=a&&di(a,null,n,t,!0),256&u)return void e.ctx.deactivate(t);const d=1&u&&p,f=!ir(t);let g;if(f&&(g=s&&s.onVnodeBeforeUnmount)&&Gi(g,e,t),6&u)K(t.component,n,r);else{if(128&u)return void t.suspense.unmount(n,r);d&&Wn(t,null,e,"beforeUnmount"),64&u?t.type.remove(t,e,n,i,et,r):c&&(o!==_i||h>0&&64&h)?Z(c,e,n,!1,!0):(o===_i&&384&h||!i&&16&u)&&Z(l,e,n),r&&X(t)}(f&&(g=s&&s.onVnodeUnmounted)||d)&&fi((()=>{g&&Gi(g,e,t),d&&Wn(t,null,e,"unmounted")}),n)},X=t=>{const{type:e,el:n,anchor:r,transition:o}=t;if(e===_i)return void Y(n,r);if(e===Si)return void(({el:t,anchor:e})=>{let n;for(;t&&t!==e;)n=m(t),i(t),t=n;i(e)})(t);const s=()=>{i(n),o&&!o.persisted&&o.afterLeave&&o.afterLeave()};if(1&t.shapeFlag&&o&&!o.persisted){const{leave:e,delayLeave:r}=o,i=()=>e(n,s);r?r(t.el,s,i):i()}else s()},Y=(t,e)=>{let n;for(;t!==e;)n=m(t),i(t),t=n;i(e)},K=(t,e,n)=>{const{bum:r,scope:i,update:o,subTree:s,um:a}=t;r&&N(r),i.stop(),o&&(o.active=!1,G(s,t,e,n)),a&&fi(a,e),fi((()=>{t.isUnmounted=!0}),e),e&&e.pendingBranch&&!e.isUnmounted&&t.asyncDep&&!t.asyncResolved&&t.suspenseId===e.pendingId&&(e.deps--,0===e.deps&&e.resolve()),__VUE_PROD_DEVTOOLS__&&pn(t)},Z=(t,e,n,r=!1,i=!1,o=0)=>{for(let s=o;s<t.length;s++)G(t[s],e,n,r,i)},J=t=>6&t.shapeFlag?J(t.component.subTree):128&t.shapeFlag?t.suspense.next():m(t.anchor||t.el);let Q=!1;const tt=(t,e,n)=>{null==t?e._vnode&&G(e._vnode,null,null,!0):b(e._vnode||null,t,e,null,null,null,n),Q||(Q=!0,Je(),Qe(),Q=!1),e._vnode=t},et={p:b,um:G,m:U,r:X,mt:I,mc:O,pc:V,pbc:P,n:J,o:t};let nt,rt;return e&&([nt,rt]=e(et)),{render:tt,hydrate:nt,createApp:Yr(tt,nt)}}function mi({type:t,props:e},n){return"svg"===n&&"foreignObject"===t||"mathml"===n&&"annotation-xml"===t&&e&&e.encoding&&e.encoding.includes("html")?void 0:n}function vi({effect:t,update:e},n){t.allowRecurse=e.allowRecurse=n}function yi(t,e,n=!1){const r=t.children,i=e.children;if(g(r)&&g(i))for(let t=0;t<r.length;t++){const e=r[t];let o=i[t];1&o.shapeFlag&&!o.dynamicChildren&&((o.patchFlag<=0||32===o.patchFlag)&&(o=i[t]=Wi(i[t]),o.el=e.el),n||yi(e,o)),o.type===xi&&(o.el=e.el)}}function bi(t){const e=t.subTree.component;if(e)return e.asyncDep&&!e.asyncResolved?e:bi(e)}const _i=Symbol.for("v-fgt"),xi=Symbol.for("v-txt"),wi=Symbol.for("v-cmt"),Si=Symbol.for("v-stc"),ki=[];let Ci=null;function Ai(t=!1){ki.push(Ci=t?null:[])}let Oi=1;function Ti(t){Oi+=t}function Ei(t){return t.dynamicChildren=Oi>0?Ci||s:null,ki.pop(),Ci=ki[ki.length-1]||null,Oi>0&&Ci&&Ci.push(t),t}function Pi(t,e,n,r,i,o){return Ei(Ri(t,e,n,r,i,o,!0))}function Mi(t,e,n,r,i){return Ei(Ni(t,e,n,r,i,!0))}function Li(t){return!!t&&!0===t.__v_isVNode}function ji(t,e){return t.type===e.type&&t.key===e.key}const Di="__vInternal",$i=({key:t})=>null!=t?t:null,Ii=({ref:t,ref_key:e,ref_for:n})=>("number"==typeof t&&(t=""+t),null!=t?_(t)||Ce(t)||b(t)?{i:vn,r:t,k:e,f:!!n}:t:null);function Ri(t,e=null,n=null,r=0,i=null,o=(t===_i?0:1),s=!1,a=!1){const l={__v_isVNode:!0,__v_skip:!0,type:t,props:e,key:e&&$i(e),ref:e&&Ii(e),scopeId:yn,slotScopeIds:null,children:n,component:null,suspense:null,ssContent:null,ssFallback:null,dirs:null,transition:null,el:null,anchor:null,target:null,targetAnchor:null,staticCount:0,shapeFlag:o,patchFlag:r,dynamicProps:i,dynamicChildren:null,appContext:null,ctx:vn};return a?(Hi(l,n),128&o&&t.normalize(l)):n&&(l.shapeFlag|=_(n)?8:16),Oi>0&&!s&&Ci&&(l.patchFlag>0||6&o)&&32!==l.patchFlag&&Ci.push(l),l}const Ni=function(t,e=null,n=null,r=0,i=null,o=!1){if(t&&t!==En||(t=wi),Li(t)){const r=Fi(t,e,!0);return n&&Hi(r,n),Oi>0&&!o&&Ci&&(6&r.shapeFlag?Ci[Ci.indexOf(t)]=r:Ci.push(r)),r.patchFlag|=-2,r}if(s=t,b(s)&&"__vccOpts"in s&&(t=t.__vccOpts),e){e=Bi(e);let{class:t,style:n}=e;t&&!_(t)&&(e.class=Y(t)),w(n)&&(ve(n)&&!g(n)&&(n=h({},n)),e.style=W(n))}var s;return Ri(t,e,n,r,i,_(t)?1:jn(t)?128:(t=>t.__isTeleport)(t)?64:w(t)?4:b(t)?2:0,o,!0)};function Bi(t){return t?ve(t)||Di in t?h({},t):t:null}function Fi(t,e,n=!1){const{props:r,ref:i,patchFlag:o,children:s}=t,a=e?Ui(r||{},e):r;return{__v_isVNode:!0,__v_skip:!0,type:t.type,props:a,key:a&&$i(a),ref:e&&e.ref?n&&i?g(i)?i.concat(Ii(e)):[i,Ii(e)]:Ii(e):i,scopeId:t.scopeId,slotScopeIds:t.slotScopeIds,children:s,target:t.target,targetAnchor:t.targetAnchor,staticCount:t.staticCount,shapeFlag:t.shapeFlag,patchFlag:e&&t.type!==_i?-1===o?16:16|o:o,dynamicProps:t.dynamicProps,dynamicChildren:t.dynamicChildren,appContext:t.appContext,dirs:t.dirs,transition:t.transition,component:t.component,suspense:t.suspense,ssContent:t.ssContent&&Fi(t.ssContent),ssFallback:t.ssFallback&&Fi(t.ssFallback),el:t.el,anchor:t.anchor,ctx:t.ctx,ce:t.ce}}function zi(t=" ",e=0){return Ni(xi,null,t,e)}function Vi(t="",e=!1){return e?(Ai(),Mi(wi,null,t)):Ni(wi,null,t)}function qi(t){return null==t||"boolean"==typeof t?Ni(wi):g(t)?Ni(_i,null,t.slice()):"object"==typeof t?Wi(t):Ni(xi,null,String(t))}function Wi(t){return null===t.el&&-1!==t.patchFlag||t.memo?t:Fi(t)}function Hi(t,e){let n=0;const{shapeFlag:r}=t;if(null==e)e=null;else if(g(e))n=16;else if("object"==typeof e){if(65&r){const n=e.default;return void(n&&(n._c&&(n._d=!1),Hi(t,n()),n._c&&(n._d=!0)))}{n=32;const r=e._;r||Di in e?3===r&&vn&&(1===vn.slots._?e._=1:(e._=2,t.patchFlag|=1024)):e._ctx=vn}}else b(e)?(e={default:e,_ctx:vn},n=32):(e=String(e),64&r?(n=16,e=[zi(e)]):n=8);t.children=e,t.shapeFlag|=n}function Ui(...t){const e={};for(let n=0;n<t.length;n++){const r=t[n];for(const t in r)if("class"===t)e.class!==r.class&&(e.class=Y([e.class,r.class]));else if("style"===t)e.style=W([e.style,r.style]);else if(c(t)){const n=e[t],i=r[t];!i||n===i||g(n)&&n.includes(i)||(e[t]=n?[].concat(n,i):i)}else""!==t&&(e[t]=r[t])}return e}function Gi(t,e,n,r=null){Ne(t,e,7,[n,r])}const Xi=Gr();let Yi=0;let Ki=null;const Zi=()=>Ki||vn;let Ji,Qi;{const t=q(),e=(e,n)=>{let r;return(r=t[e])||(r=t[e]=[]),r.push(n),t=>{r.length>1?r.forEach((e=>e(t))):r[0](t)}};Ji=e("__VUE_INSTANCE_SETTERS__",(t=>Ki=t)),Qi=e("__VUE_SSR_SETTERS__",(t=>oo=t))}const to=t=>{const e=Ki;return Ji(t),t.scope.on(),()=>{t.scope.off(),Ji(e)}},eo=()=>{Ki&&Ki.scope.off(),Ji(null)};function no(t){return 4&t.vnode.shapeFlag}let ro,io,oo=!1;function so(t,e,n){b(e)?t.type.__ssrInlineRender?t.ssrRender=e:t.render=e:w(e)&&(__VUE_PROD_DEVTOOLS__&&(t.devtoolsRawSetupState=e),t.setupState=Le(e)),ao(t,n)}function ao(t,e,n){const r=t.type;if(!t.render){if(!e&&ro&&!r.render){const e=r.template||Br(t).template;if(e){const{isCustomElement:n,compilerOptions:i}=t.appContext.config,{delimiters:o,compilerOptions:s}=r,a=h(h({isCustomElement:n,delimiters:o},i),s);r.render=ro(e,a)}}t.render=r.render||a,io&&io(t)}if(__VUE_OPTIONS_API__){const e=to(t);gt();try{!function(t){const e=Br(t),n=t.proxy,r=t.ctx;Ir=!1,e.beforeCreate&&Rr(e.beforeCreate,t,"bc");const{data:i,computed:o,methods:s,watch:l,provide:c,inject:u,created:h,beforeMount:p,mounted:d,beforeUpdate:f,updated:m,activated:v,deactivated:y,beforeDestroy:_,beforeUnmount:x,destroyed:S,unmounted:k,render:C,renderTracked:A,renderTriggered:O,errorCaptured:T,serverPrefetch:E,expose:P,inheritAttrs:M,components:L,directives:j,filters:D}=e;if(u&&function(t,e,n=a){g(t)&&(t=qr(t));for(const n in t){const r=t[n];let i;i=w(r)?"default"in r?Jr(r.from||n,r.default,!0):Jr(r.from||n):Jr(r),Ce(i)?Object.defineProperty(e,n,{enumerable:!0,configurable:!0,get:()=>i.value,set:t=>i.value=t}):e[n]=i}}(u,r,null),s)for(const t in s){const e=s[t];b(e)&&(r[t]=e.bind(n))}if(i){const e=i.call(n,n);w(e)&&(t.data=ue(e))}if(Ir=!0,o)for(const t in o){const e=o[t],i=b(e)?e.bind(n,n):b(e.get)?e.get.bind(n,n):a,s=!b(e)&&b(e.set)?e.set.bind(n):a,l=ho({get:i,set:s});Object.defineProperty(r,t,{enumerable:!0,configurable:!0,get:()=>l.value,set:t=>l.value=t})}if(l)for(const t in l)Nr(l[t],r,n,t);if(c){const t=b(c)?c.call(n):c;Reflect.ownKeys(t).forEach((e=>{Zr(e,t[e])}))}function $(t,e){g(e)?e.forEach((e=>t(e.bind(n)))):e&&t(e.bind(n))}if(h&&Rr(h,t,"c"),$(gr,p),$(mr,d),$(vr,f),$(yr,m),$(ar,v),$(lr,y),$(kr,T),$(Sr,A),$(wr,O),$(br,x),$(_r,k),$(xr,E),g(P))if(P.length){const e=t.exposed||(t.exposed={});P.forEach((t=>{Object.defineProperty(e,t,{get:()=>n[t],set:e=>n[t]=e})}))}else t.exposed||(t.exposed={});C&&t.render===a&&(t.render=C),null!=M&&(t.inheritAttrs=M),L&&(t.components=L),j&&(t.directives=j)}(t)}finally{mt(),e()}}}function lo(t){return{get attrs(){return function(t){return t.attrsProxy||(t.attrsProxy=new Proxy(t.attrs,{get:(e,n)=>(At(t,0,"$attrs"),e[n])}))}(t)},slots:t.slots,emit:t.emit,expose:e=>{t.exposed=e||{}}}}function co(t){if(t.exposed)return t.exposeProxy||(t.exposeProxy=new Proxy(Le(be(t.exposed)),{get:(e,n)=>n in e?e[n]:n in Mr?Mr[n](t):void 0,has:(t,e)=>e in t||e in Mr}))}function uo(t,e=!0){return b(t)?t.displayName||t.name:t.name||e&&t.__name}const ho=(t,e)=>function(t,e,n=!1){let r,i;const o=b(t);return o?(r=t,i=a):(r=t.get,i=t.set),new we(r,i,o||!i,n)}(t,0,oo);function po(t,e,n){const r=arguments.length;return 2===r?w(e)&&!g(e)?Li(e)?Ni(t,null,[e]):Ni(t,e):Ni(t,null,e):(r>3?n=Array.prototype.slice.call(arguments,2):3===r&&Li(n)&&(n=[n]),Ni(t,e,n))}const fo="3.4.21",go="undefined"!=typeof document?document:null,mo=go&&go.createElement("template"),vo={insert:(t,e,n)=>{e.insertBefore(t,n||null)},remove:t=>{const e=t.parentNode;e&&e.removeChild(t)},createElement:(t,e,n,r)=>{const i="svg"===e?go.createElementNS("http://www.w3.org/2000/svg",t):"mathml"===e?go.createElementNS("http://www.w3.org/1998/Math/MathML",t):go.createElement(t,n?{is:n}:void 0);return"select"===t&&r&&null!=r.multiple&&i.setAttribute("multiple",r.multiple),i},createText:t=>go.createTextNode(t),createComment:t=>go.createComment(t),setText:(t,e)=>{t.nodeValue=e},setElementText:(t,e)=>{t.textContent=e},parentNode:t=>t.parentNode,nextSibling:t=>t.nextSibling,querySelector:t=>go.querySelector(t),setScopeId(t,e){t.setAttribute(e,"")},insertStaticContent(t,e,n,r,i,o){const s=n?n.previousSibling:e.lastChild;if(i&&(i===o||i.nextSibling))for(;e.insertBefore(i.cloneNode(!0),n),i!==o&&(i=i.nextSibling););else{mo.innerHTML="svg"===r?`<svg>${t}</svg>`:"mathml"===r?`<math>${t}</math>`:t;const i=mo.content;if("svg"===r||"mathml"===r){const t=i.firstChild;for(;t.firstChild;)i.appendChild(t.firstChild);i.removeChild(t)}e.insertBefore(i,n)}return[s?s.nextSibling:e.firstChild,n?n.previousSibling:e.lastChild]}},yo="transition",bo="animation",_o=Symbol("_vtc"),xo=(t,{slots:e})=>po(Kn,function(t){const e={};for(const n in t)n in wo||(e[n]=t[n]);if(!1===t.css)return e;const{name:n="v",type:r,duration:i,enterFromClass:o=`${n}-enter-from`,enterActiveClass:s=`${n}-enter-active`,enterToClass:a=`${n}-enter-to`,appearFromClass:l=o,appearActiveClass:c=s,appearToClass:u=a,leaveFromClass:p=`${n}-leave-from`,leaveActiveClass:d=`${n}-leave-active`,leaveToClass:f=`${n}-leave-to`}=t,g=function(t){if(null==t)return null;if(w(t))return[Co(t.enter),Co(t.leave)];{const e=Co(t);return[e,e]}}(i),m=g&&g[0],v=g&&g[1],{onBeforeEnter:y,onEnter:b,onEnterCancelled:_,onLeave:x,onLeaveCancelled:S,onBeforeAppear:k=y,onAppear:C=b,onAppearCancelled:A=_}=e,O=(t,e,n)=>{Oo(t,e?u:a),Oo(t,e?c:s),n&&n()},T=(t,e)=>{t._isLeaving=!1,Oo(t,p),Oo(t,f),Oo(t,d),e&&e()},E=t=>(e,n)=>{const i=t?C:b,s=()=>O(e,t,n);So(i,[e,s]),To((()=>{Oo(e,t?l:o),Ao(e,t?u:a),ko(i)||Po(e,r,m,s)}))};return h(e,{onBeforeEnter(t){So(y,[t]),Ao(t,o),Ao(t,s)},onBeforeAppear(t){So(k,[t]),Ao(t,l),Ao(t,c)},onEnter:E(!1),onAppear:E(!0),onLeave(t,e){t._isLeaving=!0;const n=()=>T(t,e);Ao(t,p),document.body.offsetHeight,Ao(t,d),To((()=>{t._isLeaving&&(Oo(t,p),Ao(t,f),ko(x)||Po(t,r,v,n))})),So(x,[t,n])},onEnterCancelled(t){O(t,!1),So(_,[t])},onAppearCancelled(t){O(t,!0),So(A,[t])},onLeaveCancelled(t){T(t),So(S,[t])}})}(t),e);xo.displayName="Transition";const wo={name:String,type:String,css:{type:Boolean,default:!0},duration:[String,Number,Object],enterFromClass:String,enterActiveClass:String,enterToClass:String,appearFromClass:String,appearActiveClass:String,appearToClass:String,leaveFromClass:String,leaveActiveClass:String,leaveToClass:String},So=(xo.props=h({},Xn,wo),(t,e=[])=>{g(t)?t.forEach((t=>t(...e))):t&&t(...e)}),ko=t=>!!t&&(g(t)?t.some((t=>t.length>1)):t.length>1);function Co(t){return z(t)}function Ao(t,e){e.split(/\s+/).forEach((e=>e&&t.classList.add(e))),(t[_o]||(t[_o]=new Set)).add(e)}function Oo(t,e){e.split(/\s+/).forEach((e=>e&&t.classList.remove(e)));const n=t[_o];n&&(n.delete(e),n.size||(t[_o]=void 0))}function To(t){requestAnimationFrame((()=>{requestAnimationFrame(t)}))}let Eo=0;function Po(t,e,n,r){const i=t._endId=++Eo,o=()=>{i===t._endId&&r()};if(n)return setTimeout(o,n);const{type:s,timeout:a,propCount:l}=function(t,e){const n=window.getComputedStyle(t),r=t=>(n[t]||"").split(", "),i=r(`${yo}Delay`),o=r(`${yo}Duration`),s=Mo(i,o),a=r(`${bo}Delay`),l=r(`${bo}Duration`),c=Mo(a,l);let u=null,h=0,p=0;return e===yo?s>0&&(u=yo,h=s,p=o.length):e===bo?c>0&&(u=bo,h=c,p=l.length):(h=Math.max(s,c),u=h>0?s>c?yo:bo:null,p=u?u===yo?o.length:l.length:0),{type:u,timeout:h,propCount:p,hasTransform:u===yo&&/\b(transform|all)(,|$)/.test(r(`${yo}Property`).toString())}}(t,e);if(!s)return r();const c=s+"end";let u=0;const h=()=>{t.removeEventListener(c,p),o()},p=e=>{e.target===t&&++u>=l&&h()};setTimeout((()=>{u<l&&h()}),a+1),t.addEventListener(c,p)}function Mo(t,e){for(;t.length<e.length;)t=t.concat(t);return Math.max(...e.map(((e,n)=>Lo(e)+Lo(t[n]))))}function Lo(t){return"auto"===t?0:1e3*Number(t.slice(0,-1).replace(",","."))}const jo=Symbol("_vod"),Do=Symbol("_vsh"),$o={beforeMount(t,{value:e},{transition:n}){t[jo]="none"===t.style.display?"":t.style.display,n&&e?n.beforeEnter(t):Io(t,e)},mounted(t,{value:e},{transition:n}){n&&e&&n.enter(t)},updated(t,{value:e,oldValue:n},{transition:r}){!e!=!n&&(r?e?(r.beforeEnter(t),Io(t,!0),r.enter(t)):r.leave(t,(()=>{Io(t,!1)})):Io(t,e))},beforeUnmount(t,{value:e}){Io(t,e)}};function Io(t,e){t.style.display=e?t[jo]:"none",t[Do]=!e}const Ro=Symbol("");function No(t){const e=Zi();if(!e)return;const n=e.ut=(n=t(e.proxy))=>{Array.from(document.querySelectorAll(`[data-v-owner="${e.uid}"]`)).forEach((t=>Fo(t,n)))},r=()=>{const r=t(e.proxy);Bo(e.subTree,r),n(r)};Bn(r,null,{flush:"post"}),mr((()=>{const t=new MutationObserver(r);t.observe(e.subTree.el.parentNode,{childList:!0}),_r((()=>t.disconnect()))}))}function Bo(t,e){if(128&t.shapeFlag){const n=t.suspense;t=n.activeBranch,n.pendingBranch&&!n.isHydrating&&n.effects.push((()=>{Bo(n.activeBranch,e)}))}for(;t.component;)t=t.component.subTree;if(1&t.shapeFlag&&t.el)Fo(t.el,e);else if(t.type===_i)t.children.forEach((t=>Bo(t,e)));else if(t.type===Si){let{el:n,anchor:r}=t;for(;n&&(Fo(n,e),n!==r);)n=n.nextSibling}}function Fo(t,e){if(1===t.nodeType){const n=t.style;let r="";for(const t in e)n.setProperty(`--${t}`,e[t]),r+=`--${t}: ${e[t]};`;n[Ro]=r}}const zo=/(^|;)\s*display\s*:/,Vo=/\s*!important$/;function qo(t,e,n){if(g(n))n.forEach((n=>qo(t,e,n)));else if(null==n&&(n=""),e.startsWith("--"))t.setProperty(e,n);else{const r=function(t,e){const n=Ho[e];if(n)return n;let r=L(e);if("filter"!==r&&r in t)return Ho[e]=r;r=$(r);for(let n=0;n<Wo.length;n++){const i=Wo[n]+r;if(i in t)return Ho[e]=i}return e}(t,e);Vo.test(n)?t.setProperty(D(r),n.replace(Vo,""),"important"):t[r]=n}}const Wo=["Webkit","Moz","ms"],Ho={},Uo="http://www.w3.org/1999/xlink";function Go(t,e,n,r){t.addEventListener(e,n,r)}const Xo=Symbol("_vei");const Yo=/(?:Once|Passive|Capture)$/;let Ko=0;const Zo=Promise.resolve(),Jo=()=>Ko||(Zo.then((()=>Ko=0)),Ko=Date.now()),Qo=t=>111===t.charCodeAt(0)&&110===t.charCodeAt(1)&&t.charCodeAt(2)>96&&t.charCodeAt(2)<123;function ts(t="$style"){{const e=Zi();if(!e)return o;const n=e.type.__cssModules;if(!n)return o;return n[t]||o}}"undefined"!=typeof HTMLElement&&HTMLElement,Symbol("_moveCb"),Symbol("_enterCb");const es=t=>{const e=t.props["onUpdate:modelValue"]||!1;return g(e)?t=>N(e,t):e},ns=Symbol("_assign"),rs={deep:!0,created(t,e,n){t[ns]=es(n),Go(t,"change",(()=>{const e=t._modelValue,n=function(t){return"_value"in t?t._value:t.value}(t),r=t.checked,i=t[ns];if(g(e)){const t=tt(e,n),o=-1!==t;if(r&&!o)i(e.concat(n));else if(!r&&o){const n=[...e];n.splice(t,1),i(n)}}else if(v(e)){const t=new Set(e);r?t.add(n):t.delete(n),i(t)}else i(os(t,r))}))},mounted:is,beforeUpdate(t,e,n){t[ns]=es(n),is(t,e,n)}};function is(t,{value:e,oldValue:n},r){t._modelValue=e,g(e)?t.checked=tt(e,r.props.value)>-1:v(e)?t.checked=e.has(r.props.value):e!==n&&(t.checked=Q(e,os(t,!0)))}function os(t,e){const n=e?"_trueValue":"_falseValue";return n in t?t[n]:e}const ss=["ctrl","shift","alt","meta"],as={stop:t=>t.stopPropagation(),prevent:t=>t.preventDefault(),self:t=>t.target!==t.currentTarget,ctrl:t=>!t.ctrlKey,shift:t=>!t.shiftKey,alt:t=>!t.altKey,meta:t=>!t.metaKey,left:t=>"button"in t&&0!==t.button,middle:t=>"button"in t&&1!==t.button,right:t=>"button"in t&&2!==t.button,exact:(t,e)=>ss.some((n=>t[`${n}Key`]&&!e.includes(n)))},ls=(t,e)=>{const n=t._withMods||(t._withMods={}),r=e.join(".");return n[r]||(n[r]=(n,...r)=>{for(let t=0;t<e.length;t++){const r=as[e[t]];if(r&&r(n,e))return}return t(n,...r)})},cs={esc:"escape",space:" ",up:"arrow-up",left:"arrow-left",right:"arrow-right",down:"arrow-down",delete:"backspace"},us=(t,e)=>{const n=t._withKeys||(t._withKeys={}),r=e.join(".");return n[r]||(n[r]=n=>{if(!("key"in n))return;const r=D(n.key);return e.some((t=>t===r||cs[t]===r))?t(n):void 0})},hs=h({patchProp:(t,e,n,r,i,o,s,a,l)=>{const h="svg"===i;"class"===e?function(t,e,n){const r=t[_o];r&&(e=(e?[e,...r]:[...r]).join(" ")),null==e?t.removeAttribute("class"):n?t.setAttribute("class",e):t.className=e}(t,r,h):"style"===e?function(t,e,n){const r=t.style,i=_(n);let o=!1;if(n&&!i){if(e)if(_(e))for(const t of e.split(";")){const e=t.slice(0,t.indexOf(":")).trim();null==n[e]&&qo(r,e,"")}else for(const t in e)null==n[t]&&qo(r,t,"");for(const t in n)"display"===t&&(o=!0),qo(r,t,n[t])}else if(i){if(e!==n){const t=r[Ro];t&&(n+=";"+t),r.cssText=n,o=zo.test(n)}}else e&&t.removeAttribute("style");jo in t&&(t[jo]=o?r.display:"",t[Do]&&(r.display="none"))}(t,n,r):c(e)?u(e)||function(t,e,n,r,i=null){const o=t[Xo]||(t[Xo]={}),s=o[e];if(r&&s)s.value=r;else{const[n,a]=function(t){let e;if(Yo.test(t)){let n;for(e={};n=t.match(Yo);)t=t.slice(0,t.length-n[0].length),e[n[0].toLowerCase()]=!0}return[":"===t[2]?t.slice(3):D(t.slice(2)),e]}(e);if(r){const s=o[e]=function(t,e){const n=t=>{if(t._vts){if(t._vts<=n.attached)return}else t._vts=Date.now();Ne(function(t,e){if(g(e)){const n=t.stopImmediatePropagation;return t.stopImmediatePropagation=()=>{n.call(t),t._stopped=!0},e.map((t=>e=>!e._stopped&&t&&t(e)))}return e}(t,n.value),e,5,[t])};return n.value=t,n.attached=Jo(),n}(r,i);Go(t,n,s,a)}else s&&(function(t,e,n,r){t.removeEventListener(e,n,r)}(t,n,s,a),o[e]=void 0)}}(t,e,0,r,s):("."===e[0]?(e=e.slice(1),1):"^"===e[0]?(e=e.slice(1),0):function(t,e,n,r){if(r)return"innerHTML"===e||"textContent"===e||!!(e in t&&Qo(e)&&b(n));if("spellcheck"===e||"draggable"===e||"translate"===e)return!1;if("form"===e)return!1;if("list"===e&&"INPUT"===t.tagName)return!1;if("type"===e&&"TEXTAREA"===t.tagName)return!1;if("width"===e||"height"===e){const e=t.tagName;if("IMG"===e||"VIDEO"===e||"CANVAS"===e||"SOURCE"===e)return!1}return(!Qo(e)||!_(n))&&e in t}(t,e,r,h))?function(t,e,n,r,i,o,s){if("innerHTML"===e||"textContent"===e)return r&&s(r,i,o),void(t[e]=null==n?"":n);const a=t.tagName;if("value"===e&&"PROGRESS"!==a&&!a.includes("-")){const r=null==n?"":n;return("OPTION"===a?t.getAttribute("value")||"":t.value)===r&&"_value"in t||(t.value=r),null==n&&t.removeAttribute(e),void(t._value=n)}let l=!1;if(""===n||null==n){const r=typeof t[e];"boolean"===r?n=J(n):null==n&&"string"===r?(n="",l=!0):"number"===r&&(n=0,l=!0)}try{t[e]=n}catch(t){}l&&t.removeAttribute(e)}(t,e,r,o,s,a,l):("true-value"===e?t._trueValue=r:"false-value"===e&&(t._falseValue=r),function(t,e,n,r,i){if(r&&e.startsWith("xlink:"))null==n?t.removeAttributeNS(Uo,e.slice(6,e.length)):t.setAttributeNS(Uo,e,n);else{const r=Z(e);null==n||r&&!J(n)?t.removeAttribute(e):t.setAttribute(e,r?"":n)}}(t,e,r,h))}},vo);let ps;var ds=n(60);const fs={},gs=(0,ds.A)(fs,[["render",function(t,e){const n=Tn("router-view");return Ai(),Pi("div",null,[Ni(n)])}]]);function ms(){return"undefined"!=typeof navigator&&"undefined"!=typeof window?window:"undefined"!=typeof globalThis?globalThis:{}}const vs="function"==typeof Proxy,ys="devtools-plugin:setup";let bs,_s;class xs{constructor(t,e){this.target=null,this.targetQueue=[],this.onQueue=[],this.plugin=t,this.hook=e;const n={};if(t.settings)for(const e in t.settings){const r=t.settings[e];n[e]=r.defaultValue}const r=`__vue-devtools-plugin-settings__${t.id}`;let i=Object.assign({},n);try{const t=localStorage.getItem(r),e=JSON.parse(t);Object.assign(i,e)}catch(t){}this.fallbacks={getSettings:()=>i,setSettings(t){try{localStorage.setItem(r,JSON.stringify(t))}catch(t){}i=t},now:()=>{return void 0!==bs||("undefined"!=typeof window&&window.performance?(bs=!0,_s=window.performance):"undefined"!=typeof globalThis&&(null===(t=globalThis.perf_hooks)||void 0===t?void 0:t.performance)?(bs=!0,_s=globalThis.perf_hooks.performance):bs=!1),bs?_s.now():Date.now();var t}},e&&e.on("plugin:settings:set",((t,e)=>{t===this.plugin.id&&this.fallbacks.setSettings(e)})),this.proxiedOn=new Proxy({},{get:(t,e)=>this.target?this.target.on[e]:(...t)=>{this.onQueue.push({method:e,args:t})}}),this.proxiedTarget=new Proxy({},{get:(t,e)=>this.target?this.target[e]:"on"===e?this.proxiedOn:Object.keys(this.fallbacks).includes(e)?(...t)=>(this.targetQueue.push({method:e,args:t,resolve:()=>{}}),this.fallbacks[e](...t)):(...t)=>new Promise((n=>{this.targetQueue.push({method:e,args:t,resolve:n})}))})}async setRealTarget(t){this.target=t;for(const t of this.onQueue)this.target.on[t.method](...t.args);for(const t of this.targetQueue)t.resolve(await this.target[t.method](...t.args))}}function ws(t,e){const n=t,r=ms(),i=ms().__VUE_DEVTOOLS_GLOBAL_HOOK__,o=vs&&n.enableEarlyProxy;if(!i||!r.__VUE_DEVTOOLS_PLUGIN_API_AVAILABLE__&&o){const t=o?new xs(n,i):null;(r.__VUE_DEVTOOLS_PLUGINS__=r.__VUE_DEVTOOLS_PLUGINS__||[]).push({pluginDescriptor:n,setupFn:e,proxy:t}),t&&e(t.proxiedTarget)}else i.emit(ys,t,e)}function Ss(t,e){Object.keys(t).forEach((function(n){return e(t[n],n)}))}function ks(t){return null!==t&&"object"==typeof t}function Cs(t,e,n){return e.indexOf(t)<0&&(n&&n.prepend?e.unshift(t):e.push(t)),function(){var n=e.indexOf(t);n>-1&&e.splice(n,1)}}function As(t,e){t._actions=Object.create(null),t._mutations=Object.create(null),t._wrappedGetters=Object.create(null),t._modulesNamespaceMap=Object.create(null);var n=t.state;Ts(t,n,[],t._modules.root,!0),Os(t,n,e)}function Os(t,e,n){var r=t._state,i=t._scope;t.getters={},t._makeLocalGettersCache=Object.create(null);var o=t._wrappedGetters,s={},a={},l=new st(!0);l.run((function(){Ss(o,(function(e,n){s[n]=function(t,e){return function(){return t(e)}}(e,t),a[n]=ho((function(){return s[n]()})),Object.defineProperty(t.getters,n,{get:function(){return a[n].value},enumerable:!0})}))})),t._state=ue({data:e}),t._scope=l,t.strict&&function(t){Nn((function(){return t._state.data}),(function(){}),{deep:!0,flush:"sync"})}(t),r&&n&&t._withCommit((function(){r.data=null})),i&&i.stop()}function Ts(t,e,n,r,i){var o=!n.length,s=t._modules.getNamespace(n);if(r.namespaced&&(t._modulesNamespaceMap[s],t._modulesNamespaceMap[s]=r),!o&&!i){var a=Ps(e,n.slice(0,-1)),l=n[n.length-1];t._withCommit((function(){a[l]=r.state}))}var c=r.context=function(t,e,n){var r=""===e,i={dispatch:r?t.dispatch:function(n,r,i){var o=Ms(n,r,i),s=o.payload,a=o.options,l=o.type;return a&&a.root||(l=e+l),t.dispatch(l,s)},commit:r?t.commit:function(n,r,i){var o=Ms(n,r,i),s=o.payload,a=o.options,l=o.type;a&&a.root||(l=e+l),t.commit(l,s,a)}};return Object.defineProperties(i,{getters:{get:r?function(){return t.getters}:function(){return Es(t,e)}},state:{get:function(){return Ps(t.state,n)}}}),i}(t,s,n);r.forEachMutation((function(e,n){!function(t,e,n,r){(t._mutations[e]||(t._mutations[e]=[])).push((function(e){n.call(t,r.state,e)}))}(t,s+n,e,c)})),r.forEachAction((function(e,n){var r=e.root?n:s+n,i=e.handler||e;!function(t,e,n,r){(t._actions[e]||(t._actions[e]=[])).push((function(e){var i,o=n.call(t,{dispatch:r.dispatch,commit:r.commit,getters:r.getters,state:r.state,rootGetters:t.getters,rootState:t.state},e);return(i=o)&&"function"==typeof i.then||(o=Promise.resolve(o)),t._devtoolHook?o.catch((function(e){throw t._devtoolHook.emit("vuex:error",e),e})):o}))}(t,r,i,c)})),r.forEachGetter((function(e,n){!function(t,e,n,r){t._wrappedGetters[e]||(t._wrappedGetters[e]=function(t){return n(r.state,r.getters,t.state,t.getters)})}(t,s+n,e,c)})),r.forEachChild((function(r,o){Ts(t,e,n.concat(o),r,i)}))}function Es(t,e){if(!t._makeLocalGettersCache[e]){var n={},r=e.length;Object.keys(t.getters).forEach((function(i){if(i.slice(0,r)===e){var o=i.slice(r);Object.defineProperty(n,o,{get:function(){return t.getters[i]},enumerable:!0})}})),t._makeLocalGettersCache[e]=n}return t._makeLocalGettersCache[e]}function Ps(t,e){return e.reduce((function(t,e){return t[e]}),t)}function Ms(t,e,n){return ks(t)&&t.type&&(n=e,e=t,t=t.type),{type:t,payload:e,options:n}}var Ls="vuex:mutations",js="vuex:actions",Ds="vuex",$s=0;function Is(t,e){ws({id:"org.vuejs.vuex",app:t,label:"Vuex",homepage:"https://next.vuex.vuejs.org/",logo:"https://vuejs.org/images/icons/favicon-96x96.png",packageName:"vuex",componentStateTypes:["vuex bindings"]},(function(n){n.addTimelineLayer({id:Ls,label:"Vuex Mutations",color:Rs}),n.addTimelineLayer({id:js,label:"Vuex Actions",color:Rs}),n.addInspector({id:Ds,label:"Vuex",icon:"storage",treeFilterPlaceholder:"Filter stores..."}),n.on.getInspectorTree((function(n){if(n.app===t&&n.inspectorId===Ds)if(n.filter){var r=[];zs(r,e._modules.root,n.filter,""),n.rootNodes=r}else n.rootNodes=[Fs(e._modules.root,"")]})),n.on.getInspectorState((function(n){if(n.app===t&&n.inspectorId===Ds){var r=n.nodeId;Es(e,r),n.state=function(t,e,n){e="root"===n?e:e[n];var r=Object.keys(e),i={state:Object.keys(t.state).map((function(e){return{key:e,editable:!0,value:t.state[e]}}))};if(r.length){var o=function(t){var e={};return Object.keys(t).forEach((function(n){var r=n.split("/");if(r.length>1){var i=e,o=r.pop();r.forEach((function(t){i[t]||(i[t]={_custom:{value:{},display:t,tooltip:"Module",abstract:!0}}),i=i[t]._custom.value})),i[o]=Vs((function(){return t[n]}))}else e[n]=Vs((function(){return t[n]}))})),e}(e);i.getters=Object.keys(o).map((function(t){return{key:t.endsWith("/")?Bs(t):t,editable:!1,value:Vs((function(){return o[t]}))}}))}return i}((i=e._modules,(s=(o=r).split("/").filter((function(t){return t}))).reduce((function(t,e,n){var r=t[e];if(!r)throw new Error('Missing module "'+e+'" for path "'+o+'".');return n===s.length-1?r:r._children}),"root"===o?i:i.root._children)),"root"===r?e.getters:e._makeLocalGettersCache,r)}var i,o,s})),n.on.editInspectorState((function(n){if(n.app===t&&n.inspectorId===Ds){var r=n.nodeId,i=n.path;"root"!==r&&(i=r.split("/").filter(Boolean).concat(i)),e._withCommit((function(){n.set(e._state.data,i,n.state.value)}))}})),e.subscribe((function(t,e){var r={};t.payload&&(r.payload=t.payload),r.state=e,n.notifyComponentUpdate(),n.sendInspectorTree(Ds),n.sendInspectorState(Ds),n.addTimelineEvent({layerId:Ls,event:{time:Date.now(),title:t.type,data:r}})})),e.subscribeAction({before:function(t,e){var r={};t.payload&&(r.payload=t.payload),t._id=$s++,t._time=Date.now(),r.state=e,n.addTimelineEvent({layerId:js,event:{time:t._time,title:t.type,groupId:t._id,subtitle:"start",data:r}})},after:function(t,e){var r={},i=Date.now()-t._time;r.duration={_custom:{type:"duration",display:i+"ms",tooltip:"Action duration",value:i}},t.payload&&(r.payload=t.payload),r.state=e,n.addTimelineEvent({layerId:js,event:{time:Date.now(),title:t.type,groupId:t._id,subtitle:"end",data:r}})}})}))}var Rs=8702998,Ns={label:"namespaced",textColor:16777215,backgroundColor:6710886};function Bs(t){return t&&"root"!==t?t.split("/").slice(-2,-1)[0]:"Root"}function Fs(t,e){return{id:e||"root",label:Bs(e),tags:t.namespaced?[Ns]:[],children:Object.keys(t._children).map((function(n){return Fs(t._children[n],e+n+"/")}))}}function zs(t,e,n,r){r.includes(n)&&t.push({id:r||"root",label:r.endsWith("/")?r.slice(0,r.length-1):r||"Root",tags:e.namespaced?[Ns]:[]}),Object.keys(e._children).forEach((function(i){zs(t,e._children[i],n,r+i+"/")}))}function Vs(t){try{return t()}catch(t){return t}}var qs=function(t,e){this.runtime=e,this._children=Object.create(null),this._rawModule=t;var n=t.state;this.state=("function"==typeof n?n():n)||{}},Ws={namespaced:{configurable:!0}};Ws.namespaced.get=function(){return!!this._rawModule.namespaced},qs.prototype.addChild=function(t,e){this._children[t]=e},qs.prototype.removeChild=function(t){delete this._children[t]},qs.prototype.getChild=function(t){return this._children[t]},qs.prototype.hasChild=function(t){return t in this._children},qs.prototype.update=function(t){this._rawModule.namespaced=t.namespaced,t.actions&&(this._rawModule.actions=t.actions),t.mutations&&(this._rawModule.mutations=t.mutations),t.getters&&(this._rawModule.getters=t.getters)},qs.prototype.forEachChild=function(t){Ss(this._children,t)},qs.prototype.forEachGetter=function(t){this._rawModule.getters&&Ss(this._rawModule.getters,t)},qs.prototype.forEachAction=function(t){this._rawModule.actions&&Ss(this._rawModule.actions,t)},qs.prototype.forEachMutation=function(t){this._rawModule.mutations&&Ss(this._rawModule.mutations,t)},Object.defineProperties(qs.prototype,Ws);var Hs=function(t){this.register([],t,!1)};function Us(t,e,n){if(e.update(n),n.modules)for(var r in n.modules){if(!e.getChild(r))return;Us(t.concat(r),e.getChild(r),n.modules[r])}}Hs.prototype.get=function(t){return t.reduce((function(t,e){return t.getChild(e)}),this.root)},Hs.prototype.getNamespace=function(t){var e=this.root;return t.reduce((function(t,n){return t+((e=e.getChild(n)).namespaced?n+"/":"")}),"")},Hs.prototype.update=function(t){Us([],this.root,t)},Hs.prototype.register=function(t,e,n){var r=this;void 0===n&&(n=!0);var i=new qs(e,n);0===t.length?this.root=i:this.get(t.slice(0,-1)).addChild(t[t.length-1],i),e.modules&&Ss(e.modules,(function(e,i){r.register(t.concat(i),e,n)}))},Hs.prototype.unregister=function(t){var e=this.get(t.slice(0,-1)),n=t[t.length-1],r=e.getChild(n);r&&r.runtime&&e.removeChild(n)},Hs.prototype.isRegistered=function(t){var e=this.get(t.slice(0,-1)),n=t[t.length-1];return!!e&&e.hasChild(n)};var Gs=function(t){var e=this;void 0===t&&(t={});var n=t.plugins;void 0===n&&(n=[]);var r=t.strict;void 0===r&&(r=!1);var i=t.devtools;this._committing=!1,this._actions=Object.create(null),this._actionSubscribers=[],this._mutations=Object.create(null),this._wrappedGetters=Object.create(null),this._modules=new Hs(t),this._modulesNamespaceMap=Object.create(null),this._subscribers=[],this._makeLocalGettersCache=Object.create(null),this._scope=null,this._devtools=i;var o=this,s=this.dispatch,a=this.commit;this.dispatch=function(t,e){return s.call(o,t,e)},this.commit=function(t,e,n){return a.call(o,t,e,n)},this.strict=r;var l=this._modules.root.state;Ts(this,l,[],this._modules.root),Os(this,l),n.forEach((function(t){return t(e)}))},Xs={state:{configurable:!0}};function Ys(t){return function(t){return Array.isArray(t)||ks(t)}(t)?Array.isArray(t)?t.map((function(t){return{key:t,val:t}})):Object.keys(t).map((function(e){return{key:e,val:t[e]}})):[]}function Ks(t){return function(e,n){return"string"!=typeof e?(n=e,e=""):"/"!==e.charAt(e.length-1)&&(e+="/"),t(e,n)}}function Zs(t,e,n){return t._modulesNamespaceMap[n]}Gs.prototype.install=function(t,e){t.provide(e||"store",this),t.config.globalProperties.$store=this,(void 0!==this._devtools?this._devtools:__VUE_PROD_DEVTOOLS__)&&Is(t,this)},Xs.state.get=function(){return this._state.data},Xs.state.set=function(t){},Gs.prototype.commit=function(t,e,n){var r=this,i=Ms(t,e,n),o=i.type,s=i.payload,a=(i.options,{type:o,payload:s}),l=this._mutations[o];l&&(this._withCommit((function(){l.forEach((function(t){t(s)}))})),this._subscribers.slice().forEach((function(t){return t(a,r.state)})))},Gs.prototype.dispatch=function(t,e){var n=this,r=Ms(t,e),i=r.type,o=r.payload,s={type:i,payload:o},a=this._actions[i];if(a){try{this._actionSubscribers.slice().filter((function(t){return t.before})).forEach((function(t){return t.before(s,n.state)}))}catch(t){}var l=a.length>1?Promise.all(a.map((function(t){return t(o)}))):a[0](o);return new Promise((function(t,e){l.then((function(e){try{n._actionSubscribers.filter((function(t){return t.after})).forEach((function(t){return t.after(s,n.state)}))}catch(t){}t(e)}),(function(t){try{n._actionSubscribers.filter((function(t){return t.error})).forEach((function(e){return e.error(s,n.state,t)}))}catch(t){}e(t)}))}))}},Gs.prototype.subscribe=function(t,e){return Cs(t,this._subscribers,e)},Gs.prototype.subscribeAction=function(t,e){return Cs("function"==typeof t?{before:t}:t,this._actionSubscribers,e)},Gs.prototype.watch=function(t,e,n){var r=this;return Nn((function(){return t(r.state,r.getters)}),e,Object.assign({},n))},Gs.prototype.replaceState=function(t){var e=this;this._withCommit((function(){e._state.data=t}))},Gs.prototype.registerModule=function(t,e,n){void 0===n&&(n={}),"string"==typeof t&&(t=[t]),this._modules.register(t,e),Ts(this,this.state,t,this._modules.get(t),n.preserveState),Os(this,this.state)},Gs.prototype.unregisterModule=function(t){var e=this;"string"==typeof t&&(t=[t]),this._modules.unregister(t),this._withCommit((function(){delete Ps(e.state,t.slice(0,-1))[t[t.length-1]]})),As(this)},Gs.prototype.hasModule=function(t){return"string"==typeof t&&(t=[t]),this._modules.isRegistered(t)},Gs.prototype.hotUpdate=function(t){this._modules.update(t),As(this,!0)},Gs.prototype._withCommit=function(t){var e=this._committing;this._committing=!0,t(),this._committing=e},Object.defineProperties(Gs.prototype,Xs),Ks((function(t,e){var n={};return Ys(e).forEach((function(e){var r=e.key,i=e.val;n[r]=function(){var e=this.$store.state,n=this.$store.getters;if(t){var r=Zs(this.$store,0,t);if(!r)return;e=r.context.state,n=r.context.getters}return"function"==typeof i?i.call(this,e,n):e[i]},n[r].vuex=!0})),n})),Ks((function(t,e){var n={};return Ys(e).forEach((function(e){var r=e.key,i=e.val;n[r]=function(){for(var e=[],n=arguments.length;n--;)e[n]=arguments[n];var r=this.$store.commit;if(t){var o=Zs(this.$store,0,t);if(!o)return;r=o.context.commit}return"function"==typeof i?i.apply(this,[r].concat(e)):r.apply(this.$store,[i].concat(e))}})),n})),Ks((function(t,e){var n={};return Ys(e).forEach((function(e){var r=e.key,i=e.val;i=t+i,n[r]=function(){if(!t||Zs(this.$store,0,t))return this.$store.getters[i]},n[r].vuex=!0})),n})),Ks((function(t,e){var n={};return Ys(e).forEach((function(e){var r=e.key,i=e.val;n[r]=function(){for(var e=[],n=arguments.length;n--;)e[n]=arguments[n];var r=this.$store.dispatch;if(t){var o=Zs(this.$store,0,t);if(!o)return;r=o.context.dispatch}return"function"==typeof i?i.apply(this,[r].concat(e)):r.apply(this.$store,[i].concat(e))}})),n}));var Js=n(822),Qs=n.n(Js),ta=n(711),ea=n.n(ta);function na(t,e){return function(){return t.apply(e,arguments)}}const{toString:ra}=Object.prototype,{getPrototypeOf:ia}=Object,oa=(sa=Object.create(null),t=>{const e=ra.call(t);return sa[e]||(sa[e]=e.slice(8,-1).toLowerCase())});var sa;const aa=t=>(t=t.toLowerCase(),e=>oa(e)===t),la=t=>e=>typeof e===t,{isArray:ca}=Array,ua=la("undefined"),ha=aa("ArrayBuffer"),pa=la("string"),da=la("function"),fa=la("number"),ga=t=>null!==t&&"object"==typeof t,ma=t=>{if("object"!==oa(t))return!1;const e=ia(t);return!(null!==e&&e!==Object.prototype&&null!==Object.getPrototypeOf(e)||Symbol.toStringTag in t||Symbol.iterator in t)},va=aa("Date"),ya=aa("File"),ba=aa("Blob"),_a=aa("FileList"),xa=aa("URLSearchParams");function wa(t,e,{allOwnKeys:n=!1}={}){if(null==t)return;let r,i;if("object"!=typeof t&&(t=[t]),ca(t))for(r=0,i=t.length;r<i;r++)e.call(null,t[r],r,t);else{const i=n?Object.getOwnPropertyNames(t):Object.keys(t),o=i.length;let s;for(r=0;r<o;r++)s=i[r],e.call(null,t[s],s,t)}}function Sa(t,e){e=e.toLowerCase();const n=Object.keys(t);let r,i=n.length;for(;i-- >0;)if(r=n[i],e===r.toLowerCase())return r;return null}const ka="undefined"!=typeof globalThis?globalThis:"undefined"!=typeof self?self:"undefined"!=typeof window?window:global,Ca=t=>!ua(t)&&t!==ka,Aa=(Oa="undefined"!=typeof Uint8Array&&ia(Uint8Array),t=>Oa&&t instanceof Oa);var Oa;const Ta=aa("HTMLFormElement"),Ea=(({hasOwnProperty:t})=>(e,n)=>t.call(e,n))(Object.prototype),Pa=aa("RegExp"),Ma=(t,e)=>{const n=Object.getOwnPropertyDescriptors(t),r={};wa(n,((n,i)=>{let o;!1!==(o=e(n,i,t))&&(r[i]=o||n)})),Object.defineProperties(t,r)},La="abcdefghijklmnopqrstuvwxyz",ja="0123456789",Da={DIGIT:ja,ALPHA:La,ALPHA_DIGIT:La+La.toUpperCase()+ja},$a=aa("AsyncFunction"),Ia={isArray:ca,isArrayBuffer:ha,isBuffer:function(t){return null!==t&&!ua(t)&&null!==t.constructor&&!ua(t.constructor)&&da(t.constructor.isBuffer)&&t.constructor.isBuffer(t)},isFormData:t=>{let e;return t&&("function"==typeof FormData&&t instanceof FormData||da(t.append)&&("formdata"===(e=oa(t))||"object"===e&&da(t.toString)&&"[object FormData]"===t.toString()))},isArrayBufferView:function(t){let e;return e="undefined"!=typeof ArrayBuffer&&ArrayBuffer.isView?ArrayBuffer.isView(t):t&&t.buffer&&ha(t.buffer),e},isString:pa,isNumber:fa,isBoolean:t=>!0===t||!1===t,isObject:ga,isPlainObject:ma,isUndefined:ua,isDate:va,isFile:ya,isBlob:ba,isRegExp:Pa,isFunction:da,isStream:t=>ga(t)&&da(t.pipe),isURLSearchParams:xa,isTypedArray:Aa,isFileList:_a,forEach:wa,merge:function t(){const{caseless:e}=Ca(this)&&this||{},n={},r=(r,i)=>{const o=e&&Sa(n,i)||i;ma(n[o])&&ma(r)?n[o]=t(n[o],r):ma(r)?n[o]=t({},r):ca(r)?n[o]=r.slice():n[o]=r};for(let t=0,e=arguments.length;t<e;t++)arguments[t]&&wa(arguments[t],r);return n},extend:(t,e,n,{allOwnKeys:r}={})=>(wa(e,((e,r)=>{n&&da(e)?t[r]=na(e,n):t[r]=e}),{allOwnKeys:r}),t),trim:t=>t.trim?t.trim():t.replace(/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g,""),stripBOM:t=>(65279===t.charCodeAt(0)&&(t=t.slice(1)),t),inherits:(t,e,n,r)=>{t.prototype=Object.create(e.prototype,r),t.prototype.constructor=t,Object.defineProperty(t,"super",{value:e.prototype}),n&&Object.assign(t.prototype,n)},toFlatObject:(t,e,n,r)=>{let i,o,s;const a={};if(e=e||{},null==t)return e;do{for(i=Object.getOwnPropertyNames(t),o=i.length;o-- >0;)s=i[o],r&&!r(s,t,e)||a[s]||(e[s]=t[s],a[s]=!0);t=!1!==n&&ia(t)}while(t&&(!n||n(t,e))&&t!==Object.prototype);return e},kindOf:oa,kindOfTest:aa,endsWith:(t,e,n)=>{t=String(t),(void 0===n||n>t.length)&&(n=t.length),n-=e.length;const r=t.indexOf(e,n);return-1!==r&&r===n},toArray:t=>{if(!t)return null;if(ca(t))return t;let e=t.length;if(!fa(e))return null;const n=new Array(e);for(;e-- >0;)n[e]=t[e];return n},forEachEntry:(t,e)=>{const n=(t&&t[Symbol.iterator]).call(t);let r;for(;(r=n.next())&&!r.done;){const n=r.value;e.call(t,n[0],n[1])}},matchAll:(t,e)=>{let n;const r=[];for(;null!==(n=t.exec(e));)r.push(n);return r},isHTMLForm:Ta,hasOwnProperty:Ea,hasOwnProp:Ea,reduceDescriptors:Ma,freezeMethods:t=>{Ma(t,((e,n)=>{if(da(t)&&-1!==["arguments","caller","callee"].indexOf(n))return!1;const r=t[n];da(r)&&(e.enumerable=!1,"writable"in e?e.writable=!1:e.set||(e.set=()=>{throw Error("Can not rewrite read-only method '"+n+"'")}))}))},toObjectSet:(t,e)=>{const n={},r=t=>{t.forEach((t=>{n[t]=!0}))};return ca(t)?r(t):r(String(t).split(e)),n},toCamelCase:t=>t.toLowerCase().replace(/[-_\s]([a-z\d])(\w*)/g,(function(t,e,n){return e.toUpperCase()+n})),noop:()=>{},toFiniteNumber:(t,e)=>(t=+t,Number.isFinite(t)?t:e),findKey:Sa,global:ka,isContextDefined:Ca,ALPHABET:Da,generateString:(t=16,e=Da.ALPHA_DIGIT)=>{let n="";const{length:r}=e;for(;t--;)n+=e[Math.random()*r|0];return n},isSpecCompliantForm:function(t){return!!(t&&da(t.append)&&"FormData"===t[Symbol.toStringTag]&&t[Symbol.iterator])},toJSONObject:t=>{const e=new Array(10),n=(t,r)=>{if(ga(t)){if(e.indexOf(t)>=0)return;if(!("toJSON"in t)){e[r]=t;const i=ca(t)?[]:{};return wa(t,((t,e)=>{const o=n(t,r+1);!ua(o)&&(i[e]=o)})),e[r]=void 0,i}}return t};return n(t,0)},isAsyncFn:$a,isThenable:t=>t&&(ga(t)||da(t))&&da(t.then)&&da(t.catch)};function Ra(t,e,n,r,i){Error.call(this),Error.captureStackTrace?Error.captureStackTrace(this,this.constructor):this.stack=(new Error).stack,this.message=t,this.name="AxiosError",e&&(this.code=e),n&&(this.config=n),r&&(this.request=r),i&&(this.response=i)}Ia.inherits(Ra,Error,{toJSON:function(){return{message:this.message,name:this.name,description:this.description,number:this.number,fileName:this.fileName,lineNumber:this.lineNumber,columnNumber:this.columnNumber,stack:this.stack,config:Ia.toJSONObject(this.config),code:this.code,status:this.response&&this.response.status?this.response.status:null}}});const Na=Ra.prototype,Ba={};["ERR_BAD_OPTION_VALUE","ERR_BAD_OPTION","ECONNABORTED","ETIMEDOUT","ERR_NETWORK","ERR_FR_TOO_MANY_REDIRECTS","ERR_DEPRECATED","ERR_BAD_RESPONSE","ERR_BAD_REQUEST","ERR_CANCELED","ERR_NOT_SUPPORT","ERR_INVALID_URL"].forEach((t=>{Ba[t]={value:t}})),Object.defineProperties(Ra,Ba),Object.defineProperty(Na,"isAxiosError",{value:!0}),Ra.from=(t,e,n,r,i,o)=>{const s=Object.create(Na);return Ia.toFlatObject(t,s,(function(t){return t!==Error.prototype}),(t=>"isAxiosError"!==t)),Ra.call(s,t.message,e,n,r,i),s.cause=t,s.name=t.name,o&&Object.assign(s,o),s};const Fa=Ra;function za(t){return Ia.isPlainObject(t)||Ia.isArray(t)}function Va(t){return Ia.endsWith(t,"[]")?t.slice(0,-2):t}function qa(t,e,n){return t?t.concat(e).map((function(t,e){return t=Va(t),!n&&e?"["+t+"]":t})).join(n?".":""):e}const Wa=Ia.toFlatObject(Ia,{},null,(function(t){return/^is[A-Z]/.test(t)})),Ha=function(t,e,n){if(!Ia.isObject(t))throw new TypeError("target must be an object");e=e||new FormData;const r=(n=Ia.toFlatObject(n,{metaTokens:!0,dots:!1,indexes:!1},!1,(function(t,e){return!Ia.isUndefined(e[t])}))).metaTokens,i=n.visitor||c,o=n.dots,s=n.indexes,a=(n.Blob||"undefined"!=typeof Blob&&Blob)&&Ia.isSpecCompliantForm(e);if(!Ia.isFunction(i))throw new TypeError("visitor must be a function");function l(t){if(null===t)return"";if(Ia.isDate(t))return t.toISOString();if(!a&&Ia.isBlob(t))throw new Fa("Blob is not supported. Use a Buffer instead.");return Ia.isArrayBuffer(t)||Ia.isTypedArray(t)?a&&"function"==typeof Blob?new Blob([t]):Buffer.from(t):t}function c(t,n,i){let a=t;if(t&&!i&&"object"==typeof t)if(Ia.endsWith(n,"{}"))n=r?n:n.slice(0,-2),t=JSON.stringify(t);else if(Ia.isArray(t)&&function(t){return Ia.isArray(t)&&!t.some(za)}(t)||(Ia.isFileList(t)||Ia.endsWith(n,"[]"))&&(a=Ia.toArray(t)))return n=Va(n),a.forEach((function(t,r){!Ia.isUndefined(t)&&null!==t&&e.append(!0===s?qa([n],r,o):null===s?n:n+"[]",l(t))})),!1;return!!za(t)||(e.append(qa(i,n,o),l(t)),!1)}const u=[],h=Object.assign(Wa,{defaultVisitor:c,convertValue:l,isVisitable:za});if(!Ia.isObject(t))throw new TypeError("data must be an object");return function t(n,r){if(!Ia.isUndefined(n)){if(-1!==u.indexOf(n))throw Error("Circular reference detected in "+r.join("."));u.push(n),Ia.forEach(n,(function(n,o){!0===(!(Ia.isUndefined(n)||null===n)&&i.call(e,n,Ia.isString(o)?o.trim():o,r,h))&&t(n,r?r.concat(o):[o])})),u.pop()}}(t),e};function Ua(t){const e={"!":"%21","'":"%27","(":"%28",")":"%29","~":"%7E","%20":"+","%00":"\0"};return encodeURIComponent(t).replace(/[!'()~]|%20|%00/g,(function(t){return e[t]}))}function Ga(t,e){this._pairs=[],t&&Ha(t,this,e)}const Xa=Ga.prototype;Xa.append=function(t,e){this._pairs.push([t,e])},Xa.toString=function(t){const e=t?function(e){return t.call(this,e,Ua)}:Ua;return this._pairs.map((function(t){return e(t[0])+"="+e(t[1])}),"").join("&")};const Ya=Ga;function Ka(t){return encodeURIComponent(t).replace(/%3A/gi,":").replace(/%24/g,"$").replace(/%2C/gi,",").replace(/%20/g,"+").replace(/%5B/gi,"[").replace(/%5D/gi,"]")}function Za(t,e,n){if(!e)return t;const r=n&&n.encode||Ka,i=n&&n.serialize;let o;if(o=i?i(e,n):Ia.isURLSearchParams(e)?e.toString():new Ya(e,n).toString(r),o){const e=t.indexOf("#");-1!==e&&(t=t.slice(0,e)),t+=(-1===t.indexOf("?")?"?":"&")+o}return t}const Ja=class{constructor(){this.handlers=[]}use(t,e,n){return this.handlers.push({fulfilled:t,rejected:e,synchronous:!!n&&n.synchronous,runWhen:n?n.runWhen:null}),this.handlers.length-1}eject(t){this.handlers[t]&&(this.handlers[t]=null)}clear(){this.handlers&&(this.handlers=[])}forEach(t){Ia.forEach(this.handlers,(function(e){null!==e&&t(e)}))}},Qa={silentJSONParsing:!0,forcedJSONParsing:!0,clarifyTimeoutError:!1},tl={isBrowser:!0,classes:{URLSearchParams:"undefined"!=typeof URLSearchParams?URLSearchParams:Ya,FormData:"undefined"!=typeof FormData?FormData:null,Blob:"undefined"!=typeof Blob?Blob:null},protocols:["http","https","file","blob","url","data"]},el="undefined"!=typeof window&&"undefined"!=typeof document,nl=(rl="undefined"!=typeof navigator&&navigator.product,el&&["ReactNative","NativeScript","NS"].indexOf(rl)<0);var rl;const il="undefined"!=typeof WorkerGlobalScope&&self instanceof WorkerGlobalScope&&"function"==typeof self.importScripts,ol={...t,...tl},sl=function(t){function e(t,n,r,i){let o=t[i++];if("__proto__"===o)return!0;const s=Number.isFinite(+o),a=i>=t.length;return o=!o&&Ia.isArray(r)?r.length:o,a?(Ia.hasOwnProp(r,o)?r[o]=[r[o],n]:r[o]=n,!s):(r[o]&&Ia.isObject(r[o])||(r[o]=[]),e(t,n,r[o],i)&&Ia.isArray(r[o])&&(r[o]=function(t){const e={},n=Object.keys(t);let r;const i=n.length;let o;for(r=0;r<i;r++)o=n[r],e[o]=t[o];return e}(r[o])),!s)}if(Ia.isFormData(t)&&Ia.isFunction(t.entries)){const n={};return Ia.forEachEntry(t,((t,r)=>{e(function(t){return Ia.matchAll(/\w+|\[(\w*)]/g,t).map((t=>"[]"===t[0]?"":t[1]||t[0]))}(t),r,n,0)})),n}return null},al={transitional:Qa,adapter:["xhr","http"],transformRequest:[function(t,e){const n=e.getContentType()||"",r=n.indexOf("application/json")>-1,i=Ia.isObject(t);if(i&&Ia.isHTMLForm(t)&&(t=new FormData(t)),Ia.isFormData(t))return r?JSON.stringify(sl(t)):t;if(Ia.isArrayBuffer(t)||Ia.isBuffer(t)||Ia.isStream(t)||Ia.isFile(t)||Ia.isBlob(t))return t;if(Ia.isArrayBufferView(t))return t.buffer;if(Ia.isURLSearchParams(t))return e.setContentType("application/x-www-form-urlencoded;charset=utf-8",!1),t.toString();let o;if(i){if(n.indexOf("application/x-www-form-urlencoded")>-1)return function(t,e){return Ha(t,new ol.classes.URLSearchParams,Object.assign({visitor:function(t,e,n,r){return ol.isNode&&Ia.isBuffer(t)?(this.append(e,t.toString("base64")),!1):r.defaultVisitor.apply(this,arguments)}},e))}(t,this.formSerializer).toString();if((o=Ia.isFileList(t))||n.indexOf("multipart/form-data")>-1){const e=this.env&&this.env.FormData;return Ha(o?{"files[]":t}:t,e&&new e,this.formSerializer)}}return i||r?(e.setContentType("application/json",!1),function(t,e,n){if(Ia.isString(t))try{return(0,JSON.parse)(t),Ia.trim(t)}catch(t){if("SyntaxError"!==t.name)throw t}return(0,JSON.stringify)(t)}(t)):t}],transformResponse:[function(t){const e=this.transitional||al.transitional,n=e&&e.forcedJSONParsing,r="json"===this.responseType;if(t&&Ia.isString(t)&&(n&&!this.responseType||r)){const n=!(e&&e.silentJSONParsing)&&r;try{return JSON.parse(t)}catch(t){if(n){if("SyntaxError"===t.name)throw Fa.from(t,Fa.ERR_BAD_RESPONSE,this,null,this.response);throw t}}}return t}],timeout:0,xsrfCookieName:"XSRF-TOKEN",xsrfHeaderName:"X-XSRF-TOKEN",maxContentLength:-1,maxBodyLength:-1,env:{FormData:ol.classes.FormData,Blob:ol.classes.Blob},validateStatus:function(t){return t>=200&&t<300},headers:{common:{Accept:"application/json, text/plain, */*","Content-Type":void 0}}};Ia.forEach(["delete","get","head","post","put","patch"],(t=>{al.headers[t]={}}));const ll=al,cl=Ia.toObjectSet(["age","authorization","content-length","content-type","etag","expires","from","host","if-modified-since","if-unmodified-since","last-modified","location","max-forwards","proxy-authorization","referer","retry-after","user-agent"]),ul=Symbol("internals");function hl(t){return t&&String(t).trim().toLowerCase()}function pl(t){return!1===t||null==t?t:Ia.isArray(t)?t.map(pl):String(t)}function dl(t,e,n,r,i){return Ia.isFunction(r)?r.call(this,e,n):(i&&(e=n),Ia.isString(e)?Ia.isString(r)?-1!==e.indexOf(r):Ia.isRegExp(r)?r.test(e):void 0:void 0)}class fl{constructor(t){t&&this.set(t)}set(t,e,n){const r=this;function i(t,e,n){const i=hl(e);if(!i)throw new Error("header name must be a non-empty string");const o=Ia.findKey(r,i);(!o||void 0===r[o]||!0===n||void 0===n&&!1!==r[o])&&(r[o||e]=pl(t))}const o=(t,e)=>Ia.forEach(t,((t,n)=>i(t,n,e)));return Ia.isPlainObject(t)||t instanceof this.constructor?o(t,e):Ia.isString(t)&&(t=t.trim())&&!/^[-_a-zA-Z0-9^`|~,!#$%&'*+.]+$/.test(t.trim())?o((t=>{const e={};let n,r,i;return t&&t.split("\n").forEach((function(t){i=t.indexOf(":"),n=t.substring(0,i).trim().toLowerCase(),r=t.substring(i+1).trim(),!n||e[n]&&cl[n]||("set-cookie"===n?e[n]?e[n].push(r):e[n]=[r]:e[n]=e[n]?e[n]+", "+r:r)})),e})(t),e):null!=t&&i(e,t,n),this}get(t,e){if(t=hl(t)){const n=Ia.findKey(this,t);if(n){const t=this[n];if(!e)return t;if(!0===e)return function(t){const e=Object.create(null),n=/([^\s,;=]+)\s*(?:=\s*([^,;]+))?/g;let r;for(;r=n.exec(t);)e[r[1]]=r[2];return e}(t);if(Ia.isFunction(e))return e.call(this,t,n);if(Ia.isRegExp(e))return e.exec(t);throw new TypeError("parser must be boolean|regexp|function")}}}has(t,e){if(t=hl(t)){const n=Ia.findKey(this,t);return!(!n||void 0===this[n]||e&&!dl(0,this[n],n,e))}return!1}delete(t,e){const n=this;let r=!1;function i(t){if(t=hl(t)){const i=Ia.findKey(n,t);!i||e&&!dl(0,n[i],i,e)||(delete n[i],r=!0)}}return Ia.isArray(t)?t.forEach(i):i(t),r}clear(t){const e=Object.keys(this);let n=e.length,r=!1;for(;n--;){const i=e[n];t&&!dl(0,this[i],i,t,!0)||(delete this[i],r=!0)}return r}normalize(t){const e=this,n={};return Ia.forEach(this,((r,i)=>{const o=Ia.findKey(n,i);if(o)return e[o]=pl(r),void delete e[i];const s=t?function(t){return t.trim().toLowerCase().replace(/([a-z\d])(\w*)/g,((t,e,n)=>e.toUpperCase()+n))}(i):String(i).trim();s!==i&&delete e[i],e[s]=pl(r),n[s]=!0})),this}concat(...t){return this.constructor.concat(this,...t)}toJSON(t){const e=Object.create(null);return Ia.forEach(this,((n,r)=>{null!=n&&!1!==n&&(e[r]=t&&Ia.isArray(n)?n.join(", "):n)})),e}[Symbol.iterator](){return Object.entries(this.toJSON())[Symbol.iterator]()}toString(){return Object.entries(this.toJSON()).map((([t,e])=>t+": "+e)).join("\n")}get[Symbol.toStringTag](){return"AxiosHeaders"}static from(t){return t instanceof this?t:new this(t)}static concat(t,...e){const n=new this(t);return e.forEach((t=>n.set(t))),n}static accessor(t){const e=(this[ul]=this[ul]={accessors:{}}).accessors,n=this.prototype;function r(t){const r=hl(t);e[r]||(function(t,e){const n=Ia.toCamelCase(" "+e);["get","set","has"].forEach((r=>{Object.defineProperty(t,r+n,{value:function(t,n,i){return this[r].call(this,e,t,n,i)},configurable:!0})}))}(n,t),e[r]=!0)}return Ia.isArray(t)?t.forEach(r):r(t),this}}fl.accessor(["Content-Type","Content-Length","Accept","Accept-Encoding","User-Agent","Authorization"]),Ia.reduceDescriptors(fl.prototype,(({value:t},e)=>{let n=e[0].toUpperCase()+e.slice(1);return{get:()=>t,set(t){this[n]=t}}})),Ia.freezeMethods(fl);const gl=fl;function ml(t,e){const n=this||ll,r=e||n,i=gl.from(r.headers);let o=r.data;return Ia.forEach(t,(function(t){o=t.call(n,o,i.normalize(),e?e.status:void 0)})),i.normalize(),o}function vl(t){return!(!t||!t.__CANCEL__)}function yl(t,e,n){Fa.call(this,null==t?"canceled":t,Fa.ERR_CANCELED,e,n),this.name="CanceledError"}Ia.inherits(yl,Fa,{__CANCEL__:!0});const bl=yl,_l=ol.hasStandardBrowserEnv?{write(t,e,n,r,i,o){const s=[t+"="+encodeURIComponent(e)];Ia.isNumber(n)&&s.push("expires="+new Date(n).toGMTString()),Ia.isString(r)&&s.push("path="+r),Ia.isString(i)&&s.push("domain="+i),!0===o&&s.push("secure"),document.cookie=s.join("; ")},read(t){const e=document.cookie.match(new RegExp("(^|;\\s*)("+t+")=([^;]*)"));return e?decodeURIComponent(e[3]):null},remove(t){this.write(t,"",Date.now()-864e5)}}:{write(){},read:()=>null,remove(){}};function xl(t,e){return t&&!/^([a-z][a-z\d+\-.]*:)?\/\//i.test(e)?function(t,e){return e?t.replace(/\/?\/$/,"")+"/"+e.replace(/^\/+/,""):t}(t,e):e}const wl=ol.hasStandardBrowserEnv?function(){const t=/(msie|trident)/i.test(navigator.userAgent),e=document.createElement("a");let n;function r(n){let r=n;return t&&(e.setAttribute("href",r),r=e.href),e.setAttribute("href",r),{href:e.href,protocol:e.protocol?e.protocol.replace(/:$/,""):"",host:e.host,search:e.search?e.search.replace(/^\?/,""):"",hash:e.hash?e.hash.replace(/^#/,""):"",hostname:e.hostname,port:e.port,pathname:"/"===e.pathname.charAt(0)?e.pathname:"/"+e.pathname}}return n=r(window.location.href),function(t){const e=Ia.isString(t)?r(t):t;return e.protocol===n.protocol&&e.host===n.host}}():function(){return!0};function Sl(t,e){let n=0;const r=function(t,e){t=t||10;const n=new Array(t),r=new Array(t);let i,o=0,s=0;return e=void 0!==e?e:1e3,function(a){const l=Date.now(),c=r[s];i||(i=l),n[o]=a,r[o]=l;let u=s,h=0;for(;u!==o;)h+=n[u++],u%=t;if(o=(o+1)%t,o===s&&(s=(s+1)%t),l-i<e)return;const p=c&&l-c;return p?Math.round(1e3*h/p):void 0}}(50,250);return i=>{const o=i.loaded,s=i.lengthComputable?i.total:void 0,a=o-n,l=r(a);n=o;const c={loaded:o,total:s,progress:s?o/s:void 0,bytes:a,rate:l||void 0,estimated:l&&s&&o<=s?(s-o)/l:void 0,event:i};c[e?"download":"upload"]=!0,t(c)}}const kl="undefined"!=typeof XMLHttpRequest&&function(t){return new Promise((function(e,n){let r=t.data;const i=gl.from(t.headers).normalize();let o,s,{responseType:a,withXSRFToken:l}=t;function c(){t.cancelToken&&t.cancelToken.unsubscribe(o),t.signal&&t.signal.removeEventListener("abort",o)}if(Ia.isFormData(r))if(ol.hasStandardBrowserEnv||ol.hasStandardBrowserWebWorkerEnv)i.setContentType(!1);else if(!1!==(s=i.getContentType())){const[t,...e]=s?s.split(";").map((t=>t.trim())).filter(Boolean):[];i.setContentType([t||"multipart/form-data",...e].join("; "))}let u=new XMLHttpRequest;if(t.auth){const e=t.auth.username||"",n=t.auth.password?unescape(encodeURIComponent(t.auth.password)):"";i.set("Authorization","Basic "+btoa(e+":"+n))}const h=xl(t.baseURL,t.url);function p(){if(!u)return;const r=gl.from("getAllResponseHeaders"in u&&u.getAllResponseHeaders());!function(t,e,n){const r=n.config.validateStatus;n.status&&r&&!r(n.status)?e(new Fa("Request failed with status code "+n.status,[Fa.ERR_BAD_REQUEST,Fa.ERR_BAD_RESPONSE][Math.floor(n.status/100)-4],n.config,n.request,n)):t(n)}((function(t){e(t),c()}),(function(t){n(t),c()}),{data:a&&"text"!==a&&"json"!==a?u.response:u.responseText,status:u.status,statusText:u.statusText,headers:r,config:t,request:u}),u=null}if(u.open(t.method.toUpperCase(),Za(h,t.params,t.paramsSerializer),!0),u.timeout=t.timeout,"onloadend"in u?u.onloadend=p:u.onreadystatechange=function(){u&&4===u.readyState&&(0!==u.status||u.responseURL&&0===u.responseURL.indexOf("file:"))&&setTimeout(p)},u.onabort=function(){u&&(n(new Fa("Request aborted",Fa.ECONNABORTED,t,u)),u=null)},u.onerror=function(){n(new Fa("Network Error",Fa.ERR_NETWORK,t,u)),u=null},u.ontimeout=function(){let e=t.timeout?"timeout of "+t.timeout+"ms exceeded":"timeout exceeded";const r=t.transitional||Qa;t.timeoutErrorMessage&&(e=t.timeoutErrorMessage),n(new Fa(e,r.clarifyTimeoutError?Fa.ETIMEDOUT:Fa.ECONNABORTED,t,u)),u=null},ol.hasStandardBrowserEnv&&(l&&Ia.isFunction(l)&&(l=l(t)),l||!1!==l&&wl(h))){const e=t.xsrfHeaderName&&t.xsrfCookieName&&_l.read(t.xsrfCookieName);e&&i.set(t.xsrfHeaderName,e)}void 0===r&&i.setContentType(null),"setRequestHeader"in u&&Ia.forEach(i.toJSON(),(function(t,e){u.setRequestHeader(e,t)})),Ia.isUndefined(t.withCredentials)||(u.withCredentials=!!t.withCredentials),a&&"json"!==a&&(u.responseType=t.responseType),"function"==typeof t.onDownloadProgress&&u.addEventListener("progress",Sl(t.onDownloadProgress,!0)),"function"==typeof t.onUploadProgress&&u.upload&&u.upload.addEventListener("progress",Sl(t.onUploadProgress)),(t.cancelToken||t.signal)&&(o=e=>{u&&(n(!e||e.type?new bl(null,t,u):e),u.abort(),u=null)},t.cancelToken&&t.cancelToken.subscribe(o),t.signal&&(t.signal.aborted?o():t.signal.addEventListener("abort",o)));const d=function(t){const e=/^([-+\w]{1,25})(:?\/\/|:)/.exec(t);return e&&e[1]||""}(h);d&&-1===ol.protocols.indexOf(d)?n(new Fa("Unsupported protocol "+d+":",Fa.ERR_BAD_REQUEST,t)):u.send(r||null)}))},Cl={http:null,xhr:kl};Ia.forEach(Cl,((t,e)=>{if(t){try{Object.defineProperty(t,"name",{value:e})}catch(t){}Object.defineProperty(t,"adapterName",{value:e})}}));const Al=t=>`- ${t}`,Ol=t=>Ia.isFunction(t)||null===t||!1===t,Tl=t=>{t=Ia.isArray(t)?t:[t];const{length:e}=t;let n,r;const i={};for(let o=0;o<e;o++){let e;if(n=t[o],r=n,!Ol(n)&&(r=Cl[(e=String(n)).toLowerCase()],void 0===r))throw new Fa(`Unknown adapter '${e}'`);if(r)break;i[e||"#"+o]=r}if(!r){const t=Object.entries(i).map((([t,e])=>`adapter ${t} `+(!1===e?"is not supported by the environment":"is not available in the build")));let n=e?t.length>1?"since :\n"+t.map(Al).join("\n"):" "+Al(t[0]):"as no adapter specified";throw new Fa("There is no suitable adapter to dispatch the request "+n,"ERR_NOT_SUPPORT")}return r};function El(t){if(t.cancelToken&&t.cancelToken.throwIfRequested(),t.signal&&t.signal.aborted)throw new bl(null,t)}function Pl(t){return El(t),t.headers=gl.from(t.headers),t.data=ml.call(t,t.transformRequest),-1!==["post","put","patch"].indexOf(t.method)&&t.headers.setContentType("application/x-www-form-urlencoded",!1),Tl(t.adapter||ll.adapter)(t).then((function(e){return El(t),e.data=ml.call(t,t.transformResponse,e),e.headers=gl.from(e.headers),e}),(function(e){return vl(e)||(El(t),e&&e.response&&(e.response.data=ml.call(t,t.transformResponse,e.response),e.response.headers=gl.from(e.response.headers))),Promise.reject(e)}))}const Ml=t=>t instanceof gl?t.toJSON():t;function Ll(t,e){e=e||{};const n={};function r(t,e,n){return Ia.isPlainObject(t)&&Ia.isPlainObject(e)?Ia.merge.call({caseless:n},t,e):Ia.isPlainObject(e)?Ia.merge({},e):Ia.isArray(e)?e.slice():e}function i(t,e,n){return Ia.isUndefined(e)?Ia.isUndefined(t)?void 0:r(void 0,t,n):r(t,e,n)}function o(t,e){if(!Ia.isUndefined(e))return r(void 0,e)}function s(t,e){return Ia.isUndefined(e)?Ia.isUndefined(t)?void 0:r(void 0,t):r(void 0,e)}function a(n,i,o){return o in e?r(n,i):o in t?r(void 0,n):void 0}const l={url:o,method:o,data:o,baseURL:s,transformRequest:s,transformResponse:s,paramsSerializer:s,timeout:s,timeoutMessage:s,withCredentials:s,withXSRFToken:s,adapter:s,responseType:s,xsrfCookieName:s,xsrfHeaderName:s,onUploadProgress:s,onDownloadProgress:s,decompress:s,maxContentLength:s,maxBodyLength:s,beforeRedirect:s,transport:s,httpAgent:s,httpsAgent:s,cancelToken:s,socketPath:s,responseEncoding:s,validateStatus:a,headers:(t,e)=>i(Ml(t),Ml(e),!0)};return Ia.forEach(Object.keys(Object.assign({},t,e)),(function(r){const o=l[r]||i,s=o(t[r],e[r],r);Ia.isUndefined(s)&&o!==a||(n[r]=s)})),n}const jl={};["object","boolean","number","function","string","symbol"].forEach(((t,e)=>{jl[t]=function(n){return typeof n===t||"a"+(e<1?"n ":" ")+t}}));const Dl={};jl.transitional=function(t,e,n){function r(t,e){return"[Axios v1.6.7] Transitional option '"+t+"'"+e+(n?". "+n:"")}return(n,i,o)=>{if(!1===t)throw new Fa(r(i," has been removed"+(e?" in "+e:"")),Fa.ERR_DEPRECATED);return e&&!Dl[i]&&(Dl[i]=!0,console.warn(r(i," has been deprecated since v"+e+" and will be removed in the near future"))),!t||t(n,i,o)}};const $l={assertOptions:function(t,e,n){if("object"!=typeof t)throw new Fa("options must be an object",Fa.ERR_BAD_OPTION_VALUE);const r=Object.keys(t);let i=r.length;for(;i-- >0;){const o=r[i],s=e[o];if(s){const e=t[o],n=void 0===e||s(e,o,t);if(!0!==n)throw new Fa("option "+o+" must be "+n,Fa.ERR_BAD_OPTION_VALUE)}else if(!0!==n)throw new Fa("Unknown option "+o,Fa.ERR_BAD_OPTION)}},validators:jl},Il=$l.validators;class Rl{constructor(t){this.defaults=t,this.interceptors={request:new Ja,response:new Ja}}async request(t,e){try{return await this._request(t,e)}catch(t){if(t instanceof Error){let e;Error.captureStackTrace?Error.captureStackTrace(e={}):e=new Error;const n=e.stack?e.stack.replace(/^.+\n/,""):"";t.stack?n&&!String(t.stack).endsWith(n.replace(/^.+\n.+\n/,""))&&(t.stack+="\n"+n):t.stack=n}throw t}}_request(t,e){"string"==typeof t?(e=e||{}).url=t:e=t||{},e=Ll(this.defaults,e);const{transitional:n,paramsSerializer:r,headers:i}=e;void 0!==n&&$l.assertOptions(n,{silentJSONParsing:Il.transitional(Il.boolean),forcedJSONParsing:Il.transitional(Il.boolean),clarifyTimeoutError:Il.transitional(Il.boolean)},!1),null!=r&&(Ia.isFunction(r)?e.paramsSerializer={serialize:r}:$l.assertOptions(r,{encode:Il.function,serialize:Il.function},!0)),e.method=(e.method||this.defaults.method||"get").toLowerCase();let o=i&&Ia.merge(i.common,i[e.method]);i&&Ia.forEach(["delete","get","head","post","put","patch","common"],(t=>{delete i[t]})),e.headers=gl.concat(o,i);const s=[];let a=!0;this.interceptors.request.forEach((function(t){"function"==typeof t.runWhen&&!1===t.runWhen(e)||(a=a&&t.synchronous,s.unshift(t.fulfilled,t.rejected))}));const l=[];let c;this.interceptors.response.forEach((function(t){l.push(t.fulfilled,t.rejected)}));let u,h=0;if(!a){const t=[Pl.bind(this),void 0];for(t.unshift.apply(t,s),t.push.apply(t,l),u=t.length,c=Promise.resolve(e);h<u;)c=c.then(t[h++],t[h++]);return c}u=s.length;let p=e;for(h=0;h<u;){const t=s[h++],e=s[h++];try{p=t(p)}catch(t){e.call(this,t);break}}try{c=Pl.call(this,p)}catch(t){return Promise.reject(t)}for(h=0,u=l.length;h<u;)c=c.then(l[h++],l[h++]);return c}getUri(t){return Za(xl((t=Ll(this.defaults,t)).baseURL,t.url),t.params,t.paramsSerializer)}}Ia.forEach(["delete","get","head","options"],(function(t){Rl.prototype[t]=function(e,n){return this.request(Ll(n||{},{method:t,url:e,data:(n||{}).data}))}})),Ia.forEach(["post","put","patch"],(function(t){function e(e){return function(n,r,i){return this.request(Ll(i||{},{method:t,headers:e?{"Content-Type":"multipart/form-data"}:{},url:n,data:r}))}}Rl.prototype[t]=e(),Rl.prototype[t+"Form"]=e(!0)}));const Nl=Rl;class Bl{constructor(t){if("function"!=typeof t)throw new TypeError("executor must be a function.");let e;this.promise=new Promise((function(t){e=t}));const n=this;this.promise.then((t=>{if(!n._listeners)return;let e=n._listeners.length;for(;e-- >0;)n._listeners[e](t);n._listeners=null})),this.promise.then=t=>{let e;const r=new Promise((t=>{n.subscribe(t),e=t})).then(t);return r.cancel=function(){n.unsubscribe(e)},r},t((function(t,r,i){n.reason||(n.reason=new bl(t,r,i),e(n.reason))}))}throwIfRequested(){if(this.reason)throw this.reason}subscribe(t){this.reason?t(this.reason):this._listeners?this._listeners.push(t):this._listeners=[t]}unsubscribe(t){if(!this._listeners)return;const e=this._listeners.indexOf(t);-1!==e&&this._listeners.splice(e,1)}static source(){let t;return{token:new Bl((function(e){t=e})),cancel:t}}}const Fl=Bl,zl={Continue:100,SwitchingProtocols:101,Processing:102,EarlyHints:103,Ok:200,Created:201,Accepted:202,NonAuthoritativeInformation:203,NoContent:204,ResetContent:205,PartialContent:206,MultiStatus:207,AlreadyReported:208,ImUsed:226,MultipleChoices:300,MovedPermanently:301,Found:302,SeeOther:303,NotModified:304,UseProxy:305,Unused:306,TemporaryRedirect:307,PermanentRedirect:308,BadRequest:400,Unauthorized:401,PaymentRequired:402,Forbidden:403,NotFound:404,MethodNotAllowed:405,NotAcceptable:406,ProxyAuthenticationRequired:407,RequestTimeout:408,Conflict:409,Gone:410,LengthRequired:411,PreconditionFailed:412,PayloadTooLarge:413,UriTooLong:414,UnsupportedMediaType:415,RangeNotSatisfiable:416,ExpectationFailed:417,ImATeapot:418,MisdirectedRequest:421,UnprocessableEntity:422,Locked:423,FailedDependency:424,TooEarly:425,UpgradeRequired:426,PreconditionRequired:428,TooManyRequests:429,RequestHeaderFieldsTooLarge:431,UnavailableForLegalReasons:451,InternalServerError:500,NotImplemented:501,BadGateway:502,ServiceUnavailable:503,GatewayTimeout:504,HttpVersionNotSupported:505,VariantAlsoNegotiates:506,InsufficientStorage:507,LoopDetected:508,NotExtended:510,NetworkAuthenticationRequired:511};Object.entries(zl).forEach((([t,e])=>{zl[e]=t}));const Vl=zl,ql=function t(e){const n=new Nl(e),r=na(Nl.prototype.request,n);return Ia.extend(r,Nl.prototype,n,{allOwnKeys:!0}),Ia.extend(r,n,null,{allOwnKeys:!0}),r.create=function(n){return t(Ll(e,n))},r}(ll);ql.Axios=Nl,ql.CanceledError=bl,ql.CancelToken=Fl,ql.isCancel=vl,ql.VERSION="1.6.7",ql.toFormData=Ha,ql.AxiosError=Fa,ql.Cancel=ql.CanceledError,ql.all=function(t){return Promise.all(t)},ql.spread=function(t){return function(e){return t.apply(null,e)}},ql.isAxiosError=function(t){return Ia.isObject(t)&&!0===t.isAxiosError},ql.mergeConfig=Ll,ql.AxiosHeaders=gl,ql.formToJSON=t=>sl(Ia.isHTMLForm(t)?new FormData(t):t),ql.getAdapter=Tl,ql.HttpStatusCode=Vl,ql.default=ql;const Wl=ql;var Hl=n(273);const Ul=(t,e)=>{return n={state:{fieldData:Qs(),v4Fields:ea(),ui:e,config:t,errors:void 0,products:{retain:{enabled:!1,selected:!1},insights:{enabled:!1,selected:!1},verify:{enabled:!1,selected:!1}},filters:[],pageScanForbidden:[],pageScanRequired:[]},mutations:{setErrors(t,e){t.errors=e},setProduct(t,{product:e,value:n}){t.products[e]=n},setFilters(t,e){t.filters=e},setPageScan(t,{required:e,forbidden:n}){t.pageScanRequired=e,t.pageScanForbidden=n}},getters:{getProducts:t=>t.products,getErrors:t=>t.errors},actions:{cancel(t){t.state.ui.cancel()},getProducts:e=>Wl.get(`account?apiKey=${t.credential.token}`).then((function(t){const n=(0,Hl.get)(t,"data.product_components");["retain","insights","verify"].forEach((function(t){e.commit("setProduct",{product:t,value:{enabled:n.includes(t),selected:!1}})}))})).catch((function(t){401===(0,Hl.get)(t,"response.status")?e.commit("setErrors","no TrustedForm account found for this API key"):e.commit("setErrors",(0,Hl.get)(t,"response.data")||t.message)})),createFilter(t,e){const n={type:"filter",reason:e.reason,outcome:e.outcome,rule_set:{op:"and",rules:[{op:e.rulesOp,lhv:e.lhv,rhv:e.rhv}]},description:e.description,enabled:!0};t.commit("setFilters",[...t.state.filters,n])},async confirm(e){const{products:n,v4Fields:r,pageScanForbidden:i,pageScanRequired:o}=e.state,s={steps:[{type:"recipient",entity:{name:t.entity.name,id:t.entity.id},integration:{module_id:t.integration,mappings:[]}}]};if("leadconduit-trustedform.outbound.trustedform"===t.integration){if(Object.keys(n).forEach((t=>{s.steps[0].integration.mappings.push({property:`trustedform.${t}`,value:n[t].selected?"true":"false"})})),n.insights.selected&&Object.keys(r).forEach((t=>{s.steps[0].integration.mappings.push({property:`insights.${t}`,value:r[t].selected?"true":"false"})})),(0,Hl.castArray)(o).length>0&&s.steps[0].integration.mappings.push({property:"trustedform.scan_required_text",value:ye(o)}),(0,Hl.castArray)(i).length>0&&s.steps[0].integration.mappings.push({property:"trustedform.scan_forbidden_text",value:ye(i)}),n.verify.selected){const t={reason:"{{trustedform.reason}}",rulesOp:"is not equal to",lhv:"trustedform.outcome",rhv:"success",outcome:"failure",description:"Filter leads that fail on Trustedform Verify check"};await e.dispatch("createFilter",t)}e.state.filters.forEach((t=>{s.steps.push(ye(t))}))}e.state.ui.create({flow:s})}}},new Gs(n);var n},Gl="undefined"!=typeof document;const Xl=Object.assign;function Yl(t,e){const n={};for(const r in e){const i=e[r];n[r]=Zl(i)?i.map(t):t(i)}return n}const Kl=()=>{},Zl=Array.isArray,Jl=/#/g,Ql=/&/g,tc=/\//g,ec=/=/g,nc=/\?/g,rc=/\+/g,ic=/%5B/g,oc=/%5D/g,sc=/%5E/g,ac=/%60/g,lc=/%7B/g,cc=/%7C/g,uc=/%7D/g,hc=/%20/g;function pc(t){return encodeURI(""+t).replace(cc,"|").replace(ic,"[").replace(oc,"]")}function dc(t){return pc(t).replace(rc,"%2B").replace(hc,"+").replace(Jl,"%23").replace(Ql,"%26").replace(ac,"`").replace(lc,"{").replace(uc,"}").replace(sc,"^")}function fc(t){return null==t?"":function(t){return pc(t).replace(Jl,"%23").replace(nc,"%3F")}(t).replace(tc,"%2F")}function gc(t){try{return decodeURIComponent(""+t)}catch(t){}return""+t}const mc=/\/$/;function vc(t,e,n="/"){let r,i={},o="",s="";const a=e.indexOf("#");let l=e.indexOf("?");return a<l&&a>=0&&(l=-1),l>-1&&(r=e.slice(0,l),o=e.slice(l+1,a>-1?a:e.length),i=t(o)),a>-1&&(r=r||e.slice(0,a),s=e.slice(a,e.length)),r=function(t,e){if(t.startsWith("/"))return t;if(!t)return e;const n=e.split("/"),r=t.split("/"),i=r[r.length-1];".."!==i&&"."!==i||r.push("");let o,s,a=n.length-1;for(o=0;o<r.length;o++)if(s=r[o],"."!==s){if(".."!==s)break;a>1&&a--}return n.slice(0,a).join("/")+"/"+r.slice(o).join("/")}(null!=r?r:e,n),{fullPath:r+(o&&"?")+o+s,path:r,query:i,hash:gc(s)}}function yc(t,e){return(t.aliasOf||t)===(e.aliasOf||e)}function bc(t,e){if(Object.keys(t).length!==Object.keys(e).length)return!1;for(const n in t)if(!_c(t[n],e[n]))return!1;return!0}function _c(t,e){return Zl(t)?xc(t,e):Zl(e)?xc(e,t):t===e}function xc(t,e){return Zl(e)?t.length===e.length&&t.every(((t,n)=>t===e[n])):1===t.length&&t[0]===e}var wc,Sc;function kc(t){if(!t)if(Gl){const e=document.querySelector("base");t=(t=e&&e.getAttribute("href")||"/").replace(/^\w+:\/\/[^\/]+/,"")}else t="/";return"/"!==t[0]&&"#"!==t[0]&&(t="/"+t),t.replace(mc,"")}!function(t){t.pop="pop",t.push="push"}(wc||(wc={})),function(t){t.back="back",t.forward="forward",t.unknown=""}(Sc||(Sc={}));const Cc=/^[^#]+#/;function Ac(t,e){return t.replace(Cc,"#")+e}function Oc(t,e){return(history.state?history.state.position-e:-1)+t}const Tc=new Map;function Ec(t){return"string"==typeof t||"symbol"==typeof t}const Pc={path:"/",name:void 0,params:{},query:{},hash:"",fullPath:"/",matched:[],meta:{},redirectedFrom:void 0},Mc=Symbol("");var Lc;function jc(t,e){return Xl(new Error,{type:t,[Mc]:!0},e)}function Dc(t,e){return t instanceof Error&&Mc in t&&(null==e||!!(t.type&e))}!function(t){t[t.aborted=4]="aborted",t[t.cancelled=8]="cancelled",t[t.duplicated=16]="duplicated"}(Lc||(Lc={}));const $c="[^/]+?",Ic={sensitive:!1,strict:!1,start:!0,end:!0},Rc=/[.+*?^${}()[\]/\\]/g;function Nc(t,e){let n=0;for(;n<t.length&&n<e.length;){const r=e[n]-t[n];if(r)return r;n++}return t.length<e.length?1===t.length&&80===t[0]?-1:1:t.length>e.length?1===e.length&&80===e[0]?1:-1:0}function Bc(t,e){let n=0;const r=t.score,i=e.score;for(;n<r.length&&n<i.length;){const t=Nc(r[n],i[n]);if(t)return t;n++}if(1===Math.abs(i.length-r.length)){if(Fc(r))return 1;if(Fc(i))return-1}return i.length-r.length}function Fc(t){const e=t[t.length-1];return t.length>0&&e[e.length-1]<0}const zc={type:0,value:""},Vc=/[a-zA-Z0-9_]/;function qc(t,e,n){const r=function(t,e){const n=Xl({},Ic,e),r=[];let i=n.start?"^":"";const o=[];for(const e of t){const t=e.length?[]:[90];n.strict&&!e.length&&(i+="/");for(let r=0;r<e.length;r++){const s=e[r];let a=40+(n.sensitive?.25:0);if(0===s.type)r||(i+="/"),i+=s.value.replace(Rc,"\\$&"),a+=40;else if(1===s.type){const{value:t,repeatable:n,optional:l,regexp:c}=s;o.push({name:t,repeatable:n,optional:l});const u=c||$c;if(u!==$c){a+=10;try{new RegExp(`(${u})`)}catch(e){throw new Error(`Invalid custom RegExp for param "${t}" (${u}): `+e.message)}}let h=n?`((?:${u})(?:/(?:${u}))*)`:`(${u})`;r||(h=l&&e.length<2?`(?:/${h})`:"/"+h),l&&(h+="?"),i+=h,a+=20,l&&(a+=-8),n&&(a+=-20),".*"===u&&(a+=-50)}t.push(a)}r.push(t)}if(n.strict&&n.end){const t=r.length-1;r[t][r[t].length-1]+=.7000000000000001}n.strict||(i+="/?"),n.end?i+="$":n.strict&&(i+="(?:/|$)");const s=new RegExp(i,n.sensitive?"":"i");return{re:s,score:r,keys:o,parse:function(t){const e=t.match(s),n={};if(!e)return null;for(let t=1;t<e.length;t++){const r=e[t]||"",i=o[t-1];n[i.name]=r&&i.repeatable?r.split("/"):r}return n},stringify:function(e){let n="",r=!1;for(const i of t){r&&n.endsWith("/")||(n+="/"),r=!1;for(const t of i)if(0===t.type)n+=t.value;else if(1===t.type){const{value:o,repeatable:s,optional:a}=t,l=o in e?e[o]:"";if(Zl(l)&&!s)throw new Error(`Provided param "${o}" is an array but it is not repeatable (* or + modifiers)`);const c=Zl(l)?l.join("/"):l;if(!c){if(!a)throw new Error(`Missing required param "${o}"`);i.length<2&&(n.endsWith("/")?n=n.slice(0,-1):r=!0)}n+=c}}return n||"/"}}}(function(t){if(!t)return[[]];if("/"===t)return[[zc]];if(!t.startsWith("/"))throw new Error(`Invalid path "${t}"`);function e(t){throw new Error(`ERR (${n})/"${c}": ${t}`)}let n=0,r=n;const i=[];let o;function s(){o&&i.push(o),o=[]}let a,l=0,c="",u="";function h(){c&&(0===n?o.push({type:0,value:c}):1===n||2===n||3===n?(o.length>1&&("*"===a||"+"===a)&&e(`A repeatable param (${c}) must be alone in its segment. eg: '/:ids+.`),o.push({type:1,value:c,regexp:u,repeatable:"*"===a||"+"===a,optional:"*"===a||"?"===a})):e("Invalid state to consume buffer"),c="")}function p(){c+=a}for(;l<t.length;)if(a=t[l++],"\\"!==a||2===n)switch(n){case 0:"/"===a?(c&&h(),s()):":"===a?(h(),n=1):p();break;case 4:p(),n=r;break;case 1:"("===a?n=2:Vc.test(a)?p():(h(),n=0,"*"!==a&&"?"!==a&&"+"!==a&&l--);break;case 2:")"===a?"\\"==u[u.length-1]?u=u.slice(0,-1)+a:n=3:u+=a;break;case 3:h(),n=0,"*"!==a&&"?"!==a&&"+"!==a&&l--,u="";break;default:e("Unknown state")}else r=n,n=4;return 2===n&&e(`Unfinished custom RegExp for param "${c}"`),h(),s(),i}(t.path),n),i=Xl(r,{record:t,parent:e,children:[],alias:[]});return e&&!i.record.aliasOf==!e.record.aliasOf&&e.children.push(i),i}function Wc(t,e){const n={};for(const r of e)r in t&&(n[r]=t[r]);return n}function Hc(t){const e={},n=t.props||!1;if("component"in t)e.default=n;else for(const r in t.components)e[r]="object"==typeof n?n[r]:n;return e}function Uc(t){for(;t;){if(t.record.aliasOf)return!0;t=t.parent}return!1}function Gc(t){return t.reduce(((t,e)=>Xl(t,e.meta)),{})}function Xc(t,e){const n={};for(const r in t)n[r]=r in e?e[r]:t[r];return n}function Yc(t,e){return e.children.some((e=>e===t||Yc(t,e)))}function Kc(t){const e={};if(""===t||"?"===t)return e;const n=("?"===t[0]?t.slice(1):t).split("&");for(let t=0;t<n.length;++t){const r=n[t].replace(rc," "),i=r.indexOf("="),o=gc(i<0?r:r.slice(0,i)),s=i<0?null:gc(r.slice(i+1));if(o in e){let t=e[o];Zl(t)||(t=e[o]=[t]),t.push(s)}else e[o]=s}return e}function Zc(t){let e="";for(let n in t){const r=t[n];(n=dc(n).replace(ec,"%3D"),null!=r)?(Zl(r)?r.map((t=>t&&dc(t))):[r&&dc(r)]).forEach((t=>{void 0!==t&&(e+=(e.length?"&":"")+n,null!=t&&(e+="="+t))})):void 0!==r&&(e+=(e.length?"&":"")+n)}return e}function Jc(t){const e={};for(const n in t){const r=t[n];void 0!==r&&(e[n]=Zl(r)?r.map((t=>null==t?null:""+t)):null==r?r:""+r)}return e}const Qc=Symbol(""),tu=Symbol(""),eu=Symbol(""),nu=Symbol(""),ru=Symbol("");function iu(){let t=[];return{add:function(e){return t.push(e),()=>{const n=t.indexOf(e);n>-1&&t.splice(n,1)}},list:()=>t.slice(),reset:function(){t=[]}}}function ou(t,e,n,r,i,o=(t=>t())){const s=r&&(r.enterCallbacks[i]=r.enterCallbacks[i]||[]);return()=>new Promise(((a,l)=>{const c=t=>{var o;!1===t?l(jc(4,{from:n,to:e})):t instanceof Error?l(t):"string"==typeof(o=t)||o&&"object"==typeof o?l(jc(2,{from:e,to:t})):(s&&r.enterCallbacks[i]===s&&"function"==typeof t&&s.push(t),a())},u=o((()=>t.call(r&&r.instances[i],e,n,c)));let h=Promise.resolve(u);t.length<3&&(h=h.then(c)),h.catch((t=>l(t)))}))}function su(t,e,n,r,i=(t=>t())){const o=[];for(const a of t)for(const t in a.components){let l=a.components[t];if("beforeRouteEnter"===e||a.instances[t])if("object"==typeof(s=l)||"displayName"in s||"props"in s||"__vccOpts"in s){const s=(l.__vccOpts||l)[e];s&&o.push(ou(s,n,r,a,t,i))}else{let s=l();o.push((()=>s.then((o=>{if(!o)return Promise.reject(new Error(`Couldn't resolve component "${t}" at "${a.path}"`));const s=(l=o).__esModule||"Module"===l[Symbol.toStringTag]?o.default:o;var l;a.components[t]=s;const c=(s.__vccOpts||s)[e];return c&&ou(c,n,r,a,t,i)()}))))}}var s;return o}function au(t){const e=Jr(eu),n=Jr(nu),r=ho((()=>e.resolve(Pe(t.to)))),i=ho((()=>{const{matched:t}=r.value,{length:e}=t,i=t[e-1],o=n.matched;if(!i||!o.length)return-1;const s=o.findIndex(yc.bind(null,i));if(s>-1)return s;const a=cu(t[e-2]);return e>1&&cu(i)===a&&o[o.length-1].path!==a?o.findIndex(yc.bind(null,t[e-2])):s})),o=ho((()=>i.value>-1&&function(t,e){for(const n in e){const r=e[n],i=t[n];if("string"==typeof r){if(r!==i)return!1}else if(!Zl(i)||i.length!==r.length||r.some(((t,e)=>t!==i[e])))return!1}return!0}(n.params,r.value.params))),s=ho((()=>i.value>-1&&i.value===n.matched.length-1&&bc(n.params,r.value.params)));if(__VUE_PROD_DEVTOOLS__&&Gl){const t=Zi();if(t){const e={route:r.value,isActive:o.value,isExactActive:s.value};t.__vrl_devtools=t.__vrl_devtools||[],t.__vrl_devtools.push(e),In((()=>{e.route=r.value,e.isActive=o.value,e.isExactActive=s.value}),{flush:"post"})}}return{route:r,href:ho((()=>r.value.href)),isActive:o,isExactActive:s,navigate:function(n={}){return function(t){if(!(t.metaKey||t.altKey||t.ctrlKey||t.shiftKey||t.defaultPrevented||void 0!==t.button&&0!==t.button)){if(t.currentTarget&&t.currentTarget.getAttribute){const e=t.currentTarget.getAttribute("target");if(/\b_blank\b/i.test(e))return}return t.preventDefault&&t.preventDefault(),!0}}(n)?e[Pe(t.replace)?"replace":"push"](Pe(t.to)).catch(Kl):Promise.resolve()}}}const lu=rr({name:"RouterLink",compatConfig:{MODE:3},props:{to:{type:[String,Object],required:!0},replace:Boolean,activeClass:String,exactActiveClass:String,custom:Boolean,ariaCurrentValue:{type:String,default:"page"}},useLink:au,setup(t,{slots:e}){const n=ue(au(t)),{options:r}=Jr(eu),i=ho((()=>({[uu(t.activeClass,r.linkActiveClass,"router-link-active")]:n.isActive,[uu(t.exactActiveClass,r.linkExactActiveClass,"router-link-exact-active")]:n.isExactActive})));return()=>{const r=e.default&&e.default(n);return t.custom?r:po("a",{"aria-current":n.isExactActive?t.ariaCurrentValue:null,href:n.href,onClick:n.navigate,class:i.value},r)}}});function cu(t){return t?t.aliasOf?t.aliasOf.path:t.path:""}const uu=(t,e,n)=>null!=t?t:null!=e?e:n;function hu(t,e){if(!t)return null;const n=t(e);return 1===n.length?n[0]:n}const pu=rr({name:"RouterView",inheritAttrs:!1,props:{name:{type:String,default:"default"},route:Object},compatConfig:{MODE:3},setup(t,{attrs:e,slots:n}){const r=Jr(ru),i=ho((()=>t.route||r.value)),o=Jr(tu,0),s=ho((()=>{let t=Pe(o);const{matched:e}=i.value;let n;for(;(n=e[t])&&!n.components;)t++;return t})),a=ho((()=>i.value.matched[s.value]));Zr(tu,ho((()=>s.value+1))),Zr(Qc,a),Zr(ru,i);const l=Ae();return Nn((()=>[l.value,a.value,t.name]),(([t,e,n],[r,i,o])=>{e&&(e.instances[n]=t,i&&i!==e&&t&&t===r&&(e.leaveGuards.size||(e.leaveGuards=i.leaveGuards),e.updateGuards.size||(e.updateGuards=i.updateGuards))),!t||!e||i&&yc(e,i)&&r||(e.enterCallbacks[n]||[]).forEach((e=>e(t)))}),{flush:"post"}),()=>{const r=i.value,o=t.name,c=a.value,u=c&&c.components[o];if(!u)return hu(n.default,{Component:u,route:r});const h=c.props[o],p=h?!0===h?r.params:"function"==typeof h?h(r):h:null,d=po(u,Xl({},p,e,{onVnodeUnmounted:t=>{t.component.isUnmounted&&(c.instances[o]=null)},ref:l}));if(__VUE_PROD_DEVTOOLS__&&Gl&&d.ref){const t={depth:s.value,name:c.name,path:c.path,meta:c.meta};(Zl(d.ref)?d.ref.map((t=>t.i)):[d.ref.i]).forEach((e=>{e.__vrv_devtools=t}))}return hu(n.default,{Component:d,route:r})||d}}});function du(t,e){const n=Xl({},t,{matched:t.matched.map((t=>function(t,e){const n={};for(const r in t)e.includes(r)||(n[r]=t[r]);return n}(t,["instances","children","aliasOf"])))});return{_custom:{type:null,readOnly:!0,display:t.fullPath,tooltip:e,value:n}}}function fu(t){return{_custom:{display:t}}}let gu=0;function mu(t,e,n){if(e.__hasDevtools)return;e.__hasDevtools=!0;const r=gu++;ws({id:"org.vuejs.router"+(r?"."+r:""),label:"Vue Router",packageName:"vue-router",homepage:"https://router.vuejs.org",logo:"https://router.vuejs.org/logo.png",componentStateTypes:["Routing"],app:t},(i=>{"function"!=typeof i.now&&console.warn("[Vue Router]: You seem to be using an outdated version of Vue Devtools. Are you still using the Beta release instead of the stable one? You can find the links at https://devtools.vuejs.org/guide/installation.html."),i.on.inspectComponent(((t,n)=>{t.instanceData&&t.instanceData.state.push({type:"Routing",key:"$route",editable:!1,value:du(e.currentRoute.value,"Current Route")})})),i.on.visitComponentTree((({treeNode:t,componentInstance:e})=>{if(e.__vrv_devtools){const n=e.__vrv_devtools;t.tags.push({label:(n.name?`${n.name.toString()}: `:"")+n.path,textColor:0,tooltip:"This component is rendered by &lt;router-view&gt;",backgroundColor:yu})}Zl(e.__vrl_devtools)&&(e.__devtoolsApi=i,e.__vrl_devtools.forEach((e=>{let n=wu,r="";e.isExactActive?(n=_u,r="This is exactly active"):e.isActive&&(n=bu,r="This link is active"),t.tags.push({label:e.route.path,textColor:0,tooltip:r,backgroundColor:n})})))})),Nn(e.currentRoute,(()=>{l(),i.notifyComponentUpdate(),i.sendInspectorTree(a),i.sendInspectorState(a)}));const o="router:navigations:"+r;i.addTimelineLayer({id:o,label:`Router${r?" "+r:""} Navigations`,color:4237508}),e.onError(((t,e)=>{i.addTimelineEvent({layerId:o,event:{title:"Error during Navigation",subtitle:e.fullPath,logType:"error",time:i.now(),data:{error:t},groupId:e.meta.__navigationId}})}));let s=0;e.beforeEach(((t,e)=>{const n={guard:fu("beforeEach"),from:du(e,"Current Location during this navigation"),to:du(t,"Target location")};Object.defineProperty(t.meta,"__navigationId",{value:s++}),i.addTimelineEvent({layerId:o,event:{time:i.now(),title:"Start of navigation",subtitle:t.fullPath,data:n,groupId:t.meta.__navigationId}})})),e.afterEach(((t,e,n)=>{const r={guard:fu("afterEach")};n?(r.failure={_custom:{type:Error,readOnly:!0,display:n?n.message:"",tooltip:"Navigation Failure",value:n}},r.status=fu("❌")):r.status=fu("✅"),r.from=du(e,"Current Location during this navigation"),r.to=du(t,"Target location"),i.addTimelineEvent({layerId:o,event:{title:"End of navigation",subtitle:t.fullPath,time:i.now(),data:r,logType:n?"warning":"default",groupId:t.meta.__navigationId}})}));const a="router-inspector:"+r;function l(){if(!c)return;const t=c;let r=n.getRoutes().filter((t=>!t.parent||!t.parent.record.components));r.forEach(Tu),t.filter&&(r=r.filter((e=>Eu(e,t.filter.toLowerCase())))),r.forEach((t=>Ou(t,e.currentRoute.value))),t.rootNodes=r.map(ku)}let c;i.addInspector({id:a,label:"Routes"+(r?" "+r:""),icon:"book",treeFilterPlaceholder:"Search routes"}),i.on.getInspectorTree((e=>{c=e,e.app===t&&e.inspectorId===a&&l()})),i.on.getInspectorState((e=>{if(e.app===t&&e.inspectorId===a){const t=n.getRoutes().find((t=>t.record.__vd_id===e.nodeId));t&&(e.state={options:vu(t)})}})),i.sendInspectorTree(a),i.sendInspectorState(a)}))}function vu(t){const{record:e}=t,n=[{editable:!1,key:"path",value:e.path}];return null!=e.name&&n.push({editable:!1,key:"name",value:e.name}),n.push({editable:!1,key:"regexp",value:t.re}),t.keys.length&&n.push({editable:!1,key:"keys",value:{_custom:{type:null,readOnly:!0,display:t.keys.map((t=>`${t.name}${function(t){return t.optional?t.repeatable?"*":"?":t.repeatable?"+":""}(t)}`)).join(" "),tooltip:"Param keys",value:t.keys}}}),null!=e.redirect&&n.push({editable:!1,key:"redirect",value:e.redirect}),t.alias.length&&n.push({editable:!1,key:"aliases",value:t.alias.map((t=>t.record.path))}),Object.keys(t.record.meta).length&&n.push({editable:!1,key:"meta",value:t.record.meta}),n.push({key:"score",editable:!1,value:{_custom:{type:null,readOnly:!0,display:t.score.map((t=>t.join(", "))).join(" | "),tooltip:"Score used to sort routes",value:t.score}}}),n}const yu=15485081,bu=2450411,_u=8702998,xu=2282478,wu=16486972,Su=6710886;function ku(t){const e=[],{record:n}=t;null!=n.name&&e.push({label:String(n.name),textColor:0,backgroundColor:xu}),n.aliasOf&&e.push({label:"alias",textColor:0,backgroundColor:wu}),t.__vd_match&&e.push({label:"matches",textColor:0,backgroundColor:yu}),t.__vd_exactActive&&e.push({label:"exact",textColor:0,backgroundColor:_u}),t.__vd_active&&e.push({label:"active",textColor:0,backgroundColor:bu}),n.redirect&&e.push({label:"string"==typeof n.redirect?`redirect: ${n.redirect}`:"redirects",textColor:16777215,backgroundColor:Su});let r=n.__vd_id;return null==r&&(r=String(Cu++),n.__vd_id=r),{id:r,label:n.path,tags:e,children:t.children.map(ku)}}let Cu=0;const Au=/^\/(.*)\/([a-z]*)$/;function Ou(t,e){const n=e.matched.length&&yc(e.matched[e.matched.length-1],t.record);t.__vd_exactActive=t.__vd_active=n,n||(t.__vd_active=e.matched.some((e=>yc(e,t.record)))),t.children.forEach((t=>Ou(t,e)))}function Tu(t){t.__vd_match=!1,t.children.forEach(Tu)}function Eu(t,e){const n=String(t.re).match(Au);if(t.__vd_match=!1,!n||n.length<3)return!1;if(new RegExp(n[1].replace(/\$$/,""),n[2]).test(e))return t.children.forEach((t=>Eu(t,e))),("/"!==t.record.path||"/"===e)&&(t.__vd_match=t.re.test(e),!0);const r=t.record.path.toLowerCase(),i=gc(r);return!(e.startsWith("/")||!i.includes(e)&&!r.includes(e))||!(!i.startsWith(e)&&!r.startsWith(e))||!(!t.record.name||!String(t.record.name).includes(e))||t.children.some((t=>Eu(t,e)))}const Pu={key:0},Mu=Ri("section",null,[Ri("p",null," TrustedForm Insights provides lead buyers with optimized lead data that helps them assess the value of a lead. It helps buyers identify the leads that are most likely to convert and effectively manage returns and rejections. At the time of purchase, or any time thereafter, the lead buyer can use the LeadConduit platform to access lead metadata (not PII) found in the TrustedForm certificates. "),Ri("p",null,[Ri("b",null,"Note:"),zi(" To access TrustedForm Insights, your lead source must use the TrustedForm script on their lead forms. ")])],-1),Lu={key:1};var ju={props:{disableConfirm:{type:Boolean,default:!1},onConfirm:{type:Function,default:void 0},showPrevious:{type:Boolean,default:!0},navHistory:{type:Array,default:()=>[]}},data(){return{page:this.$router?.currentRoute?.value?this.$router.currentRoute.value.path:"/"}},computed:{pageNo(){return"/"===this.page?1:parseInt(this.page.slice(1),10)},showPrev(){return("string"==typeof this.$props.navHistory.slice(-1)[0]||this.pageNo>1)&&this.$props.showPrevious}},methods:{cancel(){try{this.$store.dispatch("cancel")}catch(t){console.warn('Navigation Error - Could not dispatch "cancel" to Vuex store.')}},prev(){try{var t=this.$props.navHistory.pop();t||(t="/"+(this.pageNo-1),console.debug(`Navigation.vue: no previous page in history; using previous page by number: '${t}'`)),this.$router.push(t)}catch(t){console.warn("Navigation Error - Could not direct to previous page.")}},confirm(){this.$props.onConfirm?(this.$props.navHistory.push(this.page),this.$props.onConfirm()):console.debug("Navigation: confirm() called with no :onConfirm")}}};const Du=["disabled"];ju.render=function(t,e,n,r,i,o){return Ai(),Pi("div",null,[Ri("footer",null,[o.showPrev?(Ai(),Pi("button",{key:0,onClick:e[0]||(e[0]=(...t)=>o.prev&&o.prev(...t)),class:"tertiary-control","data-test":"nav-prev"},"Previous")):Vi("",!0),Or(t.$slots,"footer"),Ri("button",{onClick:e[1]||(e[1]=(...t)=>o.confirm&&o.confirm(...t)),class:"primary",disabled:n.disableConfirm,"data-test":"nav-confirm"},"Confirm",8,Du),Ri("button",{onClick:e[2]||(e[2]=(...t)=>o.cancel&&o.cancel(...t)),"data-test":"nav-cancel"},"Cancel")])])};var $u={name:"loading-screen",props:{moduleName:String,onFinish:{type:Function,default:void 0}},methods:{finish(){this.$props.onFinish?this.$props.onFinish():this.$store.dispatch("finish")}},mounted(){setTimeout((()=>{this.finish()}),2e3)}};const Iu=Ri("span",{class:"loading"},null,-1);$u.render=function(t,e,n,r,i,o){return Ai(),Pi("div",null,[Ri("header",null,et(n.moduleName),1),Ri("section",null,[Iu,zi(" We're setting up your "+et(n.moduleName)+" step now. ",1)])])};const Ru={data:()=>({isDataService:!0}),components:{LoadingScreen:$u,Navigation:ju},computed:{moduleName(){switch(this.$store.state.config.integration){case"leadconduit-trustedform.outbound.claim":return"Claim";case"leadconduit-trustedform.outbound.consent":return"Consent";case"leadconduit-trustedform.outbound.consent_plus_data":return"Consent + Insights";case"leadconduit-trustedform.outbound.insights":return"Insights";default:return""}}},methods:{onConfirm(){this.$router.push("/2")},finish(){this.$store.dispatch("confirm")}},mounted(){const{integration:t}=this.$store.state.config;t.includes("outbound.trustedform")?this.$router.push("/4"):t.includes("insights")||(this.isDataService=!1)}},Nu=(0,ds.A)(Ru,[["render",function(t,e,n,r,i,o){const s=Tn("Navigation"),a=Tn("LoadingScreen");return Ai(),Pi("div",null,[Ri("header",null," Set Up TrustedForm "+et(o.moduleName),1),i.isDataService?(Ai(),Pi("div",Pu,[Mu,Ni(s,{onConfirm:o.onConfirm},null,8,["onConfirm"])])):i.isDataService?Vi("v-if",!0):(Ai(),Pi("div",Lu,[Ni(a,{onFinish:o.finish,"module-name":"TrustedForm "+o.moduleName},null,8,["onFinish","module-name"])]))])}]]),Bu=Ri("header",null," Set Up TrustedForm Insights ",-1),Fu=Ri("p",null,"Below is a list of data points included with this enhancement. When configuring your flow, you can choose to accept, reject, or re-route leads based on each of the values returned.",-1),zu={class:"table-container"},Vu=Ri("thead",null,[Ri("tr",null,[Ri("th",null,"Data Point"),Ri("th",null,"Description"),Ri("th",null,"Possible Use")])],-1),qu={data(){return{fields:this.$store.state.fieldData}},components:{Navigation:ju},methods:{confirm(){this.$router.push("/3")}}},Wu=(0,ds.A)(qu,[["render",function(t,e,n,r,i,o){const s=Tn("Navigation");return Ai(),Pi("div",null,[Bu,Ri("section",null,[Fu,Ri("div",zu,[Ri("table",null,[Vu,Ri("tbody",null,[(Ai(!0),Pi(_i,null,Cr(i.fields,((t,e)=>(Ai(),Pi("tr",{key:e},[Ri("td",null,et(e),1),Ri("td",null,et(t.description),1),Ri("td",null,et(t.use),1)])))),128))])])])]),Ni(s,{onConfirm:o.confirm},null,8,["onConfirm"])])}]]),Hu=Ri("header",null," Set Up TrustedForm Insights ",-1),Uu=Ri("section",null,[Ri("p",null," Now you’re ready to map your fields and set up the associated filters in your LeadConduit flow. ")],-1),Gu={methods:{confirm(){this.$store.dispatch("confirm")}},components:{Navigation:ju}},Xu=(0,ds.A)(Gu,[["render",function(t,e,n,r,i,o){const s=Tn("Navigation");return Ai(),Pi("div",null,[Hu,Uu,Ni(s,{onConfirm:o.confirm},null,8,["onConfirm"])])}]]),Yu=t=>(_n("data-v-5c50d850"),t=t(),xn(),t),Ku=Yu((()=>Ri("header",null," Add TrustedForm Add-On ",-1))),Zu={key:0},Ju=Yu((()=>Ri("span",{class:"loading"},null,-1))),Qu={key:1},th=[Yu((()=>Ri("p",null,[zi(" Your account does not have access to TrustedForm. Please contact "),Ri("a",{href:"mailto:support@activeprospect.com",target:"_blank"},"support@activeprospect.com"),zi(" if this is in error or if you would like to add TrustedForm to your account. ")],-1)))],eh={key:2},nh=Yu((()=>Ri("h3",null,"Select the TrustedForm products to add to your flow.",-1))),rh=["disabled"],ih=Yu((()=>Ri("label",{for:"retain"},"Retain",-1))),oh=Yu((()=>Ri("p",{class:"help-text"},"Store consent in TrustedForm certificates for legal (TCPA) compliance.",-1))),sh=["disabled"],ah=Yu((()=>Ri("label",{for:"insights"},"Insights",-1))),lh=Yu((()=>Ri("p",{class:"help-text"},"TrustedForm Insights helps buyers identify the leads that are most likely to convert and effectively manage returns and rejections.",-1))),ch=["disabled"],uh=Yu((()=>Ri("label",{for:"verify"},"Verify",-1))),hh=Yu((()=>Ri("p",{class:"help-text"},"Confirm that your leads were shown consent language that meets your compliance requirements.",-1))),ph={data(){return{loading:!0,products:this.$store.getters.getProducts,errors:this.$store.getters.getErrors}},components:{Navigation:ju},computed:{productsAvailable(){return this.products.retain.enabled||this.products.insights.enabled||this.products.verify.enabled}},methods:{confirm(){this.$store.state.products=this.products,this.products.insights.selected?this.$router.push("/5"):this.$store.dispatch("confirm")}},async created(){await this.$store.dispatch("getProducts"),this.loading=!1}};n(659);const dh=(0,ds.A)(ph,[["render",function(t,e,n,r,i,o){const s=Tn("Navigation");return Ai(),Pi("div",null,[Ku,i.loading?(Ai(),Pi("section",Zu,[Ju,zi(" Loading products... ")])):o.productsAvailable?(Ai(),Pi("section",eh,[Ri("form",null,[nh,Ri("p",null,"You may select all products that you would like to add to your flow. Each product will be charged depending on your contract. "+et(i.errors),1),Ri("ul",null,[Ri("li",null,[Ri("label",null,[qn(Ri("input",{type:"checkbox",class:"fancy-checkbox",disabled:!i.products.retain.enabled,"onUpdate:modelValue":e[0]||(e[0]=t=>i.products.retain.selected=t),id:"retain"},null,8,rh),[[rs,i.products.retain.selected]]),ih,oh])]),Ri("li",null,[Ri("label",null,[qn(Ri("input",{type:"checkbox",class:"fancy-checkbox",disabled:!i.products.insights.enabled,"onUpdate:modelValue":e[1]||(e[1]=t=>i.products.insights.selected=t),id:"insights"},null,8,sh),[[rs,i.products.insights.selected]]),ah,lh])]),Ri("li",null,[Ri("label",null,[qn(Ri("input",{type:"checkbox",class:"fancy-checkbox",disabled:!i.products.verify.enabled,"onUpdate:modelValue":e[2]||(e[2]=t=>i.products.verify.selected=t),id:"verify"},null,8,ch),[[rs,i.products.verify.selected]]),uh,hh])])])])])):(Ai(),Pi("section",Qu,th)),Ni(s,{showPrevious:!1,onConfirm:o.confirm,disableConfirm:!i.products.retain.selected&&!i.products.insights.selected&&!i.products.verify.selected},null,8,["onConfirm","disableConfirm"])])}],["__scopeId","data-v-5c50d850"]]),fh=t=>(_n("data-v-99414334"),t=t(),xn(),t),gh=fh((()=>Ri("header",null," Configure TrustedForm Insights ",-1))),mh=fh((()=>Ri("h3",null,"Select Insights Data Points",-1))),vh=fh((()=>Ri("p",null,"TrustedForm Insights provides the following data related to the lead that filled out the form. Each selection of data points will be charged individually.",-1))),yh=[".indeterminate"],bh=fh((()=>Ri("label",{for:"select-all",class:"checkbox-label"},null,-1))),_h=fh((()=>Ri("th",null,[Ri("label",{for:"select-all",class:"text-label"},"Data Point")],-1))),xh=fh((()=>Ri("th",null,"Description",-1))),wh=["id","onUpdate:modelValue"],Sh=["for"],kh=["for"],Ch=["innerHTML"],Ah={data(){return{fields:this.$store.state.v4Fields,header:!1,selected:"none"}},components:{Navigation:ju},methods:{amountSelected(){const t=Object.keys(this.fields).length,e=(0,Hl.filter)(this.fields,(function(t){return t.selected})).length;return 0===e?"none":t===e?"all":"some"},toggleAll(){const t="all"!==this.amountSelected();for(const e in this.fields)this.fields[e].selected=t;this.updateHeader()},updateHeader(){this.selected=this.amountSelected(),this.header="all"===this.selected},confirm(){this.$store.state.v4Fields=this.fields,this.fields.page_scan?.selected?this.$router.push("/6"):this.$store.dispatch("confirm")}},mounted(){this.updateHeader()}};n(525);const Oh=(0,ds.A)(Ah,[["render",function(t,e,n,r,i,o){const s=Tn("Navigation");return Ai(),Pi("div",null,[gh,Ri("section",null,[Ri("form",null,[mh,vh,Ri("table",null,[Ri("thead",null,[Ri("tr",null,[Ri("th",null,[qn(Ri("input",{id:"select-all",type:"checkbox",class:"fancy-checkbox","onUpdate:modelValue":e[0]||(e[0]=t=>i.header=t),".indeterminate":"some"===i.selected,onClick:e[1]||(e[1]=(...t)=>o.toggleAll&&o.toggleAll(...t))},null,40,yh),[[rs,i.header]]),bh]),_h,xh])]),Ri("tbody",null,[(Ai(!0),Pi(_i,null,Cr(Object.keys(i.fields),(t=>(Ai(),Pi("tr",{key:i.fields[t].name},[Ri("td",null,[qn(Ri("input",{id:t,type:"checkbox",class:"fancy-checkbox","onUpdate:modelValue":e=>i.fields[t].selected=e,onChange:e[2]||(e[2]=(...t)=>o.updateHeader&&o.updateHeader(...t))},null,40,wh),[[rs,i.fields[t].selected]]),Ri("label",{for:t,class:"checkbox-label"},null,8,Sh)]),Ri("td",null,[Ri("label",{for:t,class:"text-label"},et(i.fields[t].name),9,kh)]),Ri("td",{innerHTML:i.fields[t].description},null,8,Ch)])))),128))])])])]),Ni(s,{onConfirm:o.confirm,disableConfirm:"none"===i.selected},null,8,["onConfirm","disableConfirm"])])}],["__scopeId","data-v-99414334"]]),Th=t=>(_n("data-v-67a095b2"),t=t(),xn(),t),Eh=Th((()=>Ri("header",null," Configure TrustedForm Insights ",-1))),Ph=Th((()=>Ri("h3",null,"Page Scan Forbidden/Required Text",-1))),Mh=Th((()=>Ri("p",null,[zi(" Please set your required and/or forbidden text for the TrustedForm set in LeadConduit; the step will fail if the required term is missing and if the forbidden term is present in the page. "),Ri("a",{href:"https://community.activeprospect.com/posts/4078890",target:"_blank"},"Learn More")],-1)));var Lh=typeof globalThis<"u"?globalThis:typeof window<"u"?window:typeof global<"u"?global:typeof self<"u"?self:{};function jh(t){return t&&t.__esModule&&Object.prototype.hasOwnProperty.call(t,"default")?t.default:t}var Dh,$h={exports:{}};Dh=$h,function(t){if(!t.jQuery){var e=function(t,n){return new e.fn.init(t,n)};e.isWindow=function(t){return t&&t===t.window},e.type=function(t){return t?"object"==typeof t||"function"==typeof t?r[o.call(t)]||"object":typeof t:t+""},e.isArray=Array.isArray||function(t){return"array"===e.type(t)},e.isPlainObject=function(t){var n;if(!t||"object"!==e.type(t)||t.nodeType||e.isWindow(t))return!1;try{if(t.constructor&&!i.call(t,"constructor")&&!i.call(t.constructor.prototype,"isPrototypeOf"))return!1}catch{return!1}for(n in t);return void 0===n||i.call(t,n)},e.each=function(t,e,n){var r=0,i=t.length,o=l(t);if(n){if(o)for(;r<i&&!1!==e.apply(t[r],n);r++);else for(r in t)if(t.hasOwnProperty(r)&&!1===e.apply(t[r],n))break}else if(o)for(;r<i&&!1!==e.call(t[r],r,t[r]);r++);else for(r in t)if(t.hasOwnProperty(r)&&!1===e.call(t[r],r,t[r]))break;return t},e.data=function(t,r,i){if(void 0===i){var o=t[e.expando],s=o&&n[o];if(void 0===r)return s;if(s&&r in s)return s[r]}else if(void 0!==r){var a=t[e.expando]||(t[e.expando]=++e.uuid);return n[a]=n[a]||{},n[a][r]=i,i}},e.removeData=function(t,r){var i=t[e.expando],o=i&&n[i];o&&(r?e.each(r,(function(t,e){delete o[e]})):delete n[i])},e.extend=function(){var t,n,r,i,o,s,a=arguments[0]||{},l=1,c=arguments.length,u=!1;for("boolean"==typeof a&&(u=a,a=arguments[l]||{},l++),"object"!=typeof a&&"function"!==e.type(a)&&(a={}),l===c&&(a=this,l--);l<c;l++)if(o=arguments[l])for(i in o)o.hasOwnProperty(i)&&(t=a[i],a!==(r=o[i])&&(u&&r&&(e.isPlainObject(r)||(n=e.isArray(r)))?(n?(n=!1,s=t&&e.isArray(t)?t:[]):s=t&&e.isPlainObject(t)?t:{},a[i]=e.extend(u,s,r)):void 0!==r&&(a[i]=r)));return a},e.queue=function(t,n,r){if(t){n=(n||"fx")+"queue";var i=e.data(t,n);return r?(!i||e.isArray(r)?i=e.data(t,n,(s=[],(o=r)&&(l(Object(o))?function(t,e){for(var n=+e.length,r=0,i=t.length;r<n;)t[i++]=e[r++];if(n!=n)for(;void 0!==e[r];)t[i++]=e[r++];t.length=i}(s,"string"==typeof o?[o]:o):[].push.call(s,o)),s)):i.push(r),i):i||[]}var o,s},e.dequeue=function(t,n){e.each(t.nodeType?[t]:t,(function(t,r){n=n||"fx";var i=e.queue(r,n),o=i.shift();"inprogress"===o&&(o=i.shift()),o&&("fx"===n&&i.unshift("inprogress"),o.call(r,(function(){e.dequeue(r,n)})))}))},e.fn=e.prototype={init:function(t){if(t.nodeType)return this[0]=t,this;throw new Error("Not a DOM node.")},offset:function(){var e=this[0].getBoundingClientRect?this[0].getBoundingClientRect():{top:0,left:0};return{top:e.top+(t.pageYOffset||document.scrollTop||0)-(document.clientTop||0),left:e.left+(t.pageXOffset||document.scrollLeft||0)-(document.clientLeft||0)}},position:function(){var t=this[0],n=function(t){for(var e=t.offsetParent;e&&"html"!==e.nodeName.toLowerCase()&&e.style&&"static"===e.style.position.toLowerCase();)e=e.offsetParent;return e||document}(t),r=this.offset(),i=/^(?:body|html)$/i.test(n.nodeName)?{top:0,left:0}:e(n).offset();return r.top-=parseFloat(t.style.marginTop)||0,r.left-=parseFloat(t.style.marginLeft)||0,n.style&&(i.top+=parseFloat(n.style.borderTopWidth)||0,i.left+=parseFloat(n.style.borderLeftWidth)||0),{top:r.top-i.top,left:r.left-i.left}}};var n={};e.expando="velocity"+(new Date).getTime(),e.uuid=0;for(var r={},i=r.hasOwnProperty,o=r.toString,s="Boolean Number String Function Array Date RegExp Object Error".split(" "),a=0;a<s.length;a++)r["[object "+s[a]+"]"]=s[a].toLowerCase();e.fn.init.prototype=e.fn,t.Velocity={Utilities:e}}function l(t){var n=t.length,r=e.type(t);return"function"!==r&&!e.isWindow(t)&&(!(1!==t.nodeType||!n)||"array"===r||0===n||"number"==typeof n&&n>0&&n-1 in t)}}(window),Dh.exports=function(t,e,n,r){var i,o=function(){if(n.documentMode)return n.documentMode;for(var t=7;t>4;t--){var e=n.createElement("div");if(e.innerHTML="\x3c!--[if IE "+t+"]><span></span><![endif]--\x3e",e.getElementsByTagName("span").length)return e=null,t}return r}(),s=(i=0,e.webkitRequestAnimationFrame||e.mozRequestAnimationFrame||function(t){var e,n=(new Date).getTime();return e=Math.max(0,16-(n-i)),i=n+e,setTimeout((function(){t(n+e)}),e)}),a=function(){var t=e.performance||{};if("function"!=typeof t.now){var n=t.timing&&t.timing.navigationStart?t.timing.navigationStart:(new Date).getTime();t.now=function(){return(new Date).getTime()-n}}return t}();var l=function(){var t=Array.prototype.slice;try{return t.call(n.documentElement),t}catch{return function(e,n){var r=this.length;if("number"!=typeof e&&(e=0),"number"!=typeof n&&(n=r),this.slice)return t.call(this,e,n);var i,o=[],s=e>=0?e:Math.max(0,r+e),a=(n<0?r+n:Math.min(n,r))-s;if(a>0)if(o=new Array(a),this.charAt)for(i=0;i<a;i++)o[i]=this.charAt(s+i);else for(i=0;i<a;i++)o[i]=this[s+i];return o}}}(),c=function(){return Array.prototype.includes?function(t,e){return t.includes(e)}:Array.prototype.indexOf?function(t,e){return t.indexOf(e)>=0}:function(t,e){for(var n=0;n<t.length;n++)if(t[n]===e)return!0;return!1}};function u(t){return p.isWrapped(t)?t=l.call(t):p.isNode(t)&&(t=[t]),t}var h,p={isNumber:function(t){return"number"==typeof t},isString:function(t){return"string"==typeof t},isArray:Array.isArray||function(t){return"[object Array]"===Object.prototype.toString.call(t)},isFunction:function(t){return"[object Function]"===Object.prototype.toString.call(t)},isNode:function(t){return t&&t.nodeType},isWrapped:function(t){return t&&t!==e&&p.isNumber(t.length)&&!p.isString(t)&&!p.isFunction(t)&&!p.isNode(t)&&(0===t.length||p.isNode(t[0]))},isSVG:function(t){return e.SVGElement&&t instanceof e.SVGElement},isEmptyObject:function(t){for(var e in t)if(t.hasOwnProperty(e))return!1;return!0}},d=!1;if(t.fn&&t.fn.jquery?(h=t,d=!0):h=e.Velocity.Utilities,o<=8&&!d)throw new Error("Velocity: IE8 and below require jQuery to be loaded before Velocity.");if(!(o<=7)){var f=400,g="swing",m={State:{isMobile:/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(e.navigator.userAgent),isAndroid:/Android/i.test(e.navigator.userAgent),isGingerbread:/Android 2\.3\.[3-7]/i.test(e.navigator.userAgent),isChrome:e.chrome,isFirefox:/Firefox/i.test(e.navigator.userAgent),prefixElement:n.createElement("div"),prefixMatches:{},scrollAnchor:null,scrollPropertyLeft:null,scrollPropertyTop:null,isTicking:!1,calls:[],delayedElements:{count:0}},CSS:{},Utilities:h,Redirects:{},Easings:{},Promise:e.Promise,defaults:{queue:"",duration:400,easing:g,begin:r,complete:r,progress:r,display:r,visibility:r,loop:!1,delay:!1,mobileHA:!0,_cacheValues:!0,promiseRejectEmpty:!0},init:function(t){h.data(t,"velocity",{isSVG:p.isSVG(t),isAnimating:!1,computedStyle:null,tweensContainer:null,rootPropertyValueCache:{},transformCache:{}})},hook:null,mock:!1,version:{major:1,minor:5,patch:2},debug:!1,timestamp:!0,pauseAll:function(t){var e=(new Date).getTime();h.each(m.State.calls,(function(e,n){if(n){if(t!==r&&(n[2].queue!==t||!1===n[2].queue))return!0;n[5]={resume:!1}}})),h.each(m.State.delayedElements,(function(t,n){n&&S(n,e)}))},resumeAll:function(t){(new Date).getTime(),h.each(m.State.calls,(function(e,n){if(n){if(t!==r&&(n[2].queue!==t||!1===n[2].queue))return!0;n[5]&&(n[5].resume=!0)}})),h.each(m.State.delayedElements,(function(t,e){e&&k(e)}))}};e.pageYOffset!==r?(m.State.scrollAnchor=e,m.State.scrollPropertyLeft="pageXOffset",m.State.scrollPropertyTop="pageYOffset"):(m.State.scrollAnchor=n.documentElement||n.body.parentNode||n.body,m.State.scrollPropertyLeft="scrollLeft",m.State.scrollPropertyTop="scrollTop");var v=function(){function t(t){return-t.tension*t.x-t.friction*t.v}function e(e,n,r){var i={x:e.x+r.dx*n,v:e.v+r.dv*n,tension:e.tension,friction:e.friction};return{dx:i.v,dv:t(i)}}function n(n,r){var i={dx:n.v,dv:t(n)},o=e(n,.5*r,i),s=e(n,.5*r,o),a=e(n,r,s),l=1/6*(i.dx+2*(o.dx+s.dx)+a.dx),c=1/6*(i.dv+2*(o.dv+s.dv)+a.dv);return n.x=n.x+l*r,n.v=n.v+c*r,n}return function t(e,r,i){var o,s,a,l={x:-1,v:0,tension:null,friction:null},c=[0],u=0,h=1e-4;for(e=parseFloat(e)||500,r=parseFloat(r)||20,i=i||null,l.tension=e,l.friction=r,s=(o=null!==i)?(u=t(e,r))/i*.016:.016;a=n(a||l,s),c.push(1+a.x),u+=16,Math.abs(a.x)>h&&Math.abs(a.v)>h;);return o?function(t){return c[t*(c.length-1)|0]}:u}}();m.Easings={linear:function(t){return t},swing:function(t){return.5-Math.cos(t*Math.PI)/2},spring:function(t){return 1-Math.cos(4.5*t*Math.PI)*Math.exp(6*-t)}},h.each([["ease",[.25,.1,.25,1]],["ease-in",[.42,0,1,1]],["ease-out",[0,0,.58,1]],["ease-in-out",[.42,0,.58,1]],["easeInSine",[.47,0,.745,.715]],["easeOutSine",[.39,.575,.565,1]],["easeInOutSine",[.445,.05,.55,.95]],["easeInQuad",[.55,.085,.68,.53]],["easeOutQuad",[.25,.46,.45,.94]],["easeInOutQuad",[.455,.03,.515,.955]],["easeInCubic",[.55,.055,.675,.19]],["easeOutCubic",[.215,.61,.355,1]],["easeInOutCubic",[.645,.045,.355,1]],["easeInQuart",[.895,.03,.685,.22]],["easeOutQuart",[.165,.84,.44,1]],["easeInOutQuart",[.77,0,.175,1]],["easeInQuint",[.755,.05,.855,.06]],["easeOutQuint",[.23,1,.32,1]],["easeInOutQuint",[.86,0,.07,1]],["easeInExpo",[.95,.05,.795,.035]],["easeOutExpo",[.19,1,.22,1]],["easeInOutExpo",[1,0,0,1]],["easeInCirc",[.6,.04,.98,.335]],["easeOutCirc",[.075,.82,.165,1]],["easeInOutCirc",[.785,.135,.15,.86]]],(function(t,e){m.Easings[e[0]]=A.apply(null,e[1])}));var y=m.CSS={RegEx:{isHex:/^#([A-f\d]{3}){1,2}$/i,valueUnwrap:/^[A-z]+\((.*)\)$/i,wrappedValueAlreadyExtracted:/[0-9.]+ [0-9.]+ [0-9.]+( [0-9.]+)?/,valueSplit:/([A-z]+\(.+\))|(([A-z0-9#-.]+?)(?=\s|$))/gi},Lists:{colors:["fill","stroke","stopColor","color","backgroundColor","borderColor","borderTopColor","borderRightColor","borderBottomColor","borderLeftColor","outlineColor"],transformsBase:["translateX","translateY","scale","scaleX","scaleY","skewX","skewY","rotateZ"],transforms3D:["transformPerspective","translateZ","scaleZ","rotateX","rotateY"],units:["%","em","ex","ch","rem","vw","vh","vmin","vmax","cm","mm","Q","in","pc","pt","px","deg","grad","rad","turn","s","ms"],colorNames:{aliceblue:"240,248,255",antiquewhite:"250,235,215",aquamarine:"127,255,212",aqua:"0,255,255",azure:"240,255,255",beige:"245,245,220",bisque:"255,228,196",black:"0,0,0",blanchedalmond:"255,235,205",blueviolet:"138,43,226",blue:"0,0,255",brown:"165,42,42",burlywood:"222,184,135",cadetblue:"95,158,160",chartreuse:"127,255,0",chocolate:"210,105,30",coral:"255,127,80",cornflowerblue:"100,149,237",cornsilk:"255,248,220",crimson:"220,20,60",cyan:"0,255,255",darkblue:"0,0,139",darkcyan:"0,139,139",darkgoldenrod:"184,134,11",darkgray:"169,169,169",darkgrey:"169,169,169",darkgreen:"0,100,0",darkkhaki:"189,183,107",darkmagenta:"139,0,139",darkolivegreen:"85,107,47",darkorange:"255,140,0",darkorchid:"153,50,204",darkred:"139,0,0",darksalmon:"233,150,122",darkseagreen:"143,188,143",darkslateblue:"72,61,139",darkslategray:"47,79,79",darkturquoise:"0,206,209",darkviolet:"148,0,211",deeppink:"255,20,147",deepskyblue:"0,191,255",dimgray:"105,105,105",dimgrey:"105,105,105",dodgerblue:"30,144,255",firebrick:"178,34,34",floralwhite:"255,250,240",forestgreen:"34,139,34",fuchsia:"255,0,255",gainsboro:"220,220,220",ghostwhite:"248,248,255",gold:"255,215,0",goldenrod:"218,165,32",gray:"128,128,128",grey:"128,128,128",greenyellow:"173,255,47",green:"0,128,0",honeydew:"240,255,240",hotpink:"255,105,180",indianred:"205,92,92",indigo:"75,0,130",ivory:"255,255,240",khaki:"240,230,140",lavenderblush:"255,240,245",lavender:"230,230,250",lawngreen:"124,252,0",lemonchiffon:"255,250,205",lightblue:"173,216,230",lightcoral:"240,128,128",lightcyan:"224,255,255",lightgoldenrodyellow:"250,250,210",lightgray:"211,211,211",lightgrey:"211,211,211",lightgreen:"144,238,144",lightpink:"255,182,193",lightsalmon:"255,160,122",lightseagreen:"32,178,170",lightskyblue:"135,206,250",lightslategray:"119,136,153",lightsteelblue:"176,196,222",lightyellow:"255,255,224",limegreen:"50,205,50",lime:"0,255,0",linen:"250,240,230",magenta:"255,0,255",maroon:"128,0,0",mediumaquamarine:"102,205,170",mediumblue:"0,0,205",mediumorchid:"186,85,211",mediumpurple:"147,112,219",mediumseagreen:"60,179,113",mediumslateblue:"123,104,238",mediumspringgreen:"0,250,154",mediumturquoise:"72,209,204",mediumvioletred:"199,21,133",midnightblue:"25,25,112",mintcream:"245,255,250",mistyrose:"255,228,225",moccasin:"255,228,181",navajowhite:"255,222,173",navy:"0,0,128",oldlace:"253,245,230",olivedrab:"107,142,35",olive:"128,128,0",orangered:"255,69,0",orange:"255,165,0",orchid:"218,112,214",palegoldenrod:"238,232,170",palegreen:"152,251,152",paleturquoise:"175,238,238",palevioletred:"219,112,147",papayawhip:"255,239,213",peachpuff:"255,218,185",peru:"205,133,63",pink:"255,192,203",plum:"221,160,221",powderblue:"176,224,230",purple:"128,0,128",red:"255,0,0",rosybrown:"188,143,143",royalblue:"65,105,225",saddlebrown:"139,69,19",salmon:"250,128,114",sandybrown:"244,164,96",seagreen:"46,139,87",seashell:"255,245,238",sienna:"160,82,45",silver:"192,192,192",skyblue:"135,206,235",slateblue:"106,90,205",slategray:"112,128,144",snow:"255,250,250",springgreen:"0,255,127",steelblue:"70,130,180",tan:"210,180,140",teal:"0,128,128",thistle:"216,191,216",tomato:"255,99,71",turquoise:"64,224,208",violet:"238,130,238",wheat:"245,222,179",whitesmoke:"245,245,245",white:"255,255,255",yellowgreen:"154,205,50",yellow:"255,255,0"}},Hooks:{templates:{textShadow:["Color X Y Blur","black 0px 0px 0px"],boxShadow:["Color X Y Blur Spread","black 0px 0px 0px 0px"],clip:["Top Right Bottom Left","0px 0px 0px 0px"],backgroundPosition:["X Y","0% 0%"],transformOrigin:["X Y Z","50% 50% 0px"],perspectiveOrigin:["X Y","50% 50%"]},registered:{},register:function(){for(var t=0;t<y.Lists.colors.length;t++){var e="color"===y.Lists.colors[t]?"0 0 0 1":"255 255 255 1";y.Hooks.templates[y.Lists.colors[t]]=["Red Green Blue Alpha",e]}var n,r,i;if(o)for(n in y.Hooks.templates)if(y.Hooks.templates.hasOwnProperty(n)){i=(r=y.Hooks.templates[n])[0].split(" ");var s=r[1].match(y.RegEx.valueSplit);"Color"===i[0]&&(i.push(i.shift()),s.push(s.shift()),y.Hooks.templates[n]=[i.join(" "),s.join(" ")])}for(n in y.Hooks.templates)if(y.Hooks.templates.hasOwnProperty(n))for(var a in i=(r=y.Hooks.templates[n])[0].split(" "))if(i.hasOwnProperty(a)){var l=n+i[a],c=a;y.Hooks.registered[l]=[n,c]}},getRoot:function(t){var e=y.Hooks.registered[t];return e?e[0]:t},getUnit:function(t,e){var n=(t.substr(e||0,5).match(/^[a-z%]+/)||[])[0]||"";return n&&c(y.Lists.units)?n:""},fixColors:function(t){return t.replace(/(rgba?\(\s*)?(\b[a-z]+\b)/g,(function(t,e,n){return y.Lists.colorNames.hasOwnProperty(n)?(e||"rgba(")+y.Lists.colorNames[n]+(e?"":",1)"):e+n}))},cleanRootPropertyValue:function(t,e){return y.RegEx.valueUnwrap.test(e)&&(e=e.match(y.RegEx.valueUnwrap)[1]),y.Values.isCSSNullValue(e)&&(e=y.Hooks.templates[t][1]),e},extractValue:function(t,e){var n=y.Hooks.registered[t];if(n){var r=n[0],i=n[1];return(e=y.Hooks.cleanRootPropertyValue(r,e)).toString().match(y.RegEx.valueSplit)[i]}return e},injectValue:function(t,e,n){var r=y.Hooks.registered[t];if(r){var i,o=r[0],s=r[1];return(i=(n=y.Hooks.cleanRootPropertyValue(o,n)).toString().match(y.RegEx.valueSplit))[s]=e,i.join(" ")}return n}},Normalizations:{registered:{clip:function(t,e,n){switch(t){case"name":return"clip";case"extract":var r;return y.RegEx.wrappedValueAlreadyExtracted.test(n)?n:(r=n.toString().match(y.RegEx.valueUnwrap))?r[1].replace(/,(\s+)?/g," "):n;case"inject":return"rect("+n+")"}},blur:function(t,e,n){switch(t){case"name":return m.State.isFirefox?"filter":"-webkit-filter";case"extract":var r=parseFloat(n);if(!r&&0!==r){var i=n.toString().match(/blur\(([0-9]+[A-z]+)\)/i);r=i?i[1]:0}return r;case"inject":return parseFloat(n)?"blur("+n+")":"none"}},opacity:function(t,e,n){if(o<=8)switch(t){case"name":return"filter";case"extract":var r=n.toString().match(/alpha\(opacity=(.*)\)/i);return r?r[1]/100:1;case"inject":return e.style.zoom=1,parseFloat(n)>=1?"":"alpha(opacity="+parseInt(100*parseFloat(n),10)+")"}else switch(t){case"name":return"opacity";case"extract":case"inject":return n}}},register:function(){(!o||o>9)&&!m.State.isGingerbread&&(y.Lists.transformsBase=y.Lists.transformsBase.concat(y.Lists.transforms3D));for(var t=0;t<y.Lists.transformsBase.length;t++)!function(){var e=y.Lists.transformsBase[t];y.Normalizations.registered[e]=function(t,n,i){switch(t){case"name":return"transform";case"extract":return w(n)===r||w(n).transformCache[e]===r?/^scale/i.test(e)?1:0:w(n).transformCache[e].replace(/[()]/g,"");case"inject":var o=!1;switch(e.substr(0,e.length-1)){case"translate":o=!/(%|px|em|rem|vw|vh|\d)$/i.test(i);break;case"scal":case"scale":m.State.isAndroid&&w(n).transformCache[e]===r&&i<1&&(i=1),o=!/(\d)$/i.test(i);break;case"skew":case"rotate":o=!/(deg|\d)$/i.test(i)}return o||(w(n).transformCache[e]="("+i+")"),w(n).transformCache[e]}}}();for(var e=0;e<y.Lists.colors.length;e++)!function(){var t=y.Lists.colors[e];y.Normalizations.registered[t]=function(e,n,i){switch(e){case"name":return t;case"extract":var s;if(y.RegEx.wrappedValueAlreadyExtracted.test(i))s=i;else{var a,l={black:"rgb(0, 0, 0)",blue:"rgb(0, 0, 255)",gray:"rgb(128, 128, 128)",green:"rgb(0, 128, 0)",red:"rgb(255, 0, 0)",white:"rgb(255, 255, 255)"};/^[A-z]+$/i.test(i)?a=l[i]!==r?l[i]:l.black:y.RegEx.isHex.test(i)?a="rgb("+y.Values.hexToRgb(i).join(" ")+")":/^rgba?\(/i.test(i)||(a=l.black),s=(a||i).toString().match(y.RegEx.valueUnwrap)[1].replace(/,(\s+)?/g," ")}return(!o||o>8)&&3===s.split(" ").length&&(s+=" 1"),s;case"inject":return/^rgb/.test(i)?i:(o<=8?4===i.split(" ").length&&(i=i.split(/\s+/).slice(0,3).join(" ")):3===i.split(" ").length&&(i+=" 1"),(o<=8?"rgb":"rgba")+"("+i.replace(/\s+/g,",").replace(/\.(\d)+(?=,)/g,"")+")")}}}();function n(t,e,n){if("border-box"===y.getPropertyValue(e,"boxSizing").toString().toLowerCase()===(n||!1)){var r,i,o=0,s="width"===t?["Left","Right"]:["Top","Bottom"],a=["padding"+s[0],"padding"+s[1],"border"+s[0]+"Width","border"+s[1]+"Width"];for(r=0;r<a.length;r++)i=parseFloat(y.getPropertyValue(e,a[r])),isNaN(i)||(o+=i);return n?-o:o}return 0}function i(t,e){return function(r,i,o){switch(r){case"name":return t;case"extract":return parseFloat(o)+n(t,i,e);case"inject":return parseFloat(o)-n(t,i,e)+"px"}}}y.Normalizations.registered.innerWidth=i("width",!0),y.Normalizations.registered.innerHeight=i("height",!0),y.Normalizations.registered.outerWidth=i("width"),y.Normalizations.registered.outerHeight=i("height")}},Names:{camelCase:function(t){return t.replace(/-(\w)/g,(function(t,e){return e.toUpperCase()}))},SVGAttribute:function(t){var e="width|height|x|y|cx|cy|r|rx|ry|x1|x2|y1|y2";return(o||m.State.isAndroid&&!m.State.isChrome)&&(e+="|transform"),new RegExp("^("+e+")$","i").test(t)},prefixCheck:function(t){if(m.State.prefixMatches[t])return[m.State.prefixMatches[t],!0];for(var e=["","Webkit","Moz","ms","O"],n=0,r=e.length;n<r;n++){var i;if(i=0===n?t:e[n]+t.replace(/^\w/,(function(t){return t.toUpperCase()})),p.isString(m.State.prefixElement.style[i]))return m.State.prefixMatches[t]=i,[i,!0]}return[t,!1]}},Values:{hexToRgb:function(t){var e;return t=t.replace(/^#?([a-f\d])([a-f\d])([a-f\d])$/i,(function(t,e,n,r){return e+e+n+n+r+r})),(e=/^#?([a-f\d]{2})([a-f\d]{2})([a-f\d]{2})$/i.exec(t))?[parseInt(e[1],16),parseInt(e[2],16),parseInt(e[3],16)]:[0,0,0]},isCSSNullValue:function(t){return!t||/^(none|auto|transparent|(rgba\(0, ?0, ?0, ?0\)))$/i.test(t)},getUnitType:function(t){return/^(rotate|skew)/i.test(t)?"deg":/(^(scale|scaleX|scaleY|scaleZ|alpha|flexGrow|flexHeight|zIndex|fontWeight)$)|((opacity|red|green|blue|alpha)$)/i.test(t)?"":"px"},getDisplayType:function(t){var e=t&&t.tagName.toString().toLowerCase();return/^(b|big|i|small|tt|abbr|acronym|cite|code|dfn|em|kbd|strong|samp|var|a|bdo|br|img|map|object|q|script|span|sub|sup|button|input|label|select|textarea)$/i.test(e)?"inline":/^(li)$/i.test(e)?"list-item":/^(tr)$/i.test(e)?"table-row":/^(table)$/i.test(e)?"table":/^(tbody)$/i.test(e)?"table-row-group":"block"},addClass:function(t,e){if(t)if(t.classList)t.classList.add(e);else if(p.isString(t.className))t.className+=(t.className.length?" ":"")+e;else{var n=t.getAttribute(o<=7?"className":"class")||"";t.setAttribute("class",n+(n?" ":"")+e)}},removeClass:function(t,e){if(t)if(t.classList)t.classList.remove(e);else if(p.isString(t.className))t.className=t.className.toString().replace(new RegExp("(^|\\s)"+e.split(" ").join("|")+"(\\s|$)","gi")," ");else{var n=t.getAttribute(o<=7?"className":"class")||"";t.setAttribute("class",n.replace(new RegExp("(^|s)"+e.split(" ").join("|")+"(s|$)","gi")," "))}}},getPropertyValue:function(t,n,i,s){function a(t,n){var i=0;if(o<=8)i=h.css(t,n);else{var l=!1;/^(width|height)$/.test(n)&&0===y.getPropertyValue(t,"display")&&(l=!0,y.setPropertyValue(t,"display",y.Values.getDisplayType(t)));var c,u=function(){l&&y.setPropertyValue(t,"display","none")};if(!s){if("height"===n&&"border-box"!==y.getPropertyValue(t,"boxSizing").toString().toLowerCase()){var p=t.offsetHeight-(parseFloat(y.getPropertyValue(t,"borderTopWidth"))||0)-(parseFloat(y.getPropertyValue(t,"borderBottomWidth"))||0)-(parseFloat(y.getPropertyValue(t,"paddingTop"))||0)-(parseFloat(y.getPropertyValue(t,"paddingBottom"))||0);return u(),p}if("width"===n&&"border-box"!==y.getPropertyValue(t,"boxSizing").toString().toLowerCase()){var d=t.offsetWidth-(parseFloat(y.getPropertyValue(t,"borderLeftWidth"))||0)-(parseFloat(y.getPropertyValue(t,"borderRightWidth"))||0)-(parseFloat(y.getPropertyValue(t,"paddingLeft"))||0)-(parseFloat(y.getPropertyValue(t,"paddingRight"))||0);return u(),d}}c=w(t)===r?e.getComputedStyle(t,null):w(t).computedStyle?w(t).computedStyle:w(t).computedStyle=e.getComputedStyle(t,null),"borderColor"===n&&(n="borderTopColor"),(""===(i=9===o&&"filter"===n?c.getPropertyValue(n):c[n])||null===i)&&(i=t.style[n]),u()}if("auto"===i&&/^(top|right|bottom|left)$/i.test(n)){var f=a(t,"position");("fixed"===f||"absolute"===f&&/top|left/i.test(n))&&(i=h(t).position()[n]+"px")}return i}var l;if(y.Hooks.registered[n]){var c=n,u=y.Hooks.getRoot(c);i===r&&(i=y.getPropertyValue(t,y.Names.prefixCheck(u)[0])),y.Normalizations.registered[u]&&(i=y.Normalizations.registered[u]("extract",t,i)),l=y.Hooks.extractValue(c,i)}else if(y.Normalizations.registered[n]){var p,d;"transform"!==(p=y.Normalizations.registered[n]("name",t))&&(d=a(t,y.Names.prefixCheck(p)[0]),y.Values.isCSSNullValue(d)&&y.Hooks.templates[n]&&(d=y.Hooks.templates[n][1])),l=y.Normalizations.registered[n]("extract",t,d)}if(!/^[\d-]/.test(l)){var f=w(t);if(f&&f.isSVG&&y.Names.SVGAttribute(n))if(/^(height|width)$/i.test(n))try{l=t.getBBox()[n]}catch{l=0}else l=t.getAttribute(n);else l=a(t,y.Names.prefixCheck(n)[0])}return y.Values.isCSSNullValue(l)&&(l=0),m.debug>=2&&console.log("Get "+n+": "+l),l},setPropertyValue:function(t,n,r,i,s){var a=n;if("scroll"===n)s.container?s.container["scroll"+s.direction]=r:"Left"===s.direction?e.scrollTo(r,s.alternateValue):e.scrollTo(s.alternateValue,r);else if(y.Normalizations.registered[n]&&"transform"===y.Normalizations.registered[n]("name",t))y.Normalizations.registered[n]("inject",t,r),a="transform",r=w(t).transformCache[n];else{if(y.Hooks.registered[n]){var l=n,c=y.Hooks.getRoot(n);i=i||y.getPropertyValue(t,c),r=y.Hooks.injectValue(l,r,i),n=c}if(y.Normalizations.registered[n]&&(r=y.Normalizations.registered[n]("inject",t,r),n=y.Normalizations.registered[n]("name",t)),a=y.Names.prefixCheck(n)[0],o<=8)try{t.style[a]=r}catch{m.debug&&console.log("Browser does not support ["+r+"] for ["+a+"]")}else{var u=w(t);u&&u.isSVG&&y.Names.SVGAttribute(n)?t.setAttribute(n,r):t.style[a]=r}m.debug>=2&&console.log("Set "+n+" ("+a+"): "+r)}return[a,r]},flushTransformCache:function(t){var e="",n=w(t);if((o||m.State.isAndroid&&!m.State.isChrome)&&n&&n.isSVG){var r=function(e){return parseFloat(y.getPropertyValue(t,e))},i={translate:[r("translateX"),r("translateY")],skewX:[r("skewX")],skewY:[r("skewY")],scale:1!==r("scale")?[r("scale"),r("scale")]:[r("scaleX"),r("scaleY")],rotate:[r("rotateZ"),0,0]};h.each(w(t).transformCache,(function(t){/^translate/i.test(t)?t="translate":/^scale/i.test(t)?t="scale":/^rotate/i.test(t)&&(t="rotate"),i[t]&&(e+=t+"("+i[t].join(" ")+") ",delete i[t])}))}else{var s,a;h.each(w(t).transformCache,(function(n){if(s=w(t).transformCache[n],"transformPerspective"===n)return a=s,!0;9===o&&"rotateZ"===n&&(n="rotate"),e+=n+s+" "})),a&&(e="perspective"+a+" "+e)}y.setPropertyValue(t,"transform",e)}};y.Hooks.register(),y.Normalizations.register(),m.hook=function(t,e,n){var i;return t=u(t),h.each(t,(function(t,o){if(w(o)===r&&m.init(o),n===r)i===r&&(i=y.getPropertyValue(o,e));else{var s=y.setPropertyValue(o,e,n);"transform"===s[0]&&m.CSS.flushTransformCache(o),i=s}})),i};var b=function(){var t;function i(){return o?_.promise||null:s}var o,s,a,l,d,g,v=arguments[0]&&(arguments[0].p||h.isPlainObject(arguments[0].properties)&&!arguments[0].properties.names||p.isString(arguments[0].properties));p.isWrapped(this)?(o=!1,a=0,l=this,s=this):(o=!0,a=1,l=v?arguments[0].elements||arguments[0].e:arguments[0]);var _={promise:null,resolver:null,rejecter:null};if(o&&m.Promise&&(_.promise=new m.Promise((function(t,e){_.resolver=t,_.rejecter=e}))),v?(d=arguments[0].properties||arguments[0].p,g=arguments[0].options||arguments[0].o):(d=arguments[a],g=arguments[a+1]),l=u(l)){var x,C=l.length,A=0;if(!/^(stop|finish|finishAll|pause|resume)$/i.test(d)&&!h.isPlainObject(g)){g={};for(var P=a+1;P<arguments.length;P++)p.isArray(arguments[P])||!/^(fast|normal|slow)$/i.test(arguments[P])&&!/^\d/.test(arguments[P])?p.isString(arguments[P])||p.isArray(arguments[P])?g.easing=arguments[P]:p.isFunction(arguments[P])&&(g.complete=arguments[P]):g.duration=arguments[P]}switch(d){case"scroll":x="scroll";break;case"reverse":x="reverse";break;case"pause":var M=(new Date).getTime();return h.each(l,(function(t,e){S(e,M)})),h.each(m.State.calls,(function(t,e){var n=!1;e&&h.each(e[1],(function(t,i){var o=g===r?"":g;return!0!==o&&e[2].queue!==o&&(g!==r||!1!==e[2].queue)||(h.each(l,(function(t,r){if(r===i)return e[5]={resume:!1},n=!0,!1})),!n&&void 0)}))})),i();case"resume":return h.each(l,(function(t,e){k(e)})),h.each(m.State.calls,(function(t,e){var n=!1;e&&h.each(e[1],(function(t,i){var o=g===r?"":g;return!0!==o&&e[2].queue!==o&&(g!==r||!1!==e[2].queue)||!e[5]||(h.each(l,(function(t,r){if(r===i)return e[5].resume=!0,n=!0,!1})),!n&&void 0)}))})),i();case"finish":case"finishAll":case"stop":h.each(l,(function(t,e){w(e)&&w(e).delayTimer&&(clearTimeout(w(e).delayTimer.setTimeout),w(e).delayTimer.next&&w(e).delayTimer.next(),delete w(e).delayTimer),"finishAll"===d&&(!0===g||p.isString(g))&&(h.each(h.queue(e,p.isString(g)?g:""),(function(t,e){p.isFunction(e)&&e()})),h.queue(e,p.isString(g)?g:"",[]))}));var L=[];return h.each(m.State.calls,(function(t,e){e&&h.each(e[1],(function(n,i){var o=g===r?"":g;if(!0!==o&&e[2].queue!==o&&(g!==r||!1!==e[2].queue))return!0;h.each(l,(function(n,r){if(r===i)if((!0===g||p.isString(g))&&(h.each(h.queue(r,p.isString(g)?g:""),(function(t,e){p.isFunction(e)&&e(null,!0)})),h.queue(r,p.isString(g)?g:"",[])),"stop"===d){var s=w(r);s&&s.tweensContainer&&(!0===o||""===o)&&h.each(s.tweensContainer,(function(t,e){e.endValue=e.currentValue})),L.push(t)}else("finish"===d||"finishAll"===d)&&(e[2].duration=1)}))}))})),"stop"===d&&(h.each(L,(function(t,e){E(e,!0)})),_.promise&&_.resolver(l)),i();default:if(!h.isPlainObject(d)||p.isEmptyObject(d)){if(p.isString(d)&&m.Redirects[d]){var j=(t=h.extend({},g)).duration,D=t.delay||0;return!0===t.backwards&&(l=h.extend(!0,[],l).reverse()),h.each(l,(function(e,n){parseFloat(t.stagger)?t.delay=D+parseFloat(t.stagger)*e:p.isFunction(t.stagger)&&(t.delay=D+t.stagger.call(n,e,C)),t.drag&&(t.duration=parseFloat(j)||(/^(callout|transition)/.test(d)?1e3:400),t.duration=Math.max(t.duration*(t.backwards?1-e/C:(e+1)/C),.75*t.duration,200)),m.Redirects[d].call(n,n,t||{},e,C,l,_.promise?_:r)})),i()}var $="Velocity: First argument ("+d+") was not a property map, a known action, or a registered redirect. Aborting.";return _.promise?_.rejecter(new Error($)):e.console&&console.log($),i()}x="start"}var I={lastParent:null,lastPosition:null,lastFontSize:null,lastPercentToPxWidth:null,lastPercentToPxHeight:null,lastEmToPx:null,remToPx:null,vwToPx:null,vhToPx:null},R=[];h.each(l,(function(t,i){p.isNode(i)&&function(t,i){var o,s=h.extend({},m.defaults,g),a={};switch(w(t)===r&&m.init(t),parseFloat(s.delay)&&!1!==s.queue&&h.queue(t,s.queue,(function(e,n){if(!0===n)return!0;m.velocityQueueEntryFlag=!0;var r=m.State.delayedElements.count++;m.State.delayedElements[r]=t;var i=function(t){return function(){m.State.delayedElements[t]=!1,e()}}(r);w(t).delayBegin=(new Date).getTime(),w(t).delay=parseFloat(s.delay),w(t).delayTimer={setTimeout:setTimeout(e,parseFloat(s.delay)),next:i}})),s.duration.toString().toLowerCase()){case"fast":s.duration=200;break;case"normal":s.duration=f;break;case"slow":s.duration=600;break;default:s.duration=parseFloat(s.duration)||1}function u(u){var f,v;if(s.begin&&0===A)try{s.begin.call(l,l)}catch(t){setTimeout((function(){throw t}),1)}if("scroll"===x){var b,S,k,E=/^x$/i.test(s.axis)?"Left":"Top",P=parseFloat(s.offset)||0;s.container?p.isWrapped(s.container)||p.isNode(s.container)?(s.container=s.container[0]||s.container,k=(b=s.container["scroll"+E])+h(t).position()[E.toLowerCase()]+P):s.container=null:(b=m.State.scrollAnchor[m.State["scrollProperty"+E]],S=m.State.scrollAnchor[m.State["scrollProperty"+("Left"===E?"Top":"Left")]],k=h(t).offset()[E.toLowerCase()]+P),a={scroll:{rootPropertyValue:!1,startValue:b,currentValue:b,endValue:k,unitType:"",easing:s.easing,scrollData:{container:s.container,direction:E,alternateValue:S}},element:t},m.debug&&console.log("tweensContainer (scroll): ",a.scroll,t)}else if("reverse"===x){if(!(f=w(t)))return;if(!f.tweensContainer)return void h.dequeue(t,s.queue);for(var M in"none"===f.opts.display&&(f.opts.display="auto"),"hidden"===f.opts.visibility&&(f.opts.visibility="visible"),f.opts.loop=!1,f.opts.begin=null,f.opts.complete=null,g.easing||delete s.easing,g.duration||delete s.duration,s=h.extend({},f.opts,s),v=h.extend(!0,{},f?f.tweensContainer:null))if(v.hasOwnProperty(M)&&"element"!==M){var L=v[M].startValue;v[M].startValue=v[M].currentValue=v[M].endValue,v[M].endValue=L,p.isEmptyObject(g)||(v[M].easing=s.easing),m.debug&&console.log("reverse tweensContainer ("+M+"): "+JSON.stringify(v[M]),t)}a=v}else if("start"===x){(f=w(t))&&f.tweensContainer&&!0===f.isAnimating&&(v=f.tweensContainer);var j=function(e,n){var r,o,a;return p.isFunction(e)&&(e=e.call(t,i,C)),p.isArray(e)?(r=e[0],!p.isArray(e[1])&&/^[\d-]/.test(e[1])||p.isFunction(e[1])||y.RegEx.isHex.test(e[1])?a=e[1]:p.isString(e[1])&&!y.RegEx.isHex.test(e[1])&&m.Easings[e[1]]||p.isArray(e[1])?(o=n?e[1]:O(e[1],s.duration),a=e[2]):a=e[1]||e[2]):r=e,n||(o=o||s.easing),p.isFunction(r)&&(r=r.call(t,i,C)),p.isFunction(a)&&(a=a.call(t,i,C)),[r||0,o,a]},D=function(i,l){var c,u=y.Hooks.getRoot(i),d=!1,g=l[0],b=l[1],_=l[2];if(f&&f.isSVG||"tween"===u||!1!==y.Names.prefixCheck(u)[1]||y.Normalizations.registered[u]!==r){(s.display!==r&&null!==s.display&&"none"!==s.display||s.visibility!==r&&"hidden"!==s.visibility)&&/opacity|filter/.test(i)&&!_&&0!==g&&(_=0),s._cacheValues&&v&&v[i]?(_===r&&(_=v[i].endValue+v[i].unitType),d=f.rootPropertyValueCache[u]):y.Hooks.registered[i]?_===r?(d=y.getPropertyValue(t,u),_=y.getPropertyValue(t,i,d)):d=y.Hooks.templates[u][1]:_===r&&(_=y.getPropertyValue(t,i));var x,w,S,k=!1,C=function(t,e){var n,r;return r=(e||"0").toString().toLowerCase().replace(/[%A-z]+$/,(function(t){return n=t,""})),n||(n=y.Values.getUnitType(t)),[r,n]};if(_!==g&&p.isString(_)&&p.isString(g)){c="";var A=0,O=0,T=[],E=[],P=0,M=0,L=0;for(_=y.Hooks.fixColors(_),g=y.Hooks.fixColors(g);A<_.length&&O<g.length;){var j=_[A],D=g[O];if(/[\d\.-]/.test(j)&&/[\d\.-]/.test(D)){for(var $=j,R=D,N=".",B=".";++A<_.length;){if((j=_[A])===N)N="..";else if(!/\d/.test(j))break;$+=j}for(;++O<g.length;){if((D=g[O])===B)B="..";else if(!/\d/.test(D))break;R+=D}var F=y.Hooks.getUnit(_,A),z=y.Hooks.getUnit(g,O);if(A+=F.length,O+=z.length,F===z)$===R?c+=$+F:(c+="{"+T.length+(M?"!":"")+"}"+F,T.push(parseFloat($)),E.push(parseFloat(R)));else{var V=parseFloat($),q=parseFloat(R);c+=(P<5?"calc":"")+"("+(V?"{"+T.length+(M?"!":"")+"}":"0")+F+" + "+(q?"{"+(T.length+(V?1:0))+(M?"!":"")+"}":"0")+z+")",V&&(T.push(V),E.push(0)),q&&(T.push(0),E.push(q))}}else{if(j!==D){P=0;break}c+=j,A++,O++,0===P&&"c"===j||1===P&&"a"===j||2===P&&"l"===j||3===P&&"c"===j||P>=4&&"("===j?P++:(P&&P<5||P>=4&&")"===j&&--P<5)&&(P=0),0===M&&"r"===j||1===M&&"g"===j||2===M&&"b"===j||3===M&&"a"===j||M>=3&&"("===j?(3===M&&"a"===j&&(L=1),M++):L&&","===j?++L>3&&(M=L=0):(L&&M<(L?5:4)||M>=(L?4:3)&&")"===j&&--M<(L?5:4))&&(M=L=0)}}(A!==_.length||O!==g.length)&&(m.debug&&console.error('Trying to pattern match mis-matched strings ["'+g+'", "'+_+'"]'),c=r),c&&(T.length?(m.debug&&console.log('Pattern found "'+c+'" -> ',T,E,"["+_+","+g+"]"),_=T,g=E,w=S=""):c=r)}c||(_=(x=C(i,_))[0],S=x[1],g=(x=C(i,g))[0].replace(/^([+-\/*])=/,(function(t,e){return k=e,""})),w=x[1],_=parseFloat(_)||0,g=parseFloat(g)||0,"%"===w&&(/^(fontSize|lineHeight)$/.test(i)?(g/=100,w="em"):/^scale/.test(i)?(g/=100,w=""):/(Red|Green|Blue)$/i.test(i)&&(g=g/100*255,w="")));var W=function(){var r={myParent:t.parentNode||n.body,position:y.getPropertyValue(t,"position"),fontSize:y.getPropertyValue(t,"fontSize")},i=r.position===I.lastPosition&&r.myParent===I.lastParent,o=r.fontSize===I.lastFontSize;I.lastParent=r.myParent,I.lastPosition=r.position,I.lastFontSize=r.fontSize;var s=100,a={};if(o&&i)a.emToPx=I.lastEmToPx,a.percentToPxWidth=I.lastPercentToPxWidth,a.percentToPxHeight=I.lastPercentToPxHeight;else{var l=f&&f.isSVG?n.createElementNS("http://www.w3.org/2000/svg","rect"):n.createElement("div");m.init(l),r.myParent.appendChild(l),h.each(["overflow","overflowX","overflowY"],(function(t,e){m.CSS.setPropertyValue(l,e,"hidden")})),m.CSS.setPropertyValue(l,"position",r.position),m.CSS.setPropertyValue(l,"fontSize",r.fontSize),m.CSS.setPropertyValue(l,"boxSizing","content-box"),h.each(["minWidth","maxWidth","width","minHeight","maxHeight","height"],(function(t,e){m.CSS.setPropertyValue(l,e,s+"%")})),m.CSS.setPropertyValue(l,"paddingLeft",s+"em"),a.percentToPxWidth=I.lastPercentToPxWidth=(parseFloat(y.getPropertyValue(l,"width",null,!0))||1)/s,a.percentToPxHeight=I.lastPercentToPxHeight=(parseFloat(y.getPropertyValue(l,"height",null,!0))||1)/s,a.emToPx=I.lastEmToPx=(parseFloat(y.getPropertyValue(l,"paddingLeft"))||1)/s,r.myParent.removeChild(l)}return null===I.remToPx&&(I.remToPx=parseFloat(y.getPropertyValue(n.body,"fontSize"))||16),null===I.vwToPx&&(I.vwToPx=parseFloat(e.innerWidth)/100,I.vhToPx=parseFloat(e.innerHeight)/100),a.remToPx=I.remToPx,a.vwToPx=I.vwToPx,a.vhToPx=I.vhToPx,m.debug>=1&&console.log("Unit ratios: "+JSON.stringify(a),t),a};if(/[\/*]/.test(k))w=S;else if(S!==w&&0!==_)if(0===g)w=S;else{o=o||W();var H=/margin|padding|left|right|width|text|word|letter/i.test(i)||/X$/.test(i)||"x"===i?"x":"y";switch(S){case"%":_*="x"===H?o.percentToPxWidth:o.percentToPxHeight;break;case"px":break;default:_*=o[S+"ToPx"]}switch(w){case"%":_*=1/("x"===H?o.percentToPxWidth:o.percentToPxHeight);break;case"px":break;default:_*=1/o[w+"ToPx"]}}switch(k){case"+":g=_+g;break;case"-":g=_-g;break;case"*":g*=_;break;case"/":g=_/g}a[i]={rootPropertyValue:d,startValue:_,currentValue:_,endValue:g,unitType:w,easing:b},c&&(a[i].pattern=c),m.debug&&console.log("tweensContainer ("+i+"): "+JSON.stringify(a[i]),t)}else m.debug&&console.log("Skipping ["+u+"] due to a lack of browser support.")};for(var $ in d)if(d.hasOwnProperty($)){var N=y.Names.camelCase($),B=j(d[$]);if(c(y.Lists.colors)){var F=B[0],z=B[1],V=B[2];if(y.RegEx.isHex.test(F)){for(var q=["Red","Green","Blue"],W=y.Values.hexToRgb(F),H=V?y.Values.hexToRgb(V):r,U=0;U<q.length;U++){var G=[W[U]];z&&G.push(z),H!==r&&G.push(H[U]),D(N+q[U],G)}continue}}D(N,B)}a.element=t}a.element&&(y.Values.addClass(t,"velocity-animating"),R.push(a),(f=w(t))&&(""===s.queue&&(f.tweensContainer=a,f.opts=s),f.isAnimating=!0),A===C-1?(m.State.calls.push([R,l,s,null,_.resolver,null,0]),!1===m.State.isTicking&&(m.State.isTicking=!0,T())):A++)}if(!1!==m.mock&&(!0===m.mock?s.duration=s.delay=1:(s.duration*=parseFloat(m.mock)||1,s.delay*=parseFloat(m.mock)||1)),s.easing=O(s.easing,s.duration),s.begin&&!p.isFunction(s.begin)&&(s.begin=null),s.progress&&!p.isFunction(s.progress)&&(s.progress=null),s.complete&&!p.isFunction(s.complete)&&(s.complete=null),s.display!==r&&null!==s.display&&(s.display=s.display.toString().toLowerCase(),"auto"===s.display&&(s.display=m.CSS.Values.getDisplayType(t))),s.visibility!==r&&null!==s.visibility&&(s.visibility=s.visibility.toString().toLowerCase()),s.mobileHA=s.mobileHA&&m.State.isMobile&&!m.State.isGingerbread,!1===s.queue)if(s.delay){var v=m.State.delayedElements.count++;m.State.delayedElements[v]=t;var b=function(t){return function(){m.State.delayedElements[t]=!1,u()}}(v);w(t).delayBegin=(new Date).getTime(),w(t).delay=parseFloat(s.delay),w(t).delayTimer={setTimeout:setTimeout(u,parseFloat(s.delay)),next:b}}else u();else h.queue(t,s.queue,(function(t,e){if(!0===e)return _.promise&&_.resolver(l),!0;m.velocityQueueEntryFlag=!0,u()}));(""===s.queue||"fx"===s.queue)&&"inprogress"!==h.queue(t)[0]&&h.dequeue(t)}(i,t)})),(t=h.extend({},m.defaults,g)).loop=parseInt(t.loop,10);var N=2*t.loop-1;if(t.loop)for(var B=0;B<N;B++){var F={delay:t.delay,progress:t.progress};B===N-1&&(F.display=t.display,F.visibility=t.visibility,F.complete=t.complete),b(l,"reverse",F)}return i()}_.promise&&(d&&g&&!1===g.promiseRejectEmpty?_.resolver():_.rejecter())};(m=h.extend(b,m)).animate=b;var _=e.requestAnimationFrame||s;if(!m.State.isMobile&&n.hidden!==r){var x=function(){n.hidden?(_=function(t){return setTimeout((function(){t(!0)}),16)},T()):_=e.requestAnimationFrame||s};x(),n.addEventListener("visibilitychange",x)}return t.Velocity=m,t!==e&&(t.fn.velocity=b,t.fn.velocity.defaults=m.defaults),h.each(["Down","Up"],(function(t,e){m.Redirects["slide"+e]=function(t,n,i,o,s,a){var l=h.extend({},n),c=l.begin,u=l.complete,p={},d={height:"",marginTop:"",marginBottom:"",paddingTop:"",paddingBottom:""};l.display===r&&(l.display="Down"===e?"inline"===m.CSS.Values.getDisplayType(t)?"inline-block":"block":"none"),l.begin=function(){for(var n in 0===i&&c&&c.call(s,s),d)if(d.hasOwnProperty(n)){p[n]=t.style[n];var r=y.getPropertyValue(t,n);d[n]="Down"===e?[r,0]:[0,r]}p.overflow=t.style.overflow,t.style.overflow="hidden"},l.complete=function(){for(var e in p)p.hasOwnProperty(e)&&(t.style[e]=p[e]);i===o-1&&(u&&u.call(s,s),a&&a.resolver(s))},m(t,d,l)}})),h.each(["In","Out"],(function(t,e){m.Redirects["fade"+e]=function(t,n,i,o,s,a){var l=h.extend({},n),c=l.complete,u={opacity:"In"===e?1:0};0!==i&&(l.begin=null),l.complete=i!==o-1?null:function(){c&&c.call(s,s),a&&a.resolver(s)},l.display===r&&(l.display="In"===e?"auto":"none"),m(this,u,l)}})),m}function w(t){var e=h.data(t,"velocity");return null===e?r:e}function S(t,e){var n=w(t);n&&n.delayTimer&&!n.delayPaused&&(n.delayRemaining=n.delay-e+n.delayBegin,n.delayPaused=!0,clearTimeout(n.delayTimer.setTimeout))}function k(t,e){var n=w(t);n&&n.delayTimer&&n.delayPaused&&(n.delayPaused=!1,n.delayTimer.setTimeout=setTimeout(n.delayTimer.next,n.delayRemaining))}function C(t){return function(e){return Math.round(e*t)*(1/t)}}function A(t,n,r,i){var o=4,s=1e-7,a=10,l=11,c=1/(l-1),u="Float32Array"in e;if(4!==arguments.length)return!1;for(var h=0;h<4;++h)if("number"!=typeof arguments[h]||isNaN(arguments[h])||!isFinite(arguments[h]))return!1;t=Math.min(t,1),r=Math.min(r,1),t=Math.max(t,0),r=Math.max(r,0);var p=u?new Float32Array(l):new Array(l);function d(t,e){return 1-3*e+3*t}function f(t,e){return 3*e-6*t}function g(t){return 3*t}function m(t,e,n){return((d(e,n)*t+f(e,n))*t+g(e))*t}function v(t,e,n){return 3*d(e,n)*t*t+2*f(e,n)*t+g(e)}function y(e){for(var n=0,i=1,u=l-1;i!==u&&p[i]<=e;++i)n+=c;--i;var h=n+(e-p[i])/(p[i+1]-p[i])*c,d=v(h,t,r);return d>=.001?function(e,n){for(var i=0;i<o;++i){var s=v(n,t,r);if(0===s)return n;n-=(m(n,t,r)-e)/s}return n}(e,h):0===d?h:function(e,n,i){var o,l,c=0;do{(o=m(l=n+(i-n)/2,t,r)-e)>0?i=l:n=l}while(Math.abs(o)>s&&++c<a);return l}(e,n,n+c)}var b=!1;function _(){b=!0,(t!==n||r!==i)&&function(){for(var e=0;e<l;++e)p[e]=m(e*c,t,r)}()}var x=function(e){return b||_(),t===n&&r===i?e:0===e?0:1===e?1:m(y(e),n,i)};x.getControlPoints=function(){return[{x:t,y:n},{x:r,y:i}]};var w="generateBezier("+[t,n,r,i]+")";return x.toString=function(){return w},x}function O(t,e){var n=t;return p.isString(t)?m.Easings[t]||(n=!1):n=p.isArray(t)&&1===t.length?C.apply(null,t):p.isArray(t)&&2===t.length?v.apply(null,t.concat([e])):!(!p.isArray(t)||4!==t.length)&&A.apply(null,t),!1===n&&(n=m.Easings[m.defaults.easing]?m.defaults.easing:g),n}function T(t){if(t){var e=m.timestamp&&!0!==t?t:a.now(),n=m.State.calls.length;n>1e4&&(m.State.calls=function(t){for(var e=-1,n=t?t.length:0,r=[];++e<n;){var i=t[e];i&&r.push(i)}return r}(m.State.calls),n=m.State.calls.length);for(var i=0;i<n;i++)if(m.State.calls[i]){var s=m.State.calls[i],l=s[0],c=s[2],u=s[3],d=!u,f=null,g=s[5],v=s[6];if(u||(u=m.State.calls[i][3]=e-16),g){if(!0!==g.resume)continue;u=s[3]=Math.round(e-v-16),s[5]=null}v=s[6]=e-u;for(var b=Math.min(v/c.duration,1),x=0,S=l.length;x<S;x++){var k=l[x],C=k.element;if(w(C)){var A=!1;if(c.display!==r&&null!==c.display&&"none"!==c.display){if("flex"===c.display){h.each(["-webkit-box","-moz-box","-ms-flexbox","-webkit-flex"],(function(t,e){y.setPropertyValue(C,"display",e)}))}y.setPropertyValue(C,"display",c.display)}for(var O in c.visibility!==r&&"hidden"!==c.visibility&&y.setPropertyValue(C,"visibility",c.visibility),k)if(k.hasOwnProperty(O)&&"element"!==O){var P,M=k[O],L=p.isString(M.easing)?m.Easings[M.easing]:M.easing;if(p.isString(M.pattern)){var j=1===b?function(t,e,n){var r=M.endValue[e];return n?Math.round(r):r}:function(t,e,n){var r=M.startValue[e],i=M.endValue[e]-r,o=r+i*L(b,c,i);return n?Math.round(o):o};P=M.pattern.replace(/{(\d+)(!)?}/g,j)}else if(1===b)P=M.endValue;else{var D=M.endValue-M.startValue;P=M.startValue+D*L(b,c,D)}if(!d&&P===M.currentValue)continue;if(M.currentValue=P,"tween"===O)f=P;else{var $;if(y.Hooks.registered[O]){$=y.Hooks.getRoot(O);var I=w(C).rootPropertyValueCache[$];I&&(M.rootPropertyValue=I)}var R=y.setPropertyValue(C,O,M.currentValue+(o<9&&0===parseFloat(P)?"":M.unitType),M.rootPropertyValue,M.scrollData);y.Hooks.registered[O]&&(y.Normalizations.registered[$]?w(C).rootPropertyValueCache[$]=y.Normalizations.registered[$]("extract",null,R[1]):w(C).rootPropertyValueCache[$]=R[1]),"transform"===R[0]&&(A=!0)}}c.mobileHA&&w(C).transformCache.translate3d===r&&(w(C).transformCache.translate3d="(0px, 0px, 0px)",A=!0),A&&y.flushTransformCache(C)}}c.display!==r&&"none"!==c.display&&(m.State.calls[i][2].display=!1),c.visibility!==r&&"hidden"!==c.visibility&&(m.State.calls[i][2].visibility=!1),c.progress&&c.progress.call(s[1],s[1],b,Math.max(0,u+c.duration-e),u,f),1===b&&E(i)}}m.State.isTicking&&_(T)}function E(t,e){if(!m.State.calls[t])return!1;for(var n=m.State.calls[t][0],i=m.State.calls[t][1],o=m.State.calls[t][2],s=m.State.calls[t][4],a=!1,l=0,c=n.length;l<c;l++){var u=n[l].element;!e&&!o.loop&&("none"===o.display&&y.setPropertyValue(u,"display",o.display),"hidden"===o.visibility&&y.setPropertyValue(u,"visibility",o.visibility));var p=w(u);if(!0!==o.loop&&(h.queue(u)[1]===r||!/\.velocityQueueEntryFlag/i.test(h.queue(u)[1]))&&p){p.isAnimating=!1,p.rootPropertyValueCache={};var d=!1;h.each(y.Lists.transforms3D,(function(t,e){var n=/^scale/.test(e)?1:0,i=p.transformCache[e];p.transformCache[e]!==r&&new RegExp("^\\("+n+"[^.]").test(i)&&(d=!0,delete p.transformCache[e])})),o.mobileHA&&(d=!0,delete p.transformCache.translate3d),d&&y.flushTransformCache(u),y.Values.removeClass(u,"velocity-animating")}if(!e&&o.complete&&!o.loop&&l===c-1)try{o.complete.call(i,i)}catch(t){setTimeout((function(){throw t}),1)}s&&!0!==o.loop&&s(i),p&&!0===o.loop&&!e&&(h.each(p.tweensContainer,(function(t,e){if(/^rotate/.test(t)&&(parseFloat(e.startValue)-parseFloat(e.endValue))%360==0){var n=e.startValue;e.startValue=e.endValue,e.endValue=n}/^backgroundPosition/.test(t)&&100===parseFloat(e.endValue)&&"%"===e.unitType&&(e.endValue=0,e.startValue=100)})),m(u,"reverse",{loop:!0,delay:o.delay})),!1!==o.queue&&h.dequeue(u,o.queue)}m.State.calls[t]=!1;for(var f=0,g=m.State.calls.length;f<g;f++)if(!1!==m.State.calls[f]){a=!0;break}!1===a&&(m.State.isTicking=!1,delete m.State.calls,m.State.calls=[])}jQuery.fn.velocity=jQuery.fn.animate}(window.jQuery||window.Zepto||window,window,window?window.document:void 0);const Ih=jh($h.exports);var Rh={exports:{}};!function(t,e){(function(){var n,r="Expected a function",i="__lodash_hash_undefined__",o="__lodash_placeholder__",s=32,a=128,l=1/0,c=9007199254740991,u=NaN,h=4294967295,p=[["ary",a],["bind",1],["bindKey",2],["curry",8],["curryRight",16],["flip",512],["partial",s],["partialRight",64],["rearg",256]],d="[object Arguments]",f="[object Array]",g="[object Boolean]",m="[object Date]",v="[object Error]",y="[object Function]",b="[object GeneratorFunction]",_="[object Map]",x="[object Number]",w="[object Object]",S="[object Promise]",k="[object RegExp]",C="[object Set]",A="[object String]",O="[object Symbol]",T="[object WeakMap]",E="[object ArrayBuffer]",P="[object DataView]",M="[object Float32Array]",L="[object Float64Array]",j="[object Int8Array]",D="[object Int16Array]",$="[object Int32Array]",I="[object Uint8Array]",R="[object Uint8ClampedArray]",N="[object Uint16Array]",B="[object Uint32Array]",F=/\b__p \+= '';/g,z=/\b(__p \+=) '' \+/g,V=/(__e\(.*?\)|\b__t\)) \+\n'';/g,q=/&(?:amp|lt|gt|quot|#39);/g,W=/[&<>"']/g,H=RegExp(q.source),U=RegExp(W.source),G=/<%-([\s\S]+?)%>/g,X=/<%([\s\S]+?)%>/g,Y=/<%=([\s\S]+?)%>/g,K=/\.|\[(?:[^[\]]*|(["'])(?:(?!\1)[^\\]|\\.)*?\1)\]/,Z=/^\w*$/,J=/[^.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|$))/g,Q=/[\\^$.*+?()[\]{}|]/g,tt=RegExp(Q.source),et=/^\s+/,nt=/\s/,rt=/\{(?:\n\/\* \[wrapped with .+\] \*\/)?\n?/,it=/\{\n\/\* \[wrapped with (.+)\] \*/,ot=/,? & /,st=/[^\x00-\x2f\x3a-\x40\x5b-\x60\x7b-\x7f]+/g,at=/[()=,{}\[\]\/\s]/,lt=/\\(\\)?/g,ct=/\$\{([^\\}]*(?:\\.[^\\}]*)*)\}/g,ut=/\w*$/,ht=/^[-+]0x[0-9a-f]+$/i,pt=/^0b[01]+$/i,dt=/^\[object .+?Constructor\]$/,ft=/^0o[0-7]+$/i,gt=/^(?:0|[1-9]\d*)$/,mt=/[\xc0-\xd6\xd8-\xf6\xf8-\xff\u0100-\u017f]/g,vt=/($^)/,yt=/['\n\r\u2028\u2029\\]/g,bt="\\ud800-\\udfff",_t="\\u0300-\\u036f\\ufe20-\\ufe2f\\u20d0-\\u20ff",xt="\\u2700-\\u27bf",wt="a-z\\xdf-\\xf6\\xf8-\\xff",St="A-Z\\xc0-\\xd6\\xd8-\\xde",kt="\\ufe0e\\ufe0f",Ct="\\xac\\xb1\\xd7\\xf7\\x00-\\x2f\\x3a-\\x40\\x5b-\\x60\\x7b-\\xbf\\u2000-\\u206f \\t\\x0b\\f\\xa0\\ufeff\\n\\r\\u2028\\u2029\\u1680\\u180e\\u2000\\u2001\\u2002\\u2003\\u2004\\u2005\\u2006\\u2007\\u2008\\u2009\\u200a\\u202f\\u205f\\u3000",At="["+bt+"]",Ot="["+Ct+"]",Tt="["+_t+"]",Et="\\d+",Pt="["+xt+"]",Mt="["+wt+"]",Lt="[^"+bt+Ct+Et+xt+wt+St+"]",jt="\\ud83c[\\udffb-\\udfff]",Dt="[^"+bt+"]",$t="(?:\\ud83c[\\udde6-\\uddff]){2}",It="[\\ud800-\\udbff][\\udc00-\\udfff]",Rt="["+St+"]",Nt="\\u200d",Bt="(?:"+Mt+"|"+Lt+")",Ft="(?:"+Rt+"|"+Lt+")",zt="(?:['’](?:d|ll|m|re|s|t|ve))?",Vt="(?:['’](?:D|LL|M|RE|S|T|VE))?",qt="(?:"+Tt+"|"+jt+")?",Wt="["+kt+"]?",Ht=Wt+qt+"(?:"+Nt+"(?:"+[Dt,$t,It].join("|")+")"+Wt+qt+")*",Ut="(?:"+[Pt,$t,It].join("|")+")"+Ht,Gt="(?:"+[Dt+Tt+"?",Tt,$t,It,At].join("|")+")",Xt=RegExp("['’]","g"),Yt=RegExp(Tt,"g"),Kt=RegExp(jt+"(?="+jt+")|"+Gt+Ht,"g"),Zt=RegExp([Rt+"?"+Mt+"+"+zt+"(?="+[Ot,Rt,"$"].join("|")+")",Ft+"+"+Vt+"(?="+[Ot,Rt+Bt,"$"].join("|")+")",Rt+"?"+Bt+"+"+zt,Rt+"+"+Vt,"\\d*(?:1ST|2ND|3RD|(?![123])\\dTH)(?=\\b|[a-z_])","\\d*(?:1st|2nd|3rd|(?![123])\\dth)(?=\\b|[A-Z_])",Et,Ut].join("|"),"g"),Jt=RegExp("["+Nt+bt+_t+kt+"]"),Qt=/[a-z][A-Z]|[A-Z]{2}[a-z]|[0-9][a-zA-Z]|[a-zA-Z][0-9]|[^a-zA-Z0-9 ]/,te=["Array","Buffer","DataView","Date","Error","Float32Array","Float64Array","Function","Int8Array","Int16Array","Int32Array","Map","Math","Object","Promise","RegExp","Set","String","Symbol","TypeError","Uint8Array","Uint8ClampedArray","Uint16Array","Uint32Array","WeakMap","_","clearTimeout","isFinite","parseInt","setTimeout"],ee=-1,ne={};ne[M]=ne[L]=ne[j]=ne[D]=ne[$]=ne[I]=ne[R]=ne[N]=ne[B]=!0,ne[d]=ne[f]=ne[E]=ne[g]=ne[P]=ne[m]=ne[v]=ne[y]=ne[_]=ne[x]=ne[w]=ne[k]=ne[C]=ne[A]=ne[T]=!1;var re={};re[d]=re[f]=re[E]=re[P]=re[g]=re[m]=re[M]=re[L]=re[j]=re[D]=re[$]=re[_]=re[x]=re[w]=re[k]=re[C]=re[A]=re[O]=re[I]=re[R]=re[N]=re[B]=!0,re[v]=re[y]=re[T]=!1;var ie={"\\":"\\","'":"'","\n":"n","\r":"r","\u2028":"u2028","\u2029":"u2029"},oe=parseFloat,se=parseInt,ae="object"==typeof Lh&&Lh&&Lh.Object===Object&&Lh,le="object"==typeof self&&self&&self.Object===Object&&self,ce=ae||le||Function("return this")(),ue=e&&!e.nodeType&&e,he=ue&&t&&!t.nodeType&&t,pe=he&&he.exports===ue,de=pe&&ae.process,fe=function(){try{return he&&he.require&&he.require("util").types||de&&de.binding&&de.binding("util")}catch{}}(),ge=fe&&fe.isArrayBuffer,me=fe&&fe.isDate,ve=fe&&fe.isMap,ye=fe&&fe.isRegExp,be=fe&&fe.isSet,_e=fe&&fe.isTypedArray;function xe(t,e,n){switch(n.length){case 0:return t.call(e);case 1:return t.call(e,n[0]);case 2:return t.call(e,n[0],n[1]);case 3:return t.call(e,n[0],n[1],n[2])}return t.apply(e,n)}function we(t,e,n,r){for(var i=-1,o=null==t?0:t.length;++i<o;){var s=t[i];e(r,s,n(s),t)}return r}function Se(t,e){for(var n=-1,r=null==t?0:t.length;++n<r&&!1!==e(t[n],n,t););return t}function ke(t,e){for(var n=null==t?0:t.length;n--&&!1!==e(t[n],n,t););return t}function Ce(t,e){for(var n=-1,r=null==t?0:t.length;++n<r;)if(!e(t[n],n,t))return!1;return!0}function Ae(t,e){for(var n=-1,r=null==t?0:t.length,i=0,o=[];++n<r;){var s=t[n];e(s,n,t)&&(o[i++]=s)}return o}function Oe(t,e){return!(null==t||!t.length)&&Re(t,e,0)>-1}function Te(t,e,n){for(var r=-1,i=null==t?0:t.length;++r<i;)if(n(e,t[r]))return!0;return!1}function Ee(t,e){for(var n=-1,r=null==t?0:t.length,i=Array(r);++n<r;)i[n]=e(t[n],n,t);return i}function Pe(t,e){for(var n=-1,r=e.length,i=t.length;++n<r;)t[i+n]=e[n];return t}function Me(t,e,n,r){var i=-1,o=null==t?0:t.length;for(r&&o&&(n=t[++i]);++i<o;)n=e(n,t[i],i,t);return n}function Le(t,e,n,r){var i=null==t?0:t.length;for(r&&i&&(n=t[--i]);i--;)n=e(n,t[i],i,t);return n}function je(t,e){for(var n=-1,r=null==t?0:t.length;++n<r;)if(e(t[n],n,t))return!0;return!1}var De=ze("length");function $e(t,e,n){var r;return n(t,(function(t,n,i){if(e(t,n,i))return r=n,!1})),r}function Ie(t,e,n,r){for(var i=t.length,o=n+(r?1:-1);r?o--:++o<i;)if(e(t[o],o,t))return o;return-1}function Re(t,e,n){return e==e?function(t,e,n){for(var r=n-1,i=t.length;++r<i;)if(t[r]===e)return r;return-1}(t,e,n):Ie(t,Be,n)}function Ne(t,e,n,r){for(var i=n-1,o=t.length;++i<o;)if(r(t[i],e))return i;return-1}function Be(t){return t!=t}function Fe(t,e){var n=null==t?0:t.length;return n?We(t,e)/n:u}function ze(t){return function(e){return null==e?n:e[t]}}function Ve(t){return function(e){return null==t?n:t[e]}}function qe(t,e,n,r,i){return i(t,(function(t,i,o){n=r?(r=!1,t):e(n,t,i,o)})),n}function We(t,e){for(var r,i=-1,o=t.length;++i<o;){var s=e(t[i]);s!==n&&(r=r===n?s:r+s)}return r}function He(t,e){for(var n=-1,r=Array(t);++n<t;)r[n]=e(n);return r}function Ue(t){return t&&t.slice(0,cn(t)+1).replace(et,"")}function Ge(t){return function(e){return t(e)}}function Xe(t,e){return Ee(e,(function(e){return t[e]}))}function Ye(t,e){return t.has(e)}function Ke(t,e){for(var n=-1,r=t.length;++n<r&&Re(e,t[n],0)>-1;);return n}function Ze(t,e){for(var n=t.length;n--&&Re(e,t[n],0)>-1;);return n}var Je=Ve({À:"A",Á:"A",Â:"A",Ã:"A",Ä:"A",Å:"A",à:"a",á:"a",â:"a",ã:"a",ä:"a",å:"a",Ç:"C",ç:"c",Ð:"D",ð:"d",È:"E",É:"E",Ê:"E",Ë:"E",è:"e",é:"e",ê:"e",ë:"e",Ì:"I",Í:"I",Î:"I",Ï:"I",ì:"i",í:"i",î:"i",ï:"i",Ñ:"N",ñ:"n",Ò:"O",Ó:"O",Ô:"O",Õ:"O",Ö:"O",Ø:"O",ò:"o",ó:"o",ô:"o",õ:"o",ö:"o",ø:"o",Ù:"U",Ú:"U",Û:"U",Ü:"U",ù:"u",ú:"u",û:"u",ü:"u",Ý:"Y",ý:"y",ÿ:"y",Æ:"Ae",æ:"ae",Þ:"Th",þ:"th",ß:"ss",Ā:"A",Ă:"A",Ą:"A",ā:"a",ă:"a",ą:"a",Ć:"C",Ĉ:"C",Ċ:"C",Č:"C",ć:"c",ĉ:"c",ċ:"c",č:"c",Ď:"D",Đ:"D",ď:"d",đ:"d",Ē:"E",Ĕ:"E",Ė:"E",Ę:"E",Ě:"E",ē:"e",ĕ:"e",ė:"e",ę:"e",ě:"e",Ĝ:"G",Ğ:"G",Ġ:"G",Ģ:"G",ĝ:"g",ğ:"g",ġ:"g",ģ:"g",Ĥ:"H",Ħ:"H",ĥ:"h",ħ:"h",Ĩ:"I",Ī:"I",Ĭ:"I",Į:"I",İ:"I",ĩ:"i",ī:"i",ĭ:"i",į:"i",ı:"i",Ĵ:"J",ĵ:"j",Ķ:"K",ķ:"k",ĸ:"k",Ĺ:"L",Ļ:"L",Ľ:"L",Ŀ:"L",Ł:"L",ĺ:"l",ļ:"l",ľ:"l",ŀ:"l",ł:"l",Ń:"N",Ņ:"N",Ň:"N",Ŋ:"N",ń:"n",ņ:"n",ň:"n",ŋ:"n",Ō:"O",Ŏ:"O",Ő:"O",ō:"o",ŏ:"o",ő:"o",Ŕ:"R",Ŗ:"R",Ř:"R",ŕ:"r",ŗ:"r",ř:"r",Ś:"S",Ŝ:"S",Ş:"S",Š:"S",ś:"s",ŝ:"s",ş:"s",š:"s",Ţ:"T",Ť:"T",Ŧ:"T",ţ:"t",ť:"t",ŧ:"t",Ũ:"U",Ū:"U",Ŭ:"U",Ů:"U",Ű:"U",Ų:"U",ũ:"u",ū:"u",ŭ:"u",ů:"u",ű:"u",ų:"u",Ŵ:"W",ŵ:"w",Ŷ:"Y",ŷ:"y",Ÿ:"Y",Ź:"Z",Ż:"Z",Ž:"Z",ź:"z",ż:"z",ž:"z",Ĳ:"IJ",ĳ:"ij",Œ:"Oe",œ:"oe",ŉ:"'n",ſ:"s"}),Qe=Ve({"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"});function tn(t){return"\\"+ie[t]}function en(t){return Jt.test(t)}function nn(t){var e=-1,n=Array(t.size);return t.forEach((function(t,r){n[++e]=[r,t]})),n}function rn(t,e){return function(n){return t(e(n))}}function on(t,e){for(var n=-1,r=t.length,i=0,s=[];++n<r;){var a=t[n];(a===e||a===o)&&(t[n]=o,s[i++]=n)}return s}function sn(t){var e=-1,n=Array(t.size);return t.forEach((function(t){n[++e]=t})),n}function an(t){return en(t)?function(t){for(var e=Kt.lastIndex=0;Kt.test(t);)++e;return e}(t):De(t)}function ln(t){return en(t)?function(t){return t.match(Kt)||[]}(t):function(t){return t.split("")}(t)}function cn(t){for(var e=t.length;e--&&nt.test(t.charAt(e)););return e}var un=Ve({"&amp;":"&","&lt;":"<","&gt;":">","&quot;":'"',"&#39;":"'"}),hn=function t(e){var nt,bt=(e=null==e?ce:hn.defaults(ce.Object(),e,hn.pick(ce,te))).Array,_t=e.Date,xt=e.Error,wt=e.Function,St=e.Math,kt=e.Object,Ct=e.RegExp,At=e.String,Ot=e.TypeError,Tt=bt.prototype,Et=wt.prototype,Pt=kt.prototype,Mt=e["__core-js_shared__"],Lt=Et.toString,jt=Pt.hasOwnProperty,Dt=0,$t=(nt=/[^.]+$/.exec(Mt&&Mt.keys&&Mt.keys.IE_PROTO||""))?"Symbol(src)_1."+nt:"",It=Pt.toString,Rt=Lt.call(kt),Nt=ce._,Bt=Ct("^"+Lt.call(jt).replace(Q,"\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g,"$1.*?")+"$"),Ft=pe?e.Buffer:n,zt=e.Symbol,Vt=e.Uint8Array,qt=Ft?Ft.allocUnsafe:n,Wt=rn(kt.getPrototypeOf,kt),Ht=kt.create,Ut=Pt.propertyIsEnumerable,Gt=Tt.splice,Kt=zt?zt.isConcatSpreadable:n,Jt=zt?zt.iterator:n,ie=zt?zt.toStringTag:n,ae=function(){try{var t=ao(kt,"defineProperty");return t({},"",{}),t}catch{}}(),le=e.clearTimeout!==ce.clearTimeout&&e.clearTimeout,ue=_t&&_t.now!==ce.Date.now&&_t.now,he=e.setTimeout!==ce.setTimeout&&e.setTimeout,de=St.ceil,fe=St.floor,De=kt.getOwnPropertySymbols,Ve=Ft?Ft.isBuffer:n,pn=e.isFinite,dn=Tt.join,fn=rn(kt.keys,kt),gn=St.max,mn=St.min,vn=_t.now,yn=e.parseInt,bn=St.random,_n=Tt.reverse,xn=ao(e,"DataView"),wn=ao(e,"Map"),Sn=ao(e,"Promise"),kn=ao(e,"Set"),Cn=ao(e,"WeakMap"),An=ao(kt,"create"),On=Cn&&new Cn,Tn={},En=Io(xn),Pn=Io(wn),Mn=Io(Sn),Ln=Io(kn),jn=Io(Cn),Dn=zt?zt.prototype:n,$n=Dn?Dn.valueOf:n,In=Dn?Dn.toString:n;function Rn(t){if(Qs(t)&&!Vs(t)&&!(t instanceof zn)){if(t instanceof Fn)return t;if(jt.call(t,"__wrapped__"))return Ro(t)}return new Fn(t)}var Nn=function(){function t(){}return function(e){if(!Js(e))return{};if(Ht)return Ht(e);t.prototype=e;var r=new t;return t.prototype=n,r}}();function Bn(){}function Fn(t,e){this.__wrapped__=t,this.__actions__=[],this.__chain__=!!e,this.__index__=0,this.__values__=n}function zn(t){this.__wrapped__=t,this.__actions__=[],this.__dir__=1,this.__filtered__=!1,this.__iteratees__=[],this.__takeCount__=h,this.__views__=[]}function Vn(t){var e=-1,n=null==t?0:t.length;for(this.clear();++e<n;){var r=t[e];this.set(r[0],r[1])}}function qn(t){var e=-1,n=null==t?0:t.length;for(this.clear();++e<n;){var r=t[e];this.set(r[0],r[1])}}function Wn(t){var e=-1,n=null==t?0:t.length;for(this.clear();++e<n;){var r=t[e];this.set(r[0],r[1])}}function Hn(t){var e=-1,n=null==t?0:t.length;for(this.__data__=new Wn;++e<n;)this.add(t[e])}function Un(t){var e=this.__data__=new qn(t);this.size=e.size}function Gn(t,e){var n=Vs(t),r=!n&&zs(t),i=!n&&!r&&Us(t),o=!n&&!r&&!i&&aa(t),s=n||r||i||o,a=s?He(t.length,At):[],l=a.length;for(var c in t)(e||jt.call(t,c))&&(!s||!("length"==c||i&&("offset"==c||"parent"==c)||o&&("buffer"==c||"byteLength"==c||"byteOffset"==c)||go(c,l)))&&a.push(c);return a}function Xn(t){var e=t.length;return e?t[Wr(0,e-1)]:n}function Yn(t,e){return Mo(Ci(t),ir(e,0,t.length))}function Kn(t){return Mo(Ci(t))}function Zn(t,e,r){(r!==n&&!Ns(t[e],r)||r===n&&!(e in t))&&nr(t,e,r)}function Jn(t,e,r){var i=t[e];(!jt.call(t,e)||!Ns(i,r)||r===n&&!(e in t))&&nr(t,e,r)}function Qn(t,e){for(var n=t.length;n--;)if(Ns(t[n][0],e))return n;return-1}function tr(t,e,n,r){return cr(t,(function(t,i,o){e(r,t,n(t),o)})),r}function er(t,e){return t&&Ai(e,Ea(e),t)}function nr(t,e,n){"__proto__"==e&&ae?ae(t,e,{configurable:!0,enumerable:!0,value:n,writable:!0}):t[e]=n}function rr(t,e){for(var r=-1,i=e.length,o=bt(i),s=null==t;++r<i;)o[r]=s?n:ka(t,e[r]);return o}function ir(t,e,r){return t==t&&(r!==n&&(t=t<=r?t:r),e!==n&&(t=t>=e?t:e)),t}function or(t,e,r,i,o,s){var a,l=1&e,c=2&e,u=4&e;if(r&&(a=o?r(t,i,o,s):r(t)),a!==n)return a;if(!Js(t))return t;var h=Vs(t);if(h){if(a=function(t){var e=t.length,n=new t.constructor(e);return e&&"string"==typeof t[0]&&jt.call(t,"index")&&(n.index=t.index,n.input=t.input),n}(t),!l)return Ci(t,a)}else{var p=uo(t),f=p==y||p==b;if(Us(t))return bi(t,l);if(p==w||p==d||f&&!o){if(a=c||f?{}:po(t),!l)return c?function(t,e){return Ai(t,co(t),e)}(t,function(t,e){return t&&Ai(e,Pa(e),t)}(a,t)):function(t,e){return Ai(t,lo(t),e)}(t,er(a,t))}else{if(!re[p])return o?t:{};a=function(t,e,n){var r=t.constructor;switch(e){case E:return _i(t);case g:case m:return new r(+t);case P:return function(t,e){var n=e?_i(t.buffer):t.buffer;return new t.constructor(n,t.byteOffset,t.byteLength)}(t,n);case M:case L:case j:case D:case $:case I:case R:case N:case B:return xi(t,n);case _:return new r;case x:case A:return new r(t);case k:return function(t){var e=new t.constructor(t.source,ut.exec(t));return e.lastIndex=t.lastIndex,e}(t);case C:return new r;case O:return function(t){return $n?kt($n.call(t)):{}}(t)}}(t,p,l)}}s||(s=new Un);var v=s.get(t);if(v)return v;s.set(t,a),ia(t)?t.forEach((function(n){a.add(or(n,e,r,n,t,s))})):ta(t)&&t.forEach((function(n,i){a.set(i,or(n,e,r,i,t,s))}));var S=h?n:(u?c?to:Qi:c?Pa:Ea)(t);return Se(S||t,(function(n,i){S&&(n=t[i=n]),Jn(a,i,or(n,e,r,i,t,s))})),a}function sr(t,e,r){var i=r.length;if(null==t)return!i;for(t=kt(t);i--;){var o=r[i],s=e[o],a=t[o];if(a===n&&!(o in t)||!s(a))return!1}return!0}function ar(t,e,i){if("function"!=typeof t)throw new Ot(r);return Oo((function(){t.apply(n,i)}),e)}function lr(t,e,n,r){var i=-1,o=Oe,s=!0,a=t.length,l=[],c=e.length;if(!a)return l;n&&(e=Ee(e,Ge(n))),r?(o=Te,s=!1):e.length>=200&&(o=Ye,s=!1,e=new Hn(e));t:for(;++i<a;){var u=t[i],h=null==n?u:n(u);if(u=r||0!==u?u:0,s&&h==h){for(var p=c;p--;)if(e[p]===h)continue t;l.push(u)}else o(e,h,r)||l.push(u)}return l}Rn.templateSettings={escape:G,evaluate:X,interpolate:Y,variable:"",imports:{_:Rn}},Rn.prototype=Bn.prototype,Rn.prototype.constructor=Rn,Fn.prototype=Nn(Bn.prototype),Fn.prototype.constructor=Fn,zn.prototype=Nn(Bn.prototype),zn.prototype.constructor=zn,Vn.prototype.clear=function(){this.__data__=An?An(null):{},this.size=0},Vn.prototype.delete=function(t){var e=this.has(t)&&delete this.__data__[t];return this.size-=e?1:0,e},Vn.prototype.get=function(t){var e=this.__data__;if(An){var r=e[t];return r===i?n:r}return jt.call(e,t)?e[t]:n},Vn.prototype.has=function(t){var e=this.__data__;return An?e[t]!==n:jt.call(e,t)},Vn.prototype.set=function(t,e){var r=this.__data__;return this.size+=this.has(t)?0:1,r[t]=An&&e===n?i:e,this},qn.prototype.clear=function(){this.__data__=[],this.size=0},qn.prototype.delete=function(t){var e=this.__data__,n=Qn(e,t);return!(n<0||(n==e.length-1?e.pop():Gt.call(e,n,1),--this.size,0))},qn.prototype.get=function(t){var e=this.__data__,r=Qn(e,t);return r<0?n:e[r][1]},qn.prototype.has=function(t){return Qn(this.__data__,t)>-1},qn.prototype.set=function(t,e){var n=this.__data__,r=Qn(n,t);return r<0?(++this.size,n.push([t,e])):n[r][1]=e,this},Wn.prototype.clear=function(){this.size=0,this.__data__={hash:new Vn,map:new(wn||qn),string:new Vn}},Wn.prototype.delete=function(t){var e=oo(this,t).delete(t);return this.size-=e?1:0,e},Wn.prototype.get=function(t){return oo(this,t).get(t)},Wn.prototype.has=function(t){return oo(this,t).has(t)},Wn.prototype.set=function(t,e){var n=oo(this,t),r=n.size;return n.set(t,e),this.size+=n.size==r?0:1,this},Hn.prototype.add=Hn.prototype.push=function(t){return this.__data__.set(t,i),this},Hn.prototype.has=function(t){return this.__data__.has(t)},Un.prototype.clear=function(){this.__data__=new qn,this.size=0},Un.prototype.delete=function(t){var e=this.__data__,n=e.delete(t);return this.size=e.size,n},Un.prototype.get=function(t){return this.__data__.get(t)},Un.prototype.has=function(t){return this.__data__.has(t)},Un.prototype.set=function(t,e){var n=this.__data__;if(n instanceof qn){var r=n.__data__;if(!wn||r.length<199)return r.push([t,e]),this.size=++n.size,this;n=this.__data__=new Wn(r)}return n.set(t,e),this.size=n.size,this};var cr=Ei(vr),ur=Ei(yr,!0);function hr(t,e){var n=!0;return cr(t,(function(t,r,i){return n=!!e(t,r,i)})),n}function pr(t,e,r){for(var i=-1,o=t.length;++i<o;){var s=t[i],a=e(s);if(null!=a&&(l===n?a==a&&!sa(a):r(a,l)))var l=a,c=s}return c}function dr(t,e){var n=[];return cr(t,(function(t,r,i){e(t,r,i)&&n.push(t)})),n}function fr(t,e,n,r,i){var o=-1,s=t.length;for(n||(n=fo),i||(i=[]);++o<s;){var a=t[o];e>0&&n(a)?e>1?fr(a,e-1,n,r,i):Pe(i,a):r||(i[i.length]=a)}return i}var gr=Pi(),mr=Pi(!0);function vr(t,e){return t&&gr(t,e,Ea)}function yr(t,e){return t&&mr(t,e,Ea)}function br(t,e){return Ae(e,(function(e){return Ys(t[e])}))}function _r(t,e){for(var r=0,i=(e=gi(e,t)).length;null!=t&&r<i;)t=t[$o(e[r++])];return r&&r==i?t:n}function xr(t,e,n){var r=e(t);return Vs(t)?r:Pe(r,n(t))}function wr(t){return null==t?t===n?"[object Undefined]":"[object Null]":ie&&ie in kt(t)?function(t){var e=jt.call(t,ie),r=t[ie];try{t[ie]=n;var i=!0}catch{}var o=It.call(t);return i&&(e?t[ie]=r:delete t[ie]),o}(t):function(t){return It.call(t)}(t)}function Sr(t,e){return t>e}function kr(t,e){return null!=t&&jt.call(t,e)}function Cr(t,e){return null!=t&&e in kt(t)}function Ar(t,e,r){for(var i=r?Te:Oe,o=t[0].length,s=t.length,a=s,l=bt(s),c=1/0,u=[];a--;){var h=t[a];a&&e&&(h=Ee(h,Ge(e))),c=mn(h.length,c),l[a]=!r&&(e||o>=120&&h.length>=120)?new Hn(a&&h):n}h=t[0];var p=-1,d=l[0];t:for(;++p<o&&u.length<c;){var f=h[p],g=e?e(f):f;if(f=r||0!==f?f:0,!(d?Ye(d,g):i(u,g,r))){for(a=s;--a;){var m=l[a];if(!(m?Ye(m,g):i(t[a],g,r)))continue t}d&&d.push(g),u.push(f)}}return u}function Or(t,e,r){var i=null==(t=ko(t,e=gi(e,t)))?t:t[$o(Xo(e))];return null==i?n:xe(i,t,r)}function Tr(t){return Qs(t)&&wr(t)==d}function Er(t,e,r,i,o){return t===e||(null==t||null==e||!Qs(t)&&!Qs(e)?t!=t&&e!=e:function(t,e,r,i,o,s){var a=Vs(t),l=Vs(e),c=a?f:uo(t),u=l?f:uo(e),h=(c=c==d?w:c)==w,p=(u=u==d?w:u)==w,y=c==u;if(y&&Us(t)){if(!Us(e))return!1;a=!0,h=!1}if(y&&!h)return s||(s=new Un),a||aa(t)?Zi(t,e,r,i,o,s):function(t,e,n,r,i,o,s){switch(n){case P:if(t.byteLength!=e.byteLength||t.byteOffset!=e.byteOffset)return!1;t=t.buffer,e=e.buffer;case E:return!(t.byteLength!=e.byteLength||!o(new Vt(t),new Vt(e)));case g:case m:case x:return Ns(+t,+e);case v:return t.name==e.name&&t.message==e.message;case k:case A:return t==e+"";case _:var a=nn;case C:var l=1&r;if(a||(a=sn),t.size!=e.size&&!l)return!1;var c=s.get(t);if(c)return c==e;r|=2,s.set(t,e);var u=Zi(a(t),a(e),r,i,o,s);return s.delete(t),u;case O:if($n)return $n.call(t)==$n.call(e)}return!1}(t,e,c,r,i,o,s);if(!(1&r)){var b=h&&jt.call(t,"__wrapped__"),S=p&&jt.call(e,"__wrapped__");if(b||S){var T=b?t.value():t,M=S?e.value():e;return s||(s=new Un),o(T,M,r,i,s)}}return!!y&&(s||(s=new Un),function(t,e,r,i,o,s){var a=1&r,l=Qi(t),c=l.length;if(c!=Qi(e).length&&!a)return!1;for(var u=c;u--;){var h=l[u];if(!(a?h in e:jt.call(e,h)))return!1}var p=s.get(t),d=s.get(e);if(p&&d)return p==e&&d==t;var f=!0;s.set(t,e),s.set(e,t);for(var g=a;++u<c;){var m=t[h=l[u]],v=e[h];if(i)var y=a?i(v,m,h,e,t,s):i(m,v,h,t,e,s);if(!(y===n?m===v||o(m,v,r,i,s):y)){f=!1;break}g||(g="constructor"==h)}if(f&&!g){var b=t.constructor,_=e.constructor;b!=_&&"constructor"in t&&"constructor"in e&&!("function"==typeof b&&b instanceof b&&"function"==typeof _&&_ instanceof _)&&(f=!1)}return s.delete(t),s.delete(e),f}(t,e,r,i,o,s))}(t,e,r,i,Er,o))}function Pr(t,e,r,i){var o=r.length,s=o,a=!i;if(null==t)return!s;for(t=kt(t);o--;){var l=r[o];if(a&&l[2]?l[1]!==t[l[0]]:!(l[0]in t))return!1}for(;++o<s;){var c=(l=r[o])[0],u=t[c],h=l[1];if(a&&l[2]){if(u===n&&!(c in t))return!1}else{var p=new Un;if(i)var d=i(u,h,c,t,e,p);if(!(d===n?Er(h,u,3,i,p):d))return!1}}return!0}function Mr(t){return!(!Js(t)||function(t){return!!$t&&$t in t}(t))&&(Ys(t)?Bt:dt).test(Io(t))}function Lr(t){return"function"==typeof t?t:null==t?el:"object"==typeof t?Vs(t)?Rr(t[0],t[1]):Ir(t):ul(t)}function jr(t){if(!_o(t))return fn(t);var e=[];for(var n in kt(t))jt.call(t,n)&&"constructor"!=n&&e.push(n);return e}function Dr(t,e){return t<e}function $r(t,e){var n=-1,r=Ws(t)?bt(t.length):[];return cr(t,(function(t,i,o){r[++n]=e(t,i,o)})),r}function Ir(t){var e=so(t);return 1==e.length&&e[0][2]?wo(e[0][0],e[0][1]):function(n){return n===t||Pr(n,t,e)}}function Rr(t,e){return vo(t)&&xo(e)?wo($o(t),e):function(r){var i=ka(r,t);return i===n&&i===e?Ca(r,t):Er(e,i,3)}}function Nr(t,e,r,i,o){t!==e&&gr(e,(function(s,a){if(o||(o=new Un),Js(s))!function(t,e,r,i,o,s,a){var l=Co(t,r),c=Co(e,r),u=a.get(c);if(u)Zn(t,r,u);else{var h=s?s(l,c,r+"",t,e,a):n,p=h===n;if(p){var d=Vs(c),f=!d&&Us(c),g=!d&&!f&&aa(c);h=c,d||f||g?Vs(l)?h=l:Hs(l)?h=Ci(l):f?(p=!1,h=bi(c,!0)):g?(p=!1,h=xi(c,!0)):h=[]:na(c)||zs(c)?(h=l,zs(l)?h=ga(l):(!Js(l)||Ys(l))&&(h=po(c))):p=!1}p&&(a.set(c,h),o(h,c,i,s,a),a.delete(c)),Zn(t,r,h)}}(t,e,a,r,Nr,i,o);else{var l=i?i(Co(t,a),s,a+"",t,e,o):n;l===n&&(l=s),Zn(t,a,l)}}),Pa)}function Br(t,e){var r=t.length;if(r)return go(e+=e<0?r:0,r)?t[e]:n}function Fr(t,e,n){e=e.length?Ee(e,(function(t){return Vs(t)?function(e){return _r(e,1===t.length?t[0]:t)}:t})):[el];var r=-1;return e=Ee(e,Ge(io())),function(t,e){var r=t.length;for(t.sort((function(t,e){return function(t,e,n){for(var r=-1,i=t.criteria,o=e.criteria,s=i.length,a=n.length;++r<s;){var l=wi(i[r],o[r]);if(l)return r>=a?l:l*("desc"==n[r]?-1:1)}return t.index-e.index}(t,e,n)}));r--;)t[r]=t[r].value;return t}($r(t,(function(t,n,i){return{criteria:Ee(e,(function(e){return e(t)})),index:++r,value:t}})))}function zr(t,e,n){for(var r=-1,i=e.length,o={};++r<i;){var s=e[r],a=_r(t,s);n(a,s)&&Yr(o,gi(s,t),a)}return o}function Vr(t,e,n,r){var i=r?Ne:Re,o=-1,s=e.length,a=t;for(t===e&&(e=Ci(e)),n&&(a=Ee(t,Ge(n)));++o<s;)for(var l=0,c=e[o],u=n?n(c):c;(l=i(a,u,l,r))>-1;)a!==t&&Gt.call(a,l,1),Gt.call(t,l,1);return t}function qr(t,e){for(var n=t?e.length:0,r=n-1;n--;){var i=e[n];if(n==r||i!==o){var o=i;go(i)?Gt.call(t,i,1):ai(t,i)}}return t}function Wr(t,e){return t+fe(bn()*(e-t+1))}function Hr(t,e){var n="";if(!t||e<1||e>c)return n;do{e%2&&(n+=t),(e=fe(e/2))&&(t+=t)}while(e);return n}function Ur(t,e){return To(So(t,e,el),t+"")}function Gr(t){return Xn(Na(t))}function Xr(t,e){var n=Na(t);return Mo(n,ir(e,0,n.length))}function Yr(t,e,r,i){if(!Js(t))return t;for(var o=-1,s=(e=gi(e,t)).length,a=s-1,l=t;null!=l&&++o<s;){var c=$o(e[o]),u=r;if("__proto__"===c||"constructor"===c||"prototype"===c)return t;if(o!=a){var h=l[c];(u=i?i(h,c,l):n)===n&&(u=Js(h)?h:go(e[o+1])?[]:{})}Jn(l,c,u),l=l[c]}return t}var Kr=On?function(t,e){return On.set(t,e),t}:el,Zr=ae?function(t,e){return ae(t,"toString",{configurable:!0,enumerable:!1,value:Ja(e),writable:!0})}:el;function Jr(t){return Mo(Na(t))}function Qr(t,e,n){var r=-1,i=t.length;e<0&&(e=-e>i?0:i+e),(n=n>i?i:n)<0&&(n+=i),i=e>n?0:n-e>>>0,e>>>=0;for(var o=bt(i);++r<i;)o[r]=t[r+e];return o}function ti(t,e){var n;return cr(t,(function(t,r,i){return!(n=e(t,r,i))})),!!n}function ei(t,e,n){var r=0,i=null==t?r:t.length;if("number"==typeof e&&e==e&&i<=2147483647){for(;r<i;){var o=r+i>>>1,s=t[o];null!==s&&!sa(s)&&(n?s<=e:s<e)?r=o+1:i=o}return i}return ni(t,e,el,n)}function ni(t,e,r,i){var o=0,s=null==t?0:t.length;if(0===s)return 0;for(var a=(e=r(e))!=e,l=null===e,c=sa(e),u=e===n;o<s;){var h=fe((o+s)/2),p=r(t[h]),d=p!==n,f=null===p,g=p==p,m=sa(p);if(a)var v=i||g;else v=u?g&&(i||d):l?g&&d&&(i||!f):c?g&&d&&!f&&(i||!m):!f&&!m&&(i?p<=e:p<e);v?o=h+1:s=h}return mn(s,4294967294)}function ri(t,e){for(var n=-1,r=t.length,i=0,o=[];++n<r;){var s=t[n],a=e?e(s):s;if(!n||!Ns(a,l)){var l=a;o[i++]=0===s?0:s}}return o}function ii(t){return"number"==typeof t?t:sa(t)?u:+t}function oi(t){if("string"==typeof t)return t;if(Vs(t))return Ee(t,oi)+"";if(sa(t))return In?In.call(t):"";var e=t+"";return"0"==e&&1/t==-l?"-0":e}function si(t,e,n){var r=-1,i=Oe,o=t.length,s=!0,a=[],l=a;if(n)s=!1,i=Te;else if(o>=200){var c=e?null:Hi(t);if(c)return sn(c);s=!1,i=Ye,l=new Hn}else l=e?[]:a;t:for(;++r<o;){var u=t[r],h=e?e(u):u;if(u=n||0!==u?u:0,s&&h==h){for(var p=l.length;p--;)if(l[p]===h)continue t;e&&l.push(h),a.push(u)}else i(l,h,n)||(l!==a&&l.push(h),a.push(u))}return a}function ai(t,e){return null==(t=ko(t,e=gi(e,t)))||delete t[$o(Xo(e))]}function li(t,e,n,r){return Yr(t,e,n(_r(t,e)),r)}function ci(t,e,n,r){for(var i=t.length,o=r?i:-1;(r?o--:++o<i)&&e(t[o],o,t););return n?Qr(t,r?0:o,r?o+1:i):Qr(t,r?o+1:0,r?i:o)}function ui(t,e){var n=t;return n instanceof zn&&(n=n.value()),Me(e,(function(t,e){return e.func.apply(e.thisArg,Pe([t],e.args))}),n)}function hi(t,e,n){var r=t.length;if(r<2)return r?si(t[0]):[];for(var i=-1,o=bt(r);++i<r;)for(var s=t[i],a=-1;++a<r;)a!=i&&(o[i]=lr(o[i]||s,t[a],e,n));return si(fr(o,1),e,n)}function pi(t,e,r){for(var i=-1,o=t.length,s=e.length,a={};++i<o;){var l=i<s?e[i]:n;r(a,t[i],l)}return a}function di(t){return Hs(t)?t:[]}function fi(t){return"function"==typeof t?t:el}function gi(t,e){return Vs(t)?t:vo(t,e)?[t]:Do(ma(t))}var mi=Ur;function vi(t,e,r){var i=t.length;return r=r===n?i:r,!e&&r>=i?t:Qr(t,e,r)}var yi=le||function(t){return ce.clearTimeout(t)};function bi(t,e){if(e)return t.slice();var n=t.length,r=qt?qt(n):new t.constructor(n);return t.copy(r),r}function _i(t){var e=new t.constructor(t.byteLength);return new Vt(e).set(new Vt(t)),e}function xi(t,e){var n=e?_i(t.buffer):t.buffer;return new t.constructor(n,t.byteOffset,t.length)}function wi(t,e){if(t!==e){var r=t!==n,i=null===t,o=t==t,s=sa(t),a=e!==n,l=null===e,c=e==e,u=sa(e);if(!l&&!u&&!s&&t>e||s&&a&&c&&!l&&!u||i&&a&&c||!r&&c||!o)return 1;if(!i&&!s&&!u&&t<e||u&&r&&o&&!i&&!s||l&&r&&o||!a&&o||!c)return-1}return 0}function Si(t,e,n,r){for(var i=-1,o=t.length,s=n.length,a=-1,l=e.length,c=gn(o-s,0),u=bt(l+c),h=!r;++a<l;)u[a]=e[a];for(;++i<s;)(h||i<o)&&(u[n[i]]=t[i]);for(;c--;)u[a++]=t[i++];return u}function ki(t,e,n,r){for(var i=-1,o=t.length,s=-1,a=n.length,l=-1,c=e.length,u=gn(o-a,0),h=bt(u+c),p=!r;++i<u;)h[i]=t[i];for(var d=i;++l<c;)h[d+l]=e[l];for(;++s<a;)(p||i<o)&&(h[d+n[s]]=t[i++]);return h}function Ci(t,e){var n=-1,r=t.length;for(e||(e=bt(r));++n<r;)e[n]=t[n];return e}function Ai(t,e,r,i){var o=!r;r||(r={});for(var s=-1,a=e.length;++s<a;){var l=e[s],c=i?i(r[l],t[l],l,r,t):n;c===n&&(c=t[l]),o?nr(r,l,c):Jn(r,l,c)}return r}function Oi(t,e){return function(n,r){var i=Vs(n)?we:tr,o=e?e():{};return i(n,t,io(r,2),o)}}function Ti(t){return Ur((function(e,r){var i=-1,o=r.length,s=o>1?r[o-1]:n,a=o>2?r[2]:n;for(s=t.length>3&&"function"==typeof s?(o--,s):n,a&&mo(r[0],r[1],a)&&(s=o<3?n:s,o=1),e=kt(e);++i<o;){var l=r[i];l&&t(e,l,i,s)}return e}))}function Ei(t,e){return function(n,r){if(null==n)return n;if(!Ws(n))return t(n,r);for(var i=n.length,o=e?i:-1,s=kt(n);(e?o--:++o<i)&&!1!==r(s[o],o,s););return n}}function Pi(t){return function(e,n,r){for(var i=-1,o=kt(e),s=r(e),a=s.length;a--;){var l=s[t?a:++i];if(!1===n(o[l],l,o))break}return e}}function Mi(t){return function(e){var r=en(e=ma(e))?ln(e):n,i=r?r[0]:e.charAt(0),o=r?vi(r,1).join(""):e.slice(1);return i[t]()+o}}function Li(t){return function(e){return Me(Ya(za(e).replace(Xt,"")),t,"")}}function ji(t){return function(){var e=arguments;switch(e.length){case 0:return new t;case 1:return new t(e[0]);case 2:return new t(e[0],e[1]);case 3:return new t(e[0],e[1],e[2]);case 4:return new t(e[0],e[1],e[2],e[3]);case 5:return new t(e[0],e[1],e[2],e[3],e[4]);case 6:return new t(e[0],e[1],e[2],e[3],e[4],e[5]);case 7:return new t(e[0],e[1],e[2],e[3],e[4],e[5],e[6])}var n=Nn(t.prototype),r=t.apply(n,e);return Js(r)?r:n}}function Di(t){return function(e,r,i){var o=kt(e);if(!Ws(e)){var s=io(r,3);e=Ea(e),r=function(t){return s(o[t],t,o)}}var a=t(e,r,i);return a>-1?o[s?e[a]:a]:n}}function $i(t){return Ji((function(e){var i=e.length,o=i,s=Fn.prototype.thru;for(t&&e.reverse();o--;){var a=e[o];if("function"!=typeof a)throw new Ot(r);if(s&&!l&&"wrapper"==no(a))var l=new Fn([],!0)}for(o=l?o:i;++o<i;){var c=no(a=e[o]),u="wrapper"==c?eo(a):n;l=u&&yo(u[0])&&424==u[1]&&!u[4].length&&1==u[9]?l[no(u[0])].apply(l,u[3]):1==a.length&&yo(a)?l[c]():l.thru(a)}return function(){var t=arguments,n=t[0];if(l&&1==t.length&&Vs(n))return l.plant(n).value();for(var r=0,o=i?e[r].apply(this,t):n;++r<i;)o=e[r].call(this,o);return o}}))}function Ii(t,e,r,i,o,s,l,c,u,h){var p=e&a,d=1&e,f=2&e,g=24&e,m=512&e,v=f?n:ji(t);return function a(){for(var y=arguments.length,b=bt(y),_=y;_--;)b[_]=arguments[_];if(g)var x=ro(a),w=function(t,e){for(var n=t.length,r=0;n--;)t[n]===e&&++r;return r}(b,x);if(i&&(b=Si(b,i,o,g)),s&&(b=ki(b,s,l,g)),y-=w,g&&y<h){var S=on(b,x);return qi(t,e,Ii,a.placeholder,r,b,S,c,u,h-y)}var k=d?r:this,C=f?k[t]:t;return y=b.length,c?b=function(t,e){for(var r=t.length,i=mn(e.length,r),o=Ci(t);i--;){var s=e[i];t[i]=go(s,r)?o[s]:n}return t}(b,c):m&&y>1&&b.reverse(),p&&u<y&&(b.length=u),this&&this!==ce&&this instanceof a&&(C=v||ji(C)),C.apply(k,b)}}function Ri(t,e){return function(n,r){return function(t,e,n,r){return vr(t,(function(t,i,o){e(r,n(t),i,o)})),r}(n,t,e(r),{})}}function Ni(t,e){return function(r,i){var o;if(r===n&&i===n)return e;if(r!==n&&(o=r),i!==n){if(o===n)return i;"string"==typeof r||"string"==typeof i?(r=oi(r),i=oi(i)):(r=ii(r),i=ii(i)),o=t(r,i)}return o}}function Bi(t){return Ji((function(e){return e=Ee(e,Ge(io())),Ur((function(n){var r=this;return t(e,(function(t){return xe(t,r,n)}))}))}))}function Fi(t,e){var r=(e=e===n?" ":oi(e)).length;if(r<2)return r?Hr(e,t):e;var i=Hr(e,de(t/an(e)));return en(e)?vi(ln(i),0,t).join(""):i.slice(0,t)}function zi(t){return function(e,r,i){return i&&"number"!=typeof i&&mo(e,r,i)&&(r=i=n),e=ha(e),r===n?(r=e,e=0):r=ha(r),function(t,e,n,r){for(var i=-1,o=gn(de((e-t)/(n||1)),0),s=bt(o);o--;)s[r?o:++i]=t,t+=n;return s}(e,r,i=i===n?e<r?1:-1:ha(i),t)}}function Vi(t){return function(e,n){return"string"==typeof e&&"string"==typeof n||(e=fa(e),n=fa(n)),t(e,n)}}function qi(t,e,r,i,o,a,l,c,u,h){var p=8&e;e|=p?s:64,4&(e&=~(p?64:s))||(e&=-4);var d=[t,e,o,p?a:n,p?l:n,p?n:a,p?n:l,c,u,h],f=r.apply(n,d);return yo(t)&&Ao(f,d),f.placeholder=i,Eo(f,t,e)}function Wi(t){var e=St[t];return function(t,n){if(t=fa(t),(n=null==n?0:mn(pa(n),292))&&pn(t)){var r=(ma(t)+"e").split("e");return+((r=(ma(e(r[0]+"e"+(+r[1]+n)))+"e").split("e"))[0]+"e"+(+r[1]-n))}return e(t)}}var Hi=kn&&1/sn(new kn([,-0]))[1]==l?function(t){return new kn(t)}:sl;function Ui(t){return function(e){var n=uo(e);return n==_?nn(e):n==C?function(t){var e=-1,n=Array(t.size);return t.forEach((function(t){n[++e]=[t,t]})),n}(e):function(t,e){return Ee(e,(function(e){return[e,t[e]]}))}(e,t(e))}}function Gi(t,e,i,l,c,u,h,p){var d=2&e;if(!d&&"function"!=typeof t)throw new Ot(r);var f=l?l.length:0;if(f||(e&=-97,l=c=n),h=h===n?h:gn(pa(h),0),p=p===n?p:pa(p),f-=c?c.length:0,64&e){var g=l,m=c;l=c=n}var v=d?n:eo(t),y=[t,e,i,l,c,g,m,u,h,p];if(v&&function(t,e){var n=t[1],r=e[1],i=n|r,s=i<131,l=r==a&&8==n||r==a&&256==n&&t[7].length<=e[8]||384==r&&e[7].length<=e[8]&&8==n;if(!s&&!l)return t;1&r&&(t[2]=e[2],i|=1&n?0:4);var c=e[3];if(c){var u=t[3];t[3]=u?Si(u,c,e[4]):c,t[4]=u?on(t[3],o):e[4]}(c=e[5])&&(u=t[5],t[5]=u?ki(u,c,e[6]):c,t[6]=u?on(t[5],o):e[6]),(c=e[7])&&(t[7]=c),r&a&&(t[8]=null==t[8]?e[8]:mn(t[8],e[8])),null==t[9]&&(t[9]=e[9]),t[0]=e[0],t[1]=i}(y,v),t=y[0],e=y[1],i=y[2],l=y[3],c=y[4],!(p=y[9]=y[9]===n?d?0:t.length:gn(y[9]-f,0))&&24&e&&(e&=-25),e&&1!=e)b=8==e||16==e?function(t,e,r){var i=ji(t);return function o(){for(var s=arguments.length,a=bt(s),l=s,c=ro(o);l--;)a[l]=arguments[l];var u=s<3&&a[0]!==c&&a[s-1]!==c?[]:on(a,c);return(s-=u.length)<r?qi(t,e,Ii,o.placeholder,n,a,u,n,n,r-s):xe(this&&this!==ce&&this instanceof o?i:t,this,a)}}(t,e,p):e!=s&&33!=e||c.length?Ii.apply(n,y):function(t,e,n,r){var i=1&e,o=ji(t);return function e(){for(var s=-1,a=arguments.length,l=-1,c=r.length,u=bt(c+a),h=this&&this!==ce&&this instanceof e?o:t;++l<c;)u[l]=r[l];for(;a--;)u[l++]=arguments[++s];return xe(h,i?n:this,u)}}(t,e,i,l);else var b=function(t,e,n){var r=1&e,i=ji(t);return function e(){return(this&&this!==ce&&this instanceof e?i:t).apply(r?n:this,arguments)}}(t,e,i);return Eo((v?Kr:Ao)(b,y),t,e)}function Xi(t,e,r,i){return t===n||Ns(t,Pt[r])&&!jt.call(i,r)?e:t}function Yi(t,e,r,i,o,s){return Js(t)&&Js(e)&&(s.set(e,t),Nr(t,e,n,Yi,s),s.delete(e)),t}function Ki(t){return na(t)?n:t}function Zi(t,e,r,i,o,s){var a=1&r,l=t.length,c=e.length;if(l!=c&&!(a&&c>l))return!1;var u=s.get(t),h=s.get(e);if(u&&h)return u==e&&h==t;var p=-1,d=!0,f=2&r?new Hn:n;for(s.set(t,e),s.set(e,t);++p<l;){var g=t[p],m=e[p];if(i)var v=a?i(m,g,p,e,t,s):i(g,m,p,t,e,s);if(v!==n){if(v)continue;d=!1;break}if(f){if(!je(e,(function(t,e){if(!Ye(f,e)&&(g===t||o(g,t,r,i,s)))return f.push(e)}))){d=!1;break}}else if(g!==m&&!o(g,m,r,i,s)){d=!1;break}}return s.delete(t),s.delete(e),d}function Ji(t){return To(So(t,n,qo),t+"")}function Qi(t){return xr(t,Ea,lo)}function to(t){return xr(t,Pa,co)}var eo=On?function(t){return On.get(t)}:sl;function no(t){for(var e=t.name+"",n=Tn[e],r=jt.call(Tn,e)?n.length:0;r--;){var i=n[r],o=i.func;if(null==o||o==t)return i.name}return e}function ro(t){return(jt.call(Rn,"placeholder")?Rn:t).placeholder}function io(){var t=Rn.iteratee||nl;return t=t===nl?Lr:t,arguments.length?t(arguments[0],arguments[1]):t}function oo(t,e){var n=t.__data__;return function(t){var e=typeof t;return"string"==e||"number"==e||"symbol"==e||"boolean"==e?"__proto__"!==t:null===t}(e)?n["string"==typeof e?"string":"hash"]:n.map}function so(t){for(var e=Ea(t),n=e.length;n--;){var r=e[n],i=t[r];e[n]=[r,i,xo(i)]}return e}function ao(t,e){var r=function(t,e){return null==t?n:t[e]}(t,e);return Mr(r)?r:n}var lo=De?function(t){return null==t?[]:(t=kt(t),Ae(De(t),(function(e){return Ut.call(t,e)})))}:dl,co=De?function(t){for(var e=[];t;)Pe(e,lo(t)),t=Wt(t);return e}:dl,uo=wr;function ho(t,e,n){for(var r=-1,i=(e=gi(e,t)).length,o=!1;++r<i;){var s=$o(e[r]);if(!(o=null!=t&&n(t,s)))break;t=t[s]}return o||++r!=i?o:!!(i=null==t?0:t.length)&&Zs(i)&&go(s,i)&&(Vs(t)||zs(t))}function po(t){return"function"!=typeof t.constructor||_o(t)?{}:Nn(Wt(t))}function fo(t){return Vs(t)||zs(t)||!!(Kt&&t&&t[Kt])}function go(t,e){var n=typeof t;return!!(e=e??c)&&("number"==n||"symbol"!=n&&gt.test(t))&&t>-1&&t%1==0&&t<e}function mo(t,e,n){if(!Js(n))return!1;var r=typeof e;return!!("number"==r?Ws(n)&&go(e,n.length):"string"==r&&e in n)&&Ns(n[e],t)}function vo(t,e){if(Vs(t))return!1;var n=typeof t;return!("number"!=n&&"symbol"!=n&&"boolean"!=n&&null!=t&&!sa(t))||Z.test(t)||!K.test(t)||null!=e&&t in kt(e)}function yo(t){var e=no(t),n=Rn[e];if("function"!=typeof n||!(e in zn.prototype))return!1;if(t===n)return!0;var r=eo(n);return!!r&&t===r[0]}(xn&&uo(new xn(new ArrayBuffer(1)))!=P||wn&&uo(new wn)!=_||Sn&&uo(Sn.resolve())!=S||kn&&uo(new kn)!=C||Cn&&uo(new Cn)!=T)&&(uo=function(t){var e=wr(t),r=e==w?t.constructor:n,i=r?Io(r):"";if(i)switch(i){case En:return P;case Pn:return _;case Mn:return S;case Ln:return C;case jn:return T}return e});var bo=Mt?Ys:fl;function _o(t){var e=t&&t.constructor;return t===("function"==typeof e&&e.prototype||Pt)}function xo(t){return t==t&&!Js(t)}function wo(t,e){return function(r){return null!=r&&r[t]===e&&(e!==n||t in kt(r))}}function So(t,e,r){return e=gn(e===n?t.length-1:e,0),function(){for(var n=arguments,i=-1,o=gn(n.length-e,0),s=bt(o);++i<o;)s[i]=n[e+i];i=-1;for(var a=bt(e+1);++i<e;)a[i]=n[i];return a[e]=r(s),xe(t,this,a)}}function ko(t,e){return e.length<2?t:_r(t,Qr(e,0,-1))}function Co(t,e){if(("constructor"!==e||"function"!=typeof t[e])&&"__proto__"!=e)return t[e]}var Ao=Po(Kr),Oo=he||function(t,e){return ce.setTimeout(t,e)},To=Po(Zr);function Eo(t,e,n){var r=e+"";return To(t,function(t,e){var n=e.length;if(!n)return t;var r=n-1;return e[r]=(n>1?"& ":"")+e[r],e=e.join(n>2?", ":" "),t.replace(rt,"{\n/* [wrapped with "+e+"] */\n")}(r,function(t,e){return Se(p,(function(n){var r="_."+n[0];e&n[1]&&!Oe(t,r)&&t.push(r)})),t.sort()}(function(t){var e=t.match(it);return e?e[1].split(ot):[]}(r),n)))}function Po(t){var e=0,r=0;return function(){var i=vn(),o=16-(i-r);if(r=i,o>0){if(++e>=800)return arguments[0]}else e=0;return t.apply(n,arguments)}}function Mo(t,e){var r=-1,i=t.length,o=i-1;for(e=e===n?i:e;++r<e;){var s=Wr(r,o),a=t[s];t[s]=t[r],t[r]=a}return t.length=e,t}var Lo,jo,Do=(Lo=Ls((function(t){var e=[];return 46===t.charCodeAt(0)&&e.push(""),t.replace(J,(function(t,n,r,i){e.push(r?i.replace(lt,"$1"):n||t)})),e}),(function(t){return 500===jo.size&&jo.clear(),t})),jo=Lo.cache,Lo);function $o(t){if("string"==typeof t||sa(t))return t;var e=t+"";return"0"==e&&1/t==-l?"-0":e}function Io(t){if(null!=t){try{return Lt.call(t)}catch{}try{return t+""}catch{}}return""}function Ro(t){if(t instanceof zn)return t.clone();var e=new Fn(t.__wrapped__,t.__chain__);return e.__actions__=Ci(t.__actions__),e.__index__=t.__index__,e.__values__=t.__values__,e}var No=Ur((function(t,e){return Hs(t)?lr(t,fr(e,1,Hs,!0)):[]})),Bo=Ur((function(t,e){var r=Xo(e);return Hs(r)&&(r=n),Hs(t)?lr(t,fr(e,1,Hs,!0),io(r,2)):[]})),Fo=Ur((function(t,e){var r=Xo(e);return Hs(r)&&(r=n),Hs(t)?lr(t,fr(e,1,Hs,!0),n,r):[]}));function zo(t,e,n){var r=null==t?0:t.length;if(!r)return-1;var i=null==n?0:pa(n);return i<0&&(i=gn(r+i,0)),Ie(t,io(e,3),i)}function Vo(t,e,r){var i=null==t?0:t.length;if(!i)return-1;var o=i-1;return r!==n&&(o=pa(r),o=r<0?gn(i+o,0):mn(o,i-1)),Ie(t,io(e,3),o,!0)}function qo(t){return null!=t&&t.length?fr(t,1):[]}function Wo(t){return t&&t.length?t[0]:n}var Ho=Ur((function(t){var e=Ee(t,di);return e.length&&e[0]===t[0]?Ar(e):[]})),Uo=Ur((function(t){var e=Xo(t),r=Ee(t,di);return e===Xo(r)?e=n:r.pop(),r.length&&r[0]===t[0]?Ar(r,io(e,2)):[]})),Go=Ur((function(t){var e=Xo(t),r=Ee(t,di);return(e="function"==typeof e?e:n)&&r.pop(),r.length&&r[0]===t[0]?Ar(r,n,e):[]}));function Xo(t){var e=null==t?0:t.length;return e?t[e-1]:n}var Yo=Ur(Ko);function Ko(t,e){return t&&t.length&&e&&e.length?Vr(t,e):t}var Zo=Ji((function(t,e){var n=null==t?0:t.length,r=rr(t,e);return qr(t,Ee(e,(function(t){return go(t,n)?+t:t})).sort(wi)),r}));function Jo(t){return null==t?t:_n.call(t)}var Qo=Ur((function(t){return si(fr(t,1,Hs,!0))})),ts=Ur((function(t){var e=Xo(t);return Hs(e)&&(e=n),si(fr(t,1,Hs,!0),io(e,2))})),es=Ur((function(t){var e=Xo(t);return e="function"==typeof e?e:n,si(fr(t,1,Hs,!0),n,e)}));function ns(t){if(!t||!t.length)return[];var e=0;return t=Ae(t,(function(t){if(Hs(t))return e=gn(t.length,e),!0})),He(e,(function(e){return Ee(t,ze(e))}))}function rs(t,e){if(!t||!t.length)return[];var r=ns(t);return null==e?r:Ee(r,(function(t){return xe(e,n,t)}))}var is=Ur((function(t,e){return Hs(t)?lr(t,e):[]})),os=Ur((function(t){return hi(Ae(t,Hs))})),ss=Ur((function(t){var e=Xo(t);return Hs(e)&&(e=n),hi(Ae(t,Hs),io(e,2))})),as=Ur((function(t){var e=Xo(t);return e="function"==typeof e?e:n,hi(Ae(t,Hs),n,e)})),ls=Ur(ns),cs=Ur((function(t){var e=t.length,r=e>1?t[e-1]:n;return r="function"==typeof r?(t.pop(),r):n,rs(t,r)}));function us(t){var e=Rn(t);return e.__chain__=!0,e}function hs(t,e){return e(t)}var ps=Ji((function(t){var e=t.length,r=e?t[0]:0,i=this.__wrapped__,o=function(e){return rr(e,t)};return!(e>1||this.__actions__.length)&&i instanceof zn&&go(r)?((i=i.slice(r,+r+(e?1:0))).__actions__.push({func:hs,args:[o],thisArg:n}),new Fn(i,this.__chain__).thru((function(t){return e&&!t.length&&t.push(n),t}))):this.thru(o)})),ds=Oi((function(t,e,n){jt.call(t,n)?++t[n]:nr(t,n,1)})),fs=Di(zo),gs=Di(Vo);function ms(t,e){return(Vs(t)?Se:cr)(t,io(e,3))}function vs(t,e){return(Vs(t)?ke:ur)(t,io(e,3))}var ys=Oi((function(t,e,n){jt.call(t,n)?t[n].push(e):nr(t,n,[e])})),bs=Ur((function(t,e,n){var r=-1,i="function"==typeof e,o=Ws(t)?bt(t.length):[];return cr(t,(function(t){o[++r]=i?xe(e,t,n):Or(t,e,n)})),o})),_s=Oi((function(t,e,n){nr(t,n,e)}));function xs(t,e){return(Vs(t)?Ee:$r)(t,io(e,3))}var ws=Oi((function(t,e,n){t[n?0:1].push(e)}),(function(){return[[],[]]})),Ss=Ur((function(t,e){if(null==t)return[];var n=e.length;return n>1&&mo(t,e[0],e[1])?e=[]:n>2&&mo(e[0],e[1],e[2])&&(e=[e[0]]),Fr(t,fr(e,1),[])})),ks=ue||function(){return ce.Date.now()};function Cs(t,e,r){return e=r?n:e,e=t&&null==e?t.length:e,Gi(t,a,n,n,n,n,e)}function As(t,e){var i;if("function"!=typeof e)throw new Ot(r);return t=pa(t),function(){return--t>0&&(i=e.apply(this,arguments)),t<=1&&(e=n),i}}var Os=Ur((function(t,e,n){var r=1;if(n.length){var i=on(n,ro(Os));r|=s}return Gi(t,r,e,n,i)})),Ts=Ur((function(t,e,n){var r=3;if(n.length){var i=on(n,ro(Ts));r|=s}return Gi(e,r,t,n,i)}));function Es(t,e,i){var o,s,a,l,c,u,h=0,p=!1,d=!1,f=!0;if("function"!=typeof t)throw new Ot(r);function g(e){var r=o,i=s;return o=s=n,h=e,l=t.apply(i,r)}function m(t){var r=t-u;return u===n||r>=e||r<0||d&&t-h>=a}function v(){var t=ks();if(m(t))return y(t);c=Oo(v,function(t){var n=e-(t-u);return d?mn(n,a-(t-h)):n}(t))}function y(t){return c=n,f&&o?g(t):(o=s=n,l)}function b(){var t=ks(),r=m(t);if(o=arguments,s=this,u=t,r){if(c===n)return function(t){return h=t,c=Oo(v,e),p?g(t):l}(u);if(d)return yi(c),c=Oo(v,e),g(u)}return c===n&&(c=Oo(v,e)),l}return e=fa(e)||0,Js(i)&&(p=!!i.leading,a=(d="maxWait"in i)?gn(fa(i.maxWait)||0,e):a,f="trailing"in i?!!i.trailing:f),b.cancel=function(){c!==n&&yi(c),h=0,o=u=s=c=n},b.flush=function(){return c===n?l:y(ks())},b}var Ps=Ur((function(t,e){return ar(t,1,e)})),Ms=Ur((function(t,e,n){return ar(t,fa(e)||0,n)}));function Ls(t,e){if("function"!=typeof t||null!=e&&"function"!=typeof e)throw new Ot(r);var n=function(){var r=arguments,i=e?e.apply(this,r):r[0],o=n.cache;if(o.has(i))return o.get(i);var s=t.apply(this,r);return n.cache=o.set(i,s)||o,s};return n.cache=new(Ls.Cache||Wn),n}function js(t){if("function"!=typeof t)throw new Ot(r);return function(){var e=arguments;switch(e.length){case 0:return!t.call(this);case 1:return!t.call(this,e[0]);case 2:return!t.call(this,e[0],e[1]);case 3:return!t.call(this,e[0],e[1],e[2])}return!t.apply(this,e)}}Ls.Cache=Wn;var Ds=mi((function(t,e){var n=(e=1==e.length&&Vs(e[0])?Ee(e[0],Ge(io())):Ee(fr(e,1),Ge(io()))).length;return Ur((function(r){for(var i=-1,o=mn(r.length,n);++i<o;)r[i]=e[i].call(this,r[i]);return xe(t,this,r)}))})),$s=Ur((function(t,e){var r=on(e,ro($s));return Gi(t,s,n,e,r)})),Is=Ur((function(t,e){var r=on(e,ro(Is));return Gi(t,64,n,e,r)})),Rs=Ji((function(t,e){return Gi(t,256,n,n,n,e)}));function Ns(t,e){return t===e||t!=t&&e!=e}var Bs=Vi(Sr),Fs=Vi((function(t,e){return t>=e})),zs=Tr(function(){return arguments}())?Tr:function(t){return Qs(t)&&jt.call(t,"callee")&&!Ut.call(t,"callee")},Vs=bt.isArray,qs=ge?Ge(ge):function(t){return Qs(t)&&wr(t)==E};function Ws(t){return null!=t&&Zs(t.length)&&!Ys(t)}function Hs(t){return Qs(t)&&Ws(t)}var Us=Ve||fl,Gs=me?Ge(me):function(t){return Qs(t)&&wr(t)==m};function Xs(t){if(!Qs(t))return!1;var e=wr(t);return e==v||"[object DOMException]"==e||"string"==typeof t.message&&"string"==typeof t.name&&!na(t)}function Ys(t){if(!Js(t))return!1;var e=wr(t);return e==y||e==b||"[object AsyncFunction]"==e||"[object Proxy]"==e}function Ks(t){return"number"==typeof t&&t==pa(t)}function Zs(t){return"number"==typeof t&&t>-1&&t%1==0&&t<=c}function Js(t){var e=typeof t;return null!=t&&("object"==e||"function"==e)}function Qs(t){return null!=t&&"object"==typeof t}var ta=ve?Ge(ve):function(t){return Qs(t)&&uo(t)==_};function ea(t){return"number"==typeof t||Qs(t)&&wr(t)==x}function na(t){if(!Qs(t)||wr(t)!=w)return!1;var e=Wt(t);if(null===e)return!0;var n=jt.call(e,"constructor")&&e.constructor;return"function"==typeof n&&n instanceof n&&Lt.call(n)==Rt}var ra=ye?Ge(ye):function(t){return Qs(t)&&wr(t)==k},ia=be?Ge(be):function(t){return Qs(t)&&uo(t)==C};function oa(t){return"string"==typeof t||!Vs(t)&&Qs(t)&&wr(t)==A}function sa(t){return"symbol"==typeof t||Qs(t)&&wr(t)==O}var aa=_e?Ge(_e):function(t){return Qs(t)&&Zs(t.length)&&!!ne[wr(t)]},la=Vi(Dr),ca=Vi((function(t,e){return t<=e}));function ua(t){if(!t)return[];if(Ws(t))return oa(t)?ln(t):Ci(t);if(Jt&&t[Jt])return function(t){for(var e,n=[];!(e=t.next()).done;)n.push(e.value);return n}(t[Jt]());var e=uo(t);return(e==_?nn:e==C?sn:Na)(t)}function ha(t){return t?(t=fa(t))===l||t===-l?17976931348623157e292*(t<0?-1:1):t==t?t:0:0===t?t:0}function pa(t){var e=ha(t),n=e%1;return e==e?n?e-n:e:0}function da(t){return t?ir(pa(t),0,h):0}function fa(t){if("number"==typeof t)return t;if(sa(t))return u;if(Js(t)){var e="function"==typeof t.valueOf?t.valueOf():t;t=Js(e)?e+"":e}if("string"!=typeof t)return 0===t?t:+t;t=Ue(t);var n=pt.test(t);return n||ft.test(t)?se(t.slice(2),n?2:8):ht.test(t)?u:+t}function ga(t){return Ai(t,Pa(t))}function ma(t){return null==t?"":oi(t)}var va=Ti((function(t,e){if(_o(e)||Ws(e))Ai(e,Ea(e),t);else for(var n in e)jt.call(e,n)&&Jn(t,n,e[n])})),ya=Ti((function(t,e){Ai(e,Pa(e),t)})),ba=Ti((function(t,e,n,r){Ai(e,Pa(e),t,r)})),_a=Ti((function(t,e,n,r){Ai(e,Ea(e),t,r)})),xa=Ji(rr),wa=Ur((function(t,e){t=kt(t);var r=-1,i=e.length,o=i>2?e[2]:n;for(o&&mo(e[0],e[1],o)&&(i=1);++r<i;)for(var s=e[r],a=Pa(s),l=-1,c=a.length;++l<c;){var u=a[l],h=t[u];(h===n||Ns(h,Pt[u])&&!jt.call(t,u))&&(t[u]=s[u])}return t})),Sa=Ur((function(t){return t.push(n,Yi),xe(La,n,t)}));function ka(t,e,r){var i=null==t?n:_r(t,e);return i===n?r:i}function Ca(t,e){return null!=t&&ho(t,e,Cr)}var Aa=Ri((function(t,e,n){null!=e&&"function"!=typeof e.toString&&(e=It.call(e)),t[e]=n}),Ja(el)),Oa=Ri((function(t,e,n){null!=e&&"function"!=typeof e.toString&&(e=It.call(e)),jt.call(t,e)?t[e].push(n):t[e]=[n]}),io),Ta=Ur(Or);function Ea(t){return Ws(t)?Gn(t):jr(t)}function Pa(t){return Ws(t)?Gn(t,!0):function(t){if(!Js(t))return function(t){var e=[];if(null!=t)for(var n in kt(t))e.push(n);return e}(t);var e=_o(t),n=[];for(var r in t)"constructor"==r&&(e||!jt.call(t,r))||n.push(r);return n}(t)}var Ma=Ti((function(t,e,n){Nr(t,e,n)})),La=Ti((function(t,e,n,r){Nr(t,e,n,r)})),ja=Ji((function(t,e){var n={};if(null==t)return n;var r=!1;e=Ee(e,(function(e){return e=gi(e,t),r||(r=e.length>1),e})),Ai(t,to(t),n),r&&(n=or(n,7,Ki));for(var i=e.length;i--;)ai(n,e[i]);return n})),Da=Ji((function(t,e){return null==t?{}:function(t,e){return zr(t,e,(function(e,n){return Ca(t,n)}))}(t,e)}));function $a(t,e){if(null==t)return{};var n=Ee(to(t),(function(t){return[t]}));return e=io(e),zr(t,n,(function(t,n){return e(t,n[0])}))}var Ia=Ui(Ea),Ra=Ui(Pa);function Na(t){return null==t?[]:Xe(t,Ea(t))}var Ba=Li((function(t,e,n){return e=e.toLowerCase(),t+(n?Fa(e):e)}));function Fa(t){return Xa(ma(t).toLowerCase())}function za(t){return(t=ma(t))&&t.replace(mt,Je).replace(Yt,"")}var Va=Li((function(t,e,n){return t+(n?"-":"")+e.toLowerCase()})),qa=Li((function(t,e,n){return t+(n?" ":"")+e.toLowerCase()})),Wa=Mi("toLowerCase"),Ha=Li((function(t,e,n){return t+(n?"_":"")+e.toLowerCase()})),Ua=Li((function(t,e,n){return t+(n?" ":"")+Xa(e)})),Ga=Li((function(t,e,n){return t+(n?" ":"")+e.toUpperCase()})),Xa=Mi("toUpperCase");function Ya(t,e,r){return t=ma(t),(e=r?n:e)===n?function(t){return Qt.test(t)}(t)?function(t){return t.match(Zt)||[]}(t):function(t){return t.match(st)||[]}(t):t.match(e)||[]}var Ka=Ur((function(t,e){try{return xe(t,n,e)}catch(t){return Xs(t)?t:new xt(t)}})),Za=Ji((function(t,e){return Se(e,(function(e){e=$o(e),nr(t,e,Os(t[e],t))})),t}));function Ja(t){return function(){return t}}var Qa=$i(),tl=$i(!0);function el(t){return t}function nl(t){return Lr("function"==typeof t?t:or(t,1))}var rl=Ur((function(t,e){return function(n){return Or(n,t,e)}})),il=Ur((function(t,e){return function(n){return Or(t,n,e)}}));function ol(t,e,n){var r=Ea(e),i=br(e,r);null==n&&(!Js(e)||!i.length&&r.length)&&(n=e,e=t,t=this,i=br(e,Ea(e)));var o=!(Js(n)&&"chain"in n&&!n.chain),s=Ys(t);return Se(i,(function(n){var r=e[n];t[n]=r,s&&(t.prototype[n]=function(){var e=this.__chain__;if(o||e){var n=t(this.__wrapped__);return(n.__actions__=Ci(this.__actions__)).push({func:r,args:arguments,thisArg:t}),n.__chain__=e,n}return r.apply(t,Pe([this.value()],arguments))})})),t}function sl(){}var al=Bi(Ee),ll=Bi(Ce),cl=Bi(je);function ul(t){return vo(t)?ze($o(t)):function(t){return function(e){return _r(e,t)}}(t)}var hl=zi(),pl=zi(!0);function dl(){return[]}function fl(){return!1}var gl=Ni((function(t,e){return t+e}),0),ml=Wi("ceil"),vl=Ni((function(t,e){return t/e}),1),yl=Wi("floor"),bl=Ni((function(t,e){return t*e}),1),_l=Wi("round"),xl=Ni((function(t,e){return t-e}),0);return Rn.after=function(t,e){if("function"!=typeof e)throw new Ot(r);return t=pa(t),function(){if(--t<1)return e.apply(this,arguments)}},Rn.ary=Cs,Rn.assign=va,Rn.assignIn=ya,Rn.assignInWith=ba,Rn.assignWith=_a,Rn.at=xa,Rn.before=As,Rn.bind=Os,Rn.bindAll=Za,Rn.bindKey=Ts,Rn.castArray=function(){if(!arguments.length)return[];var t=arguments[0];return Vs(t)?t:[t]},Rn.chain=us,Rn.chunk=function(t,e,r){e=(r?mo(t,e,r):e===n)?1:gn(pa(e),0);var i=null==t?0:t.length;if(!i||e<1)return[];for(var o=0,s=0,a=bt(de(i/e));o<i;)a[s++]=Qr(t,o,o+=e);return a},Rn.compact=function(t){for(var e=-1,n=null==t?0:t.length,r=0,i=[];++e<n;){var o=t[e];o&&(i[r++]=o)}return i},Rn.concat=function(){var t=arguments.length;if(!t)return[];for(var e=bt(t-1),n=arguments[0],r=t;r--;)e[r-1]=arguments[r];return Pe(Vs(n)?Ci(n):[n],fr(e,1))},Rn.cond=function(t){var e=null==t?0:t.length,n=io();return t=e?Ee(t,(function(t){if("function"!=typeof t[1])throw new Ot(r);return[n(t[0]),t[1]]})):[],Ur((function(n){for(var r=-1;++r<e;){var i=t[r];if(xe(i[0],this,n))return xe(i[1],this,n)}}))},Rn.conforms=function(t){return function(t){var e=Ea(t);return function(n){return sr(n,t,e)}}(or(t,1))},Rn.constant=Ja,Rn.countBy=ds,Rn.create=function(t,e){var n=Nn(t);return null==e?n:er(n,e)},Rn.curry=function t(e,r,i){var o=Gi(e,8,n,n,n,n,n,r=i?n:r);return o.placeholder=t.placeholder,o},Rn.curryRight=function t(e,r,i){var o=Gi(e,16,n,n,n,n,n,r=i?n:r);return o.placeholder=t.placeholder,o},Rn.debounce=Es,Rn.defaults=wa,Rn.defaultsDeep=Sa,Rn.defer=Ps,Rn.delay=Ms,Rn.difference=No,Rn.differenceBy=Bo,Rn.differenceWith=Fo,Rn.drop=function(t,e,r){var i=null==t?0:t.length;return i?Qr(t,(e=r||e===n?1:pa(e))<0?0:e,i):[]},Rn.dropRight=function(t,e,r){var i=null==t?0:t.length;return i?Qr(t,0,(e=i-(e=r||e===n?1:pa(e)))<0?0:e):[]},Rn.dropRightWhile=function(t,e){return t&&t.length?ci(t,io(e,3),!0,!0):[]},Rn.dropWhile=function(t,e){return t&&t.length?ci(t,io(e,3),!0):[]},Rn.fill=function(t,e,r,i){var o=null==t?0:t.length;return o?(r&&"number"!=typeof r&&mo(t,e,r)&&(r=0,i=o),function(t,e,r,i){var o=t.length;for((r=pa(r))<0&&(r=-r>o?0:o+r),(i=i===n||i>o?o:pa(i))<0&&(i+=o),i=r>i?0:da(i);r<i;)t[r++]=e;return t}(t,e,r,i)):[]},Rn.filter=function(t,e){return(Vs(t)?Ae:dr)(t,io(e,3))},Rn.flatMap=function(t,e){return fr(xs(t,e),1)},Rn.flatMapDeep=function(t,e){return fr(xs(t,e),l)},Rn.flatMapDepth=function(t,e,r){return r=r===n?1:pa(r),fr(xs(t,e),r)},Rn.flatten=qo,Rn.flattenDeep=function(t){return null!=t&&t.length?fr(t,l):[]},Rn.flattenDepth=function(t,e){return null!=t&&t.length?fr(t,e=e===n?1:pa(e)):[]},Rn.flip=function(t){return Gi(t,512)},Rn.flow=Qa,Rn.flowRight=tl,Rn.fromPairs=function(t){for(var e=-1,n=null==t?0:t.length,r={};++e<n;){var i=t[e];r[i[0]]=i[1]}return r},Rn.functions=function(t){return null==t?[]:br(t,Ea(t))},Rn.functionsIn=function(t){return null==t?[]:br(t,Pa(t))},Rn.groupBy=ys,Rn.initial=function(t){return null!=t&&t.length?Qr(t,0,-1):[]},Rn.intersection=Ho,Rn.intersectionBy=Uo,Rn.intersectionWith=Go,Rn.invert=Aa,Rn.invertBy=Oa,Rn.invokeMap=bs,Rn.iteratee=nl,Rn.keyBy=_s,Rn.keys=Ea,Rn.keysIn=Pa,Rn.map=xs,Rn.mapKeys=function(t,e){var n={};return e=io(e,3),vr(t,(function(t,r,i){nr(n,e(t,r,i),t)})),n},Rn.mapValues=function(t,e){var n={};return e=io(e,3),vr(t,(function(t,r,i){nr(n,r,e(t,r,i))})),n},Rn.matches=function(t){return Ir(or(t,1))},Rn.matchesProperty=function(t,e){return Rr(t,or(e,1))},Rn.memoize=Ls,Rn.merge=Ma,Rn.mergeWith=La,Rn.method=rl,Rn.methodOf=il,Rn.mixin=ol,Rn.negate=js,Rn.nthArg=function(t){return t=pa(t),Ur((function(e){return Br(e,t)}))},Rn.omit=ja,Rn.omitBy=function(t,e){return $a(t,js(io(e)))},Rn.once=function(t){return As(2,t)},Rn.orderBy=function(t,e,r,i){return null==t?[]:(Vs(e)||(e=null==e?[]:[e]),Vs(r=i?n:r)||(r=null==r?[]:[r]),Fr(t,e,r))},Rn.over=al,Rn.overArgs=Ds,Rn.overEvery=ll,Rn.overSome=cl,Rn.partial=$s,Rn.partialRight=Is,Rn.partition=ws,Rn.pick=Da,Rn.pickBy=$a,Rn.property=ul,Rn.propertyOf=function(t){return function(e){return null==t?n:_r(t,e)}},Rn.pull=Yo,Rn.pullAll=Ko,Rn.pullAllBy=function(t,e,n){return t&&t.length&&e&&e.length?Vr(t,e,io(n,2)):t},Rn.pullAllWith=function(t,e,r){return t&&t.length&&e&&e.length?Vr(t,e,n,r):t},Rn.pullAt=Zo,Rn.range=hl,Rn.rangeRight=pl,Rn.rearg=Rs,Rn.reject=function(t,e){return(Vs(t)?Ae:dr)(t,js(io(e,3)))},Rn.remove=function(t,e){var n=[];if(!t||!t.length)return n;var r=-1,i=[],o=t.length;for(e=io(e,3);++r<o;){var s=t[r];e(s,r,t)&&(n.push(s),i.push(r))}return qr(t,i),n},Rn.rest=function(t,e){if("function"!=typeof t)throw new Ot(r);return Ur(t,e=e===n?e:pa(e))},Rn.reverse=Jo,Rn.sampleSize=function(t,e,r){return e=(r?mo(t,e,r):e===n)?1:pa(e),(Vs(t)?Yn:Xr)(t,e)},Rn.set=function(t,e,n){return null==t?t:Yr(t,e,n)},Rn.setWith=function(t,e,r,i){return i="function"==typeof i?i:n,null==t?t:Yr(t,e,r,i)},Rn.shuffle=function(t){return(Vs(t)?Kn:Jr)(t)},Rn.slice=function(t,e,r){var i=null==t?0:t.length;return i?(r&&"number"!=typeof r&&mo(t,e,r)?(e=0,r=i):(e=null==e?0:pa(e),r=r===n?i:pa(r)),Qr(t,e,r)):[]},Rn.sortBy=Ss,Rn.sortedUniq=function(t){return t&&t.length?ri(t):[]},Rn.sortedUniqBy=function(t,e){return t&&t.length?ri(t,io(e,2)):[]},Rn.split=function(t,e,r){return r&&"number"!=typeof r&&mo(t,e,r)&&(e=r=n),(r=r===n?h:r>>>0)?(t=ma(t))&&("string"==typeof e||null!=e&&!ra(e))&&!(e=oi(e))&&en(t)?vi(ln(t),0,r):t.split(e,r):[]},Rn.spread=function(t,e){if("function"!=typeof t)throw new Ot(r);return e=null==e?0:gn(pa(e),0),Ur((function(n){var r=n[e],i=vi(n,0,e);return r&&Pe(i,r),xe(t,this,i)}))},Rn.tail=function(t){var e=null==t?0:t.length;return e?Qr(t,1,e):[]},Rn.take=function(t,e,r){return t&&t.length?Qr(t,0,(e=r||e===n?1:pa(e))<0?0:e):[]},Rn.takeRight=function(t,e,r){var i=null==t?0:t.length;return i?Qr(t,(e=i-(e=r||e===n?1:pa(e)))<0?0:e,i):[]},Rn.takeRightWhile=function(t,e){return t&&t.length?ci(t,io(e,3),!1,!0):[]},Rn.takeWhile=function(t,e){return t&&t.length?ci(t,io(e,3)):[]},Rn.tap=function(t,e){return e(t),t},Rn.throttle=function(t,e,n){var i=!0,o=!0;if("function"!=typeof t)throw new Ot(r);return Js(n)&&(i="leading"in n?!!n.leading:i,o="trailing"in n?!!n.trailing:o),Es(t,e,{leading:i,maxWait:e,trailing:o})},Rn.thru=hs,Rn.toArray=ua,Rn.toPairs=Ia,Rn.toPairsIn=Ra,Rn.toPath=function(t){return Vs(t)?Ee(t,$o):sa(t)?[t]:Ci(Do(ma(t)))},Rn.toPlainObject=ga,Rn.transform=function(t,e,n){var r=Vs(t),i=r||Us(t)||aa(t);if(e=io(e,4),null==n){var o=t&&t.constructor;n=i?r?new o:[]:Js(t)&&Ys(o)?Nn(Wt(t)):{}}return(i?Se:vr)(t,(function(t,r,i){return e(n,t,r,i)})),n},Rn.unary=function(t){return Cs(t,1)},Rn.union=Qo,Rn.unionBy=ts,Rn.unionWith=es,Rn.uniq=function(t){return t&&t.length?si(t):[]},Rn.uniqBy=function(t,e){return t&&t.length?si(t,io(e,2)):[]},Rn.uniqWith=function(t,e){return e="function"==typeof e?e:n,t&&t.length?si(t,n,e):[]},Rn.unset=function(t,e){return null==t||ai(t,e)},Rn.unzip=ns,Rn.unzipWith=rs,Rn.update=function(t,e,n){return null==t?t:li(t,e,fi(n))},Rn.updateWith=function(t,e,r,i){return i="function"==typeof i?i:n,null==t?t:li(t,e,fi(r),i)},Rn.values=Na,Rn.valuesIn=function(t){return null==t?[]:Xe(t,Pa(t))},Rn.without=is,Rn.words=Ya,Rn.wrap=function(t,e){return $s(fi(e),t)},Rn.xor=os,Rn.xorBy=ss,Rn.xorWith=as,Rn.zip=ls,Rn.zipObject=function(t,e){return pi(t||[],e||[],Jn)},Rn.zipObjectDeep=function(t,e){return pi(t||[],e||[],Yr)},Rn.zipWith=cs,Rn.entries=Ia,Rn.entriesIn=Ra,Rn.extend=ya,Rn.extendWith=ba,ol(Rn,Rn),Rn.add=gl,Rn.attempt=Ka,Rn.camelCase=Ba,Rn.capitalize=Fa,Rn.ceil=ml,Rn.clamp=function(t,e,r){return r===n&&(r=e,e=n),r!==n&&(r=(r=fa(r))==r?r:0),e!==n&&(e=(e=fa(e))==e?e:0),ir(fa(t),e,r)},Rn.clone=function(t){return or(t,4)},Rn.cloneDeep=function(t){return or(t,5)},Rn.cloneDeepWith=function(t,e){return or(t,5,e="function"==typeof e?e:n)},Rn.cloneWith=function(t,e){return or(t,4,e="function"==typeof e?e:n)},Rn.conformsTo=function(t,e){return null==e||sr(t,e,Ea(e))},Rn.deburr=za,Rn.defaultTo=function(t,e){return null==t||t!=t?e:t},Rn.divide=vl,Rn.endsWith=function(t,e,r){t=ma(t),e=oi(e);var i=t.length,o=r=r===n?i:ir(pa(r),0,i);return(r-=e.length)>=0&&t.slice(r,o)==e},Rn.eq=Ns,Rn.escape=function(t){return(t=ma(t))&&U.test(t)?t.replace(W,Qe):t},Rn.escapeRegExp=function(t){return(t=ma(t))&&tt.test(t)?t.replace(Q,"\\$&"):t},Rn.every=function(t,e,r){var i=Vs(t)?Ce:hr;return r&&mo(t,e,r)&&(e=n),i(t,io(e,3))},Rn.find=fs,Rn.findIndex=zo,Rn.findKey=function(t,e){return $e(t,io(e,3),vr)},Rn.findLast=gs,Rn.findLastIndex=Vo,Rn.findLastKey=function(t,e){return $e(t,io(e,3),yr)},Rn.floor=yl,Rn.forEach=ms,Rn.forEachRight=vs,Rn.forIn=function(t,e){return null==t?t:gr(t,io(e,3),Pa)},Rn.forInRight=function(t,e){return null==t?t:mr(t,io(e,3),Pa)},Rn.forOwn=function(t,e){return t&&vr(t,io(e,3))},Rn.forOwnRight=function(t,e){return t&&yr(t,io(e,3))},Rn.get=ka,Rn.gt=Bs,Rn.gte=Fs,Rn.has=function(t,e){return null!=t&&ho(t,e,kr)},Rn.hasIn=Ca,Rn.head=Wo,Rn.identity=el,Rn.includes=function(t,e,n,r){t=Ws(t)?t:Na(t),n=n&&!r?pa(n):0;var i=t.length;return n<0&&(n=gn(i+n,0)),oa(t)?n<=i&&t.indexOf(e,n)>-1:!!i&&Re(t,e,n)>-1},Rn.indexOf=function(t,e,n){var r=null==t?0:t.length;if(!r)return-1;var i=null==n?0:pa(n);return i<0&&(i=gn(r+i,0)),Re(t,e,i)},Rn.inRange=function(t,e,r){return e=ha(e),r===n?(r=e,e=0):r=ha(r),function(t,e,n){return t>=mn(e,n)&&t<gn(e,n)}(t=fa(t),e,r)},Rn.invoke=Ta,Rn.isArguments=zs,Rn.isArray=Vs,Rn.isArrayBuffer=qs,Rn.isArrayLike=Ws,Rn.isArrayLikeObject=Hs,Rn.isBoolean=function(t){return!0===t||!1===t||Qs(t)&&wr(t)==g},Rn.isBuffer=Us,Rn.isDate=Gs,Rn.isElement=function(t){return Qs(t)&&1===t.nodeType&&!na(t)},Rn.isEmpty=function(t){if(null==t)return!0;if(Ws(t)&&(Vs(t)||"string"==typeof t||"function"==typeof t.splice||Us(t)||aa(t)||zs(t)))return!t.length;var e=uo(t);if(e==_||e==C)return!t.size;if(_o(t))return!jr(t).length;for(var n in t)if(jt.call(t,n))return!1;return!0},Rn.isEqual=function(t,e){return Er(t,e)},Rn.isEqualWith=function(t,e,r){var i=(r="function"==typeof r?r:n)?r(t,e):n;return i===n?Er(t,e,n,r):!!i},Rn.isError=Xs,Rn.isFinite=function(t){return"number"==typeof t&&pn(t)},Rn.isFunction=Ys,Rn.isInteger=Ks,Rn.isLength=Zs,Rn.isMap=ta,Rn.isMatch=function(t,e){return t===e||Pr(t,e,so(e))},Rn.isMatchWith=function(t,e,r){return r="function"==typeof r?r:n,Pr(t,e,so(e),r)},Rn.isNaN=function(t){return ea(t)&&t!=+t},Rn.isNative=function(t){if(bo(t))throw new xt("Unsupported core-js use. Try https://npms.io/search?q=ponyfill.");return Mr(t)},Rn.isNil=function(t){return null==t},Rn.isNull=function(t){return null===t},Rn.isNumber=ea,Rn.isObject=Js,Rn.isObjectLike=Qs,Rn.isPlainObject=na,Rn.isRegExp=ra,Rn.isSafeInteger=function(t){return Ks(t)&&t>=-c&&t<=c},Rn.isSet=ia,Rn.isString=oa,Rn.isSymbol=sa,Rn.isTypedArray=aa,Rn.isUndefined=function(t){return t===n},Rn.isWeakMap=function(t){return Qs(t)&&uo(t)==T},Rn.isWeakSet=function(t){return Qs(t)&&"[object WeakSet]"==wr(t)},Rn.join=function(t,e){return null==t?"":dn.call(t,e)},Rn.kebabCase=Va,Rn.last=Xo,Rn.lastIndexOf=function(t,e,r){var i=null==t?0:t.length;if(!i)return-1;var o=i;return r!==n&&(o=(o=pa(r))<0?gn(i+o,0):mn(o,i-1)),e==e?function(t,e,n){for(var r=n+1;r--;)if(t[r]===e)return r;return r}(t,e,o):Ie(t,Be,o,!0)},Rn.lowerCase=qa,Rn.lowerFirst=Wa,Rn.lt=la,Rn.lte=ca,Rn.max=function(t){return t&&t.length?pr(t,el,Sr):n},Rn.maxBy=function(t,e){return t&&t.length?pr(t,io(e,2),Sr):n},Rn.mean=function(t){return Fe(t,el)},Rn.meanBy=function(t,e){return Fe(t,io(e,2))},Rn.min=function(t){return t&&t.length?pr(t,el,Dr):n},Rn.minBy=function(t,e){return t&&t.length?pr(t,io(e,2),Dr):n},Rn.stubArray=dl,Rn.stubFalse=fl,Rn.stubObject=function(){return{}},Rn.stubString=function(){return""},Rn.stubTrue=function(){return!0},Rn.multiply=bl,Rn.nth=function(t,e){return t&&t.length?Br(t,pa(e)):n},Rn.noConflict=function(){return ce._===this&&(ce._=Nt),this},Rn.noop=sl,Rn.now=ks,Rn.pad=function(t,e,n){t=ma(t);var r=(e=pa(e))?an(t):0;if(!e||r>=e)return t;var i=(e-r)/2;return Fi(fe(i),n)+t+Fi(de(i),n)},Rn.padEnd=function(t,e,n){t=ma(t);var r=(e=pa(e))?an(t):0;return e&&r<e?t+Fi(e-r,n):t},Rn.padStart=function(t,e,n){t=ma(t);var r=(e=pa(e))?an(t):0;return e&&r<e?Fi(e-r,n)+t:t},Rn.parseInt=function(t,e,n){return n||null==e?e=0:e&&(e=+e),yn(ma(t).replace(et,""),e||0)},Rn.random=function(t,e,r){if(r&&"boolean"!=typeof r&&mo(t,e,r)&&(e=r=n),r===n&&("boolean"==typeof e?(r=e,e=n):"boolean"==typeof t&&(r=t,t=n)),t===n&&e===n?(t=0,e=1):(t=ha(t),e===n?(e=t,t=0):e=ha(e)),t>e){var i=t;t=e,e=i}if(r||t%1||e%1){var o=bn();return mn(t+o*(e-t+oe("1e-"+((o+"").length-1))),e)}return Wr(t,e)},Rn.reduce=function(t,e,n){var r=Vs(t)?Me:qe,i=arguments.length<3;return r(t,io(e,4),n,i,cr)},Rn.reduceRight=function(t,e,n){var r=Vs(t)?Le:qe,i=arguments.length<3;return r(t,io(e,4),n,i,ur)},Rn.repeat=function(t,e,r){return e=(r?mo(t,e,r):e===n)?1:pa(e),Hr(ma(t),e)},Rn.replace=function(){var t=arguments,e=ma(t[0]);return t.length<3?e:e.replace(t[1],t[2])},Rn.result=function(t,e,r){var i=-1,o=(e=gi(e,t)).length;for(o||(o=1,t=n);++i<o;){var s=null==t?n:t[$o(e[i])];s===n&&(i=o,s=r),t=Ys(s)?s.call(t):s}return t},Rn.round=_l,Rn.runInContext=t,Rn.sample=function(t){return(Vs(t)?Xn:Gr)(t)},Rn.size=function(t){if(null==t)return 0;if(Ws(t))return oa(t)?an(t):t.length;var e=uo(t);return e==_||e==C?t.size:jr(t).length},Rn.snakeCase=Ha,Rn.some=function(t,e,r){var i=Vs(t)?je:ti;return r&&mo(t,e,r)&&(e=n),i(t,io(e,3))},Rn.sortedIndex=function(t,e){return ei(t,e)},Rn.sortedIndexBy=function(t,e,n){return ni(t,e,io(n,2))},Rn.sortedIndexOf=function(t,e){var n=null==t?0:t.length;if(n){var r=ei(t,e);if(r<n&&Ns(t[r],e))return r}return-1},Rn.sortedLastIndex=function(t,e){return ei(t,e,!0)},Rn.sortedLastIndexBy=function(t,e,n){return ni(t,e,io(n,2),!0)},Rn.sortedLastIndexOf=function(t,e){if(null!=t&&t.length){var n=ei(t,e,!0)-1;if(Ns(t[n],e))return n}return-1},Rn.startCase=Ua,Rn.startsWith=function(t,e,n){return t=ma(t),n=null==n?0:ir(pa(n),0,t.length),e=oi(e),t.slice(n,n+e.length)==e},Rn.subtract=xl,Rn.sum=function(t){return t&&t.length?We(t,el):0},Rn.sumBy=function(t,e){return t&&t.length?We(t,io(e,2)):0},Rn.template=function(t,e,r){var i=Rn.templateSettings;r&&mo(t,e,r)&&(e=n),t=ma(t),e=ba({},e,i,Xi);var o,s,a=ba({},e.imports,i.imports,Xi),l=Ea(a),c=Xe(a,l),u=0,h=e.interpolate||vt,p="__p += '",d=Ct((e.escape||vt).source+"|"+h.source+"|"+(h===Y?ct:vt).source+"|"+(e.evaluate||vt).source+"|$","g"),f="//# sourceURL="+(jt.call(e,"sourceURL")?(e.sourceURL+"").replace(/\s/g," "):"lodash.templateSources["+ ++ee+"]")+"\n";t.replace(d,(function(e,n,r,i,a,l){return r||(r=i),p+=t.slice(u,l).replace(yt,tn),n&&(o=!0,p+="' +\n__e("+n+") +\n'"),a&&(s=!0,p+="';\n"+a+";\n__p += '"),r&&(p+="' +\n((__t = ("+r+")) == null ? '' : __t) +\n'"),u=l+e.length,e})),p+="';\n";var g=jt.call(e,"variable")&&e.variable;if(g){if(at.test(g))throw new xt("Invalid `variable` option passed into `_.template`")}else p="with (obj) {\n"+p+"\n}\n";p=(s?p.replace(F,""):p).replace(z,"$1").replace(V,"$1;"),p="function("+(g||"obj")+") {\n"+(g?"":"obj || (obj = {});\n")+"var __t, __p = ''"+(o?", __e = _.escape":"")+(s?", __j = Array.prototype.join;\nfunction print() { __p += __j.call(arguments, '') }\n":";\n")+p+"return __p\n}";var m=Ka((function(){return wt(l,f+"return "+p).apply(n,c)}));if(m.source=p,Xs(m))throw m;return m},Rn.times=function(t,e){if((t=pa(t))<1||t>c)return[];var n=h,r=mn(t,h);e=io(e),t-=h;for(var i=He(r,e);++n<t;)e(n);return i},Rn.toFinite=ha,Rn.toInteger=pa,Rn.toLength=da,Rn.toLower=function(t){return ma(t).toLowerCase()},Rn.toNumber=fa,Rn.toSafeInteger=function(t){return t?ir(pa(t),-c,c):0===t?t:0},Rn.toString=ma,Rn.toUpper=function(t){return ma(t).toUpperCase()},Rn.trim=function(t,e,r){if((t=ma(t))&&(r||e===n))return Ue(t);if(!t||!(e=oi(e)))return t;var i=ln(t),o=ln(e);return vi(i,Ke(i,o),Ze(i,o)+1).join("")},Rn.trimEnd=function(t,e,r){if((t=ma(t))&&(r||e===n))return t.slice(0,cn(t)+1);if(!t||!(e=oi(e)))return t;var i=ln(t);return vi(i,0,Ze(i,ln(e))+1).join("")},Rn.trimStart=function(t,e,r){if((t=ma(t))&&(r||e===n))return t.replace(et,"");if(!t||!(e=oi(e)))return t;var i=ln(t);return vi(i,Ke(i,ln(e))).join("")},Rn.truncate=function(t,e){var r=30,i="...";if(Js(e)){var o="separator"in e?e.separator:o;r="length"in e?pa(e.length):r,i="omission"in e?oi(e.omission):i}var s=(t=ma(t)).length;if(en(t)){var a=ln(t);s=a.length}if(r>=s)return t;var l=r-an(i);if(l<1)return i;var c=a?vi(a,0,l).join(""):t.slice(0,l);if(o===n)return c+i;if(a&&(l+=c.length-l),ra(o)){if(t.slice(l).search(o)){var u,h=c;for(o.global||(o=Ct(o.source,ma(ut.exec(o))+"g")),o.lastIndex=0;u=o.exec(h);)var p=u.index;c=c.slice(0,p===n?l:p)}}else if(t.indexOf(oi(o),l)!=l){var d=c.lastIndexOf(o);d>-1&&(c=c.slice(0,d))}return c+i},Rn.unescape=function(t){return(t=ma(t))&&H.test(t)?t.replace(q,un):t},Rn.uniqueId=function(t){var e=++Dt;return ma(t)+e},Rn.upperCase=Ga,Rn.upperFirst=Xa,Rn.each=ms,Rn.eachRight=vs,Rn.first=Wo,ol(Rn,function(){var t={};return vr(Rn,(function(e,n){jt.call(Rn.prototype,n)||(t[n]=e)})),t}(),{chain:!1}),Rn.VERSION="4.17.21",Se(["bind","bindKey","curry","curryRight","partial","partialRight"],(function(t){Rn[t].placeholder=Rn})),Se(["drop","take"],(function(t,e){zn.prototype[t]=function(r){r=r===n?1:gn(pa(r),0);var i=this.__filtered__&&!e?new zn(this):this.clone();return i.__filtered__?i.__takeCount__=mn(r,i.__takeCount__):i.__views__.push({size:mn(r,h),type:t+(i.__dir__<0?"Right":"")}),i},zn.prototype[t+"Right"]=function(e){return this.reverse()[t](e).reverse()}})),Se(["filter","map","takeWhile"],(function(t,e){var n=e+1,r=1==n||3==n;zn.prototype[t]=function(t){var e=this.clone();return e.__iteratees__.push({iteratee:io(t,3),type:n}),e.__filtered__=e.__filtered__||r,e}})),Se(["head","last"],(function(t,e){var n="take"+(e?"Right":"");zn.prototype[t]=function(){return this[n](1).value()[0]}})),Se(["initial","tail"],(function(t,e){var n="drop"+(e?"":"Right");zn.prototype[t]=function(){return this.__filtered__?new zn(this):this[n](1)}})),zn.prototype.compact=function(){return this.filter(el)},zn.prototype.find=function(t){return this.filter(t).head()},zn.prototype.findLast=function(t){return this.reverse().find(t)},zn.prototype.invokeMap=Ur((function(t,e){return"function"==typeof t?new zn(this):this.map((function(n){return Or(n,t,e)}))})),zn.prototype.reject=function(t){return this.filter(js(io(t)))},zn.prototype.slice=function(t,e){t=pa(t);var r=this;return r.__filtered__&&(t>0||e<0)?new zn(r):(t<0?r=r.takeRight(-t):t&&(r=r.drop(t)),e!==n&&(r=(e=pa(e))<0?r.dropRight(-e):r.take(e-t)),r)},zn.prototype.takeRightWhile=function(t){return this.reverse().takeWhile(t).reverse()},zn.prototype.toArray=function(){return this.take(h)},vr(zn.prototype,(function(t,e){var r=/^(?:filter|find|map|reject)|While$/.test(e),i=/^(?:head|last)$/.test(e),o=Rn[i?"take"+("last"==e?"Right":""):e],s=i||/^find/.test(e);o&&(Rn.prototype[e]=function(){var e=this.__wrapped__,a=i?[1]:arguments,l=e instanceof zn,c=a[0],u=l||Vs(e),h=function(t){var e=o.apply(Rn,Pe([t],a));return i&&p?e[0]:e};u&&r&&"function"==typeof c&&1!=c.length&&(l=u=!1);var p=this.__chain__,d=!!this.__actions__.length,f=s&&!p,g=l&&!d;if(!s&&u){e=g?e:new zn(this);var m=t.apply(e,a);return m.__actions__.push({func:hs,args:[h],thisArg:n}),new Fn(m,p)}return f&&g?t.apply(this,a):(m=this.thru(h),f?i?m.value()[0]:m.value():m)})})),Se(["pop","push","shift","sort","splice","unshift"],(function(t){var e=Tt[t],n=/^(?:push|sort|unshift)$/.test(t)?"tap":"thru",r=/^(?:pop|shift)$/.test(t);Rn.prototype[t]=function(){var t=arguments;if(r&&!this.__chain__){var i=this.value();return e.apply(Vs(i)?i:[],t)}return this[n]((function(n){return e.apply(Vs(n)?n:[],t)}))}})),vr(zn.prototype,(function(t,e){var n=Rn[e];if(n){var r=n.name+"";jt.call(Tn,r)||(Tn[r]=[]),Tn[r].push({name:e,func:n})}})),Tn[Ii(n,2).name]=[{name:"wrapper",func:n}],zn.prototype.clone=function(){var t=new zn(this.__wrapped__);return t.__actions__=Ci(this.__actions__),t.__dir__=this.__dir__,t.__filtered__=this.__filtered__,t.__iteratees__=Ci(this.__iteratees__),t.__takeCount__=this.__takeCount__,t.__views__=Ci(this.__views__),t},zn.prototype.reverse=function(){if(this.__filtered__){var t=new zn(this);t.__dir__=-1,t.__filtered__=!0}else(t=this.clone()).__dir__*=-1;return t},zn.prototype.value=function(){var t=this.__wrapped__.value(),e=this.__dir__,n=Vs(t),r=e<0,i=n?t.length:0,o=function(t,e,n){for(var r=-1,i=n.length;++r<i;){var o=n[r],s=o.size;switch(o.type){case"drop":t+=s;break;case"dropRight":e-=s;break;case"take":e=mn(e,t+s);break;case"takeRight":t=gn(t,e-s)}}return{start:t,end:e}}(0,i,this.__views__),s=o.start,a=o.end,l=a-s,c=r?a:s-1,u=this.__iteratees__,h=u.length,p=0,d=mn(l,this.__takeCount__);if(!n||!r&&i==l&&d==l)return ui(t,this.__actions__);var f=[];t:for(;l--&&p<d;){for(var g=-1,m=t[c+=e];++g<h;){var v=u[g],y=v.iteratee,b=v.type,_=y(m);if(2==b)m=_;else if(!_){if(1==b)continue t;break t}}f[p++]=m}return f},Rn.prototype.at=ps,Rn.prototype.chain=function(){return us(this)},Rn.prototype.commit=function(){return new Fn(this.value(),this.__chain__)},Rn.prototype.next=function(){this.__values__===n&&(this.__values__=ua(this.value()));var t=this.__index__>=this.__values__.length;return{done:t,value:t?n:this.__values__[this.__index__++]}},Rn.prototype.plant=function(t){for(var e,r=this;r instanceof Bn;){var i=Ro(r);i.__index__=0,i.__values__=n,e?o.__wrapped__=i:e=i;var o=i;r=r.__wrapped__}return o.__wrapped__=t,e},Rn.prototype.reverse=function(){var t=this.__wrapped__;if(t instanceof zn){var e=t;return this.__actions__.length&&(e=new zn(this)),(e=e.reverse()).__actions__.push({func:hs,args:[Jo],thisArg:n}),new Fn(e,this.__chain__)}return this.thru(Jo)},Rn.prototype.toJSON=Rn.prototype.valueOf=Rn.prototype.value=function(){return ui(this.__wrapped__,this.__actions__)},Rn.prototype.first=Rn.prototype.head,Jt&&(Rn.prototype[Jt]=function(){return this}),Rn}();he?((he.exports=hn)._=hn,ue._=hn):ce._=hn}).call(Lh)}(Rh,Rh.exports);var Nh=Rh.exports;const Bh={key:0,class:"message"},Fh={class:"body"},zh={class:"dismiss"},Vh=rr({__name:"base-banner",props:{prependMessage:{default:void 0},small:{type:Boolean,default:!1},type:{default:"warning"}},setup(t){const e=t,n={warning:"Warning",error:"Error",success:"Success"},r=ho((()=>e.prependMessage?e.prependMessage:Nh.isUndefined(n[e.type])?"":`${n[e.type]}`));return(t,e)=>(Ai(),Pi("div",{class:Y(["banner",t.type,{small:t.small}]),role:"alert"},[r.value?(Ai(),Pi("div",Bh,et(r.value),1)):Vi("",!0),Ri("div",Fh,[Or(t.$slots,"default",{},void 0,!0)]),Ri("div",zh,[Or(t.$slots,"right",{},void 0,!0)])],2))}}),qh=(t,e)=>{const n=t.__vccOpts||t;for(const[t,r]of e)n[t]=r;return n},Wh=qh(Vh,[["__scopeId","data-v-a67ecae9"]]),Hh={props:{modelValue:{type:null,default:void 0},initialValue:{type:null,default:void 0}},data(){return{toggleState:void 0!==this.initialValue&&this.initialValue}},computed:{visible:{get(){return void 0===this.modelValue?this.toggleState:this.modelValue},set(t){void 0===this.modelValue?this.toggleState=t:this.$emit("update:modelValue",t)}}},methods:{toggle(){this.visible?this.close():this.open()},open(){this.visible||(this.$emit("update:modelValue",!0),this.toggleState=!0,this.$emit("open"))},close(...t){this.visible&&(this.$emit("update:modelValue",!1),this.toggleState=!1,this.$emit("close",...t))},show(){this.open()},hide(){this.close()}}},Uh=qh(rr({__name:"icon-viewer",props:{icon:{}},setup:t=>(t,e)=>(Ai(),Pi("div",{class:Y(["icon-viewer",`icon-${t.icon}`])},null,2))}),[["__scopeId","data-v-47ab70fc"]]),Gh=(Boolean,Boolean,Boolean,Boolean,Boolean,rr({__name:"button",props:{as:{type:[String,Object,Function],default:"button"},leftIcon:{},rightIcon:{},disabled:{type:Boolean,default:!1},hasMinWidth:{type:Boolean,default:void 0},size:{default:"medium"},spinner:{type:Boolean,default:!1},severity:{default:"primary"},variant:{default:"regular"}},setup(t){const e=t,n=ts(),r=ho((()=>{const t=void 0===e.hasMinWidth?"simple"!==e.variant:e.hasMinWidth;return[n.button,n[`variant-${e.variant}`],n[`severity-${e.severity}`],n[`size-${e.size}`],{[n[`icon-left-${e.leftIcon}`]]:!!e.leftIcon,[n[`icon-right-${e.rightIcon}`]]:!!e.rightIcon,[n.spinner]:e.spinner,[n.hasLeftIcon]:!!e.leftIcon,[n.hasMinWidth]:t,[n.hasRightIcon]:!!e.rightIcon}]}));return(t,e)=>(Ai(),Mi(Pn(t.as||"button"),{class:Y(r.value),disabled:t.disabled},{default:wn((()=>[Or(t.$slots,"default")])),_:3},8,["class","disabled"]))}})),Xh=qh(Gh,[["__cssModules",{$style:{icon:"_icon_1xdlq_1",button:"_button_1xdlq_51",spinner:"_spinner_1xdlq_70",spin:"_spin_1xdlq_70","icon-left-alert-circle":"_icon-left-alert-circle_1xdlq_97","icon-right-alert-circle":"_icon-right-alert-circle_1xdlq_101","icon-left-angle-double-right":"_icon-left-angle-double-right_1xdlq_105","icon-right-angle-double-right":"_icon-right-angle-double-right_1xdlq_109","icon-left-angle-down":"_icon-left-angle-down_1xdlq_113","icon-right-angle-down":"_icon-right-angle-down_1xdlq_117","icon-left-angle-left":"_icon-left-angle-left_1xdlq_121","icon-right-angle-left":"_icon-right-angle-left_1xdlq_125","icon-left-angle-right":"_icon-left-angle-right_1xdlq_129","icon-right-angle-right":"_icon-right-angle-right_1xdlq_133","icon-left-angle-up":"_icon-left-angle-up_1xdlq_137","icon-right-angle-up":"_icon-right-angle-up_1xdlq_141","icon-left-arrow-down":"_icon-left-arrow-down_1xdlq_145","icon-right-arrow-down":"_icon-right-arrow-down_1xdlq_149","icon-left-arrow-left":"_icon-left-arrow-left_1xdlq_153","icon-right-arrow-left":"_icon-right-arrow-left_1xdlq_157","icon-left-arrow-right":"_icon-left-arrow-right_1xdlq_161","icon-right-arrow-right":"_icon-right-arrow-right_1xdlq_165","icon-left-arrow-up":"_icon-left-arrow-up_1xdlq_169","icon-right-arrow-up":"_icon-right-arrow-up_1xdlq_173","icon-left-ban":"_icon-left-ban_1xdlq_177","icon-right-ban":"_icon-right-ban_1xdlq_181","icon-left-bell":"_icon-left-bell_1xdlq_185","icon-right-bell":"_icon-right-bell_1xdlq_189","icon-left-building":"_icon-left-building_1xdlq_193","icon-right-building":"_icon-right-building_1xdlq_197","icon-left-calendar":"_icon-left-calendar_1xdlq_201","icon-right-calendar":"_icon-right-calendar_1xdlq_205","icon-left-caret-down":"_icon-left-caret-down_1xdlq_209","icon-right-caret-down":"_icon-right-caret-down_1xdlq_213","icon-left-caret-up":"_icon-left-caret-up_1xdlq_217","icon-right-caret-up":"_icon-right-caret-up_1xdlq_221","icon-left-chart-bar":"_icon-left-chart-bar_1xdlq_225","icon-right-chart-bar":"_icon-right-chart-bar_1xdlq_229","icon-left-check-circle":"_icon-left-check-circle_1xdlq_233","icon-right-check-circle":"_icon-right-check-circle_1xdlq_237","icon-left-check":"_icon-left-check_1xdlq_233","icon-right-check":"_icon-right-check_1xdlq_237","icon-left-chevron-down":"_icon-left-chevron-down_1xdlq_249","icon-right-chevron-down":"_icon-right-chevron-down_1xdlq_253","icon-left-chevron-up":"_icon-left-chevron-up_1xdlq_257","icon-right-chevron-up":"_icon-right-chevron-up_1xdlq_261","icon-left-caret-left":"_icon-left-caret-left_1xdlq_265","icon-right-caret-left":"_icon-right-caret-left_1xdlq_269","icon-left-caret-right":"_icon-left-caret-right_1xdlq_273","icon-right-caret-right":"_icon-right-caret-right_1xdlq_277","icon-left-chevron-left":"_icon-left-chevron-left_1xdlq_281","icon-right-chevron-left":"_icon-right-chevron-left_1xdlq_285","icon-left-chevron-right":"_icon-left-chevron-right_1xdlq_289","icon-right-chevron-right":"_icon-right-chevron-right_1xdlq_293","icon-left-circle":"_icon-left-circle_1xdlq_297","icon-right-circle":"_icon-right-circle_1xdlq_301","icon-left-circle-thin":"_icon-left-circle-thin_1xdlq_305","icon-right-circle-thin":"_icon-right-circle-thin_1xdlq_309","icon-left-clock":"_icon-left-clock_1xdlq_313","icon-right-clock":"_icon-right-clock_1xdlq_317","icon-left-close":"_icon-left-close_1xdlq_321","icon-right-close":"_icon-right-close_1xdlq_325","icon-left-close-circle":"_icon-left-close-circle_1xdlq_329","icon-right-close-circle":"_icon-right-close-circle_1xdlq_333","icon-left-code-branch":"_icon-left-code-branch_1xdlq_337","icon-right-code-branch":"_icon-right-code-branch_1xdlq_341","icon-left-cog":"_icon-left-cog_1xdlq_345","icon-right-cog":"_icon-right-cog_1xdlq_349","icon-left-comments":"_icon-left-comments_1xdlq_353","icon-right-comments":"_icon-right-comments_1xdlq_357","icon-left-copy":"_icon-left-copy_1xdlq_361","icon-right-copy":"_icon-right-copy_1xdlq_365","icon-left-credit-card":"_icon-left-credit-card_1xdlq_369","icon-right-credit-card":"_icon-right-credit-card_1xdlq_373","icon-left-disable":"_icon-left-disable_1xdlq_377","icon-right-disable":"_icon-right-disable_1xdlq_381","icon-left-dollar-sign":"_icon-left-dollar-sign_1xdlq_385","icon-right-dollar-sign":"_icon-right-dollar-sign_1xdlq_389","icon-left-download":"_icon-left-download_1xdlq_393","icon-right-download":"_icon-right-download_1xdlq_397","icon-left-edit":"_icon-left-edit_1xdlq_401","icon-right-edit":"_icon-right-edit_1xdlq_405","icon-left-ellipsis-h":"_icon-left-ellipsis-h_1xdlq_409","icon-right-ellipsis-h":"_icon-right-ellipsis-h_1xdlq_413","icon-left-ellipsis-v":"_icon-left-ellipsis-v_1xdlq_417","icon-right-ellipsis-v":"_icon-right-ellipsis-v_1xdlq_421","icon-left-exclamation-circle":"_icon-left-exclamation-circle_1xdlq_425","icon-right-exclamation-circle":"_icon-right-exclamation-circle_1xdlq_429","icon-left-exclamation-triangle":"_icon-left-exclamation-triangle_1xdlq_433","icon-right-exclamation-triangle":"_icon-right-exclamation-triangle_1xdlq_437","icon-left-eye":"_icon-left-eye_1xdlq_441","icon-right-eye":"_icon-right-eye_1xdlq_445","icon-left-fast-forward":"_icon-left-fast-forward_1xdlq_449","icon-right-fast-forward":"_icon-right-fast-forward_1xdlq_453","icon-left-file":"_icon-left-file_1xdlq_457","icon-right-file":"_icon-right-file_1xdlq_461","icon-left-filter":"_icon-left-filter_1xdlq_465","icon-right-filter":"_icon-right-filter_1xdlq_469","icon-left-globe-americas":"_icon-left-globe-americas_1xdlq_473","icon-right-globe-americas":"_icon-right-globe-americas_1xdlq_477","icon-left-globe":"_icon-left-globe_1xdlq_473","icon-right-globe":"_icon-right-globe_1xdlq_477","icon-left-help":"_icon-left-help_1xdlq_489","icon-right-help":"_icon-right-help_1xdlq_493","icon-left-history":"_icon-left-history_1xdlq_497","icon-right-history":"_icon-right-history_1xdlq_501","icon-left-house":"_icon-left-house_1xdlq_505","icon-right-house":"_icon-right-house_1xdlq_509","icon-left-id-card":"_icon-left-id-card_1xdlq_513","icon-right-id-card":"_icon-right-id-card_1xdlq_517","icon-left-info":"_icon-left-info_1xdlq_521","icon-right-info":"_icon-right-info_1xdlq_525","icon-left-link":"_icon-left-link_1xdlq_529","icon-right-link":"_icon-right-link_1xdlq_533","icon-left-lock":"_icon-left-lock_1xdlq_537","icon-right-lock":"_icon-right-lock_1xdlq_541","icon-left-lock-open":"_icon-left-lock-open_1xdlq_545","icon-right-lock-open":"_icon-right-lock-open_1xdlq_549","icon-left-long-arrow-alt-left":"_icon-left-long-arrow-alt-left_1xdlq_553","icon-right-long-arrow-alt-left":"_icon-right-long-arrow-alt-left_1xdlq_557","icon-left-long-arrow-alt-right":"_icon-left-long-arrow-alt-right_1xdlq_561","icon-right-long-arrow-alt-right":"_icon-right-long-arrow-alt-right_1xdlq_565","icon-left-magic":"_icon-left-magic_1xdlq_569","icon-right-magic":"_icon-right-magic_1xdlq_573","icon-left-minus-circle":"_icon-left-minus-circle_1xdlq_577","icon-right-minus-circle":"_icon-right-minus-circle_1xdlq_581","icon-left-menu":"_icon-left-menu_1xdlq_585","icon-right-menu":"_icon-right-menu_1xdlq_589","icon-left-minus":"_icon-left-minus_1xdlq_577","icon-right-minus":"_icon-right-minus_1xdlq_581","icon-left-more":"_icon-left-more_1xdlq_601","icon-right-more":"_icon-right-more_1xdlq_605","icon-left-more-vert":"_icon-left-more-vert_1xdlq_609","icon-right-more-vert":"_icon-right-more-vert_1xdlq_613","icon-left-paper-plane":"_icon-left-paper-plane_1xdlq_617","icon-right-paper-plane":"_icon-right-paper-plane_1xdlq_621","icon-left-play-circle":"_icon-left-play-circle_1xdlq_625","icon-right-play-circle":"_icon-right-play-circle_1xdlq_629","icon-left-plus":"_icon-left-plus_1xdlq_633","icon-right-plus":"_icon-right-plus_1xdlq_637","icon-left-plus-circle":"_icon-left-plus-circle_1xdlq_641","icon-right-plus-circle":"_icon-right-plus-circle_1xdlq_645","icon-left-plus-square":"_icon-left-plus-square_1xdlq_649","icon-right-plus-square":"_icon-right-plus-square_1xdlq_653","icon-left-question-mark":"_icon-left-question-mark_1xdlq_657","icon-right-question-mark":"_icon-right-question-mark_1xdlq_661","icon-left-random":"_icon-left-random_1xdlq_665","icon-right-random":"_icon-right-random_1xdlq_669","icon-left-redo":"_icon-left-redo_1xdlq_673","icon-right-redo":"_icon-right-redo_1xdlq_677","icon-left-refresh":"_icon-left-refresh_1xdlq_681","icon-right-refresh":"_icon-right-refresh_1xdlq_685","icon-left-reply":"_icon-left-reply_1xdlq_689","icon-right-reply":"_icon-right-reply_1xdlq_693","icon-left-resend":"_icon-left-resend_1xdlq_697","icon-right-resend":"_icon-right-resend_1xdlq_701","icon-left-right-from-bracket":"_icon-left-right-from-bracket_1xdlq_705","icon-right-right-from-bracket":"_icon-right-right-from-bracket_1xdlq_709","icon-left-search":"_icon-left-search_1xdlq_713","icon-right-search":"_icon-right-search_1xdlq_717","icon-left-settings":"_icon-left-settings_1xdlq_721","icon-right-settings":"_icon-right-settings_1xdlq_725","icon-left-share":"_icon-left-share_1xdlq_729","icon-right-share":"_icon-right-share_1xdlq_733","icon-left-spinner":"_icon-left-spinner_1xdlq_737","icon-right-spinner":"_icon-right-spinner_1xdlq_742","icon-left-square-down":"_icon-left-square-down_1xdlq_747","icon-right-square-down":"_icon-right-square-down_1xdlq_751","icon-left-stop":"_icon-left-stop_1xdlq_755","icon-right-stop":"_icon-right-stop_1xdlq_759","icon-left-swap":"_icon-left-swap_1xdlq_763","icon-right-swap":"_icon-right-swap_1xdlq_767","icon-left-table":"_icon-left-table_1xdlq_771","icon-right-table":"_icon-right-table_1xdlq_775","icon-left-times-circle":"_icon-left-times-circle_1xdlq_779","icon-right-times-circle":"_icon-right-times-circle_1xdlq_783","icon-left-trash":"_icon-left-trash_1xdlq_787","icon-right-trash":"_icon-right-trash_1xdlq_791","icon-left-unfold-less":"_icon-left-unfold-less_1xdlq_795","icon-right-unfold-less":"_icon-right-unfold-less_1xdlq_799","icon-left-unfold-more":"_icon-left-unfold-more_1xdlq_803","icon-right-unfold-more":"_icon-right-unfold-more_1xdlq_807","icon-left-user":"_icon-left-user_1xdlq_811","icon-right-user":"_icon-right-user_1xdlq_815","icon-left-users":"_icon-left-users_1xdlq_819","icon-right-users":"_icon-right-users_1xdlq_823","icon-left-vial":"_icon-left-vial_1xdlq_827","icon-right-vial":"_icon-right-vial_1xdlq_831","icon-left-view-list":"_icon-left-view-list_1xdlq_835","icon-right-view-list":"_icon-right-view-list_1xdlq_839",hasLeftIcon:"_hasLeftIcon_1xdlq_843","size-small":"_size-small_1xdlq_849",hasRightIcon:"_hasRightIcon_1xdlq_856",hasMinWidth:"_hasMinWidth_1xdlq_873","severity-primary":"_severity-primary_1xdlq_876","variant-regular":"_variant-regular_1xdlq_876","variant-outline":"_variant-outline_1xdlq_892","variant-simple":"_variant-simple_1xdlq_907","severity-secondary":"_severity-secondary_1xdlq_918","severity-danger":"_severity-danger_1xdlq_965","severity-caution":"_severity-caution_1xdlq_1001","size-large":"_size-large_1xdlq_1037",disabled:"_disabled_1xdlq_1078"}}]]),Yh=qh(rr({__name:"card-content",props:{padding:{default:"md"}},setup:t=>(t,e)=>(Ai(),Pi("div",{class:Y(t.$style[t.padding])},[Or(t.$slots,"default")],2))}),[["__cssModules",{$style:{sm:"_sm_rsgx8_1",md:"_md_rsgx8_4",lg:"_lg_rsgx8_7"}}]]),Kh=qh(rr({__name:"card",props:{boxShadow:{type:Boolean,default:!0},padding:{type:[String,Boolean],default:"md"}},setup:t=>(t,e)=>(Ai(),Pi("div",{class:Y([t.$style.card,{[t.$style.boxShadow]:t.boxShadow}])},[t.padding?(Ai(),Mi(Yh,{key:0,padding:t.padding},{default:wn((()=>[Or(t.$slots,"default")])),_:3},8,["padding"])):Or(t.$slots,"default",{key:1})],2))}),[["__cssModules",{$style:{card:"_card_1qt3t_1",boxShadow:"_boxShadow_1qt3t_7"}}]]);Object.assign(Kh,{Content:Yh});var Zh={exports:{}};!function(t){var e,n;e=typeof window<"u"?window:Lh,n=function(t){function e(t,e,n,r){t.hasOwnProperty(e)||(t[e]=r.apply(null,n))}var n={};return e(n,"Core/Globals.js",[],(function(){var e=typeof t<"u"?t:typeof window<"u"?window:{},n=e.document,r=e.navigator&&e.navigator.userAgent||"",i=n&&n.createElementNS&&!!n.createElementNS("http://www.w3.org/2000/svg","svg").createSVGRect,o=/(edge|msie|trident)/i.test(r)&&!e.opera,s=-1!==r.indexOf("Firefox"),a=-1!==r.indexOf("Chrome"),l=s&&4>parseInt(r.split("Firefox/")[1],10);return{product:"Highcharts",version:"8.2.2",deg2rad:2*Math.PI/360,doc:n,hasBidiBug:l,hasTouch:!!e.TouchEvent,isMS:o,isWebKit:-1!==r.indexOf("AppleWebKit"),isFirefox:s,isChrome:a,isSafari:!a&&-1!==r.indexOf("Safari"),isTouchDevice:/(Mobile|Android|Windows Phone)/.test(r),SVG_NS:"http://www.w3.org/2000/svg",chartCount:0,seriesTypes:{},symbolSizes:{},svg:i,win:e,marginNames:["plotTop","marginRight","marginBottom","plotLeft"],noop:function(){},charts:[],dateFormats:{}}})),e(n,"Core/Utilities.js",[n["Core/Globals.js"]],(function(t){function e(t,n,r,i){var o=n?"Highcharts error":"Highcharts warning";32===t&&(t=o+": Deprecated member");var s=g(t),a=s?o+" #"+t+": www.highcharts.com/errors/"+t+"/":t.toString();if(o=function(){if(n)throw Error(a);c.console&&-1===e.messages.indexOf(a)&&console.log(a)},typeof i<"u"){var l="";s&&(a+="?"),q(i,(function(t,e){l+="\n - "+e+": "+t,s&&(a+=encodeURI(e)+"="+encodeURI(t))})),a+=l}r?Y(r,"displayError",{code:t,message:a,params:i},o):o(),e.messages.push(a)}function n(){var t,e=arguments,n={},i=function(t,e){return"object"!=typeof t&&(t={}),q(e,(function(n,o){!r(n,!0)||f(n)||d(n)?t[o]=e[o]:t[o]=i(t[o]||{},n)})),t};!0===e[0]&&(n=e[1],e=Array.prototype.slice.call(e,2));var o=e.length;for(t=0;t<o;t++)n=i(n,e[t]);return n}function r(t,e){return!(!t||"object"!=typeof t||e&&p(t))}function i(t,e,n){var r;return h(e)?v(n)?t.setAttribute(e,n):t&&t.getAttribute&&((r=t.getAttribute(e))||"class"!==e||(r=t.getAttribute(e+"Name"))):q(e,(function(e,n){t.setAttribute(n,e)})),r}function o(){for(var t=arguments,e=t.length,n=0;n<e;n++){var r=t[n];if(typeof r<"u"&&null!==r)return r}}function s(t,e){if(!t)return e;var n=t.split(".").reverse();if(1===n.length)return e[t];for(t=n.pop();typeof t<"u"&&typeof e<"u"&&null!==e;)e=e[t],t=n.pop();return e}t.timers=[];var a=t.charts,l=t.doc,c=t.win;(e||(e={})).messages=[],t.error=e,t.merge=n;var u=t.pInt=function(t,e){return parseInt(t,e||10)},h=t.isString=function(t){return"string"==typeof t},p=t.isArray=function(t){return"[object Array]"===(t=Object.prototype.toString.call(t))||"[object Array Iterator]"===t};t.isObject=r;var d=t.isDOMElement=function(t){return r(t)&&"number"==typeof t.nodeType},f=t.isClass=function(t){var e=t&&t.constructor;return!(!r(t,!0)||d(t)||!e||!e.name||"Object"===e.name)},g=t.isNumber=function(t){return"number"==typeof t&&!isNaN(t)&&1/0>t&&-1/0<t},m=t.erase=function(t,e){for(var n=t.length;n--;)if(t[n]===e){t.splice(n,1);break}},v=t.defined=function(t){return typeof t<"u"&&null!==t};t.attr=i;var y=t.splat=function(t){return p(t)?t:[t]},b=t.syncTimeout=function(t,e,n){return 0<e?setTimeout(t,e,n):(t.call(0,n),-1)},_=t.clearTimeout=function(t){v(t)&&clearTimeout(t)},x=t.extend=function(t,e){var n;for(n in t||(t={}),e)t[n]=e[n];return t};t.pick=o;var w=t.css=function(e,n){t.isMS&&!t.svg&&n&&typeof n.opacity<"u"&&(n.filter="alpha(opacity="+100*n.opacity+")"),x(e.style,n)},S=t.createElement=function(t,e,n,r,i){return t=l.createElement(t),e&&x(t,e),i&&w(t,{padding:"0",border:"none",margin:"0"}),n&&w(t,n),r&&r.appendChild(t),t},k=t.extendClass=function(t,e){var n=function(){};return n.prototype=new t,x(n.prototype,e),n},C=t.pad=function(t,e,n){return Array((e||2)+1-String(t).replace("-","").length).join(n||"0")+t},A=t.relativeLength=function(t,e,n){return/%$/.test(t)?e*parseFloat(t)/100+(n||0):parseFloat(t)},O=t.wrap=function(t,e,n){var r=t[e];t[e]=function(){var t=Array.prototype.slice.call(arguments),e=arguments,i=this;return i.proceed=function(){r.apply(i,arguments.length?arguments:e)},t.unshift(r),t=n.apply(this,t),i.proceed=null,t}},T=t.format=function(e,n,r){var i="{",o=!1,a=[],l=/f$/,c=/\.([0-9])/,u=t.defaultOptions.lang,h=r&&r.time||t.time;for(r=r&&r.numberFormatter||N;e;){var p=e.indexOf(i);if(-1===p)break;var d=e.slice(0,p);if(o){if(i=s((d=d.split(":")).shift()||"",n),d.length&&"number"==typeof i)if(d=d.join(":"),l.test(d)){var f=parseInt((d.match(c)||["","-1"])[1],10);null!==i&&(i=r(i,f,u.decimalPoint,-1<d.indexOf(",")?u.thousandsSep:""))}else i=h.dateFormat(d,i);a.push(i)}else a.push(d);e=e.slice(p+1),i=(o=!o)?"}":"{"}return a.push(e),a.join("")},E=t.getMagnitude=function(t){return Math.pow(10,Math.floor(Math.log(t)/Math.LN10))},P=t.normalizeTickInterval=function(t,e,n,r,i){var s=t,a=t/(n=o(n,1));for(e||(e=i?[1,1.2,1.5,2,2.5,3,4,5,6,8,10]:[1,2,2.5,5,10],!1===r&&(1===n?e=e.filter((function(t){return t%1==0})):.1>=n&&(e=[1/n]))),r=0;r<e.length&&(s=e[r],!(i&&s*n>=t||!i&&a<=(e[r]+(e[r+1]||e[r]))/2));r++);return I(s*n,-Math.round(Math.log(.001)/Math.LN10))},M=t.stableSort=function(t,e){var n,r,i=t.length;for(r=0;r<i;r++)t[r].safeI=r;for(t.sort((function(t,r){return 0===(n=e(t,r))?t.safeI-r.safeI:n})),r=0;r<i;r++)delete t[r].safeI},L=t.arrayMin=function(t){for(var e=t.length,n=t[0];e--;)t[e]<n&&(n=t[e]);return n},j=t.arrayMax=function(t){for(var e=t.length,n=t[0];e--;)t[e]>n&&(n=t[e]);return n},D=t.destroyObjectProperties=function(t,e){q(t,(function(n,r){n&&n!==e&&n.destroy&&n.destroy(),delete t[r]}))},$=t.discardElement=function(e){var n=t.garbageBin;n||(n=S("div")),e&&n.appendChild(e),n.innerHTML=""},I=t.correctFloat=function(t,e){return parseFloat(t.toPrecision(e||14))},R=t.timeUnits={millisecond:1,second:1e3,minute:6e4,hour:36e5,day:864e5,week:6048e5,month:24192e5,year:314496e5},N=t.numberFormat=function(e,n,r,i){e=+e||0,n=+n;var s=t.defaultOptions.lang,a=(e.toString().split(".")[1]||"").split("e")[0].length,l=e.toString().split("e");if(-1===n)n=Math.min(a,20);else if(g(n)){if(n&&l[1]&&0>l[1]){var c=n+ +l[1];0<=c?(l[0]=(+l[0]).toExponential(c).split("e")[0],n=c):(l[0]=l[0].split(".")[0]||0,e=20>n?(l[0]*Math.pow(10,l[1])).toFixed(n):0,l[1]=0)}}else n=2;var h=(Math.abs(l[1]?l[0]:e)+Math.pow(10,-Math.max(n,a)-1)).toFixed(n);return c=3<(a=String(u(h))).length?a.length%3:0,r=o(r,s.decimalPoint),i=o(i,s.thousandsSep),e=(0>e?"-":"")+(c?a.substr(0,c)+i:""),e+=a.substr(c).replace(/(\d{3})(?=\d)/g,"$1"+i),n&&(e+=r+h.slice(-n)),l[1]&&0!=+e&&(e+="e"+l[1]),e};Math.easeInOutSine=function(t){return-.5*(Math.cos(Math.PI*t)-1)};var B=t.getStyle=function(n,r,i){return"width"===r?(r=Math.min(n.offsetWidth,n.scrollWidth),(i=n.getBoundingClientRect&&n.getBoundingClientRect().width)<r&&i>=r-1&&(r=Math.floor(i)),Math.max(0,r-t.getStyle(n,"padding-left")-t.getStyle(n,"padding-right"))):"height"===r?Math.max(0,Math.min(n.offsetHeight,n.scrollHeight)-t.getStyle(n,"padding-top")-t.getStyle(n,"padding-bottom")):(c.getComputedStyle||e(27,!0),(n=c.getComputedStyle(n,void 0))&&(n=n.getPropertyValue(r),o(i,"opacity"!==r)&&(n=u(n))),n)},F=t.inArray=function(t,n,r){return e(32,!1,void 0,{"Highcharts.inArray":"use Array.indexOf"}),n.indexOf(t,r)},z=t.find=Array.prototype.find?function(t,e){return t.find(e)}:function(t,e){var n,r=t.length;for(n=0;n<r;n++)if(e(t[n],n))return t[n]};t.keys=function(t){return e(32,!1,void 0,{"Highcharts.keys":"use Object.keys"}),Object.keys(t)};var V=t.offset=function(t){var e=l.documentElement;return{top:(t=t.parentElement||t.parentNode?t.getBoundingClientRect():{top:0,left:0}).top+(c.pageYOffset||e.scrollTop)-(e.clientTop||0),left:t.left+(c.pageXOffset||e.scrollLeft)-(e.clientLeft||0)}},q=t.objectEach=function(t,e,n){for(var r in t)Object.hasOwnProperty.call(t,r)&&e.call(n||t[r],t[r],r,t)};q({map:"map",each:"forEach",grep:"filter",reduce:"reduce",some:"some"},(function(n,r){t[r]=function(t){var i;return e(32,!1,void 0,((i={})["Highcharts."+r]="use Array."+n,i)),Array.prototype[n].apply(t,[].slice.call(arguments,1))}}));var W,H,U,G=t.addEvent=function(e,n,r,i){void 0===i&&(i={});var o=e.addEventListener||t.addEventListenerPolyfill,s="function"==typeof e&&e.prototype?e.prototype.protoEvents=e.prototype.protoEvents||{}:e.hcEvents=e.hcEvents||{};return t.Point&&e instanceof t.Point&&e.series&&e.series.chart&&(e.series.chart.runTrackerClick=!0),o&&o.call(e,n,r,!1),s[n]||(s[n]=[]),s[n].push({fn:r,order:"number"==typeof i.order?i.order:1/0}),s[n].sort((function(t,e){return t.order-e.order})),function(){X(e,n,r)}},X=t.removeEvent=function(e,n,r){function i(n,r){var i=e.removeEventListener||t.removeEventListenerPolyfill;i&&i.call(e,n,r,!1)}function o(t){var r;if(e.nodeName){if(n){var o={};o[n]=!0}else o=t;q(o,(function(e,n){if(t[n])for(r=t[n].length;r--;)i(n,t[n][r].fn)}))}}var s;["protoEvents","hcEvents"].forEach((function(t,a){var l=(a=a?e:e.prototype)&&a[t];l&&(n?(s=l[n]||[],r?(l[n]=s.filter((function(t){return r!==t.fn})),i(n,r)):(o(l),l[n]=[])):(o(l),a[t]={}))}))},Y=t.fireEvent=function(t,e,n,r){var i;if(n=n||{},l.createEvent&&(t.dispatchEvent||t.fireEvent)){var o=l.createEvent("Events");o.initEvent(e,!0,!0),x(o,n),t.dispatchEvent?t.dispatchEvent(o):t.fireEvent(e,o)}else n.target||x(n,{preventDefault:function(){n.defaultPrevented=!0},target:t,type:e}),function(e,r){void 0===e&&(e=[]),void 0===r&&(r=[]);var o=0,s=0,a=e.length+r.length;for(i=0;i<a;i++)!1===(e[o]?r[s]?e[o].order<=r[s].order?e[o++]:r[s++]:e[o++]:r[s++]).fn.call(t,n)&&n.preventDefault()}(t.protoEvents&&t.protoEvents[e],t.hcEvents&&t.hcEvents[e]);r&&!n.defaultPrevented&&r.call(t,n)},K=t.uniqueKey=(H=Math.random().toString(36).substring(2,9)+"-",U=0,function(){return"highcharts-"+(W?"":H)+U++}),Z=t.useSerialIds=function(t){return W=o(t,W)},J=t.isFunction=function(t){return"function"==typeof t},Q=t.getOptions=function(){return t.defaultOptions},tt=t.setOptions=function(e){return t.defaultOptions=n(!0,t.defaultOptions,e),(e.time||e.global)&&t.time.update(n(t.defaultOptions.global,t.defaultOptions.time,e.global,e.time)),t.defaultOptions};return c.jQuery&&(c.jQuery.fn.highcharts=function(){var e=[].slice.call(arguments);if(this[0])return e[0]?(new(t[h(e[0])?e.shift():"Chart"])(this[0],e[0],e[1]),this):a[i(this[0],"data-highcharts-chart")]}),{addEvent:G,arrayMax:j,arrayMin:L,attr:i,clamp:function(t,e,n){return t>e?t<n?t:n:e},clearTimeout:_,correctFloat:I,createElement:S,css:w,defined:v,destroyObjectProperties:D,discardElement:$,erase:m,error:e,extend:x,extendClass:k,find:z,fireEvent:Y,format:T,getMagnitude:E,getNestedProperty:s,getOptions:Q,getStyle:B,inArray:F,isArray:p,isClass:f,isDOMElement:d,isFunction:J,isNumber:g,isObject:r,isString:h,merge:n,normalizeTickInterval:P,numberFormat:N,objectEach:q,offset:V,pad:C,pick:o,pInt:u,relativeLength:A,removeEvent:X,setOptions:tt,splat:y,stableSort:M,syncTimeout:b,timeUnits:R,uniqueKey:K,useSerialIds:Z,wrap:O}})),e(n,"Core/Color/Color.js",[n["Core/Globals.js"],n["Core/Utilities.js"]],(function(t,e){var n=e.isNumber,r=e.merge,i=e.pInt;return e=function(){function e(n){return this.parsers=[{regex:/rgba\(\s*([0-9]{1,3})\s*,\s*([0-9]{1,3})\s*,\s*([0-9]{1,3})\s*,\s*([0-9]?(?:\.[0-9]+)?)\s*\)/,parse:function(t){return[i(t[1]),i(t[2]),i(t[3]),parseFloat(t[4],10)]}},{regex:/rgb\(\s*([0-9]{1,3})\s*,\s*([0-9]{1,3})\s*,\s*([0-9]{1,3})\s*\)/,parse:function(t){return[i(t[1]),i(t[2]),i(t[3]),1]}}],this.rgba=[],t.Color!==e?new t.Color(n):this instanceof e?void this.init(n):new e(n)}return e.parse=function(t){return new e(t)},e.prototype.init=function(t){var n,r;if((this.input=t=e.names[t&&t.toLowerCase?t.toLowerCase():""]||t)&&t.stops)this.stops=t.stops.map((function(t){return new e(t[1])}));else{if(t&&t.charAt&&"#"===t.charAt()){var i=t.length;t=parseInt(t.substr(1),16),7===i?n=[(16711680&t)>>16,(65280&t)>>8,255&t,1]:4===i&&(n=[(3840&t)>>4|(3840&t)>>8,(240&t)>>4|240&t,(15&t)<<4|15&t,1])}if(!n)for(r=this.parsers.length;r--&&!n;){var o=this.parsers[r];(i=o.regex.exec(t))&&(n=o.parse(i))}}this.rgba=n||[]},e.prototype.get=function(t){var e=this.input,i=this.rgba;if(typeof this.stops<"u"){var o=r(e);o.stops=[].concat(o.stops),this.stops.forEach((function(e,n){o.stops[n]=[o.stops[n][0],e.get(t)]}))}else o=i&&n(i[0])?"rgb"===t||!t&&1===i[3]?"rgb("+i[0]+","+i[1]+","+i[2]+")":"a"===t?i[3]:"rgba("+i.join(",")+")":e;return o},e.prototype.brighten=function(t){var e,r=this.rgba;if(this.stops)this.stops.forEach((function(e){e.brighten(t)}));else if(n(t)&&0!==t)for(e=0;3>e;e++)r[e]+=i(255*t),0>r[e]&&(r[e]=0),255<r[e]&&(r[e]=255);return this},e.prototype.setOpacity=function(t){return this.rgba[3]=t,this},e.prototype.tweenTo=function(t,e){var n=this.rgba,r=t.rgba;return r.length&&n&&n.length?((t=1!==r[3]||1!==n[3])?"rgba(":"rgb(")+Math.round(r[0]+(n[0]-r[0])*(1-e))+","+Math.round(r[1]+(n[1]-r[1])*(1-e))+","+Math.round(r[2]+(n[2]-r[2])*(1-e))+(t?","+(r[3]+(n[3]-r[3])*(1-e)):"")+")":t.input||"none"},e.names={white:"#ffffff",black:"#000000"},e}(),t.Color=e,t.color=e.parse,e})),e(n,"Core/Animation/Fx.js",[n["Core/Globals.js"],n["Core/Utilities.js"]],(function(t,e){var n=t.win,r=e.isNumber,i=e.objectEach;return e=function(){function e(t,e,n){this.pos=NaN,this.options=e,this.elem=t,this.prop=n}return e.prototype.dSetter=function(){var t=this.paths,e=t&&t[0];t=t&&t[1];var n=[],r=this.now||0;if(1!==r&&e&&t)if(e.length===t.length&&1>r)for(var i=0;i<t.length;i++){for(var o=e[i],s=t[i],a=[],l=0;l<s.length;l++){var c=o[l],u=s[l];a[l]="number"==typeof c&&"number"==typeof u&&("A"!==s[0]||4!==l&&5!==l)?c+r*(u-c):u}n.push(a)}else n=t;else n=this.toD||[];this.elem.attr("d",n,void 0,!0)},e.prototype.update=function(){var t=this.elem,e=this.prop,n=this.now,r=this.options.step;this[e+"Setter"]?this[e+"Setter"]():t.attr?t.element&&t.attr(e,n,null,!0):t.style[e]=n+this.unit,r&&r.call(t,n,this)},e.prototype.run=function(e,r,i){var o=this,s=o.options,a=function(t){return!a.stopped&&o.step(t)},l=n.requestAnimationFrame||function(t){setTimeout(t,13)},c=function(){for(var e=0;e<t.timers.length;e++)t.timers[e]()||t.timers.splice(e--,1);t.timers.length&&l(c)};e!==r||this.elem["forceAnimate:"+this.prop]?(this.startTime=+new Date,this.start=e,this.end=r,this.unit=i,this.now=this.start,this.pos=0,a.elem=this.elem,a.prop=this.prop,a()&&1===t.timers.push(a)&&l(c)):(delete s.curAnim[this.prop],s.complete&&0===Object.keys(s.curAnim).length&&s.complete.call(this.elem))},e.prototype.step=function(t){var e=+new Date,n=this.options,r=this.elem,o=n.complete,s=n.duration,a=n.curAnim;if(r.attr&&!r.element)t=!1;else if(t||e>=s+this.startTime){this.now=this.end,this.pos=1,this.update();var l=a[this.prop]=!0;i(a,(function(t){!0!==t&&(l=!1)})),l&&o&&o.call(r),t=!1}else this.pos=n.easing((e-this.startTime)/s),this.now=this.start+(this.end-this.start)*this.pos,this.update(),t=!0;return t},e.prototype.initPath=function(t,e,n){function i(t,e){for(;t.length<p;){var n=t[0],r=e[p-t.length];r&&"M"===n[0]&&(t[0]="C"===r[0]?["C",n[1],n[2],n[1],n[2],n[1],n[2]]:["L",n[1],n[2]]),t.unshift(n),l&&t.push(t[t.length-1])}}function o(t,e){for(;t.length<p;)if("C"===(e=t[t.length/c-1].slice())[0]&&(e[1]=e[5],e[2]=e[6]),l){var n=t[t.length/c].slice();t.splice(t.length/2,0,e,n)}else t.push(e)}var s=t.startX,a=t.endX;e=e&&e.slice(),n=n.slice();var l=t.isArea,c=l?2:1;if(!e)return[n,n];if(s&&a){for(t=0;t<s.length;t++){if(s[t]===a[0]){var u=t;break}if(s[0]===a[a.length-s.length+t]){u=t;var h=!0;break}if(s[s.length-1]===a[a.length-s.length+t]){u=s.length-t;break}}typeof u>"u"&&(e=[])}if(e.length&&r(u)){var p=n.length+u*c;h?(i(e,n),o(n,e)):(i(n,e),o(e,n))}return[e,n]},e.prototype.fillSetter=function(){e.prototype.strokeSetter.apply(this,arguments)},e.prototype.strokeSetter=function(){this.elem.attr(this.prop,t.color(this.start).tweenTo(t.color(this.end),this.pos),null,!0)},e}(),t.Fx=e})),e(n,"Core/Animation/AnimationUtilities.js",[n["Core/Animation/Fx.js"],n["Core/Globals.js"],n["Core/Utilities.js"]],(function(t,e,n){var r=n.defined,i=n.getStyle,o=n.isArray,s=n.isNumber,a=n.isObject,l=n.merge,c=n.objectEach,u=n.pick;n=e.setAnimation=function(t,e){e.renderer.globalAnimation=u(t,e.options.chart.animation,!0)};var h=e.animObject=function(t){return a(t)?e.merge({duration:500,defer:0},t):{duration:t?500:0,defer:0}},p=e.getDeferredAnimation=function(t,e,n){var i=h(e),o=0,s=0;return(n?[n]:t.series).forEach((function(t){t=h(t.options.animation),o=e&&r(e.defer)?i.defer:Math.max(o,t.duration+t.defer),s=Math.min(i.duration,t.duration)})),t.renderer.forExport&&(o=0),{defer:Math.max(0,o-s),duration:Math.min(o,s)}},d=e.animate=function(e,n,r){var u,h,p,d="";if(!a(r)){var g=arguments;r={duration:g[2],easing:g[3],complete:g[4]}}s(r.duration)||(r.duration=400),r.easing="function"==typeof r.easing?r.easing:Math[r.easing]||Math.easeInOutSine,r.curAnim=l(n),c(n,(function(s,a){f(e,a),p=new t(e,r,a),h=null,"d"===a&&o(n.d)?(p.paths=p.initPath(e,e.pathArray,n.d),p.toD=n.d,u=0,h=1):e.attr?u=e.attr(a):(u=parseFloat(i(e,a))||0,"opacity"!==a&&(d="px")),h||(h=s),h&&h.match&&h.match("px")&&(h=h.replace(/px/g,"")),p.run(u,h,d)}))},f=e.stop=function(t,n){for(var r=e.timers.length;r--;)e.timers[r].elem!==t||n&&n!==e.timers[r].prop||(e.timers[r].stopped=!0)};return{animate:d,animObject:h,getDeferredAnimation:p,setAnimation:n,stop:f}})),e(n,"Core/Renderer/SVG/SVGElement.js",[n["Core/Animation/AnimationUtilities.js"],n["Core/Color/Color.js"],n["Core/Globals.js"],n["Core/Utilities.js"]],(function(t,e,n,r){var i=t.animate,o=t.animObject,s=t.stop,a=n.deg2rad,l=n.doc,c=n.hasTouch,u=n.isFirefox,h=n.noop,p=n.svg,d=n.SVG_NS,f=n.win,g=r.attr,m=r.createElement,v=r.css,y=r.defined,b=r.erase,_=r.extend,x=r.fireEvent,w=r.isArray,S=r.isFunction,k=r.isNumber,C=r.isString,A=r.merge,O=r.objectEach,T=r.pick,E=r.pInt,P=r.syncTimeout,M=r.uniqueKey;return t=function(){function t(){this.height=this.element=void 0,this.opacity=1,this.renderer=void 0,this.SVG_NS=d,this.symbolCustomAttribs="x y width height r start end innerR anchorX anchorY rounded".split(" "),this.width=void 0}return t.prototype._defaultGetter=function(t){return t=T(this[t+"Value"],this[t],this.element?this.element.getAttribute(t):null,0),/^[\-0-9\.]+$/.test(t)&&(t=parseFloat(t)),t},t.prototype._defaultSetter=function(t,e,n){n.setAttribute(e,t)},t.prototype.add=function(t){var e=this.renderer,n=this.element;if(t&&(this.parentGroup=t),this.parentInverted=t&&t.inverted,typeof this.textStr<"u"&&"text"===this.element.nodeName&&e.buildText(this),this.added=!0,!t||t.handleZ||this.zIndex)var r=this.zIndexSetter();return r||(t?t.element:e.box).appendChild(n),this.onAdd&&this.onAdd(),this},t.prototype.addClass=function(t,e){var n=e?"":this.attr("class")||"";return(t=(t||"").split(/ /g).reduce((function(t,e){return-1===n.indexOf(e)&&t.push(e),t}),n?[n]:[]).join(" "))!==n&&this.attr("class",t),this},t.prototype.afterSetters=function(){this.doTransform&&(this.updateTransform(),this.doTransform=!1)},t.prototype.align=function(t,e,n){var r,i,o,s={},a=this.renderer,l=a.alignedObjects;t?(this.alignOptions=t,this.alignByTranslate=e,(!n||C(n))&&(this.alignTo=r=n||"renderer",b(l,this),l.push(this),n=void 0)):(t=this.alignOptions,e=this.alignByTranslate,r=this.alignTo),n=T(n,a[r],a),r=t.align,a=t.verticalAlign,l=(n.x||0)+(t.x||0);var c=(n.y||0)+(t.y||0);return"right"===r?i=1:"center"===r&&(i=2),i&&(l+=(n.width-(t.width||0))/i),s[e?"translateX":"x"]=Math.round(l),"bottom"===a?o=1:"middle"===a&&(o=2),o&&(c+=(n.height-(t.height||0))/o),s[e?"translateY":"y"]=Math.round(c),this[this.placed?"animate":"attr"](s),this.placed=!0,this.alignAttr=s,this},t.prototype.alignSetter=function(t){var e={left:"start",center:"middle",right:"end"};e[t]&&(this.alignValue=t,this.element.setAttribute("text-anchor",e[t]))},t.prototype.animate=function(t,e,n){var r=this,s=o(T(e,this.renderer.globalAnimation,!0));return e=s.defer,T(l.hidden,l.msHidden,l.webkitHidden,!1)&&(s.duration=0),0!==s.duration?(n&&(s.complete=n),P((function(){r.element&&i(r,t,s)}),e)):(this.attr(t,void 0,n),O(t,(function(t,e){s.step&&s.step.call(this,t,{prop:e,pos:1})}),this)),this},t.prototype.applyTextOutline=function(t){var e,r=this.element;-1!==t.indexOf("contrast")&&(t=t.replace(/contrast/g,this.renderer.getContrast(r.style.fill)));var i=(t=t.split(" "))[t.length-1];if((e=t[0])&&"none"!==e&&n.svg){this.fakeTS=!0,t=[].slice.call(r.getElementsByTagName("tspan")),this.ySetter=this.xSetter,e=e.replace(/(^[\d\.]+)(.*?)$/g,(function(t,e,n){return 2*e+n})),this.removeTextOutline(t);var o=!!r.textContent&&/^[\u0591-\u065F\u066A-\u07FF\uFB1D-\uFDFD\uFE70-\uFEFC]/.test(r.textContent),s=r.firstChild;t.forEach((function(t,n){0===n&&(t.setAttribute("x",r.getAttribute("x")),n=r.getAttribute("y"),t.setAttribute("y",n||0),null===n&&r.setAttribute("y",0)),n=t.cloneNode(!0),g(o&&!u?t:n,{class:"highcharts-text-outline",fill:i,stroke:i,"stroke-width":e,"stroke-linejoin":"round"}),r.insertBefore(n,s)})),o&&u&&t[0]&&((t=t[0].cloneNode(!0)).textContent=" ",r.insertBefore(t,s))}},t.prototype.attr=function(t,e,n,r){var i,o,a,l=this.element,c=this,u=this.symbolCustomAttribs;if("string"==typeof t&&typeof e<"u"){var h=t;(t={})[h]=e}return"string"==typeof t?c=(this[t+"Getter"]||this._defaultGetter).call(this,t,l):(O(t,(function(e,n){o=!1,r||s(this,n),this.symbolName&&-1!==u.indexOf(n)&&(i||(this.symbolAttr(t),i=!0),o=!0),!this.rotation||"x"!==n&&"y"!==n||(this.doTransform=!0),o||((a=this[n+"Setter"]||this._defaultSetter).call(this,e,n,l),!this.styledMode&&this.shadows&&/^(width|height|visibility|x|y|d|transform|cx|cy|r)$/.test(n)&&this.updateShadows(n,e,a))}),this),this.afterSetters()),n&&n.call(this),c},t.prototype.clip=function(t){return this.attr("clip-path",t?"url("+this.renderer.url+"#"+t.id+")":"none")},t.prototype.crisp=function(t,e){e=e||t.strokeWidth||0;var n=Math.round(e)%2/2;return t.x=Math.floor(t.x||this.x||0)+n,t.y=Math.floor(t.y||this.y||0)+n,t.width=Math.floor((t.width||this.width||0)-2*n),t.height=Math.floor((t.height||this.height||0)-2*n),y(t.strokeWidth)&&(t.strokeWidth=e),t},t.prototype.complexColor=function(t,n,r){var i,o,s,a,l,c,u,h,p,d,f,g=this.renderer,m=[];x(this.renderer,"complexColor",{args:arguments},(function(){if(t.radialGradient?o="radialGradient":t.linearGradient&&(o="linearGradient"),o){if(s=t[o],l=g.gradients,c=t.stops,p=r.radialReference,w(s)&&(t[o]=s={x1:s[0],y1:s[1],x2:s[2],y2:s[3],gradientUnits:"userSpaceOnUse"}),"radialGradient"===o&&p&&!y(s.gradientUnits)&&(a=s,s=A(s,g.getRadialAttr(p,a),{gradientUnits:"userSpaceOnUse"})),O(s,(function(t,e){"id"!==e&&m.push(e,t)})),O(c,(function(t){m.push(t)})),m=m.join(","),l[m])d=l[m].attr("id");else{s.id=d=M();var v=l[m]=g.createElement(o).attr(s).add(g.defs);v.radAttr=a,v.stops=[],c.forEach((function(t){0===t[1].indexOf("rgba")?(i=e.parse(t[1]),u=i.get("rgb"),h=i.get("a")):(u=t[1],h=1),t=g.createElement("stop").attr({offset:t[0],"stop-color":u,"stop-opacity":h}).add(v),v.stops.push(t)}))}f="url("+g.url+"#"+d+")",r.setAttribute(n,f),r.gradient=m,t.toString=function(){return f}}}))},t.prototype.css=function(t){var e=this.styles,n={},r=this.element,i="",o=!e,s=["textOutline","textOverflow","width"];if(t&&t.color&&(t.fill=t.color),e&&O(t,(function(t,r){e&&e[r]!==t&&(n[r]=t,o=!0)})),o){if(e&&(t=_(e,n)),t)if(null===t.width||"auto"===t.width)delete this.textWidth;else if("text"===r.nodeName.toLowerCase()&&t.width)var a=this.textWidth=E(t.width);if(this.styles=t,a&&!p&&this.renderer.forExport&&delete t.width,r.namespaceURI===this.SVG_NS){var l=function(t,e){return"-"+e.toLowerCase()};O(t,(function(t,e){-1===s.indexOf(e)&&(i+=e.replace(/([A-Z])/g,l)+":"+t+";")})),i&&g(r,"style",i)}else v(r,t);this.added&&("text"===this.element.nodeName&&this.renderer.buildText(this),t&&t.textOutline&&this.applyTextOutline(t.textOutline))}return this},t.prototype.dashstyleSetter=function(t){var e=this["stroke-width"];if("inherit"===e&&(e=1),t=t&&t.toLowerCase()){var n=t.replace("shortdashdotdot","3,1,1,1,1,1,").replace("shortdashdot","3,1,1,1").replace("shortdot","1,1,").replace("shortdash","3,1,").replace("longdash","8,3,").replace(/dot/g,"1,3,").replace("dash","4,3,").replace(/,$/,"").split(",");for(t=n.length;t--;)n[t]=""+E(n[t])*T(e,NaN);t=n.join(",").replace(/NaN/g,"none"),this.element.setAttribute("stroke-dasharray",t)}},t.prototype.destroy=function(){var t=this,e=t.element||{},n=t.renderer,r=n.isSVG&&"SPAN"===e.nodeName&&t.parentGroup||void 0,i=e.ownerSVGElement;if(e.onclick=e.onmouseout=e.onmouseover=e.onmousemove=e.point=null,s(t),t.clipPath&&i){var o=t.clipPath;[].forEach.call(i.querySelectorAll("[clip-path],[CLIP-PATH]"),(function(t){-1<t.getAttribute("clip-path").indexOf(o.element.id)&&t.removeAttribute("clip-path")})),t.clipPath=o.destroy()}if(t.stops){for(i=0;i<t.stops.length;i++)t.stops[i].destroy();t.stops.length=0,t.stops=void 0}for(t.safeRemoveChild(e),n.styledMode||t.destroyShadows();r&&r.div&&0===r.div.childNodes.length;)e=r.parentGroup,t.safeRemoveChild(r.div),delete r.div,r=e;t.alignTo&&b(n.alignedObjects,t),O(t,(function(e,n){t[n]&&t[n].parentGroup===t&&t[n].destroy&&t[n].destroy(),delete t[n]}))},t.prototype.destroyShadows=function(){(this.shadows||[]).forEach((function(t){this.safeRemoveChild(t)}),this),this.shadows=void 0},t.prototype.destroyTextPath=function(t,e){var n=t.getElementsByTagName("text")[0];if(n){if(n.removeAttribute("dx"),n.removeAttribute("dy"),e.element.setAttribute("id",""),this.textPathWrapper&&n.getElementsByTagName("textPath").length){for(t=this.textPathWrapper.element.childNodes;t.length;)n.appendChild(t[0]);n.removeChild(this.textPathWrapper.element)}}else(t.getAttribute("dx")||t.getAttribute("dy"))&&(t.removeAttribute("dx"),t.removeAttribute("dy"));this.textPathWrapper&&(this.textPathWrapper=this.textPathWrapper.destroy())},t.prototype.dSetter=function(t,e,n){w(t)&&("string"==typeof t[0]&&(t=this.renderer.pathToSegments(t)),this.pathArray=t,t=t.reduce((function(t,e,n){return e&&e.join?(n?t+" ":"")+e.join(" "):(e||"").toString()}),"")),/(NaN| {2}|^$)/.test(t)&&(t="M 0 0"),this[e]!==t&&(n.setAttribute(e,t),this[e]=t)},t.prototype.fadeOut=function(t){var e=this;e.animate({opacity:0},{duration:T(t,150),complete:function(){e.attr({y:-9999}).hide()}})},t.prototype.fillSetter=function(t,e,n){"string"==typeof t?n.setAttribute(e,t):t&&this.complexColor(t,e,n)},t.prototype.getBBox=function(e,n){var r,i=this.renderer,o=this.element,s=this.styles,l=this.textStr,c=i.cache,u=i.cacheKeys,h=o.namespaceURI===this.SVG_NS;n=T(n,this.rotation,0);var p=i.styledMode?o&&t.prototype.getStyle.call(o,"font-size"):s&&s.fontSize;if(y(l)){var d=l.toString();-1===d.indexOf("<")&&(d=d.replace(/[0-9]/g,"0")),d+=["",n,p,this.textWidth,s&&s.textOverflow,s&&s.fontWeight].join()}if(d&&!e&&(r=c[d]),!r){if(h||i.forExport){try{var f=this.fakeTS&&function(t){[].forEach.call(o.querySelectorAll(".highcharts-text-outline"),(function(e){e.style.display=t}))};S(f)&&f("none"),r=o.getBBox?_({},o.getBBox()):{width:o.offsetWidth,height:o.offsetHeight},S(f)&&f("")}catch{}(!r||0>r.width)&&(r={width:0,height:0})}else r=this.htmlGetBBox();if(i.isSVG&&(e=r.width,i=r.height,h&&(r.height=i={"11px,17":14,"13px,20":16}[s&&s.fontSize+","+Math.round(i)]||i),n&&(s=n*a,r.width=Math.abs(i*Math.sin(s))+Math.abs(e*Math.cos(s)),r.height=Math.abs(i*Math.cos(s))+Math.abs(e*Math.sin(s)))),d&&0<r.height){for(;250<u.length;)delete c[u.shift()];c[d]||u.push(d),c[d]=r}}return r},t.prototype.getStyle=function(t){return f.getComputedStyle(this.element||this,"").getPropertyValue(t)},t.prototype.hasClass=function(t){return-1!==(""+this.attr("class")).split(" ").indexOf(t)},t.prototype.hide=function(t){return t?this.attr({y:-9999}):this.attr({visibility:"hidden"}),this},t.prototype.htmlGetBBox=function(){return{height:0,width:0,x:0,y:0}},t.prototype.init=function(t,e){this.element="span"===e?m(e):l.createElementNS(this.SVG_NS,e),this.renderer=t,x(this,"afterInit")},t.prototype.invert=function(t){return this.inverted=t,this.updateTransform(),this},t.prototype.on=function(t,e){var n,r,i,o=this.element;return c&&"click"===t?(o.ontouchstart=function(t){n=t.touches[0].clientX,r=t.touches[0].clientY},o.ontouchend=function(t){n&&4<=Math.sqrt(Math.pow(n-t.changedTouches[0].clientX,2)+Math.pow(r-t.changedTouches[0].clientY,2))||e.call(o,t),i=!0,!1!==t.cancelable&&t.preventDefault()},o.onclick=function(t){i||e.call(o,t)}):o["on"+t]=e,this},t.prototype.opacitySetter=function(t,e,n){this.opacity=t=Number(Number(t).toFixed(3)),n.setAttribute(e,t)},t.prototype.removeClass=function(t){return this.attr("class",(""+this.attr("class")).replace(C(t)?new RegExp("(^| )"+t+"( |$)"):t," ").replace(/ +/g," ").trim())},t.prototype.removeTextOutline=function(t){for(var e,n=t.length;n--;)"highcharts-text-outline"===(e=t[n]).getAttribute("class")&&b(t,this.element.removeChild(e))},t.prototype.safeRemoveChild=function(t){var e=t.parentNode;e&&e.removeChild(t)},t.prototype.setRadialReference=function(t){var e=this.element.gradient&&this.renderer.gradients[this.element.gradient];return this.element.radialReference=t,e&&e.radAttr&&e.animate(this.renderer.getRadialAttr(t,e.radAttr)),this},t.prototype.setTextPath=function(t,e){var n=this.element,r={textAnchor:"text-anchor"},i=!1,o=this.textPathWrapper,s=!o,a=(e=A(!0,{enabled:!0,attributes:{dy:-5,startOffset:"50%",textAnchor:"middle"}},e)).attributes;if(t&&e&&e.enabled){o&&null===o.element.parentNode?(s=!0,o=o.destroy()):o&&this.removeTextOutline.call(o.parentGroup,[].slice.call(n.getElementsByTagName("tspan"))),this.options&&this.options.padding&&(a.dx=-this.options.padding),o||(this.textPathWrapper=o=this.renderer.createElement("textPath"),i=!0);var l=o.element;if((e=t.element.getAttribute("id"))||t.element.setAttribute("id",e=M()),s)for(t=n.getElementsByTagName("tspan");t.length;)t[0].setAttribute("y",0),k(a.dx)&&t[0].setAttribute("x",-a.dx),l.appendChild(t[0]);i&&o&&o.add({element:this.text?this.text.element:n}),l.setAttributeNS("http://www.w3.org/1999/xlink","href",this.renderer.url+"#"+e),y(a.dy)&&(l.parentNode.setAttribute("dy",a.dy),delete a.dy),y(a.dx)&&(l.parentNode.setAttribute("dx",a.dx),delete a.dx),O(a,(function(t,e){l.setAttribute(r[e]||e,t)})),n.removeAttribute("transform"),this.removeTextOutline.call(o,[].slice.call(n.getElementsByTagName("tspan"))),this.text&&!this.renderer.styledMode&&this.attr({fill:"none","stroke-width":0}),this.applyTextOutline=this.updateTransform=h}else o&&(delete this.updateTransform,delete this.applyTextOutline,this.destroyTextPath(n,t),this.updateTransform(),this.options&&this.options.rotation&&this.applyTextOutline(this.options.style.textOutline));return this},t.prototype.shadow=function(t,e,n){var r,i=[],o=this.element,s=!1,a=this.oldShadowOptions,l={color:"#000000",offsetX:1,offsetY:1,opacity:.15,width:3};if(!0===t?r=l:"object"==typeof t&&(r=_(l,t)),r&&(r&&a&&O(r,(function(t,e){t!==a[e]&&(s=!0)})),s&&this.destroyShadows(),this.oldShadowOptions=r),r){if(!this.shadows){var c=r.opacity/r.width,u=this.parentInverted?"translate(-1,-1)":"translate("+r.offsetX+", "+r.offsetY+")";for(l=1;l<=r.width;l++){var h=o.cloneNode(!1),p=2*r.width+1-2*l;g(h,{stroke:t.color||"#000000","stroke-opacity":c*l,"stroke-width":p,transform:u,fill:"none"}),h.setAttribute("class",(h.getAttribute("class")||"")+" highcharts-shadow"),n&&(g(h,"height",Math.max(g(h,"height")-p,0)),h.cutHeight=p),e?e.element.appendChild(h):o.parentNode&&o.parentNode.insertBefore(h,o),i.push(h)}this.shadows=i}}else this.destroyShadows();return this},t.prototype.show=function(t){return this.attr({visibility:t?"inherit":"visible"})},t.prototype.strokeSetter=function(e,n,r){this[n]=e,this.stroke&&this["stroke-width"]?(t.prototype.fillSetter.call(this,this.stroke,"stroke",r),r.setAttribute("stroke-width",this["stroke-width"]),this.hasStroke=!0):"stroke-width"===n&&0===e&&this.hasStroke?(r.removeAttribute("stroke"),this.hasStroke=!1):this.renderer.styledMode&&this["stroke-width"]&&(r.setAttribute("stroke-width",this["stroke-width"]),this.hasStroke=!0)},t.prototype.strokeWidth=function(){if(!this.renderer.styledMode)return this["stroke-width"]||0;var t=this.getStyle("stroke-width"),e=0;if(t.indexOf("px")===t.length-2)e=E(t);else if(""!==t){var n=l.createElementNS(d,"rect");g(n,{width:t,"stroke-width":0}),this.element.parentNode.appendChild(n),e=n.getBBox().width,n.parentNode.removeChild(n)}return e},t.prototype.symbolAttr=function(t){var e=this;"x y r start end width height innerR anchorX anchorY clockwise".split(" ").forEach((function(n){e[n]=T(t[n],e[n])})),e.attr({d:e.renderer.symbols[e.symbolName](e.x,e.y,e.width,e.height,e)})},t.prototype.textSetter=function(t){t!==this.textStr&&(delete this.textPxLength,this.textStr=t,this.added&&this.renderer.buildText(this))},t.prototype.titleSetter=function(t){var e=this.element.getElementsByTagName("title")[0];e||(e=l.createElementNS(this.SVG_NS,"title"),this.element.appendChild(e)),e.firstChild&&e.removeChild(e.firstChild),e.appendChild(l.createTextNode(String(T(t,"")).replace(/<[^>]*>/g,"").replace(/&lt;/g,"<").replace(/&gt;/g,">")))},t.prototype.toFront=function(){var t=this.element;return t.parentNode.appendChild(t),this},t.prototype.translate=function(t,e){return this.attr({translateX:t,translateY:e})},t.prototype.updateShadows=function(t,e,n){var r=this.shadows;if(r)for(var i=r.length;i--;)n.call(r[i],"height"===t?Math.max(e-(r[i].cutHeight||0),0):"d"===t?this.d:e,t,r[i])},t.prototype.updateTransform=function(){var t=this.translateX||0,e=this.translateY||0,n=this.scaleX,r=this.scaleY,i=this.inverted,o=this.rotation,s=this.matrix,a=this.element;i&&(t+=this.width,e+=this.height),t=["translate("+t+","+e+")"],y(s)&&t.push("matrix("+s.join(",")+")"),i?t.push("rotate(90) scale(-1,1)"):o&&t.push("rotate("+o+" "+T(this.rotationOriginX,a.getAttribute("x"),0)+" "+T(this.rotationOriginY,a.getAttribute("y")||0)+")"),(y(n)||y(r))&&t.push("scale("+T(n,1)+" "+T(r,1)+")"),t.length&&a.setAttribute("transform",t.join(" "))},t.prototype.visibilitySetter=function(t,e,n){"inherit"===t?n.removeAttribute(e):this[e]!==t&&n.setAttribute(e,t),this[e]=t},t.prototype.xGetter=function(t){return"circle"===this.element.nodeName&&("x"===t?t="cx":"y"===t&&(t="cy")),this._defaultGetter(t)},t.prototype.zIndexSetter=function(t,e){var n=this.renderer,r=this.parentGroup,i=(r||n).element||n.box,o=this.element,s=!1;n=i===n.box;var a,l=this.added;if(y(t)?(o.setAttribute("data-z-index",t),t=+t,this[e]===t&&(l=!1)):y(this[e])&&o.removeAttribute("data-z-index"),this[e]=t,l){for((t=this.zIndex)&&r&&(r.handleZ=!0),a=(e=i.childNodes).length-1;0<=a&&!s;a--){l=(r=e[a]).getAttribute("data-z-index");var c=!y(l);r!==o&&(0>t&&c&&!n&&!a?(i.insertBefore(o,e[a]),s=!0):(E(l)<=t||c&&(!y(t)||0<=t))&&(i.insertBefore(o,e[a+1]||null),s=!0))}s||(i.insertBefore(o,e[n?3:0]||null),s=!0)}return s},t}(),t.prototype["stroke-widthSetter"]=t.prototype.strokeSetter,t.prototype.yGetter=t.prototype.xGetter,t.prototype.matrixSetter=t.prototype.rotationOriginXSetter=t.prototype.rotationOriginYSetter=t.prototype.rotationSetter=t.prototype.scaleXSetter=t.prototype.scaleYSetter=t.prototype.translateXSetter=t.prototype.translateYSetter=t.prototype.verticalAlignSetter=function(t,e){this[e]=t,this.doTransform=!0},n.SVGElement=t,n.SVGElement})),e(n,"Core/Renderer/SVG/SVGLabel.js",[n["Core/Renderer/SVG/SVGElement.js"],n["Core/Utilities.js"]],(function(t,e){var n=this&&this.__extends||function(){var t=function(e,n){return(t=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(t,e){t.__proto__=e}||function(t,e){for(var n in e)e.hasOwnProperty(n)&&(t[n]=e[n])})(e,n)};return function(e,n){function r(){this.constructor=e}t(e,n),e.prototype=null===n?Object.create(n):(r.prototype=n.prototype,new r)}}(),r=e.defined,i=e.extend,o=e.isNumber,s=e.merge,a=e.removeEvent;return function(e){function l(t,n,r,i,o,s,a,c,u,h){var p=e.call(this)||this;if(p.init(t,"g"),p.textStr=n,p.x=r,p.y=i,p.anchorX=s,p.anchorY=a,p.baseline=u,p.className=h,"button"!==h&&p.addClass("highcharts-label"),h&&p.addClass("highcharts-"+h),p.text=t.text("",0,0,c).attr({zIndex:1}),"string"==typeof o){var d=/^url\((.*?)\)$/.test(o);(p.renderer.symbols[o]||d)&&(p.symbolKey=o)}return p.bBox=l.emptyBBox,p.padding=3,p.paddingLeft=0,p.baselineOffset=0,p.needsBox=t.styledMode||d,p.deferredAttr={},p.alignFactor=0,p}return n(l,e),l.prototype.alignSetter=function(t){(t={left:0,center:.5,right:1}[t])!==this.alignFactor&&(this.alignFactor=t,this.bBox&&o(this.xSetting)&&this.attr({x:this.xSetting}))},l.prototype.anchorXSetter=function(t,e){this.anchorX=t,this.boxAttr(e,Math.round(t)-this.getCrispAdjust()-this.xSetting)},l.prototype.anchorYSetter=function(t,e){this.anchorY=t,this.boxAttr(e,t-this.ySetting)},l.prototype.boxAttr=function(t,e){this.box?this.box.attr(t,e):this.deferredAttr[t]=e},l.prototype.css=function(e){if(e){var n={};e=s(e),l.textProps.forEach((function(t){typeof e[t]<"u"&&(n[t]=e[t],delete e[t])})),this.text.css(n);var r="fontSize"in n||"fontWeight"in n;("width"in n||r)&&(this.updateBoxSize(),r&&this.updateTextPadding())}return t.prototype.css.call(this,e)},l.prototype.destroy=function(){a(this.element,"mouseenter"),a(this.element,"mouseleave"),this.text&&this.text.destroy(),this.box&&(this.box=this.box.destroy()),t.prototype.destroy.call(this)},l.prototype.fillSetter=function(t,e){t&&(this.needsBox=!0),this.fill=t,this.boxAttr(e,t)},l.prototype.getBBox=function(){var t=this.bBox,e=this.padding;return{width:t.width+2*e,height:t.height+2*e,x:t.x-e,y:t.y-e}},l.prototype.getCrispAdjust=function(){return this.renderer.styledMode&&this.box?this.box.strokeWidth()%2/2:(this["stroke-width"]?parseInt(this["stroke-width"],10):0)%2/2},l.prototype.heightSetter=function(t){this.heightSetting=t},l.prototype.on=function(e,n){var r=this,i=r.text,o=i&&"SPAN"===i.element.tagName?i:void 0;if(o){var s=function(t){("mouseenter"===e||"mouseleave"===e)&&t.relatedTarget instanceof Element&&(r.element.contains(t.relatedTarget)||o.element.contains(t.relatedTarget))||n.call(r.element,t)};o.on(e,s)}return t.prototype.on.call(r,e,s||n),r},l.prototype.onAdd=function(){var t=this.textStr;this.text.add(this),this.attr({text:r(t)?t:"",x:this.x,y:this.y}),this.box&&r(this.anchorX)&&this.attr({anchorX:this.anchorX,anchorY:this.anchorY})},l.prototype.paddingSetter=function(t){r(t)&&t!==this.padding&&(this.padding=t,this.updateTextPadding())},l.prototype.paddingLeftSetter=function(t){r(t)&&t!==this.paddingLeft&&(this.paddingLeft=t,this.updateTextPadding())},l.prototype.rSetter=function(t,e){this.boxAttr(e,t)},l.prototype.shadow=function(t){return t&&!this.renderer.styledMode&&(this.updateBoxSize(),this.box&&this.box.shadow(t)),this},l.prototype.strokeSetter=function(t,e){this.stroke=t,this.boxAttr(e,t)},l.prototype["stroke-widthSetter"]=function(t,e){t&&(this.needsBox=!0),this["stroke-width"]=t,this.boxAttr(e,t)},l.prototype["text-alignSetter"]=function(t){this.textAlign=t},l.prototype.textSetter=function(t){typeof t<"u"&&this.text.attr({text:t}),this.updateBoxSize(),this.updateTextPadding()},l.prototype.updateBoxSize=function(){var t=this.text.element.style,e={},n=this.padding,s=this.paddingLeft,a=o(this.widthSetting)&&o(this.heightSetting)&&!this.textAlign||!r(this.text.textStr)?l.emptyBBox:this.text.getBBox();this.width=(this.widthSetting||a.width||0)+2*n+s,this.height=(this.heightSetting||a.height||0)+2*n,this.baselineOffset=n+Math.min(this.renderer.fontMetrics(t&&t.fontSize,this.text).b,a.height||1/0),this.needsBox&&(this.box||((t=this.box=this.symbolKey?this.renderer.symbol(this.symbolKey):this.renderer.rect()).addClass(("button"===this.className?"":"highcharts-label-box")+(this.className?" highcharts-"+this.className+"-box":"")),t.add(this),t=this.getCrispAdjust(),e.x=t,e.y=(this.baseline?-this.baselineOffset:0)+t),e.width=Math.round(this.width),e.height=Math.round(this.height),this.box.attr(i(e,this.deferredAttr)),this.deferredAttr={}),this.bBox=a},l.prototype.updateTextPadding=function(){var t=this.text,e=this.baseline?0:this.baselineOffset,n=this.paddingLeft+this.padding;r(this.widthSetting)&&this.bBox&&("center"===this.textAlign||"right"===this.textAlign)&&(n+={center:.5,right:1}[this.textAlign]*(this.widthSetting-this.bBox.width)),(n!==t.x||e!==t.y)&&(t.attr("x",n),t.hasBoxWidthChanged&&(this.bBox=t.getBBox(!0),this.updateBoxSize()),typeof e<"u"&&t.attr("y",e)),t.x=n,t.y=e},l.prototype.widthSetter=function(t){this.widthSetting=o(t)?t:void 0},l.prototype.xSetter=function(t){this.x=t,this.alignFactor&&(t-=this.alignFactor*((this.widthSetting||this.bBox.width)+2*this.padding),this["forceAnimate:x"]=!0),this.xSetting=Math.round(t),this.attr("translateX",this.xSetting)},l.prototype.ySetter=function(t){this.ySetting=this.y=Math.round(t),this.attr("translateY",this.ySetting)},l.emptyBBox={width:0,height:0,x:0,y:0},l.textProps="color cursor direction fontFamily fontSize fontStyle fontWeight lineHeight textAlign textDecoration textOutline textOverflow width".split(" "),l}(t)})),e(n,"Core/Renderer/SVG/SVGRenderer.js",[n["Core/Color/Color.js"],n["Core/Globals.js"],n["Core/Renderer/SVG/SVGElement.js"],n["Core/Renderer/SVG/SVGLabel.js"],n["Core/Utilities.js"]],(function(t,e,n,r,i){var o=i.addEvent,s=i.attr,a=i.createElement,l=i.css,c=i.defined,u=i.destroyObjectProperties,h=i.extend,p=i.isArray,d=i.isNumber,f=i.isObject,g=i.isString,m=i.merge,v=i.objectEach,y=i.pick,b=i.pInt,_=i.splat,x=i.uniqueKey,w=e.charts,S=e.deg2rad,k=e.doc,C=e.isFirefox,A=e.isMS,O=e.isWebKit;i=e.noop;var T=e.svg,E=e.SVG_NS,P=e.symbolSizes,M=e.win,L=function(){function e(t,e,n,r,i,o,s){this.width=this.url=this.style=this.isSVG=this.imgCount=this.height=this.gradients=this.globalAnimation=this.defs=this.chartIndex=this.cacheKeys=this.cache=this.boxWrapper=this.box=this.alignedObjects=void 0,this.init(t,e,n,r,i,o,s)}return e.prototype.init=function(t,e,n,r,i,a,c){var u,h=this.createElement("svg").attr({version:"1.1",class:"highcharts-root"});c||h.css(this.getStyle(r)),r=h.element,t.appendChild(r),s(t,"dir","ltr"),-1===t.innerHTML.indexOf("xmlns")&&s(r,"xmlns",this.SVG_NS),this.isSVG=!0,this.box=r,this.boxWrapper=h,this.alignedObjects=[],this.url=(C||O)&&k.getElementsByTagName("base").length?M.location.href.split("#")[0].replace(/<[^>]*>/g,"").replace(/([\('\)])/g,"\\$1").replace(/ /g,"%20"):"",this.createElement("desc").add().element.appendChild(k.createTextNode("Created with Highcharts 8.2.2")),this.defs=this.createElement("defs").add(),this.allowHTML=a,this.forExport=i,this.styledMode=c,this.gradients={},this.cache={},this.cacheKeys=[],this.imgCount=0,this.setSize(e,n,!1),C&&t.getBoundingClientRect&&((e=function(){l(t,{left:0,top:0}),u=t.getBoundingClientRect(),l(t,{left:Math.ceil(u.left)-u.left+"px",top:Math.ceil(u.top)-u.top+"px"})})(),this.unSubPixelFix=o(M,"resize",e))},e.prototype.definition=function(t){var e=this;return function t(n,r){var i;return _(n).forEach((function(n){var o=e.createElement(n.tagName),s={};v(n,(function(t,e){"tagName"!==e&&"children"!==e&&"textContent"!==e&&(s[e]=t)})),o.attr(s),o.add(r||e.defs),n.textContent&&o.element.appendChild(k.createTextNode(n.textContent)),t(n.children||[],o),i=o})),i}(t)},e.prototype.getStyle=function(t){return this.style=h({fontFamily:'"Lucida Grande", "Lucida Sans Unicode", Arial, Helvetica, sans-serif',fontSize:"12px"},t)},e.prototype.setStyle=function(t){this.boxWrapper.css(this.getStyle(t))},e.prototype.isHidden=function(){return!this.boxWrapper.getBBox().width},e.prototype.destroy=function(){var t=this.defs;return this.box=null,this.boxWrapper=this.boxWrapper.destroy(),u(this.gradients||{}),this.gradients=null,t&&(this.defs=t.destroy()),this.unSubPixelFix&&this.unSubPixelFix(),this.alignedObjects=null},e.prototype.createElement=function(t){var e=new this.Element;return e.init(this,t),e},e.prototype.getRadialAttr=function(t,e){return{cx:t[0]-t[2]/2+e.cx*t[2],cy:t[1]-t[2]/2+e.cy*t[2],r:e.r*t[2]}},e.prototype.truncate=function(t,e,n,r,i,o,s){var a,l,c=this,u=t.rotation,h=r?1:0,p=(n||r).length,d=p,f=[],g=function(t){e.firstChild&&e.removeChild(e.firstChild),t&&e.appendChild(k.createTextNode(t))},m=function(o,a){if(typeof f[a=a||o]>"u")if(e.getSubStringLength)try{f[a]=i+e.getSubStringLength(0,r?a+1:a)}catch{}else c.getSpanWidth&&(g(s(n||r,o)),f[a]=i+c.getSpanWidth(t,e));return f[a]};t.rotation=0;var v=m(e.textContent.length);if(l=i+v>o){for(;h<=p;)d=Math.ceil((h+p)/2),r&&(a=s(r,d)),v=m(d,a&&a.length-1),h===p?h=p+1:v>o?p=d-1:h=d;0===p?g(""):n&&p===n.length-1||g(a||s(n||r,d))}return r&&r.splice(0,d),t.actualWidth=v,t.rotation=u,l},e.prototype.buildText=function(t){var e,n,r=t.element,i=this,o=i.forExport,a=y(t.textStr,"").toString(),c=-1!==a.indexOf("<"),u=r.childNodes,h=s(r,"x"),p=t.styles,d=t.textWidth,f=p&&p.lineHeight,m=p&&p.textOutline,_=p&&"ellipsis"===p.textOverflow,x=p&&"nowrap"===p.whiteSpace,w=p&&p.fontSize,S=u.length;p=d&&!t.added&&this.box;var C=function(t){var e;return i.styledMode||(e=/(px|em)$/.test(t&&t.style.fontSize)?t.style.fontSize:w||i.style.fontSize||12),f?b(f):i.fontMetrics(e,t.getAttribute("style")?t:r).h},A=function(t,e){return v(i.escapes,(function(n,r){e&&-1!==e.indexOf(n)||(t=t.toString().replace(new RegExp(n,"g"),r))})),t},O=function(t,e){var n=t.indexOf("<");if(-1!==(n=(t=t.substring(n,t.indexOf(">")-n)).indexOf(e+"="))&&(n=n+e.length+1,'"'===(e=t.charAt(n))||"'"===e))return(t=t.substring(n+1)).substring(0,t.indexOf(e))},P=/<br.*?>/g,M=[a,_,x,f,m,w,d].join();if(M!==t.textCache){for(t.textCache=M;S--;)r.removeChild(u[S]);c||m||_||d||-1!==a.indexOf(" ")&&(!x||P.test(a))?(p&&p.appendChild(r),(a=(a=c?(a=i.styledMode?a.replace(/<(b|strong)>/g,'<span class="highcharts-strong">').replace(/<(i|em)>/g,'<span class="highcharts-emphasized">'):a.replace(/<(b|strong)>/g,'<span style="font-weight:bold">').replace(/<(i|em)>/g,'<span style="font-style:italic">')).replace(/<a/g,"<span").replace(/<\/(b|strong|i|em|a)>/g,"</span>").split(P):[a]).filter((function(t){return""!==t}))).forEach((function(a,c){var u=0,p=0,f=(a=a.replace(/^\s+|\s+$/g,"").replace(/<span/g,"|||<span").replace(/<\/span>/g,"</span>|||")).split("|||");f.forEach((function(a){if(""!==a||1===f.length){var g,m,v={},y=k.createElementNS(i.SVG_NS,"tspan");if((g=O(a,"class"))&&s(y,"class",g),(g=O(a,"style"))&&(g=g.replace(/(;| |^)color([ :])/,"$1fill$2"),s(y,"style",g)),(m=O(a,"href"))&&!o&&-1===m.split(":")[0].toLowerCase().indexOf("javascript")){var b=k.createElementNS(i.SVG_NS,"a");s(b,"href",m),s(y,"class","highcharts-anchor"),b.appendChild(y),i.styledMode||l(y,{cursor:"pointer"})}if(" "!==(a=A(a.replace(/<[a-zA-Z\/](.|\n)*?>/g,"")||" "))){if(y.appendChild(k.createTextNode(a)),u?v.dx=0:c&&null!==h&&(v.x=h),s(y,v),r.appendChild(b||y),!u&&n&&(!T&&o&&l(y,{display:"block"}),s(y,"dy",C(y))),d){var S=a.replace(/([^\^])-/g,"$1- ").split(" ");if(v=!x&&(1<f.length||c||1<S.length),b=0,m=C(y),_)e=i.truncate(t,y,a,void 0,0,Math.max(0,d-parseInt(w||12,10)),(function(t,e){return t.substring(0,e)+"…"}));else if(v)for(;S.length;)S.length&&!x&&0<b&&(y=k.createElementNS(E,"tspan"),s(y,{dy:m,x:h}),g&&s(y,"style",g),y.appendChild(k.createTextNode(S.join(" ").replace(/- /g,"-"))),r.appendChild(y)),i.truncate(t,y,null,S,0===b?p:0,d,(function(t,e){return S.slice(0,e).join(" ").replace(/- /g,"-")})),p=t.actualWidth,b++}u++}}})),n=n||r.childNodes.length})),_&&e&&t.attr("title",A(t.textStr||"",["&lt;","&gt;"])),p&&p.removeChild(r),g(m)&&t.applyTextOutline&&t.applyTextOutline(m)):r.appendChild(k.createTextNode(A(a)))}},e.prototype.getContrast=function(e){return(e=t.parse(e).rgba)[0]*=1,e[1]*=1.2,e[2]*=.5,459<e[0]+e[1]+e[2]?"#000000":"#FFFFFF"},e.prototype.button=function(t,e,n,r,i,s,a,l,c,u){var p=this.label(t,e,n,c,void 0,void 0,u,void 0,"button"),d=0,f=this.styledMode;if(t=(i=i&&m(i))&&i.style||{},i&&i.style&&delete i.style,p.attr(m({padding:8,r:2},i)),!f){var g=(i=m({fill:"#f7f7f7",stroke:"#cccccc","stroke-width":1,style:{color:"#333333",cursor:"pointer",fontWeight:"normal"}},{style:t},i)).style;delete i.style;var v=(s=m(i,{fill:"#e6e6e6"},s)).style;delete s.style;var y=(a=m(i,{fill:"#e6ebf5",style:{color:"#000000",fontWeight:"bold"}},a)).style;delete a.style;var b=(l=m(i,{style:{color:"#cccccc"}},l)).style;delete l.style}return o(p.element,A?"mouseover":"mouseenter",(function(){3!==d&&p.setState(1)})),o(p.element,A?"mouseout":"mouseleave",(function(){3!==d&&p.setState(d)})),p.setState=function(t){1!==t&&(p.state=d=t),p.removeClass(/highcharts-button-(normal|hover|pressed|disabled)/).addClass("highcharts-button-"+["normal","hover","pressed","disabled"][t||0]),f||p.attr([i,s,a,l][t||0]).css([g,v,y,b][t||0])},f||p.attr(i).css(h({cursor:"default"},g)),p.on("click",(function(t){3!==d&&r.call(p,t)}))},e.prototype.crispLine=function(t,e,n){void 0===n&&(n="round");var r=t[0],i=t[1];return r[1]===i[1]&&(r[1]=i[1]=Math[n](r[1])-e%2/2),r[2]===i[2]&&(r[2]=i[2]=Math[n](r[2])+e%2/2),t},e.prototype.path=function(t){var e=this.styledMode?{}:{fill:"none"};return p(t)?e.d=t:f(t)&&h(e,t),this.createElement("path").attr(e)},e.prototype.circle=function(t,e,n){return t=f(t)?t:typeof t>"u"?{}:{x:t,y:e,r:n},(e=this.createElement("circle")).xSetter=e.ySetter=function(t,e,n){n.setAttribute("c"+e,t)},e.attr(t)},e.prototype.arc=function(t,e,n,r,i,o){return f(t)?(e=(r=t).y,n=r.r,t=r.x):r={innerR:r,start:i,end:o},(t=this.symbol("arc",t,e,n,n,r)).r=n,t},e.prototype.rect=function(t,e,n,r,i,o){i=f(t)?t.r:i;var a=this.createElement("rect");return t=f(t)?t:typeof t>"u"?{}:{x:t,y:e,width:Math.max(n,0),height:Math.max(r,0)},this.styledMode||(typeof o<"u"&&(t.strokeWidth=o,t=a.crisp(t)),t.fill="none"),i&&(t.r=i),a.rSetter=function(t,e,n){a.r=t,s(n,{rx:t,ry:t})},a.rGetter=function(){return a.r},a.attr(t)},e.prototype.setSize=function(t,e,n){var r=this.alignedObjects,i=r.length;for(this.width=t,this.height=e,this.boxWrapper.animate({width:t,height:e},{step:function(){this.attr({viewBox:"0 0 "+this.attr("width")+" "+this.attr("height")})},duration:y(n,!0)?void 0:0});i--;)r[i].align()},e.prototype.g=function(t){var e=this.createElement("g");return t?e.attr({class:"highcharts-"+t}):e},e.prototype.image=function(t,e,n,r,i,s){var a={preserveAspectRatio:"none"},l=function(t,e){t.setAttributeNS?t.setAttributeNS("http://www.w3.org/1999/xlink","href",e):t.setAttribute("hc-svg-href",e)},c=function(e){l(u.element,t),s.call(u,e)};1<arguments.length&&h(a,{x:e,y:n,width:r,height:i});var u=this.createElement("image").attr(a);return s?(l(u.element,"data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw=="),a=new M.Image,o(a,"load",c),a.src=t,a.complete&&c({})):l(u.element,t),u},e.prototype.symbol=function(t,e,n,r,i,o){var s,u=this,p=/^url\((.*?)\)$/,d=p.test(t),f=!d&&(this.symbols[t]?t:"circle"),g=f&&this.symbols[f];if(g){"number"==typeof e&&(s=g.call(this.symbols,Math.round(e||0),Math.round(n||0),r||0,i||0,o));var m=this.path(s);u.styledMode||m.attr("fill","none"),h(m,{symbolName:f,x:e,y:n,width:r,height:i}),o&&h(m,o)}else if(d){var v=t.match(p)[1];(m=this.image(v)).imgwidth=y(P[v]&&P[v].width,o&&o.width),m.imgheight=y(P[v]&&P[v].height,o&&o.height);var b=function(){m.attr({width:m.width,height:m.height})};["width","height"].forEach((function(t){m[t+"Setter"]=function(t,e){var n={},r=this["img"+e],i="width"===e?"translateX":"translateY";this[e]=t,c(r)&&(o&&"within"===o.backgroundSize&&this.width&&this.height&&(r=Math.round(r*Math.min(this.width/this.imgwidth,this.height/this.imgheight))),this.element&&this.element.setAttribute(e,r),this.alignByTranslate||(n[i]=((this[e]||0)-r)/2,this.attr(n)))}})),c(e)&&m.attr({x:e,y:n}),m.isImg=!0,c(m.imgwidth)&&c(m.imgheight)?b():(m.attr({width:0,height:0}),a("img",{onload:function(){var t=w[u.chartIndex];0===this.width&&(l(this,{position:"absolute",top:"-999em"}),k.body.appendChild(this)),P[v]={width:this.width,height:this.height},m.imgwidth=this.width,m.imgheight=this.height,m.element&&b(),this.parentNode&&this.parentNode.removeChild(this),u.imgCount--,!u.imgCount&&t&&!t.hasLoaded&&t.onload()},src:v}),this.imgCount++)}return m},e.prototype.clipRect=function(t,e,n,r){var i=x()+"-",o=this.createElement("clipPath").attr({id:i}).add(this.defs);return(t=this.rect(t,e,n,r,0).add(o)).id=i,t.clipPath=o,t.count=0,t},e.prototype.text=function(t,e,n,r){var i={};return!r||!this.allowHTML&&this.forExport?(i.x=Math.round(e||0),n&&(i.y=Math.round(n)),c(t)&&(i.text=t),t=this.createElement("text").attr(i),r||(t.xSetter=function(t,e,n){var r,i=n.getElementsByTagName("tspan"),o=n.getAttribute(e);for(r=0;r<i.length;r++){var s=i[r];s.getAttribute(e)===o&&s.setAttribute(e,t)}n.setAttribute(e,t)}),t):this.html(t,e,n)},e.prototype.fontMetrics=function(t,e){return t=!this.styledMode&&/px/.test(t)||!M.getComputedStyle?t||e&&e.style&&e.style.fontSize||this.style&&this.style.fontSize:e&&n.prototype.getStyle.call(e,"font-size"),{h:e=24>(t=/px/.test(t)?b(t):12)?t+3:Math.round(1.2*t),b:Math.round(.8*e),f:t}},e.prototype.rotCorr=function(t,e,n){var r=t;return e&&n&&(r=Math.max(r*Math.cos(e*S),4)),{x:-t/3*Math.sin(e*S),y:r}},e.prototype.pathToSegments=function(t){for(var e=[],n=[],r={A:8,C:7,H:2,L:3,M:3,Q:5,S:5,T:3,V:2},i=0;i<t.length;i++)g(n[0])&&d(t[i])&&n.length===r[n[0].toUpperCase()]&&t.splice(i,0,n[0].replace("M","L").replace("m","l")),"string"==typeof t[i]&&(n.length&&e.push(n.slice(0)),n.length=0),n.push(t[i]);return e.push(n.slice(0)),e},e.prototype.label=function(t,e,n,i,o,s,a,l,c){return new r(this,t,e,n,i,o,s,a,l,c)},e}();return L.prototype.Element=n,L.prototype.SVG_NS=E,L.prototype.draw=i,L.prototype.escapes={"&":"&amp;","<":"&lt;",">":"&gt;","'":"&#39;",'"':"&quot;"},L.prototype.symbols={circle:function(t,e,n,r){return this.arc(t+n/2,e+r/2,n/2,r/2,{start:.5*Math.PI,end:2.5*Math.PI,open:!1})},square:function(t,e,n,r){return[["M",t,e],["L",t+n,e],["L",t+n,e+r],["L",t,e+r],["Z"]]},triangle:function(t,e,n,r){return[["M",t+n/2,e],["L",t+n,e+r],["L",t,e+r],["Z"]]},"triangle-down":function(t,e,n,r){return[["M",t,e],["L",t+n,e],["L",t+n/2,e+r],["Z"]]},diamond:function(t,e,n,r){return[["M",t+n/2,e],["L",t+n,e+r/2],["L",t+n/2,e+r],["L",t,e+r/2],["Z"]]},arc:function(t,e,n,r,i){var o=[];if(i){var s=i.start||0,a=i.end||0,l=i.r||n;n=i.r||r||n;var u=.001>Math.abs(a-s-2*Math.PI);a-=.001,r=i.innerR,u=y(i.open,u);var h=Math.cos(s),p=Math.sin(s),d=Math.cos(a),f=Math.sin(a);s=y(i.longArc,.001>a-s-Math.PI?0:1),o.push(["M",t+l*h,e+n*p],["A",l,n,0,s,y(i.clockwise,1),t+l*d,e+n*f]),c(r)&&o.push(u?["M",t+r*d,e+r*f]:["L",t+r*d,e+r*f],["A",r,r,0,s,c(i.clockwise)?1-i.clockwise:0,t+r*h,e+r*p]),u||o.push(["Z"])}return o},callout:function(t,e,n,r,i){var o=Math.min(i&&i.r||0,n,r),s=o+6,a=i&&i.anchorX||0;i=i&&i.anchorY||0;var l=[["M",t+o,e],["L",t+n-o,e],["C",t+n,e,t+n,e,t+n,e+o],["L",t+n,e+r-o],["C",t+n,e+r,t+n,e+r,t+n-o,e+r],["L",t+o,e+r],["C",t,e+r,t,e+r,t,e+r-o],["L",t,e+o],["C",t,e,t,e,t+o,e]];return a&&a>n?i>e+s&&i<e+r-s?l.splice(3,1,["L",t+n,i-6],["L",t+n+6,i],["L",t+n,i+6],["L",t+n,e+r-o]):l.splice(3,1,["L",t+n,r/2],["L",a,i],["L",t+n,r/2],["L",t+n,e+r-o]):a&&0>a?i>e+s&&i<e+r-s?l.splice(7,1,["L",t,i+6],["L",t-6,i],["L",t,i-6],["L",t,e+o]):l.splice(7,1,["L",t,r/2],["L",a,i],["L",t,r/2],["L",t,e+o]):i&&i>r&&a>t+s&&a<t+n-s?l.splice(5,1,["L",a+6,e+r],["L",a,e+r+6],["L",a-6,e+r],["L",t+o,e+r]):i&&0>i&&a>t+s&&a<t+n-s&&l.splice(1,1,["L",a-6,e],["L",a,e-6],["L",a+6,e],["L",n-o,e]),l}},e.SVGRenderer=L,e.Renderer=e.SVGRenderer,e.Renderer})),e(n,"Core/Renderer/HTML/HTMLElement.js",[n["Core/Globals.js"],n["Core/Renderer/SVG/SVGElement.js"],n["Core/Utilities.js"]],(function(t,e,n){var r=n.css,i=n.defined,o=n.extend,s=n.pick,a=n.pInt,l=t.isFirefox;return o(e.prototype,{htmlCss:function(t){var e="SPAN"===this.element.tagName&&t&&"width"in t,n=s(e&&t.width,void 0);if(e){delete t.width,this.textWidth=n;var i=!0}return t&&"ellipsis"===t.textOverflow&&(t.whiteSpace="nowrap",t.overflow="hidden"),this.styles=o(this.styles,t),r(this.element,t),i&&this.htmlUpdateTransform(),this},htmlGetBBox:function(){var t=this.element;return{x:t.offsetLeft,y:t.offsetTop,width:t.offsetWidth,height:t.offsetHeight}},htmlUpdateTransform:function(){if(this.added){var t=this.renderer,e=this.element,n=this.translateX||0,o=this.translateY||0,s=this.x||0,l=this.y||0,c=this.textAlign||"left",u={left:0,center:.5,right:1}[c],h=this.styles,p=h&&h.whiteSpace;if(r(e,{marginLeft:n,marginTop:o}),!t.styledMode&&this.shadows&&this.shadows.forEach((function(t){r(t,{marginLeft:n+1,marginTop:o+1})})),this.inverted&&[].forEach.call(e.childNodes,(function(n){t.invertChild(n,e)})),"SPAN"===e.tagName){h=this.rotation;var d,f=this.textWidth&&a(this.textWidth),g=[h,c,e.innerHTML,this.textWidth,this.textAlign].join();(d=f!==this.oldTextWidth)&&!(d=f>this.oldTextWidth)&&((d=this.textPxLength)||(r(e,{width:"",whiteSpace:p||"nowrap"}),d=e.offsetWidth),d=d>f),d&&(/[ \-]/.test(e.textContent||e.innerText)||"ellipsis"===e.style.textOverflow)?(r(e,{width:f+"px",display:"block",whiteSpace:p||"normal"}),this.oldTextWidth=f,this.hasBoxWidthChanged=!0):this.hasBoxWidthChanged=!1,g!==this.cTT&&(p=t.fontMetrics(e.style.fontSize,e).b,!i(h)||h===(this.oldRotation||0)&&c===this.oldAlign||this.setSpanRotation(h,u,p),this.getSpanCorrection(!i(h)&&this.textPxLength||e.offsetWidth,p,u,h,c)),r(e,{left:s+(this.xCorr||0)+"px",top:l+(this.yCorr||0)+"px"}),this.cTT=g,this.oldRotation=h,this.oldAlign=c}}else this.alignOnAdd=!0},setSpanRotation:function(t,e,n){var i={},o=this.renderer.getTransformKey();i[o]=i.transform="rotate("+t+"deg)",i[o+(l?"Origin":"-origin")]=i.transformOrigin=100*e+"% "+n+"px",r(this.element,i)},getSpanCorrection:function(t,e,n){this.xCorr=-t*n,this.yCorr=-e}}),e})),e(n,"Core/Renderer/HTML/HTMLRenderer.js",[n["Core/Globals.js"],n["Core/Renderer/SVG/SVGElement.js"],n["Core/Renderer/SVG/SVGRenderer.js"],n["Core/Utilities.js"]],(function(t,e,n,r){var i=t.isFirefox,o=t.isMS,s=t.isWebKit,a=t.win,l=r.attr,c=r.createElement,u=r.extend,h=r.pick;return u(n.prototype,{getTransformKey:function(){return o&&!/Edge/.test(a.navigator.userAgent)?"-ms-transform":s?"-webkit-transform":i?"MozTransform":a.opera?"-o-transform":""},html:function(t,n,r){var i=this.createElement("span"),o=i.element,s=i.renderer,a=s.isSVG,p=function(t,n){["opacity","visibility"].forEach((function(r){t[r+"Setter"]=function(i,o,s){var a=t.div?t.div.style:n;e.prototype[r+"Setter"].call(this,i,o,s),a&&(a[o]=i)}})),t.addedSetters=!0};return i.textSetter=function(t){t!==o.innerHTML&&(delete this.bBox,delete this.oldTextWidth),this.textStr=t,o.innerHTML=h(t,""),i.doTransform=!0},a&&p(i,i.element.style),i.xSetter=i.ySetter=i.alignSetter=i.rotationSetter=function(t,e){"align"===e?i.alignValue=i.textAlign=t:i[e]=t,i.doTransform=!0},i.afterSetters=function(){this.doTransform&&(this.htmlUpdateTransform(),this.doTransform=!1)},i.attr({text:t,x:Math.round(n),y:Math.round(r)}).css({position:"absolute"}),s.styledMode||i.css({fontFamily:this.style.fontFamily,fontSize:this.style.fontSize}),o.style.whiteSpace="nowrap",i.css=i.htmlCss,a&&(i.add=function(t){var e=s.box.parentNode,n=[];if(this.parentGroup=t){var r=t.div;if(!r){for(;t;)n.push(t),t=t.parentGroup;n.reverse().forEach((function(t){function o(e,n){t[n]=e,"translateX"===n?a.left=e+"px":a.top=e+"px",t.doTransform=!0}var s=l(t.element,"class"),a=(r=t.div=t.div||c("div",s?{className:s}:void 0,{position:"absolute",left:(t.translateX||0)+"px",top:(t.translateY||0)+"px",display:t.display,opacity:t.opacity,pointerEvents:t.styles&&t.styles.pointerEvents},r||e)).style;u(t,{classSetter:function(t){return function(e){this.element.setAttribute("class",e),t.className=e}}(r),on:function(){return n[0].div&&i.on.apply({element:n[0].div},arguments),t},translateXSetter:o,translateYSetter:o}),t.addedSetters||p(t)}))}}else r=e;return r.appendChild(o),i.added=!0,i.alignOnAdd&&i.htmlUpdateTransform(),i}),i}}),n})),e(n,"Core/Axis/Tick.js",[n["Core/Globals.js"],n["Core/Utilities.js"]],(function(t,e){var n=e.clamp,r=e.correctFloat,i=e.defined,o=e.destroyObjectProperties,s=e.extend,a=e.fireEvent,l=e.isNumber,c=e.merge,u=e.objectEach,h=e.pick,p=t.deg2rad;return e=function(){function t(t,e,n,r,i){this.isNewLabel=this.isNew=!0,this.axis=t,this.pos=e,this.type=n||"",this.parameters=i||{},this.tickmarkOffset=this.parameters.tickmarkOffset,this.options=this.parameters.options,a(this,"init"),n||r||this.addLabel()}return t.prototype.addLabel=function(){var t=this,e=t.axis,n=e.options,o=e.chart,a=e.categories,l=e.logarithmic,c=e.names,u=t.pos,p=h(t.options&&t.options.labels,n.labels),d=e.tickPositions,f=u===d[0],g=u===d[d.length-1];c=this.parameters.category||(a?h(a[u],c[u],u):u);var m,v,y=t.label;if(a=(!p.step||1===p.step)&&1===e.tickInterval,d=d.info,e.dateTime&&d)var b=o.time.resolveDTLFormat(n.dateTimeLabelFormats[!n.grid&&d.higherRanks[u]||d.unitName]),_=b.main;t.isFirst=f,t.isLast=g,t.formatCtx={axis:e,chart:o,isFirst:f,isLast:g,dateTimeLabelFormat:_,tickPositionInfo:d,value:l?r(l.lin2log(c)):c,pos:u},n=e.labelFormatter.call(t.formatCtx,this.formatCtx),(v=b&&b.list)&&(t.shortenLabel=function(){for(m=0;m<v.length;m++)if(y.attr({text:e.labelFormatter.call(s(t.formatCtx,{dateTimeLabelFormat:v[m]}))}),y.getBBox().width<e.getSlotWidth(t)-2*h(p.padding,5))return;y.attr({text:""})}),a&&e._addedPlotLB&&t.moveLabel(n,p),i(y)||t.movedLabel?y&&y.textStr!==n&&!a&&(!y.textWidth||p.style&&p.style.width||y.styles.width||y.css({width:null}),y.attr({text:n}),y.textPxLength=y.getBBox().width):(t.label=y=t.createLabel({x:0,y:0},n,p),t.rotation=0)},t.prototype.createLabel=function(t,e,n){var r=this.axis,o=r.chart;return(t=i(e)&&n.enabled?o.renderer.text(e,t.x,t.y,n.useHTML).add(r.labelGroup):null)&&(o.styledMode||t.css(c(n.style)),t.textPxLength=t.getBBox().width),t},t.prototype.destroy=function(){o(this,this.axis)},t.prototype.getPosition=function(t,e,i,o){var s=this.axis,l=s.chart,c=o&&l.oldChartHeight||l.chartHeight;return(t={x:t?r(s.translate(e+i,null,null,o)+s.transB):s.left+s.offset+(s.opposite?(o&&l.oldChartWidth||l.chartWidth)-s.right-s.left:0),y:t?c-s.bottom+s.offset-(s.opposite?s.height:0):r(c-s.translate(e+i,null,null,o)-s.transB)}).y=n(t.y,-1e5,1e5),a(this,"afterGetPosition",{pos:t}),t},t.prototype.getLabelPosition=function(t,e,n,r,o,s,l,c){var u=this.axis,h=u.transA,d=u.isLinked&&u.linkedParent?u.linkedParent.reversed:u.reversed,f=u.staggerLines,g=u.tickRotCorr||{x:0,y:0},m=o.y,v=r||u.reserveSpaceDefault?0:-u.labelOffset*("center"===u.labelAlign?.5:1),y={};return i(m)||(m=0===u.side?n.rotation?-8:-n.getBBox().height:2===u.side?g.y+8:Math.cos(n.rotation*p)*(g.y-n.getBBox(!1,0).height/2)),t=t+o.x+v+g.x-(s&&r?s*h*(d?-1:1):0),e=e+m-(s&&!r?s*h*(d?1:-1):0),f&&(n=l/(c||1)%f,u.opposite&&(n=f-n-1),e+=u.labelOffset/f*n),y.x=t,y.y=Math.round(e),a(this,"afterGetLabelPosition",{pos:y,tickmarkOffset:s,index:l}),y},t.prototype.getLabelSize=function(){return this.label?this.label.getBBox()[this.axis.horiz?"height":"width"]:0},t.prototype.getMarkPath=function(t,e,n,r,i,o){return o.crispLine([["M",t,e],["L",t+(i?0:-n),e+(i?n:0)]],r)},t.prototype.handleOverflow=function(t){var e=this.axis,n=e.options.labels,r=t.x,i=e.chart.chartWidth,o=e.chart.spacing,s=h(e.labelLeft,Math.min(e.pos,o[3]));o=h(e.labelRight,Math.max(e.isRadial?0:e.pos+e.len,i-o[1]));var a,l=this.label,c=this.rotation,u={left:0,center:.5,right:1}[e.labelAlign||l.attr("align")],d=l.getBBox().width,f=e.getSlotWidth(this),g=f,m=1,v={};c||"justify"!==h(n.overflow,"justify")?0>c&&r-u*d<s?a=Math.round(r/Math.cos(c*p)-s):0<c&&r+u*d>o&&(a=Math.round((i-r)/Math.cos(c*p))):(i=r+(1-u)*d,r-u*d<s?g=t.x+g*(1-u)-s:i>o&&(g=o-t.x+g*u,m=-1),(g=Math.min(f,g))<f&&"center"===e.labelAlign&&(t.x+=m*(f-g-u*(f-Math.min(d,g)))),(d>g||e.autoRotation&&(l.styles||{}).width)&&(a=g)),a&&(this.shortenLabel?this.shortenLabel():(v.width=Math.floor(a)+"px",(n.style||{}).textOverflow||(v.textOverflow="ellipsis"),l.css(v)))},t.prototype.moveLabel=function(t,e){var n=this,r=n.label,i=!1,o=n.axis,s=o.reversed;if(r&&r.textStr===t?(n.movedLabel=r,i=!0,delete n.label):u(o.ticks,(function(e){i||e.isNew||e===n||!e.label||e.label.textStr!==t||(n.movedLabel=e.label,i=!0,e.labelPos=n.movedLabel.xy,delete e.label)})),!i&&(n.labelPos||r)){var a=n.labelPos||r.xy;r=o.horiz?s?0:o.width+o.left:a.x,o=o.horiz?a.y:s?o.width+o.left:0,n.movedLabel=n.createLabel({x:r,y:o},t,e),n.movedLabel&&n.movedLabel.attr({opacity:0})}},t.prototype.render=function(t,e,n){var r=this.axis,i=r.horiz,o=this.pos,s=h(this.tickmarkOffset,r.tickmarkOffset);s=(o=this.getPosition(i,o,s,e)).x;var l=o.y;r=i&&s===r.pos+r.len||!i&&l===r.pos?-1:1,n=h(n,1),this.isActive=!0,this.renderGridLine(e,n,r),this.renderMark(o,n,r),this.renderLabel(o,e,n,t),this.isNew=!1,a(this,"afterRender")},t.prototype.renderGridLine=function(t,e,n){var r=this.axis,i=r.options,o=this.gridLine,s={},a=this.pos,l=this.type,c=h(this.tickmarkOffset,r.tickmarkOffset),u=r.chart.renderer,p=l?l+"Grid":"grid",d=i[p+"LineWidth"],f=i[p+"LineColor"];i=i[p+"LineDashStyle"],o||(r.chart.styledMode||(s.stroke=f,s["stroke-width"]=d,i&&(s.dashstyle=i)),l||(s.zIndex=1),t&&(e=0),this.gridLine=o=u.path().attr(s).addClass("highcharts-"+(l?l+"-":"")+"grid-line").add(r.gridGroup)),o&&(n=r.getPlotLinePath({value:a+c,lineWidth:o.strokeWidth()*n,force:"pass",old:t}))&&o[t||this.isNew?"attr":"animate"]({d:n,opacity:e})},t.prototype.renderMark=function(t,e,n){var r=this.axis,i=r.options,o=r.chart.renderer,s=this.type,a=s?s+"Tick":"tick",l=r.tickSize(a),c=this.mark,u=!c,p=t.x;t=t.y;var d=h(i[a+"Width"],!s&&r.isXAxis?1:0);i=i[a+"Color"],l&&(r.opposite&&(l[0]=-l[0]),u&&(this.mark=c=o.path().addClass("highcharts-"+(s?s+"-":"")+"tick").add(r.axisGroup),r.chart.styledMode||c.attr({stroke:i,"stroke-width":d})),c[u?"attr":"animate"]({d:this.getMarkPath(p,t,l[0],c.strokeWidth()*n,r.horiz,o),opacity:e}))},t.prototype.renderLabel=function(t,e,n,r){var i=this.axis,o=i.horiz,s=i.options,a=this.label,c=s.labels,u=c.step;i=h(this.tickmarkOffset,i.tickmarkOffset);var p=!0,d=t.x;t=t.y,a&&l(d)&&(a.xy=t=this.getLabelPosition(d,t,a,o,c,i,r,u),this.isFirst&&!this.isLast&&!h(s.showFirstLabel,1)||this.isLast&&!this.isFirst&&!h(s.showLastLabel,1)?p=!1:!o||c.step||c.rotation||e||0===n||this.handleOverflow(t),u&&r%u&&(p=!1),p&&l(t.y)?(t.opacity=n,a[this.isNewLabel?"attr":"animate"](t),this.isNewLabel=!1):(a.attr("y",-9999),this.isNewLabel=!0))},t.prototype.replaceMovedLabel=function(){var t=this.label,e=this.axis,n=e.reversed;if(t&&!this.isNew){var r=e.horiz?n?e.left:e.width+e.left:t.xy.x;n=e.horiz?t.xy.y:n?e.width+e.top:e.top,t.animate({x:r,y:n,opacity:0},void 0,t.destroy),delete this.label}e.isDirty=!0,this.label=this.movedLabel,delete this.movedLabel},t}(),t.Tick=e,t.Tick})),e(n,"Core/Time.js",[n["Core/Globals.js"],n["Core/Utilities.js"]],(function(t,e){var n=e.defined,r=e.error,i=e.extend,o=e.isObject,s=e.merge,a=e.objectEach,l=e.pad,c=e.pick,u=e.splat,h=e.timeUnits,p=t.win;return e=function(){function e(t){this.options={},this.variableTimezone=this.useUTC=!1,this.Date=p.Date,this.getTimezoneOffset=this.timezoneOffsetFunction(),this.update(t)}return e.prototype.get=function(t,e){if(this.variableTimezone||this.timezoneOffset){var n=e.getTime(),r=n-this.getTimezoneOffset(e);return e.setTime(r),t=e["getUTC"+t](),e.setTime(n),t}return this.useUTC?e["getUTC"+t]():e["get"+t]()},e.prototype.set=function(t,e,n){if(this.variableTimezone||this.timezoneOffset){if("Milliseconds"===t||"Seconds"===t||"Minutes"===t)return e["setUTC"+t](n);var r=this.getTimezoneOffset(e);return r=e.getTime()-r,e.setTime(r),e["setUTC"+t](n),t=this.getTimezoneOffset(e),r=e.getTime()+t,e.setTime(r)}return this.useUTC?e["setUTC"+t](n):e["set"+t](n)},e.prototype.update=function(t){var e=c(t&&t.useUTC,!0);this.options=t=s(!0,this.options||{},t),this.Date=t.Date||p.Date||Date,this.timezoneOffset=(this.useUTC=e)&&t.timezoneOffset,this.getTimezoneOffset=this.timezoneOffsetFunction(),this.variableTimezone=!(e&&!t.getTimezoneOffset&&!t.timezone)},e.prototype.makeTime=function(e,n,r,i,o,s){if(this.useUTC){var a=this.Date.UTC.apply(0,arguments),l=this.getTimezoneOffset(a);a+=l;var u=this.getTimezoneOffset(a);l!==u?a+=u-l:l-36e5!==this.getTimezoneOffset(a-36e5)||t.isSafari||(a-=36e5)}else a=new this.Date(e,n,c(r,1),c(i,0),c(o,0),c(s,0)).getTime();return a},e.prototype.timezoneOffsetFunction=function(){var t=this,e=this.options,n=e.moment||p.moment;if(!this.useUTC)return function(t){return 6e4*new Date(t.toString()).getTimezoneOffset()};if(e.timezone){if(n)return function(t){return 6e4*-n.tz(t,e.timezone).utcOffset()};r(25)}return this.useUTC&&e.getTimezoneOffset?function(t){return 6e4*e.getTimezoneOffset(t.valueOf())}:function(){return 6e4*(t.timezoneOffset||0)}},e.prototype.dateFormat=function(e,r,o){var s;if(!n(r)||isNaN(r))return(null===(s=t.defaultOptions.lang)||void 0===s?void 0:s.invalidDate)||"";e=c(e,"%Y-%m-%d %H:%M:%S");var u=this;s=new this.Date(r);var h=this.get("Hours",s),p=this.get("Day",s),d=this.get("Date",s),f=this.get("Month",s),g=this.get("FullYear",s),m=t.defaultOptions.lang,v=null==m?void 0:m.weekdays,y=null==m?void 0:m.shortWeekdays;return s=i({a:y?y[p]:v[p].substr(0,3),A:v[p],d:l(d),e:l(d,2," "),w:p,b:m.shortMonths[f],B:m.months[f],m:l(f+1),o:f+1,y:g.toString().substr(2,2),Y:g,H:l(h),k:h,I:l(h%12||12),l:h%12||12,M:l(this.get("Minutes",s)),p:12>h?"AM":"PM",P:12>h?"am":"pm",S:l(s.getSeconds()),L:l(Math.floor(r%1e3),3)},t.dateFormats),a(s,(function(t,n){for(;-1!==e.indexOf("%"+n);)e=e.replace("%"+n,"function"==typeof t?t.call(u,r):t)})),o?e.substr(0,1).toUpperCase()+e.substr(1):e},e.prototype.resolveDTLFormat=function(t){return o(t,!0)?t:{main:(t=u(t))[0],from:t[1],to:t[2]}},e.prototype.getTimeTicks=function(t,e,r,o){var s,a=this,l=[],u={},p=new a.Date(e),d=t.unitRange,f=t.count||1;if(o=c(o,1),n(e)){if(a.set("Milliseconds",p,d>=h.second?0:f*Math.floor(a.get("Milliseconds",p)/f)),d>=h.second&&a.set("Seconds",p,d>=h.minute?0:f*Math.floor(a.get("Seconds",p)/f)),d>=h.minute&&a.set("Minutes",p,d>=h.hour?0:f*Math.floor(a.get("Minutes",p)/f)),d>=h.hour&&a.set("Hours",p,d>=h.day?0:f*Math.floor(a.get("Hours",p)/f)),d>=h.day&&a.set("Date",p,d>=h.month?1:Math.max(1,f*Math.floor(a.get("Date",p)/f))),d>=h.month){a.set("Month",p,d>=h.year?0:f*Math.floor(a.get("Month",p)/f));var g=a.get("FullYear",p)}d>=h.year&&a.set("FullYear",p,g-g%f),d===h.week&&(g=a.get("Day",p),a.set("Date",p,a.get("Date",p)-g+o+(g<o?-7:0))),g=a.get("FullYear",p),o=a.get("Month",p);var m=a.get("Date",p),v=a.get("Hours",p);for(e=p.getTime(),a.variableTimezone&&(s=r-e>4*h.month||a.getTimezoneOffset(e)!==a.getTimezoneOffset(r)),e=p.getTime(),p=1;e<r;)l.push(e),e=d===h.year?a.makeTime(g+p*f,0):d===h.month?a.makeTime(g,o+p*f):!s||d!==h.day&&d!==h.week?s&&d===h.hour&&1<f?a.makeTime(g,o,m,v+p*f):e+d*f:a.makeTime(g,o,m+p*f*(d===h.day?1:7)),p++;l.push(e),d<=h.hour&&1e4>l.length&&l.forEach((function(t){t%18e5==0&&"000000000"===a.dateFormat("%H%M%S%L",t)&&(u[t]="day")}))}return l.info=i(t,{higherRanks:u,totalRange:d*f}),l},e}(),t.Time=e,t.Time})),e(n,"Core/Options.js",[n["Core/Globals.js"],n["Core/Color/Color.js"],n["Core/Time.js"],n["Core/Utilities.js"]],(function(t,e,n,r){var i=t.isTouchDevice,o=t.svg;return e=e.parse,r=r.merge,t.defaultOptions={colors:"#7cb5ec #434348 #90ed7d #f7a35c #8085e9 #f15c80 #e4d354 #2b908f #f45b5b #91e8e1".split(" "),symbols:["circle","diamond","square","triangle","triangle-down"],lang:{loading:"Loading...",months:"January February March April May June July August September October November December".split(" "),shortMonths:"Jan Feb Mar Apr May Jun Jul Aug Sep Oct Nov Dec".split(" "),weekdays:"Sunday Monday Tuesday Wednesday Thursday Friday Saturday".split(" "),decimalPoint:".",numericSymbols:"kMGTPE".split(""),resetZoom:"Reset zoom",resetZoomTitle:"Reset zoom level 1:1",thousandsSep:" "},global:{},time:{Date:void 0,getTimezoneOffset:void 0,timezone:void 0,timezoneOffset:0,useUTC:!0},chart:{styledMode:!1,borderRadius:0,colorCount:10,defaultSeriesType:"line",ignoreHiddenSeries:!0,spacing:[10,10,15,10],resetZoomButton:{theme:{zIndex:6},position:{align:"right",x:-10,y:10}},width:null,height:null,borderColor:"#335cad",backgroundColor:"#ffffff",plotBorderColor:"#cccccc"},title:{text:"Chart title",align:"center",margin:15,widthAdjust:-44},subtitle:{text:"",align:"center",widthAdjust:-44},caption:{margin:15,text:"",align:"left",verticalAlign:"bottom"},plotOptions:{},labels:{style:{position:"absolute",color:"#333333"}},legend:{enabled:!0,align:"center",alignColumns:!0,layout:"horizontal",labelFormatter:function(){return this.name},borderColor:"#999999",borderRadius:0,navigation:{activeColor:"#003399",inactiveColor:"#cccccc"},itemStyle:{color:"#333333",cursor:"pointer",fontSize:"12px",fontWeight:"bold",textOverflow:"ellipsis"},itemHoverStyle:{color:"#000000"},itemHiddenStyle:{color:"#cccccc"},shadow:!1,itemCheckboxStyle:{position:"absolute",width:"13px",height:"13px"},squareSymbol:!0,symbolPadding:5,verticalAlign:"bottom",x:0,y:0,title:{style:{fontWeight:"bold"}}},loading:{labelStyle:{fontWeight:"bold",position:"relative",top:"45%"},style:{position:"absolute",backgroundColor:"#ffffff",opacity:.5,textAlign:"center"}},tooltip:{enabled:!0,animation:o,borderRadius:3,dateTimeLabelFormats:{millisecond:"%A, %b %e, %H:%M:%S.%L",second:"%A, %b %e, %H:%M:%S",minute:"%A, %b %e, %H:%M",hour:"%A, %b %e, %H:%M",day:"%A, %b %e, %Y",week:"Week from %A, %b %e, %Y",month:"%B %Y",year:"%Y"},footerFormat:"",padding:8,snap:i?25:10,headerFormat:'<span style="font-size: 10px">{point.key}</span><br/>',pointFormat:'<span style="color:{point.color}">●</span> {series.name}: <b>{point.y}</b><br/>',backgroundColor:e("#f7f7f7").setOpacity(.85).get(),borderWidth:1,shadow:!0,style:{color:"#333333",cursor:"default",fontSize:"12px",whiteSpace:"nowrap"}},credits:{enabled:!0,href:"https://www.highcharts.com?credits",position:{align:"right",x:-10,verticalAlign:"bottom",y:-5},style:{cursor:"pointer",color:"#999999",fontSize:"9px"},text:"Highcharts.com"}},t.time=new n(r(t.defaultOptions.global,t.defaultOptions.time)),t.dateFormat=function(e,n,r){return t.time.dateFormat(e,n,r)},{dateFormat:t.dateFormat,defaultOptions:t.defaultOptions,time:t.time}})),e(n,"Core/Axis/Axis.js",[n["Core/Animation/AnimationUtilities.js"],n["Core/Color/Color.js"],n["Core/Globals.js"],n["Core/Axis/Tick.js"],n["Core/Utilities.js"],n["Core/Options.js"]],(function(t,e,n,r,i,o){var s=t.animObject,a=i.addEvent,l=i.arrayMax,c=i.arrayMin,u=i.clamp,h=i.correctFloat,p=i.defined,d=i.destroyObjectProperties,f=i.error,g=i.extend,m=i.fireEvent,v=i.format,y=i.getMagnitude,b=i.isArray,_=i.isFunction,x=i.isNumber,w=i.isString,S=i.merge,k=i.normalizeTickInterval,C=i.objectEach,A=i.pick,O=i.relativeLength,T=i.removeEvent,E=i.splat,P=i.syncTimeout,M=o.defaultOptions,L=n.deg2rad;return t=function(){function t(t,e){this.zoomEnabled=this.width=this.visible=this.userOptions=this.translationSlope=this.transB=this.transA=this.top=this.ticks=this.tickRotCorr=this.tickPositions=this.tickmarkOffset=this.tickInterval=this.tickAmount=this.side=this.series=this.right=this.positiveValuesOnly=this.pos=this.pointRangePadding=this.pointRange=this.plotLinesAndBandsGroups=this.plotLinesAndBands=this.paddedTicks=this.overlap=this.options=this.oldMin=this.oldMax=this.offset=this.names=this.minPixelPadding=this.minorTicks=this.minorTickInterval=this.min=this.maxLabelLength=this.max=this.len=this.left=this.labelFormatter=this.labelEdge=this.isLinked=this.height=this.hasVisibleSeries=this.hasNames=this.coll=this.closestPointRange=this.chart=this.categories=this.bottom=this.alternateBands=void 0,this.init(t,e)}return t.prototype.init=function(t,e){var n=e.isX,r=this;r.chart=t,r.horiz=t.inverted&&!r.isZAxis?!n:n,r.isXAxis=n,r.coll=r.coll||(n?"xAxis":"yAxis"),m(this,"init",{userOptions:e}),r.opposite=e.opposite,r.side=e.side||(r.horiz?r.opposite?0:2:r.opposite?1:3),r.setOptions(e);var i=this.options,o=i.type;r.labelFormatter=i.labels.formatter||r.defaultLabelFormatter,r.userOptions=e,r.minPixelPadding=0,r.reversed=i.reversed,r.visible=!1!==i.visible,r.zoomEnabled=!1!==i.zoomEnabled,r.hasNames="category"===o||!0===i.categories,r.categories=i.categories||r.hasNames,r.names||(r.names=[],r.names.keys={}),r.plotLinesAndBandsGroups={},r.positiveValuesOnly=!!r.logarithmic,r.isLinked=p(i.linkedTo),r.ticks={},r.labelEdge=[],r.minorTicks={},r.plotLinesAndBands=[],r.alternateBands={},r.len=0,r.minRange=r.userMinRange=i.minRange||i.maxZoom,r.range=i.range,r.offset=i.offset||0,r.max=null,r.min=null,r.crosshair=A(i.crosshair,E(t.options.tooltip.crosshairs)[n?0:1],!1),e=r.options.events,-1===t.axes.indexOf(r)&&(n?t.axes.splice(t.xAxis.length,0,r):t.axes.push(r),t[r.coll].push(r)),r.series=r.series||[],t.inverted&&!r.isZAxis&&n&&typeof r.reversed>"u"&&(r.reversed=!0),r.labelRotation=r.options.labels.rotation,C(e,(function(t,e){_(t)&&a(r,e,t)})),m(this,"afterInit")},t.prototype.setOptions=function(e){this.options=S(t.defaultOptions,"yAxis"===this.coll&&t.defaultYAxisOptions,[t.defaultTopAxisOptions,t.defaultRightAxisOptions,t.defaultBottomAxisOptions,t.defaultLeftAxisOptions][this.side],S(M[this.coll],e)),m(this,"afterSetOptions",{userOptions:e})},t.prototype.defaultLabelFormatter=function(){var t=this.axis,e=x(this.value)?this.value:NaN,n=t.chart.time,r=t.categories,i=this.dateTimeLabelFormat,o=M.lang,s=o.numericSymbols;o=o.numericSymbolMagnitude||1e3;var a=s&&s.length,l=t.options.labels.format;t=t.logarithmic?Math.abs(e):t.tickInterval;var c=this.chart,u=c.numberFormatter;if(l)var h=v(l,this,c);else if(r)h=""+this.value;else if(i)h=n.dateFormat(i,e);else if(a&&1e3<=t)for(;a--&&typeof h>"u";)t>=(n=Math.pow(o,a+1))&&10*e%n==0&&null!==s[a]&&0!==e&&(h=u(e/n,-1)+s[a]);return typeof h>"u"&&(h=1e4<=Math.abs(e)?u(e,-1):u(e,-1,void 0,"")),h},t.prototype.getSeriesExtremes=function(){var t,e=this,n=e.chart;m(this,"getSeriesExtremes",null,(function(){e.hasVisibleSeries=!1,e.dataMin=e.dataMax=e.threshold=null,e.softThreshold=!e.isXAxis,e.stacking&&e.stacking.buildStacks(),e.series.forEach((function(r){if(r.visible||!n.options.chart.ignoreHiddenSeries){var i=r.options,o=i.threshold;if(e.hasVisibleSeries=!0,e.positiveValuesOnly&&0>=o&&(o=null),e.isXAxis){if((i=r.xData).length){i=e.logarithmic?i.filter(e.validatePositiveValue):i;var s=(t=r.getXExtremes(i)).min,a=t.max;x(s)||s instanceof Date||(i=i.filter(x),s=(t=r.getXExtremes(i)).min,a=t.max),i.length&&(e.dataMin=Math.min(A(e.dataMin,s),s),e.dataMax=Math.max(A(e.dataMax,a),a))}}else r=r.applyExtremes(),x(r.dataMin)&&(s=r.dataMin,e.dataMin=Math.min(A(e.dataMin,s),s)),x(r.dataMax)&&(a=r.dataMax,e.dataMax=Math.max(A(e.dataMax,a),a)),p(o)&&(e.threshold=o),(!i.softThreshold||e.positiveValuesOnly)&&(e.softThreshold=!1)}}))})),m(this,"afterGetSeriesExtremes")},t.prototype.translate=function(t,e,n,r,i,o){var s=this.linkedParent||this,a=1,l=0,c=r?s.oldTransA:s.transA;r=r?s.oldMin:s.min;var u=s.minPixelPadding;return i=(s.isOrdinal||s.brokenAxis&&s.brokenAxis.hasBreaks||s.logarithmic&&i)&&s.lin2val,c||(c=s.transA),n&&(a*=-1,l=s.len),s.reversed&&(l-=(a*=-1)*(s.sector||s.len)),e?(t=(t*a+l-u)/c+r,i&&(t=s.lin2val(t))):(i&&(t=s.val2lin(t)),t=x(r)?a*(t-r)*c+l+a*u+(x(o)?c*o:0):void 0),t},t.prototype.toPixels=function(t,e){return this.translate(t,!1,!this.horiz,null,!0)+(e?0:this.pos)},t.prototype.toValue=function(t,e){return this.translate(t-(e?0:this.pos),!0,!this.horiz,null,!0)},t.prototype.getPlotLinePath=function(t){function e(t,e,n){return("pass"!==v&&t<e||t>n)&&(v?t=u(t,e,n):s=!0),t}var n,r,i,o,s,a=this,l=a.chart,c=a.left,h=a.top,p=t.old,d=t.value,f=t.translatedValue,g=t.lineWidth,v=t.force,y=p&&l.oldChartHeight||l.chartHeight,b=p&&l.oldChartWidth||l.chartWidth,_=a.transB;return t={value:d,lineWidth:g,old:p,force:v,acrossPanes:t.acrossPanes,translatedValue:f},m(this,"getPlotLinePath",t,(function(t){f=A(f,a.translate(d,null,null,p)),f=u(f,-1e5,1e5),n=i=Math.round(f+_),r=o=Math.round(y-f-_),x(f)?a.horiz?(r=h,o=y-a.bottom,n=i=e(n,c,c+a.width)):(n=c,i=b-a.right,r=o=e(r,h,h+a.height)):(s=!0,v=!1),t.path=s&&!v?null:l.renderer.crispLine([["M",n,r],["L",i,o]],g||1)})),t.path},t.prototype.getLinearTickPositions=function(t,e,n){var r=h(Math.floor(e/t)*t);n=h(Math.ceil(n/t)*t);var i,o=[];if(h(r+t)===r&&(i=20),this.single)return[e];for(e=r;e<=n&&(o.push(e),(e=h(e+t,i))!==s);)var s=e;return o},t.prototype.getMinorTickInterval=function(){var t=this.options;return!0===t.minorTicks?A(t.minorTickInterval,"auto"):!1===t.minorTicks?null:t.minorTickInterval},t.prototype.getMinorTickPositions=function(){var t=this.options,e=this.tickPositions,n=this.minorTickInterval,r=[],i=this.pointRangePadding||0,o=this.min-i,s=(i=this.max+i)-o;if(s&&s/n<this.len/3){var a=this.logarithmic;if(a)this.paddedTicks.forEach((function(t,e,i){e&&r.push.apply(r,a.getLogTickPositions(n,i[e-1],i[e],!0))}));else if(this.dateTime&&"auto"===this.getMinorTickInterval())r=r.concat(this.getTimeTicks(this.dateTime.normalizeTimeTickInterval(n),o,i,t.startOfWeek));else for(t=o+(e[0]-o)%n;t<=i&&t!==r[0];t+=n)r.push(t)}return 0!==r.length&&this.trimTicks(r),r},t.prototype.adjustForMinRange=function(){var t,e,n,r,i=this.options,o=this.min,s=this.max,a=this.logarithmic;if(this.isXAxis&&typeof this.minRange>"u"&&!a&&(p(i.min)||p(i.max)?this.minRange=null:(this.series.forEach((function(i){for(r=i.xData,e=i.xIncrement?1:r.length-1;0<e;e--)n=r[e]-r[e-1],(typeof t>"u"||n<t)&&(t=n)})),this.minRange=Math.min(5*t,this.dataMax-this.dataMin))),s-o<this.minRange){var u=this.dataMax-this.dataMin>=this.minRange,h=this.minRange,d=(h-s+o)/2;d=[o-d,A(i.min,o-d)],u&&(d[2]=this.logarithmic?this.logarithmic.log2lin(this.dataMin):this.dataMin),s=[(o=l(d))+h,A(i.max,o+h)],u&&(s[2]=a?a.log2lin(this.dataMax):this.dataMax),(s=c(s))-o<h&&(d[0]=s-h,d[1]=A(i.min,s-h),o=l(d))}this.min=o,this.max=s},t.prototype.getClosest=function(){var t;return this.categories?t=1:this.series.forEach((function(e){var n=e.closestPointRange,r=e.visible||!e.chart.options.chart.ignoreHiddenSeries;!e.noSharedTooltip&&p(n)&&r&&(t=p(t)?Math.min(t,n):n)})),t},t.prototype.nameToX=function(t){var e=b(this.categories),n=e?this.categories:this.names,r=t.options.x;if(t.series.requireSorting=!1,p(r)||(r=!1===this.options.uniqueNames?t.series.autoIncrement():e?n.indexOf(t.name):A(n.keys[t.name],-1)),-1===r){if(!e)var i=n.length}else i=r;return typeof i<"u"&&(this.names[i]=t.name,this.names.keys[t.name]=i),i},t.prototype.updateNames=function(){var t=this,e=this.names;0<e.length&&(Object.keys(e.keys).forEach((function(t){delete e.keys[t]})),e.length=0,this.minRange=this.userMinRange,(this.series||[]).forEach((function(e){e.xIncrement=null,(!e.points||e.isDirtyData)&&(t.max=Math.max(t.max,e.xData.length-1),e.processData(),e.generatePoints()),e.data.forEach((function(n,r){if(n&&n.options&&typeof n.name<"u"){var i=t.nameToX(n);typeof i<"u"&&i!==n.x&&(n.x=i,e.xData[r]=i)}}))})))},t.prototype.setAxisTranslation=function(t){var e=this,n=e.max-e.min,r=e.axisPointRange||0,i=0,o=0,s=e.linkedParent,a=!!e.categories,l=e.transA,c=e.isXAxis;if(c||a||r){var u=e.getClosest();s?(i=s.minPointOffset,o=s.pointRangePadding):e.series.forEach((function(t){var n=a?1:c?A(t.options.pointRange,u,0):e.axisPointRange||0,s=t.options.pointPlacement;r=Math.max(r,n),(!e.single||a)&&(t=t.is("xrange")?!c:c,i=Math.max(i,t&&w(s)?0:n/2),o=Math.max(o,t&&"on"===s?0:n))})),s=e.ordinal&&e.ordinal.slope&&u?e.ordinal.slope/u:1,e.minPointOffset=i*=s,e.pointRangePadding=o*=s,e.pointRange=Math.min(r,e.single&&a?1:n),c&&(e.closestPointRange=u)}t&&(e.oldTransA=l),e.translationSlope=e.transA=l=e.staticScale||e.len/(n+o||1),e.transB=e.horiz?e.left:e.bottom,e.minPixelPadding=l*i,m(this,"afterSetAxisTranslation")},t.prototype.minFromRange=function(){return this.max-this.range},t.prototype.setTickInterval=function(t){var e=this,n=e.chart,r=e.logarithmic,i=e.options,o=e.isXAxis,s=e.isLinked,a=i.maxPadding,l=i.minPadding,c=i.tickInterval,u=i.tickPixelInterval,d=e.categories,g=x(e.threshold)?e.threshold:null,v=e.softThreshold;e.dateTime||d||s||this.getTickAmount();var b=A(e.userMin,i.min),_=A(e.userMax,i.max);if(s){e.linkedParent=n[e.coll][i.linkedTo];var w=e.linkedParent.getExtremes();e.min=A(w.min,w.dataMin),e.max=A(w.max,w.dataMax),i.type!==e.linkedParent.options.type&&f(11,1,n)}else{if(v&&p(g))if(e.dataMin>=g)w=g,l=0;else if(e.dataMax<=g){var S=g;a=0}e.min=A(b,w,e.dataMin),e.max=A(_,S,e.dataMax)}r&&(e.positiveValuesOnly&&!t&&0>=Math.min(e.min,A(e.dataMin,e.min))&&f(10,1,n),e.min=h(r.log2lin(e.min),16),e.max=h(r.log2lin(e.max),16)),e.range&&p(e.max)&&(e.userMin=e.min=b=Math.max(e.dataMin,e.minFromRange()),e.userMax=_=e.max,e.range=null),m(e,"foundExtremes"),e.beforePadding&&e.beforePadding(),e.adjustForMinRange(),!(d||e.axisPointRange||e.stacking&&e.stacking.usePercentage||s)&&p(e.min)&&p(e.max)&&(n=e.max-e.min)&&(!p(b)&&l&&(e.min-=n*l),!p(_)&&a&&(e.max+=n*a)),x(e.userMin)||(x(i.softMin)&&i.softMin<e.min&&(e.min=b=i.softMin),x(i.floor)&&(e.min=Math.max(e.min,i.floor))),x(e.userMax)||(x(i.softMax)&&i.softMax>e.max&&(e.max=_=i.softMax),x(i.ceiling)&&(e.max=Math.min(e.max,i.ceiling))),v&&p(e.dataMin)&&(g=g||0,!p(b)&&e.min<g&&e.dataMin>=g?e.min=e.options.minRange?Math.min(g,e.max-e.minRange):g:!p(_)&&e.max>g&&e.dataMax<=g&&(e.max=e.options.minRange?Math.max(g,e.min+e.minRange):g)),e.tickInterval=e.min===e.max||typeof e.min>"u"||typeof e.max>"u"?1:s&&!c&&u===e.linkedParent.options.tickPixelInterval?c=e.linkedParent.tickInterval:A(c,this.tickAmount?(e.max-e.min)/Math.max(this.tickAmount-1,1):void 0,d?1:(e.max-e.min)*u/Math.max(e.len,u)),o&&!t&&e.series.forEach((function(t){t.processData(e.min!==e.oldMin||e.max!==e.oldMax)})),e.setAxisTranslation(!0),m(this,"initialAxisTranslation"),e.pointRange&&!c&&(e.tickInterval=Math.max(e.pointRange,e.tickInterval)),t=A(i.minTickInterval,e.dateTime&&!e.series.some((function(t){return t.noSharedTooltip}))?e.closestPointRange:0),!c&&e.tickInterval<t&&(e.tickInterval=t),e.dateTime||e.logarithmic||c||(e.tickInterval=k(e.tickInterval,void 0,y(e.tickInterval),A(i.allowDecimals,.5>e.tickInterval||void 0!==this.tickAmount),!!this.tickAmount)),this.tickAmount||(e.tickInterval=e.unsquish()),this.setTickPositions()},t.prototype.setTickPositions=function(){var t=this.options,e=t.tickPositions,n=this.getMinorTickInterval(),r=t.tickPositioner,i=this.hasVerticalPanning(),o="colorAxis"===this.coll,s=(o||!i)&&t.startOnTick;i=(o||!i)&&t.endOnTick,this.tickmarkOffset=this.categories&&"between"===t.tickmarkPlacement&&1===this.tickInterval?.5:0,this.minorTickInterval="auto"===n&&this.tickInterval?this.tickInterval/5:n,this.single=this.min===this.max&&p(this.min)&&!this.tickAmount&&(parseInt(this.min,10)===this.min||!1!==t.allowDecimals),this.tickPositions=n=e&&e.slice(),!n&&(this.ordinal&&this.ordinal.positions||!((this.max-this.min)/this.tickInterval>Math.max(2*this.len,200))?n=this.dateTime?this.getTimeTicks(this.dateTime.normalizeTimeTickInterval(this.tickInterval,t.units),this.min,this.max,t.startOfWeek,this.ordinal&&this.ordinal.positions,this.closestPointRange,!0):this.logarithmic?this.logarithmic.getLogTickPositions(this.tickInterval,this.min,this.max):this.getLinearTickPositions(this.tickInterval,this.min,this.max):(n=[this.min,this.max],f(19,!1,this.chart)),n.length>this.len&&(n=[n[0],n.pop()])[0]===n[1]&&(n.length=1),this.tickPositions=n,r&&(r=r.apply(this,[this.min,this.max])))&&(this.tickPositions=n=r),this.paddedTicks=n.slice(0),this.trimTicks(n,s,i),this.isLinked||(this.single&&2>n.length&&!this.categories&&!this.series.some((function(t){return t.is("heatmap")&&"between"===t.options.pointPlacement}))&&(this.min-=.5,this.max+=.5),e||r||this.adjustTickAmount()),m(this,"afterSetTickPositions")},t.prototype.trimTicks=function(t,e,n){var r=t[0],i=t[t.length-1],o=!this.isOrdinal&&this.minPointOffset||0;if(m(this,"trimTicks"),!this.isLinked){if(e&&r!==-1/0)this.min=r;else for(;this.min-o>t[0];)t.shift();if(n)this.max=i;else for(;this.max+o<t[t.length-1];)t.pop();0===t.length&&p(r)&&!this.options.tickPositions&&t.push((i+r)/2)}},t.prototype.alignToOthers=function(){var t,e={},n=this.options;return!1===this.chart.options.chart.alignTicks||!1===n.alignTicks||!1===n.startOnTick||!1===n.endOnTick||this.logarithmic||this.chart[this.coll].forEach((function(n){var r=n.options;r=[n.horiz?r.left:r.top,r.width,r.height,r.pane].join(),n.series.length&&(e[r]?t=!0:e[r]=1)})),t},t.prototype.getTickAmount=function(){var t=this.options,e=t.tickAmount,n=t.tickPixelInterval;!p(t.tickInterval)&&!e&&this.len<n&&!this.isRadial&&!this.logarithmic&&t.startOnTick&&t.endOnTick&&(e=2),!e&&this.alignToOthers()&&(e=Math.ceil(this.len/n)+1),4>e&&(this.finalTickAmt=e,e=5),this.tickAmount=e},t.prototype.adjustTickAmount=function(){var t,e=this.options,n=this.tickInterval,r=this.tickPositions,i=this.tickAmount,o=this.finalTickAmt,s=r&&r.length,a=A(this.threshold,this.softThreshold?0:null);if(this.hasData()){if(s<i){for(t=this.min;r.length<i;)r.length%2||t===a?r.push(h(r[r.length-1]+n)):r.unshift(h(r[0]-n));this.transA*=(s-1)/(i-1),this.min=e.startOnTick?r[0]:Math.min(this.min,r[0]),this.max=e.endOnTick?r[r.length-1]:Math.max(this.max,r[r.length-1])}else s>i&&(this.tickInterval*=2,this.setTickPositions());if(p(o)){for(n=e=r.length;n--;)(3===o&&n%2==1||2>=o&&0<n&&n<e-1)&&r.splice(n,1);this.finalTickAmt=void 0}}},t.prototype.setScale=function(){var t,e=!1,n=!1;this.series.forEach((function(t){var r;e=e||t.isDirtyData||t.isDirty,n=n||(null===(r=t.xAxis)||void 0===r?void 0:r.isDirty)||!1})),this.oldMin=this.min,this.oldMax=this.max,this.oldAxisLength=this.len,this.setAxisSize(),(t=this.len!==this.oldAxisLength)||e||n||this.isLinked||this.forceRedraw||this.userMin!==this.oldUserMin||this.userMax!==this.oldUserMax||this.alignToOthers()?(this.stacking&&this.stacking.resetStacks(),this.forceRedraw=!1,this.getSeriesExtremes(),this.setTickInterval(),this.oldUserMin=this.userMin,this.oldUserMax=this.userMax,this.isDirty||(this.isDirty=t||this.min!==this.oldMin||this.max!==this.oldMax)):this.stacking&&this.stacking.cleanStacks(),e&&this.panningState&&(this.panningState.isDirty=!0),m(this,"afterSetScale")},t.prototype.setExtremes=function(t,e,n,r,i){var o=this,s=o.chart;n=A(n,!0),o.series.forEach((function(t){delete t.kdTree})),i=g(i,{min:t,max:e}),m(o,"setExtremes",i,(function(){o.userMin=t,o.userMax=e,o.eventArgs=i,n&&s.redraw(r)}))},t.prototype.zoom=function(t,e){var n=this,r=this.dataMin,i=this.dataMax,o=this.options,s=Math.min(r,A(o.min,r)),a=Math.max(i,A(o.max,i));return m(this,"zoom",t={newMin:t,newMax:e},(function(t){var e=t.newMin,o=t.newMax;(e!==n.min||o!==n.max)&&(n.allowZoomOutside||(p(r)&&(e<s&&(e=s),e>a&&(e=a)),p(i)&&(o<s&&(o=s),o>a&&(o=a))),n.displayBtn=typeof e<"u"||typeof o<"u",n.setExtremes(e,o,!1,void 0,{trigger:"zoom"})),t.zoomed=!0})),t.zoomed},t.prototype.setAxisSize=function(){var t=this.chart,e=this.options,n=e.offsets||[0,0,0,0],r=this.horiz,i=this.width=Math.round(O(A(e.width,t.plotWidth-n[3]+n[1]),t.plotWidth)),o=this.height=Math.round(O(A(e.height,t.plotHeight-n[0]+n[2]),t.plotHeight)),s=this.top=Math.round(O(A(e.top,t.plotTop+n[0]),t.plotHeight,t.plotTop));e=this.left=Math.round(O(A(e.left,t.plotLeft+n[3]),t.plotWidth,t.plotLeft)),this.bottom=t.chartHeight-o-s,this.right=t.chartWidth-i-e,this.len=Math.max(r?i:o,0),this.pos=r?e:s},t.prototype.getExtremes=function(){var t=this.logarithmic;return{min:t?h(t.lin2log(this.min)):this.min,max:t?h(t.lin2log(this.max)):this.max,dataMin:this.dataMin,dataMax:this.dataMax,userMin:this.userMin,userMax:this.userMax}},t.prototype.getThreshold=function(t){var e=this.logarithmic,n=e?e.lin2log(this.min):this.min;return e=e?e.lin2log(this.max):this.max,null===t||t===-1/0?t=n:t===1/0?t=e:n>t?t=n:e<t&&(t=e),this.translate(t,0,1,0,1)},t.prototype.autoLabelAlign=function(t){var e=(A(t,0)-90*this.side+720)%360;return m(this,"autoLabelAlign",t={align:"center"},(function(t){15<e&&165>e?t.align="right":195<e&&345>e&&(t.align="left")})),t.align},t.prototype.tickSize=function(t){var e=this.options,n=e["tick"===t?"tickLength":"minorTickLength"],r=A(e["tick"===t?"tickWidth":"minorTickWidth"],"tick"===t&&this.isXAxis&&!this.categories?1:0);if(r&&n){"inside"===e[t+"Position"]&&(n=-n);var i=[n,r]}return m(this,"afterTickSize",t={tickSize:i}),t.tickSize},t.prototype.labelMetrics=function(){var t=this.tickPositions&&this.tickPositions[0]||0;return this.chart.renderer.fontMetrics(this.options.labels.style&&this.options.labels.style.fontSize,this.ticks[t]&&this.ticks[t].label)},t.prototype.unsquish=function(){var t,e,n,r=this.options.labels,i=this.horiz,o=this.tickInterval,s=o,a=this.len/(((this.categories?1:0)+this.max-this.min)/o),l=r.rotation,c=this.labelMetrics(),u=Number.MAX_VALUE,d=this.max-this.min,f=function(t){var e=t/(a||1);return(e=1<e?Math.ceil(e):1)*o>d&&t!==1/0&&a!==1/0&&d&&(e=Math.ceil(d/o)),h(e*o)};return i?(n=!r.staggerLines&&!r.step&&(p(l)?[l]:a<A(r.autoRotationLimit,80)&&r.autoRotation))&&n.forEach((function(n){if(n===l||n&&-90<=n&&90>=n){var r=(e=f(Math.abs(c.h/Math.sin(L*n))))+Math.abs(n/360);r<u&&(u=r,t=n,s=e)}})):r.step||(s=f(c.h)),this.autoRotation=n,this.labelRotation=A(t,l),s},t.prototype.getSlotWidth=function(t){var e,n=this.chart,r=this.horiz,i=this.options.labels,o=Math.max(this.tickPositions.length-(this.categories?0:1),1),s=n.margin[3];if(t&&x(t.slotWidth))return t.slotWidth;if(r&&i&&2>(i.step||0))return i.rotation?0:(this.staggerLines||1)*this.len/o;if(!r){if(void 0!==(t=null===(e=null==i?void 0:i.style)||void 0===e?void 0:e.width))return parseInt(t,10);if(s)return s-n.spacing[3]}return.33*n.chartWidth},t.prototype.renderUnsquish=function(){var t=this.chart,e=t.renderer,n=this.tickPositions,r=this.ticks,i=this.options.labels,o=i&&i.style||{},s=this.horiz,a=this.getSlotWidth(),l=Math.max(1,Math.round(a-2*(i.padding||5))),c={},u=this.labelMetrics(),h=i.style&&i.style.textOverflow,p=0;if(w(i.rotation)||(c.rotation=i.rotation||0),n.forEach((function(t){(t=r[t]).movedLabel&&t.replaceMovedLabel(),t&&t.label&&t.label.textPxLength>p&&(p=t.label.textPxLength)})),this.maxLabelLength=p,this.autoRotation)p>l&&p>u.h?c.rotation=this.labelRotation:this.labelRotation=0;else if(a){var d=l;if(!h){var f="clip";for(l=n.length;!s&&l--;){var g=n[l];(g=r[g].label)&&(g.styles&&"ellipsis"===g.styles.textOverflow?g.css({textOverflow:"clip"}):g.textPxLength>a&&g.css({width:a+"px"}),g.getBBox().height>this.len/n.length-(u.h-u.f)&&(g.specificTextOverflow="ellipsis"))}}}c.rotation&&(d=p>.5*t.chartHeight?.33*t.chartHeight:p,h||(f="ellipsis")),(this.labelAlign=i.align||this.autoLabelAlign(this.labelRotation))&&(c.align=this.labelAlign),n.forEach((function(t){var e=(t=r[t])&&t.label,n=o.width,i={};e&&(e.attr(c),t.shortenLabel?t.shortenLabel():d&&!n&&"nowrap"!==o.whiteSpace&&(d<e.textPxLength||"SPAN"===e.element.tagName)?(i.width=d+"px",h||(i.textOverflow=e.specificTextOverflow||f),e.css(i)):e.styles&&e.styles.width&&!i.width&&!n&&e.css({width:null}),delete e.specificTextOverflow,t.rotation=c.rotation)}),this),this.tickRotCorr=e.rotCorr(u.b,this.labelRotation||0,0!==this.side)},t.prototype.hasData=function(){return this.series.some((function(t){return t.hasData()}))||this.options.showEmpty&&p(this.min)&&p(this.max)},t.prototype.addTitle=function(t){var e,n=this.chart.renderer,r=this.horiz,i=this.opposite,o=this.options.title,s=this.chart.styledMode;this.axisTitle||((e=o.textAlign)||(e=(r?{low:"left",middle:"center",high:"right"}:{low:i?"right":"left",middle:"center",high:i?"left":"right"})[o.align]),this.axisTitle=n.text(o.text,0,0,o.useHTML).attr({zIndex:7,rotation:o.rotation||0,align:e}).addClass("highcharts-axis-title"),s||this.axisTitle.css(S(o.style)),this.axisTitle.add(this.axisGroup),this.axisTitle.isNew=!0),s||o.style.width||this.isRadial||this.axisTitle.css({width:this.len+"px"}),this.axisTitle[t?"show":"hide"](t)},t.prototype.generateTick=function(t){var e=this.ticks;e[t]?e[t].addLabel():e[t]=new r(this,t)},t.prototype.getOffset=function(){var t,e=this,n=e.chart,r=n.renderer,i=e.options,o=e.tickPositions,s=e.ticks,a=e.horiz,l=e.side,c=n.inverted&&!e.isZAxis?[1,0,3,2][l]:l,u=0,h=0,d=i.title,f=i.labels,g=0,v=n.axisOffset;n=n.clipOffset;var y=[-1,1,1,-1][l],b=i.className,_=e.axisParent,x=e.hasData();if(e.showAxis=t=x||A(i.showEmpty,!0),e.staggerLines=e.horiz&&f.staggerLines,e.axisGroup||(e.gridGroup=r.g("grid").attr({zIndex:i.gridZIndex||1}).addClass("highcharts-"+this.coll.toLowerCase()+"-grid "+(b||"")).add(_),e.axisGroup=r.g("axis").attr({zIndex:i.zIndex||2}).addClass("highcharts-"+this.coll.toLowerCase()+" "+(b||"")).add(_),e.labelGroup=r.g("axis-labels").attr({zIndex:f.zIndex||7}).addClass("highcharts-"+e.coll.toLowerCase()+"-labels "+(b||"")).add(_)),x||e.isLinked?(o.forEach((function(t,n){e.generateTick(t,n)})),e.renderUnsquish(),e.reserveSpaceDefault=0===l||2===l||{1:"left",3:"right"}[l]===e.labelAlign,A(f.reserveSpace,"center"===e.labelAlign||null,e.reserveSpaceDefault)&&o.forEach((function(t){g=Math.max(s[t].getLabelSize(),g)})),e.staggerLines&&(g*=e.staggerLines),e.labelOffset=g*(e.opposite?-1:1)):C(s,(function(t,e){t.destroy(),delete s[e]})),d&&d.text&&!1!==d.enabled&&(e.addTitle(t),t&&!1!==d.reserveSpace)){e.titleOffset=u=e.axisTitle.getBBox()[a?"height":"width"];var w=d.offset;h=p(w)?0:A(d.margin,a?5:10)}e.renderLine(),e.offset=y*A(i.offset,v[l]?v[l]+(i.margin||0):0),e.tickRotCorr=e.tickRotCorr||{x:0,y:0},r=0===l?-e.labelMetrics().h:2===l?e.tickRotCorr.y:0,h=Math.abs(g)+h,g&&(h=h-r+y*(a?A(f.y,e.tickRotCorr.y+8*y):f.x)),e.axisTitleMargin=A(w,h),e.getMaxLabelDimensions&&(e.maxLabelDimensions=e.getMaxLabelDimensions(s,o)),a=this.tickSize("tick"),v[l]=Math.max(v[l],e.axisTitleMargin+u+y*e.offset,h,o&&o.length&&a?a[0]+y*e.offset:0),i=i.offset?0:2*Math.floor(e.axisLine.strokeWidth()/2),n[c]=Math.max(n[c],i),m(this,"afterGetOffset")},t.prototype.getLinePath=function(t){var e=this.chart,n=this.opposite,r=this.offset,i=this.horiz,o=this.left+(n?this.width:0)+r;return r=e.chartHeight-this.bottom-(n?this.height:0)+r,n&&(t*=-1),e.renderer.crispLine([["M",i?this.left:o,i?r:this.top],["L",i?e.chartWidth-this.right:o,i?r:e.chartHeight-this.bottom]],t)},t.prototype.renderLine=function(){this.axisLine||(this.axisLine=this.chart.renderer.path().addClass("highcharts-axis-line").add(this.axisGroup),this.chart.styledMode||this.axisLine.attr({stroke:this.options.lineColor,"stroke-width":this.options.lineWidth,zIndex:7}))},t.prototype.getTitlePosition=function(){var t=this.horiz,e=this.left,n=this.top,r=this.len,i=this.options.title,o=t?e:n,s=this.opposite,a=this.offset,l=i.x||0,c=i.y||0,u=this.axisTitle,h=this.chart.renderer.fontMetrics(i.style&&i.style.fontSize,u);return u=Math.max(u.getBBox(null,0).height-h.h-1,0),r={low:o+(t?0:r),middle:o+r/2,high:o+(t?r:0)}[i.align],e=(t?n+this.height:e)+(t?1:-1)*(s?-1:1)*this.axisTitleMargin+[-u,u,h.f,-u][this.side],t={x:t?r+l:e+(s?this.width:0)+a+l,y:t?e+c-(s?this.height:0)+a:r+c},m(this,"afterGetTitlePosition",{titlePosition:t}),t},t.prototype.renderMinorTick=function(t){var e=this.chart.hasRendered&&x(this.oldMin),n=this.minorTicks;n[t]||(n[t]=new r(this,t,"minor")),e&&n[t].isNew&&n[t].render(null,!0),n[t].render(null,!1,1)},t.prototype.renderTick=function(t,e){var n,i=this.isLinked,o=this.ticks,s=this.chart.hasRendered&&x(this.oldMin);(!i||t>=this.min&&t<=this.max||null!==(n=this.grid)&&void 0!==n&&n.isColumn)&&(o[t]||(o[t]=new r(this,t)),s&&o[t].isNew&&o[t].render(e,!0,-1),o[t].render(e))},t.prototype.render=function(){var t,e,i=this,o=i.chart,a=i.logarithmic,l=i.options,c=i.isLinked,u=i.tickPositions,h=i.axisTitle,p=i.ticks,d=i.minorTicks,f=i.alternateBands,g=l.stackLabels,v=l.alternateGridColor,y=i.tickmarkOffset,b=i.axisLine,_=i.showAxis,w=s(o.renderer.globalAnimation);i.labelEdge.length=0,i.overlap=!1,[p,d,f].forEach((function(t){C(t,(function(t){t.isActive=!1}))})),(i.hasData()||c)&&(i.minorTickInterval&&!i.categories&&i.getMinorTickPositions().forEach((function(t){i.renderMinorTick(t)})),u.length&&(u.forEach((function(t,e){i.renderTick(t,e)})),y&&(0===i.min||i.single)&&(p[-1]||(p[-1]=new r(i,-1,null,!0)),p[-1].render(-1))),v&&u.forEach((function(r,s){e=typeof u[s+1]<"u"?u[s+1]+y:i.max-y,s%2==0&&r<i.max&&e<=i.max+(o.polar?-y:y)&&(f[r]||(f[r]=new n.PlotLineOrBand(i)),t=r+y,f[r].options={from:a?a.lin2log(t):t,to:a?a.lin2log(e):e,color:v,className:"highcharts-alternate-grid"},f[r].render(),f[r].isActive=!0)})),i._addedPlotLB||((l.plotLines||[]).concat(l.plotBands||[]).forEach((function(t){i.addPlotBandOrLine(t)})),i._addedPlotLB=!0)),[p,d,f].forEach((function(t){var e,n=[],r=w.duration;C(t,(function(t,e){t.isActive||(t.render(e,!1,0),t.isActive=!1,n.push(e))})),P((function(){for(e=n.length;e--;)t[n[e]]&&!t[n[e]].isActive&&(t[n[e]].destroy(),delete t[n[e]])}),t!==f&&o.hasRendered&&r?r:0)})),b&&(b[b.isPlaced?"animate":"attr"]({d:this.getLinePath(b.strokeWidth())}),b.isPlaced=!0,b[_?"show":"hide"](_)),h&&_&&(l=i.getTitlePosition(),x(l.y)?(h[h.isNew?"attr":"animate"](l),h.isNew=!1):(h.attr("y",-9999),h.isNew=!0)),g&&g.enabled&&i.stacking&&i.stacking.renderStackTotals(),i.isDirty=!1,m(this,"afterRender")},t.prototype.redraw=function(){this.visible&&(this.render(),this.plotLinesAndBands.forEach((function(t){t.render()}))),this.series.forEach((function(t){t.isDirty=!0}))},t.prototype.getKeepProps=function(){return this.keepProps||t.keepProps},t.prototype.destroy=function(t){var e,n=this,r=n.plotLinesAndBands;if(m(this,"destroy",{keepEvents:t}),t||T(n),[n.ticks,n.minorTicks,n.alternateBands].forEach((function(t){d(t)})),r)for(t=r.length;t--;)r[t].destroy();for(e in"axisLine axisTitle axisGroup gridGroup labelGroup cross scrollbar".split(" ").forEach((function(t){n[t]&&(n[t]=n[t].destroy())})),n.plotLinesAndBandsGroups)n.plotLinesAndBandsGroups[e]=n.plotLinesAndBandsGroups[e].destroy();C(n,(function(t,e){-1===n.getKeepProps().indexOf(e)&&delete n[e]}))},t.prototype.drawCrosshair=function(t,n){var r,i=this.crosshair,o=A(i.snap,!0),s=this.cross,a=this.chart;if(m(this,"drawCrosshair",{e:t,point:n}),t||(t=this.cross&&this.cross.e),this.crosshair&&!1!==(p(n)||!o)){if(o?p(n)&&(r=A("colorAxis"!==this.coll?n.crosshairPos:null,this.isXAxis?n.plotX:this.len-n.plotY)):r=t&&(this.horiz?t.chartX-this.pos:this.len-t.chartY+this.pos),p(r)){var l={value:n&&(this.isXAxis?n.x:A(n.stackY,n.y)),translatedValue:r};a.polar&&g(l,{isCrosshair:!0,chartX:t&&t.chartX,chartY:t&&t.chartY,point:n}),l=this.getPlotLinePath(l)||null}if(!p(l))return void this.hideCrosshair();o=this.categories&&!this.isRadial,s||(this.cross=s=a.renderer.path().addClass("highcharts-crosshair highcharts-crosshair-"+(o?"category ":"thin ")+i.className).attr({zIndex:A(i.zIndex,2)}).add(),a.styledMode||(s.attr({stroke:i.color||(o?e.parse("#ccd6eb").setOpacity(.25).get():"#cccccc"),"stroke-width":A(i.width,1)}).css({"pointer-events":"none"}),i.dashStyle&&s.attr({dashstyle:i.dashStyle}))),s.show().attr({d:l}),o&&!i.width&&s.attr({"stroke-width":this.transA}),this.cross.e=t}else this.hideCrosshair();m(this,"afterDrawCrosshair",{e:t,point:n})},t.prototype.hideCrosshair=function(){this.cross&&this.cross.hide(),m(this,"afterHideCrosshair")},t.prototype.hasVerticalPanning=function(){var t,e;return/y/.test((null===(e=null===(t=this.chart.options.chart)||void 0===t?void 0:t.panning)||void 0===e?void 0:e.type)||"")},t.prototype.validatePositiveValue=function(t){return x(t)&&0<t},t.defaultOptions={dateTimeLabelFormats:{millisecond:{main:"%H:%M:%S.%L",range:!1},second:{main:"%H:%M:%S",range:!1},minute:{main:"%H:%M",range:!1},hour:{main:"%H:%M",range:!1},day:{main:"%e. %b"},week:{main:"%e. %b"},month:{main:"%b '%y"},year:{main:"%Y"}},endOnTick:!1,labels:{enabled:!0,indentation:10,x:0,style:{color:"#666666",cursor:"default",fontSize:"11px"}},maxPadding:.01,minorTickLength:2,minorTickPosition:"outside",minPadding:.01,showEmpty:!0,startOfWeek:1,startOnTick:!1,tickLength:10,tickPixelInterval:100,tickmarkPlacement:"between",tickPosition:"outside",title:{align:"middle",style:{color:"#666666"}},type:"linear",minorGridLineColor:"#f2f2f2",minorGridLineWidth:1,minorTickColor:"#999999",lineColor:"#ccd6eb",lineWidth:1,gridLineColor:"#e6e6e6",tickColor:"#ccd6eb"},t.defaultYAxisOptions={endOnTick:!0,maxPadding:.05,minPadding:.05,tickPixelInterval:72,showLastLabel:!0,labels:{x:-8},startOnTick:!0,title:{rotation:270,text:"Values"},stackLabels:{animation:{},allowOverlap:!1,enabled:!1,crop:!0,overflow:"justify",formatter:function(){return(0,this.axis.chart.numberFormatter)(this.total,-1)},style:{color:"#000000",fontSize:"11px",fontWeight:"bold",textOutline:"1px contrast"}},gridLineWidth:1,lineWidth:0},t.defaultLeftAxisOptions={labels:{x:-15},title:{rotation:270}},t.defaultRightAxisOptions={labels:{x:15},title:{rotation:90}},t.defaultBottomAxisOptions={labels:{autoRotation:[-45],x:0},margin:15,title:{rotation:0}},t.defaultTopAxisOptions={labels:{autoRotation:[-45],x:0},margin:15,title:{rotation:0}},t.keepProps="extKey hcEvents names series userMax userMin".split(" "),t}(),n.Axis=t,n.Axis})),e(n,"Core/Axis/DateTimeAxis.js",[n["Core/Axis/Axis.js"],n["Core/Utilities.js"]],(function(t,e){var n=e.addEvent,r=e.getMagnitude,i=e.normalizeTickInterval,o=e.timeUnits,s=function(){function t(t){this.axis=t}return t.prototype.normalizeTimeTickInterval=function(t,e){var n=e||[["millisecond",[1,2,5,10,20,25,50,100,200,500]],["second",[1,2,5,10,15,30]],["minute",[1,2,5,10,15,30]],["hour",[1,2,3,4,6,8,12]],["day",[1,2]],["week",[1,2]],["month",[1,2,3,4,6]],["year",null]];e=n[n.length-1];var s,a=o[e[0]],l=e[1];for(s=0;s<n.length&&(e=n[s],a=o[e[0]],l=e[1],!(n[s+1]&&t<=(a*l[l.length-1]+o[n[s+1][0]])/2));s++);return a===o.year&&t<5*a&&(l=[1,2,5]),{unitRange:a,count:t=i(t/a,l,"year"===e[0]?Math.max(r(t/a),1):1),unitName:e[0]}},t}();return e=function(){function t(){}return t.compose=function(t){t.keepProps.push("dateTime"),t.prototype.getTimeTicks=function(){return this.chart.time.getTimeTicks.apply(this.chart.time,arguments)},n(t,"init",(function(t){"datetime"!==t.userOptions.type?this.dateTime=void 0:this.dateTime||(this.dateTime=new s(this))}))},t.AdditionsClass=s,t}(),e.compose(t),e})),e(n,"Core/Axis/LogarithmicAxis.js",[n["Core/Axis/Axis.js"],n["Core/Utilities.js"]],(function(t,e){var n=e.addEvent,r=e.getMagnitude,i=e.normalizeTickInterval,o=e.pick,s=function(){function t(t){this.axis=t}return t.prototype.getLogTickPositions=function(t,e,n,s){var a=this.axis,l=a.len,c=a.options,u=[];if(s||(this.minorAutoInterval=void 0),.5<=t)t=Math.round(t),u=a.getLinearTickPositions(t,e,n);else if(.08<=t){var h,p;for(c=Math.floor(e),l=.3<t?[1,2,4]:.15<t?[1,2,4,6,8]:[1,2,3,4,5,6,7,8,9];c<n+1&&!p;c++){var d=l.length;for(h=0;h<d&&!p;h++){var f=this.log2lin(this.lin2log(c)*l[h]);f>e&&(!s||g<=n)&&typeof g<"u"&&u.push(g),g>n&&(p=!0);var g=f}}}else e=this.lin2log(e),n=this.lin2log(n),t=s?a.getMinorTickInterval():c.tickInterval,t=o("auto"===t?null:t,this.minorAutoInterval,c.tickPixelInterval/(s?5:1)*(n-e)/((s?l/a.tickPositions.length:l)||1)),t=i(t,void 0,r(t)),u=a.getLinearTickPositions(t,e,n).map(this.log2lin),s||(this.minorAutoInterval=t/5);return s||(a.tickInterval=t),u},t.prototype.lin2log=function(t){return Math.pow(10,t)},t.prototype.log2lin=function(t){return Math.log(t)/Math.LN10},t}();return(e=function(){function t(){}return t.compose=function(t){t.keepProps.push("logarithmic");var e=t.prototype,r=s.prototype;e.log2lin=r.log2lin,e.lin2log=r.lin2log,n(t,"init",(function(t){var e=this.logarithmic;"logarithmic"!==t.userOptions.type?this.logarithmic=void 0:(e||(e=this.logarithmic=new s(this)),this.log2lin!==e.log2lin&&(e.log2lin=this.log2lin.bind(this)),this.lin2log!==e.lin2log&&(e.lin2log=this.lin2log.bind(this)))})),n(t,"afterInit",(function(){var t=this.logarithmic;t&&(this.lin2val=function(e){return t.lin2log(e)},this.val2lin=function(e){return t.log2lin(e)})}))},t}()).compose(t),e})),e(n,"Core/Axis/PlotLineOrBand.js",[n["Core/Axis/Axis.js"],n["Core/Globals.js"],n["Core/Utilities.js"]],(function(t,e,n){var r=n.arrayMax,i=n.arrayMin,o=n.defined,s=n.destroyObjectProperties,a=n.erase,l=n.extend,c=n.merge,u=n.objectEach,h=n.pick;return n=function(){function t(t,e){this.axis=t,e&&(this.options=e,this.id=e.id)}return t.prototype.render=function(){e.fireEvent(this,"render");var t=this,n=t.axis,r=n.horiz,i=n.logarithmic,s=t.options,a=s.label,l=t.label,p=s.to,d=s.from,f=s.value,g=o(d)&&o(p),m=o(f),v=t.svgElem,y=!v,b=[],_=s.color,x=h(s.zIndex,0),w=s.events;b={class:"highcharts-plot-"+(g?"band ":"line ")+(s.className||"")};var S={},k=n.chart.renderer,C=g?"bands":"lines";if(i&&(d=i.log2lin(d),p=i.log2lin(p),f=i.log2lin(f)),n.chart.styledMode||(m?(b.stroke=_||"#999999",b["stroke-width"]=h(s.width,1),s.dashStyle&&(b.dashstyle=s.dashStyle)):g&&(b.fill=_||"#e6ebf5",s.borderWidth&&(b.stroke=s.borderColor,b["stroke-width"]=s.borderWidth))),S.zIndex=x,C+="-"+x,(i=n.plotLinesAndBandsGroups[C])||(n.plotLinesAndBandsGroups[C]=i=k.g("plot-"+C).attr(S).add()),y&&(t.svgElem=v=k.path().attr(b).add(i)),m)b=n.getPlotLinePath({value:f,lineWidth:v.strokeWidth(),acrossPanes:s.acrossPanes});else{if(!g)return;b=n.getPlotBandPath(d,p,s)}return!t.eventsAdded&&w&&(u(w,(function(e,n){v.on(n,(function(e){w[n].apply(t,[e])}))})),t.eventsAdded=!0),(y||!v.d)&&b&&b.length?v.attr({d:b}):v&&(b?(v.show(!0),v.animate({d:b})):v.d&&(v.hide(),l&&(t.label=l=l.destroy()))),a&&(o(a.text)||o(a.formatter))&&b&&b.length&&0<n.width&&0<n.height&&!b.isFlat?(a=c({align:r&&g&&"center",x:r?!g&&4:10,verticalAlign:!r&&g&&"middle",y:r?g?16:10:g?6:-4,rotation:r&&!g&&90},a),this.renderLabel(a,b,g,x)):l&&l.hide(),t},t.prototype.renderLabel=function(t,e,n,o){var s=this.label,a=this.axis.chart.renderer;s||((s={align:t.textAlign||t.align,rotation:t.rotation,class:"highcharts-plot-"+(n?"band":"line")+"-label "+(t.className||"")}).zIndex=o,o=this.getLabelText(t),this.label=s=a.text(o,0,0,t.useHTML).attr(s).add(),this.axis.chart.styledMode||s.css(t.style)),a=e.xBounds||[e[0][1],e[1][1],n?e[2][1]:e[0][1]],e=e.yBounds||[e[0][2],e[1][2],n?e[2][2]:e[0][2]],n=i(a),o=i(e),s.align(t,!1,{x:n,y:o,width:r(a)-n,height:r(e)-o}),s.show(!0)},t.prototype.getLabelText=function(t){return o(t.formatter)?t.formatter.call(this):t.text},t.prototype.destroy=function(){a(this.axis.plotLinesAndBands,this),delete this.axis,s(this)},t}(),l(t.prototype,{getPlotBandPath:function(t,e,n){void 0===n&&(n=this.options);var r=this.getPlotLinePath({value:e,force:!0,acrossPanes:n.acrossPanes});n=this.getPlotLinePath({value:t,force:!0,acrossPanes:n.acrossPanes});var i=[],o=this.horiz,s=1;if(t=t<this.min&&e<this.min||t>this.max&&e>this.max,n&&r){if(t){var a=n.toString()===r.toString();s=0}for(t=0;t<n.length;t+=2){e=n[t];var l=n[t+1],c=r[t],u=r[t+1];"M"!==e[0]&&"L"!==e[0]||"M"!==l[0]&&"L"!==l[0]||"M"!==c[0]&&"L"!==c[0]||"M"!==u[0]&&"L"!==u[0]||(o&&c[1]===e[1]?(c[1]+=s,u[1]+=s):o||c[2]!==e[2]||(c[2]+=s,u[2]+=s),i.push(["M",e[1],e[2]],["L",l[1],l[2]],["L",u[1],u[2]],["L",c[1],c[2]],["Z"])),i.isFlat=a}}return i},addPlotBand:function(t){return this.addPlotBandOrLine(t,"plotBands")},addPlotLine:function(t){return this.addPlotBandOrLine(t,"plotLines")},addPlotBandOrLine:function(t,n){var r=new e.PlotLineOrBand(this,t),i=this.userOptions;if(this.visible&&(r=r.render()),r){if(n){var o=i[n]||[];o.push(t),i[n]=o}this.plotLinesAndBands.push(r),this._addedPlotLB=!0}return r},removePlotBandOrLine:function(t){for(var e=this.plotLinesAndBands,n=this.options,r=this.userOptions,i=e.length;i--;)e[i].id===t&&e[i].destroy();[n.plotLines||[],r.plotLines||[],n.plotBands||[],r.plotBands||[]].forEach((function(e){for(i=e.length;i--;)(e[i]||{}).id===t&&a(e,e[i])}))},removePlotBand:function(t){this.removePlotBandOrLine(t)},removePlotLine:function(t){this.removePlotBandOrLine(t)}}),e.PlotLineOrBand=n,e.PlotLineOrBand})),e(n,"Core/Tooltip.js",[n["Core/Globals.js"],n["Core/Utilities.js"]],(function(t,e){var n=t.doc,r=e.clamp,i=e.css,o=e.defined,s=e.discardElement,a=e.extend,l=e.fireEvent,c=e.format,u=e.isNumber,h=e.isString,p=e.merge,d=e.pick,f=e.splat,g=e.syncTimeout,m=e.timeUnits,v=function(){function v(t,e){this.container=void 0,this.crosshairs=[],this.distance=0,this.isHidden=!0,this.isSticky=!1,this.now={},this.options={},this.outside=!1,this.chart=t,this.init(t,e)}return v.prototype.applyFilter=function(){var t=this.chart;t.renderer.definition({tagName:"filter",id:"drop-shadow-"+t.index,opacity:.5,children:[{tagName:"feGaussianBlur",in:"SourceAlpha",stdDeviation:1},{tagName:"feOffset",dx:1,dy:1},{tagName:"feComponentTransfer",children:[{tagName:"feFuncA",type:"linear",slope:.3}]},{tagName:"feMerge",children:[{tagName:"feMergeNode"},{tagName:"feMergeNode",in:"SourceGraphic"}]}]}),t.renderer.definition({tagName:"style",textContent:".highcharts-tooltip-"+t.index+"{filter:url(#drop-shadow-"+t.index+")}"})},v.prototype.bodyFormatter=function(t){return t.map((function(t){var e=t.series.tooltipOptions;return(e[(t.point.formatPrefix||"point")+"Formatter"]||t.point.tooltipFormatter).call(t.point,e[(t.point.formatPrefix||"point")+"Format"]||"")}))},v.prototype.cleanSplit=function(t){this.chart.series.forEach((function(e){var n=e&&e.tt;n&&(!n.isActive||t?e.tt=n.destroy():n.isActive=!1)}))},v.prototype.defaultFormatter=function(t){var e=this.points||f(this),n=[t.tooltipFooterHeaderFormatter(e[0])];return(n=n.concat(t.bodyFormatter(e))).push(t.tooltipFooterHeaderFormatter(e[0],!0)),n},v.prototype.destroy=function(){this.label&&(this.label=this.label.destroy()),this.split&&this.tt&&(this.cleanSplit(this.chart,!0),this.tt=this.tt.destroy()),this.renderer&&(this.renderer=this.renderer.destroy(),s(this.container)),e.clearTimeout(this.hideTimer),e.clearTimeout(this.tooltipTimeout)},v.prototype.getAnchor=function(t,e){var n,r,i=this.chart,o=i.pointer,s=i.inverted,a=i.plotTop,l=i.plotLeft,c=0,u=0;return t=f(t),this.followPointer&&e?(typeof e.chartX>"u"&&(e=o.normalize(e)),t=[e.chartX-l,e.chartY-a]):t[0].tooltipPos?t=t[0].tooltipPos:(t.forEach((function(t){n=t.series.yAxis,r=t.series.xAxis,c+=t.plotX+(!s&&r?r.left-l:0),u+=(t.plotLow?(t.plotLow+t.plotHigh)/2:t.plotY)+(!s&&n?n.top-a:0)})),c/=t.length,u/=t.length,t=[s?i.plotWidth-u:c,this.shared&&!s&&1<t.length&&e?e.chartY-a:s?i.plotHeight-c:u]),t.map(Math.round)},v.prototype.getDateFormat=function(t,e,n,r){var i=this.chart.time,o=i.dateFormat("%m-%d %H:%M:%S.%L",e),s={millisecond:15,second:12,minute:9,hour:6,day:3},a="millisecond";for(l in m){if(t===m.week&&+i.dateFormat("%w",e)===n&&"00:00:00.000"===o.substr(6)){var l="week";break}if(m[l]>t){l=a;break}if(s[l]&&o.substr(s[l])!=="01-01 00:00:00.000".substr(s[l]))break;"week"!==l&&(a=l)}if(l)var c=i.resolveDTLFormat(r[l]).main;return c},v.prototype.getLabel=function(){var e,n,r,s=this,a=this.chart.renderer,l=this.chart.styledMode,c=this.options,u="tooltip"+(o(c.className)?" "+c.className:""),h=(null===(e=c.style)||void 0===e?void 0:e.pointerEvents)||(!this.followPointer&&c.stickOnContact?"auto":"none");if(e=function(){s.inContact=!0},!this.label){if(this.outside&&(this.container=r=t.doc.createElement("div"),r.className="highcharts-tooltip-container",i(r,{position:"absolute",top:"1px",pointerEvents:h,zIndex:3}),t.doc.body.appendChild(r),this.renderer=a=new t.Renderer(r,0,0,null===(n=this.chart.options.chart)||void 0===n?void 0:n.style,void 0,void 0,a.styledMode)),this.split?this.label=a.g(u):(this.label=a.label("",0,0,c.shape||"callout",null,null,c.useHTML,null,u).attr({padding:c.padding,r:c.borderRadius}),l||this.label.attr({fill:c.backgroundColor,"stroke-width":c.borderWidth}).css(c.style).css({pointerEvents:h}).shadow(c.shadow)),l&&(this.applyFilter(),this.label.addClass("highcharts-tooltip-"+this.chart.index)),s.outside&&!s.split){var p=this.label,d=p.xSetter,f=p.ySetter;p.xSetter=function(t){d.call(p,s.distance),r.style.left=t+"px"},p.ySetter=function(t){f.call(p,s.distance),r.style.top=t+"px"}}this.label.on("mouseenter",e).on("mouseleave",(function(){var t=s.chart.hoverSeries;s.inContact=!1,t&&t.onMouseOut&&t.onMouseOut()})).attr({zIndex:8}).add()}return this.label},v.prototype.getPosition=function(t,e,r){var i,o=this.chart,s=this.distance,a={},l=o.inverted&&r.h||0,c=this.outside,u=c?n.documentElement.clientWidth-2*s:o.chartWidth,h=c?Math.max(n.body.scrollHeight,n.documentElement.scrollHeight,n.body.offsetHeight,n.documentElement.offsetHeight,n.documentElement.clientHeight):o.chartHeight,p=o.pointer.getChartPosition(),f=o.containerScaling,g=function(t){return f?t*f.scaleX:t},m=function(t){return f?t*f.scaleY:t},v=function(n){var i="x"===n;return[n,i?u:h,i?t:e].concat(c?[i?g(t):m(e),i?p.left-s+g(r.plotX+o.plotLeft):p.top-s+m(r.plotY+o.plotTop),0,i?u:h]:[i?t:e,i?r.plotX+o.plotLeft:r.plotY+o.plotTop,i?o.plotLeft:o.plotTop,i?o.plotLeft+o.plotWidth:o.plotTop+o.plotHeight])},y=v("y"),b=v("x"),_=!this.followPointer&&d(r.ttBelow,!o.inverted==!!r.negative),x=function(t,e,n,r,i,o,c){var u="y"===t?m(s):g(s),h=(n-r)/2,p=r<i-s,d=i+s+r<e,f=i-u-n+h;if(i=i+u-h,_&&d)a[t]=i;else if(!_&&p)a[t]=f;else if(p)a[t]=Math.min(c-r,0>f-l?f:f-l);else{if(!d)return!1;a[t]=Math.max(o,i+l+n>e?i:i+l)}},w=function(t,e,n,r,i){var o;return i<s||i>e-s?o=!1:a[t]=i<n/2?1:i>e-r/2?e-r-2:i-n/2,o},S=function(t){var e=y;y=b,b=e,i=t},k=function(){!1!==x.apply(0,y)?!1!==w.apply(0,b)||i||(S(!0),k()):i?a.x=a.y=0:(S(!0),k())};return(o.inverted||1<this.len)&&S(),k(),a},v.prototype.getXDateFormat=function(t,e,n){e=e.dateTimeLabelFormats;var r=n&&n.closestPointRange;return(r?this.getDateFormat(r,t.x,n.options.startOfWeek,e):e.day)||e.year},v.prototype.hide=function(t){var n=this;e.clearTimeout(this.hideTimer),t=d(t,this.options.hideDelay,500),this.isHidden||(this.hideTimer=g((function(){n.getLabel().fadeOut(t&&void 0),n.isHidden=!0}),t))},v.prototype.init=function(t,e){this.chart=t,this.options=e,this.crosshairs=[],this.now={x:0,y:0},this.isHidden=!0,this.split=e.split&&!t.inverted&&!t.polar,this.shared=e.shared||this.split,this.outside=d(e.outside,!(!t.scrollablePixelsX&&!t.scrollablePixelsY))},v.prototype.isStickyOnContact=function(){return!(this.followPointer||!this.options.stickOnContact||!this.inContact)},v.prototype.move=function(t,n,r,i){var o=this,s=o.now,l=!1!==o.options.animation&&!o.isHidden&&(1<Math.abs(t-s.x)||1<Math.abs(n-s.y)),c=o.followPointer||1<o.len;a(s,{x:l?(2*s.x+t)/3:t,y:l?(s.y+n)/2:n,anchorX:c?void 0:l?(2*s.anchorX+r)/3:r,anchorY:c?void 0:l?(s.anchorY+i)/2:i}),o.getLabel().attr(s),o.drawTracker(),l&&(e.clearTimeout(this.tooltipTimeout),this.tooltipTimeout=setTimeout((function(){o&&o.move(t,n,r,i)}),32))},v.prototype.refresh=function(t,n){var r=this.chart,i=this.options,o=t,s={},a=[],c=i.formatter||this.defaultFormatter;s=this.shared;var u=r.styledMode;if(i.enabled){e.clearTimeout(this.hideTimer),this.followPointer=f(o)[0].series.tooltipOptions.followPointer;var h=this.getAnchor(o,n);n=h[0];var p=h[1];!s||o.series&&o.series.noSharedTooltip?s=o.getLabelConfig():(r.pointer.applyInactiveState(o),o.forEach((function(t){t.setState("hover"),a.push(t.getLabelConfig())})),(s={x:o[0].category,y:o[0].y}).points=a,o=o[0]),this.len=a.length,r=c.call(s,this),c=o.series,this.distance=d(c.tooltipOptions.distance,16),!1===r?this.hide():(this.split?this.renderSplit(r,f(t)):(t=this.getLabel(),i.style.width&&!u||t.css({width:this.chart.spacingBox.width+"px"}),t.attr({text:r&&r.join?r.join(""):r}),t.removeClass(/highcharts-color-[\d]+/g).addClass("highcharts-color-"+d(o.colorIndex,c.colorIndex)),u||t.attr({stroke:i.borderColor||o.color||c.color||"#666666"}),this.updatePosition({plotX:n,plotY:p,negative:o.negative,ttBelow:o.ttBelow,h:h[2]||0})),this.isHidden&&this.label&&this.label.attr({opacity:1}).show(),this.isHidden=!1),l(this,"refresh")}},v.prototype.renderSplit=function(e,n){function i(t,e,n,i,o){return void 0===o&&(o=!0),n?(e=A?0:E,t=r(t-i/2,k.left,k.right-i)):(e-=O,t=r(t=o?t-i-x:t+x,o?t:k.left,k.right)),{x:t,y:e}}var o=this,s=o.chart,l=o.chart,c=l.plotHeight,u=l.plotLeft,p=l.plotTop,f=l.pointer,g=l.renderer,m=l.scrollablePixelsY,v=void 0===m?0:m,y=(m=void 0===(m=l.scrollingContainer)?{scrollLeft:0,scrollTop:0}:m).scrollLeft,b=m.scrollTop,_=l.styledMode,x=o.distance,w=o.options,S=o.options.positioner,k={left:y,right:y+l.chartWidth,top:b,bottom:b+l.chartHeight},C=o.getLabel(),A=!(!s.xAxis[0]||!s.xAxis[0].opposite),O=p+b,T=0,E=c-v;h(e)&&(e=[!1,e]),e=e.slice(0,n.length+1).reduce((function(t,e,s){if(!1!==e&&""!==e){var a=(s=n[s-1]||{isHeader:!0,plotX:n[0].plotX,plotY:c,series:{}}).isHeader,l=a?o:s.series,h=l.tt,f=s.isHeader,m=s.series,y="highcharts-color-"+d(s.colorIndex,m.colorIndex,"none");h||(h={padding:w.padding,r:w.borderRadius},_||(h.fill=w.backgroundColor,h["stroke-width"]=w.borderWidth),h=g.label("",0,0,w[f?"headerShape":"shape"]||"callout",void 0,void 0,w.useHTML).addClass((f?"highcharts-tooltip-header ":"")+"highcharts-tooltip-box "+y).attr(h).add(C)),h.isActive=!0,h.attr({text:e}),_||h.css(w.style).shadow(w.shadow).attr({stroke:w.borderColor||s.color||m.color||"#333333"}),e=l.tt=h,l=(f=e.getBBox()).width+e.strokeWidth(),a&&(T=f.height,E+=T,A&&(O-=T)),m=void 0===(m=s.plotX)?0:m,y=void 0===(y=s.plotY)?0:y;var P=s.series;if(s.isHeader){m=u+m;var M=p+c/2}else h=P.xAxis,P=P.yAxis,m=h.pos+r(m,-x,h.len+x),P.pos+y>=b+p&&P.pos+y<=b+p+c-v&&(M=P.pos+y);m=r(m,k.left-x,k.right+x),"number"==typeof M?(f=f.height+1,y=S?S.call(o,l,f,s):i(m,M,a,l),t.push({align:S?0:void 0,anchorX:m,anchorY:M,boxWidth:l,point:s,rank:d(y.rank,a?1:0),size:f,target:y.y,tt:e,x:y.x})):e.isActive=!1}return t}),[]),!S&&e.some((function(t){return t.x<k.left}))&&(e=e.map((function(t){var e=i(t.anchorX,t.anchorY,t.point.isHeader,t.boxWidth,!1);return a(t,{target:e.y,x:e.x})}))),o.cleanSplit(),t.distribute(e,E),e.forEach((function(t){var e=t.pos;t.tt.attr({visibility:typeof e>"u"?"hidden":"inherit",x:t.x,y:e+O,anchorX:t.anchorX,anchorY:t.anchorY})})),e=o.container,s=o.renderer,o.outside&&e&&s&&(l=C.getBBox(),s.setSize(l.width+l.x,l.height+l.y,!1),f=f.getChartPosition(),e.style.left=f.left+"px",e.style.top=f.top+"px")},v.prototype.drawTracker=function(){if(this.followPointer||!this.options.stickOnContact)this.tracker&&this.tracker.destroy();else{var t=this.chart,e=this.label,n=t.hoverPoint;if(e&&n){var r={x:0,y:0,width:0,height:0};n=this.getAnchor(n);var i=e.getBBox();n[0]+=t.plotLeft-e.translateX,n[1]+=t.plotTop-e.translateY,r.x=Math.min(0,n[0]),r.y=Math.min(0,n[1]),r.width=0>n[0]?Math.max(Math.abs(n[0]),i.width-n[0]):Math.max(Math.abs(n[0]),i.width),r.height=0>n[1]?Math.max(Math.abs(n[1]),i.height-Math.abs(n[1])):Math.max(Math.abs(n[1]),i.height),this.tracker?this.tracker.attr(r):(this.tracker=e.renderer.rect(r).addClass("highcharts-tracker").add(e),t.styledMode||this.tracker.attr({fill:"rgba(0,0,0,0)"}))}}},v.prototype.styledModeFormat=function(t){return t.replace('style="font-size: 10px"','class="highcharts-header"').replace(/style="color:{(point|series)\.color}"/g,'class="highcharts-color-{$1.colorIndex}"')},v.prototype.tooltipFooterHeaderFormatter=function(t,e){var n=e?"footer":"header",r=t.series,i=r.tooltipOptions,o=i.xDateFormat,s=r.xAxis,a=s&&"datetime"===s.options.type&&u(t.key),h=i[n+"Format"];return l(this,"headerFormatter",e={isFooter:e,labelConfig:t},(function(e){a&&!o&&(o=this.getXDateFormat(t,i,s)),a&&o&&(t.point&&t.point.tooltipDateKeys||["key"]).forEach((function(t){h=h.replace("{point."+t+"}","{point."+t+":"+o+"}")})),r.chart.styledMode&&(h=this.styledModeFormat(h)),e.text=c(h,{point:t,series:r},this.chart)})),e.text},v.prototype.update=function(t){this.destroy(),p(!0,this.chart.options.tooltip.userOptions,t),this.init(this.chart,p(!0,this.options,t))},v.prototype.updatePosition=function(t){var e=this.chart,n=e.pointer,r=this.getLabel(),o=t.plotX+e.plotLeft,s=t.plotY+e.plotTop;if(n=n.getChartPosition(),t=(this.options.positioner||this.getPosition).call(this,r.width,r.height,t),this.outside){var a=(this.options.borderWidth||0)+2*this.distance;this.renderer.setSize(r.width+a,r.height+a,!1),(e=e.containerScaling)&&(i(this.container,{transform:"scale("+e.scaleX+", "+e.scaleY+")"}),o*=e.scaleX,s*=e.scaleY),o+=n.left-t.x,s+=n.top-t.y}this.move(Math.round(t.x),Math.round(t.y||0),o,s)},v}();return t.Tooltip=v,t.Tooltip})),e(n,"Core/Pointer.js",[n["Core/Color/Color.js"],n["Core/Globals.js"],n["Core/Tooltip.js"],n["Core/Utilities.js"]],(function(t,e,n,r){var i=t.parse,o=e.charts,s=e.noop,a=r.addEvent,l=r.attr,c=r.css,u=r.defined,h=r.extend,p=r.find,d=r.fireEvent,f=r.isNumber,g=r.isObject,m=r.objectEach,v=r.offset,y=r.pick,b=r.splat;return t=function(){function t(t,e){this.lastValidTouch={},this.pinchDown=[],this.runChartClick=!1,this.chart=t,this.hasDragged=!1,this.options=e,this.unbindContainerMouseLeave=function(){},this.unbindContainerMouseEnter=function(){},this.init(t,e)}return t.prototype.applyInactiveState=function(t){var e,n=[];(t||[]).forEach((function(t){e=t.series,n.push(e),e.linkedParent&&n.push(e.linkedParent),e.linkedSeries&&(n=n.concat(e.linkedSeries)),e.navigatorSeries&&n.push(e.navigatorSeries)})),this.chart.series.forEach((function(t){-1===n.indexOf(t)?t.setState("inactive",!0):t.options.inactiveOtherPoints&&t.setAllPointsToState("inactive")}))},t.prototype.destroy=function(){var t=this;typeof t.unDocMouseMove<"u"&&t.unDocMouseMove(),this.unbindContainerMouseLeave(),e.chartCount||(e.unbindDocumentMouseUp&&(e.unbindDocumentMouseUp=e.unbindDocumentMouseUp()),e.unbindDocumentTouchEnd&&(e.unbindDocumentTouchEnd=e.unbindDocumentTouchEnd())),clearInterval(t.tooltipTimeout),m(t,(function(e,n){t[n]=void 0}))},t.prototype.drag=function(t){var e=this.chart,n=e.options.chart,r=t.chartX,o=t.chartY,s=this.zoomHor,a=this.zoomVert,l=e.plotLeft,c=e.plotTop,u=e.plotWidth,h=e.plotHeight,p=this.selectionMarker,d=this.mouseDownX||0,f=this.mouseDownY||0,m=g(n.panning)?n.panning&&n.panning.enabled:n.panning,v=n.panKey&&t[n.panKey+"Key"];if((!p||!p.touch)&&(r<l?r=l:r>l+u&&(r=l+u),o<c?o=c:o>c+h&&(o=c+h),this.hasDragged=Math.sqrt(Math.pow(d-r,2)+Math.pow(f-o,2)),10<this.hasDragged)){var y=e.isInsidePlot(d-l,f-c);e.hasCartesianSeries&&(this.zoomX||this.zoomY)&&y&&!v&&!p&&(this.selectionMarker=p=e.renderer.rect(l,c,s?1:u,a?1:h,0).attr({class:"highcharts-selection-marker",zIndex:7}).add(),e.styledMode||p.attr({fill:n.selectionMarkerFill||i("#335cad").setOpacity(.25).get()})),p&&s&&(r-=d,p.attr({width:Math.abs(r),x:(0<r?0:r)+d})),p&&a&&(r=o-f,p.attr({height:Math.abs(r),y:(0<r?0:r)+f})),y&&!p&&m&&e.pan(t,n.panning)}},t.prototype.dragStart=function(t){var e=this.chart;e.mouseIsDown=t.type,e.cancelClick=!1,e.mouseDownX=this.mouseDownX=t.chartX,e.mouseDownY=this.mouseDownY=t.chartY},t.prototype.drop=function(t){var e=this,n=this.chart,r=this.hasPinched;if(this.selectionMarker){var i,o={originalEvent:t,xAxis:[],yAxis:[]},s=this.selectionMarker,a=s.attr?s.attr("x"):s.x,l=s.attr?s.attr("y"):s.y,p=s.attr?s.attr("width"):s.width,g=s.attr?s.attr("height"):s.height;(this.hasDragged||r)&&(n.axes.forEach((function(n){if(n.zoomEnabled&&u(n.min)&&(r||e[{xAxis:"zoomX",yAxis:"zoomY"}[n.coll]])&&f(a)&&f(l)){var s=n.horiz,c="touchend"===t.type?n.minPixelPadding:0,h=n.toValue((s?a:l)+c);s=n.toValue((s?a+p:l+g)-c),o[n.coll].push({axis:n,min:Math.min(h,s),max:Math.max(h,s)}),i=!0}})),i&&d(n,"selection",o,(function(t){n.zoom(h(t,r?{animation:!1}:null))}))),f(n.index)&&(this.selectionMarker=this.selectionMarker.destroy()),r&&this.scaleGroups()}n&&f(n.index)&&(c(n.container,{cursor:n._cursor}),n.cancelClick=10<this.hasDragged,n.mouseIsDown=this.hasDragged=this.hasPinched=!1,this.pinchDown=[])},t.prototype.findNearestKDPoint=function(t,e,n){var r,i=this.chart,o=i.hoverPoint;return i=i.tooltip,o&&i&&i.isStickyOnContact()?o:(t.forEach((function(t){var i=!(t.noSharedTooltip&&e)&&0>t.options.findNearestPointBy.indexOf("y");if(t=t.searchPoint(n,i),(i=g(t,!0))&&!(i=!g(r,!0))){i=r.distX-t.distX;var o=r.dist-t.dist,s=(t.series.group&&t.series.group.zIndex)-(r.series.group&&r.series.group.zIndex);i=0<(0!==i&&e?i:0!==o?o:0!==s?s:r.series.index>t.series.index?-1:1)}i&&(r=t)})),r)},t.prototype.getChartCoordinatesFromPoint=function(t,e){var n=t.series,r=n.xAxis;n=n.yAxis;var i=y(t.clientX,t.plotX),o=t.shapeArgs;return r&&n?e?{chartX:r.len+r.pos-i,chartY:n.len+n.pos-t.plotY}:{chartX:i+r.pos,chartY:t.plotY+n.pos}:o&&o.x&&o.y?{chartX:o.x,chartY:o.y}:void 0},t.prototype.getChartPosition=function(){return this.chartPosition||(this.chartPosition=v(this.chart.container))},t.prototype.getCoordinates=function(t){var e={xAxis:[],yAxis:[]};return this.chart.axes.forEach((function(n){e[n.isXAxis?"xAxis":"yAxis"].push({axis:n,value:n.toValue(t[n.horiz?"chartX":"chartY"])})})),e},t.prototype.getHoverData=function(t,e,n,r,i,o){var s,a=[];r=!(!r||!t);var l=e&&!e.stickyTracking,c={chartX:o?o.chartX:void 0,chartY:o?o.chartY:void 0,shared:i};return d(this,"beforeGetHoverData",c),l=l?[e]:n.filter((function(t){return c.filter?c.filter(t):t.visible&&!(!i&&t.directTouch)&&y(t.options.enableMouseTracking,!0)&&t.stickyTracking})),e=(s=r||!o?t:this.findNearestKDPoint(l,i,o))&&s.series,s&&(i&&!e.noSharedTooltip?(l=n.filter((function(t){return c.filter?c.filter(t):t.visible&&!(!i&&t.directTouch)&&y(t.options.enableMouseTracking,!0)&&!t.noSharedTooltip}))).forEach((function(t){var e=p(t.points,(function(t){return t.x===s.x&&!t.isNull}));g(e)&&(t.chart.isBoosting&&(e=t.getPoint(e)),a.push(e))})):a.push(s)),d(this,"afterGetHoverData",c={hoverPoint:s}),{hoverPoint:c.hoverPoint,hoverSeries:e,hoverPoints:a}},t.prototype.getPointFromEvent=function(t){t=t.target;for(var e;t&&!e;)e=t.point,t=t.parentNode;return e},t.prototype.onTrackerMouseOut=function(t){t=t.relatedTarget||t.toElement;var e=this.chart.hoverSeries;this.isDirectTouch=!1,!e||!t||e.stickyTracking||this.inClass(t,"highcharts-tooltip")||this.inClass(t,"highcharts-series-"+e.index)&&this.inClass(t,"highcharts-tracker")||e.onMouseOut()},t.prototype.inClass=function(t,e){for(var n;t;){if(n=l(t,"class")){if(-1!==n.indexOf(e))return!0;if(-1!==n.indexOf("highcharts-container"))return!1}t=t.parentNode}},t.prototype.init=function(t,e){this.options=e,this.chart=t,this.runChartClick=e.chart.events&&!!e.chart.events.click,this.pinchDown=[],this.lastValidTouch={},n&&(t.tooltip=new n(t,e.tooltip),this.followTouchMove=y(e.tooltip.followTouchMove,!0)),this.setDOMEvents()},t.prototype.normalize=function(t,e){var n=t.touches,r=n?n.length?n.item(0):y(n.changedTouches,t.changedTouches)[0]:t;return e||(e=this.getChartPosition()),n=r.pageX-e.left,e=r.pageY-e.top,(r=this.chart.containerScaling)&&(n/=r.scaleX,e/=r.scaleY),h(t,{chartX:Math.round(n),chartY:Math.round(e)})},t.prototype.onContainerClick=function(t){var e=this.chart,n=e.hoverPoint;t=this.normalize(t);var r=e.plotLeft,i=e.plotTop;e.cancelClick||(n&&this.inClass(t.target,"highcharts-tracker")?(d(n.series,"click",h(t,{point:n})),e.hoverPoint&&n.firePointEvent("click",t)):(h(t,this.getCoordinates(t)),e.isInsidePlot(t.chartX-r,t.chartY-i)&&d(e,"click",t)))},t.prototype.onContainerMouseDown=function(t){var n=!(1&~(t.buttons||t.button));t=this.normalize(t),e.isFirefox&&0!==t.button&&this.onContainerMouseMove(t),(typeof t.button>"u"||n)&&(this.zoomOption(t),n&&t.preventDefault&&t.preventDefault(),this.dragStart(t))},t.prototype.onContainerMouseLeave=function(t){var n=o[y(e.hoverChartIndex,-1)],r=this.chart.tooltip;t=this.normalize(t),n&&(t.relatedTarget||t.toElement)&&(n.pointer.reset(),n.pointer.chartPosition=void 0),r&&!r.isHidden&&this.reset()},t.prototype.onContainerMouseEnter=function(t){delete this.chartPosition},t.prototype.onContainerMouseMove=function(t){var e=this.chart;t=this.normalize(t),this.setHoverChartIndex(),t.preventDefault||(t.returnValue=!1),"mousedown"===e.mouseIsDown&&this.drag(t),e.openMenu||!this.inClass(t.target,"highcharts-tracker")&&!e.isInsidePlot(t.chartX-e.plotLeft,t.chartY-e.plotTop)||this.runPointActions(t)},t.prototype.onDocumentTouchEnd=function(t){o[e.hoverChartIndex]&&o[e.hoverChartIndex].pointer.drop(t)},t.prototype.onContainerTouchMove=function(t){this.touch(t)},t.prototype.onContainerTouchStart=function(t){this.zoomOption(t),this.touch(t,!0)},t.prototype.onDocumentMouseMove=function(t){var e=this.chart,n=this.chartPosition;t=this.normalize(t,n);var r=e.tooltip;!n||r&&r.isStickyOnContact()||e.isInsidePlot(t.chartX-e.plotLeft,t.chartY-e.plotTop)||this.inClass(t.target,"highcharts-tracker")||this.reset()},t.prototype.onDocumentMouseUp=function(t){var n=o[y(e.hoverChartIndex,-1)];n&&n.pointer.drop(t)},t.prototype.pinch=function(t){var e=this,n=e.chart,r=e.pinchDown,i=t.touches||[],o=i.length,a=e.lastValidTouch,l=e.hasZoom,c=e.selectionMarker,u={},p=1===o&&(e.inClass(t.target,"highcharts-tracker")&&n.runTrackerClick||e.runChartClick),d={};1<o&&(e.initiated=!0),l&&e.initiated&&!p&&!1!==t.cancelable&&t.preventDefault(),[].map.call(i,(function(t){return e.normalize(t)})),"touchstart"===t.type?([].forEach.call(i,(function(t,e){r[e]={chartX:t.chartX,chartY:t.chartY}})),a.x=[r[0].chartX,r[1]&&r[1].chartX],a.y=[r[0].chartY,r[1]&&r[1].chartY],n.axes.forEach((function(t){if(t.zoomEnabled){var e=n.bounds[t.horiz?"h":"v"],r=t.minPixelPadding,i=t.toPixels(Math.min(y(t.options.min,t.dataMin),t.dataMin)),o=t.toPixels(Math.max(y(t.options.max,t.dataMax),t.dataMax)),s=Math.max(i,o);e.min=Math.min(t.pos,Math.min(i,o)-r),e.max=Math.max(t.pos+t.len,s+r)}})),e.res=!0):e.followTouchMove&&1===o?this.runPointActions(e.normalize(t)):r.length&&(c||(e.selectionMarker=c=h({destroy:s,touch:!0},n.plotBox)),e.pinchTranslate(r,i,u,c,d,a),e.hasPinched=l,e.scaleGroups(u,d),e.res&&(e.res=!1,this.reset(!1,0)))},t.prototype.pinchTranslate=function(t,e,n,r,i,o){this.zoomHor&&this.pinchTranslateDirection(!0,t,e,n,r,i,o),this.zoomVert&&this.pinchTranslateDirection(!1,t,e,n,r,i,o)},t.prototype.pinchTranslateDirection=function(t,e,n,r,i,o,s,a){var l,c,u=this.chart,h=t?"x":"y",p=t?"X":"Y",d="chart"+p,f=t?"width":"height",g=u["plot"+(t?"Left":"Top")],m=a||1,v=u.inverted,y=u.bounds[t?"h":"v"],b=1===e.length,_=e[0][d],x=n[0][d],w=!b&&e[1][d],S=!b&&n[1][d];if((n=function(){"number"==typeof S&&20<Math.abs(_-w)&&(m=a||Math.abs(x-S)/Math.abs(_-w)),c=(g-x)/m+_,l=u["plot"+(t?"Width":"Height")]/m})(),(e=c)<y.min){e=y.min;var k=!0}else e+l>y.max&&(e=y.max-l,k=!0);k?(x-=.8*(x-s[h][0]),"number"==typeof S&&(S-=.8*(S-s[h][1])),n()):s[h]=[x,S],v||(o[h]=c-g,o[f]=l),o=v?1/m:m,i[f]=l,i[h]=e,r[v?t?"scaleY":"scaleX":"scale"+p]=m,r["translate"+p]=o*g+(x-o*_)},t.prototype.reset=function(t,e){var n=this.chart,r=n.hoverSeries,i=n.hoverPoint,o=n.hoverPoints,s=n.tooltip,a=s&&s.shared?o:i;t&&a&&b(a).forEach((function(e){e.series.isCartesian&&typeof e.plotX>"u"&&(t=!1)})),t?s&&a&&b(a).length&&(s.refresh(a),s.shared&&o?o.forEach((function(t){t.setState(t.state,!0),t.series.isCartesian&&(t.series.xAxis.crosshair&&t.series.xAxis.drawCrosshair(null,t),t.series.yAxis.crosshair&&t.series.yAxis.drawCrosshair(null,t))})):i&&(i.setState(i.state,!0),n.axes.forEach((function(t){t.crosshair&&i.series[t.coll]===t&&t.drawCrosshair(null,i)})))):(i&&i.onMouseOut(),o&&o.forEach((function(t){t.setState()})),r&&r.onMouseOut(),s&&s.hide(e),this.unDocMouseMove&&(this.unDocMouseMove=this.unDocMouseMove()),n.axes.forEach((function(t){t.hideCrosshair()})),this.hoverX=n.hoverPoints=n.hoverPoint=null)},t.prototype.runPointActions=function(t,n){var r=this.chart,i=r.tooltip&&r.tooltip.options.enabled?r.tooltip:void 0,s=!!i&&i.shared,l=n||r.hoverPoint,c=l&&l.series||r.hoverSeries;l=(c=this.getHoverData(l,c,r.series,(!t||"touchmove"!==t.type)&&(!!n||c&&c.directTouch&&this.isDirectTouch),s,t)).hoverPoint;var u=c.hoverPoints;if(n=(c=c.hoverSeries)&&c.tooltipOptions.followPointer,s=s&&c&&!c.noSharedTooltip,l&&(l!==r.hoverPoint||i&&i.isHidden)){if((r.hoverPoints||[]).forEach((function(t){-1===u.indexOf(t)&&t.setState()})),r.hoverSeries!==c&&c.onMouseOver(),this.applyInactiveState(u),(u||[]).forEach((function(t){t.setState("hover")})),r.hoverPoint&&r.hoverPoint.firePointEvent("mouseOut"),!l.series)return;r.hoverPoints=u,r.hoverPoint=l,l.firePointEvent("mouseOver"),i&&i.refresh(s?u:l,t)}else n&&i&&!i.isHidden&&(l=i.getAnchor([{}],t),i.updatePosition({plotX:l[0],plotY:l[1]}));this.unDocMouseMove||(this.unDocMouseMove=a(r.container.ownerDocument,"mousemove",(function(t){var n=o[e.hoverChartIndex];n&&n.pointer.onDocumentMouseMove(t)}))),r.axes.forEach((function(e){var n,i=y((e.crosshair||{}).snap,!0);i&&((n=r.hoverPoint)&&n.series[e.coll]===e||(n=p(u,(function(t){return t.series[e.coll]===e})))),n||!i?e.drawCrosshair(t,n):e.hideCrosshair()}))},t.prototype.scaleGroups=function(t,e){var n,r=this.chart;r.series.forEach((function(i){n=t||i.getPlotBox(),i.xAxis&&i.xAxis.zoomEnabled&&i.group&&(i.group.attr(n),i.markerGroup&&(i.markerGroup.attr(n),i.markerGroup.clip(e?r.clipRect:null)),i.dataLabelsGroup&&i.dataLabelsGroup.attr(n))})),r.clipRect.attr(e||r.clipBox)},t.prototype.setDOMEvents=function(){var t=this.chart.container,n=t.ownerDocument;t.onmousedown=this.onContainerMouseDown.bind(this),t.onmousemove=this.onContainerMouseMove.bind(this),t.onclick=this.onContainerClick.bind(this),this.unbindContainerMouseEnter=a(t,"mouseenter",this.onContainerMouseEnter.bind(this)),this.unbindContainerMouseLeave=a(t,"mouseleave",this.onContainerMouseLeave.bind(this)),e.unbindDocumentMouseUp||(e.unbindDocumentMouseUp=a(n,"mouseup",this.onDocumentMouseUp.bind(this))),e.hasTouch&&(a(t,"touchstart",this.onContainerTouchStart.bind(this)),a(t,"touchmove",this.onContainerTouchMove.bind(this)),e.unbindDocumentTouchEnd||(e.unbindDocumentTouchEnd=a(n,"touchend",this.onDocumentTouchEnd.bind(this))))},t.prototype.setHoverChartIndex=function(){var t=this.chart,n=e.charts[y(e.hoverChartIndex,-1)];n&&n!==t&&n.pointer.onContainerMouseLeave({relatedTarget:!0}),n&&n.mouseIsDown||(e.hoverChartIndex=t.index)},t.prototype.touch=function(t,e){var n=this.chart;if(this.setHoverChartIndex(),1===t.touches.length)if(t=this.normalize(t),n.isInsidePlot(t.chartX-n.plotLeft,t.chartY-n.plotTop)&&!n.openMenu){if(e&&this.runPointActions(t),"touchmove"===t.type)var r=!!(e=this.pinchDown)[0]&&4<=Math.sqrt(Math.pow(e[0].chartX-t.chartX,2)+Math.pow(e[0].chartY-t.chartY,2));y(r,!0)&&this.pinch(t)}else e&&this.reset();else 2===t.touches.length&&this.pinch(t)},t.prototype.zoomOption=function(t){var e=this.chart,n=e.options.chart,r=n.zoomType||"";e=e.inverted,/touch/.test(t.type)&&(r=y(n.pinchType,r)),this.zoomX=t=/x/.test(r),this.zoomY=r=/y/.test(r),this.zoomHor=t&&!e||r&&e,this.zoomVert=r&&!e||t&&e,this.hasZoom=t||r},t}(),e.Pointer=t})),e(n,"Core/MSPointer.js",[n["Core/Globals.js"],n["Core/Pointer.js"],n["Core/Utilities.js"]],(function(t,e,n){function r(){var t=[];return t.item=function(t){return this[t]},h(d,(function(e){t.push({pageX:e.pageX,pageY:e.pageY,target:e.target})})),t}function i(e,n,i,o){"touch"!==e.pointerType&&e.pointerType!==e.MSPOINTER_TYPE_TOUCH||!s[t.hoverChartIndex]||(o(e),(o=s[t.hoverChartIndex].pointer)[n]({type:i,target:e.currentTarget,preventDefault:l,touches:r()}))}var o=this&&this.__extends||function(){var t=function(e,n){return(t=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(t,e){t.__proto__=e}||function(t,e){for(var n in e)e.hasOwnProperty(n)&&(t[n]=e[n])})(e,n)};return function(e,n){function r(){this.constructor=e}t(e,n),e.prototype=null===n?Object.create(n):(r.prototype=n.prototype,new r)}}(),s=t.charts,a=t.doc,l=t.noop,c=n.addEvent,u=n.css,h=n.objectEach,p=n.removeEvent,d={},f=!!t.win.PointerEvent;return function(t){function e(){return null!==t&&t.apply(this,arguments)||this}return o(e,t),e.prototype.batchMSEvents=function(t){t(this.chart.container,f?"pointerdown":"MSPointerDown",this.onContainerPointerDown),t(this.chart.container,f?"pointermove":"MSPointerMove",this.onContainerPointerMove),t(a,f?"pointerup":"MSPointerUp",this.onDocumentPointerUp)},e.prototype.destroy=function(){this.batchMSEvents(p),t.prototype.destroy.call(this)},e.prototype.init=function(e,n){t.prototype.init.call(this,e,n),this.hasZoom&&u(e.container,{"-ms-touch-action":"none","touch-action":"none"})},e.prototype.onContainerPointerDown=function(t){i(t,"onContainerTouchStart","touchstart",(function(t){d[t.pointerId]={pageX:t.pageX,pageY:t.pageY,target:t.currentTarget}}))},e.prototype.onContainerPointerMove=function(t){i(t,"onContainerTouchMove","touchmove",(function(t){d[t.pointerId]={pageX:t.pageX,pageY:t.pageY},d[t.pointerId].target||(d[t.pointerId].target=t.currentTarget)}))},e.prototype.onDocumentPointerUp=function(t){i(t,"onDocumentTouchEnd","touchend",(function(t){delete d[t.pointerId]}))},e.prototype.setDOMEvents=function(){t.prototype.setDOMEvents.call(this),(this.hasZoom||this.followTouchMove)&&this.batchMSEvents(c)},e}(e)})),e(n,"Core/Legend.js",[n["Core/Animation/AnimationUtilities.js"],n["Core/Globals.js"],n["Core/Utilities.js"]],(function(t,e,n){var r=t.animObject,i=t.setAnimation,o=n.addEvent,s=n.css,a=n.defined,l=n.discardElement,c=n.find,u=n.fireEvent,h=n.format,p=n.isNumber,d=n.merge,f=n.pick,g=n.relativeLength,m=n.stableSort,v=n.syncTimeout;t=n.wrap,n=e.isFirefox;var y=e.marginNames,b=e.win,_=function(){function t(t,e){this.allItems=[],this.contentGroup=this.box=void 0,this.display=!1,this.group=void 0,this.offsetWidth=this.maxLegendWidth=this.maxItemWidth=this.legendWidth=this.legendHeight=this.lastLineHeight=this.lastItemY=this.itemY=this.itemX=this.itemMarginTop=this.itemMarginBottom=this.itemHeight=this.initialItemY=0,this.options={},this.padding=0,this.pages=[],this.proximate=!1,this.scrollGroup=void 0,this.widthOption=this.totalItemWidth=this.titleHeight=this.symbolWidth=this.symbolHeight=0,this.chart=t,this.init(t,e)}return t.prototype.init=function(t,e){this.chart=t,this.setOptions(e),e.enabled&&(this.render(),o(this.chart,"endResize",(function(){this.legend.positionCheckboxes()})),this.proximate?this.unchartrender=o(this.chart,"render",(function(){this.legend.proximatePositions(),this.legend.positionItems()})):this.unchartrender&&this.unchartrender())},t.prototype.setOptions=function(t){var e=f(t.padding,8);this.options=t,this.chart.styledMode||(this.itemStyle=t.itemStyle,this.itemHiddenStyle=d(this.itemStyle,t.itemHiddenStyle)),this.itemMarginTop=t.itemMarginTop||0,this.itemMarginBottom=t.itemMarginBottom||0,this.padding=e,this.initialItemY=e-5,this.symbolWidth=f(t.symbolWidth,16),this.pages=[],this.proximate="proximate"===t.layout&&!this.chart.inverted,this.baseline=void 0},t.prototype.update=function(t,e){var n=this.chart;this.setOptions(d(!0,this.options,t)),this.destroy(),n.isDirtyLegend=n.isDirtyBox=!0,f(e,!0)&&n.redraw(),u(this,"afterUpdate")},t.prototype.colorizeItem=function(t,e){if(t.legendGroup[e?"removeClass":"addClass"]("highcharts-legend-item-hidden"),!this.chart.styledMode){var n=this.options,r=t.legendItem,i=t.legendLine,o=t.legendSymbol,s=this.itemHiddenStyle.color;n=e?n.itemStyle.color:s;var a=e&&t.color||s,l=t.options&&t.options.marker,c={fill:a};r&&r.css({fill:n,color:n}),i&&i.attr({stroke:a}),o&&(l&&o.isMarker&&(c=t.pointAttribs(),e||(c.stroke=c.fill=s)),o.attr(c))}u(this,"afterColorizeItem",{item:t,visible:e})},t.prototype.positionItems=function(){this.allItems.forEach(this.positionItem,this),this.chart.isResizing||this.positionCheckboxes()},t.prototype.positionItem=function(t){var e=this,n=this.options,r=n.symbolPadding,i=!n.rtl,o=t._legendItemPos;n=o[0],o=o[1];var s=t.checkbox,l=t.legendGroup;l&&l.element&&(r={translateX:i?n:this.legendWidth-n-2*r-4,translateY:o},i=function(){u(e,"afterPositionItem",{item:t})},a(l.translateY)?l.animate(r,void 0,i):(l.attr(r),i())),s&&(s.x=n,s.y=o)},t.prototype.destroyItem=function(t){var e=t.checkbox;["legendItem","legendLine","legendSymbol","legendGroup"].forEach((function(e){t[e]&&(t[e]=t[e].destroy())})),e&&l(t.checkbox)},t.prototype.destroy=function(){function t(t){this[t]&&(this[t]=this[t].destroy())}this.getAllItems().forEach((function(e){["legendItem","legendGroup"].forEach(t,e)})),"clipRect up down pager nav box title group".split(" ").forEach(t,this),this.display=null},t.prototype.positionCheckboxes=function(){var t=this.group&&this.group.alignAttr,e=this.clipHeight||this.legendHeight,n=this.titleHeight;if(t){var r=t.translateY;this.allItems.forEach((function(i){var o=i.checkbox;if(o){var a=r+n+o.y+(this.scrollOffset||0)+3;s(o,{left:t.translateX+i.checkboxOffset+o.x-20+"px",top:a+"px",display:this.proximate||a>r-6&&a<r+e-6?"":"none"})}}),this)}},t.prototype.renderTitle=function(){var t=this.options,e=this.padding,n=t.title,r=0;n.text&&(this.title||(this.title=this.chart.renderer.label(n.text,e-3,e-4,null,null,null,t.useHTML,null,"legend-title").attr({zIndex:1}),this.chart.styledMode||this.title.css(n.style),this.title.add(this.group)),n.width||this.title.css({width:this.maxLegendWidth+"px"}),r=(t=this.title.getBBox()).height,this.offsetWidth=t.width,this.contentGroup.attr({translateY:r})),this.titleHeight=r},t.prototype.setText=function(t){var e=this.options;t.legendItem.attr({text:e.labelFormat?h(e.labelFormat,t,this.chart):e.labelFormatter.call(t)})},t.prototype.renderItem=function(t){var e=this.chart,n=e.renderer,r=this.options,i=this.symbolWidth,o=r.symbolPadding,s=this.itemStyle,a=this.itemHiddenStyle,l="horizontal"===r.layout?f(r.itemDistance,20):0,c=!r.rtl,u=t.legendItem,h=!t.series,p=!h&&t.series.drawLegendSymbol?t.series:t,g=p.options;l=i+o+l+((g=this.createCheckboxForItem&&g&&g.showCheckbox)?20:0);var m=r.useHTML,v=t.options.className;u||(t.legendGroup=n.g("legend-item").addClass("highcharts-"+p.type+"-series highcharts-color-"+t.colorIndex+(v?" "+v:"")+(h?" highcharts-series-"+t.index:"")).attr({zIndex:1}).add(this.scrollGroup),t.legendItem=u=n.text("",c?i+o:-o,this.baseline||0,m),e.styledMode||u.css(d(t.visible?s:a)),u.attr({align:c?"left":"right",zIndex:2}).add(t.legendGroup),this.baseline||(this.fontMetrics=n.fontMetrics(e.styledMode?12:s.fontSize,u),this.baseline=this.fontMetrics.f+3+this.itemMarginTop,u.attr("y",this.baseline)),this.symbolHeight=r.symbolHeight||this.fontMetrics.f,p.drawLegendSymbol(this,t),this.setItemEvents&&this.setItemEvents(t,u,m)),g&&!t.checkbox&&this.createCheckboxForItem&&this.createCheckboxForItem(t),this.colorizeItem(t,t.visible),!e.styledMode&&s.width||u.css({width:(r.itemWidth||this.widthOption||e.spacingBox.width)-l+"px"}),this.setText(t),e=u.getBBox(),t.itemWidth=t.checkboxOffset=r.itemWidth||t.legendItemWidth||e.width+l,this.maxItemWidth=Math.max(this.maxItemWidth,t.itemWidth),this.totalItemWidth+=t.itemWidth,this.itemHeight=t.itemHeight=Math.round(t.legendItemHeight||e.height||this.symbolHeight)},t.prototype.layoutItem=function(t){var e=this.options,n=this.padding,r="horizontal"===e.layout,i=t.itemHeight,o=this.itemMarginBottom,s=this.itemMarginTop,a=r?f(e.itemDistance,20):0,l=this.maxLegendWidth;e=e.alignColumns&&this.totalItemWidth>l?this.maxItemWidth:t.itemWidth,r&&this.itemX-n+e>l&&(this.itemX=n,this.lastLineHeight&&(this.itemY+=s+this.lastLineHeight+o),this.lastLineHeight=0),this.lastItemY=s+this.itemY+o,this.lastLineHeight=Math.max(i,this.lastLineHeight),t._legendItemPos=[this.itemX,this.itemY],r?this.itemX+=e:(this.itemY+=s+i+o,this.lastLineHeight=i),this.offsetWidth=this.widthOption||Math.max((r?this.itemX-n-(t.checkbox?0:a):e)+n,this.offsetWidth)},t.prototype.getAllItems=function(){var t=[];return this.chart.series.forEach((function(e){var n=e&&e.options;e&&f(n.showInLegend,!a(n.linkedTo)&&void 0,!0)&&(t=t.concat(e.legendItems||("point"===n.legendType?e.data:e)))})),u(this,"afterGetAllItems",{allItems:t}),t},t.prototype.getAlignment=function(){var t=this.options;return this.proximate?t.align.charAt(0)+"tv":t.floating?"":t.align.charAt(0)+t.verticalAlign.charAt(0)+t.layout.charAt(0)},t.prototype.adjustMargins=function(t,e){var n=this.chart,r=this.options,i=this.getAlignment();i&&[/(lth|ct|rth)/,/(rtv|rm|rbv)/,/(rbh|cb|lbh)/,/(lbv|lm|ltv)/].forEach((function(o,s){o.test(i)&&!a(t[s])&&(n[y[s]]=Math.max(n[y[s]],n.legend[(s+1)%2?"legendHeight":"legendWidth"]+[1,-1,-1,1][s]*r[s%2?"x":"y"]+f(r.margin,12)+e[s]+(n.titleOffset[s]||0)))}))},t.prototype.proximatePositions=function(){var t=this.chart,n=[],r="left"===this.options.align;this.allItems.forEach((function(e){var i,o=r;if(e.yAxis){e.xAxis.options.reversed&&(o=!o),e.points&&(i=c(o?e.points:e.points.slice(0).reverse(),(function(t){return p(t.plotY)}))),o=this.itemMarginTop+e.legendItem.getBBox().height+this.itemMarginBottom;var s=e.yAxis.top-t.plotTop;e.visible?(i=i?i.plotY:e.yAxis.height,i+=s-.3*o):i=s+e.yAxis.height,n.push({target:i,size:o,item:e})}}),this),e.distribute(n,t.plotHeight),n.forEach((function(e){e.item._legendItemPos[1]=t.plotTop-t.spacing[0]+e.pos}))},t.prototype.render=function(){var t=this.chart,e=t.renderer,n=this.group,r=this.box,i=this.options,o=this.padding;this.itemX=o,this.itemY=this.initialItemY,this.lastItemY=this.offsetWidth=0,this.widthOption=g(i.width,t.spacingBox.width-o);var s=t.spacingBox.width-2*o-i.x;-1<["rm","lm"].indexOf(this.getAlignment().substring(0,2))&&(s/=2),this.maxLegendWidth=this.widthOption||s,n||(this.group=n=e.g("legend").attr({zIndex:7}).add(),this.contentGroup=e.g().attr({zIndex:1}).add(n),this.scrollGroup=e.g().add(this.contentGroup)),this.renderTitle();var a=this.getAllItems();m(a,(function(t,e){return(t.options&&t.options.legendIndex||0)-(e.options&&e.options.legendIndex||0)})),i.reversed&&a.reverse(),this.allItems=a,this.display=s=!!a.length,this.itemHeight=this.totalItemWidth=this.maxItemWidth=this.lastLineHeight=0,a.forEach(this.renderItem,this),a.forEach(this.layoutItem,this),a=(this.widthOption||this.offsetWidth)+o;var l=this.lastItemY+this.lastLineHeight+this.titleHeight;l=this.handleOverflow(l),l+=o,r||(this.box=r=e.rect().addClass("highcharts-legend-box").attr({r:i.borderRadius}).add(n),r.isNew=!0),t.styledMode||r.attr({stroke:i.borderColor,"stroke-width":i.borderWidth||0,fill:i.backgroundColor||"none"}).shadow(i.shadow),0<a&&0<l&&(r[r.isNew?"attr":"animate"](r.crisp.call({},{x:0,y:0,width:a,height:l},r.strokeWidth())),r.isNew=!1),r[s?"show":"hide"](),t.styledMode&&"none"===n.getStyle("display")&&(a=l=0),this.legendWidth=a,this.legendHeight=l,s&&this.align(),this.proximate||this.positionItems(),u(this,"afterRender")},t.prototype.align=function(t){void 0===t&&(t=this.chart.spacingBox);var e=this.chart,n=this.options,r=t.y;/(lth|ct|rth)/.test(this.getAlignment())&&0<e.titleOffset[0]?r+=e.titleOffset[0]:/(lbh|cb|rbh)/.test(this.getAlignment())&&0<e.titleOffset[2]&&(r-=e.titleOffset[2]),r!==t.y&&(t=d(t,{y:r})),this.group.align(d(n,{width:this.legendWidth,height:this.legendHeight,verticalAlign:this.proximate?"top":n.verticalAlign}),!0,t)},t.prototype.handleOverflow=function(t){var e=this,n=this.chart,r=n.renderer,i=this.options,o=i.y,s=this.padding;o=n.spacingBox.height+("top"===i.verticalAlign?-o:o)-s;var a,l,c=i.maxHeight,u=this.clipRect,h=i.navigation,p=f(h.animation,!0),d=h.arrowSize||12,g=this.nav,m=this.pages,v=this.allItems,y=function(t){"number"==typeof t?u.attr({height:t}):u&&(e.clipRect=u.destroy(),e.contentGroup.clip()),e.contentGroup.div&&(e.contentGroup.div.style.clip=t?"rect("+s+"px,9999px,"+(s+t)+"px,0)":"auto")},b=function(t){return e[t]=r.circle(0,0,1.3*d).translate(d/2,d/2).add(g),n.styledMode||e[t].attr("fill","rgba(0,0,0,0.0001)"),e[t]};return"horizontal"!==i.layout||"middle"===i.verticalAlign||i.floating||(o/=2),c&&(o=Math.min(o,c)),m.length=0,t>o&&!1!==h.enabled?(this.clipHeight=a=Math.max(o-20-this.titleHeight-s,0),this.currentPage=f(this.currentPage,1),this.fullHeight=t,v.forEach((function(t,e){var n=t._legendItemPos[1],r=Math.round(t.legendItem.getBBox().height),i=m.length;(!i||n-m[i-1]>a&&(l||n)!==m[i-1])&&(m.push(l||n),i++),t.pageIx=i-1,l&&(v[e-1].pageIx=i-1),e===v.length-1&&n+r-m[i-1]>a&&n!==l&&(m.push(n),t.pageIx=i),n!==l&&(l=n)})),u||(u=e.clipRect=r.clipRect(0,s,9999,0),e.contentGroup.clip(u)),y(a),g||(this.nav=g=r.g().attr({zIndex:1}).add(this.group),this.up=r.symbol("triangle",0,0,d,d).add(g),b("upTracker").on("click",(function(){e.scroll(-1,p)})),this.pager=r.text("",15,10).addClass("highcharts-legend-navigation"),n.styledMode||this.pager.css(h.style),this.pager.add(g),this.down=r.symbol("triangle-down",0,0,d,d).add(g),b("downTracker").on("click",(function(){e.scroll(1,p)}))),e.scroll(0),t=o):g&&(y(),this.nav=g.destroy(),this.scrollGroup.attr({translateY:1}),this.clipHeight=0),t},t.prototype.scroll=function(t,e){var n=this,o=this.chart,s=this.pages,a=s.length,l=this.currentPage+t;t=this.clipHeight;var c=this.options.navigation,h=this.pager,p=this.padding;l>a&&(l=a),0<l&&(typeof e<"u"&&i(e,o),this.nav.attr({translateX:p,translateY:t+this.padding+7+this.titleHeight,visibility:"visible"}),[this.up,this.upTracker].forEach((function(t){t.attr({class:1===l?"highcharts-legend-nav-inactive":"highcharts-legend-nav-active"})})),h.attr({text:l+"/"+a}),[this.down,this.downTracker].forEach((function(t){t.attr({x:18+this.pager.getBBox().width,class:l===a?"highcharts-legend-nav-inactive":"highcharts-legend-nav-active"})}),this),o.styledMode||(this.up.attr({fill:1===l?c.inactiveColor:c.activeColor}),this.upTracker.css({cursor:1===l?"default":"pointer"}),this.down.attr({fill:l===a?c.inactiveColor:c.activeColor}),this.downTracker.css({cursor:l===a?"default":"pointer"})),this.scrollOffset=-s[l-1]+this.initialItemY,this.scrollGroup.animate({translateY:this.scrollOffset}),this.currentPage=l,this.positionCheckboxes(),e=r(f(e,o.renderer.globalAnimation,!0)),v((function(){u(n,"afterScroll",{currentPage:l})}),e.duration))},t}();return(/Trident\/7\.0/.test(b.navigator&&b.navigator.userAgent)||n)&&t(_.prototype,"positionItem",(function(t,e){var n=this,r=function(){e._legendItemPos&&t.call(n,e)};r(),n.bubbleLegend||setTimeout(r)})),e.Legend=_,e.Legend})),e(n,"Core/Series/Point.js",[n["Core/Animation/AnimationUtilities.js"],n["Core/Globals.js"],n["Core/Utilities.js"]],(function(t,e,n){var r=t.animObject,i=n.defined,o=n.erase,s=n.extend,a=n.fireEvent,l=n.format,c=n.getNestedProperty,u=n.isArray,h=n.isNumber,p=n.isObject,d=n.syncTimeout,f=n.pick,g=n.removeEvent,m=n.uniqueKey;return t=function(){function t(){this.colorIndex=this.category=void 0,this.formatPrefix="point",this.id=void 0,this.isNull=!1,this.percentage=this.options=this.name=void 0,this.selected=!1,this.total=this.series=void 0,this.visible=!0,this.x=void 0}return t.prototype.animateBeforeDestroy=function(){var t,e=this,n={x:e.startXPos,opacity:0},r=e.getGraphicalProps();r.singular.forEach((function(r){t="dataLabel"===r,e[r]=e[r].animate(t?{x:e[r].startXPos,y:e[r].startYPos,opacity:0}:n)})),r.plural.forEach((function(t){e[t].forEach((function(t){t.element&&t.animate(s({x:e.startXPos},t.startYPos?{x:t.startXPos,y:t.startYPos}:{}))}))}))},t.prototype.applyOptions=function(e,n){var r=this.series,i=r.options.pointValKey||r.pointValKey;return e=t.prototype.optionsToObject.call(this,e),s(this,e),this.options=this.options?s(this.options,e):e,e.group&&delete this.group,e.dataLabels&&delete this.dataLabels,i&&(this.y=t.prototype.getNestedProperty.call(this,i)),this.formatPrefix=(this.isNull=f(this.isValid&&!this.isValid(),null===this.x||!h(this.y)))?"null":"point",this.selected&&(this.state="select"),"name"in this&&typeof n>"u"&&r.xAxis&&r.xAxis.hasNames&&(this.x=r.xAxis.nameToX(this)),typeof this.x>"u"&&r&&(this.x=typeof n>"u"?r.autoIncrement(this):n),this},t.prototype.destroy=function(){function t(){for(s in(e.graphic||e.dataLabel||e.dataLabels)&&(g(e),e.destroyElements()),e)e[s]=null}var e=this,n=e.series,i=n.chart;n=n.options.dataSorting;var s,a=i.hoverPoints,l=r(e.series.chart.renderer.globalAnimation);e.legendItem&&i.legend.destroyItem(e),a&&(e.setState(),o(a,e),a.length||(i.hoverPoints=null)),e===i.hoverPoint&&e.onMouseOut(),n&&n.enabled?(this.animateBeforeDestroy(),d(t,l.duration)):t(),i.pointCount--},t.prototype.destroyElements=function(t){var e=this;(t=e.getGraphicalProps(t)).singular.forEach((function(t){e[t]=e[t].destroy()})),t.plural.forEach((function(t){e[t].forEach((function(t){t.element&&t.destroy()})),delete e[t]}))},t.prototype.firePointEvent=function(t,e,n){var r=this,i=this.series.options;(i.point.events[t]||r.options&&r.options.events&&r.options.events[t])&&r.importEvents(),"click"===t&&i.allowPointSelect&&(n=function(t){r.select&&r.select(null,t.ctrlKey||t.metaKey||t.shiftKey)}),a(r,t,e,n)},t.prototype.getClassName=function(){return"highcharts-point"+(this.selected?" highcharts-point-select":"")+(this.negative?" highcharts-negative":"")+(this.isNull?" highcharts-null-point":"")+(typeof this.colorIndex<"u"?" highcharts-color-"+this.colorIndex:"")+(this.options.className?" "+this.options.className:"")+(this.zone&&this.zone.className?" "+this.zone.className.replace("highcharts-negative",""):"")},t.prototype.getGraphicalProps=function(t){var e,n=this,r=[],i={singular:[],plural:[]};for((t=t||{graphic:1,dataLabel:1}).graphic&&r.push("graphic","shadowGroup"),t.dataLabel&&r.push("dataLabel","dataLabelUpper","connector"),e=r.length;e--;){var o=r[e];n[o]&&i.singular.push(o)}return["dataLabel","connector"].forEach((function(e){var r=e+"s";t[e]&&n[r]&&i.plural.push(r)})),i},t.prototype.getLabelConfig=function(){return{x:this.category,y:this.y,color:this.color,colorIndex:this.colorIndex,key:this.name||this.category,series:this.series,point:this,percentage:this.percentage,total:this.total||this.stackTotal}},t.prototype.getNestedProperty=function(t){if(t)return 0===t.indexOf("custom.")?c(t,this.options):this[t]},t.prototype.getZone=function(){var t=this.series,e=t.zones;t=t.zoneAxis||"y";var n,r=0;for(n=e[r];this[t]>=n.value;)n=e[++r];return this.nonZonedColor||(this.nonZonedColor=this.color),this.color=n&&n.color&&!this.options.color?n.color:this.nonZonedColor,n},t.prototype.hasNewShapeType=function(){return(this.graphic&&(this.graphic.symbolName||this.graphic.element.nodeName))!==this.shapeType},t.prototype.init=function(t,e,n){return this.series=t,this.applyOptions(e,n),this.id=i(this.id)?this.id:m(),this.resolveColor(),t.chart.pointCount++,a(this,"afterInit"),this},t.prototype.optionsToObject=function(e){var n={},r=this.series,i=r.options.keys,o=i||r.pointArrayMap||["y"],s=o.length,a=0,l=0;if(h(e)||null===e)n[o[0]]=e;else if(u(e))for(!i&&e.length>s&&("string"==(r=typeof e[0])?n.name=e[0]:"number"===r&&(n.x=e[0]),a++);l<s;)i&&typeof e[a]>"u"||(0<o[l].indexOf(".")?t.prototype.setNestedProperty(n,e[a],o[l]):n[o[l]]=e[a]),a++,l++;else"object"==typeof e&&(n=e,e.dataLabels&&(r._hasPointLabels=!0),e.marker&&(r._hasPointMarkers=!0));return n},t.prototype.resolveColor=function(){var t=this.series,e=t.chart.options.chart.colorCount,n=t.chart.styledMode;delete this.nonZonedColor,n||this.options.color||(this.color=t.color),t.options.colorByPoint?(n||(e=t.options.colors||t.chart.options.colors,this.color=this.color||e[t.colorCounter],e=e.length),n=t.colorCounter,t.colorCounter++,t.colorCounter===e&&(t.colorCounter=0)):n=t.colorIndex,this.colorIndex=f(this.colorIndex,n)},t.prototype.setNestedProperty=function(t,e,n){return n.split(".").reduce((function(t,n,r,i){return t[n]=i.length-1===r?e:p(t[n],!0)?t[n]:{},t[n]}),t),t},t.prototype.tooltipFormatter=function(t){var e=this.series,n=e.tooltipOptions,r=f(n.valueDecimals,""),i=n.valuePrefix||"",o=n.valueSuffix||"";return e.chart.styledMode&&(t=e.chart.tooltip.styledModeFormat(t)),(e.pointArrayMap||["y"]).forEach((function(e){e="{point."+e,(i||o)&&(t=t.replace(RegExp(e+"}","g"),i+e+"}"+o)),t=t.replace(RegExp(e+"}","g"),e+":,."+r+"f}")})),l(t,{point:this,series:this.series},e.chart)},t}(),e.Point=t})),e(n,"Core/Series/Series.js",[n["Core/Globals.js"],n["Core/Series/Point.js"],n["Core/Utilities.js"]],(function(t,e,n){var r=n.error,i=n.extendClass,o=n.fireEvent,s=n.getOptions,a=n.isObject,l=n.merge,c=n.objectEach;return(n=function(){function t(e,n){var r=l(t.defaultOptions,n);this.chart=e,this._i=e.series.length,e.series.push(this),this.options=r,this.userOptions=l(n)}return t.addSeries=function(e,n){t.seriesTypes[e]=n},t.cleanRecursively=function(e,n){var r={};return c(e,(function(i,o){a(e[o],!0)&&!e.nodeType&&n[o]?(i=t.cleanRecursively(e[o],n[o]),Object.keys(i).length&&(r[o]=i)):(a(e[o])||e[o]!==n[o])&&(r[o]=e[o])})),r},t.getSeries=function(e,n){void 0===n&&(n={});var i=e.options.chart;i=n.type||i.type||i.defaultSeriesType||"";var o=t.seriesTypes[i];return o||r(17,!0,e,{missingModuleFor:i}),new o(e,n)},t.seriesType=function(n,r,o,a,c){var u=s().plotOptions||{},h=t.seriesTypes;return r=r||"",u[n]=l(u[r],o),t.addSeries(n,i(h[r]||function(){},a)),h[n].prototype.type=n,c&&(h[n].prototype.pointClass=i(e,c)),h[n]},t.prototype.update=function(e,n){void 0===n&&(n=!0);var r=this,i=(e=t.cleanRecursively(e,this.userOptions)).type;return typeof i<"u"&&i!==r.type&&(r=t.getSeries(r.chart,e)),o(r,"update",{newOptions:e}),r.userOptions=l(e),o(r,"afterUpdate",{newOptions:e}),n&&r.chart.redraw(),r},t.defaultOptions={type:"base"},t.seriesTypes={},t}()).prototype.pointClass=e,t.seriesType=n.seriesType,t.seriesTypes=n.seriesTypes,n})),e(n,"Core/Chart/Chart.js",[n["Core/Animation/AnimationUtilities.js"],n["Core/Axis/Axis.js"],n["Core/Series/Series.js"],n["Core/Globals.js"],n["Core/Legend.js"],n["Core/MSPointer.js"],n["Core/Options.js"],n["Core/Pointer.js"],n["Core/Time.js"],n["Core/Utilities.js"]],(function(t,e,n,r,i,o,s,a,l,c){var u=t.animate,h=t.animObject,p=t.setAnimation,d=r.charts,f=r.doc,g=r.win,m=s.defaultOptions,v=c.addEvent,y=c.attr,b=c.createElement,_=c.css,x=c.defined,w=c.discardElement,S=c.erase,k=c.error,C=c.extend,A=c.find,O=c.fireEvent,T=c.getStyle,E=c.isArray,P=c.isFunction,M=c.isNumber,L=c.isObject,j=c.isString,D=c.merge,$=c.numberFormat,I=c.objectEach,R=c.pick,N=c.pInt,B=c.relativeLength,F=c.removeEvent,z=c.splat,V=c.syncTimeout,q=c.uniqueKey,W=r.marginNames,H=function(){function t(t,e,n){this.yAxis=this.xAxis=this.userOptions=this.titleOffset=this.time=this.symbolCounter=this.spacingBox=this.spacing=this.series=this.renderTo=this.renderer=this.pointer=this.pointCount=this.plotWidth=this.plotTop=this.plotLeft=this.plotHeight=this.plotBox=this.options=this.numberFormatter=this.margin=this.legend=this.labelCollectors=this.isResizing=this.index=this.container=this.colorCounter=this.clipBox=this.chartWidth=this.chartHeight=this.bounds=this.axisOffset=this.axes=void 0,this.getArgs(t,e,n)}return t.prototype.getArgs=function(t,e,n){j(t)||t.nodeName?(this.renderTo=t,this.init(e,n)):this.init(t,e)},t.prototype.init=function(t,e){var n,i=t.series,o=t.plotOptions||{};O(this,"init",{args:arguments},(function(){t.series=null;var s=(n=D(m,t)).chart||{};I(n.plotOptions,(function(t,e){L(t)&&(t.tooltip=o[e]&&D(o[e].tooltip)||void 0)})),n.tooltip.userOptions=t.chart&&t.chart.forExport&&t.tooltip.userOptions||t.tooltip,n.series=t.series=i,this.userOptions=t;var a=s.events;this.margin=[],this.spacing=[],this.bounds={h:{},v:{}},this.labelCollectors=[],this.callback=e,this.isResizing=0,this.options=n,this.axes=[],this.series=[],this.time=t.time&&Object.keys(t.time).length?new l(t.time):r.time,this.numberFormatter=s.numberFormatter||$,this.styledMode=s.styledMode,this.hasCartesianSeries=s.showAxes;var c=this;c.index=d.length,d.push(c),r.chartCount++,a&&I(a,(function(t,e){P(t)&&v(c,e,t)})),c.xAxis=[],c.yAxis=[],c.pointCount=c.colorCounter=c.symbolCounter=0,O(c,"afterInit"),c.firstRender()}))},t.prototype.initSeries=function(t){var e=this.options.chart;e=t.type||e.type||e.defaultSeriesType;var r=n.seriesTypes[e];return r||k(17,!0,this,{missingModuleFor:e}),"function"==typeof(e=new r(this,t)).init&&e.init(this,t),e},t.prototype.setSeriesData=function(){this.getSeriesOrderByLinks().forEach((function(t){t.points||t.data||!t.enabledDataSorting||t.setData(t.options.data,!1)}))},t.prototype.getSeriesOrderByLinks=function(){return this.series.concat().sort((function(t,e){return t.linkedSeries.length||e.linkedSeries.length?e.linkedSeries.length-t.linkedSeries.length:0}))},t.prototype.orderSeries=function(t){var e=this.series;for(t=t||0;t<e.length;t++)e[t]&&(e[t].index=t,e[t].name=e[t].getName())},t.prototype.isInsidePlot=function(t,e,n){var r=n?e:t;return r={x:r,y:t=n?t:e,isInsidePlot:0<=r&&r<=this.plotWidth&&0<=t&&t<=this.plotHeight},O(this,"afterIsInsidePlot",r),r.isInsidePlot},t.prototype.redraw=function(t){O(this,"beforeRedraw");var e=this,n=e.axes,r=e.series,i=e.pointer,o=e.legend,s=e.userOptions.legend,a=e.isDirtyLegend,l=e.hasCartesianSeries,c=e.isDirtyBox,u=e.renderer,h=u.isHidden(),d=[];for(e.setResponsive&&e.setResponsive(!1),p(!!e.hasRendered&&t,e),h&&e.temporaryDisplay(),e.layOutTitles(),t=r.length;t--;){var f=r[t];if(f.options.stacking){var g=!0;if(f.isDirty){var m=!0;break}}}if(m)for(t=r.length;t--;)(f=r[t]).options.stacking&&(f.isDirty=!0);r.forEach((function(t){t.isDirty&&("point"===t.options.legendType?("function"==typeof t.updateTotals&&t.updateTotals(),a=!0):s&&(s.labelFormatter||s.labelFormat)&&(a=!0)),t.isDirtyData&&O(t,"updatedData")})),a&&o&&o.options.enabled&&(o.render(),e.isDirtyLegend=!1),g&&e.getStacks(),l&&n.forEach((function(t){e.isResizing&&M(t.min)||(t.updateNames(),t.setScale())})),e.getMargins(),l&&(n.forEach((function(t){t.isDirty&&(c=!0)})),n.forEach((function(t){var e=t.min+","+t.max;t.extKey!==e&&(t.extKey=e,d.push((function(){O(t,"afterSetExtremes",C(t.eventArgs,t.getExtremes())),delete t.eventArgs}))),(c||g)&&t.redraw()}))),c&&e.drawChartBox(),O(e,"predraw"),r.forEach((function(t){(c||t.isDirty)&&t.visible&&t.redraw(),t.isDirtyData=!1})),i&&i.reset(!0),u.draw(),O(e,"redraw"),O(e,"render"),h&&e.temporaryDisplay(!0),d.forEach((function(t){t.call()}))},t.prototype.get=function(t){function e(e){return e.id===t||e.options&&e.options.id===t}var n,r=this.series,i=A(this.axes,e)||A(this.series,e);for(n=0;!i&&n<r.length;n++)i=A(r[n].points||[],e);return i},t.prototype.getAxes=function(){var t=this,n=this.options,r=n.xAxis=z(n.xAxis||{});n=n.yAxis=z(n.yAxis||{}),O(this,"getAxes"),r.forEach((function(t,e){t.index=e,t.isX=!0})),n.forEach((function(t,e){t.index=e})),r.concat(n).forEach((function(n){new e(t,n)})),O(this,"afterGetAxes")},t.prototype.getSelectedPoints=function(){var t=[];return this.series.forEach((function(e){t=t.concat(e.getPointsCollection().filter((function(t){return R(t.selectedStaging,t.selected)})))})),t},t.prototype.getSelectedSeries=function(){return this.series.filter((function(t){return t.selected}))},t.prototype.setTitle=function(t,e,n){this.applyDescription("title",t),this.applyDescription("subtitle",e),this.applyDescription("caption",void 0),this.layOutTitles(n)},t.prototype.applyDescription=function(t,e){var n=this,r="title"===t?{color:"#333333",fontSize:this.options.isStock?"16px":"18px"}:{color:"#666666"};r=this.options[t]=D(!this.styledMode&&{style:r},this.options[t],e);var i=this[t];i&&e&&(this[t]=i=i.destroy()),r&&!i&&((i=this.renderer.text(r.text,0,0,r.useHTML).attr({align:r.align,class:"highcharts-"+t,zIndex:r.zIndex||4}).add()).update=function(e){n[{title:"setTitle",subtitle:"setSubtitle",caption:"setCaption"}[t]](e)},this.styledMode||i.css(r.style),this[t]=i)},t.prototype.layOutTitles=function(t){var e=[0,0,0],n=this.renderer,r=this.spacingBox;["title","subtitle","caption"].forEach((function(t){var i=this[t],o=this.options[t],s=o.verticalAlign||"top";if(t="title"===t?-3:"top"===s?e[0]+2:0,i){if(!this.styledMode)var a=o.style.fontSize;a=n.fontMetrics(a,i).b,i.css({width:(o.width||r.width+(o.widthAdjust||0))+"px"});var l=Math.round(i.getBBox(o.useHTML).height);i.align(C({y:"bottom"===s?a:t+a,height:l},o),!1,"spacingBox"),o.floating||("top"===s?e[0]=Math.ceil(e[0]+l):"bottom"===s&&(e[2]=Math.ceil(e[2]+l)))}}),this),e[0]&&"top"===(this.options.title.verticalAlign||"top")&&(e[0]+=this.options.title.margin),e[2]&&"bottom"===this.options.caption.verticalAlign&&(e[2]+=this.options.caption.margin);var i=!this.titleOffset||this.titleOffset.join(",")!==e.join(",");this.titleOffset=e,O(this,"afterLayOutTitles"),!this.isDirtyBox&&i&&(this.isDirtyBox=this.isDirtyLegend=i,this.hasRendered&&R(t,!0)&&this.isDirtyBox&&this.redraw())},t.prototype.getChartSize=function(){var t=this.options.chart,e=t.width;t=t.height;var n=this.renderTo;x(e)||(this.containerWidth=T(n,"width")),x(t)||(this.containerHeight=T(n,"height")),this.chartWidth=Math.max(0,e||this.containerWidth||600),this.chartHeight=Math.max(0,B(t,this.chartWidth)||(1<this.containerHeight?this.containerHeight:400))},t.prototype.temporaryDisplay=function(t){var e=this.renderTo;if(t)for(;e&&e.style;)e.hcOrigStyle&&(_(e,e.hcOrigStyle),delete e.hcOrigStyle),e.hcOrigDetached&&(f.body.removeChild(e),e.hcOrigDetached=!1),e=e.parentNode;else for(;e&&e.style&&(f.body.contains(e)||e.parentNode||(e.hcOrigDetached=!0,f.body.appendChild(e)),("none"===T(e,"display",!1)||e.hcOricDetached)&&(e.hcOrigStyle={display:e.style.display,height:e.style.height,overflow:e.style.overflow},t={display:"block",overflow:"hidden"},e!==this.renderTo&&(t.height=0),_(e,t),e.offsetWidth||e.style.setProperty("display","block","important")),(e=e.parentNode)!==f.body););},t.prototype.setClassName=function(t){this.container.className="highcharts-container "+(t||"")},t.prototype.getContainer=function(){var t,e,n=this.options,i=n.chart,o=this.renderTo,s=q();o||(this.renderTo=o=i.renderTo),j(o)&&(this.renderTo=o=f.getElementById(o)),o||k(13,!0,this);var a=N(y(o,"data-highcharts-chart"));M(a)&&d[a]&&d[a].hasRendered&&d[a].destroy(),y(o,"data-highcharts-chart",this.index),o.innerHTML="",i.skipClone||o.offsetWidth||this.temporaryDisplay(),this.getChartSize(),a=this.chartWidth;var l=this.chartHeight;if(_(o,{overflow:"hidden"}),this.styledMode||(t=C({position:"relative",overflow:"hidden",width:a+"px",height:l+"px",textAlign:"left",lineHeight:"normal",zIndex:0,"-webkit-tap-highlight-color":"rgba(0,0,0,0)",userSelect:"none"},i.style)),this.container=o=b("div",{id:s},t,o),this._cursor=o.style.cursor,this.renderer=new(r[i.renderer]||r.Renderer)(o,a,l,null,i.forExport,n.exporting&&n.exporting.allowHTML,this.styledMode),p(void 0,this),this.setClassName(i.className),this.styledMode)for(e in n.defs)this.renderer.definition(n.defs[e]);else this.renderer.setStyle(i.style);this.renderer.chartIndex=this.index,O(this,"afterGetContainer")},t.prototype.getMargins=function(t){var e=this.spacing,n=this.margin,r=this.titleOffset;this.resetMargins(),r[0]&&!x(n[0])&&(this.plotTop=Math.max(this.plotTop,r[0]+e[0])),r[2]&&!x(n[2])&&(this.marginBottom=Math.max(this.marginBottom,r[2]+e[2])),this.legend&&this.legend.display&&this.legend.adjustMargins(n,e),O(this,"getMargins"),t||this.getAxisMargins()},t.prototype.getAxisMargins=function(){var t=this,e=t.axisOffset=[0,0,0,0],n=t.colorAxis,r=t.margin,i=function(t){t.forEach((function(t){t.visible&&t.getOffset()}))};t.hasCartesianSeries?i(t.axes):n&&n.length&&i(n),W.forEach((function(n,i){x(r[i])||(t[n]+=e[i])})),t.setChartSize()},t.prototype.reflow=function(t){var e=this,n=e.options.chart,r=e.renderTo,i=x(n.width)&&x(n.height),o=n.width||T(r,"width");n=n.height||T(r,"height"),r=t?t.target:g,!i&&!e.isPrinting&&o&&n&&(r===g||r===f)&&((o!==e.containerWidth||n!==e.containerHeight)&&(c.clearTimeout(e.reflowTimeout),e.reflowTimeout=V((function(){e.container&&e.setSize(void 0,void 0,!1)}),t?100:0)),e.containerWidth=o,e.containerHeight=n)},t.prototype.setReflow=function(t){var e=this;!1===t||this.unbindReflow?!1===t&&this.unbindReflow&&(this.unbindReflow=this.unbindReflow()):(this.unbindReflow=v(g,"resize",(function(t){e.options&&e.reflow(t)})),v(this,"destroy",this.unbindReflow))},t.prototype.setSize=function(t,e,n){var r=this,i=r.renderer;r.isResizing+=1,p(n,r),n=i.globalAnimation,r.oldChartHeight=r.chartHeight,r.oldChartWidth=r.chartWidth,typeof t<"u"&&(r.options.chart.width=t),typeof e<"u"&&(r.options.chart.height=e),r.getChartSize(),r.styledMode||(n?u:_)(r.container,{width:r.chartWidth+"px",height:r.chartHeight+"px"},n),r.setChartSize(!0),i.setSize(r.chartWidth,r.chartHeight,n),r.axes.forEach((function(t){t.isDirty=!0,t.setScale()})),r.isDirtyLegend=!0,r.isDirtyBox=!0,r.layOutTitles(),r.getMargins(),r.redraw(n),r.oldChartHeight=null,O(r,"resize"),V((function(){r&&O(r,"endResize",null,(function(){--r.isResizing}))}),h(n).duration)},t.prototype.setChartSize=function(t){var e,n,r,i,o=this.inverted,s=this.renderer,a=this.chartWidth,l=this.chartHeight,c=this.options.chart,u=this.spacing,h=this.clipOffset;this.plotLeft=e=Math.round(this.plotLeft),this.plotTop=n=Math.round(this.plotTop),this.plotWidth=r=Math.max(0,Math.round(a-e-this.marginRight)),this.plotHeight=i=Math.max(0,Math.round(l-n-this.marginBottom)),this.plotSizeX=o?i:r,this.plotSizeY=o?r:i,this.plotBorderWidth=c.plotBorderWidth||0,this.spacingBox=s.spacingBox={x:u[3],y:u[0],width:a-u[3]-u[1],height:l-u[0]-u[2]},this.plotBox=s.plotBox={x:e,y:n,width:r,height:i},a=2*Math.floor(this.plotBorderWidth/2),o=Math.ceil(Math.max(a,h[3])/2),s=Math.ceil(Math.max(a,h[0])/2),this.clipBox={x:o,y:s,width:Math.floor(this.plotSizeX-Math.max(a,h[1])/2-o),height:Math.max(0,Math.floor(this.plotSizeY-Math.max(a,h[2])/2-s))},t||this.axes.forEach((function(t){t.setAxisSize(),t.setAxisTranslation()})),O(this,"afterSetChartSize",{skipAxes:t})},t.prototype.resetMargins=function(){O(this,"resetMargins");var t=this,e=t.options.chart;["margin","spacing"].forEach((function(n){var r=e[n],i=L(r)?r:[r,r,r,r];["Top","Right","Bottom","Left"].forEach((function(r,o){t[n][o]=R(e[n+r],i[o])}))})),W.forEach((function(e,n){t[e]=R(t.margin[n],t.spacing[n])})),t.axisOffset=[0,0,0,0],t.clipOffset=[0,0,0,0]},t.prototype.drawChartBox=function(){var t,e=this.options.chart,n=this.renderer,r=this.chartWidth,i=this.chartHeight,o=this.chartBackground,s=this.plotBackground,a=this.plotBorder,l=this.styledMode,c=this.plotBGImage,u=e.backgroundColor,h=e.plotBackgroundColor,p=e.plotBackgroundImage,d=this.plotLeft,f=this.plotTop,g=this.plotWidth,m=this.plotHeight,v=this.plotBox,y=this.clipRect,b=this.clipBox,_="animate";if(o||(this.chartBackground=o=n.rect().addClass("highcharts-background").add(),_="attr"),l)var x=t=o.strokeWidth();else t=(x=e.borderWidth||0)+(e.shadow?8:0),u={fill:u||"none"},(x||o["stroke-width"])&&(u.stroke=e.borderColor,u["stroke-width"]=x),o.attr(u).shadow(e.shadow);o[_]({x:t/2,y:t/2,width:r-t-x%2,height:i-t-x%2,r:e.borderRadius}),_="animate",s||(_="attr",this.plotBackground=s=n.rect().addClass("highcharts-plot-background").add()),s[_](v),l||(s.attr({fill:h||"none"}).shadow(e.plotShadow),p&&(c?(p!==c.attr("href")&&c.attr("href",p),c.animate(v)):this.plotBGImage=n.image(p,d,f,g,m).add())),y?y.animate({width:b.width,height:b.height}):this.clipRect=n.clipRect(b),_="animate",a||(_="attr",this.plotBorder=a=n.rect().addClass("highcharts-plot-border").attr({zIndex:1}).add()),l||a.attr({stroke:e.plotBorderColor,"stroke-width":e.plotBorderWidth||0,fill:"none"}),a[_](a.crisp({x:d,y:f,width:g,height:m},-a.strokeWidth())),this.isDirtyBox=!1,O(this,"afterDrawChartBox")},t.prototype.propFromSeries=function(){var t,e,r,i=this,o=i.options.chart,s=i.options.series;["inverted","angular","polar"].forEach((function(a){for(t=n.seriesTypes[o.type||o.defaultSeriesType],r=o[a]||t&&t.prototype[a],e=s&&s.length;!r&&e--;)(t=n.seriesTypes[s[e].type])&&t.prototype[a]&&(r=!0);i[a]=r}))},t.prototype.linkSeries=function(){var t=this,e=t.series;e.forEach((function(t){t.linkedSeries.length=0})),e.forEach((function(e){var n=e.options.linkedTo;j(n)&&(n=":previous"===n?t.series[e.index-1]:t.get(n))&&n.linkedParent!==e&&(n.linkedSeries.push(e),e.linkedParent=n,n.enabledDataSorting&&e.setDataSortingOptions(),e.visible=R(e.options.visible,n.options.visible,e.visible))})),O(this,"afterLinkSeries")},t.prototype.renderSeries=function(){this.series.forEach((function(t){t.translate(),t.render()}))},t.prototype.renderLabels=function(){var t=this,e=t.options.labels;e.items&&e.items.forEach((function(n){var r=C(e.style,n.style),i=N(r.left)+t.plotLeft,o=N(r.top)+t.plotTop+12;delete r.left,delete r.top,t.renderer.text(n.html,i,o).attr({zIndex:2}).css(r).add()}))},t.prototype.render=function(){var t=this.axes,e=this.colorAxis,n=this.renderer,r=this.options,o=0,s=function(t){t.forEach((function(t){t.visible&&t.render()}))};this.setTitle(),this.legend=new i(this,r.legend),this.getStacks&&this.getStacks(),this.getMargins(!0),this.setChartSize(),r=this.plotWidth,t.some((function(t){if(t.horiz&&t.visible&&t.options.labels.enabled&&t.series.length)return o=21,!0}));var a=this.plotHeight=Math.max(this.plotHeight-o,0);t.forEach((function(t){t.setScale()})),this.getAxisMargins();var l=1.1<r/this.plotWidth,c=1.05<a/this.plotHeight;(l||c)&&(t.forEach((function(t){(t.horiz&&l||!t.horiz&&c)&&t.setTickInterval(!0)})),this.getMargins()),this.drawChartBox(),this.hasCartesianSeries?s(t):e&&e.length&&s(e),this.seriesGroup||(this.seriesGroup=n.g("series-group").attr({zIndex:3}).add()),this.renderSeries(),this.renderLabels(),this.addCredits(),this.setResponsive&&this.setResponsive(),this.updateContainerScaling(),this.hasRendered=!0},t.prototype.addCredits=function(t){var e=this,n=D(!0,this.options.credits,t);n.enabled&&!this.credits&&(this.credits=this.renderer.text(n.text+(this.mapCredits||""),0,0).addClass("highcharts-credits").on("click",(function(){n.href&&(g.location.href=n.href)})).attr({align:n.position.align,zIndex:8}),e.styledMode||this.credits.css(n.style),this.credits.add().align(n.position),this.credits.update=function(t){e.credits=e.credits.destroy(),e.addCredits(t)})},t.prototype.updateContainerScaling=function(){var t=this.container;if(2<t.offsetWidth&&2<t.offsetHeight&&t.getBoundingClientRect){var e=t.getBoundingClientRect(),n=e.width/t.offsetWidth;t=e.height/t.offsetHeight,1!==n||1!==t?this.containerScaling={scaleX:n,scaleY:t}:delete this.containerScaling}},t.prototype.destroy=function(){var t,e=this,n=e.axes,i=e.series,o=e.container,s=o&&o.parentNode;for(O(e,"destroy"),e.renderer.forExport?S(d,e):d[e.index]=void 0,r.chartCount--,e.renderTo.removeAttribute("data-highcharts-chart"),F(e),t=n.length;t--;)n[t]=n[t].destroy();for(this.scroller&&this.scroller.destroy&&this.scroller.destroy(),t=i.length;t--;)i[t]=i[t].destroy();"title subtitle chartBackground plotBackground plotBGImage plotBorder seriesGroup clipRect credits pointer rangeSelector legend resetZoomButton tooltip renderer".split(" ").forEach((function(t){var n=e[t];n&&n.destroy&&(e[t]=n.destroy())})),o&&(o.innerHTML="",F(o),s&&w(o)),I(e,(function(t,n){delete e[n]}))},t.prototype.firstRender=function(){var t=this,e=t.options;(!t.isReadyToRender||t.isReadyToRender())&&(t.getContainer(),t.resetMargins(),t.setChartSize(),t.propFromSeries(),t.getAxes(),(E(e.series)?e.series:[]).forEach((function(e){t.initSeries(e)})),t.linkSeries(),t.setSeriesData(),O(t,"beforeRender"),a&&(t.pointer=r.hasTouch||!g.PointerEvent&&!g.MSPointerEvent?new a(t,e):new o(t,e)),t.render(),!t.renderer.imgCount&&!t.hasLoaded&&t.onload(),t.temporaryDisplay(!0))},t.prototype.onload=function(){this.callbacks.concat([this.callback]).forEach((function(t){t&&typeof this.index<"u"&&t.apply(this,[this])}),this),O(this,"load"),O(this,"render"),x(this.index)&&this.setReflow(this.options.chart.reflow),this.hasLoaded=!0},t}();return H.prototype.callbacks=[],r.chart=function(t,e,n){return new H(t,e,n)},r.Chart=H})),e(n,"Extensions/ScrollablePlotArea.js",[n["Core/Animation/AnimationUtilities.js"],n["Core/Chart/Chart.js"],n["Core/Globals.js"],n["Core/Utilities.js"]],(function(t,e,n,r){var i=t.stop,o=r.addEvent,s=r.createElement,a=r.pick;o(e,"afterSetChartSize",(function(t){var e=this.options.chart.scrollablePlotArea,r=e&&e.minWidth;if(e=e&&e.minHeight,!this.renderer.forExport){if(r){if(this.scrollablePixelsX=r=Math.max(0,r-this.chartWidth)){this.plotWidth+=r,this.inverted?(this.clipBox.height+=r,this.plotBox.height+=r):(this.clipBox.width+=r,this.plotBox.width+=r);var i={1:{name:"right",value:r}}}}else e&&(this.scrollablePixelsY=r=Math.max(0,e-this.chartHeight))&&(this.plotHeight+=r,this.inverted?(this.clipBox.width+=r,this.plotBox.width+=r):(this.clipBox.height+=r,this.plotBox.height+=r),i={2:{name:"bottom",value:r}});i&&!t.skipAxes&&this.axes.forEach((function(t){i[t.side]?t.getPlotLinePath=function(){var e=i[t.side].name,r=this[e];this[e]=r-i[t.side].value;var o=n.Axis.prototype.getPlotLinePath.apply(this,arguments);return this[e]=r,o}:(t.setAxisSize(),t.setAxisTranslation())}))}})),o(e,"render",(function(){this.scrollablePixelsX||this.scrollablePixelsY?(this.setUpScrolling&&this.setUpScrolling(),this.applyFixed()):this.fixedDiv&&this.applyFixed()})),e.prototype.setUpScrolling=function(){var t=this,e={WebkitOverflowScrolling:"touch",overflowX:"hidden",overflowY:"hidden"};this.scrollablePixelsX&&(e.overflowX="auto"),this.scrollablePixelsY&&(e.overflowY="auto"),this.scrollingParent=s("div",{className:"highcharts-scrolling-parent"},{position:"relative"},this.renderTo),this.scrollingContainer=s("div",{className:"highcharts-scrolling"},e,this.scrollingParent),o(this.scrollingContainer,"scroll",(function(){t.pointer&&delete t.pointer.chartPosition})),this.innerContainer=s("div",{className:"highcharts-inner-container"},null,this.scrollingContainer),this.innerContainer.appendChild(this.container),this.setUpScrolling=null},e.prototype.moveFixedElements=function(){var t,e=this.container,n=this.fixedRenderer,r=".highcharts-contextbutton .highcharts-credits .highcharts-legend .highcharts-legend-checkbox .highcharts-navigator-series .highcharts-navigator-xaxis .highcharts-navigator-yaxis .highcharts-navigator .highcharts-reset-zoom .highcharts-scrollbar .highcharts-subtitle .highcharts-title".split(" ");this.scrollablePixelsX&&!this.inverted?t=".highcharts-yaxis":this.scrollablePixelsX&&this.inverted||this.scrollablePixelsY&&!this.inverted?t=".highcharts-xaxis":this.scrollablePixelsY&&this.inverted&&(t=".highcharts-yaxis"),r.push(t,t+"-labels"),r.forEach((function(t){[].forEach.call(e.querySelectorAll(t),(function(t){(t.namespaceURI===n.SVG_NS?n.box:n.box.parentNode).appendChild(t),t.style.pointerEvents="auto"}))}))},e.prototype.applyFixed=function(){var t,e,r=!this.fixedDiv,l=this.options.chart.scrollablePlotArea;r?(this.fixedDiv=s("div",{className:"highcharts-fixed"},{position:"absolute",overflow:"hidden",pointerEvents:"none",zIndex:2,top:0},null,!0),null===(t=this.scrollingContainer)||void 0===t||t.parentNode.insertBefore(this.fixedDiv,this.scrollingContainer),this.renderTo.style.overflow="visible",this.fixedRenderer=t=new n.Renderer(this.fixedDiv,this.chartWidth,this.chartHeight,null===(e=this.options.chart)||void 0===e?void 0:e.style),this.scrollableMask=t.path().attr({fill:this.options.chart.backgroundColor||"#fff","fill-opacity":a(l.opacity,.85),zIndex:-1}).addClass("highcharts-scrollable-mask").add(),this.moveFixedElements(),o(this,"afterShowResetZoom",this.moveFixedElements),o(this,"afterLayOutTitles",this.moveFixedElements)):this.fixedRenderer.setSize(this.chartWidth,this.chartHeight),e=this.chartWidth+(this.scrollablePixelsX||0),t=this.chartHeight+(this.scrollablePixelsY||0),i(this.container),this.container.style.width=e+"px",this.container.style.height=t+"px",this.renderer.boxWrapper.attr({width:e,height:t,viewBox:[0,0,e,t].join(" ")}),this.chartBackground.attr({width:e,height:t}),this.scrollingContainer.style.height=this.chartHeight+"px",r&&(l.scrollPositionX&&(this.scrollingContainer.scrollLeft=this.scrollablePixelsX*l.scrollPositionX),l.scrollPositionY&&(this.scrollingContainer.scrollTop=this.scrollablePixelsY*l.scrollPositionY)),t=this.axisOffset,r=this.plotTop-t[0]-1,l=this.plotLeft-t[3]-1,e=this.plotTop+this.plotHeight+t[2]+1,t=this.plotLeft+this.plotWidth+t[1]+1;var c=this.plotLeft+this.plotWidth-(this.scrollablePixelsX||0),u=this.plotTop+this.plotHeight-(this.scrollablePixelsY||0);r=this.scrollablePixelsX?[["M",0,r],["L",this.plotLeft-1,r],["L",this.plotLeft-1,e],["L",0,e],["Z"],["M",c,r],["L",this.chartWidth,r],["L",this.chartWidth,e],["L",c,e],["Z"]]:this.scrollablePixelsY?[["M",l,0],["L",l,this.plotTop-1],["L",t,this.plotTop-1],["L",t,0],["Z"],["M",l,u],["L",l,this.chartHeight],["L",t,this.chartHeight],["L",t,u],["Z"]]:[["M",0,0]],"adjustHeight"!==this.redrawTrigger&&this.scrollableMask.attr({d:r})}})),e(n,"Core/Axis/StackingAxis.js",[n["Core/Animation/AnimationUtilities.js"],n["Core/Utilities.js"]],(function(t,e){var n=t.getDeferredAnimation,r=e.addEvent,i=e.destroyObjectProperties,o=e.fireEvent,s=e.objectEach,a=e.pick,l=function(){function t(t){this.oldStacks={},this.stacks={},this.stacksTouched=0,this.axis=t}return t.prototype.buildStacks=function(){var t,e=this.axis,n=e.series,r=a(e.options.reversedStacks,!0),i=n.length;if(!e.isXAxis){for(this.usePercentage=!1,t=i;t--;){var s=n[r?t:i-t-1];s.setStackedPoints(),s.setGroupedPoints()}for(t=0;t<i;t++)n[t].modifyStacks();o(e,"afterBuildStacks")}},t.prototype.cleanStacks=function(){if(!this.axis.isXAxis){if(this.oldStacks)var t=this.stacks=this.oldStacks;s(t,(function(t){s(t,(function(t){t.cumulative=t.total}))}))}},t.prototype.resetStacks=function(){var t=this,e=t.stacks;t.axis.isXAxis||s(e,(function(e){s(e,(function(n,r){n.touched<t.stacksTouched?(n.destroy(),delete e[r]):(n.total=null,n.cumulative=null)}))}))},t.prototype.renderStackTotals=function(){var t=this.axis,e=t.chart,r=e.renderer,i=this.stacks;t=n(e,t.options.stackLabels.animation);var o=this.stackTotalGroup=this.stackTotalGroup||r.g("stack-labels").attr({visibility:"visible",zIndex:6,opacity:0}).add();o.translate(e.plotLeft,e.plotTop),s(i,(function(t){s(t,(function(t){t.render(o)}))})),o.animate({opacity:1},t)},t}();return function(){function t(){}return t.compose=function(e){r(e,"init",t.onInit),r(e,"destroy",t.onDestroy)},t.onDestroy=function(){var t=this.stacking;if(t){var e=t.stacks;s(e,(function(t,n){i(t),e[n]=null})),t&&t.stackTotalGroup&&t.stackTotalGroup.destroy()}},t.onInit=function(){this.stacking||(this.stacking=new l(this))},t}()})),e(n,"Mixins/LegendSymbol.js",[n["Core/Globals.js"],n["Core/Utilities.js"]],(function(t,e){var n=e.merge,r=e.pick;return t.LegendSymbolMixin={drawRectangle:function(t,e){var n=t.symbolHeight,i=t.options.squareSymbol;e.legendSymbol=this.chart.renderer.rect(i?(t.symbolWidth-n)/2:0,t.baseline-n+1,i?n:t.symbolWidth,n,r(t.options.symbolRadius,n/2)).addClass("highcharts-point").attr({zIndex:3}).add(e.legendGroup)},drawLineMarker:function(t){var e=this.options,i=e.marker,o=t.symbolWidth,s=t.symbolHeight,a=s/2,l=this.chart.renderer,c=this.legendGroup;t=t.baseline-Math.round(.3*t.fontMetrics.b);var u={};this.chart.styledMode||(u={"stroke-width":e.lineWidth||0},e.dashStyle&&(u.dashstyle=e.dashStyle)),this.legendLine=l.path([["M",0,t],["L",o,t]]).addClass("highcharts-graph").attr(u).add(c),i&&!1!==i.enabled&&o&&(e=Math.min(r(i.radius,a),a),0===this.symbol.indexOf("url")&&(i=n(i,{width:s,height:s}),e=0),this.legendSymbol=i=l.symbol(this.symbol,o/2-e,t-e,2*e,2*e,i).addClass("highcharts-point").add(c),i.isMarker=!0)}}})),e(n,"Core/Series/CartesianSeries.js",[n["Core/Animation/AnimationUtilities.js"],n["Core/Series/Series.js"],n["Core/Globals.js"],n["Mixins/LegendSymbol.js"],n["Core/Options.js"],n["Core/Series/Point.js"],n["Core/Renderer/SVG/SVGElement.js"],n["Core/Utilities.js"]],(function(t,e,n,r,i,o,s,a){var l=t.animObject,c=i.defaultOptions,u=a.addEvent,h=a.arrayMax,p=a.arrayMin,d=a.clamp,f=a.correctFloat,g=a.defined,m=a.erase,v=a.error,y=a.extend,b=a.find,_=a.fireEvent,x=a.getNestedProperty,w=a.isArray,S=a.isFunction,k=a.isNumber,C=a.isString,A=a.merge,O=a.objectEach,T=a.pick,E=a.removeEvent,P=a.splat,M=a.syncTimeout,L=e.seriesTypes,j=n.win;return t=e.seriesType("line",void 0,{lineWidth:2,allowPointSelect:!1,crisp:!0,showCheckbox:!1,animation:{duration:1e3},events:{},marker:{enabledThreshold:2,lineColor:"#ffffff",lineWidth:0,radius:4,states:{normal:{animation:!0},hover:{animation:{duration:50},enabled:!0,radiusPlus:2,lineWidthPlus:1},select:{fillColor:"#cccccc",lineColor:"#000000",lineWidth:2}}},point:{events:{}},dataLabels:{animation:{},align:"center",defer:!0,formatter:function(){var t=this.series.chart.numberFormatter;return"number"!=typeof this.y?"":t(this.y,-1)},padding:5,style:{fontSize:"11px",fontWeight:"bold",color:"contrast",textOutline:"1px contrast"},verticalAlign:"bottom",x:0,y:0},cropThreshold:300,opacity:1,pointRange:0,softThreshold:!0,states:{normal:{animation:!0},hover:{animation:{duration:50},lineWidthPlus:1,marker:{},halo:{size:10,opacity:.25}},select:{animation:{duration:0}},inactive:{animation:{duration:50},opacity:.2}},stickyTracking:!0,turboThreshold:1e3,findNearestPointBy:"x"},{axisTypes:["xAxis","yAxis"],coll:"series",colorCounter:0,cropShoulder:1,directTouch:!1,isCartesian:!0,parallelArrays:["x","y"],pointClass:o,requireSorting:!0,sorted:!0,init:function(t,e){_(this,"init",{options:e});var n,r=this,i=t.series;this.eventOptions=this.eventOptions||{},this.eventsToUnbind=[],r.chart=t,r.options=e=r.setOptions(e),r.linkedSeries=[],r.bindAxes(),y(r,{name:e.name,state:"",visible:!1!==e.visible,selected:!0===e.selected});var o=e.events;O(o,(function(t,e){S(t)&&r.eventOptions[e]!==t&&(S(r.eventOptions[e])&&E(r,e,r.eventOptions[e]),r.eventOptions[e]=t,u(r,e,t))})),(o&&o.click||e.point&&e.point.events&&e.point.events.click||e.allowPointSelect)&&(t.runTrackerClick=!0),r.getColor(),r.getSymbol(),r.parallelArrays.forEach((function(t){r[t+"Data"]||(r[t+"Data"]=[])})),r.isCartesian&&(t.hasCartesianSeries=!0),i.length&&(n=i[i.length-1]),r._i=T(n&&n._i,-1)+1,r.opacity=r.options.opacity,t.orderSeries(this.insert(i)),e.dataSorting&&e.dataSorting.enabled?r.setDataSortingOptions():r.points||r.data||r.setData(e.data,!1),_(this,"afterInit")},is:function(t){return L[t]&&this instanceof L[t]},insert:function(t){var e,n=this.options.index;if(k(n)){for(e=t.length;e--;)if(n>=T(t[e].options.index,t[e]._i)){t.splice(e+1,0,this);break}-1===e&&t.unshift(this),e+=1}else t.push(this);return T(e,t.length-1)},bindAxes:function(){var t,e=this,n=e.options,r=e.chart;_(this,"bindAxes",null,(function(){(e.axisTypes||[]).forEach((function(i){r[i].forEach((function(r){t=r.options,(n[i]===t.index||typeof n[i]<"u"&&n[i]===t.id||typeof n[i]>"u"&&0===t.index)&&(e.insert(r.series),e[i]=r,r.isDirty=!0)})),e[i]||e.optionalAxis===i||v(18,!0,r)}))})),_(this,"afterBindAxes")},updateParallelArrays:function(t,e){var n=t.series,r=arguments,i=k(e)?function(r){var i="y"===r&&n.toYData?n.toYData(t):t[r];n[r+"Data"][e]=i}:function(t){Array.prototype[e].apply(n[t+"Data"],Array.prototype.slice.call(r,2))};n.parallelArrays.forEach(i)},hasData:function(){return this.visible&&typeof this.dataMax<"u"&&typeof this.dataMin<"u"||this.visible&&this.yData&&0<this.yData.length},autoIncrement:function(){var t,e=this.options,n=this.xIncrement,r=e.pointIntervalUnit,i=this.chart.time;return n=T(n,e.pointStart,0),this.pointInterval=t=T(this.pointInterval,e.pointInterval,1),r&&(e=new i.Date(n),"day"===r?i.set("Date",e,i.get("Date",e)+t):"month"===r?i.set("Month",e,i.get("Month",e)+t):"year"===r&&i.set("FullYear",e,i.get("FullYear",e)+t),t=e.getTime()-n),this.xIncrement=n+t,n},setDataSortingOptions:function(){var t=this.options;y(this,{requireSorting:!1,sorted:!1,enabledDataSorting:!0,allowDG:!1}),g(t.pointRange)||(t.pointRange=1)},setOptions:function(t){var e=this.chart,n=e.options,r=n.plotOptions,i=e.userOptions||{};t=A(t),e=e.styledMode;var o={plotOptions:r,userOptions:t};_(this,"setOptions",o);var s=o.plotOptions[this.type],a=i.plotOptions||{};return this.userOptions=o.userOptions,i=A(s,r.series,i.plotOptions&&i.plotOptions[this.type],t),this.tooltipOptions=A(c.tooltip,c.plotOptions.series&&c.plotOptions.series.tooltip,c.plotOptions[this.type].tooltip,n.tooltip.userOptions,r.series&&r.series.tooltip,r[this.type].tooltip,t.tooltip),this.stickyTracking=T(t.stickyTracking,a[this.type]&&a[this.type].stickyTracking,a.series&&a.series.stickyTracking,!(!this.tooltipOptions.shared||this.noSharedTooltip)||i.stickyTracking),null===s.marker&&delete i.marker,this.zoneAxis=i.zoneAxis,n=this.zones=(i.zones||[]).slice(),!i.negativeColor&&!i.negativeFillColor||i.zones||(r={value:i[this.zoneAxis+"Threshold"]||i.threshold||0,className:"highcharts-negative"},e||(r.color=i.negativeColor,r.fillColor=i.negativeFillColor),n.push(r)),n.length&&g(n[n.length-1].value)&&n.push(e?{}:{color:this.color,fillColor:this.fillColor}),_(this,"afterSetOptions",{options:i}),i},getName:function(){return T(this.options.name,"Series "+(this.index+1))},getCyclic:function(t,e,n){var r=this.chart,i=this.userOptions,o=t+"Index",s=t+"Counter",a=n?n.length:T(r.options.chart[t+"Count"],r[t+"Count"]);if(!e){var l=T(i[o],i["_"+o]);g(l)||(r.series.length||(r[s]=0),i["_"+o]=l=r[s]%a,r[s]+=1),n&&(e=n[l])}typeof l<"u"&&(this[o]=l),this[t]=e},getColor:function(){this.chart.styledMode?this.getCyclic("color"):this.options.colorByPoint?this.options.color=null:this.getCyclic("color",this.options.color||c.plotOptions[this.type].color,this.chart.options.colors)},getPointsCollection:function(){return(this.hasGroupedData?this.points:this.data)||[]},getSymbol:function(){this.getCyclic("symbol",this.options.marker.symbol,this.chart.options.symbols)},findPointIndex:function(t,e){var n,r=t.id,i=t.x,o=this.points,s=this.options.dataSorting;if(r)var a=this.chart.get(r);else if(this.linkedParent||this.enabledDataSorting){var l=s&&s.matchByName?"name":"index";if(!(a=b(o,(function(e){return!e.touched&&e[l]===t[l]}))))return}if(a){var c=a&&a.index;typeof c<"u"&&(n=!0)}return typeof c>"u"&&k(i)&&(c=this.xData.indexOf(i,e)),-1!==c&&typeof c<"u"&&this.cropped&&(c=c>=this.cropStart?c-this.cropStart:c),!n&&o[c]&&o[c].touched&&(c=void 0),c},drawLegendSymbol:r.drawLineMarker,updateData:function(t,e){var n,r,i,o=this.options,s=o.dataSorting,a=this.points,l=[],c=this.requireSorting,u=t.length===a.length,p=!0;if(this.xIncrement=null,t.forEach((function(t,e){var r=g(t)&&this.pointClass.prototype.optionsToObject.call({series:this},t)||{},h=r.x;r.id||k(h)?(-1===(h=this.findPointIndex(r,i))||typeof h>"u"?l.push(t):a[h]&&t!==o.data[h]?(a[h].update(t,!1,null,!1),a[h].touched=!0,c&&(i=h+1)):a[h]&&(a[h].touched=!0),(!u||e!==h||s&&s.enabled||this.hasDerivedData)&&(n=!0)):l.push(t)}),this),n)for(t=a.length;t--;)(r=a[t])&&!r.touched&&r.remove&&r.remove(!1,e);else!u||s&&s.enabled?p=!1:(t.forEach((function(t,e){a[e].update&&t!==a[e].y&&a[e].update(t,!1,null,!1)})),l.length=0);return a.forEach((function(t){t&&(t.touched=!1)})),!!p&&(l.forEach((function(t){this.addPoint(t,!1,null,null,!1)}),this),null===this.xIncrement&&this.xData&&this.xData.length&&(this.xIncrement=h(this.xData),this.autoIncrement()),!0)},setData:function(t,e,n,r){var i,o=this,s=o.points,a=s&&s.length||0,l=o.options,c=o.chart,u=l.dataSorting,h=null,p=o.xAxis;h=l.turboThreshold;var d,f=this.xData,g=this.yData,m=(i=o.pointArrayMap)&&i.length,y=l.keys,b=0,_=1;if(i=(t=t||[]).length,e=T(e,!0),u&&u.enabled&&(t=this.sortData(t)),!1!==r&&i&&a&&!o.cropped&&!o.hasGroupedData&&o.visible&&!o.isSeriesBoosting&&(d=this.updateData(t,n)),!d){if(o.xIncrement=null,o.colorCounter=0,this.parallelArrays.forEach((function(t){o[t+"Data"].length=0})),h&&i>h)if(h=o.getFirstValidPoint(t),k(h))for(n=0;n<i;n++)f[n]=this.autoIncrement(),g[n]=t[n];else if(w(h))if(m)for(n=0;n<i;n++)r=t[n],f[n]=r[0],g[n]=r.slice(1,m+1);else for(y&&(b=0<=(b=y.indexOf("x"))?b:0,_=0<=(_=y.indexOf("y"))?_:1),n=0;n<i;n++)r=t[n],f[n]=r[b],g[n]=r[_];else v(12,!1,c);else for(n=0;n<i;n++)typeof t[n]<"u"&&(r={series:o},o.pointClass.prototype.applyOptions.apply(r,[t[n]]),o.updateParallelArrays(r,n));for(g&&C(g[0])&&v(14,!0,c),o.data=[],o.options.data=o.userOptions.data=t,n=a;n--;)s[n]&&s[n].destroy&&s[n].destroy();p&&(p.minRange=p.userMinRange),o.isDirty=c.isDirtyBox=!0,o.isDirtyData=!!s,n=!1}"point"===l.legendType&&(this.processData(),this.generatePoints()),e&&c.redraw(n)},sortData:function(t){var e=this,n=e.options.dataSorting.sortKey||"y",r=function(t,e){return g(e)&&t.pointClass.prototype.optionsToObject.call({series:t},e)||{}};return t.forEach((function(n,i){t[i]=r(e,n),t[i].index=i}),this),t.concat().sort((function(t,e){return t=x(n,t),(e=x(n,e))<t?-1:e>t?1:0})).forEach((function(t,e){t.x=e}),this),e.linkedSeries&&e.linkedSeries.forEach((function(e){var n=e.options,i=n.data;n.dataSorting&&n.dataSorting.enabled||!i||(i.forEach((function(n,o){i[o]=r(e,n),t[o]&&(i[o].x=t[o].x,i[o].index=o)})),e.setData(i,!1))})),t},getProcessedData:function(t){var e=this.xData,n=this.yData,r=e.length,i=0,o=this.xAxis,s=this.options,a=s.cropThreshold,l=t||this.getExtremesFromAll||s.getExtremesFromAll,c=this.isCartesian;t=o&&o.val2lin,s=!(!o||!o.logarithmic);var u=this.requireSorting;if(o)var h=(o=o.getExtremes()).min,p=o.max;if(c&&this.sorted&&!l&&(!a||r>a||this.forceCrop))if(e[r-1]<h||e[0]>p)e=[],n=[];else if(this.yData&&(e[0]<h||e[r-1]>p)){e=(i=this.cropData(this.xData,this.yData,h,p)).xData,n=i.yData,i=i.start;var d=!0}for(a=e.length||1;--a;)if(0<(r=s?t(e[a])-t(e[a-1]):e[a]-e[a-1])&&(typeof f>"u"||r<f))var f=r;else 0>r&&u&&(v(15,!1,this.chart),u=!1);return{xData:e,yData:n,cropped:d,cropStart:i,closestPointRange:f}},processData:function(t){var e=this.xAxis;if(this.isCartesian&&!this.isDirty&&!e.isDirty&&!this.yAxis.isDirty&&!t)return!1;t=this.getProcessedData(),this.cropped=t.cropped,this.cropStart=t.cropStart,this.processedXData=t.xData,this.processedYData=t.yData,this.closestPointRange=this.basePointRange=t.closestPointRange},cropData:function(t,e,n,r,i){var o,s=t.length,a=0,l=s;for(i=T(i,this.cropShoulder),o=0;o<s;o++)if(t[o]>=n){a=Math.max(0,o-i);break}for(n=o;n<s;n++)if(t[n]>r){l=n+i;break}return{xData:t.slice(a,l),yData:e.slice(a,l),start:a,end:l}},generatePoints:function(){var t,e=this.options,n=e.data,r=this.data,i=this.processedXData,o=this.processedYData,s=this.pointClass,a=i.length,l=this.cropStart||0,c=this.hasGroupedData;e=e.keys;var u,h=[];for(r||c||((r=[]).length=n.length,r=this.data=r),e&&c&&(this.options.keys=!1),u=0;u<a;u++){var p=l+u;if(c){var d=(new s).init(this,[i[u]].concat(P(o[u])));d.dataGroup=this.groupMap[u],d.dataGroup.options&&(d.options=d.dataGroup.options,y(d,d.dataGroup.options),delete d.dataLabels)}else(d=r[p])||typeof n[p]>"u"||(r[p]=d=(new s).init(this,n[p],i[u]));d&&(d.index=p,h[u]=d)}if(this.options.keys=e,r&&(a!==(t=r.length)||c))for(u=0;u<t;u++)u!==l||c||(u+=a),r[u]&&(r[u].destroyElements(),r[u].plotX=void 0);this.data=r,this.points=h,_(this,"afterGeneratePoints")},getXExtremes:function(t){return{min:p(t),max:h(t)}},getExtremes:function(t,e){var n,r=this.xAxis,i=this.yAxis,o=this.processedXData||this.xData,s=[],a=0,l=0,c=0,u=this.requireSorting?this.cropShoulder:0,d=!!i&&i.positiveValuesOnly;for(i=(t=t||this.stackedYData||this.processedYData||[]).length,r&&(l=(c=r.getExtremes()).min,c=c.max),n=0;n<i;n++){var f=o[n],g=t[n],m=(k(g)||w(g))&&(g.length||0<g||!d);if(f=e||this.getExtremesFromAll||this.options.getExtremesFromAll||this.cropped||!r||(o[n+u]||f)>=l&&(o[n-u]||f)<=c,m&&f)if(m=g.length)for(;m--;)k(g[m])&&(s[a++]=g[m]);else s[a++]=g}return t={dataMin:p(s),dataMax:h(s)},_(this,"afterGetExtremes",{dataExtremes:t}),t},applyExtremes:function(){var t=this.getExtremes();return this.dataMin=t.dataMin,this.dataMax=t.dataMax,t},getFirstValidPoint:function(t){for(var e=null,n=t.length,r=0;null===e&&r<n;)e=t[r],r++;return e},translate:function(){this.processedXData||this.processData(),this.generatePoints();var t,e,n=this.options,r=n.stacking,i=this.xAxis,o=i.categories,s=this.enabledDataSorting,a=this.yAxis,l=this.points,c=l.length,u=!!this.modifyValue,h=this.pointPlacementToXValue(),p=!!h,m=n.threshold,v=n.startFromThreshold?m:0,y=this.zoneAxis||"y",b=Number.MAX_VALUE;for(t=0;t<c;t++){var x=l[t],S=x.x,C=x.y,A=x.low,O=r&&a.stacking&&a.stacking.stacks[(this.negStacks&&C<(v?0:m)?"-":"")+this.stackKey];if((a.positiveValuesOnly&&!a.validatePositiveValue(C)||i.positiveValuesOnly&&!i.validatePositiveValue(S))&&(x.isNull=!0),x.plotX=e=f(d(i.translate(S,0,0,0,1,h,"flags"===this.type),-1e5,1e5)),r&&this.visible&&O&&O[S]){var E=this.getStackIndicator(E,S,this.index);if(!x.isNull)var P=O[S],M=P.points[E.key]}if(w(M)&&(A=M[0],C=M[1],A===v&&E.key===O[S].base&&(A=T(k(m)&&m,a.min)),a.positiveValuesOnly&&0>=A&&(A=null),x.total=x.stackTotal=P.total,x.percentage=P.total&&x.y/P.total*100,x.stackY=C,this.irregularWidths||P.setOffset(this.pointXOffset||0,this.barW||0)),x.yBottom=g(A)?d(a.translate(A,0,1,0,1),-1e5,1e5):null,u&&(C=this.modifyValue(C,x)),x.plotY="number"==typeof C&&C!==1/0?d(a.translate(C,0,1,0,1),-1e5,1e5):void 0,x.isInside=this.isPointInside(x),x.clientX=p?f(i.translate(S,0,0,0,1,h)):e,x.negative=x[y]<(n[y+"Threshold"]||m||0),x.category=o&&typeof o[x.x]<"u"?o[x.x]:x.x,!x.isNull&&!1!==x.visible){typeof L<"u"&&(b=Math.min(b,Math.abs(e-L)));var L=e}x.zone=this.zones.length&&x.getZone(),!x.graphic&&this.group&&s&&(x.isNew=!0)}this.closestPointRangePx=b,_(this,"afterTranslate")},getValidPoints:function(t,e,n){var r=this.chart;return(t||this.points||[]).filter((function(t){return!(e&&!r.isInsidePlot(t.plotX,t.plotY,r.inverted))&&!1!==t.visible&&(n||!t.isNull)}))},getClipBox:function(t,e){var n=this.options,r=this.chart,i=r.inverted,o=this.xAxis,s=o&&this.yAxis,a=r.options.chart.scrollablePlotArea||{};return t&&!1===n.clip&&s?t=i?{y:-r.chartWidth+s.len+s.pos,height:r.chartWidth,width:r.chartHeight,x:-r.chartHeight+o.len+o.pos}:{y:-s.pos,height:r.chartHeight,width:r.chartWidth,x:-o.pos}:(t=this.clipBox||r.clipBox,e&&(t.width=r.plotSizeX,t.x=(r.scrollablePixelsX||0)*(a.scrollPositionX||0))),e?{width:t.width,x:t.x}:t},setClip:function(t){var e=this.chart,n=this.options,r=e.renderer,i=e.inverted,o=this.clipBox,s=this.getClipBox(t),a=this.sharedClipKey||["_sharedClip",t&&t.duration,t&&t.easing,s.height,n.xAxis,n.yAxis].join(),l=e[a],c=e[a+"m"];t&&(s.width=0,i&&(s.x=e.plotHeight+(!1!==n.clip?0:e.plotTop))),l?e.hasLoaded||l.attr(s):(t&&(e[a+"m"]=c=r.clipRect(i?e.plotSizeX+99:-99,i?-e.plotLeft:-e.plotTop,99,i?e.chartWidth:e.chartHeight)),e[a]=l=r.clipRect(s),l.count={length:0}),t&&!l.count[this.index]&&(l.count[this.index]=!0,l.count.length+=1),(!1!==n.clip||t)&&(this.group.clip(t||o?l:e.clipRect),this.markerGroup.clip(c),this.sharedClipKey=a),t||(l.count[this.index]&&(delete l.count[this.index],--l.count.length),0===l.count.length&&a&&e[a]&&(o||(e[a]=e[a].destroy()),e[a+"m"]&&(e[a+"m"]=e[a+"m"].destroy())))},animate:function(t){var e=this.chart,n=l(this.options.animation);if(!e.hasRendered)if(t)this.setClip(n);else{var r=this.sharedClipKey;t=e[r];var i=this.getClipBox(n,!0);t&&t.animate(i,n),e[r+"m"]&&e[r+"m"].animate({width:i.width+99,x:i.x-(e.inverted?0:99)},n)}},afterAnimate:function(){this.setClip(),_(this,"afterAnimate"),this.finishedAnimating=!0},drawPoints:function(){var t,e,n=this.points,r=this.chart,i=this.options.marker,o=this[this.specialGroup]||this.markerGroup,s=this.xAxis,a=T(i.enabled,!(s&&!s.isRadial)||null,this.closestPointRangePx>=i.enabledThreshold*i.radius);if(!1!==i.enabled||this._hasPointMarkers)for(t=0;t<n.length;t++){var l=n[t],c=(e=l.graphic)?"animate":"attr",u=l.marker||{},h=!!l.marker;if((a&&typeof u.enabled>"u"||u.enabled)&&!l.isNull&&!1!==l.visible){var p=T(u.symbol,this.symbol),d=this.markerAttribs(l,l.selected&&"select");this.enabledDataSorting&&(l.startXPos=s.reversed?-d.width:s.width);var f=!1!==l.isInside;e?e[f?"show":"hide"](f).animate(d):f&&(0<d.width||l.hasImage)&&(l.graphic=e=r.renderer.symbol(p,d.x,d.y,d.width,d.height,h?u:i).add(o),this.enabledDataSorting&&r.hasRendered&&(e.attr({x:l.startXPos}),c="animate")),e&&"animate"===c&&e[f?"show":"hide"](f).animate(d),e&&!r.styledMode&&e[c](this.pointAttribs(l,l.selected&&"select")),e&&e.addClass(l.getClassName(),!0)}else e&&(l.graphic=e.destroy())}},markerAttribs:function(t,e){var n=this.options,r=n.marker,i=t.marker||{},o=i.symbol||r.symbol,s=T(i.radius,r.radius);return e&&(r=r.states[e],e=i.states&&i.states[e],s=T(e&&e.radius,r&&r.radius,s+(r&&r.radiusPlus||0))),t.hasImage=o&&0===o.indexOf("url"),t.hasImage&&(s=0),t={x:n.crisp?Math.floor(t.plotX)-s:t.plotX-s,y:t.plotY-s},s&&(t.width=t.height=2*s),t},pointAttribs:function(t,e){var n=this.options.marker,r=t&&t.options,i=r&&r.marker||{},o=this.color,s=r&&r.color,a=t&&t.color;r=T(i.lineWidth,n.lineWidth);var l=t&&t.zone&&t.zone.color;return t=1,o=s||l||a||o,s=i.fillColor||n.fillColor||o,o=i.lineColor||n.lineColor||o,e=e||"normal",n=n.states[e],e=i.states&&i.states[e]||{},r=T(e.lineWidth,n.lineWidth,r+T(e.lineWidthPlus,n.lineWidthPlus,0)),s=e.fillColor||n.fillColor||s,{stroke:o=e.lineColor||n.lineColor||o,"stroke-width":r,fill:s,opacity:t=T(e.opacity,n.opacity,t)}},destroy:function(t){var e,n,r,i=this,o=i.chart,l=/AppleWebKit\/533/.test(j.navigator.userAgent),c=i.data||[];for(_(i,"destroy"),this.removeEvents(t),(i.axisTypes||[]).forEach((function(t){(r=i[t])&&r.series&&(m(r.series,i),r.isDirty=r.forceRedraw=!0)})),i.legendItem&&i.chart.legend.destroyItem(i),e=c.length;e--;)(n=c[e])&&n.destroy&&n.destroy();i.points=null,a.clearTimeout(i.animationTimeout),O(i,(function(t,e){t instanceof s&&!t.survive&&t[l&&"group"===e?"hide":"destroy"]()})),o.hoverSeries===i&&(o.hoverSeries=null),m(o.series,i),o.orderSeries(),O(i,(function(e,n){t&&"hcEvents"===n||delete i[n]}))},getGraphPath:function(t,e,n){var r,i,o=this,s=o.options,a=s.step,l=[],c=[];return(r=(t=t||o.points).reversed)&&t.reverse(),(a={right:1,center:2}[a]||a&&3)&&r&&(a=4-a),(t=this.getValidPoints(t,!1,!(s.connectNulls&&!e&&!n))).forEach((function(r,u){var h=r.plotX,p=r.plotY,d=t[u-1];(r.leftCliff||d&&d.rightCliff)&&!n&&(i=!0),r.isNull&&!g(e)&&0<u?i=!s.connectNulls:r.isNull&&!e?i=!0:(0===u||i?u=[["M",r.plotX,r.plotY]]:o.getPointSpline?u=[o.getPointSpline(t,r,u)]:a?(u=1===a?[["L",d.plotX,p]]:2===a?[["L",(d.plotX+h)/2,d.plotY],["L",(d.plotX+h)/2,p]]:[["L",h,d.plotY]]).push(["L",h,p]):u=[["L",h,p]],c.push(r.x),a&&(c.push(r.x),2===a&&c.push(r.x)),l.push.apply(l,u),i=!1)})),l.xMap=c,o.graphPath=l},drawGraph:function(){var t=this,e=this.options,n=(this.gappedPath||this.getGraphPath).call(this),r=this.chart.styledMode,i=[["graph","highcharts-graph"]];r||i[0].push(e.lineColor||this.color||"#cccccc",e.dashStyle),(i=t.getZonesGraphs(i)).forEach((function(i,o){var s=i[0],a=t[s],l=a?"animate":"attr";a?(a.endX=t.preventGraphAnimation?null:n.xMap,a.animate({d:n})):n.length&&(t[s]=a=t.chart.renderer.path(n).addClass(i[1]).attr({zIndex:1}).add(t.group)),a&&!r&&(s={stroke:i[2],"stroke-width":e.lineWidth,fill:t.fillGraph&&t.color||"none"},i[3]?s.dashstyle=i[3]:"square"!==e.linecap&&(s["stroke-linecap"]=s["stroke-linejoin"]="round"),a[l](s).shadow(2>o&&e.shadow)),a&&(a.startX=n.xMap,a.isArea=n.isArea)}))},getZonesGraphs:function(t){return this.zones.forEach((function(e,n){n=["zone-graph-"+n,"highcharts-graph highcharts-zone-graph-"+n+" "+(e.className||"")],this.chart.styledMode||n.push(e.color||this.color,e.dashStyle||this.options.dashStyle),t.push(n)}),this),t},applyZones:function(){var t,e,n,r,i,o,s,a,l=this,c=this.chart,u=c.renderer,h=this.zones,p=this.clips||[],f=this.graph,g=this.area,m=Math.max(c.chartWidth,c.chartHeight),v=this[(this.zoneAxis||"y")+"Axis"],y=c.inverted,b=!1;if(h.length&&(f||g)&&v&&typeof v.min<"u"){var _=v.reversed,x=v.horiz;f&&!this.showLine&&f.hide(),g&&g.hide();var w=v.getExtremes();h.forEach((function(h,S){t=_?x?c.plotWidth:0:x?0:v.toPixels(w.min)||0,t=d(T(e,t),0,m),e=d(Math.round(v.toPixels(T(h.value,w.max),!0)||0),0,m),b&&(t=e=v.toPixels(w.max)),r=Math.abs(t-e),i=Math.min(t,e),o=Math.max(t,e),v.isXAxis?(n={x:y?o:i,y:0,width:r,height:m},x||(n.x=c.plotHeight-n.x)):(n={x:0,y:y?o:i,width:m,height:r},x&&(n.y=c.plotWidth-n.y)),y&&u.isVML&&(n=v.isXAxis?{x:0,y:_?i:o,height:n.width,width:c.chartWidth}:{x:n.y-c.plotLeft-c.spacingBox.x,y:0,width:n.height,height:c.chartHeight}),p[S]?p[S].animate(n):p[S]=u.clipRect(n),s=l["zone-area-"+S],a=l["zone-graph-"+S],f&&a&&a.clip(p[S]),g&&s&&s.clip(p[S]),b=h.value>w.max,l.resetZones&&0===e&&(e=void 0)})),this.clips=p}else l.visible&&(f&&f.show(!0),g&&g.show(!0))},invertGroups:function(t){function e(){["group","markerGroup"].forEach((function(e){n[e]&&(r.renderer.isVML&&n[e].attr({width:n.yAxis.len,height:n.xAxis.len}),n[e].width=n.yAxis.len,n[e].height=n.xAxis.len,n[e].invert(!n.isRadialSeries&&t))}))}var n=this,r=n.chart;n.xAxis&&(n.eventsToUnbind.push(u(r,"resize",e)),e(),n.invertGroups=e)},plotGroup:function(t,e,n,r,i){var o=this[t],s=!o;return n={visibility:n,zIndex:r||.1},typeof this.opacity>"u"||this.chart.styledMode||"inactive"===this.state||(n.opacity=this.opacity),s&&(this[t]=o=this.chart.renderer.g().add(i)),o.addClass("highcharts-"+e+" highcharts-series-"+this.index+" highcharts-"+this.type+"-series "+(g(this.colorIndex)?"highcharts-color-"+this.colorIndex+" ":"")+(this.options.className||"")+(o.hasClass("highcharts-tracker")?" highcharts-tracker":""),!0),o.attr(n)[s?"attr":"animate"](this.getPlotBox()),o},getPlotBox:function(){var t=this.chart,e=this.xAxis,n=this.yAxis;return t.inverted&&(e=n,n=this.xAxis),{translateX:e?e.left:t.plotLeft,translateY:n?n.top:t.plotTop,scaleX:1,scaleY:1}},removeEvents:function(t){t?this.eventsToUnbind.length&&(this.eventsToUnbind.forEach((function(t){t()})),this.eventsToUnbind.length=0):E(this)},render:function(){var t=this,e=t.chart,n=t.options,r=l(n.animation),i=!t.finishedAnimating&&e.renderer.isSVG&&r.duration,o=t.visible?"inherit":"hidden",s=n.zIndex,a=t.hasRendered,c=e.seriesGroup,u=e.inverted;_(this,"render");var h=t.plotGroup("group","series",o,s,c);t.markerGroup=t.plotGroup("markerGroup","markers",o,s,c),i&&t.animate&&t.animate(!0),h.inverted=!(!t.isCartesian&&!t.invertable)&&u,t.drawGraph&&(t.drawGraph(),t.applyZones()),t.visible&&t.drawPoints(),t.drawDataLabels&&t.drawDataLabels(),t.redrawPoints&&t.redrawPoints(),t.drawTracker&&!1!==t.options.enableMouseTracking&&t.drawTracker(),t.invertGroups(u),!1===n.clip||t.sharedClipKey||a||h.clip(e.clipRect),i&&t.animate&&t.animate(),a||(i&&r.defer&&(i+=r.defer),t.animationTimeout=M((function(){t.afterAnimate()}),i||0)),t.isDirty=!1,t.hasRendered=!0,_(t,"afterRender")},redraw:function(){var t=this.chart,e=this.isDirty||this.isDirtyData,n=this.group,r=this.xAxis,i=this.yAxis;n&&(t.inverted&&n.attr({width:t.plotWidth,height:t.plotHeight}),n.animate({translateX:T(r&&r.left,t.plotLeft),translateY:T(i&&i.top,t.plotTop)})),this.translate(),this.render(),e&&delete this.kdTree},kdAxisArray:["clientX","plotY"],searchPoint:function(t,e){var n=this.xAxis,r=this.yAxis,i=this.chart.inverted;return this.searchKDTree({clientX:i?n.len-t.chartY+n.pos:t.chartX-n.pos,plotY:i?r.len-t.chartX+r.pos:t.chartY-r.pos},e,t)},buildKDTree:function(t){function e(t,r,i){var o;if(o=t&&t.length){var s=n.kdAxisArray[r%i];return t.sort((function(t,e){return t[s]-e[s]})),{point:t[o=Math.floor(o/2)],left:e(t.slice(0,o),r+1,i),right:e(t.slice(o+1),r+1,i)}}}this.buildingKdTree=!0;var n=this,r=-1<n.options.findNearestPointBy.indexOf("y")?2:1;delete n.kdTree,M((function(){n.kdTree=e(n.getValidPoints(null,!n.directTouch),r,r),n.buildingKdTree=!1}),n.options.kdNow||t&&"touchstart"===t.type?0:1)},searchKDTree:function(t,e,n){var r=this,i=this.kdAxisArray[0],o=this.kdAxisArray[1],s=e?"distX":"dist";if(e=-1<r.options.findNearestPointBy.indexOf("y")?2:1,this.kdTree||this.buildingKdTree||this.buildKDTree(n),this.kdTree)return function t(e,n,a,l){var c=n.point,u=r.kdAxisArray[a%l],h=c,p=g(e[i])&&g(c[i])?Math.pow(e[i]-c[i],2):null,d=g(e[o])&&g(c[o])?Math.pow(e[o]-c[o],2):null;return d=(p||0)+(d||0),c.dist=g(d)?Math.sqrt(d):Number.MAX_VALUE,c.distX=g(p)?Math.sqrt(p):Number.MAX_VALUE,p=0>(u=e[u]-c[u])?"right":"left",n[d=0>u?"left":"right"]&&(h=(d=t(e,n[d],a+1,l))[s]<h[s]?d:c),n[p]&&Math.sqrt(u*u)<h[s]&&(h=(e=t(e,n[p],a+1,l))[s]<h[s]?e:h),h}(t,this.kdTree,e,e)},pointPlacementToXValue:function(){var t=this.options,e=t.pointRange,n=this.xAxis;return"between"===(t=t.pointPlacement)&&(t=n.reversed?-.5:.5),k(t)?t*T(e,n.pointRange):0},isPointInside:function(t){return typeof t.plotY<"u"&&typeof t.plotX<"u"&&0<=t.plotY&&t.plotY<=this.yAxis.len&&0<=t.plotX&&t.plotX<=this.xAxis.len}}),t})),e(n,"Series/LineSeries.js",[n["Core/Series/CartesianSeries.js"],n["Core/Globals.js"]],(function(t,e){return e.Series=t,e.Series})),e(n,"Extensions/Stacking.js",[n["Core/Axis/Axis.js"],n["Core/Chart/Chart.js"],n["Core/Globals.js"],n["Core/Axis/StackingAxis.js"],n["Core/Utilities.js"]],(function(t,e,n,r,i){var o=i.correctFloat,s=i.defined,a=i.destroyObjectProperties,l=i.format,c=i.isNumber,u=i.pick,h=n.Series,p=function(){function t(t,e,n,r,i){var o=t.chart.inverted;this.axis=t,this.isNegative=n,this.options=e=e||{},this.x=r,this.total=null,this.points={},this.hasValidPoints=!1,this.stack=i,this.rightCliff=this.leftCliff=0,this.alignOptions={align:e.align||(o?n?"left":"right":"center"),verticalAlign:e.verticalAlign||(o?"middle":n?"bottom":"top"),y:e.y,x:e.x},this.textAlign=e.textAlign||(o?n?"right":"left":"center")}return t.prototype.destroy=function(){a(this,this.axis)},t.prototype.render=function(t){var e=this.axis.chart,n=this.options,r=n.format;r=r?l(r,this,e):n.formatter.call(this),this.label?this.label.attr({text:r,visibility:"hidden"}):(this.label=e.renderer.label(r,null,null,n.shape,null,null,n.useHTML,!1,"stack-labels"),r={r:n.borderRadius||0,text:r,rotation:n.rotation,padding:u(n.padding,5),visibility:"hidden"},e.styledMode||(r.fill=n.backgroundColor,r.stroke=n.borderColor,r["stroke-width"]=n.borderWidth,this.label.css(n.style)),this.label.attr(r),this.label.added||this.label.add(t)),this.label.labelrank=e.plotHeight},t.prototype.setOffset=function(t,e,n,r,i){var o=this.axis,a=o.chart;r=o.translate(o.stacking.usePercentage?100:r||this.total,0,0,0,1),n=o.translate(n||0),n=s(r)&&Math.abs(r-n),t=u(i,a.xAxis[0].translate(this.x))+t,o=s(r)&&this.getStackBox(a,this,t,r,e,n,o),e=this.label,n=this.isNegative,t="justify"===u(this.options.overflow,"justify");var l=this.textAlign;e&&o&&(i=e.getBBox(),r=e.padding,l="left"===l?a.inverted?-r:r:"right"===l?i.width:a.inverted&&"center"===l?i.width/2:a.inverted?n?i.width+r:-r:i.width/2,n=a.inverted?i.height/2:n?-r:i.height,this.alignOptions.x=u(this.options.x,0),this.alignOptions.y=u(this.options.y,0),o.x-=l,o.y-=n,e.align(this.alignOptions,null,o),a.isInsidePlot(e.alignAttr.x+l-this.alignOptions.x,e.alignAttr.y+n-this.alignOptions.y)?e.show():(e.alignAttr.y=-9999,t=!1),t&&h.prototype.justifyDataLabel.call(this.axis,e,this.alignOptions,e.alignAttr,i,o),e.attr({x:e.alignAttr.x,y:e.alignAttr.y}),u(!t&&this.options.crop,!0)&&((a=c(e.x)&&c(e.y)&&a.isInsidePlot(e.x-r+e.width,e.y)&&a.isInsidePlot(e.x+r,e.y))||e.hide()))},t.prototype.getStackBox=function(t,e,n,r,i,o,s){var a=e.axis.reversed,l=t.inverted,c=s.height+s.pos-(l?t.plotLeft:t.plotTop);return e=e.isNegative&&!a||!e.isNegative&&a,{x:l?e?r-s.right:r-o+s.pos-t.plotLeft:n+t.xAxis[0].transB-t.plotLeft,y:l?s.height-n-i:e?c-r-o:c-r,width:l?o:i,height:l?i:o}},t}();return e.prototype.getStacks=function(){var t=this,e=t.inverted;t.yAxis.forEach((function(t){t.stacking&&t.stacking.stacks&&t.hasVisibleSeries&&(t.stacking.oldStacks=t.stacking.stacks)})),t.series.forEach((function(n){var r=n.xAxis&&n.xAxis.options||{};!n.options.stacking||!0!==n.visible&&!1!==t.options.chart.ignoreHiddenSeries||(n.stackKey=[n.type,u(n.options.stack,""),e?r.top:r.left,e?r.height:r.width].join())}))},r.compose(t),h.prototype.setGroupedPoints=function(){this.options.centerInCategory&&(this.is("column")||this.is("columnrange"))&&!this.options.stacking&&1<this.chart.series.length&&h.prototype.setStackedPoints.call(this,"group")},h.prototype.setStackedPoints=function(t){var e=t||this.options.stacking;if(e&&(!0===this.visible||!1===this.chart.options.chart.ignoreHiddenSeries)){var n=this.processedXData,r=this.processedYData,i=[],a=r.length,l=this.options,c=l.threshold,h=u(l.startFromThreshold&&c,0);l=l.stack;var d,f,g="-"+(t=t?this.type+","+e:this.stackKey),m=this.negStacks,v=this.yAxis,y=v.stacking.stacks,b=v.stacking.oldStacks;for(v.stacking.stacksTouched+=1,f=0;f<a;f++){var _=n[f],x=r[f],w=this.getStackIndicator(w,_,this.index),S=w.key,k=(d=m&&x<(h?0:c))?g:t;y[k]||(y[k]={}),y[k][_]||(b[k]&&b[k][_]?(y[k][_]=b[k][_],y[k][_].total=null):y[k][_]=new p(v,v.options.stackLabels,d,_,l)),k=y[k][_],null!==x?(k.points[S]=k.points[this.index]=[u(k.cumulative,h)],s(k.cumulative)||(k.base=S),k.touched=v.stacking.stacksTouched,0<w.index&&!1===this.singleStacks&&(k.points[S][0]=k.points[this.index+","+_+",0"][0])):k.points[S]=k.points[this.index]=null,"percent"===e?(d=d?t:g,m&&y[d]&&y[d][_]?(d=y[d][_],k.total=d.total=Math.max(d.total,k.total)+Math.abs(x)||0):k.total=o(k.total+(Math.abs(x)||0))):"group"===e?null!==x&&(k.total=(k.total||0)+1):k.total=o(k.total+(x||0)),k.cumulative="group"===e?(k.total||1)-1:u(k.cumulative,h)+(x||0),null!==x&&(k.points[S].push(k.cumulative),i[f]=k.cumulative,k.hasValidPoints=!0)}"percent"===e&&(v.stacking.usePercentage=!0),"group"!==e&&(this.stackedYData=i),v.stacking.oldStacks={}}},h.prototype.modifyStacks=function(){var t,e=this,n=e.stackKey,r=e.yAxis.stacking.stacks,i=e.processedXData,o=e.options.stacking;e[o+"Stacker"]&&[n,"-"+n].forEach((function(n){for(var s,a,l=i.length;l--;)s=i[l],t=e.getStackIndicator(t,s,e.index,n),(a=(s=r[n]&&r[n][s])&&s.points[t.key])&&e[o+"Stacker"](a,s,l)}))},h.prototype.percentStacker=function(t,e,n){e=e.total?100/e.total:0,t[0]=o(t[0]*e),t[1]=o(t[1]*e),this.stackedYData[n]=t[1]},h.prototype.getStackIndicator=function(t,e,n,r){return!s(t)||t.x!==e||r&&t.key!==r?t={x:e,index:0,key:r}:t.index++,t.key=[n,e,t.index].join(),t},n.StackItem=p,n.StackItem})),e(n,"Core/Dynamics.js",[n["Core/Animation/AnimationUtilities.js"],n["Core/Axis/Axis.js"],n["Core/Series/Series.js"],n["Core/Chart/Chart.js"],n["Core/Globals.js"],n["Series/LineSeries.js"],n["Core/Options.js"],n["Core/Series/Point.js"],n["Core/Time.js"],n["Core/Utilities.js"]],(function(t,e,n,r,i,o,s,a,l,c){var u=t.animate,h=t.setAnimation,p=n.seriesTypes,d=s.time,f=c.addEvent,g=c.createElement,m=c.css,v=c.defined,y=c.erase,b=c.error,_=c.extend,x=c.fireEvent,w=c.isArray,S=c.isNumber,k=c.isObject,C=c.isString,A=c.merge,O=c.objectEach,T=c.pick,E=c.relativeLength,P=c.splat;i.cleanRecursively=function(t,e){var n={};return O(t,(function(r,o){k(t[o],!0)&&!t.nodeType&&e[o]?(r=i.cleanRecursively(t[o],e[o]),Object.keys(r).length&&(n[o]=r)):(k(t[o])||t[o]!==e[o])&&(n[o]=t[o])})),n},_(r.prototype,{addSeries:function(t,e,n){var r,i=this;return t&&(e=T(e,!0),x(i,"addSeries",{options:t},(function(){r=i.initSeries(t),i.isDirtyLegend=!0,i.linkSeries(),r.enabledDataSorting&&r.setData(t.data,!1),x(i,"afterAddSeries",{series:r}),e&&i.redraw(n)}))),r},addAxis:function(t,e,n,r){return this.createAxis(e?"xAxis":"yAxis",{axis:t,redraw:n,animation:r})},addColorAxis:function(t,e,n){return this.createAxis("colorAxis",{axis:t,redraw:e,animation:n})},createAxis:function(t,n){var r=this.options,o="colorAxis"===t,s=n.redraw,a=n.animation;n=A(n.axis,{index:this[t].length,isX:"xAxis"===t});var l=o?new i.ColorAxis(this,n):new e(this,n);return r[t]=P(r[t]||{}),r[t].push(n),o&&(this.isDirtyLegend=!0,this.axes.forEach((function(t){t.series=[]})),this.series.forEach((function(t){t.bindAxes(),t.isDirtyData=!0}))),T(s,!0)&&this.redraw(a),l},showLoading:function(t){var e=this,n=e.options,r=e.loadingDiv,i=n.loading,o=function(){r&&m(r,{left:e.plotLeft+"px",top:e.plotTop+"px",width:e.plotWidth+"px",height:e.plotHeight+"px"})};r||(e.loadingDiv=r=g("div",{className:"highcharts-loading highcharts-loading-hidden"},null,e.container),e.loadingSpan=g("span",{className:"highcharts-loading-inner"},null,r),f(e,"redraw",o)),r.className="highcharts-loading",e.loadingSpan.innerHTML=T(t,n.lang.loading,""),e.styledMode||(m(r,_(i.style,{zIndex:10})),m(e.loadingSpan,i.labelStyle),e.loadingShown||(m(r,{opacity:0,display:""}),u(r,{opacity:i.style.opacity||.5},{duration:i.showDuration||0}))),e.loadingShown=!0,o()},hideLoading:function(){var t=this.options,e=this.loadingDiv;e&&(e.className="highcharts-loading highcharts-loading-hidden",this.styledMode||u(e,{opacity:0},{duration:t.loading.hideDuration||100,complete:function(){m(e,{display:"none"})}})),this.loadingShown=!1},propsRequireDirtyBox:"backgroundColor borderColor borderWidth borderRadius plotBackgroundColor plotBackgroundImage plotBorderColor plotBorderWidth plotShadow shadow".split(" "),propsRequireReflow:"margin marginTop marginRight marginBottom marginLeft spacing spacingTop spacingRight spacingBottom spacingLeft".split(" "),propsRequireUpdateSeries:"chart.inverted chart.polar chart.ignoreHiddenSeries chart.type colors plotOptions time tooltip".split(" "),collectionsWithUpdate:["xAxis","yAxis","zAxis","series"],update:function(t,e,n,r){var o,s,a,c=this,u={credits:"addCredits",title:"setTitle",subtitle:"setSubtitle",caption:"setCaption"},h=t.isResponsiveOptions,p=[];if(x(c,"update",{options:t}),h||c.setResponsive(!1,!0),t=i.cleanRecursively(t,c.options),A(!0,c.userOptions,t),o=t.chart){if(A(!0,c.options.chart,o),"className"in o&&c.setClassName(o.className),"reflow"in o&&c.setReflow(o.reflow),"inverted"in o||"polar"in o||"type"in o){c.propFromSeries();var f=!0}"alignTicks"in o&&(f=!0),O(o,(function(t,e){-1!==c.propsRequireUpdateSeries.indexOf("chart."+e)&&(s=!0),-1!==c.propsRequireDirtyBox.indexOf(e)&&(c.isDirtyBox=!0),-1!==c.propsRequireReflow.indexOf(e)&&(h?c.isDirtyBox=!0:a=!0)})),!c.styledMode&&"style"in o&&c.renderer.setStyle(o.style)}!c.styledMode&&t.colors&&(this.options.colors=t.colors),t.time&&(this.time===d&&(this.time=new l(t.time)),A(!0,c.options.time,t.time)),O(t,(function(e,n){c[n]&&"function"==typeof c[n].update?c[n].update(e,!1):"function"==typeof c[u[n]]?c[u[n]](e):"color"!==n&&-1===c.collectionsWithUpdate.indexOf(n)&&A(!0,c.options[n],t[n]),"chart"!==n&&-1!==c.propsRequireUpdateSeries.indexOf(n)&&(s=!0)})),this.collectionsWithUpdate.forEach((function(e){if(t[e]){if("series"===e){var r=[];c[e].forEach((function(t,e){t.options.isInternal||r.push(T(t.options.index,e))}))}P(t[e]).forEach((function(t,i){var o,s=v(t.id);s&&(o=c.get(t.id)),o||(o=c[e][r?r[i]:i])&&s&&v(o.options.id)&&(o=void 0),o&&o.coll===e&&(o.update(t,!1),n&&(o.touched=!0)),!o&&n&&c.collectionsWithInit[e]&&(c.collectionsWithInit[e][0].apply(c,[t].concat(c.collectionsWithInit[e][1]||[]).concat([!1])).touched=!0)})),n&&c[e].forEach((function(t){t.touched||t.options.isInternal?delete t.touched:p.push(t)}))}})),p.forEach((function(t){t.remove&&t.remove(!1)})),f&&c.axes.forEach((function(t){t.update({},!1)})),s&&c.getSeriesOrderByLinks().forEach((function(t){t.chart&&t.update({},!1)}),this),f=o&&o.width,o=o&&o.height,C(o)&&(o=E(o,f||c.chartWidth)),a||S(f)&&f!==c.chartWidth||S(o)&&o!==c.chartHeight?c.setSize(f,o,r):T(e,!0)&&c.redraw(r),x(c,"afterUpdate",{options:t,redraw:e,animation:r})},setSubtitle:function(t,e){this.applyDescription("subtitle",t),this.layOutTitles(e)},setCaption:function(t,e){this.applyDescription("caption",t),this.layOutTitles(e)}}),r.prototype.collectionsWithInit={xAxis:[r.prototype.addAxis,[!0]],yAxis:[r.prototype.addAxis,[!1]],series:[r.prototype.addSeries]},_(a.prototype,{update:function(t,e,n,r){function i(){s.applyOptions(t);var r=l&&s.hasDummyGraphic;r=null===s.y?!r:r,l&&r&&(s.graphic=l.destroy(),delete s.hasDummyGraphic),k(t,!0)&&(l&&l.element&&t&&t.marker&&typeof t.marker.symbol<"u"&&(s.graphic=l.destroy()),t&&t.dataLabels&&s.dataLabel&&(s.dataLabel=s.dataLabel.destroy()),s.connector&&(s.connector=s.connector.destroy())),o=s.index,a.updateParallelArrays(s,o),u.data[o]=k(u.data[o],!0)||k(t,!0)?s.options:T(t,u.data[o]),a.isDirty=a.isDirtyData=!0,!a.fixedBox&&a.hasCartesianSeries&&(c.isDirtyBox=!0),"point"===u.legendType&&(c.isDirtyLegend=!0),e&&c.redraw(n)}var o,s=this,a=s.series,l=s.graphic,c=a.chart,u=a.options;e=T(e,!0),!1===r?i():s.firePointEvent("update",{options:t},i)},remove:function(t,e){this.series.removePoint(this.series.data.indexOf(this),t,e)}}),_(o.prototype,{addPoint:function(t,e,n,r,i){var o=this.options,s=this.data,a=this.chart,l=this.xAxis;l=l&&l.hasNames&&l.names;var c,u=o.data,h=this.xData;e=T(e,!0);var p={series:this};this.pointClass.prototype.applyOptions.apply(p,[t]);var d=p.x,f=h.length;if(this.requireSorting&&d<h[f-1])for(c=!0;f&&h[f-1]>d;)f--;this.updateParallelArrays(p,"splice",f,0,0),this.updateParallelArrays(p,f),l&&p.name&&(l[d]=p.name),u.splice(f,0,t),c&&(this.data.splice(f,0,null),this.processData()),"point"===o.legendType&&this.generatePoints(),n&&(s[0]&&s[0].remove?s[0].remove(!1):(s.shift(),this.updateParallelArrays(p,"shift"),u.shift())),!1!==i&&x(this,"addPoint",{point:p}),this.isDirtyData=this.isDirty=!0,e&&a.redraw(r)},removePoint:function(t,e,n){var r=this,i=r.data,o=i[t],s=r.points,a=r.chart,l=function(){s&&s.length===i.length&&s.splice(t,1),i.splice(t,1),r.options.data.splice(t,1),r.updateParallelArrays(o||{series:r},"splice",t,1),o&&o.destroy(),r.isDirty=!0,r.isDirtyData=!0,e&&a.redraw()};h(n,a),e=T(e,!0),o?o.firePointEvent("remove",null,l):l()},remove:function(t,e,n,r){function i(){o.destroy(r),o.remove=null,s.isDirtyLegend=s.isDirtyBox=!0,s.linkSeries(),T(t,!0)&&s.redraw(e)}var o=this,s=o.chart;!1!==n?x(o,"remove",null,i):i()},update:function(t,e){t=i.cleanRecursively(t,this.userOptions),x(this,"update",{options:t});var n,r=this,o=r.chart,s=r.userOptions,a=r.initialType||r.type,l=o.options.plotOptions,c=t.type||s.type||o.options.chart.type,u=!(this.hasDerivedData||c&&c!==this.type||typeof t.pointStart<"u"||typeof t.pointInterval<"u"||r.hasOptionChanged("dataGrouping")||r.hasOptionChanged("pointStart")||r.hasOptionChanged("pointInterval")||r.hasOptionChanged("pointIntervalUnit")||r.hasOptionChanged("keys")),h=p[a].prototype,d=["eventOptions","navigatorSeries","baseSeries"],f=r.finishedAnimating&&{animation:!1},g={};for(n in u&&(d.push("data","isDirtyData","points","processedXData","processedYData","xIncrement","cropped","_hasPointMarkers","_hasPointLabels","mapMap","mapData","minY","maxY","minX","maxX"),!1!==t.visible&&d.push("area","graph"),r.parallelArrays.forEach((function(t){d.push(t+"Data")})),t.data&&(t.dataSorting&&_(r.options.dataSorting,t.dataSorting),this.setData(t.data,!1))),t=A(s,f,{index:typeof s.index>"u"?r.index:s.index,pointStart:T(l&&l.series&&l.series.pointStart,s.pointStart,r.xData[0])},!u&&{data:r.options.data},t),u&&t.data&&(t.data=r.options.data),(d=["group","markerGroup","dataLabelsGroup","transformGroup"].concat(d)).forEach((function(t){d[t]=r[t],delete r[t]})),r.remove(!1,null,!1,!0),h)r[n]=void 0;if(p[c||a]?_(r,p[c||a].prototype):b(17,!0,o,{missingModuleFor:c||a}),d.forEach((function(t){r[t]=d[t]})),r.init(o,t),u&&this.points){var m=r.options;!1===m.visible?(g.graphic=1,g.dataLabel=1):r._hasPointLabels||(t=m.marker,s=m.dataLabels,t&&(!1===t.enabled||"symbol"in t)&&(g.graphic=1),s&&!1===s.enabled&&(g.dataLabel=1)),this.points.forEach((function(t){t&&t.series&&(t.resolveColor(),Object.keys(g).length&&t.destroyElements(g),!1===m.showInLegend&&t.legendItem&&o.legend.destroyItem(t))}),this)}r.initialType=a,o.linkSeries(),x(this,"afterUpdate"),T(e,!0)&&o.redraw(!!u&&void 0)},setName:function(t){this.name=this.options.name=this.userOptions.name=t,this.chart.isDirtyLegend=!0},hasOptionChanged:function(t){var e=this.options[t],n=this.chart.options.plotOptions,r=this.userOptions[t];return r?e!==r:e!==T(n&&n[this.type]&&n[this.type][t],n&&n.series&&n.series[t],e)}}),_(e.prototype,{update:function(t,e){var n=this.chart,r=t&&t.events||{};t=A(this.userOptions,t),n.options[this.coll].indexOf&&(n.options[this.coll][n.options[this.coll].indexOf(this.userOptions)]=t),O(n.options[this.coll].events,(function(t,e){typeof r[e]>"u"&&(r[e]=void 0)})),this.destroy(!0),this.init(n,_(t,{events:r})),n.isDirtyBox=!0,T(e,!0)&&n.redraw()},remove:function(t){for(var e=this.chart,n=this.coll,r=this.series,i=r.length;i--;)r[i]&&r[i].remove(!1);y(e.axes,this),y(e[n],this),w(e.options[n])?e.options[n].splice(this.options.index,1):delete e.options[n],e[n].forEach((function(t,e){t.options.index=t.userOptions.index=e})),this.destroy(),e.isDirtyBox=!0,T(t,!0)&&e.redraw()},setTitle:function(t,e){this.update({title:t},e)},setCategories:function(t,e){this.update({categories:t},e)}})})),e(n,"Series/AreaSeries.js",[n["Core/Series/Series.js"],n["Core/Color/Color.js"],n["Core/Globals.js"],n["Mixins/LegendSymbol.js"],n["Core/Utilities.js"]],(function(t,e,n,r,i){var o=e.parse,s=i.objectEach,a=i.pick,l=n.Series;t.seriesType("area","line",{threshold:0},{singleStacks:!1,getStackPoints:function(t){var e,n=[],r=[],i=this.xAxis,o=this.yAxis,l=o.stacking.stacks[this.stackKey],c={},u=this.index,h=o.series,p=h.length,d=a(o.options.reversedStacks,!0)?1:-1;if(t=t||this.points,this.options.stacking){for(e=0;e<t.length;e++)t[e].leftNull=t[e].rightNull=void 0,c[t[e].x]=t[e];s(l,(function(t,e){null!==t.total&&r.push(e)})),r.sort((function(t,e){return t-e}));var f=h.map((function(t){return t.visible}));r.forEach((function(t,s){var a,h,g=0;if(c[t]&&!c[t].isNull)n.push(c[t]),[-1,1].forEach((function(n){var i=1===n?"rightNull":"leftNull",o=0,g=l[r[s+n]];if(g)for(e=u;0<=e&&e<p;)(a=g.points[e])||(e===u?c[t][i]=!0:f[e]&&(h=l[t].points[e])&&(o-=h[1]-h[0])),e+=d;c[t][1===n?"rightCliff":"leftCliff"]=o}));else{for(e=u;0<=e&&e<p;){if(a=l[t].points[e]){g=a[1];break}e+=d}g=o.translate(g,0,1,0,1),n.push({isNull:!0,plotX:i.translate(t,0,0,0,1),x:t,plotY:g,yBottom:g})}}))}return n},getGraphPath:function(t){var e,n=l.prototype.getGraphPath,r=this.options,i=r.stacking,o=this.yAxis,s=[],c=[],u=this.index,h=o.stacking.stacks[this.stackKey],p=r.threshold,d=Math.round(o.getThreshold(r.threshold));r=a(r.connectNulls,"percent"===i);var f=function(e,n,r){var a=t[e];e=i&&h[a.x].points[u];var l=a[r+"Null"]||0;if(r=a[r+"Cliff"]||0,a=!0,r||l){var f=(l?e[0]:e[1])+r,g=e[0]+r;a=!!l}else!i&&t[n]&&t[n].isNull&&(f=g=p);typeof f<"u"&&(c.push({plotX:m,plotY:null===f?d:o.getThreshold(f),isNull:a,isCliff:!0}),s.push({plotX:m,plotY:null===g?d:o.getThreshold(g),doCurve:!1}))};for(t=t||this.points,i&&(t=this.getStackPoints(t)),e=0;e<t.length;e++){i||(t[e].leftCliff=t[e].rightCliff=t[e].leftNull=t[e].rightNull=void 0);var g=t[e].isNull,m=a(t[e].rectPlotX,t[e].plotX),v=i?t[e].yBottom:d;(!g||r)&&(r||f(e,e-1,"left"),g&&!i&&r||(c.push(t[e]),s.push({x:e,plotX:m,plotY:v})),r||f(e,e+1,"right"))}return e=n.call(this,c,!0,!0),s.reversed=!0,(v=(g=n.call(this,s,!0,!0))[0])&&"M"===v[0]&&(g[0]=["L",v[1],v[2]]),g=e.concat(g),n=n.call(this,c,!1,r),g.xMap=e.xMap,this.areaPath=g,n},drawGraph:function(){this.areaPath=[],l.prototype.drawGraph.apply(this);var t=this,e=this.areaPath,n=this.options,r=[["area","highcharts-area",this.color,n.fillColor]];this.zones.forEach((function(e,i){r.push(["zone-area-"+i,"highcharts-area highcharts-zone-area-"+i+" "+e.className,e.color||t.color,e.fillColor||n.fillColor])})),r.forEach((function(r){var i=r[0],s=t[i],l=s?"animate":"attr",c={};s?(s.endX=t.preventGraphAnimation?null:e.xMap,s.animate({d:e})):(c.zIndex=0,(s=t[i]=t.chart.renderer.path(e).addClass(r[1]).add(t.group)).isArea=!0),t.chart.styledMode||(c.fill=a(r[3],o(r[2]).setOpacity(a(n.fillOpacity,.75)).get())),s[l](c),s.startX=e.xMap,s.shiftUnit=n.step?2:1}))},drawLegendSymbol:r.drawRectangle})})),e(n,"Series/SplineSeries.js",[n["Core/Series/Series.js"],n["Core/Utilities.js"]],(function(t,e){var n=e.pick;t.seriesType("spline","line",{},{getPointSpline:function(t,e,r){var i=e.plotX||0,o=e.plotY||0,s=t[r-1];if(r=t[r+1],s&&!s.isNull&&!1!==s.doCurve&&!e.isCliff&&r&&!r.isNull&&!1!==r.doCurve&&!e.isCliff){t=s.plotY||0;var a=r.plotX||0;r=r.plotY||0;var l=0,c=(1.5*i+(s.plotX||0))/2.5,u=(1.5*o+t)/2.5,h=(1.5*o+r)/2.5;(a=(1.5*i+a)/2.5)!==c&&(l=(h-u)*(a-i)/(a-c)+o-h),h+=l,(u+=l)>t&&u>o?h=2*o-(u=Math.max(t,o)):u<t&&u<o&&(h=2*o-(u=Math.min(t,o))),h>r&&h>o?u=2*o-(h=Math.max(r,o)):h<r&&h<o&&(u=2*o-(h=Math.min(r,o))),e.rightContX=a,e.rightContY=h}return e=["C",n(s.rightContX,s.plotX,0),n(s.rightContY,s.plotY,0),n(c,i,0),n(u,o,0),i,o],s.rightContX=s.rightContY=void 0,e}})})),e(n,"Series/AreaSplineSeries.js",[n["Core/Series/Series.js"],n["Mixins/LegendSymbol.js"],n["Core/Options.js"]],(function(t,e,n){var r=t.seriesTypes.area.prototype;t.seriesType("areaspline","spline",n.defaultOptions.plotOptions.area,{getStackPoints:r.getStackPoints,getGraphPath:r.getGraphPath,drawGraph:r.drawGraph,drawLegendSymbol:e.drawRectangle})})),e(n,"Series/ColumnSeries.js",[n["Core/Animation/AnimationUtilities.js"],n["Core/Series/Series.js"],n["Core/Color/Color.js"],n["Core/Globals.js"],n["Mixins/LegendSymbol.js"],n["Series/LineSeries.js"],n["Core/Utilities.js"]],(function(t,e,n,r,i,o,s){var a=t.animObject,l=n.parse;t=r.noop;var c=s.clamp,u=s.defined,h=s.extend,p=s.isArray,d=s.isNumber,f=s.merge,g=s.pick,m=s.objectEach;return e=e.seriesType("column","line",{borderRadius:0,centerInCategory:!1,groupPadding:.2,marker:null,pointPadding:.1,minPointLength:0,cropThreshold:50,pointRange:null,states:{hover:{halo:!1,brightness:.1},select:{color:"#cccccc",borderColor:"#000000"}},dataLabels:{align:void 0,verticalAlign:void 0,y:void 0},startFromThreshold:!0,stickyTracking:!1,tooltip:{distance:6},threshold:0,borderColor:"#ffffff"},{cropShoulder:0,directTouch:!0,trackerGroups:["group","dataLabelsGroup"],negStacks:!0,init:function(){o.prototype.init.apply(this,arguments);var t=this,e=t.chart;e.hasRendered&&e.series.forEach((function(e){e.type===t.type&&(e.isDirty=!0)}))},getColumnMetrics:function(){var t=this,e=t.options,n=t.xAxis,r=t.yAxis,i=n.options.reversedStacks;i=n.reversed&&!i||!n.reversed&&i;var o,s={},a=0;!1===e.grouping?a=1:t.chart.series.forEach((function(e){var n=e.yAxis,i=e.options;if(e.type===t.type&&(e.visible||!t.chart.options.chart.ignoreHiddenSeries)&&r.len===n.len&&r.pos===n.pos){if(i.stacking&&"group"!==i.stacking){o=e.stackKey,typeof s[o]>"u"&&(s[o]=a++);var l=s[o]}else!1!==i.grouping&&(l=a++);e.columnIndex=l}}));var l=Math.min(Math.abs(n.transA)*(n.ordinal&&n.ordinal.slope||e.pointRange||n.closestPointRange||n.tickInterval||1),n.len),c=l*e.groupPadding,u=(l-2*c)/(a||1);return e=Math.min(e.maxPointWidth||n.len,g(e.pointWidth,u*(1-2*e.pointPadding))),t.columnMetrics={width:e,offset:(u-e)/2+(c+((t.columnIndex||0)+(i?1:0))*u-l/2)*(i?-1:1),paddedWidth:u,columnCount:a},t.columnMetrics},crispCol:function(t,e,n,r){var i=this.chart,o=this.borderWidth,s=-(o%2?.5:0);return o=o%2?.5:1,i.inverted&&i.renderer.isVML&&(o+=1),this.options.crisp&&(n=Math.round(t+n)+s,n-=t=Math.round(t)+s),r=Math.round(e+r)+o,s=.5>=Math.abs(e)&&.5<r,r-=e=Math.round(e)+o,s&&r&&(--e,r+=1),{x:t,y:e,width:n,height:r}},adjustForMissingColumns:function(t,e,n,r){var i=this,o=this.options.stacking;if(!n.isNull&&1<r.columnCount){var s=0,a=0;m(this.yAxis.stacking&&this.yAxis.stacking.stacks,(function(t){if("number"==typeof n.x&&(t=t[n.x.toString()])){var e=t.points[i.index],r=t.total;o?(e&&(s=a),t.hasValidPoints&&a++):p(e)&&(s=e[1],a=r||0)}})),t=(n.plotX||0)+((a-1)*r.paddedWidth+e)/2-e-s*r.paddedWidth}return t},translate:function(){var t=this,e=t.chart,n=t.options,r=t.dense=2>t.closestPointRange*t.xAxis.transA;r=t.borderWidth=g(n.borderWidth,r?0:1);var i=t.xAxis,s=t.yAxis,a=n.threshold,l=t.translatedThreshold=s.getThreshold(a),h=g(n.minPointLength,5),p=t.getColumnMetrics(),f=p.width,m=t.barW=Math.max(f,1+2*r),v=t.pointXOffset=p.offset,y=t.dataMin,b=t.dataMax;e.inverted&&(l-=.5),n.pointPadding&&(m=Math.ceil(m)),o.prototype.translate.apply(t),t.points.forEach((function(r){var o=g(r.yBottom,l),_=999+Math.abs(o),x=f,w=r.plotX||0;_=c(r.plotY,-_,s.len+_);var S=w+v,k=m,C=Math.min(_,o),A=Math.max(_,o)-C;if(h&&Math.abs(A)<h){A=h;var O=!s.reversed&&!r.negative||s.reversed&&r.negative;d(a)&&d(b)&&r.y===a&&b<=a&&(s.min||0)<a&&y!==b&&(O=!O),C=Math.abs(C-l)>h?o-h:l-(O?h:0)}u(r.options.pointWidth)&&(x=k=Math.ceil(r.options.pointWidth),S-=Math.round((x-f)/2)),n.centerInCategory&&(S=t.adjustForMissingColumns(S,x,r,p)),r.barX=S,r.pointWidth=x,r.tooltipPos=e.inverted?[s.len+s.pos-e.plotLeft-_,i.len+i.pos-e.plotTop-(w||0)-v-k/2,A]:[S+k/2,_+s.pos-e.plotTop,A],r.shapeType=t.pointClass.prototype.shapeType||"rect",r.shapeArgs=t.crispCol.apply(t,r.isNull?[S,l,k,0]:[S,C,k,A])}))},getSymbol:t,drawLegendSymbol:i.drawRectangle,drawGraph:function(){this.group[this.dense?"addClass":"removeClass"]("highcharts-dense-data")},pointAttribs:function(t,e){var n=this.options,r=this.pointAttrToOptions||{},i=r.stroke||"borderColor",o=r["stroke-width"]||"borderWidth",s=t&&t.color||this.color,a=t&&t[i]||n[i]||this.color||s,c=t&&t[o]||n[o]||this[o]||0;r=t&&t.options.dashStyle||n.dashStyle;var u=g(t&&t.opacity,n.opacity,1);if(t&&this.zones.length){var h=t.getZone();s=t.options.color||h&&(h.color||t.nonZonedColor)||this.color,h&&(a=h.borderColor||a,r=h.dashStyle||r,c=h.borderWidth||c)}return e&&t&&(e=(t=f(n.states[e],t.options.states&&t.options.states[e]||{})).brightness,s=t.color||typeof e<"u"&&l(s).brighten(t.brightness).get()||s,a=t[i]||a,c=t[o]||c,r=t.dashStyle||r,u=g(t.opacity,u)),i={fill:s,stroke:a,"stroke-width":c,opacity:u},r&&(i.dashstyle=r),i},drawPoints:function(){var t,e=this,n=this.chart,r=e.options,i=n.renderer,o=r.animationLimit||250;e.points.forEach((function(s){var a=s.graphic,l=!!a,c=a&&n.pointCount<o?"animate":"attr";d(s.plotY)&&null!==s.y?(t=s.shapeArgs,a&&s.hasNewShapeType()&&(a=a.destroy()),e.enabledDataSorting&&(s.startXPos=e.xAxis.reversed?-(t?t.width:0):e.xAxis.width),a||(s.graphic=a=i[s.shapeType](t).add(s.group||e.group))&&e.enabledDataSorting&&n.hasRendered&&n.pointCount<o&&(a.attr({x:s.startXPos}),l=!0,c="animate"),a&&l&&a[c](f(t)),r.borderRadius&&a[c]({r:r.borderRadius}),n.styledMode||a[c](e.pointAttribs(s,s.selected&&"select")).shadow(!1!==s.allowShadow&&r.shadow,null,r.stacking&&!r.borderRadius),a.addClass(s.getClassName(),!0)):a&&(s.graphic=a.destroy())}))},animate:function(t){var e=this,n=this.yAxis,r=e.options,i=this.chart.inverted,o={},s=i?"translateX":"translateY";if(t)o.scaleY=.001,t=c(n.toPixels(r.threshold),n.pos,n.pos+n.len),i?o.translateX=t-n.len:o.translateY=t,e.clipBox&&e.setClip(),e.group.attr(o);else{var l=e.group.attr(s);e.group.animate({scaleY:1},h(a(e.options.animation),{step:function(t,r){e.group&&(o[s]=l+r.pos*(n.pos-l),e.group.attr(o))}}))}},remove:function(){var t=this,e=t.chart;e.hasRendered&&e.series.forEach((function(e){e.type===t.type&&(e.isDirty=!0)})),o.prototype.remove.apply(t,arguments)}}),e})),e(n,"Series/BarSeries.js",[n["Core/Series/Series.js"]],(function(t){t.seriesType("bar","column",null,{inverted:!0})})),e(n,"Series/ScatterSeries.js",[n["Core/Series/Series.js"],n["Core/Globals.js"],n["Core/Utilities.js"]],(function(t,e,n){n=n.addEvent;var r=e.Series;t.seriesType("scatter","line",{lineWidth:0,findNearestPointBy:"xy",jitter:{x:0,y:0},marker:{enabled:!0},tooltip:{headerFormat:'<span style="color:{point.color}">●</span> <span style="font-size: 10px"> {series.name}</span><br/>',pointFormat:"x: <b>{point.x}</b><br/>y: <b>{point.y}</b><br/>"}},{sorted:!1,requireSorting:!1,noSharedTooltip:!0,trackerGroups:["group","markerGroup","dataLabelsGroup"],takeOrdinalPosition:!1,drawGraph:function(){(this.options.lineWidth||0===this.options.lineWidth&&this.graph&&this.graph.strokeWidth())&&r.prototype.drawGraph.call(this)},applyJitter:function(){var t=this,e=this.options.jitter,n=this.points.length;e&&this.points.forEach((function(r,i){["x","y"].forEach((function(o,s){var a="plot"+o.toUpperCase();if(e[o]&&!r.isNull){var l=t[o+"Axis"],c=e[o]*l.transA;if(l&&!l.isLog){var u=Math.max(0,r[a]-c);l=Math.min(l.len,r[a]+c),s=1e4*Math.sin(i+s*n),r[a]=u+(l-u)*(s-Math.floor(s)),"x"===o&&(r.clientX=r.plotX)}}}))}))}}),n(r,"afterTranslate",(function(){this.applyJitter&&this.applyJitter()}))})),e(n,"Mixins/CenteredSeries.js",[n["Core/Globals.js"],n["Core/Utilities.js"]],(function(t,e){var n=e.isNumber,r=e.pick,i=e.relativeLength,o=t.deg2rad;return t.CenteredSeriesMixin={getCenter:function(){var e=this.options,n=this.chart,o=2*(e.slicedOffset||0),s=n.plotWidth-2*o,a=n.plotHeight-2*o,l=e.center,c=Math.min(s,a),u=e.size,h=e.innerSize||0;for("string"==typeof u&&(u=parseFloat(u)),"string"==typeof h&&(h=parseFloat(h)),e=[r(l[0],"50%"),r(l[1],"50%"),r(u&&0>u?void 0:e.size,"100%"),r(h&&0>h?void 0:e.innerSize||0,"0%")],!n.angular||this instanceof t.Series||(e[3]=0),l=0;4>l;++l)u=e[l],n=2>l||2===l&&/%$/.test(u),e[l]=i(u,[s,a,c,e[2]][l])+(n?o:0);return e[3]>e[2]&&(e[3]=e[2]),e},getStartAndEndRadians:function(t,e){return t=n(t)?t:0,e=n(e)&&e>t&&360>e-t?e:t+360,{start:o*(t+-90),end:o*(e+-90)}}}})),e(n,"Series/PieSeries.js",[n["Core/Animation/AnimationUtilities.js"],n["Core/Series/Series.js"],n["Mixins/CenteredSeries.js"],n["Core/Globals.js"],n["Mixins/LegendSymbol.js"],n["Series/LineSeries.js"],n["Core/Series/Point.js"],n["Core/Renderer/SVG/SVGRenderer.js"],n["Core/Utilities.js"]],(function(t,e,n,r,i,o,s,a,l){var c=t.setAnimation,u=n.getStartAndEndRadians;t=r.noop;var h=l.addEvent,p=l.clamp,d=l.defined,f=l.fireEvent,g=l.isNumber,m=l.merge,v=l.pick,y=l.relativeLength;e.seriesType("pie","line",{center:[null,null],clip:!1,colorByPoint:!0,dataLabels:{allowOverlap:!0,connectorPadding:5,connectorShape:"fixedOffset",crookDistance:"70%",distance:30,enabled:!0,formatter:function(){return this.point.isNull?void 0:this.point.name},softConnector:!0,x:0},fillColor:void 0,ignoreHiddenPoint:!0,inactiveOtherPoints:!0,legendType:"point",marker:null,size:null,showInLegend:!1,slicedOffset:10,stickyTracking:!1,tooltip:{followPointer:!0},borderColor:"#ffffff",borderWidth:1,lineWidth:void 0,states:{hover:{brightness:.1}}},{isCartesian:!1,requireSorting:!1,directTouch:!0,noSharedTooltip:!0,trackerGroups:["group","dataLabelsGroup"],axisTypes:[],pointAttribs:e.seriesTypes.column.prototype.pointAttribs,animate:function(t){var e=this,n=e.points,r=e.startAngleRad;t||n.forEach((function(t){var n=t.graphic,i=t.shapeArgs;n&&i&&(n.attr({r:v(t.startR,e.center&&e.center[3]/2),start:r,end:r}),n.animate({r:i.r,start:i.start,end:i.end},e.options.animation))}))},hasData:function(){return!!this.processedXData.length},updateTotals:function(){var t,e=0,n=this.points,r=n.length,i=this.options.ignoreHiddenPoint;for(t=0;t<r;t++){var o=n[t];e+=i&&!o.visible||o.isNull?0:o.y}for(this.total=e,t=0;t<r;t++)(o=n[t]).percentage=0<e&&(o.visible||!i)?o.y/e*100:0,o.total=e},generatePoints:function(){o.prototype.generatePoints.call(this),this.updateTotals()},getX:function(t,e,n){var r=this.center,i=this.radii?this.radii[n.index]:r[2]/2;return t=Math.asin(p((t-r[1])/(i+n.labelDistance),-1,1)),r[0]+(e?-1:1)*Math.cos(t)*(i+n.labelDistance)+(0<n.labelDistance?(e?-1:1)*this.options.dataLabels.padding:0)},translate:function(t){this.generatePoints();var e=0,n=this.options,r=n.slicedOffset,i=r+(n.borderWidth||0),o=u(n.startAngle,n.endAngle),s=this.startAngleRad=o.start;o=(this.endAngleRad=o.end)-s;var a=this.points,l=n.dataLabels.distance;n=n.ignoreHiddenPoint;var c,h=a.length;for(t||(this.center=t=this.getCenter()),c=0;c<h;c++){var p=a[c],d=s+e*o;(!n||p.visible)&&(e+=p.percentage/100);var g=s+e*o;p.shapeType="arc",p.shapeArgs={x:t[0],y:t[1],r:t[2]/2,innerR:t[3]/2,start:Math.round(1e3*d)/1e3,end:Math.round(1e3*g)/1e3},p.labelDistance=v(p.options.dataLabels&&p.options.dataLabels.distance,l),p.labelDistance=y(p.labelDistance,p.shapeArgs.r),this.maxLabelDistance=Math.max(this.maxLabelDistance||0,p.labelDistance),(g=(g+d)/2)>1.5*Math.PI?g-=2*Math.PI:g<-Math.PI/2&&(g+=2*Math.PI),p.slicedTranslation={translateX:Math.round(Math.cos(g)*r),translateY:Math.round(Math.sin(g)*r)};var m=Math.cos(g)*t[2]/2,b=Math.sin(g)*t[2]/2;p.tooltipPos=[t[0]+.7*m,t[1]+.7*b],p.half=g<-Math.PI/2||g>Math.PI/2?1:0,p.angle=g,d=Math.min(i,p.labelDistance/5),p.labelPosition={natural:{x:t[0]+m+Math.cos(g)*p.labelDistance,y:t[1]+b+Math.sin(g)*p.labelDistance},final:{},alignment:0>p.labelDistance?"center":p.half?"right":"left",connectorPosition:{breakAt:{x:t[0]+m+Math.cos(g)*d,y:t[1]+b+Math.sin(g)*d},touchingSliceAt:{x:t[0]+m,y:t[1]+b}}}}f(this,"afterTranslate")},drawEmpty:function(){var t=this.startAngleRad,e=this.endAngleRad,n=this.options;if(0===this.total&&this.center){var r=this.center[0],i=this.center[1];this.graph||(this.graph=this.chart.renderer.arc(r,i,this.center[1]/2,0,t,e).addClass("highcharts-empty-series").add(this.group)),this.graph.attr({d:a.prototype.symbols.arc(r,i,this.center[2]/2,0,{start:t,end:e,innerR:this.center[3]/2})}),this.chart.styledMode||this.graph.attr({"stroke-width":n.borderWidth,fill:n.fillColor||"none",stroke:n.color||"#cccccc"})}else this.graph&&(this.graph=this.graph.destroy())},redrawPoints:function(){var t,e,n,r,i=this,o=i.chart,s=o.renderer,a=i.options.shadow;this.drawEmpty(),!a||i.shadowGroup||o.styledMode||(i.shadowGroup=s.g("shadow").attr({zIndex:-1}).add(i.group)),i.points.forEach((function(l){var c={};if(e=l.graphic,!l.isNull&&e){if(r=l.shapeArgs,t=l.getTranslate(),!o.styledMode){var u=l.shadowGroup;a&&!u&&(u=l.shadowGroup=s.g("shadow").add(i.shadowGroup)),u&&u.attr(t),n=i.pointAttribs(l,l.selected&&"select")}l.delayedRendering?(e.setRadialReference(i.center).attr(r).attr(t),o.styledMode||e.attr(n).attr({"stroke-linejoin":"round"}).shadow(a,u),l.delayedRendering=!1):(e.setRadialReference(i.center),o.styledMode||m(!0,c,n),m(!0,c,r,t),e.animate(c)),e.attr({visibility:l.visible?"inherit":"hidden"}),e.addClass(l.getClassName())}else e&&(l.graphic=e.destroy())}))},drawPoints:function(){var t=this.chart.renderer;this.points.forEach((function(e){e.graphic&&e.hasNewShapeType()&&(e.graphic=e.graphic.destroy()),e.graphic||(e.graphic=t[e.shapeType](e.shapeArgs).add(e.series.group),e.delayedRendering=!0)}))},searchPoint:t,sortByAngle:function(t,e){t.sort((function(t,n){return typeof t.angle<"u"&&(n.angle-t.angle)*e}))},drawLegendSymbol:i.drawRectangle,getCenter:n.getCenter,getSymbol:t,drawGraph:null},{init:function(){s.prototype.init.apply(this,arguments);var t=this;t.name=v(t.name,"Slice");var e=function(e){t.slice("select"===e.type)};return h(t,"select",e),h(t,"unselect",e),t},isValid:function(){return g(this.y)&&0<=this.y},setVisible:function(t,e){var n=this,r=n.series,i=r.chart,o=r.options.ignoreHiddenPoint;e=v(e,o),t!==n.visible&&(n.visible=n.options.visible=t=typeof t>"u"?!n.visible:t,r.options.data[r.data.indexOf(n)]=n.options,["graphic","dataLabel","connector","shadowGroup"].forEach((function(e){n[e]&&n[e][t?"show":"hide"](!0)})),n.legendItem&&i.legend.colorizeItem(n,t),t||"hover"!==n.state||n.setState(""),o&&(r.isDirty=!0),e&&i.redraw())},slice:function(t,e,n){var r=this.series;c(n,r.chart),v(e,!0),this.sliced=this.options.sliced=d(t)?t:!this.sliced,r.options.data[r.data.indexOf(this)]=this.options,this.graphic&&this.graphic.animate(this.getTranslate()),this.shadowGroup&&this.shadowGroup.animate(this.getTranslate())},getTranslate:function(){return this.sliced?this.slicedTranslation:{translateX:0,translateY:0}},haloPath:function(t){var e=this.shapeArgs;return this.sliced||!this.visible?[]:this.series.chart.renderer.symbols.arc(e.x,e.y,e.r+t,e.r+t,{innerR:e.r-1,start:e.start,end:e.end})},connectorShapes:{fixedOffset:function(t,e,n){var r=e.breakAt;return e=e.touchingSliceAt,[["M",t.x,t.y],n.softConnector?["C",t.x+("left"===t.alignment?-5:5),t.y,2*r.x-e.x,2*r.y-e.y,r.x,r.y]:["L",r.x,r.y],["L",e.x,e.y]]},straight:function(t,e){return e=e.touchingSliceAt,[["M",t.x,t.y],["L",e.x,e.y]]},crookedLine:function(t,e,n){e=e.touchingSliceAt;var r=this.series,i=r.center[0],o=r.chart.plotWidth,s=r.chart.plotLeft;r=t.alignment;var a=this.shapeArgs.r;return n=y(n.crookDistance,1),n=["L",o="left"===r?i+a+(o+s-i-a)*(1-n):s+(i-a)*n,t.y],i=!0,("left"===r?o>t.x||o<e.x:o<t.x||o>e.x)&&(i=!1),t=[["M",t.x,t.y]],i&&t.push(n),t.push(["L",e.x,e.y]),t}},getConnectorPath:function(){var t=this.labelPosition,e=this.series.options.dataLabels,n=e.connectorShape,r=this.connectorShapes;return r[n]&&(n=r[n]),n.call(this,{x:t.final.x,y:t.final.y,alignment:t.alignment},t.connectorPosition,e)}})})),e(n,"Core/Series/DataLabels.js",[n["Core/Animation/AnimationUtilities.js"],n["Core/Globals.js"],n["Core/Series/CartesianSeries.js"],n["Core/Utilities.js"]],(function(t,e,n,r){var i=t.getDeferredAnimation;t=e.noop;var o=e.seriesTypes,s=r.arrayMax,a=r.clamp,l=r.defined,c=r.extend,u=r.fireEvent,h=r.format,p=r.isArray,d=r.merge,f=r.objectEach,g=r.pick,m=r.relativeLength,v=r.splat,y=r.stableSort;e.distribute=function(t,n,r){function i(t,e){return t.target-e.target}var o,s=!0,l=t,c=[],u=0,h=l.reducedLen||n;for(o=t.length;o--;)u+=t[o].size;if(u>h){for(y(t,(function(t,e){return(e.rank||0)-(t.rank||0)})),u=o=0;u<=h;)u+=t[o].size,o++;c=t.splice(o-1,t.length)}for(y(t,i),t=t.map((function(t){return{size:t.size,targets:[t.target],align:g(t.align,.5)}}));s;){for(o=t.length;o--;)s=t[o],u=(Math.min.apply(0,s.targets)+Math.max.apply(0,s.targets))/2,s.pos=a(u-s.size*s.align,0,n-s.size);for(o=t.length,s=!1;o--;)0<o&&t[o-1].pos+t[o-1].size>t[o].pos&&(t[o-1].size+=t[o].size,t[o-1].targets=t[o-1].targets.concat(t[o].targets),t[o-1].align=.5,t[o-1].pos+t[o-1].size>n&&(t[o-1].pos=n-t[o-1].size),t.splice(o,1),s=!0)}l.push.apply(l,c),o=0,t.some((function(t){var i=0;if(t.targets.some((function(){if(l[o].pos=t.pos+i,typeof r<"u"&&Math.abs(l[o].pos-l[o].target)>r)return l.slice(0,o+1).forEach((function(t){delete t.pos})),l.reducedLen=(l.reducedLen||n)-.1*n,l.reducedLen>.1*n&&e.distribute(l,n,r),!0;i+=l[o].size,o++})))return!0})),y(l,i)},n.prototype.drawDataLabels=function(){function t(t,e){var n,r=[];if(p(t)&&!p(e))r=t.map((function(t){return d(t,e)}));else if(p(e)&&!p(t))r=e.map((function(e){return d(t,e)}));else if(p(t)||p(e))for(n=Math.max(t.length,e.length);n--;)r[n]=d(t[n],e[n]);else r=d(t,e);return r}var e=this,n=e.chart,r=e.options,o=r.dataLabels,s=e.points,a=e.hasRendered||0,c=o.animation;c=o.defer?i(n,c,e):{defer:0,duration:0};var m=n.renderer;if(o=t(t(n.options.plotOptions&&n.options.plotOptions.series&&n.options.plotOptions.series.dataLabels,n.options.plotOptions&&n.options.plotOptions[e.type]&&n.options.plotOptions[e.type].dataLabels),o),u(this,"drawDataLabels"),p(o)||o.enabled||e._hasPointLabels){var y=e.plotGroup("dataLabelsGroup","data-labels",a?"inherit":"hidden",o.zIndex||6);y.attr({opacity:+a}),!a&&(a=e.dataLabelsGroup)&&(e.visible&&y.show(!0),a[r.animation?"animate":"attr"]({opacity:1},c)),s.forEach((function(i){v(t(o,i.dlOptions||i.options&&i.options.dataLabels)).forEach((function(t,o){var s=t.enabled&&(!i.isNull||i.dataLabelOnNull)&&function(t,e){var n=e.filter;return!n||(e=n.operator,t=t[n.property],n=n.value,">"===e&&t>n||"<"===e&&t<n||">="===e&&t>=n||"<="===e&&t<=n||"=="===e&&t==n||"==="===e&&t===n)}(i,t),a=i.dataLabels?i.dataLabels[o]:i.dataLabel,c=i.connectors?i.connectors[o]:i.connector,u=g(t.distance,i.labelDistance),p=!a;if(s){var d=i.getLabelConfig(),v=g(t[i.formatPrefix+"Format"],t.format);d=l(v)?h(v,d,n):(t[i.formatPrefix+"Formatter"]||t.formatter).call(d,t),v=t.style;var b=t.rotation;n.styledMode||(v.color=g(t.color,v.color,e.color,"#000000"),"contrast"===v.color?(i.contrastColor=m.getContrast(i.color||e.color),v.color=!l(u)&&t.inside||0>u||r.stacking?i.contrastColor:"#000000"):delete i.contrastColor,r.cursor&&(v.cursor=r.cursor));var _={r:t.borderRadius||0,rotation:b,padding:t.padding,zIndex:1};n.styledMode||(_.fill=t.backgroundColor,_.stroke=t.borderColor,_["stroke-width"]=t.borderWidth),f(_,(function(t,e){typeof t>"u"&&delete _[e]}))}!a||s&&l(d)?s&&l(d)&&(a?_.text=d:(i.dataLabels=i.dataLabels||[],a=i.dataLabels[o]=b?m.text(d,0,-9999,t.useHTML).addClass("highcharts-data-label"):m.label(d,0,-9999,t.shape,null,null,t.useHTML,null,"data-label"),o||(i.dataLabel=a),a.addClass(" highcharts-data-label-color-"+i.colorIndex+" "+(t.className||"")+(t.useHTML?" highcharts-tracker":""))),a.options=t,a.attr(_),n.styledMode||a.css(v).shadow(t.shadow),a.added||a.add(y),t.textPath&&!t.useHTML&&(a.setTextPath(i.getDataLabelPath&&i.getDataLabelPath(a)||i.graphic,t.textPath),i.dataLabelPath&&!t.textPath.enabled&&(i.dataLabelPath=i.dataLabelPath.destroy())),e.alignDataLabel(i,a,t,null,p)):(i.dataLabel=i.dataLabel&&i.dataLabel.destroy(),i.dataLabels&&(1===i.dataLabels.length?delete i.dataLabels:delete i.dataLabels[o]),o||delete i.dataLabel,c&&(i.connector=i.connector.destroy(),i.connectors&&(1===i.connectors.length?delete i.connectors:delete i.connectors[o])))}))}))}u(this,"afterDrawDataLabels")},n.prototype.alignDataLabel=function(t,e,n,r,i){var o=this,s=this.chart,a=this.isCartesian&&s.inverted,l=this.enabledDataSorting,u=g(t.dlBox&&t.dlBox.centerX,t.plotX,-9999),h=g(t.plotY,-9999),p=e.getBBox(),d=n.rotation,f=n.align,m=s.isInsidePlot(u,Math.round(h),a),v="justify"===g(n.overflow,l?"none":"justify"),y=this.visible&&!1!==t.visible&&(t.series.forceDL||l&&!v||m||n.inside&&r&&s.isInsidePlot(u,a?r.x+1:r.y+r.height-1,a)),b=function(n){l&&o.xAxis&&!v&&o.setDataLabelStartPos(t,e,i,m,n)};if(y){var _=s.renderer.fontMetrics(s.styledMode?void 0:n.style.fontSize,e).b;r=c({x:a?this.yAxis.len-h:u,y:Math.round(a?this.xAxis.len-u:h),width:0,height:0},r),c(n,{width:p.width,height:p.height}),d?(v=!1,u=s.renderer.rotCorr(_,d),b(u={x:r.x+(n.x||0)+r.width/2+u.x,y:r.y+(n.y||0)+{top:0,middle:.5,bottom:1}[n.verticalAlign]*r.height}),e[i?"attr":"animate"](u).attr({align:f}),b=180<(b=(d+720)%360)&&360>b,"left"===f?u.y-=b?p.height:0:"center"===f?(u.x-=p.width/2,u.y-=p.height/2):"right"===f&&(u.x-=p.width,u.y-=b?0:p.height),e.placed=!0,e.alignAttr=u):(b(r),e.align(n,null,r),u=e.alignAttr),v&&0<=r.height?this.justifyDataLabel(e,n,u,p,r,i):g(n.crop,!0)&&(y=s.isInsidePlot(u.x,u.y)&&s.isInsidePlot(u.x+p.width,u.y+p.height)),n.shape&&!d&&e[i?"attr":"animate"]({anchorX:a?s.plotWidth-t.plotY:t.plotX,anchorY:a?s.plotHeight-t.plotX:t.plotY})}i&&l&&(e.placed=!1),y||l&&!v||(e.hide(!0),e.placed=!1)},n.prototype.setDataLabelStartPos=function(t,e,n,r,i){var o=this.chart,s=o.inverted,a=this.xAxis,l=a.reversed,c=s?e.height/2:e.width/2;t=(t=t.pointWidth)?t/2:0,a=s?i.x:l?-c-t:a.width-c+t,i=s?l?this.yAxis.height-c+t:-c-t:i.y,e.startXPos=a,e.startYPos=i,r?"hidden"===e.visibility&&(e.show(),e.attr({opacity:0}).animate({opacity:1})):e.attr({opacity:1}).animate({opacity:0},void 0,e.hide),o.hasRendered&&(n&&e.attr({x:e.startXPos,y:e.startYPos}),e.placed=!0)},n.prototype.justifyDataLabel=function(t,e,n,r,i,o){var s=this.chart,a=e.align,l=e.verticalAlign,c=t.box?0:t.padding||0,u=e.x;u=void 0===u?0:u;var h=e.y,p=void 0===h?0:h;if(0>(h=n.x+c)){"right"===a&&0<=u?(e.align="left",e.inside=!0):u-=h;var d=!0}return(h=n.x+r.width-c)>s.plotWidth&&("left"===a&&0>=u?(e.align="right",e.inside=!0):u+=s.plotWidth-h,d=!0),0>(h=n.y+c)&&("bottom"===l&&0<=p?(e.verticalAlign="top",e.inside=!0):p-=h,d=!0),(h=n.y+r.height-c)>s.plotHeight&&("top"===l&&0>=p?(e.verticalAlign="bottom",e.inside=!0):p+=s.plotHeight-h,d=!0),d&&(e.x=u,e.y=p,t.placed=!o,t.align(e,void 0,i)),d},o.pie&&(o.pie.prototype.dataLabelPositioners={radialDistributionY:function(t){return t.top+t.distributeBox.pos},radialDistributionX:function(t,e,n,r){return t.getX(n<e.top+2||n>e.bottom-2?r:n,e.half,e)},justify:function(t,e,n){return n[0]+(t.half?-1:1)*(e+t.labelDistance)},alignToPlotEdges:function(t,e,n,r){return t=t.getBBox().width,e?t+r:n-t-r},alignToConnectors:function(t,e,n,r){var i,o=0;return t.forEach((function(t){(i=t.dataLabel.getBBox().width)>o&&(o=i)})),e?o+r:n-o-r}},o.pie.prototype.drawDataLabels=function(){var t,r,i,o,a,c,u,h,p,f,m,v,y=this,b=y.data,_=y.chart,x=y.options.dataLabels||{},w=x.connectorPadding,S=_.plotWidth,k=_.plotHeight,C=_.plotLeft,A=Math.round(_.chartWidth/3),O=y.center,T=O[2]/2,E=O[1],P=[[],[]],M=[0,0,0,0],L=y.dataLabelPositioners;y.visible&&(x.enabled||y._hasPointLabels)&&(b.forEach((function(t){t.dataLabel&&t.visible&&t.dataLabel.shortened&&(t.dataLabel.attr({width:"auto"}).css({width:"auto",textOverflow:"clip"}),t.dataLabel.shortened=!1)})),n.prototype.drawDataLabels.apply(y),b.forEach((function(t){t.dataLabel&&(t.visible?(P[t.half].push(t),t.dataLabel._pos=null,!l(x.style.width)&&!l(t.options.dataLabels&&t.options.dataLabels.style&&t.options.dataLabels.style.width)&&t.dataLabel.getBBox().width>A&&(t.dataLabel.css({width:Math.round(.7*A)+"px"}),t.dataLabel.shortened=!0)):(t.dataLabel=t.dataLabel.destroy(),t.dataLabels&&1===t.dataLabels.length&&delete t.dataLabels))})),P.forEach((function(n,r){var i,s=n.length,d=[];if(s){if(y.sortByAngle(n,r-.5),0<y.maxLabelDistance){var b=Math.max(0,E-T-y.maxLabelDistance),A=Math.min(E+T+y.maxLabelDistance,_.plotHeight);n.forEach((function(t){0<t.labelDistance&&t.dataLabel&&(t.top=Math.max(0,E-T-t.labelDistance),t.bottom=Math.min(E+T+t.labelDistance,_.plotHeight),i=t.dataLabel.getBBox().height||21,t.distributeBox={target:t.labelPosition.natural.y-t.top+i/2,size:i,rank:t.y},d.push(t.distributeBox))})),b=A+i-b,e.distribute(d,b,b/5)}for(m=0;m<s;m++){if(t=n[m],c=t.labelPosition,o=t.dataLabel,f=!1===t.visible?"hidden":"inherit",p=b=c.natural.y,d&&l(t.distributeBox)&&(typeof t.distributeBox.pos>"u"?f="hidden":(u=t.distributeBox.size,p=L.radialDistributionY(t))),delete t.positionIndex,x.justify)h=L.justify(t,T,O);else switch(x.alignTo){case"connectors":h=L.alignToConnectors(n,r,S,C);break;case"plotEdges":h=L.alignToPlotEdges(o,r,S,C);break;default:h=L.radialDistributionX(y,t,p,b)}o._attr={visibility:f,align:c.alignment},v=t.options.dataLabels||{},o._pos={x:h+g(v.x,x.x)+({left:w,right:-w}[c.alignment]||0),y:p+g(v.y,x.y)-10},c.final.x=h,c.final.y=p,g(x.crop,!0)&&(a=o.getBBox().width,b=null,h-a<w&&1===r?(b=Math.round(a-h+w),M[3]=Math.max(b,M[3])):h+a>S-w&&0===r&&(b=Math.round(h+a-S+w),M[1]=Math.max(b,M[1])),0>p-u/2?M[0]=Math.max(Math.round(u/2-p),M[0]):p+u/2>k&&(M[2]=Math.max(Math.round(p+u/2-k),M[2])),o.sideOverflow=b)}}})),0===s(M)||this.verifyDataLabelOverflow(M))&&(this.placeDataLabels(),this.points.forEach((function(t){var e;v=d(x,t.options.dataLabels),(r=g(v.connectorWidth,1))&&(i=t.connector,(o=t.dataLabel)&&o._pos&&t.visible&&0<t.labelDistance?(f=o._attr.visibility,(e=!i)&&(t.connector=i=_.renderer.path().addClass("highcharts-data-label-connector  highcharts-color-"+t.colorIndex+(t.className?" "+t.className:"")).add(y.dataLabelsGroup),_.styledMode||i.attr({"stroke-width":r,stroke:v.connectorColor||t.color||"#666666"})),i[e?"attr":"animate"]({d:t.getConnectorPath()}),i.attr("visibility",f)):i&&(t.connector=i.destroy()))})))},o.pie.prototype.placeDataLabels=function(){this.points.forEach((function(t){var e,n=t.dataLabel;n&&t.visible&&((e=n._pos)?(n.sideOverflow&&(n._attr.width=Math.max(n.getBBox().width-n.sideOverflow,0),n.css({width:n._attr.width+"px",textOverflow:(this.options.dataLabels.style||{}).textOverflow||"ellipsis"}),n.shortened=!0),n.attr(n._attr),n[n.moved?"animate":"attr"](e),n.moved=!0):n&&n.attr({y:-9999})),delete t.distributeBox}),this)},o.pie.prototype.alignDataLabel=t,o.pie.prototype.verifyDataLabelOverflow=function(t){var e=this.center,n=this.options,r=n.center,i=n.minSize||80,o=null!==n.size;if(!o){if(null!==r[0])var s=Math.max(e[2]-Math.max(t[1],t[3]),i);else s=Math.max(e[2]-t[1]-t[3],i),e[0]+=(t[3]-t[1])/2;null!==r[1]?s=a(s,i,e[2]-Math.max(t[0],t[2])):(s=a(s,i,e[2]-t[0]-t[2]),e[1]+=(t[0]-t[2])/2),s<e[2]?(e[2]=s,e[3]=Math.min(m(n.innerSize||0,s),s),this.translate(e),this.drawDataLabels&&this.drawDataLabels()):o=!0}return o}),o.column&&(o.column.prototype.alignDataLabel=function(t,e,r,i,o){var s=this.chart.inverted,a=t.series,l=t.dlBox||t.shapeArgs,c=g(t.below,t.plotY>g(this.translatedThreshold,a.yAxis.len)),u=g(r.inside,!!this.options.stacking);l&&(0>(i=d(l)).y&&(i.height+=i.y,i.y=0),0<(l=i.y+i.height-a.yAxis.len)&&l<i.height&&(i.height-=l),s&&(i={x:a.yAxis.len-i.y-i.height,y:a.xAxis.len-i.x-i.width,width:i.height,height:i.width}),u||(s?(i.x+=c?0:i.width,i.width=0):(i.y+=c?i.height:0,i.height=0))),r.align=g(r.align,!s||u?"center":c?"right":"left"),r.verticalAlign=g(r.verticalAlign,s||u?"middle":c?"top":"bottom"),n.prototype.alignDataLabel.call(this,t,e,r,i,o),r.inside&&t.contrastColor&&e.css({color:t.contrastColor})})})),e(n,"Extensions/OverlappingDataLabels.js",[n["Core/Chart/Chart.js"],n["Core/Utilities.js"]],(function(t,e){var n=e.addEvent,r=e.fireEvent,i=e.isArray,o=e.isNumber,s=e.objectEach,a=e.pick;n(t,"render",(function(){var t=[];(this.labelCollectors||[]).forEach((function(e){t=t.concat(e())})),(this.yAxis||[]).forEach((function(e){e.stacking&&e.options.stackLabels&&!e.options.stackLabels.allowOverlap&&s(e.stacking.stacks,(function(e){s(e,(function(e){t.push(e.label)}))}))})),(this.series||[]).forEach((function(e){var n=e.options.dataLabels;e.visible&&(!1!==n.enabled||e._hasPointLabels)&&(e.nodes||e.points).forEach((function(e){e.visible&&(i(e.dataLabels)?e.dataLabels:e.dataLabel?[e.dataLabel]:[]).forEach((function(n){var r=n.options;n.labelrank=a(r.labelrank,e.labelrank,e.shapeArgs&&e.shapeArgs.height),r.allowOverlap||t.push(n)}))}))})),this.hideOverlappingLabels(t)})),t.prototype.hideOverlappingLabels=function(t){var e,n,i,s=this,a=t.length,l=s.renderer,c=!1,u=function(t){var e,n,r=t.box?0:t.padding||0,i=e=0;if(t&&(!t.alignAttr||t.placed)){var s=t.alignAttr||{x:t.attr("x"),y:t.attr("y")},a=t.parentGroup;t.width||(e=t.getBBox(),t.width=e.width,t.height=e.height,e=l.fontMetrics(null,t.element).h);var c=t.width-2*r;return(n={left:"0",center:"0.5",right:"1"}[t.alignValue])?i=+n*c:o(t.x)&&Math.round(t.x)!==t.translateX&&(i=t.x-t.translateX),{x:s.x+(a.translateX||0)+r-(i||0),y:s.y+(a.translateY||0)+r-e,width:t.width-2*r,height:t.height-2*r}}};for(n=0;n<a;n++)(e=t[n])&&(e.oldOpacity=e.opacity,e.newOpacity=1,e.absoluteBox=u(e));for(t.sort((function(t,e){return(e.labelrank||0)-(t.labelrank||0)})),n=0;n<a;n++){var h=(u=t[n])&&u.absoluteBox;for(e=n+1;e<a;++e){var p=(i=t[e])&&i.absoluteBox;!h||!p||u===i||0===u.newOpacity||0===i.newOpacity||p.x>=h.x+h.width||p.x+p.width<=h.x||p.y>=h.y+h.height||p.y+p.height<=h.y||((u.labelrank<i.labelrank?u:i).newOpacity=0)}}t.forEach((function(t){if(t){var e=t.newOpacity;t.oldOpacity!==e&&(t.alignAttr&&t.placed?(t[e?"removeClass":"addClass"]("highcharts-data-label-hidden"),c=!0,t.alignAttr.opacity=e,t[t.isOld?"animate":"attr"](t.alignAttr,null,(function(){s.styledMode||t.css({pointerEvents:e?"auto":"none"}),t.visibility=e?"inherit":"hidden"})),r(s,"afterHideOverlappingLabel")):t.attr({opacity:e})),t.isOld=!0}})),c&&r(s,"afterHideAllOverlappingLabels")}})),e(n,"Core/Interaction.js",[n["Core/Series/Series.js"],n["Core/Chart/Chart.js"],n["Core/Globals.js"],n["Core/Legend.js"],n["Series/LineSeries.js"],n["Core/Options.js"],n["Core/Series/Point.js"],n["Core/Utilities.js"]],(function(t,e,n,r,i,o,s,a){t=t.seriesTypes;var l=n.hasTouch,c=n.svg,u=o.defaultOptions,h=a.addEvent,p=a.createElement,d=a.css,f=a.defined,g=a.extend,m=a.fireEvent,v=a.isArray,y=a.isFunction,b=a.isNumber,_=a.isObject,x=a.merge,w=a.objectEach,S=a.pick;n=n.TrackerMixin={drawTrackerPoint:function(){var t,e=this,n=e.chart,r=n.pointer,i=function(t){var e=r.getPointFromEvent(t);typeof e<"u"&&(r.isDirectTouch=!0,e.onMouseOver(t))};e.points.forEach((function(e){t=v(e.dataLabels)?e.dataLabels:e.dataLabel?[e.dataLabel]:[],e.graphic&&(e.graphic.element.point=e),t.forEach((function(t){t.div?t.div.point=e:t.element.point=e}))})),e._hasTracking||(e.trackerGroups.forEach((function(t){e[t]&&(e[t].addClass("highcharts-tracker").on("mouseover",i).on("mouseout",(function(t){r.onTrackerMouseOut(t)})),l&&e[t].on("touchstart",i),!n.styledMode&&e.options.cursor&&e[t].css(d).css({cursor:e.options.cursor}))})),e._hasTracking=!0),m(this,"afterDrawTracker")},drawTrackerGraph:function(){var t=this,e=t.options,n=e.trackByArea,r=[].concat(n?t.areaPath:t.graphPath),i=t.chart,o=i.pointer,s=i.renderer,a=i.options.tooltip.snap,u=t.tracker,h=function(e){i.hoverSeries!==t&&t.onMouseOver()},p="rgba(192,192,192,"+(c?1e-4:.002)+")";u?u.attr({d:r}):t.graph&&(t.tracker=s.path(r).attr({visibility:t.visible?"visible":"hidden",zIndex:2}).addClass(n?"highcharts-tracker-area":"highcharts-tracker-line").add(t.group),i.styledMode||t.tracker.attr({"stroke-linecap":"round","stroke-linejoin":"round",stroke:p,fill:n?p:"none","stroke-width":t.graph.strokeWidth()+(n?0:2*a)}),[t.tracker,t.markerGroup].forEach((function(t){t.addClass("highcharts-tracker").on("mouseover",h).on("mouseout",(function(t){o.onTrackerMouseOut(t)})),e.cursor&&!i.styledMode&&t.css({cursor:e.cursor}),l&&t.on("touchstart",h)}))),m(this,"afterDrawTracker")}},t.column&&(t.column.prototype.drawTracker=n.drawTrackerPoint),t.pie&&(t.pie.prototype.drawTracker=n.drawTrackerPoint),t.scatter&&(t.scatter.prototype.drawTracker=n.drawTrackerPoint),g(r.prototype,{setItemEvents:function(t,e,n){var r=this,i=r.chart.renderer.boxWrapper,o=t instanceof s,a="highcharts-legend-"+(o?"point":"series")+"-active",l=r.chart.styledMode;(n?[e,t.legendSymbol]:[t.legendGroup]).forEach((function(n){n&&n.on("mouseover",(function(){t.visible&&r.allItems.forEach((function(e){t!==e&&e.setState("inactive",!o)})),t.setState("hover"),t.visible&&i.addClass(a),l||e.css(r.options.itemHoverStyle)})).on("mouseout",(function(){r.chart.styledMode||e.css(x(t.visible?r.itemStyle:r.itemHiddenStyle)),r.allItems.forEach((function(e){t!==e&&e.setState("",!o)})),i.removeClass(a),t.setState()})).on("click",(function(e){var n=function(){t.setVisible&&t.setVisible(),r.allItems.forEach((function(e){t!==e&&e.setState(t.visible?"inactive":"",!o)}))};i.removeClass(a),e={browserEvent:e},t.firePointEvent?t.firePointEvent("legendItemClick",e,n):m(t,"legendItemClick",e,n)}))}))},createCheckboxForItem:function(t){t.checkbox=p("input",{type:"checkbox",className:"highcharts-legend-checkbox",checked:t.selected,defaultChecked:t.selected},this.options.itemCheckboxStyle,this.chart.container),h(t.checkbox,"click",(function(e){m(t.series||t,"checkboxClick",{checked:e.target.checked,item:t},(function(){t.select()}))}))}}),g(e.prototype,{showResetZoom:function(){function t(){e.zoomOut()}var e=this,n=u.lang,r=e.options.chart.resetZoomButton,i=r.theme,o=i.states,s="chart"===r.relativeTo||"spaceBox"===r.relativeTo?null:"plotBox";m(this,"beforeShowResetZoom",null,(function(){e.resetZoomButton=e.renderer.button(n.resetZoom,null,null,t,i,o&&o.hover).attr({align:r.position.align,title:n.resetZoomTitle}).addClass("highcharts-reset-zoom").add().align(r.position,!1,s)})),m(this,"afterShowResetZoom")},zoomOut:function(){m(this,"selection",{resetSelection:!0},this.zoom)},zoom:function(t){var e,n=this,r=n.pointer,i=!1,o=n.inverted?r.mouseDownX:r.mouseDownY;!t||t.resetSelection?(n.axes.forEach((function(t){e=t.zoom()})),r.initiated=!1):t.xAxis.concat(t.yAxis).forEach((function(t){var s=t.axis,a=n.inverted?s.left:s.top,l=n.inverted?a+s.width:a+s.height,c=s.isXAxis,u=!1;(!c&&o>=a&&o<=l||c||!f(o))&&(u=!0),r[c?"zoomX":"zoomY"]&&u&&(e=s.zoom(t.min,t.max),s.displayBtn&&(i=!0))}));var s=n.resetZoomButton;i&&!s?n.showResetZoom():!i&&_(s)&&(n.resetZoomButton=s.destroy()),e&&n.redraw(S(n.options.chart.animation,t&&t.animation,100>n.pointCount))},pan:function(t,e){var n,r=this,i=r.hoverPoints,o=r.options.chart,s=r.options.mapNavigation&&r.options.mapNavigation.enabled;e="object"==typeof e?e:{enabled:e,type:"x"},o&&o.panning&&(o.panning=e);var a=e.type;m(this,"pan",{originalEvent:t},(function(){i&&i.forEach((function(t){t.setState()}));var e=[1];"xy"===a?e=[1,0]:"y"===a&&(e=[0]),e.forEach((function(e){var i=r[e?"xAxis":"yAxis"][0],o=i.horiz,l=t[o?"chartX":"chartY"],c=r[o=o?"mouseDownX":"mouseDownY"],u=(i.pointRange||0)/2,h=i.reversed&&!r.inverted||!i.reversed&&r.inverted?-1:1,p=i.getExtremes(),d=i.toValue(c-l,!0)+u*h,f=(h=i.toValue(c+i.len-l,!0)-u*h)<d;c=f?h:d,d=f?d:h;var g=i.hasVerticalPanning(),m=i.panningState;i.series.forEach((function(t){if(g&&!e&&(!m||m.isDirty)){var n=t.getProcessedData(!0);t=t.getExtremes(n.yData,!0),m||(m={startMin:Number.MAX_VALUE,startMax:-Number.MAX_VALUE}),b(t.dataMin)&&b(t.dataMax)&&(m.startMin=Math.min(t.dataMin,m.startMin),m.startMax=Math.max(t.dataMax,m.startMax))}})),h=Math.min(S(null==m?void 0:m.startMin,p.dataMin),u?p.min:i.toValue(i.toPixels(p.min)-i.minPixelPadding)),u=Math.max(S(null==m?void 0:m.startMax,p.dataMax),u?p.max:i.toValue(i.toPixels(p.max)+i.minPixelPadding)),i.panningState=m,i.isOrdinal||(0<(f=h-c)&&(d+=f,c=h),0<(f=d-u)&&(d=u,c-=f),i.series.length&&c!==p.min&&d!==p.max&&c>=h&&d<=u&&(i.setExtremes(c,d,!1,!1,{trigger:"pan"}),r.resetZoomButton||s||c===h||d===u||!a.match("y")||(r.showResetZoom(),i.displayBtn=!1),n=!0),r[o]=l)})),n&&r.redraw(!1),d(r.container,{cursor:"move"})}))}}),g(s.prototype,{select:function(t,e){var n=this,r=n.series,i=r.chart;this.selectedStaging=t=S(t,!n.selected),n.firePointEvent(t?"select":"unselect",{accumulate:e},(function(){n.selected=n.options.selected=t,r.options.data[r.data.indexOf(n)]=n.options,n.setState(t&&"select"),e||i.getSelectedPoints().forEach((function(t){var e=t.series;t.selected&&t!==n&&(t.selected=t.options.selected=!1,e.options.data[e.data.indexOf(t)]=t.options,t.setState(i.hoverPoints&&e.options.inactiveOtherPoints?"inactive":""),t.firePointEvent("unselect"))}))})),delete this.selectedStaging},onMouseOver:function(t){var e=this.series.chart,n=e.pointer;t=t?n.normalize(t):n.getChartCoordinatesFromPoint(this,e.inverted),n.runPointActions(t,this)},onMouseOut:function(){var t=this.series.chart;this.firePointEvent("mouseOut"),this.series.options.inactiveOtherPoints||(t.hoverPoints||[]).forEach((function(t){t.setState()})),t.hoverPoints=t.hoverPoint=null},importEvents:function(){if(!this.hasImportedEvents){var t=this,e=x(t.series.options.point,t.options).events;t.events=e,w(e,(function(e,n){y(e)&&h(t,n,e)})),this.hasImportedEvents=!0}},setState:function(t,e){var n,r=this.series,i=this.state,o=r.options.states[t||"normal"]||{},s=u.plotOptions[r.type].marker&&r.options.marker,a=s&&!1===s.enabled,l=s&&s.states&&s.states[t||"normal"]||{},c=!1===l.enabled,h=r.stateMarkerGraphic,p=this.marker||{},d=r.chart,f=r.halo,v=s&&r.markerAttribs;if(!((t=t||"")===this.state&&!e||this.selected&&"select"!==t||!1===o.enabled||t&&(c||a&&!1===l.enabled)||t&&p.states&&p.states[t]&&!1===p.states[t].enabled)){if(this.state=t,v&&(n=r.markerAttribs(this,t)),this.graphic){if(i&&this.graphic.removeClass("highcharts-point-"+i),t&&this.graphic.addClass("highcharts-point-"+t),!d.styledMode){var y=r.pointAttribs(this,t),b=S(d.options.chart.animation,o.animation);r.options.inactiveOtherPoints&&y.opacity&&((this.dataLabels||[]).forEach((function(t){t&&t.animate({opacity:y.opacity},b)})),this.connector&&this.connector.animate({opacity:y.opacity},b)),this.graphic.animate(y,b)}n&&this.graphic.animate(n,S(d.options.chart.animation,l.animation,s.animation)),h&&h.hide()}else t&&l&&(i=p.symbol||r.symbol,h&&h.currentSymbol!==i&&(h=h.destroy()),n&&(h?h[e?"animate":"attr"]({x:n.x,y:n.y}):i&&(r.stateMarkerGraphic=h=d.renderer.symbol(i,n.x,n.y,n.width,n.height).add(r.markerGroup),h.currentSymbol=i)),!d.styledMode&&h&&h.attr(r.pointAttribs(this,t))),h&&(h[t&&this.isInside?"show":"hide"](),h.element.point=this);t=o.halo,o=(h=this.graphic||h)&&h.visibility||"inherit",t&&t.size&&h&&"hidden"!==o&&!this.isCluster?(f||(r.halo=f=d.renderer.path().add(h.parentGroup)),f.show()[e?"animate":"attr"]({d:this.haloPath(t.size)}),f.attr({class:"highcharts-halo highcharts-color-"+S(this.colorIndex,r.colorIndex)+(this.className?" "+this.className:""),visibility:o,zIndex:-1}),f.point=this,d.styledMode||f.attr(g({fill:this.color||r.color,"fill-opacity":t.opacity},t.attributes))):f&&f.point&&f.point.haloPath&&f.animate({d:f.point.haloPath(0)},null,f.hide),m(this,"afterSetState")}},haloPath:function(t){return this.series.chart.renderer.symbols.circle(Math.floor(this.plotX)-t,this.plotY-t,2*t,2*t)}}),g(i.prototype,{onMouseOver:function(){var t=this.chart,e=t.hoverSeries;t.pointer.setHoverChartIndex(),e&&e!==this&&e.onMouseOut(),this.options.events.mouseOver&&m(this,"mouseOver"),this.setState("hover"),t.hoverSeries=this},onMouseOut:function(){var t=this.options,e=this.chart,n=e.tooltip,r=e.hoverPoint;e.hoverSeries=null,r&&r.onMouseOut(),this&&t.events.mouseOut&&m(this,"mouseOut"),!n||this.stickyTracking||n.shared&&!this.noSharedTooltip||n.hide(),e.series.forEach((function(t){t.setState("",!0)}))},setState:function(t,e){var n=this,r=n.options,i=n.graph,o=r.inactiveOtherPoints,s=r.states,a=r.lineWidth,l=r.opacity,c=S(s[t||"normal"]&&s[t||"normal"].animation,n.chart.options.chart.animation);if(r=0,t=t||"",n.state!==t&&([n.group,n.markerGroup,n.dataLabelsGroup].forEach((function(e){e&&(n.state&&e.removeClass("highcharts-series-"+n.state),t&&e.addClass("highcharts-series-"+t))})),n.state=t,!n.chart.styledMode)){if(s[t]&&!1===s[t].enabled)return;if(t&&(a=s[t].lineWidth||a+(s[t].lineWidthPlus||0),l=S(s[t].opacity,l)),i&&!i.dashstyle)for(s={"stroke-width":a},i.animate(s,c);n["zone-graph-"+r];)n["zone-graph-"+r].attr(s),r+=1;o||[n.group,n.markerGroup,n.dataLabelsGroup,n.labelBySeries].forEach((function(t){t&&t.animate({opacity:l},c)}))}e&&o&&n.points&&n.setAllPointsToState(t)},setAllPointsToState:function(t){this.points.forEach((function(e){e.setState&&e.setState(t)}))},setVisible:function(t,e){var n=this,r=n.chart,i=n.legendItem,o=r.options.chart.ignoreHiddenSeries,s=n.visible,a=(n.visible=t=n.options.visible=n.userOptions.visible=typeof t>"u"?!s:t)?"show":"hide";["group","dataLabelsGroup","markerGroup","tracker","tt"].forEach((function(t){n[t]&&n[t][a]()})),(r.hoverSeries===n||(r.hoverPoint&&r.hoverPoint.series)===n)&&n.onMouseOut(),i&&r.legend.colorizeItem(n,t),n.isDirty=!0,n.options.stacking&&r.series.forEach((function(t){t.options.stacking&&t.visible&&(t.isDirty=!0)})),n.linkedSeries.forEach((function(e){e.setVisible(t,!1)})),o&&(r.isDirtyBox=!0),m(n,a),!1!==e&&r.redraw()},show:function(){this.setVisible(!0)},hide:function(){this.setVisible(!1)},select:function(t){this.selected=t=this.options.selected=typeof t>"u"?!this.selected:t,this.checkbox&&(this.checkbox.checked=t),m(this,t?"select":"unselect")},drawTracker:n.drawTrackerGraph})})),e(n,"Core/Responsive.js",[n["Core/Chart/Chart.js"],n["Core/Utilities.js"]],(function(t,e){var n=e.find,r=e.isArray,i=e.isObject,o=e.merge,s=e.objectEach,a=e.pick,l=e.splat,c=e.uniqueKey;t.prototype.setResponsive=function(t,e){var r=this.options.responsive,i=[],s=this.currentResponsive;!e&&r&&r.rules&&r.rules.forEach((function(t){typeof t._id>"u"&&(t._id=c()),this.matchResponsiveRule(t,i)}),this),(e=o.apply(0,i.map((function(t){return n(r.rules,(function(e){return e._id===t})).chartOptions})))).isResponsiveOptions=!0,(i=i.toString()||void 0)!==(s&&s.ruleIds)&&(s&&this.update(s.undoOptions,t,!0),i?((s=this.currentOptions(e)).isResponsiveOptions=!0,this.currentResponsive={ruleIds:i,mergedOptions:e,undoOptions:s},this.update(e,t,!0)):this.currentResponsive=void 0)},t.prototype.matchResponsiveRule=function(t,e){var n=t.condition;(n.callback||function(){return this.chartWidth<=a(n.maxWidth,Number.MAX_VALUE)&&this.chartHeight<=a(n.maxHeight,Number.MAX_VALUE)&&this.chartWidth>=a(n.minWidth,0)&&this.chartHeight>=a(n.minHeight,0)}).call(this)&&e.push(t._id)},t.prototype.currentOptions=function(t){var e=this,n={};return function t(n,o,a,c){var u;s(n,(function(n,s){if(!c&&-1<e.collectionsWithUpdate.indexOf(s))for(n=l(n),a[s]=[],u=0;u<Math.max(n.length,o[s].length);u++)o[s][u]&&(void 0===n[u]?a[s][u]=o[s][u]:(a[s][u]={},t(n[u],o[s][u],a[s][u],c+1)));else i(n)?(a[s]=r(n)?[]:{},t(n,o[s]||{},a[s],c+1)):a[s]=typeof o[s]>"u"?null:o[s]}))}(t,this.options,n,0),n}})),e(n,"masters/highcharts.src.js",[n["Core/Globals.js"]],(function(t){return t})),n["masters/highcharts.src.js"]._modules=n,n["masters/highcharts.src.js"]},t.exports?(n.default=n,t.exports=e.document?n(e):n):(e.Highcharts&&e.Highcharts.error(16,!0),e.Highcharts=n(e))}(Zh);function Jh(t,e,n){var r,i,o,s,a;function l(){var c=Date.now()-s;c<e&&c>=0?r=setTimeout(l,e-c):(r=null,n||(a=t.apply(o,i),o=i=null))}null==e&&(e=100);var c=function(){o=this,i=arguments,s=Date.now();var c=n&&!r;return r||(r=setTimeout(l,e)),c&&(a=t.apply(o,i),o=i=null),a};return c.clear=function(){r&&(clearTimeout(r),r=null)},c.flush=function(){r&&(a=t.apply(o,i),o=i=null,clearTimeout(r),r=null)},c}Boolean,Jh.debounce=Jh;var Qh=Jh;function tp(t,e){var n=t.getBoundingClientRect();return{width:n.width/1,height:n.height/1,top:n.top/1,right:n.right/1,bottom:n.bottom/1,left:n.left/1,x:n.left/1,y:n.top/1}}function ep(t){if(null==t)return window;if("[object Window]"!==t.toString()){var e=t.ownerDocument;return e&&e.defaultView||window}return t}function np(t){var e=ep(t);return{scrollLeft:e.pageXOffset,scrollTop:e.pageYOffset}}function rp(t){return t instanceof ep(t).Element||t instanceof Element}function ip(t){return t instanceof ep(t).HTMLElement||t instanceof HTMLElement}function op(t){return!(typeof ShadowRoot>"u")&&(t instanceof ep(t).ShadowRoot||t instanceof ShadowRoot)}function sp(t){return t?(t.nodeName||"").toLowerCase():null}function ap(t){return((rp(t)?t.ownerDocument:t.document)||window.document).documentElement}function lp(t){return tp(ap(t)).left+np(t).scrollLeft}function cp(t){return ep(t).getComputedStyle(t)}function up(t){var e=cp(t),n=e.overflow,r=e.overflowX,i=e.overflowY;return/auto|scroll|overlay|hidden/.test(n+i+r)}function hp(t,e,n){void 0===n&&(n=!1);var r=ip(e);ip(e)&&function(t){var e=t.getBoundingClientRect();e.width,t.offsetWidth,e.height,t.offsetHeight}(e);var i=ap(e),o=tp(t),s={scrollLeft:0,scrollTop:0},a={x:0,y:0};return(r||!r&&!n)&&(("body"!==sp(e)||up(i))&&(s=function(t){return t!==ep(t)&&ip(t)?function(t){return{scrollLeft:t.scrollLeft,scrollTop:t.scrollTop}}(t):np(t)}(e)),ip(e)?((a=tp(e)).x+=e.clientLeft,a.y+=e.clientTop):i&&(a.x=lp(i))),{x:o.left+s.scrollLeft-a.x,y:o.top+s.scrollTop-a.y,width:o.width,height:o.height}}function pp(t){var e=tp(t),n=t.offsetWidth,r=t.offsetHeight;return Math.abs(e.width-n)<=1&&(n=e.width),Math.abs(e.height-r)<=1&&(r=e.height),{x:t.offsetLeft,y:t.offsetTop,width:n,height:r}}function dp(t){return"html"===sp(t)?t:t.assignedSlot||t.parentNode||(op(t)?t.host:null)||ap(t)}function fp(t){return["html","body","#document"].indexOf(sp(t))>=0?t.ownerDocument.body:ip(t)&&up(t)?t:fp(dp(t))}function gp(t,e){var n;void 0===e&&(e=[]);var r=fp(t),i=r===(null==(n=t.ownerDocument)?void 0:n.body),o=ep(r),s=i?[o].concat(o.visualViewport||[],up(r)?r:[]):r,a=e.concat(s);return i?a:a.concat(gp(dp(s)))}function mp(t){return["table","td","th"].indexOf(sp(t))>=0}function vp(t){return ip(t)&&"fixed"!==cp(t).position?t.offsetParent:null}function yp(t){for(var e=ep(t),n=vp(t);n&&mp(n)&&"static"===cp(n).position;)n=vp(n);return n&&("html"===sp(n)||"body"===sp(n)&&"static"===cp(n).position)?e:n||function(t){var e=-1!==navigator.userAgent.toLowerCase().indexOf("firefox");if(-1!==navigator.userAgent.indexOf("Trident")&&ip(t)&&"fixed"===cp(t).position)return null;for(var n=dp(t);ip(n)&&["html","body"].indexOf(sp(n))<0;){var r=cp(n);if("none"!==r.transform||"none"!==r.perspective||"paint"===r.contain||-1!==["transform","perspective"].indexOf(r.willChange)||e&&"filter"===r.willChange||e&&r.filter&&"none"!==r.filter)return n;n=n.parentNode}return null}(t)||e}var bp="top",_p="bottom",xp="right",wp="left",Sp="auto",kp=[bp,_p,xp,wp],Cp="start",Ap="end",Op="viewport",Tp="popper",Ep=kp.reduce((function(t,e){return t.concat([e+"-"+Cp,e+"-"+Ap])}),[]),Pp=[].concat(kp,[Sp]).reduce((function(t,e){return t.concat([e,e+"-"+Cp,e+"-"+Ap])}),[]),Mp=["beforeRead","read","afterRead","beforeMain","main","afterMain","beforeWrite","write","afterWrite"];function Lp(t){var e=new Map,n=new Set,r=[];function i(t){n.add(t.name),[].concat(t.requires||[],t.requiresIfExists||[]).forEach((function(t){if(!n.has(t)){var r=e.get(t);r&&i(r)}})),r.push(t)}return t.forEach((function(t){e.set(t.name,t)})),t.forEach((function(t){n.has(t.name)||i(t)})),r}function jp(t){var e;return function(){return e||(e=new Promise((function(n){Promise.resolve().then((function(){e=void 0,n(t())}))}))),e}}function Dp(t){return t.split("-")[0]}var $p=Math.max,Ip=Math.min,Rp=Math.round;function Np(t,e){var n=e.getRootNode&&e.getRootNode();if(t.contains(e))return!0;if(n&&op(n)){var r=e;do{if(r&&t.isSameNode(r))return!0;r=r.parentNode||r.host}while(r)}return!1}function Bp(t){return Object.assign({},t,{left:t.x,top:t.y,right:t.x+t.width,bottom:t.y+t.height})}function Fp(t,e){return e===Op?Bp(function(t){var e=ep(t),n=ap(t),r=e.visualViewport,i=n.clientWidth,o=n.clientHeight,s=0,a=0;return r&&(i=r.width,o=r.height,/^((?!chrome|android).)*safari/i.test(navigator.userAgent)||(s=r.offsetLeft,a=r.offsetTop)),{width:i,height:o,x:s+lp(t),y:a}}(t)):ip(e)?function(t){var e=tp(t);return e.top=e.top+t.clientTop,e.left=e.left+t.clientLeft,e.bottom=e.top+t.clientHeight,e.right=e.left+t.clientWidth,e.width=t.clientWidth,e.height=t.clientHeight,e.x=e.left,e.y=e.top,e}(e):Bp(function(t){var e,n=ap(t),r=np(t),i=null==(e=t.ownerDocument)?void 0:e.body,o=$p(n.scrollWidth,n.clientWidth,i?i.scrollWidth:0,i?i.clientWidth:0),s=$p(n.scrollHeight,n.clientHeight,i?i.scrollHeight:0,i?i.clientHeight:0),a=-r.scrollLeft+lp(t),l=-r.scrollTop;return"rtl"===cp(i||n).direction&&(a+=$p(n.clientWidth,i?i.clientWidth:0)-o),{width:o,height:s,x:a,y:l}}(ap(t)))}function zp(t){return t.split("-")[1]}function Vp(t){return["top","bottom"].indexOf(t)>=0?"x":"y"}function qp(t){var e,n=t.reference,r=t.element,i=t.placement,o=i?Dp(i):null,s=i?zp(i):null,a=n.x+n.width/2-r.width/2,l=n.y+n.height/2-r.height/2;switch(o){case bp:e={x:a,y:n.y-r.height};break;case _p:e={x:a,y:n.y+n.height};break;case xp:e={x:n.x+n.width,y:l};break;case wp:e={x:n.x-r.width,y:l};break;default:e={x:n.x,y:n.y}}var c=o?Vp(o):null;if(null!=c){var u="y"===c?"height":"width";switch(s){case Cp:e[c]=e[c]-(n[u]/2-r[u]/2);break;case Ap:e[c]=e[c]+(n[u]/2-r[u]/2)}}return e}function Wp(t){return Object.assign({},{top:0,right:0,bottom:0,left:0},t)}function Hp(t,e){return e.reduce((function(e,n){return e[n]=t,e}),{})}function Up(t,e){void 0===e&&(e={});var n=e,r=n.placement,i=void 0===r?t.placement:r,o=n.boundary,s=void 0===o?"clippingParents":o,a=n.rootBoundary,l=void 0===a?Op:a,c=n.elementContext,u=void 0===c?Tp:c,h=n.altBoundary,p=void 0!==h&&h,d=n.padding,f=void 0===d?0:d,g=Wp("number"!=typeof f?f:Hp(f,kp)),m=u===Tp?"reference":Tp,v=t.rects.popper,y=t.elements[p?m:u],b=function(t,e,n){var r="clippingParents"===e?function(t){var e=gp(dp(t)),n=["absolute","fixed"].indexOf(cp(t).position)>=0&&ip(t)?yp(t):t;return rp(n)?e.filter((function(t){return rp(t)&&Np(t,n)&&"body"!==sp(t)})):[]}(t):[].concat(e),i=[].concat(r,[n]),o=i[0],s=i.reduce((function(e,n){var r=Fp(t,n);return e.top=$p(r.top,e.top),e.right=Ip(r.right,e.right),e.bottom=Ip(r.bottom,e.bottom),e.left=$p(r.left,e.left),e}),Fp(t,o));return s.width=s.right-s.left,s.height=s.bottom-s.top,s.x=s.left,s.y=s.top,s}(rp(y)?y:y.contextElement||ap(t.elements.popper),s,l),_=tp(t.elements.reference),x=qp({reference:_,element:v,strategy:"absolute",placement:i}),w=Bp(Object.assign({},v,x)),S=u===Tp?w:_,k={top:b.top-S.top+g.top,bottom:S.bottom-b.bottom+g.bottom,left:b.left-S.left+g.left,right:S.right-b.right+g.right},C=t.modifiersData.offset;if(u===Tp&&C){var A=C[i];Object.keys(k).forEach((function(t){var e=[xp,_p].indexOf(t)>=0?1:-1,n=[bp,_p].indexOf(t)>=0?"y":"x";k[t]+=A[n]*e}))}return k}var Gp={placement:"bottom",modifiers:[],strategy:"absolute"};function Xp(){for(var t=arguments.length,e=new Array(t),n=0;n<t;n++)e[n]=arguments[n];return!e.some((function(t){return!(t&&"function"==typeof t.getBoundingClientRect)}))}function Yp(t){void 0===t&&(t={});var e=t,n=e.defaultModifiers,r=void 0===n?[]:n,i=e.defaultOptions,o=void 0===i?Gp:i;return function(t,e,n){void 0===n&&(n=o);var i={placement:"bottom",orderedModifiers:[],options:Object.assign({},Gp,o),modifiersData:{},elements:{reference:t,popper:e},attributes:{},styles:{}},s=[],a=!1,l={state:i,setOptions:function(n){var a="function"==typeof n?n(i.options):n;c(),i.options=Object.assign({},o,i.options,a),i.scrollParents={reference:rp(t)?gp(t):t.contextElement?gp(t.contextElement):[],popper:gp(e)};var u=function(t){var e=Lp(t);return Mp.reduce((function(t,n){return t.concat(e.filter((function(t){return t.phase===n})))}),[])}(function(t){var e=t.reduce((function(t,e){var n=t[e.name];return t[e.name]=n?Object.assign({},n,e,{options:Object.assign({},n.options,e.options),data:Object.assign({},n.data,e.data)}):e,t}),{});return Object.keys(e).map((function(t){return e[t]}))}([].concat(r,i.options.modifiers)));return i.orderedModifiers=u.filter((function(t){return t.enabled})),i.orderedModifiers.forEach((function(t){var e=t.name,n=t.options,r=void 0===n?{}:n,o=t.effect;if("function"==typeof o){var a=o({state:i,name:e,instance:l,options:r});s.push(a||function(){})}})),l.update()},forceUpdate:function(){if(!a){var t=i.elements,e=t.reference,n=t.popper;if(Xp(e,n)){i.rects={reference:hp(e,yp(n),"fixed"===i.options.strategy),popper:pp(n)},i.reset=!1,i.placement=i.options.placement,i.orderedModifiers.forEach((function(t){return i.modifiersData[t.name]=Object.assign({},t.data)}));for(var r=0;r<i.orderedModifiers.length;r++)if(!0!==i.reset){var o=i.orderedModifiers[r],s=o.fn,c=o.options,u=void 0===c?{}:c,h=o.name;"function"==typeof s&&(i=s({state:i,options:u,name:h,instance:l})||i)}else i.reset=!1,r=-1}}},update:jp((function(){return new Promise((function(t){l.forceUpdate(),t(i)}))})),destroy:function(){c(),a=!0}};if(!Xp(t,e))return l;function c(){s.forEach((function(t){return t()})),s=[]}return l.setOptions(n).then((function(t){!a&&n.onFirstUpdate&&n.onFirstUpdate(t)})),l}}var Kp={passive:!0},Zp={name:"eventListeners",enabled:!0,phase:"write",fn:function(){},effect:function(t){var e=t.state,n=t.instance,r=t.options,i=r.scroll,o=void 0===i||i,s=r.resize,a=void 0===s||s,l=ep(e.elements.popper),c=[].concat(e.scrollParents.reference,e.scrollParents.popper);return o&&c.forEach((function(t){t.addEventListener("scroll",n.update,Kp)})),a&&l.addEventListener("resize",n.update,Kp),function(){o&&c.forEach((function(t){t.removeEventListener("scroll",n.update,Kp)})),a&&l.removeEventListener("resize",n.update,Kp)}},data:{}},Jp={name:"popperOffsets",enabled:!0,phase:"read",fn:function(t){var e=t.state,n=t.name;e.modifiersData[n]=qp({reference:e.rects.reference,element:e.rects.popper,strategy:"absolute",placement:e.placement})},data:{}},Qp={top:"auto",right:"auto",bottom:"auto",left:"auto"};function td(t){var e,n=t.popper,r=t.popperRect,i=t.placement,o=t.variation,s=t.offsets,a=t.position,l=t.gpuAcceleration,c=t.adaptive,u=t.roundOffsets,h=!0===u?function(t){var e=t.x,n=t.y,r=window.devicePixelRatio||1;return{x:Rp(Rp(e*r)/r)||0,y:Rp(Rp(n*r)/r)||0}}(s):"function"==typeof u?u(s):s,p=h.x,d=void 0===p?0:p,f=h.y,g=void 0===f?0:f,m=s.hasOwnProperty("x"),v=s.hasOwnProperty("y"),y=wp,b=bp,_=window;if(c){var x=yp(n),w="clientHeight",S="clientWidth";x===ep(n)&&"static"!==cp(x=ap(n)).position&&"absolute"===a&&(w="scrollHeight",S="scrollWidth"),(i===bp||(i===wp||i===xp)&&o===Ap)&&(b=_p,g-=x[w]-r.height,g*=l?1:-1),(i===wp||(i===bp||i===_p)&&o===Ap)&&(y=xp,d-=x[S]-r.width,d*=l?1:-1)}var k,C=Object.assign({position:a},c&&Qp);return l?Object.assign({},C,((k={})[b]=v?"0":"",k[y]=m?"0":"",k.transform=(_.devicePixelRatio||1)<=1?"translate("+d+"px, "+g+"px)":"translate3d("+d+"px, "+g+"px, 0)",k)):Object.assign({},C,((e={})[b]=v?g+"px":"",e[y]=m?d+"px":"",e.transform="",e))}var ed={name:"computeStyles",enabled:!0,phase:"beforeWrite",fn:function(t){var e=t.state,n=t.options,r=n.gpuAcceleration,i=void 0===r||r,o=n.adaptive,s=void 0===o||o,a=n.roundOffsets,l=void 0===a||a,c={placement:Dp(e.placement),variation:zp(e.placement),popper:e.elements.popper,popperRect:e.rects.popper,gpuAcceleration:i};null!=e.modifiersData.popperOffsets&&(e.styles.popper=Object.assign({},e.styles.popper,td(Object.assign({},c,{offsets:e.modifiersData.popperOffsets,position:e.options.strategy,adaptive:s,roundOffsets:l})))),null!=e.modifiersData.arrow&&(e.styles.arrow=Object.assign({},e.styles.arrow,td(Object.assign({},c,{offsets:e.modifiersData.arrow,position:"absolute",adaptive:!1,roundOffsets:l})))),e.attributes.popper=Object.assign({},e.attributes.popper,{"data-popper-placement":e.placement})},data:{}},nd={name:"applyStyles",enabled:!0,phase:"write",fn:function(t){var e=t.state;Object.keys(e.elements).forEach((function(t){var n=e.styles[t]||{},r=e.attributes[t]||{},i=e.elements[t];!ip(i)||!sp(i)||(Object.assign(i.style,n),Object.keys(r).forEach((function(t){var e=r[t];!1===e?i.removeAttribute(t):i.setAttribute(t,!0===e?"":e)})))}))},effect:function(t){var e=t.state,n={popper:{position:e.options.strategy,left:"0",top:"0",margin:"0"},arrow:{position:"absolute"},reference:{}};return Object.assign(e.elements.popper.style,n.popper),e.styles=n,e.elements.arrow&&Object.assign(e.elements.arrow.style,n.arrow),function(){Object.keys(e.elements).forEach((function(t){var r=e.elements[t],i=e.attributes[t]||{},o=Object.keys(e.styles.hasOwnProperty(t)?e.styles[t]:n[t]).reduce((function(t,e){return t[e]="",t}),{});!ip(r)||!sp(r)||(Object.assign(r.style,o),Object.keys(i).forEach((function(t){r.removeAttribute(t)})))}))}},requires:["computeStyles"]},rd=Yp({defaultModifiers:[Zp,Jp,ed,nd]});function id(t,e,n){return $p(t,Ip(e,n))}var od={name:"preventOverflow",enabled:!0,phase:"main",fn:function(t){var e=t.state,n=t.options,r=t.name,i=n.mainAxis,o=void 0===i||i,s=n.altAxis,a=void 0!==s&&s,l=n.boundary,c=n.rootBoundary,u=n.altBoundary,h=n.padding,p=n.tether,d=void 0===p||p,f=n.tetherOffset,g=void 0===f?0:f,m=Up(e,{boundary:l,rootBoundary:c,padding:h,altBoundary:u}),v=Dp(e.placement),y=zp(e.placement),b=!y,_=Vp(v),x=function(t){return"x"===t?"y":"x"}(_),w=e.modifiersData.popperOffsets,S=e.rects.reference,k=e.rects.popper,C="function"==typeof g?g(Object.assign({},e.rects,{placement:e.placement})):g,A={x:0,y:0};if(w){if(o||a){var O="y"===_?bp:wp,T="y"===_?_p:xp,E="y"===_?"height":"width",P=w[_],M=w[_]+m[O],L=w[_]-m[T],j=d?-k[E]/2:0,D=y===Cp?S[E]:k[E],$=y===Cp?-k[E]:-S[E],I=e.elements.arrow,R=d&&I?pp(I):{width:0,height:0},N=e.modifiersData["arrow#persistent"]?e.modifiersData["arrow#persistent"].padding:{top:0,right:0,bottom:0,left:0},B=N[O],F=N[T],z=id(0,S[E],R[E]),V=b?S[E]/2-j-z-B-C:D-z-B-C,q=b?-S[E]/2+j+z+F+C:$+z+F+C,W=e.elements.arrow&&yp(e.elements.arrow),H=W?"y"===_?W.clientTop||0:W.clientLeft||0:0,U=e.modifiersData.offset?e.modifiersData.offset[e.placement][_]:0,G=w[_]+V-U-H,X=w[_]+q-U;if(o){var Y=id(d?Ip(M,G):M,P,d?$p(L,X):L);w[_]=Y,A[_]=Y-P}if(a){var K="x"===_?bp:wp,Z="x"===_?_p:xp,J=w[x],Q=J+m[K],tt=J-m[Z],et=id(d?Ip(Q,G):Q,J,d?$p(tt,X):tt);w[x]=et,A[x]=et-J}}e.modifiersData[r]=A}},requiresIfExists:["offset"]},sd={left:"right",right:"left",bottom:"top",top:"bottom"};function ad(t){return t.replace(/left|right|bottom|top/g,(function(t){return sd[t]}))}var ld={start:"end",end:"start"};function cd(t){return t.replace(/start|end/g,(function(t){return ld[t]}))}var ud={name:"flip",enabled:!0,phase:"main",fn:function(t){var e=t.state,n=t.options,r=t.name;if(!e.modifiersData[r]._skip){for(var i=n.mainAxis,o=void 0===i||i,s=n.altAxis,a=void 0===s||s,l=n.fallbackPlacements,c=n.padding,u=n.boundary,h=n.rootBoundary,p=n.altBoundary,d=n.flipVariations,f=void 0===d||d,g=n.allowedAutoPlacements,m=e.options.placement,v=Dp(m),y=l||(v!==m&&f?function(t){if(Dp(t)===Sp)return[];var e=ad(t);return[cd(t),e,cd(e)]}(m):[ad(m)]),b=[m].concat(y).reduce((function(t,n){return t.concat(Dp(n)===Sp?function(t,e){void 0===e&&(e={});var n=e,r=n.placement,i=n.boundary,o=n.rootBoundary,s=n.padding,a=n.flipVariations,l=n.allowedAutoPlacements,c=void 0===l?Pp:l,u=zp(r),h=u?a?Ep:Ep.filter((function(t){return zp(t)===u})):kp,p=h.filter((function(t){return c.indexOf(t)>=0}));0===p.length&&(p=h);var d=p.reduce((function(e,n){return e[n]=Up(t,{placement:n,boundary:i,rootBoundary:o,padding:s})[Dp(n)],e}),{});return Object.keys(d).sort((function(t,e){return d[t]-d[e]}))}(e,{placement:n,boundary:u,rootBoundary:h,padding:c,flipVariations:f,allowedAutoPlacements:g}):n)}),[]),_=e.rects.reference,x=e.rects.popper,w=new Map,S=!0,k=b[0],C=0;C<b.length;C++){var A=b[C],O=Dp(A),T=zp(A)===Cp,E=[bp,_p].indexOf(O)>=0,P=E?"width":"height",M=Up(e,{placement:A,boundary:u,rootBoundary:h,altBoundary:p,padding:c}),L=E?T?xp:wp:T?_p:bp;_[P]>x[P]&&(L=ad(L));var j=ad(L),D=[];if(o&&D.push(M[O]<=0),a&&D.push(M[L]<=0,M[j]<=0),D.every((function(t){return t}))){k=A,S=!1;break}w.set(A,D)}if(S)for(var $=function(t){var e=b.find((function(e){var n=w.get(e);if(n)return n.slice(0,t).every((function(t){return t}))}));if(e)return k=e,"break"},I=f?3:1;I>0&&"break"!==$(I);I--);e.placement!==k&&(e.modifiersData[r]._skip=!0,e.placement=k,e.reset=!0)}},requiresIfExists:["offset"],data:{_skip:!1}},hd={name:"offset",enabled:!0,phase:"main",requires:["popperOffsets"],fn:function(t){var e=t.state,n=t.options,r=t.name,i=n.offset,o=void 0===i?[0,0]:i,s=Pp.reduce((function(t,n){return t[n]=function(t,e,n){var r=Dp(t),i=[wp,bp].indexOf(r)>=0?-1:1,o="function"==typeof n?n(Object.assign({},e,{placement:t})):n,s=o[0],a=o[1];return s=s||0,a=(a||0)*i,[wp,xp].indexOf(r)>=0?{x:a,y:s}:{x:s,y:a}}(n,e.rects,o),t}),{}),a=s[e.placement],l=a.x,c=a.y;null!=e.modifiersData.popperOffsets&&(e.modifiersData.popperOffsets.x+=l,e.modifiersData.popperOffsets.y+=c),e.modifiersData[r]=s}},pd={name:"arrow",enabled:!0,phase:"main",fn:function(t){var e,n=t.state,r=t.name,i=t.options,o=n.elements.arrow,s=n.modifiersData.popperOffsets,a=Dp(n.placement),l=Vp(a),c=[wp,xp].indexOf(a)>=0?"height":"width";if(o&&s){var u=function(t,e){return Wp("number"!=typeof(t="function"==typeof t?t(Object.assign({},e.rects,{placement:e.placement})):t)?t:Hp(t,kp))}(i.padding,n),h=pp(o),p="y"===l?bp:wp,d="y"===l?_p:xp,f=n.rects.reference[c]+n.rects.reference[l]-s[l]-n.rects.popper[c],g=s[l]-n.rects.reference[l],m=yp(o),v=m?"y"===l?m.clientHeight||0:m.clientWidth||0:0,y=f/2-g/2,b=u[p],_=v-h[c]-u[d],x=v/2-h[c]/2+y,w=id(b,x,_),S=l;n.modifiersData[r]=((e={})[S]=w,e.centerOffset=w-x,e)}},effect:function(t){var e=t.state,n=t.options.element,r=void 0===n?"[data-popper-arrow]":n;null!=r&&("string"==typeof r&&!(r=e.elements.popper.querySelector(r))||Np(e.elements.popper,r)&&(e.elements.arrow=r))},requires:["popperOffsets"],requiresIfExists:["preventOverflow"]};const dd=t=>parseInt(t,10);const fd={id:"arrow","data-popper-arrow":""};function gd(t,e){void 0===e&&(e={});var n=e.insertAt;if(t&&!(typeof document>"u")){var r=document.head||document.getElementsByTagName("head")[0],i=document.createElement("style");i.type="text/css","top"===n&&r.firstChild?r.insertBefore(i,r.firstChild):r.appendChild(i),i.styleSheet?i.styleSheet.cssText=t:i.appendChild(document.createTextNode(t))}}gd('\n#arrow[data-v-20b7fd4a],\n  #arrow[data-v-20b7fd4a]::before {\n    transition: background 250ms ease-in-out;\n    position: absolute;\n    width: calc(10px - var(--popper-theme-border-width, 0px));\n    height: calc(10px - var(--popper-theme-border-width, 0px));\n    box-sizing: border-box;\n    background: var(--popper-theme-background-color);\n}\n#arrow[data-v-20b7fd4a] {\n    visibility: hidden;\n}\n#arrow[data-v-20b7fd4a]::before {\n    visibility: visible;\n    content: "";\n    transform: rotate(45deg);\n}\n\n  /* Top arrow */\n.popper[data-popper-placement^="top"] > #arrow[data-v-20b7fd4a] {\n    bottom: -5px;\n}\n.popper[data-popper-placement^="top"] > #arrow[data-v-20b7fd4a]::before {\n    border-right: var(--popper-theme-border-width)\n      var(--popper-theme-border-style) var(--popper-theme-border-color);\n    border-bottom: var(--popper-theme-border-width)\n      var(--popper-theme-border-style) var(--popper-theme-border-color);\n}\n\n  /* Bottom arrow */\n.popper[data-popper-placement^="bottom"] > #arrow[data-v-20b7fd4a] {\n    top: -5px;\n}\n.popper[data-popper-placement^="bottom"] > #arrow[data-v-20b7fd4a]::before {\n    border-left: var(--popper-theme-border-width)\n      var(--popper-theme-border-style) var(--popper-theme-border-color);\n    border-top: var(--popper-theme-border-width)\n      var(--popper-theme-border-style) var(--popper-theme-border-color);\n}\n\n  /* Left arrow */\n.popper[data-popper-placement^="left"] > #arrow[data-v-20b7fd4a] {\n    right: -5px;\n}\n.popper[data-popper-placement^="left"] > #arrow[data-v-20b7fd4a]::before {\n    border-right: var(--popper-theme-border-width)\n      var(--popper-theme-border-style) var(--popper-theme-border-color);\n    border-top: var(--popper-theme-border-width)\n      var(--popper-theme-border-style) var(--popper-theme-border-color);\n}\n\n  /* Right arrow */\n.popper[data-popper-placement^="right"] > #arrow[data-v-20b7fd4a] {\n    left: -5px;\n}\n');var md={render:function(t,e){return Ai(),Pi("div",fd)},__scopeId:"data-v-20b7fd4a"};const vd=["onKeyup"];var yd={props:{placement:{type:String,default:"bottom",validator:function(t){return["auto","auto-start","auto-end","top","top-start","top-end","bottom","bottom-start","bottom-end","right","right-start","right-end","left","left-start","left-end"].includes(t)}},disableClickAway:{type:Boolean,default:!1},offsetSkid:{type:String,default:"0"},offsetDistance:{type:String,default:"12"},hover:{type:Boolean,default:!1},show:{type:Boolean,default:null},disabled:{type:Boolean,default:!1},openDelay:{type:[Number,String],default:0},closeDelay:{type:[Number,String],default:0},zIndex:{type:[Number,String],default:9999},arrow:{type:Boolean,default:!1},arrowPadding:{type:String,default:"0"},interactive:{type:Boolean,default:!0},locked:{type:Boolean,default:!1},content:{type:String,default:null}},emits:["open:popper","close:popper"],setup(t,{emit:e}){const n=t;No((e=>({c81fc0a4:t.zIndex})));const r=Dr(),i=Ae(null),o=Ae(null),s=Ae(null),a=Ae(!1);mr((()=>{const t=r.default();if(t&&t.length>1)return console.error(`[Popper]: The <Popper> component expects only one child element at its root. You passed ${t.length} child nodes.`)}));const{arrowPadding:l,closeDelay:c,content:u,disableClickAway:h,disabled:p,interactive:d,locked:f,offsetDistance:g,offsetSkid:m,openDelay:v,placement:y,show:b}=je(n),{isOpen:_,open:x,close:w}=function({arrowPadding:t,emit:e,locked:n,offsetDistance:r,offsetSkid:i,placement:o,popperNode:s,triggerNode:a}){const l=ue({isOpen:!1,popperInstance:null}),c=t=>{var e;null===(e=l.popperInstance)||void 0===e||e.setOptions((e=>({...e,modifiers:[...e.modifiers,{name:"eventListeners",enabled:t}]})))};Nn([()=>l.isOpen,o],(async([t])=>{t?(await u(),c(!0)):c(!1)}));const u=async()=>{await Ye(),l.popperInstance=rd(a.value,s.value,{placement:o.value,modifiers:[od,ud,{name:"flip",enabled:!n.value},pd,{name:"arrow",options:{padding:dd(t.value)}},hd,{name:"offset",options:{offset:[dd(i.value),dd(r.value)]}}]}),l.popperInstance.update()};return br((()=>{var t;null===(t=l.popperInstance)||void 0===t||t.destroy()})),{...je(l),open:()=>{l.isOpen||(l.isOpen=!0,e("open:popper"))},close:()=>{l.isOpen&&(l.isOpen=!1,e("close:popper"))}}}({arrowPadding:l,emit:e,locked:f,offsetDistance:g,offsetSkid:m,placement:y,popperNode:o,triggerNode:s}),{hasContent:S}=function(t,e,n){let r=null;const i=Ae(!1);mr((()=>{(void 0!==t.content||n.value)&&(i.value=!0),r=new MutationObserver(o),r.observe(e.value,{childList:!0,subtree:!0})})),br((()=>r.disconnect())),Nn(n,(t=>{i.value=!!t}));const o=()=>{t.content?i.value=!0:i.value=!1};return{hasContent:i}}(r,o,u),k=ho((()=>null!==b.value)),C=ho((()=>p.value||!S.value)),A=ho((()=>_.value&&!C.value)),O=ho((()=>!h.value&&!k.value)),T=ho((()=>d.value?`border: ${g.value}px solid transparent; margin: -${g.value}px;`:null)),E=Qh.debounce(x,v.value),P=Qh.debounce(w,c.value),M=async()=>{C.value||k.value||(P.clear(),E())},L=async()=>{k.value||(E.clear(),P())},j=()=>{_.value?L():M()};return Nn([S,p],(([t,e])=>{_.value&&(!t||e)&&w()})),Nn(_,(t=>{t?a.value=!0:Qh.debounce((()=>{a.value=!1}),200)})),In((()=>{k.value&&(b.value?E():P())})),In((()=>{O.value&&function(t,e){typeof window>"u"||!window||function(t,e,n){Ce(t)?Nn(t,((t,r)=>{null==r||r.removeEventListener(e,n),null==t||t.addEventListener(e,n)})):mr((()=>{t.addEventListener(e,n)})),br((()=>{var r;null===(r=Pe(t))||void 0===r||r.removeEventListener(e,n)}))}(window,"pointerdown",(n=>{const r=Pe(t);r&&(r===n.target||n.composedPath().includes(r)||e(n))}))}(i,L)})),(e,n)=>(Ai(),Pi("div",{class:"inline-block",style:W(Pe(T)),onMouseleave:n[2]||(n[2]=e=>t.hover&&L()),ref:(t,e)=>{e.popperContainerNode=t,i.value=t}},[Ri("div",{ref:(t,e)=>{e.triggerNode=t,s.value=t},onMouseover:n[0]||(n[0]=e=>t.hover&&M()),onClick:j,onFocus:M,onKeyup:us(L,["esc"])},[Or(e.$slots,"default")],40,vd),Ni(xo,{name:"fade"},{default:wn((()=>[qn(Ri("div",{onClick:n[1]||(n[1]=t=>!Pe(d)&&L()),class:"popper",ref:(t,e)=>{e.popperNode=t,o.value=t}},[Or(e.$slots,"content",{close:Pe(w),isOpen:a.value},(()=>[zi(et(Pe(u)),1)])),t.arrow?(Ai(),Mi(md,{key:0})):Vi("",!0)],512),[[$o,Pe(A)]])])),_:3})],36))}};gd("\n.inline-block[data-v-5784ed69] {\n    display: inline-block;\n}\n.popper[data-v-5784ed69] {\n    transition: background 250ms ease-in-out;\n    background: var(--popper-theme-background-color);\n    padding: var(--popper-theme-padding);\n    color: var(--popper-theme-text-color);\n    border-radius: var(--popper-theme-border-radius);\n    border-width: var(--popper-theme-border-width);\n    border-style: var(--popper-theme-border-style);\n    border-color: var(--popper-theme-border-color);\n    box-shadow: var(--popper-theme-box-shadow);\n    z-index: var(--c81fc0a4);\n}\n.popper[data-v-5784ed69]:hover,\n  .popper:hover > #arrow[data-v-5784ed69]::before {\n    background: var(--popper-theme-background-color-hover);\n}\n.inline-block[data-v-5784ed69] {\n    display: inline-block;\n}\n.fade-enter-active[data-v-5784ed69],\n  .fade-leave-active[data-v-5784ed69] {\n    transition: opacity 0.2s ease;\n}\n.fade-enter-from[data-v-5784ed69],\n  .fade-leave-to[data-v-5784ed69] {\n    opacity: 0;\n}\n"),yd.__scopeId="data-v-5784ed69";var bd=(()=>{const t=yd;return t.install=e=>{e.component("Popper",t)},t})();const _d=rr({__name:"index",props:{arrow:{type:Boolean},hover:{type:Boolean},offsetDistance:{},offsetSkid:{},placement:{default:"bottom-end"}},emits:["open:popover","close:popover"],setup(t,{emit:e}){const n=Dr();function r(){e("open:popover")}function i(){e("close:popover")}return(t,e)=>(Ai(),Mi(Pe(bd),Ui({...t.$attrs,...t.$props},{class:"popover","onOpen:popper":r,"onClose:popper":i}),Ar({default:wn((()=>[Or(t.$slots,"default")])),_:2},[Pe(n).tooltip?{name:"content",fn:wn((e=>[Or(t.$slots,"tooltip",K(Bi(e)))])),key:"0"}:void 0]),1040))}});rr({name:"DropdownMenu",components:{IconViewer:Uh,Popover:_d},props:{position:{type:String,default:"bottom-end"},hoverable:{type:Boolean,default:!1},icon:{type:String,required:!1},offsetDistance:{type:String,default:"12",required:!1}},emits:["close-dropdown"],data:()=>({showDropdown:!1}),mounted(){document&&document.addEventListener("click",this.clickHandler)},unmounted(){document&&document.removeEventListener("click",this.clickHandler)},methods:{clickHandler(t){t.target.getAttribute("disable-close")||this.$refs.popover&&!this.$refs.popover.$el.contains(t.target)&&this.close()},handleMouseEnter(){this.hoverable&&(this.showDropdown=!0)},handleMouseLeave(){this.hoverable&&this.close()},toggleOnClick(t){t.target.getAttribute("disable-close")||(this.showDropdown=!this.showDropdown)},close(){this.$emit("close-dropdown"),this.showDropdown=!1}}});function xd(t,e){var n=Object.keys(t);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(t);e&&(r=r.filter((function(e){return Object.getOwnPropertyDescriptor(t,e).enumerable}))),n.push.apply(n,r)}return n}function wd(t){for(var e=1;e<arguments.length;e++){var n=null!=arguments[e]?arguments[e]:{};e%2?xd(Object(n),!0).forEach((function(e){kd(t,e,n[e])})):Object.getOwnPropertyDescriptors?Object.defineProperties(t,Object.getOwnPropertyDescriptors(n)):xd(Object(n)).forEach((function(e){Object.defineProperty(t,e,Object.getOwnPropertyDescriptor(n,e))}))}return t}function Sd(t){return(Sd="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(t){return typeof t}:function(t){return t&&"function"==typeof Symbol&&t.constructor===Symbol&&t!==Symbol.prototype?"symbol":typeof t})(t)}function kd(t,e,n){return e in t?Object.defineProperty(t,e,{value:n,enumerable:!0,configurable:!0,writable:!0}):t[e]=n,t}function Cd(){return Cd=Object.assign||function(t){for(var e=1;e<arguments.length;e++){var n=arguments[e];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(t[r]=n[r])}return t},Cd.apply(this,arguments)}function Ad(t){if(typeof window<"u"&&window.navigator)return!!navigator.userAgent.match(t)}var Od=Ad(/(?:Trident.*rv[ :]?11\.|msie|iemobile|Windows Phone)/i),Td=Ad(/Edge/i),Ed=Ad(/firefox/i),Pd=Ad(/safari/i)&&!Ad(/chrome/i)&&!Ad(/android/i),Md=Ad(/iP(ad|od|hone)/i),Ld=Ad(/chrome/i)&&Ad(/android/i),jd={capture:!1,passive:!1};function Dd(t,e,n){t.addEventListener(e,n,!Od&&jd)}function $d(t,e,n){t.removeEventListener(e,n,!Od&&jd)}function Id(t,e){if(e){if(">"===e[0]&&(e=e.substring(1)),t)try{if(t.matches)return t.matches(e);if(t.msMatchesSelector)return t.msMatchesSelector(e);if(t.webkitMatchesSelector)return t.webkitMatchesSelector(e)}catch{return!1}return!1}}function Rd(t){return t.host&&t!==document&&t.host.nodeType?t.host:t.parentNode}function Nd(t,e,n,r){if(t){n=n||document;do{if(null!=e&&(">"===e[0]?t.parentNode===n&&Id(t,e):Id(t,e))||r&&t===n)return t;if(t===n)break}while(t=Rd(t))}return null}var Bd,Fd=/\s+/g;function zd(t,e,n){if(t&&e)if(t.classList)t.classList[n?"add":"remove"](e);else{var r=(" "+t.className+" ").replace(Fd," ").replace(" "+e+" "," ");t.className=(r+(n?" "+e:"")).replace(Fd," ")}}function Vd(t,e,n){var r=t&&t.style;if(r){if(void 0===n)return document.defaultView&&document.defaultView.getComputedStyle?n=document.defaultView.getComputedStyle(t,""):t.currentStyle&&(n=t.currentStyle),void 0===e?n:n[e];!(e in r)&&-1===e.indexOf("webkit")&&(e="-webkit-"+e),r[e]=n+("string"==typeof n?"":"px")}}function qd(t,e){var n="";if("string"==typeof t)n=t;else do{var r=Vd(t,"transform");r&&"none"!==r&&(n=r+" "+n)}while(!e&&(t=t.parentNode));var i=window.DOMMatrix||window.WebKitCSSMatrix||window.CSSMatrix||window.MSCSSMatrix;return i&&new i(n)}function Wd(t,e,n){if(t){var r=t.getElementsByTagName(e),i=0,o=r.length;if(n)for(;i<o;i++)n(r[i],i);return r}return[]}function Hd(){return document.scrollingElement||document.documentElement}function Ud(t,e,n,r,i){if(t.getBoundingClientRect||t===window){var o,s,a,l,c,u,h;if(t!==window&&t.parentNode&&t!==Hd()?(s=(o=t.getBoundingClientRect()).top,a=o.left,l=o.bottom,c=o.right,u=o.height,h=o.width):(s=0,a=0,l=window.innerHeight,c=window.innerWidth,u=window.innerHeight,h=window.innerWidth),(e||n)&&t!==window&&(i=i||t.parentNode,!Od))do{if(i&&i.getBoundingClientRect&&("none"!==Vd(i,"transform")||n&&"static"!==Vd(i,"position"))){var p=i.getBoundingClientRect();s-=p.top+parseInt(Vd(i,"border-top-width")),a-=p.left+parseInt(Vd(i,"border-left-width")),l=s+o.height,c=a+o.width;break}}while(i=i.parentNode);if(r&&t!==window){var d=qd(i||t),f=d&&d.a,g=d&&d.d;d&&(l=(s/=g)+(u/=g),c=(a/=f)+(h/=f))}return{top:s,left:a,bottom:l,right:c,width:h,height:u}}}function Gd(t,e,n){for(var r=Jd(t,!0),i=Ud(t)[e];r;){var o=Ud(r)[n];if(!("top"===n||"left"===n?i>=o:i<=o))return r;if(r===Hd())break;r=Jd(r,!1)}return!1}function Xd(t,e,n,r){for(var i=0,o=0,s=t.children;o<s.length;){if("none"!==s[o].style.display&&s[o]!==eg.ghost&&(r||s[o]!==eg.dragged)&&Nd(s[o],n.draggable,t,!1)){if(i===e)return s[o];i++}o++}return null}function Yd(t,e){for(var n=t.lastElementChild;n&&(n===eg.ghost||"none"===Vd(n,"display")||e&&!Id(n,e));)n=n.previousElementSibling;return n||null}function Kd(t,e){var n=0;if(!t||!t.parentNode)return-1;for(;t=t.previousElementSibling;)"TEMPLATE"!==t.nodeName.toUpperCase()&&t!==eg.clone&&(!e||Id(t,e))&&n++;return n}function Zd(t){var e=0,n=0,r=Hd();if(t)do{var i=qd(t),o=i.a,s=i.d;e+=t.scrollLeft*o,n+=t.scrollTop*s}while(t!==r&&(t=t.parentNode));return[e,n]}function Jd(t,e){if(!t||!t.getBoundingClientRect)return Hd();var n=t,r=!1;do{if(n.clientWidth<n.scrollWidth||n.clientHeight<n.scrollHeight){var i=Vd(n);if(n.clientWidth<n.scrollWidth&&("auto"==i.overflowX||"scroll"==i.overflowX)||n.clientHeight<n.scrollHeight&&("auto"==i.overflowY||"scroll"==i.overflowY)){if(!n.getBoundingClientRect||n===document.body)return Hd();if(r||e)return n;r=!0}}}while(n=n.parentNode);return Hd()}function Qd(t,e){return Math.round(t.top)===Math.round(e.top)&&Math.round(t.left)===Math.round(e.left)&&Math.round(t.height)===Math.round(e.height)&&Math.round(t.width)===Math.round(e.width)}function tf(t,e){return function(){if(!Bd){var n=arguments;1===n.length?t.call(this,n[0]):t.apply(this,n),Bd=setTimeout((function(){Bd=void 0}),e)}}}function ef(t,e,n){t.scrollLeft+=e,t.scrollTop+=n}function nf(t){var e=window.Polymer,n=window.jQuery||window.Zepto;return e&&e.dom?e.dom(t).cloneNode(!0):n?n(t).clone(!0)[0]:t.cloneNode(!0)}var rf="Sortable"+(new Date).getTime();var of=[],sf={initializeByDefault:!0},af={mount:function(t){for(var e in sf)sf.hasOwnProperty(e)&&!(e in t)&&(t[e]=sf[e]);of.forEach((function(e){if(e.pluginName===t.pluginName)throw"Sortable: Cannot mount plugin ".concat(t.pluginName," more than once")})),of.push(t)},pluginEvent:function(t,e,n){var r=this;this.eventCanceled=!1,n.cancel=function(){r.eventCanceled=!0};var i=t+"Global";of.forEach((function(r){e[r.pluginName]&&(e[r.pluginName][i]&&e[r.pluginName][i](wd({sortable:e},n)),e.options[r.pluginName]&&e[r.pluginName][t]&&e[r.pluginName][t](wd({sortable:e},n)))}))},initializePlugins:function(t,e,n,r){for(var i in of.forEach((function(r){var i=r.pluginName;if(t.options[i]||r.initializeByDefault){var o=new r(t,e,t.options);o.sortable=t,o.options=t.options,t[i]=o,Cd(n,o.defaults)}})),t.options)if(t.options.hasOwnProperty(i)){var o=this.modifyOption(t,i,t.options[i]);typeof o<"u"&&(t.options[i]=o)}},getEventProperties:function(t,e){var n={};return of.forEach((function(r){"function"==typeof r.eventProperties&&Cd(n,r.eventProperties.call(e[r.pluginName],t))})),n},modifyOption:function(t,e,n){var r;return of.forEach((function(i){t[i.pluginName]&&i.optionListeners&&"function"==typeof i.optionListeners[e]&&(r=i.optionListeners[e].call(t[i.pluginName],n))})),r}},lf=["evt"],cf=function(t,e){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},r=n.evt,i=function(t,e){if(null==t)return{};var n,r,i=function(t,e){if(null==t)return{};var n,r,i={},o=Object.keys(t);for(r=0;r<o.length;r++)n=o[r],!(e.indexOf(n)>=0)&&(i[n]=t[n]);return i}(t,e);if(Object.getOwnPropertySymbols){var o=Object.getOwnPropertySymbols(t);for(r=0;r<o.length;r++)n=o[r],!(e.indexOf(n)>=0)&&Object.prototype.propertyIsEnumerable.call(t,n)&&(i[n]=t[n])}return i}(n,lf);af.pluginEvent.bind(eg)(t,e,wd({dragEl:hf,parentEl:pf,ghostEl:df,rootEl:ff,nextEl:gf,lastDownEl:mf,cloneEl:vf,cloneHidden:yf,dragStarted:Mf,putSortable:kf,activeSortable:eg.active,originalEvent:r,oldIndex:bf,oldDraggableIndex:xf,newIndex:_f,newDraggableIndex:wf,hideGhostForTarget:Zf,unhideGhostForTarget:Jf,cloneNowHidden:function(){yf=!0},cloneNowShown:function(){yf=!1},dispatchSortableEvent:function(t){uf({sortable:e,name:t,originalEvent:r})}},i))};function uf(t){!function(t){var e=t.sortable,n=t.rootEl,r=t.name,i=t.targetEl,o=t.cloneEl,s=t.toEl,a=t.fromEl,l=t.oldIndex,c=t.newIndex,u=t.oldDraggableIndex,h=t.newDraggableIndex,p=t.originalEvent,d=t.putSortable,f=t.extraEventProperties;if(e=e||n&&n[rf]){var g,m=e.options,v="on"+r.charAt(0).toUpperCase()+r.substr(1);!window.CustomEvent||Od||Td?(g=document.createEvent("Event")).initEvent(r,!0,!0):g=new CustomEvent(r,{bubbles:!0,cancelable:!0}),g.to=s||n,g.from=a||n,g.item=i||n,g.clone=o,g.oldIndex=l,g.newIndex=c,g.oldDraggableIndex=u,g.newDraggableIndex=h,g.originalEvent=p,g.pullMode=d?d.lastPutMode:void 0;var y=wd(wd({},f),af.getEventProperties(r,e));for(var b in y)g[b]=y[b];n&&n.dispatchEvent(g),m[v]&&m[v].call(e,g)}}(wd({putSortable:kf,cloneEl:vf,targetEl:hf,rootEl:ff,oldIndex:bf,oldDraggableIndex:xf,newIndex:_f,newDraggableIndex:wf},t))}var hf,pf,df,ff,gf,mf,vf,yf,bf,_f,xf,wf,Sf,kf,Cf,Af,Of,Tf,Ef,Pf,Mf,Lf,jf,Df,$f,If=!1,Rf=!1,Nf=[],Bf=!1,Ff=!1,zf=[],Vf=!1,qf=[],Wf=typeof document<"u",Hf=Md,Uf=Td||Od?"cssFloat":"float",Gf=Wf&&!Ld&&!Md&&"draggable"in document.createElement("div"),Xf=function(){if(Wf){if(Od)return!1;var t=document.createElement("x");return t.style.cssText="pointer-events:auto","auto"===t.style.pointerEvents}}(),Yf=function(t,e){var n=Vd(t),r=parseInt(n.width)-parseInt(n.paddingLeft)-parseInt(n.paddingRight)-parseInt(n.borderLeftWidth)-parseInt(n.borderRightWidth),i=Xd(t,0,e),o=Xd(t,1,e),s=i&&Vd(i),a=o&&Vd(o),l=s&&parseInt(s.marginLeft)+parseInt(s.marginRight)+Ud(i).width,c=a&&parseInt(a.marginLeft)+parseInt(a.marginRight)+Ud(o).width;if("flex"===n.display)return"column"===n.flexDirection||"column-reverse"===n.flexDirection?"vertical":"horizontal";if("grid"===n.display)return n.gridTemplateColumns.split(" ").length<=1?"vertical":"horizontal";if(i&&s.float&&"none"!==s.float){var u="left"===s.float?"left":"right";return!o||"both"!==a.clear&&a.clear!==u?"horizontal":"vertical"}return i&&("block"===s.display||"flex"===s.display||"table"===s.display||"grid"===s.display||l>=r&&"none"===n[Uf]||o&&"none"===n[Uf]&&l+c>r)?"vertical":"horizontal"},Kf=function(t){function e(t,n){return function(r,i,o,s){var a=r.options.group.name&&i.options.group.name&&r.options.group.name===i.options.group.name;if(null==t&&(n||a))return!0;if(null==t||!1===t)return!1;if(n&&"clone"===t)return t;if("function"==typeof t)return e(t(r,i,o,s),n)(r,i,o,s);var l=(n?r:i).options.group.name;return!0===t||"string"==typeof t&&t===l||t.join&&t.indexOf(l)>-1}}var n={},r=t.group;(!r||"object"!=Sd(r))&&(r={name:r}),n.name=r.name,n.checkPull=e(r.pull,!0),n.checkPut=e(r.put),n.revertClone=r.revertClone,t.group=n},Zf=function(){!Xf&&df&&Vd(df,"display","none")},Jf=function(){!Xf&&df&&Vd(df,"display","")};Wf&&!Ld&&document.addEventListener("click",(function(t){if(Rf)return t.preventDefault(),t.stopPropagation&&t.stopPropagation(),t.stopImmediatePropagation&&t.stopImmediatePropagation(),Rf=!1,!1}),!0);var Qf=function(t){if(hf){var e=function(t,e){var n;return Nf.some((function(r){var i=r[rf].options.emptyInsertThreshold;if(i&&!Yd(r)){var o=Ud(r),s=t>=o.left-i&&t<=o.right+i,a=e>=o.top-i&&e<=o.bottom+i;if(s&&a)return n=r}})),n}((t=t.touches?t.touches[0]:t).clientX,t.clientY);if(e){var n={};for(var r in t)t.hasOwnProperty(r)&&(n[r]=t[r]);n.target=n.rootEl=e,n.preventDefault=void 0,n.stopPropagation=void 0,e[rf]._onDragOver(n)}}},tg=function(t){hf&&hf.parentNode[rf]._isOutsideThisEl(t.target)};function eg(t,e){if(!t||!t.nodeType||1!==t.nodeType)throw"Sortable: `el` must be an HTMLElement, not ".concat({}.toString.call(t));this.el=t,this.options=e=Cd({},e),t[rf]=this;var n={group:null,sort:!0,disabled:!1,store:null,handle:null,draggable:/^[uo]l$/i.test(t.nodeName)?">li":">*",swapThreshold:1,invertSwap:!1,invertedSwapThreshold:null,removeCloneOnHide:!0,direction:function(){return Yf(t,this.options)},ghostClass:"sortable-ghost",chosenClass:"sortable-chosen",dragClass:"sortable-drag",ignore:"a, img",filter:null,preventOnFilter:!0,animation:0,easing:null,setData:function(t,e){t.setData("Text",e.textContent)},dropBubble:!1,dragoverBubble:!1,dataIdAttr:"data-id",delay:0,delayOnTouchOnly:!1,touchStartThreshold:(Number.parseInt?Number:window).parseInt(window.devicePixelRatio,10)||1,forceFallback:!1,fallbackClass:"sortable-fallback",fallbackOnBody:!1,fallbackTolerance:0,fallbackOffset:{x:0,y:0},supportPointer:!1!==eg.supportPointer&&"PointerEvent"in window&&!Pd,emptyInsertThreshold:5};for(var r in af.initializePlugins(this,t,n),n)!(r in e)&&(e[r]=n[r]);for(var i in Kf(e),this)"_"===i.charAt(0)&&"function"==typeof this[i]&&(this[i]=this[i].bind(this));this.nativeDraggable=!e.forceFallback&&Gf,this.nativeDraggable&&(this.options.touchStartThreshold=1),e.supportPointer?Dd(t,"pointerdown",this._onTapStart):(Dd(t,"mousedown",this._onTapStart),Dd(t,"touchstart",this._onTapStart)),this.nativeDraggable&&(Dd(t,"dragover",this),Dd(t,"dragenter",this)),Nf.push(this.el),e.store&&e.store.get&&this.sort(e.store.get(this)||[]),Cd(this,function(){var t,e=[];return{captureAnimationState:function(){e=[],this.options.animation&&[].slice.call(this.el.children).forEach((function(t){if("none"!==Vd(t,"display")&&t!==eg.ghost){e.push({target:t,rect:Ud(t)});var n=wd({},e[e.length-1].rect);if(t.thisAnimationDuration){var r=qd(t,!0);r&&(n.top-=r.f,n.left-=r.e)}t.fromRect=n}}))},addAnimationState:function(t){e.push(t)},removeAnimationState:function(t){e.splice(function(t,e){for(var n in t)if(t.hasOwnProperty(n))for(var r in e)if(e.hasOwnProperty(r)&&e[r]===t[n][r])return Number(n);return-1}(e,{target:t}),1)},animateAll:function(n){var r=this;if(!this.options.animation)return clearTimeout(t),void("function"==typeof n&&n());var i=!1,o=0;e.forEach((function(t){var e=0,n=t.target,s=n.fromRect,a=Ud(n),l=n.prevFromRect,c=n.prevToRect,u=t.rect,h=qd(n,!0);h&&(a.top-=h.f,a.left-=h.e),n.toRect=a,n.thisAnimationDuration&&Qd(l,a)&&!Qd(s,a)&&(u.top-a.top)/(u.left-a.left)==(s.top-a.top)/(s.left-a.left)&&(e=function(t,e,n,r){return Math.sqrt(Math.pow(e.top-t.top,2)+Math.pow(e.left-t.left,2))/Math.sqrt(Math.pow(e.top-n.top,2)+Math.pow(e.left-n.left,2))*r.animation}(u,l,c,r.options)),Qd(a,s)||(n.prevFromRect=s,n.prevToRect=a,e||(e=r.options.animation),r.animate(n,u,a,e)),e&&(i=!0,o=Math.max(o,e),clearTimeout(n.animationResetTimer),n.animationResetTimer=setTimeout((function(){n.animationTime=0,n.prevFromRect=null,n.fromRect=null,n.prevToRect=null,n.thisAnimationDuration=null}),e),n.thisAnimationDuration=e)})),clearTimeout(t),i?t=setTimeout((function(){"function"==typeof n&&n()}),o):"function"==typeof n&&n(),e=[]},animate:function(t,e,n,r){if(r){Vd(t,"transition",""),Vd(t,"transform","");var i=qd(this.el),o=i&&i.a,s=i&&i.d,a=(e.left-n.left)/(o||1),l=(e.top-n.top)/(s||1);t.animatingX=!!a,t.animatingY=!!l,Vd(t,"transform","translate3d("+a+"px,"+l+"px,0)"),this.forRepaintDummy=function(t){return t.offsetWidth}(t),Vd(t,"transition","transform "+r+"ms"+(this.options.easing?" "+this.options.easing:"")),Vd(t,"transform","translate3d(0,0,0)"),"number"==typeof t.animated&&clearTimeout(t.animated),t.animated=setTimeout((function(){Vd(t,"transition",""),Vd(t,"transform",""),t.animated=!1,t.animatingX=!1,t.animatingY=!1}),r)}}}}())}function ng(t,e,n,r,i,o,s,a){var l,c,u=t[rf],h=u.options.onMove;return!window.CustomEvent||Od||Td?(l=document.createEvent("Event")).initEvent("move",!0,!0):l=new CustomEvent("move",{bubbles:!0,cancelable:!0}),l.to=e,l.from=t,l.dragged=n,l.draggedRect=r,l.related=i||e,l.relatedRect=o||Ud(e),l.willInsertAfter=a,l.originalEvent=s,t.dispatchEvent(l),h&&(c=h.call(u,l,s)),c}function rg(t){t.draggable=!1}function ig(){Vf=!1}function og(t){for(var e=t.tagName+t.className+t.src+t.href+t.textContent,n=e.length,r=0;n--;)r+=e.charCodeAt(n);return r.toString(36)}function sg(t){return setTimeout(t,0)}function ag(t){return clearTimeout(t)}eg.prototype={constructor:eg,_isOutsideThisEl:function(t){!this.el.contains(t)&&t!==this.el&&(Lf=null)},_getDirection:function(t,e){return"function"==typeof this.options.direction?this.options.direction.call(this,t,e,hf):this.options.direction},_onTapStart:function(t){if(t.cancelable){var e=this,n=this.el,r=this.options,i=r.preventOnFilter,o=t.type,s=t.touches&&t.touches[0]||t.pointerType&&"touch"===t.pointerType&&t,a=(s||t).target,l=t.target.shadowRoot&&(t.path&&t.path[0]||t.composedPath&&t.composedPath()[0])||a,c=r.filter;if(function(t){qf.length=0;for(var e=t.getElementsByTagName("input"),n=e.length;n--;){var r=e[n];r.checked&&qf.push(r)}}(n),!hf&&!(/mousedown|pointerdown/.test(o)&&0!==t.button||r.disabled)&&!l.isContentEditable&&(this.nativeDraggable||!Pd||!a||"SELECT"!==a.tagName.toUpperCase())&&!((a=Nd(a,r.draggable,n,!1))&&a.animated||mf===a)){if(bf=Kd(a),xf=Kd(a,r.draggable),"function"==typeof c){if(c.call(this,t,a,this))return uf({sortable:e,rootEl:l,name:"filter",targetEl:a,toEl:n,fromEl:n}),cf("filter",e,{evt:t}),void(i&&t.cancelable&&t.preventDefault())}else if(c&&(c=c.split(",").some((function(r){if(r=Nd(l,r.trim(),n,!1))return uf({sortable:e,rootEl:r,name:"filter",targetEl:a,fromEl:n,toEl:n}),cf("filter",e,{evt:t}),!0}))))return void(i&&t.cancelable&&t.preventDefault());r.handle&&!Nd(l,r.handle,n,!1)||this._prepareDragStart(t,s,a)}}},_prepareDragStart:function(t,e,n){var r,i=this,o=i.el,s=i.options,a=o.ownerDocument;if(n&&!hf&&n.parentNode===o){var l=Ud(n);if(ff=o,pf=(hf=n).parentNode,gf=hf.nextSibling,mf=n,Sf=s.group,eg.dragged=hf,Cf={target:hf,clientX:(e||t).clientX,clientY:(e||t).clientY},Ef=Cf.clientX-l.left,Pf=Cf.clientY-l.top,this._lastX=(e||t).clientX,this._lastY=(e||t).clientY,hf.style["will-change"]="all",r=function(){cf("delayEnded",i,{evt:t}),eg.eventCanceled?i._onDrop():(i._disableDelayedDragEvents(),!Ed&&i.nativeDraggable&&(hf.draggable=!0),i._triggerDragStart(t,e),uf({sortable:i,name:"choose",originalEvent:t}),zd(hf,s.chosenClass,!0))},s.ignore.split(",").forEach((function(t){Wd(hf,t.trim(),rg)})),Dd(a,"dragover",Qf),Dd(a,"mousemove",Qf),Dd(a,"touchmove",Qf),Dd(a,"mouseup",i._onDrop),Dd(a,"touchend",i._onDrop),Dd(a,"touchcancel",i._onDrop),Ed&&this.nativeDraggable&&(this.options.touchStartThreshold=4,hf.draggable=!0),cf("delayStart",this,{evt:t}),!s.delay||s.delayOnTouchOnly&&!e||this.nativeDraggable&&(Td||Od))r();else{if(eg.eventCanceled)return void this._onDrop();Dd(a,"mouseup",i._disableDelayedDrag),Dd(a,"touchend",i._disableDelayedDrag),Dd(a,"touchcancel",i._disableDelayedDrag),Dd(a,"mousemove",i._delayedDragTouchMoveHandler),Dd(a,"touchmove",i._delayedDragTouchMoveHandler),s.supportPointer&&Dd(a,"pointermove",i._delayedDragTouchMoveHandler),i._dragStartTimer=setTimeout(r,s.delay)}}},_delayedDragTouchMoveHandler:function(t){var e=t.touches?t.touches[0]:t;Math.max(Math.abs(e.clientX-this._lastX),Math.abs(e.clientY-this._lastY))>=Math.floor(this.options.touchStartThreshold/(this.nativeDraggable&&window.devicePixelRatio||1))&&this._disableDelayedDrag()},_disableDelayedDrag:function(){hf&&rg(hf),clearTimeout(this._dragStartTimer),this._disableDelayedDragEvents()},_disableDelayedDragEvents:function(){var t=this.el.ownerDocument;$d(t,"mouseup",this._disableDelayedDrag),$d(t,"touchend",this._disableDelayedDrag),$d(t,"touchcancel",this._disableDelayedDrag),$d(t,"mousemove",this._delayedDragTouchMoveHandler),$d(t,"touchmove",this._delayedDragTouchMoveHandler),$d(t,"pointermove",this._delayedDragTouchMoveHandler)},_triggerDragStart:function(t,e){e=e||"touch"==t.pointerType&&t,!this.nativeDraggable||e?this.options.supportPointer?Dd(document,"pointermove",this._onTouchMove):Dd(document,e?"touchmove":"mousemove",this._onTouchMove):(Dd(hf,"dragend",this),Dd(ff,"dragstart",this._onDragStart));try{document.selection?sg((function(){document.selection.empty()})):window.getSelection().removeAllRanges()}catch{}},_dragStarted:function(t,e){if(If=!1,ff&&hf){cf("dragStarted",this,{evt:e}),this.nativeDraggable&&Dd(document,"dragover",tg);var n=this.options;!t&&zd(hf,n.dragClass,!1),zd(hf,n.ghostClass,!0),eg.active=this,t&&this._appendGhost(),uf({sortable:this,name:"start",originalEvent:e})}else this._nulling()},_emulateDragOver:function(){if(Af){this._lastX=Af.clientX,this._lastY=Af.clientY,Zf();for(var t=document.elementFromPoint(Af.clientX,Af.clientY),e=t;t&&t.shadowRoot&&(t=t.shadowRoot.elementFromPoint(Af.clientX,Af.clientY))!==e;)e=t;if(hf.parentNode[rf]._isOutsideThisEl(t),e)do{if(e[rf]&&e[rf]._onDragOver({clientX:Af.clientX,clientY:Af.clientY,target:t,rootEl:e})&&!this.options.dragoverBubble)break;t=e}while(e=e.parentNode);Jf()}},_onTouchMove:function(t){if(Cf){var e=this.options,n=e.fallbackTolerance,r=e.fallbackOffset,i=t.touches?t.touches[0]:t,o=df&&qd(df,!0),s=df&&o&&o.a,a=df&&o&&o.d,l=Hf&&$f&&Zd($f),c=(i.clientX-Cf.clientX+r.x)/(s||1)+(l?l[0]-zf[0]:0)/(s||1),u=(i.clientY-Cf.clientY+r.y)/(a||1)+(l?l[1]-zf[1]:0)/(a||1);if(!eg.active&&!If){if(n&&Math.max(Math.abs(i.clientX-this._lastX),Math.abs(i.clientY-this._lastY))<n)return;this._onDragStart(t,!0)}if(df){o?(o.e+=c-(Of||0),o.f+=u-(Tf||0)):o={a:1,b:0,c:0,d:1,e:c,f:u};var h="matrix(".concat(o.a,",").concat(o.b,",").concat(o.c,",").concat(o.d,",").concat(o.e,",").concat(o.f,")");Vd(df,"webkitTransform",h),Vd(df,"mozTransform",h),Vd(df,"msTransform",h),Vd(df,"transform",h),Of=c,Tf=u,Af=i}t.cancelable&&t.preventDefault()}},_appendGhost:function(){if(!df){var t=this.options.fallbackOnBody?document.body:ff,e=Ud(hf,!0,Hf,!0,t),n=this.options;if(Hf){for($f=t;"static"===Vd($f,"position")&&"none"===Vd($f,"transform")&&$f!==document;)$f=$f.parentNode;$f!==document.body&&$f!==document.documentElement?($f===document&&($f=Hd()),e.top+=$f.scrollTop,e.left+=$f.scrollLeft):$f=Hd(),zf=Zd($f)}zd(df=hf.cloneNode(!0),n.ghostClass,!1),zd(df,n.fallbackClass,!0),zd(df,n.dragClass,!0),Vd(df,"transition",""),Vd(df,"transform",""),Vd(df,"box-sizing","border-box"),Vd(df,"margin",0),Vd(df,"top",e.top),Vd(df,"left",e.left),Vd(df,"width",e.width),Vd(df,"height",e.height),Vd(df,"opacity","0.8"),Vd(df,"position",Hf?"absolute":"fixed"),Vd(df,"zIndex","100000"),Vd(df,"pointerEvents","none"),eg.ghost=df,t.appendChild(df),Vd(df,"transform-origin",Ef/parseInt(df.style.width)*100+"% "+Pf/parseInt(df.style.height)*100+"%")}},_onDragStart:function(t,e){var n=this,r=t.dataTransfer,i=n.options;cf("dragStart",this,{evt:t}),eg.eventCanceled?this._onDrop():(cf("setupClone",this),eg.eventCanceled||((vf=nf(hf)).removeAttribute("id"),vf.draggable=!1,vf.style["will-change"]="",this._hideClone(),zd(vf,this.options.chosenClass,!1),eg.clone=vf),n.cloneId=sg((function(){cf("clone",n),!eg.eventCanceled&&(n.options.removeCloneOnHide||ff.insertBefore(vf,hf),n._hideClone(),uf({sortable:n,name:"clone"}))})),!e&&zd(hf,i.dragClass,!0),e?(Rf=!0,n._loopId=setInterval(n._emulateDragOver,50)):($d(document,"mouseup",n._onDrop),$d(document,"touchend",n._onDrop),$d(document,"touchcancel",n._onDrop),r&&(r.effectAllowed="move",i.setData&&i.setData.call(n,r,hf)),Dd(document,"drop",n),Vd(hf,"transform","translateZ(0)")),If=!0,n._dragStartId=sg(n._dragStarted.bind(n,e,t)),Dd(document,"selectstart",n),Mf=!0,Pd&&Vd(document.body,"user-select","none"))},_onDragOver:function(t){var e,n,r,i,o=this.el,s=t.target,a=this.options,l=a.group,c=eg.active,u=Sf===l,h=a.sort,p=kf||c,d=this,f=!1;if(!Vf){if(void 0!==t.preventDefault&&t.cancelable&&t.preventDefault(),s=Nd(s,a.draggable,o,!0),E("dragOver"),eg.eventCanceled)return f;if(hf.contains(t.target)||s.animated&&s.animatingX&&s.animatingY||d._ignoreWhileAnimating===s)return M(!1);if(Rf=!1,c&&!a.disabled&&(u?h||(r=pf!==ff):kf===this||(this.lastPutMode=Sf.checkPull(this,c,hf,t))&&l.checkPut(this,c,hf,t))){if(i="vertical"===this._getDirection(t,s),e=Ud(hf),E("dragOverValid"),eg.eventCanceled)return f;if(r)return pf=ff,P(),this._hideClone(),E("revert"),eg.eventCanceled||(gf?ff.insertBefore(hf,gf):ff.appendChild(hf)),M(!0);var g=Yd(o,a.draggable);if(!g||function(t,e,n){var r=Ud(Yd(n.el,n.options.draggable));return e?t.clientX>r.right+10||t.clientX<=r.right&&t.clientY>r.bottom&&t.clientX>=r.left:t.clientX>r.right&&t.clientY>r.top||t.clientX<=r.right&&t.clientY>r.bottom+10}(t,i,this)&&!g.animated){if(g===hf)return M(!1);if(g&&o===t.target&&(s=g),s&&(n=Ud(s)),!1!==ng(ff,o,hf,e,s,n,t,!!s))return P(),g&&g.nextSibling?o.insertBefore(hf,g.nextSibling):o.appendChild(hf),pf=o,L(),M(!0)}else if(g&&function(t,e,n){var r=Ud(Xd(n.el,0,n.options,!0));return e?t.clientX<r.left-10||t.clientY<r.top&&t.clientX<r.right:t.clientY<r.top-10||t.clientY<r.bottom&&t.clientX<r.left}(t,i,this)){var m=Xd(o,0,a,!0);if(m===hf)return M(!1);if(n=Ud(s=m),!1!==ng(ff,o,hf,e,s,n,t,!1))return P(),o.insertBefore(hf,m),pf=o,L(),M(!0)}else if(s.parentNode===o){n=Ud(s);var v,y,b,_=hf.parentNode!==o,x=!function(t,e,n){var r=n?t.left:t.top,i=n?t.right:t.bottom,o=n?t.width:t.height,s=n?e.left:e.top,a=n?e.right:e.bottom,l=n?e.width:e.height;return r===s||i===a||r+o/2===s+l/2}(hf.animated&&hf.toRect||e,s.animated&&s.toRect||n,i),w=i?"top":"left",S=Gd(s,"top","top")||Gd(hf,"top","top"),k=S?S.scrollTop:void 0;if(Lf!==s&&(y=n[w],Bf=!1,Ff=!x&&a.invertSwap||_),v=function(t,e,n,r,i,o,s,a){var l=r?t.clientY:t.clientX,c=r?n.height:n.width,u=r?n.top:n.left,h=r?n.bottom:n.right,p=!1;if(!s)if(a&&Df<c*i){if(!Bf&&(1===jf?l>u+c*o/2:l<h-c*o/2)&&(Bf=!0),Bf)p=!0;else if(1===jf?l<u+Df:l>h-Df)return-jf}else if(l>u+c*(1-i)/2&&l<h-c*(1-i)/2)return function(t){return Kd(hf)<Kd(t)?1:-1}(e);return(p=p||s)&&(l<u+c*o/2||l>h-c*o/2)?l>u+c/2?1:-1:0}(t,s,n,i,x?1:a.swapThreshold,null==a.invertedSwapThreshold?a.swapThreshold:a.invertedSwapThreshold,Ff,Lf===s),0!==v){var C=Kd(hf);do{C-=v,b=pf.children[C]}while(b&&("none"===Vd(b,"display")||b===df))}if(0===v||b===s)return M(!1);Lf=s,jf=v;var A=s.nextElementSibling,O=!1,T=ng(ff,o,hf,e,s,n,t,O=1===v);if(!1!==T)return(1===T||-1===T)&&(O=1===T),Vf=!0,setTimeout(ig,30),P(),O&&!A?o.appendChild(hf):s.parentNode.insertBefore(hf,O?A:s),S&&ef(S,0,k-S.scrollTop),pf=hf.parentNode,void 0!==y&&!Ff&&(Df=Math.abs(y-Ud(s)[w])),L(),M(!0)}if(o.contains(hf))return M(!1)}return!1}function E(a,l){cf(a,d,wd({evt:t,isOwner:u,axis:i?"vertical":"horizontal",revert:r,dragRect:e,targetRect:n,canSort:h,fromSortable:p,target:s,completed:M,onMove:function(n,r){return ng(ff,o,hf,e,n,Ud(n),t,r)},changed:L},l))}function P(){E("dragOverAnimationCapture"),d.captureAnimationState(),d!==p&&p.captureAnimationState()}function M(e){return E("dragOverCompleted",{insertion:e}),e&&(u?c._hideClone():c._showClone(d),d!==p&&(zd(hf,kf?kf.options.ghostClass:c.options.ghostClass,!1),zd(hf,a.ghostClass,!0)),kf!==d&&d!==eg.active?kf=d:d===eg.active&&kf&&(kf=null),p===d&&(d._ignoreWhileAnimating=s),d.animateAll((function(){E("dragOverAnimationComplete"),d._ignoreWhileAnimating=null})),d!==p&&(p.animateAll(),p._ignoreWhileAnimating=null)),(s===hf&&!hf.animated||s===o&&!s.animated)&&(Lf=null),!a.dragoverBubble&&!t.rootEl&&s!==document&&(hf.parentNode[rf]._isOutsideThisEl(t.target),!e&&Qf(t)),!a.dragoverBubble&&t.stopPropagation&&t.stopPropagation(),f=!0}function L(){_f=Kd(hf),wf=Kd(hf,a.draggable),uf({sortable:d,name:"change",toEl:o,newIndex:_f,newDraggableIndex:wf,originalEvent:t})}},_ignoreWhileAnimating:null,_offMoveEvents:function(){$d(document,"mousemove",this._onTouchMove),$d(document,"touchmove",this._onTouchMove),$d(document,"pointermove",this._onTouchMove),$d(document,"dragover",Qf),$d(document,"mousemove",Qf),$d(document,"touchmove",Qf)},_offUpEvents:function(){var t=this.el.ownerDocument;$d(t,"mouseup",this._onDrop),$d(t,"touchend",this._onDrop),$d(t,"pointerup",this._onDrop),$d(t,"touchcancel",this._onDrop),$d(document,"selectstart",this)},_onDrop:function(t){var e=this.el,n=this.options;_f=Kd(hf),wf=Kd(hf,n.draggable),cf("drop",this,{evt:t}),pf=hf&&hf.parentNode,_f=Kd(hf),wf=Kd(hf,n.draggable),eg.eventCanceled||(If=!1,Ff=!1,Bf=!1,clearInterval(this._loopId),clearTimeout(this._dragStartTimer),ag(this.cloneId),ag(this._dragStartId),this.nativeDraggable&&($d(document,"drop",this),$d(e,"dragstart",this._onDragStart)),this._offMoveEvents(),this._offUpEvents(),Pd&&Vd(document.body,"user-select",""),Vd(hf,"transform",""),t&&(Mf&&(t.cancelable&&t.preventDefault(),!n.dropBubble&&t.stopPropagation()),df&&df.parentNode&&df.parentNode.removeChild(df),(ff===pf||kf&&"clone"!==kf.lastPutMode)&&vf&&vf.parentNode&&vf.parentNode.removeChild(vf),hf&&(this.nativeDraggable&&$d(hf,"dragend",this),rg(hf),hf.style["will-change"]="",Mf&&!If&&zd(hf,kf?kf.options.ghostClass:this.options.ghostClass,!1),zd(hf,this.options.chosenClass,!1),uf({sortable:this,name:"unchoose",toEl:pf,newIndex:null,newDraggableIndex:null,originalEvent:t}),ff!==pf?(_f>=0&&(uf({rootEl:pf,name:"add",toEl:pf,fromEl:ff,originalEvent:t}),uf({sortable:this,name:"remove",toEl:pf,originalEvent:t}),uf({rootEl:pf,name:"sort",toEl:pf,fromEl:ff,originalEvent:t}),uf({sortable:this,name:"sort",toEl:pf,originalEvent:t})),kf&&kf.save()):_f!==bf&&_f>=0&&(uf({sortable:this,name:"update",toEl:pf,originalEvent:t}),uf({sortable:this,name:"sort",toEl:pf,originalEvent:t})),eg.active&&((null==_f||-1===_f)&&(_f=bf,wf=xf),uf({sortable:this,name:"end",toEl:pf,originalEvent:t}),this.save())))),this._nulling()},_nulling:function(){cf("nulling",this),ff=hf=pf=df=gf=vf=mf=yf=Cf=Af=Mf=_f=wf=bf=xf=Lf=jf=kf=Sf=eg.dragged=eg.ghost=eg.clone=eg.active=null,qf.forEach((function(t){t.checked=!0})),qf.length=Of=Tf=0},handleEvent:function(t){switch(t.type){case"drop":case"dragend":this._onDrop(t);break;case"dragenter":case"dragover":hf&&(this._onDragOver(t),function(t){t.dataTransfer&&(t.dataTransfer.dropEffect="move"),t.cancelable&&t.preventDefault()}(t));break;case"selectstart":t.preventDefault()}},toArray:function(){for(var t,e=[],n=this.el.children,r=0,i=n.length,o=this.options;r<i;r++)Nd(t=n[r],o.draggable,this.el,!1)&&e.push(t.getAttribute(o.dataIdAttr)||og(t));return e},sort:function(t,e){var n={},r=this.el;this.toArray().forEach((function(t,e){var i=r.children[e];Nd(i,this.options.draggable,r,!1)&&(n[t]=i)}),this),e&&this.captureAnimationState(),t.forEach((function(t){n[t]&&(r.removeChild(n[t]),r.appendChild(n[t]))})),e&&this.animateAll()},save:function(){var t=this.options.store;t&&t.set&&t.set(this)},closest:function(t,e){return Nd(t,e||this.options.draggable,this.el,!1)},option:function(t,e){var n=this.options;if(void 0===e)return n[t];var r=af.modifyOption(this,t,e);n[t]=typeof r<"u"?r:e,"group"===t&&Kf(n)},destroy:function(){cf("destroy",this);var t=this.el;t[rf]=null,$d(t,"mousedown",this._onTapStart),$d(t,"touchstart",this._onTapStart),$d(t,"pointerdown",this._onTapStart),this.nativeDraggable&&($d(t,"dragover",this),$d(t,"dragenter",this)),Array.prototype.forEach.call(t.querySelectorAll("[draggable]"),(function(t){t.removeAttribute("draggable")})),this._onDrop(),this._disableDelayedDragEvents(),Nf.splice(Nf.indexOf(this.el),1),this.el=t=null},_hideClone:function(){if(!yf){if(cf("hideClone",this),eg.eventCanceled)return;Vd(vf,"display","none"),this.options.removeCloneOnHide&&vf.parentNode&&vf.parentNode.removeChild(vf),yf=!0}},_showClone:function(t){if("clone"===t.lastPutMode){if(yf){if(cf("showClone",this),eg.eventCanceled)return;hf.parentNode!=ff||this.options.group.revertClone?gf?ff.insertBefore(vf,gf):ff.appendChild(vf):ff.insertBefore(vf,hf),this.options.group.revertClone&&this.animate(hf,vf),Vd(vf,"display",""),yf=!1}}else this._hideClone()}},Wf&&Dd(document,"touchmove",(function(t){(eg.active||If)&&t.cancelable&&t.preventDefault()})),eg.utils={on:Dd,off:$d,css:Vd,find:Wd,is:function(t,e){return!!Nd(t,e,t,!1)},extend:function(t,e){if(t&&e)for(var n in e)e.hasOwnProperty(n)&&(t[n]=e[n]);return t},throttle:tf,closest:Nd,toggleClass:zd,clone:nf,index:Kd,nextTick:sg,cancelNextTick:ag,detectDirection:Yf,getChild:Xd},eg.get=function(t){return t[rf]},eg.mount=function(){for(var t=arguments.length,e=new Array(t),n=0;n<t;n++)e[n]=arguments[n];e[0].constructor===Array&&(e=e[0]),e.forEach((function(t){if(!t.prototype||!t.prototype.constructor)throw"Sortable: Mounted plugin must be a constructor function, not ".concat({}.toString.call(t));t.utils&&(eg.utils=wd(wd({},eg.utils),t.utils)),af.mount(t)}))},eg.create=function(t,e){return new eg(t,e)},eg.version="1.15.0";var lg,cg,ug,hg,pg,dg,fg=[],gg=!1;function mg(){fg.forEach((function(t){clearInterval(t.pid)})),fg=[]}function vg(){clearInterval(dg)}var yg=tf((function(t,e,n,r){if(e.scroll){var i,o=(t.touches?t.touches[0]:t).clientX,s=(t.touches?t.touches[0]:t).clientY,a=e.scrollSensitivity,l=e.scrollSpeed,c=Hd(),u=!1;cg!==n&&(cg=n,mg(),lg=e.scroll,i=e.scrollFn,!0===lg&&(lg=Jd(n,!0)));var h=0,p=lg;do{var d=p,f=Ud(d),g=f.top,m=f.bottom,v=f.left,y=f.right,b=f.width,_=f.height,x=void 0,w=void 0,S=d.scrollWidth,k=d.scrollHeight,C=Vd(d),A=d.scrollLeft,O=d.scrollTop;d===c?(x=b<S&&("auto"===C.overflowX||"scroll"===C.overflowX||"visible"===C.overflowX),w=_<k&&("auto"===C.overflowY||"scroll"===C.overflowY||"visible"===C.overflowY)):(x=b<S&&("auto"===C.overflowX||"scroll"===C.overflowX),w=_<k&&("auto"===C.overflowY||"scroll"===C.overflowY));var T=x&&(Math.abs(y-o)<=a&&A+b<S)-(Math.abs(v-o)<=a&&!!A),E=w&&(Math.abs(m-s)<=a&&O+_<k)-(Math.abs(g-s)<=a&&!!O);if(!fg[h])for(var P=0;P<=h;P++)fg[P]||(fg[P]={});(fg[h].vx!=T||fg[h].vy!=E||fg[h].el!==d)&&(fg[h].el=d,fg[h].vx=T,fg[h].vy=E,clearInterval(fg[h].pid),(0!=T||0!=E)&&(u=!0,fg[h].pid=setInterval(function(){r&&0===this.layer&&eg.active._onTouchMove(pg);var e=fg[this.layer].vy?fg[this.layer].vy*l:0,n=fg[this.layer].vx?fg[this.layer].vx*l:0;"function"==typeof i&&"continue"!==i.call(eg.dragged.parentNode[rf],n,e,t,pg,fg[this.layer].el)||ef(fg[this.layer].el,n,e)}.bind({layer:h}),24))),h++}while(e.bubbleScroll&&p!==c&&(p=Jd(p,!1)));gg=u}}),30),bg=function(t){var e=t.originalEvent,n=t.putSortable,r=t.dragEl,i=t.activeSortable,o=t.dispatchSortableEvent,s=t.hideGhostForTarget,a=t.unhideGhostForTarget;if(e){var l=n||i;s();var c=e.changedTouches&&e.changedTouches.length?e.changedTouches[0]:e,u=document.elementFromPoint(c.clientX,c.clientY);a(),l&&!l.el.contains(u)&&(o("spill"),this.onSpill({dragEl:r,putSortable:n}))}};function _g(){}function xg(){}_g.prototype={startIndex:null,dragStart:function(t){var e=t.oldDraggableIndex;this.startIndex=e},onSpill:function(t){var e=t.dragEl,n=t.putSortable;this.sortable.captureAnimationState(),n&&n.captureAnimationState();var r=Xd(this.sortable.el,this.startIndex,this.options);r?this.sortable.el.insertBefore(e,r):this.sortable.el.appendChild(e),this.sortable.animateAll(),n&&n.animateAll()},drop:bg},Cd(_g,{pluginName:"revertOnSpill"}),xg.prototype={onSpill:function(t){var e=t.dragEl,n=t.putSortable||this.sortable;n.captureAnimationState(),e.parentNode&&e.parentNode.removeChild(e),n.animateAll()},drop:bg},Cd(xg,{pluginName:"removeOnSpill"}),eg.mount(new function(){function t(){for(var t in this.defaults={scroll:!0,forceAutoScrollFallback:!1,scrollSensitivity:30,scrollSpeed:10,bubbleScroll:!0},this)"_"===t.charAt(0)&&"function"==typeof this[t]&&(this[t]=this[t].bind(this))}return t.prototype={dragStarted:function(t){var e=t.originalEvent;this.sortable.nativeDraggable?Dd(document,"dragover",this._handleAutoScroll):this.options.supportPointer?Dd(document,"pointermove",this._handleFallbackAutoScroll):e.touches?Dd(document,"touchmove",this._handleFallbackAutoScroll):Dd(document,"mousemove",this._handleFallbackAutoScroll)},dragOverCompleted:function(t){var e=t.originalEvent;!this.options.dragOverBubble&&!e.rootEl&&this._handleAutoScroll(e)},drop:function(){this.sortable.nativeDraggable?$d(document,"dragover",this._handleAutoScroll):($d(document,"pointermove",this._handleFallbackAutoScroll),$d(document,"touchmove",this._handleFallbackAutoScroll),$d(document,"mousemove",this._handleFallbackAutoScroll)),vg(),mg(),clearTimeout(Bd),Bd=void 0},nulling:function(){pg=cg=lg=gg=dg=ug=hg=null,fg.length=0},_handleFallbackAutoScroll:function(t){this._handleAutoScroll(t,!0)},_handleAutoScroll:function(t,e){var n=this,r=(t.touches?t.touches[0]:t).clientX,i=(t.touches?t.touches[0]:t).clientY,o=document.elementFromPoint(r,i);if(pg=t,e||this.options.forceAutoScrollFallback||Td||Od||Pd){yg(t,this.options,o,e);var s=Jd(o,!0);gg&&(!dg||r!==ug||i!==hg)&&(dg&&vg(),dg=setInterval((function(){var o=Jd(document.elementFromPoint(r,i),!0);o!==s&&(s=o,mg()),yg(t,n.options,o,e)}),10),ug=r,hg=i)}else{if(!this.options.bubbleScroll||Jd(o,!0)===Hd())return void mg();yg(t,this.options,Jd(o,!1),!1)}}},Cd(t,{pluginName:"scroll",initializeByDefault:!0})}),eg.mount(xg,_g),Boolean,Boolean;const wg=(t,{slots:e})=>{var n;return po(t.as,{class:Ae(["heading",`heading-${t.size}`,{"heading-secondary":t.secondary},t.class]).value},null==(n=e.default)?void 0:n.call(e))};wg.props={as:{type:String,default:"h2"},size:{type:String,default:"lg"},secondary:{type:Boolean,default:!1}};const Sg=rr({__name:"hr",props:{height:{default:"1"}},setup(t){const e=t,n=ho((()=>({"--hr-height":`${e.height}px`})));return(t,e)=>(Ai(),Pi("hr",{class:Y(t.$style.hr),style:W(n.value)},null,6))}}),kg=qh(Sg,[["__cssModules",{$style:{hr:"_hr_1alp8_1"}}]]);function Cg(t){return!(0===t||(!Array.isArray(t)||0!==t.length)&&t)}function Ag(t,e,n,r){return e?t.filter((t=>function(t,e){return void 0===t&&(t="undefined"),null===t&&(t="null"),!1===t&&(t="false"),-1!==t.toString().toLowerCase().indexOf(e.trim())}(r(t,n),e))).sort(((t,e)=>r(t,n).length-r(e,n).length)):t}function Og(t){return t.filter((t=>!t.$isLabel))}function Tg(t,e){return n=>n.reduce(((n,r)=>r[t]&&r[t].length?(n.push({$groupLabel:r[e],$isLabel:!0}),n.concat(r[t])):n),[])}Boolean,Boolean,Boolean,Boolean,Boolean,Boolean;const Eg=(...t)=>e=>t.reduce(((t,e)=>e(t)),e);var Pg={data(){return{search:"",isOpen:!1,preferredOpenDirection:"below",optimizedHeight:this.maxHeight}},props:{internalSearch:{type:Boolean,default:!0},options:{type:Array,required:!0},multiple:{type:Boolean,default:!1},trackBy:{type:String},label:{type:String},searchable:{type:Boolean,default:!0},clearOnSelect:{type:Boolean,default:!0},hideSelected:{type:Boolean,default:!1},placeholder:{type:String,default:"Select option"},allowEmpty:{type:Boolean,default:!0},resetAfter:{type:Boolean,default:!1},closeOnSelect:{type:Boolean,default:!0},customLabel:{type:Function,default:(t,e)=>Cg(t)?"":e?t[e]:t},taggable:{type:Boolean,default:!1},tagPlaceholder:{type:String,default:"Press enter to create a tag"},tagPosition:{type:String,default:"top"},max:{type:[Number,Boolean],default:!1},id:{default:null},optionsLimit:{type:Number,default:1e3},groupValues:{type:String},groupLabel:{type:String},groupSelect:{type:Boolean,default:!1},blockKeys:{type:Array,default:()=>[]},preserveSearch:{type:Boolean,default:!1},preselectFirst:{type:Boolean,default:!1},preventAutofocus:{type:Boolean,default:!1}},mounted(){!this.multiple&&this.max&&console.warn("[Vue-Multiselect warn]: Max prop should not be used when prop Multiple equals false."),this.preselectFirst&&!this.internalValue.length&&this.options.length&&this.select(this.filteredOptions[0])},computed:{internalValue(){return this.modelValue||0===this.modelValue?Array.isArray(this.modelValue)?this.modelValue:[this.modelValue]:[]},filteredOptions(){const t=this.search||"",e=t.toLowerCase().trim();let n=this.options.concat();return n=this.internalSearch?this.groupValues?this.filterAndFlat(n,e,this.label):Ag(n,e,this.label,this.customLabel):this.groupValues?Tg(this.groupValues,this.groupLabel)(n):n,n=this.hideSelected?n.filter(function(t){return(...e)=>!t(...e)}(this.isSelected)):n,this.taggable&&e.length&&!this.isExistingOption(e)&&("bottom"===this.tagPosition?n.push({isTag:!0,label:t}):n.unshift({isTag:!0,label:t})),n.slice(0,this.optionsLimit)},valueKeys(){return this.trackBy?this.internalValue.map((t=>t[this.trackBy])):this.internalValue},optionKeys(){return(this.groupValues?this.flatAndStrip(this.options):this.options).map((t=>this.customLabel(t,this.label).toString().toLowerCase()))},currentOptionLabel(){return this.multiple?this.searchable?"":this.placeholder:this.internalValue.length?this.getOptionLabel(this.internalValue[0]):this.searchable?"":this.placeholder}},watch:{internalValue(){this.resetAfter&&this.internalValue.length&&(this.search="",this.$emit("update:modelValue",this.multiple?[]:null))},search(){this.$emit("search-change",this.search)}},emits:["open","search-change","close","select","update:modelValue","remove","tag"],methods:{getValue(){return this.multiple?this.internalValue:0===this.internalValue.length?null:this.internalValue[0]},filterAndFlat(t,e,n){return Eg(function(t,e,n,r,i){return o=>o.map((o=>{if(!o[n])return console.warn("Options passed to vue-multiselect do not contain groups, despite the config."),[];const s=Ag(o[n],t,e,i);return s.length?{[r]:o[r],[n]:s}:[]}))}(e,n,this.groupValues,this.groupLabel,this.customLabel),Tg(this.groupValues,this.groupLabel))(t)},flatAndStrip(t){return Eg(Tg(this.groupValues,this.groupLabel),Og)(t)},updateSearch(t){this.search=t},isExistingOption(t){return!!this.options&&this.optionKeys.indexOf(t)>-1},isSelected(t){const e=this.trackBy?t[this.trackBy]:t;return this.valueKeys.indexOf(e)>-1},isOptionDisabled:t=>!!t.$isDisabled,getOptionLabel(t){if(Cg(t))return"";if(t.isTag)return t.label;if(t.$isLabel)return t.$groupLabel;const e=this.customLabel(t,this.label);return Cg(e)?"":e},select(t,e){if(t.$isLabel&&this.groupSelect)this.selectGroup(t);else if(!(-1!==this.blockKeys.indexOf(e)||this.disabled||t.$isDisabled||t.$isLabel)&&(!this.max||!this.multiple||this.internalValue.length!==this.max)&&("Tab"!==e||this.pointerDirty)){if(t.isTag)this.$emit("tag",t.label,this.id),this.search="",this.closeOnSelect&&!this.multiple&&this.deactivate();else{if(this.isSelected(t))return void("Tab"!==e&&this.removeElement(t));this.multiple?this.$emit("update:modelValue",this.internalValue.concat([t])):this.$emit("update:modelValue",t),this.$emit("select",t,this.id),this.clearOnSelect&&(this.search="")}this.closeOnSelect&&this.deactivate()}},selectGroup(t){const e=this.options.find((e=>e[this.groupLabel]===t.$groupLabel));if(e){if(this.wholeGroupSelected(e)){this.$emit("remove",e[this.groupValues],this.id);const t=this.internalValue.filter((t=>-1===e[this.groupValues].indexOf(t)));this.$emit("update:modelValue",t)}else{let t=e[this.groupValues].filter((t=>!(this.isOptionDisabled(t)||this.isSelected(t))));this.max&&t.splice(this.max-this.internalValue.length),this.$emit("select",t,this.id),this.$emit("update:modelValue",this.internalValue.concat(t))}this.closeOnSelect&&this.deactivate()}},wholeGroupSelected(t){return t[this.groupValues].every((t=>this.isSelected(t)||this.isOptionDisabled(t)))},wholeGroupDisabled(t){return t[this.groupValues].every(this.isOptionDisabled)},removeElement(t,e=!0){if(this.disabled||t.$isDisabled)return;if(!this.allowEmpty&&this.internalValue.length<=1)return void this.deactivate();const n="object"==typeof t?this.valueKeys.indexOf(t[this.trackBy]):this.valueKeys.indexOf(t);if(this.multiple){const t=this.internalValue.slice(0,n).concat(this.internalValue.slice(n+1));this.$emit("update:modelValue",t)}else this.$emit("update:modelValue",null);this.$emit("remove",t,this.id),this.closeOnSelect&&e&&this.deactivate()},removeLastElement(){-1===this.blockKeys.indexOf("Delete")&&0===this.search.length&&Array.isArray(this.internalValue)&&this.internalValue.length&&this.removeElement(this.internalValue[this.internalValue.length-1],!1)},activate(){this.isOpen||this.disabled||(this.adjustPosition(),this.groupValues&&0===this.pointer&&this.filteredOptions.length&&(this.pointer=1),this.isOpen=!0,this.searchable?(this.preserveSearch||(this.search=""),this.preventAutofocus||this.$nextTick((()=>this.$refs.search&&this.$refs.search.focus()))):this.preventAutofocus||typeof this.$el<"u"&&this.$el.focus(),this.$emit("open",this.id))},deactivate(){this.isOpen&&(this.isOpen=!1,this.searchable?typeof this.$refs.search<"u"&&this.$refs.search.blur():typeof this.$el<"u"&&this.$el.blur(),this.preserveSearch||(this.search=""),this.$emit("close",this.getValue(),this.id))},toggle(){this.isOpen?this.deactivate():this.activate()},adjustPosition(){if(typeof window>"u")return;const t=this.$el.getBoundingClientRect().top,e=window.innerHeight-this.$el.getBoundingClientRect().bottom;e>this.maxHeight||e>t||"below"===this.openDirection||"bottom"===this.openDirection?(this.preferredOpenDirection="below",this.optimizedHeight=Math.min(e-40,this.maxHeight)):(this.preferredOpenDirection="above",this.optimizedHeight=Math.min(t-40,this.maxHeight))}}},Mg={data:()=>({pointer:0,pointerDirty:!1}),props:{showPointer:{type:Boolean,default:!0},optionHeight:{type:Number,default:40}},computed:{pointerPosition(){return this.pointer*this.optionHeight},visibleElements(){return this.optimizedHeight/this.optionHeight}},watch:{filteredOptions(){this.pointerAdjust()},isOpen(){this.pointerDirty=!1},pointer(){this.$refs.search&&this.$refs.search.setAttribute("aria-activedescendant",this.id+"-"+this.pointer.toString())}},methods:{optionHighlight(t,e){return{"multiselect__option--highlight":t===this.pointer&&this.showPointer,"multiselect__option--selected":this.isSelected(e)}},groupHighlight(t,e){if(!this.groupSelect)return["multiselect__option--disabled",{"multiselect__option--group":e.$isLabel}];const n=this.options.find((t=>t[this.groupLabel]===e.$groupLabel));return n&&!this.wholeGroupDisabled(n)?["multiselect__option--group",{"multiselect__option--highlight":t===this.pointer&&this.showPointer},{"multiselect__option--group-selected":this.wholeGroupSelected(n)}]:"multiselect__option--disabled"},addPointerElement({key:t}="Enter"){this.filteredOptions.length>0&&this.select(this.filteredOptions[this.pointer],t),this.pointerReset()},pointerForward(){this.pointer<this.filteredOptions.length-1&&(this.pointer++,this.$refs.list.scrollTop<=this.pointerPosition-(this.visibleElements-1)*this.optionHeight&&(this.$refs.list.scrollTop=this.pointerPosition-(this.visibleElements-1)*this.optionHeight),this.filteredOptions[this.pointer]&&this.filteredOptions[this.pointer].$isLabel&&!this.groupSelect&&this.pointerForward()),this.pointerDirty=!0},pointerBackward(){this.pointer>0?(this.pointer--,this.$refs.list.scrollTop>=this.pointerPosition&&(this.$refs.list.scrollTop=this.pointerPosition),this.filteredOptions[this.pointer]&&this.filteredOptions[this.pointer].$isLabel&&!this.groupSelect&&this.pointerBackward()):this.filteredOptions[this.pointer]&&this.filteredOptions[0].$isLabel&&!this.groupSelect&&this.pointerForward(),this.pointerDirty=!0},pointerReset(){this.closeOnSelect&&(this.pointer=0,this.$refs.list&&(this.$refs.list.scrollTop=0))},pointerAdjust(){this.pointer>=this.filteredOptions.length-1&&(this.pointer=this.filteredOptions.length?this.filteredOptions.length-1:0),this.filteredOptions.length>0&&this.filteredOptions[this.pointer].$isLabel&&!this.groupSelect&&this.pointerForward()},pointerSet(t){this.pointer=t,this.pointerDirty=!0}}},Lg={name:"vue-multiselect",mixins:[Pg,Mg],props:{name:{type:String,default:""},modelValue:{type:null,default:()=>[]},selectLabel:{type:String,default:"Press enter to select"},selectGroupLabel:{type:String,default:"Press enter to select group"},selectedLabel:{type:String,default:"Selected"},deselectLabel:{type:String,default:"Press enter to remove"},deselectGroupLabel:{type:String,default:"Press enter to deselect group"},showLabels:{type:Boolean,default:!0},limit:{type:Number,default:99999},maxHeight:{type:Number,default:300},limitText:{type:Function,default:t=>`and ${t} more`},loading:{type:Boolean,default:!1},disabled:{type:Boolean,default:!1},openDirection:{type:String,default:""},showNoOptions:{type:Boolean,default:!0},showNoResults:{type:Boolean,default:!0},tabindex:{type:Number,default:0}},computed:{hasOptionGroup(){return this.groupValues&&this.groupLabel&&this.groupSelect},isSingleLabelVisible(){return(this.singleValue||0===this.singleValue)&&(!this.isOpen||!this.searchable)&&!this.visibleValues.length},isPlaceholderVisible(){return!(this.internalValue.length||this.searchable&&this.isOpen)},visibleValues(){return this.multiple?this.internalValue.slice(0,this.limit):[]},singleValue(){return this.internalValue[0]},deselectLabelText(){return this.showLabels?this.deselectLabel:""},deselectGroupLabelText(){return this.showLabels?this.deselectGroupLabel:""},selectLabelText(){return this.showLabels?this.selectLabel:""},selectGroupLabelText(){return this.showLabels?this.selectGroupLabel:""},selectedLabelText(){return this.showLabels?this.selectedLabel:""},inputStyle(){return this.searchable||this.multiple&&this.modelValue&&this.modelValue.length?this.isOpen?{width:"100%"}:{width:"0",position:"absolute",padding:"0"}:""},contentStyle(){return this.options.length?{display:"inline-block"}:{display:"block"}},isAbove(){return"above"===this.openDirection||"top"===this.openDirection||"below"!==this.openDirection&&"bottom"!==this.openDirection&&"above"===this.preferredOpenDirection},showSearchInput(){return this.searchable&&(!this.hasSingleSelectedSlot||!this.visibleSingleValue&&0!==this.visibleSingleValue||this.isOpen)}}};const jg={ref:"tags",class:"multiselect__tags"},Dg={class:"multiselect__tags-wrap"},$g={class:"multiselect__spinner"},Ig={key:0},Rg={class:"multiselect__option"},Ng={class:"multiselect__option"},Bg=zi("No elements found. Consider changing the search query."),Fg={class:"multiselect__option"},zg=zi("List is empty.");Lg.render=function(t,e,n,r,i,o){return Ai(),Mi("div",{tabindex:t.searchable?-1:n.tabindex,class:[{"multiselect--active":t.isOpen,"multiselect--disabled":n.disabled,"multiselect--above":o.isAbove,"multiselect--has-options-group":o.hasOptionGroup},"multiselect"],onFocus:e[14]||(e[14]=e=>t.activate()),onBlur:e[15]||(e[15]=e=>!t.searchable&&t.deactivate()),onKeydown:[e[16]||(e[16]=us(ls((e=>t.pointerForward()),["self","prevent"]),["down"])),e[17]||(e[17]=us(ls((e=>t.pointerBackward()),["self","prevent"]),["up"]))],onKeypress:e[18]||(e[18]=us(ls((e=>t.addPointerElement(e)),["stop","self"]),["enter","tab"])),onKeyup:e[19]||(e[19]=us((e=>t.deactivate()),["esc"])),role:"combobox","aria-owns":"listbox-"+t.id},[Or(t.$slots,"caret",{toggle:t.toggle},(()=>[Ni("div",{onMousedown:e[1]||(e[1]=ls((e=>t.toggle()),["prevent","stop"])),class:"multiselect__select"},null,32)])),Or(t.$slots,"clear",{search:t.search}),Ni("div",jg,[Or(t.$slots,"selection",{search:t.search,remove:t.removeElement,values:o.visibleValues,isOpen:t.isOpen},(()=>[qn(Ni("div",Dg,[(Ai(!0),Mi(_i,null,Cr(o.visibleValues,((e,n)=>Or(t.$slots,"tag",{option:e,search:t.search,remove:t.removeElement},(()=>[(Ai(),Mi("span",{class:"multiselect__tag",key:n},[Ni("span",{textContent:et(t.getOptionLabel(e))},null,8,["textContent"]),Ni("i",{tabindex:"1",onKeypress:us(ls((n=>t.removeElement(e)),["prevent"]),["enter"]),onMousedown:ls((n=>t.removeElement(e)),["prevent"]),class:"multiselect__tag-icon"},null,40,["onKeypress","onMousedown"])]))])))),256))],512),[[$o,o.visibleValues.length>0]]),t.internalValue&&t.internalValue.length>n.limit?Or(t.$slots,"limit",{key:0},(()=>[Ni("strong",{class:"multiselect__strong",textContent:et(n.limitText(t.internalValue.length-n.limit))},null,8,["textContent"])])):Vi("v-if",!0)])),Ni(xo,{name:"multiselect__loading"},{default:wn((()=>[Or(t.$slots,"loading",{},(()=>[qn(Ni("div",$g,null,512),[[$o,n.loading]])]))])),_:3}),t.searchable?(Ai(),Mi("input",{key:0,ref:"search",name:n.name,id:t.id,type:"text",autocomplete:"off",spellcheck:"false",placeholder:t.placeholder,style:o.inputStyle,value:t.search,disabled:n.disabled,tabindex:n.tabindex,onInput:e[2]||(e[2]=e=>t.updateSearch(e.target.value)),onFocus:e[3]||(e[3]=ls((e=>t.activate()),["prevent"])),onBlur:e[4]||(e[4]=ls((e=>t.deactivate()),["prevent"])),onKeyup:e[5]||(e[5]=us((e=>t.deactivate()),["esc"])),onKeydown:[e[6]||(e[6]=us(ls((e=>t.pointerForward()),["prevent"]),["down"])),e[7]||(e[7]=us(ls((e=>t.pointerBackward()),["prevent"]),["up"])),e[9]||(e[9]=us(ls((e=>t.removeLastElement()),["stop"]),["delete"]))],onKeypress:e[8]||(e[8]=us(ls((e=>t.addPointerElement(e)),["prevent","stop","self"]),["enter"])),class:"multiselect__input","aria-controls":"listbox-"+t.id},null,44,["name","id","placeholder","value","disabled","tabindex","aria-controls"])):Vi("v-if",!0),o.isSingleLabelVisible?(Ai(),Mi("span",{key:1,class:"multiselect__single",onMousedown:e[10]||(e[10]=ls(((...e)=>t.toggle&&t.toggle(...e)),["prevent"]))},[Or(t.$slots,"singleLabel",{option:o.singleValue},(()=>[zi(et(t.currentOptionLabel),1)]))],32)):Vi("v-if",!0),o.isPlaceholderVisible?(Ai(),Mi("span",{key:2,class:"multiselect__placeholder",onMousedown:e[11]||(e[11]=ls(((...e)=>t.toggle&&t.toggle(...e)),["prevent"]))},[Or(t.$slots,"placeholder",{},(()=>[zi(et(t.placeholder),1)]))],32)):Vi("v-if",!0)],512),Ni(xo,{name:"multiselect"},{default:wn((()=>[qn(Ni("div",{class:"multiselect__content-wrapper",onFocus:e[12]||(e[12]=(...e)=>t.activate&&t.activate(...e)),tabindex:"-1",onMousedown:e[13]||(e[13]=ls((()=>{}),["prevent"])),style:{maxHeight:t.optimizedHeight+"px"},ref:"list"},[Ni("ul",{class:"multiselect__content",style:o.contentStyle,role:"listbox",id:"listbox-"+t.id},[Or(t.$slots,"beforeList"),t.multiple&&t.max===t.internalValue.length?(Ai(),Mi("li",Ig,[Ni("span",Rg,[Or(t.$slots,"maxElements",{},(()=>[zi("Maximum of "+et(t.max)+" options selected. First remove a selected option to select another.",1)]))])])):Vi("v-if",!0),!t.max||t.internalValue.length<t.max?(Ai(!0),Mi(_i,{key:1},Cr(t.filteredOptions,((e,n)=>(Ai(),Mi("li",{class:"multiselect__element",key:n,id:t.id+"-"+n,role:e&&(e.$isLabel||e.$isDisabled)?null:"option"},[e&&(e.$isLabel||e.$isDisabled)?Vi("v-if",!0):(Ai(),Mi("span",{key:0,class:[t.optionHighlight(n,e),"multiselect__option"],onClick:ls((n=>t.select(e)),["stop"]),onMouseenter:ls((e=>t.pointerSet(n)),["self"]),"data-select":e&&e.isTag?t.tagPlaceholder:o.selectLabelText,"data-selected":o.selectedLabelText,"data-deselect":o.deselectLabelText},[Or(t.$slots,"option",{option:e,search:t.search,index:n},(()=>[Ni("span",null,et(t.getOptionLabel(e)),1)]))],42,["onClick","onMouseenter","data-select","data-selected","data-deselect"])),e&&(e.$isLabel||e.$isDisabled)?(Ai(),Mi("span",{key:1,"data-select":t.groupSelect&&o.selectGroupLabelText,"data-deselect":t.groupSelect&&o.deselectGroupLabelText,class:[t.groupHighlight(n,e),"multiselect__option"],onMouseenter:ls((e=>t.groupSelect&&t.pointerSet(n)),["self"]),onMousedown:ls((n=>t.selectGroup(e)),["prevent"])},[Or(t.$slots,"option",{option:e,search:t.search,index:n},(()=>[Ni("span",null,et(t.getOptionLabel(e)),1)]))],42,["data-select","data-deselect","onMouseenter","onMousedown"])):Vi("v-if",!0)],8,["id","role"])))),128)):Vi("v-if",!0),qn(Ni("li",null,[Ni("span",Ng,[Or(t.$slots,"noResult",{search:t.search},(()=>[Bg]))])],512),[[$o,n.showNoResults&&0===t.filteredOptions.length&&t.search&&!n.loading]]),qn(Ni("li",null,[Ni("span",Fg,[Or(t.$slots,"noOptions",{},(()=>[zg]))])],512),[[$o,n.showNoOptions&&(0===t.options.length||!0===o.hasOptionGroup&&0===t.filteredOptions.length)&&!t.search&&!n.loading]]),Or(t.$slots,"afterList")],12,["id"])],36),[[$o,t.isOpen]])])),_:3})],42,["tabindex","aria-owns"])};const Vg=["onClick"],qg=["onClick"],Wg=rr({__name:"pagination",props:{modelValue:{},total:{},windowSize:{default:3}},emits:["update:modelValue"],setup(t,{emit:e}){const n=t;In((()=>{1!==n.modelValue&&n.modelValue>n.total&&e("update:modelValue",1)}));const r=t=>{e("update:modelValue",t)},i=ho((()=>n.total<=n.windowSize+3)),o=ho((()=>{const t=n.windowSize;if(i.value)return Array.from(Array(n.total).keys()).map((t=>t+1));let e;return e=n.modelValue>t&&n.modelValue<n.total-t+1?Array.from(Array(t).keys()).map((t=>n.modelValue+t-1)):n.modelValue<=t?Array.from(Array(t+1).keys()).map((t=>t+2)):Array.from(Array(t+1).keys()).map((t=>n.total-t-1)).reverse(),e})),s=ho((()=>1!==n.modelValue)),a=ho((()=>n.modelValue!==n.total)),l=ts(),c=t=>({"aria-label":n.modelValue===t?`Current Page, Page ${t}`:`Goto Page ${t}`,class:[l.page,{[l.active]:n.modelValue===t}]});return(t,e)=>{const n=Mn("directives","hidden");return qn((Ai(),Pi("nav",{class:Y(t.$style.root),role:"navigation","aria-label":"pagination"},[Ri("ul",{class:Y(t.$style.nav)},[qn((Ai(),Pi("li",{class:Y(t.$style.navigationLeft),onClick:e[0]||(e[0]=e=>r(t.modelValue-1))},[Ni(Pe(Uh),{icon:"caret-left",class:Y(t.$style.icon)},null,8,["class"])],2)),[[n,!s.value]]),i.value?(Ai(!0),Pi(_i,{key:0},Cr(o.value,(t=>(Ai(),Pi("li",Ui({key:t},c(t),{onClick:e=>r(t)}),et(t),17,Vg)))),128)):(Ai(),Pi(_i,{key:1},[Ri("li",Ui(c(1),{onClick:e[1]||(e[1]=t=>r(1))})," 1 ",16),t.modelValue>t.windowSize?(Ai(),Pi("li",{key:0,class:Y(Pe(l).navItem)}," ... ",2)):Vi("",!0),(Ai(!0),Pi(_i,null,Cr(o.value,(t=>(Ai(),Pi("li",Ui({key:t},c(t),{onClick:e=>r(t)}),et(t),17,qg)))),128)),t.modelValue<=t.total-t.windowSize?(Ai(),Pi("li",{key:1,class:Y(Pe(l).navItem)}," ... ",2)):Vi("",!0),Ri("li",Ui(c(t.total),{onClick:e[2]||(e[2]=e=>r(t.total))}),et(t.total),17)],64)),qn((Ai(),Pi("li",{class:Y(t.$style.navigationRight),onClick:e[3]||(e[3]=e=>r(t.modelValue+1))},[Ni(Pe(Uh),{icon:"caret-right",class:Y(t.$style.icon)},null,8,["class"])],2)),[[n,!a.value]])],2)],2)),[[n,t.total<=1]])}}}),Hg=qh(Wg,[["__cssModules",{$style:{root:"_root_5yb23_1",nav:"_nav_5yb23_5",navItem:"_navItem_5yb23_12",page:"_page_5yb23_13",active:"_active_5yb23_22",navigation:"_navigation_5yb23_26",navigationLeft:"_navigationLeft_5yb23_27",navigationRight:"_navigationRight_5yb23_28",icon:"_icon_5yb23_40"}}]]),Ug=rr({__name:"stack",props:{align:{},columnGap:{},direction:{default:"column"},gap:{default:"5"},justify:{},rowGap:{},wrap:{default:"wrap"}},setup(t){const e=t,n=ts(),r=ho((()=>{const t=[n.root,n[e.direction],n[e.wrap]];return e.align&&t.push(n[e.align]),e.justify&&t.push(n[e.justify]),t})),i=ho((()=>e.columnGap??(e.direction.includes("row")&&e.gap))),o=ho((()=>e.rowGap??(!e.direction.includes("row")&&e.gap))),s=ho((()=>({"--stack-row-gap":4*Number(o.value)+"px","--stack-column-gap":4*Number(i.value)+"px"})));return(t,e)=>(Ai(),Pi("div",{class:Y(r.value),style:W(s.value)},[Or(t.$slots,"default")],6))}}),Gg=qh(Ug,[["__cssModules",{$style:{root:"_root_1janq_1","flex-start":"_flex-start_1janq_6","flex-end":"_flex-end_1janq_9",center:"_center_1janq_12","space-between":"_space-between_1janq_15","space-around":"_space-around_1janq_18",stretch:"_stretch_1janq_21","space-evenly":"_space-evenly_1janq_24",row:"_row_1janq_27","row-reverse":"_row-reverse_1janq_30",column:"_column_1janq_33","column-reverse":"_column-reverse_1janq_36",start:"_start_1janq_42",end:"_end_1janq_45",left:"_left_1janq_54",right:"_right_1janq_57",normal:"_normal_1janq_60","spacing-column-1":"_spacing-column-1_1janq_75","spacing-row-1":"_spacing-row-1_1janq_78","spacing-column-2":"_spacing-column-2_1janq_81","spacing-row-2":"_spacing-row-2_1janq_84","spacing-column-3":"_spacing-column-3_1janq_87","spacing-row-3":"_spacing-row-3_1janq_90","spacing-column-4":"_spacing-column-4_1janq_93","spacing-row-4":"_spacing-row-4_1janq_96","spacing-column-5":"_spacing-column-5_1janq_99","spacing-row-5":"_spacing-row-5_1janq_102","spacing-column-6":"_spacing-column-6_1janq_105","spacing-row-6":"_spacing-row-6_1janq_108","spacing-column-7":"_spacing-column-7_1janq_111","spacing-row-7":"_spacing-row-7_1janq_114","spacing-column-8":"_spacing-column-8_1janq_117","spacing-row-8":"_spacing-row-8_1janq_120",wrap:"_wrap_1janq_123","wrap-reverse":"_wrap-reverse_1janq_126",nowrap:"_nowrap_1janq_129"}}]]),Xg=(Boolean,Symbol("active-tab"),Boolean,rr({__name:"title",setup:t=>(t,e)=>(Ai(),Mi(Pe(wg),{as:"h2",size:"md"},{default:wn((()=>[Or(t.$slots,"default")])),_:3}))})),Yg=rr({__name:"label",props:{description:{type:String,required:!1},required:{type:Boolean,required:!1,default:void 0}},setup:t=>(e,n)=>(Ai(),Pi("label",{class:Y(e.$style.label)},[Ri("span",{class:Y(e.$style.labelText)},[Or(e.$slots,"label",{},(()=>[Or(e.$slots,"default")]))],2),t.required?(Ai(),Pi("span",{key:0,class:Y(e.$style.labelRequired)},"(REQUIRED)",2)):Vi("",!0),t.description?(Ai(),Mi(_d,{key:1,arrow:"",hover:"",placement:"top"},{tooltip:wn((()=>[zi(et(t.description),1)])),default:wn((()=>[Ni(Pe(Uh),{icon:"exclamation-circle",class:Y(e.$style.description)},null,8,["class"])])),_:1})):Vi("",!0)],2))}),Kg=qh(Yg,[["__cssModules",{$style:{description:"_description_14dok_1",label:"_label_14dok_6",labelText:"_labelText_14dok_14",labelRequired:"_labelRequired_14dok_21"}}]]),Zg={message:"_message_1qafl_1",messages:"_messages_1qafl_5",help:"_help_1qafl_15",inputControl:"_inputControl_1qafl_18",focused:"_focused_1qafl_33",inputHide:"_inputHide_1qafl_65",inner:"_inner_1qafl_75",formSpan:"_formSpan_1qafl_79"};function Jg(t,e){const n=t[e];return"string"==typeof n?{[n]:!0}:n}function Qg(t,e){const n={...e};return Object.keys(t).forEach((e=>{const r=Jg(n,e),i=Jg(t,e);n[e]={...r,...i}})),n}function tm(t){if(!t)return{};const e={};return"string"==typeof t?(e["--mobile-form-span"]="12",e["--form-span"]=e["--medium-form-span"]=e["--small-form-span"]=t):(e["--mobile-form-span"]=t.mobile||"12",e["--small-form-span"]=t.small||e["--mobile-form-span"],e["--medium-form-span"]=t.medium||e["--small-form-span"],e["--form-span"]=t.large||e["--medium-form-span"]),e}const em=Symbol("is_form"),nm=qh(rr({__name:"fieldset",props:{gap:{default:"5"},inline:{type:Boolean},label:{},legend:{},rowGap:{},span:{}},setup:t=>(Zr(em,!0),(t,e)=>(Ai(),Pi("fieldset",{class:Y([t.$style.fieldset,Pe(Zg).formSpan]),style:W(Pe(tm)(t.span))},[t.legend?(Ai(),Pi("legend",{key:0,class:Y(t.$style.legend)},et(t.legend),3)):Vi("",!0),t.label?(Ai(),Mi(Kg,{key:1,class:Y(t.$style.label)},{default:wn((()=>[zi(et(t.label),1)])),_:1},8,["class"])):Vi("",!0),Ni(Pe(Gg),{gap:t.gap,direction:t.inline?"row":"column","row-gap":t.rowGap||(t.inline?"5":void 0)},{default:wn((()=>[Or(t.$slots,"default")])),_:3},8,["gap","direction","row-gap"])],6)))}),[["__cssModules",{$style:{fieldset:"_fieldset_1fcft_1",legend:"_legend_1fcft_6",label:"_label_1fcft_10"}}]]),rm=qh(rr({__name:"form-actions",props:{variant:{default:"standard"}},setup:t=>(t,e)=>(Ai(),Pi(_i,null,["plain"!==t.variant?(Ai(),Mi(Pn("standard"===t.variant?Pe(kg):"div"),{key:0,class:Y(t.$style.hr)},null,8,["class"])):Vi("",!0),Ni(Pe(Gg),Ui(t.$attrs,{class:t.$style[t.variant],gap:"2",direction:"row",wrap:"nowrap"}),{default:wn((()=>[Ri("div",{class:Y(t.$style.spacer)},null,2),Or(t.$slots,"default",{},(()=>[Ni(Pe(Xh),{type:"submit",severity:"primary"},{default:wn((()=>[zi(" Save ")])),_:1})]))])),_:3},16,["class"])],64))}),[["__cssModules",{$style:{hr:"_hr_10l8x_1",padding:"_padding_10l8x_4",standard:"_standard_10l8x_5",filled:"_filled_10l8x_6",spacer:"_spacer_10l8x_12"}}]]),im=rr({__name:"form",props:{actions:{type:[Boolean,String],default:!0},config:{},formRef:{},errors:{},inline:{type:Boolean},legend:{},modelValue:{},onSubmit:{},onSubmitInvalid:{},"onUpdate:modelValue":{}},setup(t){const e=t,n=async(t,n)=>{var r;const i=await(null==(r=e.onSubmit)?void 0:r.call(e,t,n));i&&(null!=i&&i.errors?null==n||n.setErrors(i.errors):null==n||n.reset(null==i?void 0:i.values))};return(t,r)=>{const i=Tn("FormKit");return Ai(),Mi(i,Ui({ref:e=>{var n;return null==(n=t.formRef)?void 0:n.call(t,e)},type:"form",actions:!1,config:t.config,"incomplete-message":!1,errors:t.errors,"model-value":t.modelValue,novalidate:""},Er({submit:n}),{onSubmitInvalid:t.onSubmitInvalid,"onUpdate:modelValue":e["onUpdate:modelValue"]}),{default:wn((e=>[Ni(nm,{legend:t.legend,inline:t.inline},{default:wn((()=>[Or(t.$slots,"default",K(Bi(e)))])),_:2},1032,["legend","inline"]),t.actions?(Ai(),Mi(rm,{key:0,variant:"string"==typeof t.actions?t.actions:"standard"},{default:wn((()=>[Or(t.$slots,"actions",K(Bi(e)))])),_:2},1032,["variant"])):Vi("",!0)])),_:3},16,["config","errors","model-value","onSubmitInvalid","onUpdate:modelValue"])}}}),om=(Boolean,Boolean,{classes:{type:Object,required:!1},description:{type:String,required:!1},disabled:{type:[Boolean,String],required:!1},errors:{type:Array,required:!1},help:{type:String,required:!1},ignore:{type:Boolean,required:!1},id:{type:String,required:!1,default:({name:t})=>t?`input_${t}`:void 0},label:{type:String,required:!1,default:({name:t})=>Nh.startCase(t)},modelValue:{required:!1},name:{type:String,required:!1},onInput:{type:[Function,Array],required:!1},"onUpdate:modelValue":{type:[Function,Array],required:!1},prefix:{type:String,required:!1},preserve:{type:Boolean,required:!1,default:!1},prefixIcon:{type:String,required:!1},required:{type:Boolean,required:!1,default:void 0},span:{type:[String,Object],required:!1,default:()=>Jr(em,!1)?{mobile:"12",small:"6"}:void 0},suffix:{type:String,required:!1},suffixIcon:{type:String,required:!1},validation:{type:String,required:!1},validationLabel:{type:[String,Function],required:!1},validationMessages:{type:Object,required:!1},validationRules:{type:Object,required:!1}}),sm=(Boolean,rr({__name:"field",props:{...om,sectionsSchema:{type:Object,required:!1},type:{type:[String,Object],required:!0}},setup(t){const e=t,n=ho((()=>e.required?function(...t){return t.filter(Boolean).join("|")}("required",e.validation):e.validation)),r=be(Kg),i=ho((()=>({outer:{attrs:{style:tm(e.span)}},label:{$el:"div",if:"$label || $description || $required",children:[{$cmp:r,children:"$label",props:{description:"$description",required:"$required",for:"$id"}}]},...e.sectionsSchema}))),o=t=>{t.addProps(["description","required"])};return(r,s)=>{const a=Tn("FormKit");return Ai(),Mi(a,Ui({id:r.id,classes:Pe(Qg)({outer:r.$attrs.class},r.classes),description:r.description,disabled:r.disabled||void 0,errors:r.errors,help:r.help,ignore:r.ignore,label:r.label,"model-value":r.modelValue,name:r.name,"outer-class":r.span&&Pe(Zg).formSpan,preserve:r.preserve,plugins:[o],required:r.required,"sections-schema":i.value,type:t.type,validation:n.value,"validation-label":r.validationLabel,"validation-messages":r.validationMessages,"validation-rules":r.validationRules,"onUpdate:modelValue":e["onUpdate:modelValue"]},Er({input:r.onInput})),Ar({_:2},[Cr(r.$slots,((t,e)=>({name:e,fn:wn((t=>[Or(r.$slots,e,K(Bi(t)))]))}))),r.$slots.label?{name:"label",fn:wn((t=>[Ni(Kg,{for:r.id,description:r.description,required:r.required},{default:wn((()=>[Or(r.$slots,"label",K(Bi(t)))])),_:2},1032,["for","description","required"])])),key:"0"}:void 0,r.$slots.help?{name:"help",fn:wn((t=>[Ri("div",{class:Y(r.$style.help)},[Or(r.$slots,"help",K(Bi(t)))],2)])),key:"1"}:void 0]),1040,["id","classes","description","disabled","errors","help","ignore","label","model-value","name","outer-class","preserve","plugins","required","sections-schema","type","validation","validation-label","validation-messages","validation-rules","onUpdate:modelValue"])}}})),am=qh(sm,[["__cssModules",{$style:{help:"_help_l44b4_1"}}]]),lm=["for"],cm=["for"],um=rr({__name:"input",props:{...om,placeholder:{type:String,required:!1},type:{type:[String,Object],required:!0}},setup(t){const e=t,n=Ae(!1);return(t,r)=>(Ai(),Mi(am,Ui(e,{classes:Pe(Qg)({inner:{[t.$style.input]:!0,[Pe(Zg).inputControl]:!0,[Pe(Zg).focused]:n.value},input:Pe(Zg).inputHide},t.classes),onFocus:r[0]||(r[0]=t=>n.value=!0),onBlur:r[1]||(r[1]=t=>n.value=!1)}),Ar({_:2},[Cr(t.$slots,((e,n)=>({name:n,fn:wn((e=>[Or(t.$slots,n,K(Bi(e)))]))}))),t.$slots.prefix||t.prefix||t.prefixIcon?{name:"prefix",fn:wn((e=>[Ri("label",{for:t.id,class:Y(t.$style.prefix)},[t.prefixIcon?(Ai(),Mi(Pe(Uh),{key:0,icon:t.prefixIcon},null,8,["icon"])):Vi("",!0),Or(t.$slots,"prefix",K(Bi(e)),(()=>[zi(et(t.prefix),1)]))],10,lm)])),key:"0"}:void 0,t.$slots.suffix||t.suffix||t.suffixIcon?{name:"suffix",fn:wn((e=>[Ri("label",{for:t.id,class:Y(t.$style.suffix)},[t.suffixIcon?(Ai(),Mi(Pe(Uh),{key:0,icon:t.suffixIcon},null,8,["icon"])):Vi("",!0),Or(t.$slots,"suffix",K(Bi(e)),(()=>[zi(et(t.suffix),1)]))],10,cm)])),key:"1"}:void 0]),1040,["classes"]))}}),hm=qh(um,[["__cssModules",{$style:{input:"_input_1rnut_1",prefixSuffix:"_prefixSuffix_1rnut_4",prefix:"_prefix_1rnut_4",suffix:"_suffix_1rnut_6"}}]]);function pm(){return Math.random().toString(36).substring(2,15)}function dm(t,e){const n=t instanceof Set?t:new Set(t);return e&&e.forEach((t=>n.add(t))),[...n]}function fm(t,e){return Object.prototype.hasOwnProperty.call(t,e)}function gm(t,e,n=!0,r=["__key"]){if(t===e)return!0;if("object"==typeof e&&"object"==typeof t){if(t instanceof Map||t instanceof Set||t instanceof Date||null===t||null===e||Object.keys(t).length!==Object.keys(e).length)return!1;for(const n of r)if((n in t||n in e)&&t[n]!==e[n])return!1;for(const i in t)if(!(i in e)||t[i]!==e[i]&&!n||n&&!gm(t[i],e[i],n,r))return!1;return!0}return!1}function mm(t){const e=typeof t;if("number"===e)return!1;if(void 0===t)return!0;if("string"===e)return""===t;if("object"===e){if(null===t)return!0;for(const e in t)return!1;return!(t instanceof RegExp||t instanceof Date)}return!1}function vm(t){return"[object Object]"===Object.prototype.toString.call(t)}function ym(t){return vm(t)||Array.isArray(t)}function bm(t){if(!1===vm(t)||t.__FKNode__||!1===t.__POJO__)return!1;const e=t.constructor;if(void 0===e)return!0;const n=e.prototype;return!(!1===vm(n)||!1===n.hasOwnProperty("isPrototypeOf"))}function _m(t,e,n=!1,r=!1){if(null===e)return null;const i={};if("string"==typeof e)return e;for(const o in t)if(!fm(e,o)||void 0===e[o]&&r)i[o]=t[o];else{if(n&&Array.isArray(t[o])&&Array.isArray(e[o])){i[o]=t[o].concat(e[o]);continue}if(void 0===e[o])continue;bm(t[o])&&bm(e[o])?i[o]=_m(t[o],e[o],n,r):i[o]=e[o]}for(const t in e)!fm(i,t)&&void 0!==e[t]&&(i[t]=e[t]);return i}function xm(...t){return t.reduce(((t,e)=>{const{value:n,name:r,modelValue:i,config:o,plugins:s,...a}=e;return Object.assign(t,a)}),{})}function wm(t,e){const n={},r=e.filter((t=>t instanceof RegExp)),i=new Set(e);for(const e in t)!i.has(e)&&!r.some((t=>t.test(e)))&&(n[e]=t[e]);return n}function Sm(t,e){const n={},r=e.filter((t=>t instanceof RegExp));return e.forEach((e=>{e instanceof RegExp||(n[e]=t[e])})),Object.keys(t).forEach((e=>{r.some((t=>t.test(e)))&&(n[e]=t[e])})),n}function km(t){return t.replace(/-([a-z0-9])/gi,((t,e)=>e.toUpperCase()))}function Cm(t){return t.replace(/([a-z0-9])([A-Z])/g,((t,e,n)=>e+"-"+n.toLowerCase())).replace(" ","-").toLowerCase()}function Am(t,e=["__key","__init"]){if(null===t||t instanceof RegExp||t instanceof Date||t instanceof Map||t instanceof Set||"function"==typeof File&&t instanceof File)return t;let n;n=Array.isArray(t)?t.map((t=>"object"==typeof t?Am(t,e):t)):Object.keys(t).reduce(((n,r)=>(n[r]="object"==typeof t[r]?Am(t[r],e):t[r],n)),{});for(const r of e)r in t&&Object.defineProperty(n,r,{enumerable:!1,value:t[r]});return n}function Om(t){return"object"==typeof t?Am(t):t}function Tm(t){return void 0!==t&&"false"!==t&&!1!==t||void 0}function Em(t){return Object.isFrozen(t)?t:Object.defineProperty(t,"__init",{enumerable:!1,value:!0})}function Pm(t){return t.normalize("NFD").replace(/[\u0300-\u036f]/g,"").toLowerCase().replace(/[^a-z0-9]/g," ").trim().replace(/\s+/g,"-")}function Mm(){const t=[];let e=0;const n=e=>t.push(e),r=n=>{const i=t[e];return"function"==typeof i?i(n,(t=>(e++,r(void 0===t?n:t)))):(e=0,n)};return n.dispatch=r,n.unshift=e=>t.unshift(e),n.remove=e=>{const n=t.indexOf(e);n>-1&&t.splice(n,1)},n}function Lm(){const t=new Map,e=new Map;let n;const r=(e,r)=>{n?n.set(r.name,[e,r]):(t.has(r.name)&&t.get(r.name).forEach((t=>{(r.origin===e||t.modifiers.includes("deep"))&&t.listener(r)})),r.bubble&&e.bubble(r))};return r.on=(n,r)=>{const[i,...o]=n.split("."),s=r.receipt||pm(),a={modifiers:o,event:i,listener:r,receipt:s};return t.has(i)?t.get(i).push(a):t.set(i,[a]),e.has(s)?e.get(s).push(i):e.set(s,[i]),s},r.off=n=>{var r;e.has(n)&&(null===(r=e.get(n))||void 0===r||r.forEach((e=>{const r=t.get(e);Array.isArray(r)&&t.set(e,r.filter((t=>t.receipt!==n)))})),e.delete(n))},r.pause=t=>{n||(n=new Map),t&&t.walk((t=>t._e.pause()))},r.play=t=>{if(!n)return;const e=n;n=void 0,e.forEach((([t,e])=>r(t,e))),t&&t.walk((t=>t._e.play()))},r}Boolean;const jm=Mm();jm(((t,e)=>(t.message||(t.message=`E${t.code}`),e(t))));const Dm=Mm();function $m(t,e={}){Dm.dispatch({code:t,data:e})}function Im(t,e={}){throw Error(jm.dispatch({code:t,data:e}).message)}function Rm(t,e){const n={blocking:!1,key:pm(),meta:{},type:"state",visible:!0,...t};return e&&n.value&&!1!==n.meta.localize&&(n.value=e.t(n),n.meta.locale=e.config.locale),n}Dm(((t,e)=>{t.message||(t.message=`W${t.code}`);const n=e(t);return console&&"function"==typeof console.warn&&console.warn(n.message),n}));const Nm={apply:function(t,e,n,r,i){if(Array.isArray(r)){if(e.buffer)return void e._b.push([r,i]);const t=new Set(r.map((t=>(e.set(t),t.key))));"string"==typeof i?e.filter((e=>e.type!==i||t.has(e.key))):"function"==typeof i&&e.filter((e=>!i(e)||t.has(e.key)))}else for(const t in r){const o=n.at(t);o?o.store.apply(r[t],i):zm(n,e,t,r[t],i)}},set:function(t,e,n,r){if(e.buffer)return e._b.push([[r]]),e;if(t[r.key]!==r){if("string"==typeof r.value&&!1!==r.meta.localize){const t=r.value;r.value=n.t(r),r.value!==t&&(r.meta.locale=n.props.locale)}const e="message-"+(fm(t,r.key)?"updated":"added");t[r.key]=Object.freeze(n.hook.message.dispatch(r)),n.emit(e,r)}return e},remove:Fm,filter:function(t,e,n,r,i){for(const o in t){const s=t[o];(!i||s.type===i)&&!r(s)&&Fm(t,e,n,o)}},reduce:function(t,e,n,r,i){for(const e in t)i=r(i,t[e]);return i},release:function(t,e){e.buffer=!1,e._b.forEach((([t,n])=>e.apply(t,n))),e._b=[]},touch:function(t,e){for(const n in t){const r={...t[n]};e.set(r)}}};function Bm(t=!1){const e={};let n,r=t,i=[];const o=new Map;let s;const a=new Proxy(e,{get(...t){const[l,c]=t;return"buffer"===c?r:"_b"===c?i:"_m"===c?o:"_r"===c?s:fm(Nm,c)?Nm[c].bind(null,e,a,n):Reflect.get(...t)},set:(t,e,o)=>"_n"===e?(n=o,"__n"===s&&Vm(n,a),!0):"_b"===e?(i=o,!0):"buffer"===e?(r=o,!0):"_r"===e?(s=o,!0):(Im(101,n),!1)});return a}function Fm(t,e,n,r){if(fm(t,r)){const e=t[r];delete t[r],n.emit("message-removed",e)}return!0===e.buffer&&(e._b=e._b.filter((t=>(t[0]=t[0].filter((t=>t.key!==r)),t[1]||t[0].length)))),e}function zm(t,e,n,r,i){var o;const s=e._m;s.has(n)||s.set(n,[]),e._r||(e._r=Vm(t,e)),null===(o=s.get(n))||void 0===o||o.push([r,i])}function Vm(t,e){return t.on("child.deep",(({payload:n})=>{e._m.forEach(((r,i)=>{t.at(i)===n&&(r.forEach((([t,e])=>{n.store.apply(t,e)})),e._m.delete(i))})),0===e._m.size&&e._r&&(t.off(e._r),e._r=void 0)}))}function qm(){const t={};let e;return{count:(...n)=>function(t,e,n,r,i=0){if(r=function(t){return"function"==typeof t?t:e=>e.type===t}(r||n),!fm(e,n)){const o={condition:r,count:0,name:n,node:t,promise:Promise.resolve(),resolve:()=>{}};e[n]=o,i=t.store.reduce(((t,e)=>t+1*o.condition(e)),i),t.each((t=>{t.ledger.count(o.name,o.condition),i+=t.ledger.value(o.name)}))}return Wm(e[n],i).promise}(e,t,...n),init(n){e=n,n.on("message-added.deep",Hm(t,1)),n.on("message-removed.deep",Hm(t,-1))},merge:n=>Um(e,t,n),settled:e=>fm(t,e)?t[e].promise:Promise.resolve(),unmerge:n=>Um(e,t,n,!0),value:e=>fm(t,e)?t[e].count:0}}function Wm(t,e){const n=t.count,r=t.count+e;return t.count=r,0===n&&0!==r?(t.node.emit(`unsettled:${t.name}`,t.count,!1),t.promise=new Promise((e=>t.resolve=e))):0!==n&&0===r&&(t.node.emit(`settled:${t.name}`,t.count,!1),t.resolve()),t.node.emit(`count:${t.name}`,t.count,!1),t}function Hm(t,e){return n=>{for(const r in t){const i=t[r];i.condition(n.payload)&&Wm(i,e)}}}function Um(t,e,n,r=!1){for(const i in e){const o=e[i].condition;r||n.ledger.count(i,o);const s=n.ledger.value(i)*(r?-1:1);if(t)do{t.ledger.count(i,o,s),t=t.parent}while(t)}}const Gm=new Map,Xm=new Map,Ym=Lm(),Km=[];function Zm(t){return Gm.get(t)}function Jm(t,e,n){let r=!0;return e in t.config._t?r=!1:t.emit(`config:${e}`,n,!1),e in t.props||(t.emit("prop",{prop:e,value:n}),t.emit(`prop:${e}`,n)),r}function Qm(t){const e=document.getElementById(t);if(e instanceof HTMLFormElement){const t=new Event("submit",{cancelable:!0,bubbles:!0});e.dispatchEvent(t)}else $m(151,t)}function tv(t,e){const n="string"==typeof t?Zm(t):t;if(n){const t=t=>Om(t.props.initial)||("group"===t.type?{}:"list"===t.type?[]:void 0);n._e.pause(n),n.input(Om(e)||t(n),!1),n.walk((e=>e.input(t(e),!1)));const r=t(n);return n.input("object"==typeof r?Om(e)||Em(r):r,!1),n._e.play(n),function(t){const e=t=>{for(const e in t.store){const n=t.store[e];"error"===n.type||"ui"===n.type&&"incomplete"===e?t.store.remove(e):"state"===n.type&&t.store.set({...n,value:!1})}};e(t),t.walk(e)}(n),n.emit("reset",n),n}$m(152,t)}const ev={delimiter:".",delay:0,locale:"en",rootClasses:t=>({[`formkit-${Cm(t)}`]:!0})},nv=Symbol("index"),rv=Symbol("removed"),iv=Symbol("moved"),ov=Symbol("inserted");function sv(t){return t&&"object"==typeof t&&!0===t.__FKNode__}const av=(t,e,n)=>{Im(102,[t,n])},lv={_c:cv((function(t,e){return e}),av,!1),add:cv((function(t,e,n,r){if("input"===t.type&&Im(100,t),n.parent&&n.parent!==t&&n.parent.remove(n),e.children.includes(n)||(void 0!==r&&"list"===t.type?(e.children.splice(r,0,n),Array.isArray(t.value)&&t.value.length<e.children.length&&t.disturb().calm({name:r,value:n.value,from:ov})):e.children.push(n),n.isSettled||t.disturb()),n.parent!==t){if(n.parent=t,n.parent!==t)return t.remove(n),n.parent.add(n),t}else n.use(t.plugins);return mv(t,e,!1),t.ledger.merge(n),t.emit("child",n),t})),addProps:cv((function(t,e,n){var r;if(t.props.attrs){const i={...t.props.attrs};t.props._emit=!1;for(const e in i){const r=km(e);n.includes(r)&&(t.props[r]=i[e],delete i[e])}const o=Om(e._value);t.props.initial="input"!==t.type?Em(o):o,t.props._emit=!0,t.props.attrs=i,t.props.definition&&(t.props.definition.props=[...(null===(r=t.props.definition)||void 0===r?void 0:r.props)||[],...n])}return t.emit("added-props",n),t})),address:cv((function(t,e){return e.parent?e.parent.address.concat([t.name]):[t.name]}),av,!1),at:cv((function(t,e,n){const r="string"==typeof n?n.split(t.config.delimiter):n;if(!r.length)return;const i=r[0];let o=t.parent;for(o||(String(r[0])===String(t.name)&&r.shift(),o=t),"$parent"===i&&r.shift();o&&r.length;){const e=r.shift();switch(e){case"$root":o=t.root;break;case"$parent":o=o.parent;break;case"$self":o=t;break;default:o=o.children.find((t=>String(t.name)===String(e)))||bv(o,e)}}return o||void 0})),bubble:cv((function(t,e,n){return sv(t.parent)&&t.parent._e(t.parent,n),t})),clearErrors:cv((function(t,e,n=!0,r){return xv(t,0,[]),n&&(r=r||`${t.name}-set`,t.walk((t=>{t.store.filter((t=>!("error"===t.type&&t.meta&&t.meta.source===r)))}))),t})),calm:cv((function(t,e,n){var r;if(void 0!==n&&"input"!==t.type)return vv(e,n),mv(t,e,!0,!1);e._d>0&&e._d--,0===e._d&&(e.isSettled=!0,t.emit("settled",!0,!1),t.parent&&(null===(r=t.parent)||void 0===r||r.calm({name:t.name,value:e.value})),e._resolve&&e._resolve(e.value))})),config:cv(!1),define:cv((function(t,e,n){e.type=n.type,e.props.definition=Am(n),e.value=e._value=fv({type:t.type,value:e.value}),n.forceTypeProp&&(t.props.type&&(t.props.originalType=t.props.type),e.props.type=n.forceTypeProp),n.family&&(e.props.family=n.family),n.features&&n.features.forEach((e=>e(t))),n.props&&t.addProps(n.props),t.emit("defined",n)})),disturb:cv((function(t,e){var n;return e._d<=0&&(e.isSettled=!1,t.emit("settled",!1,!1),e.settled=new Promise((t=>{e._resolve=t})),t.parent&&(null===(n=t.parent)||void 0===n||n.disturb())),e._d++,t})),destroy:cv((function(t,e){t.emit("destroying",t),t.store.filter((()=>!1)),t.parent&&t.parent.remove(t),function(t){if(Xm.has(t)){const e=Xm.get(t);Xm.delete(t),Gm.delete(e),Ym(t,{payload:null,name:e,bubble:!1,origin:t})}}(t),e._value=e.value=void 0,t.emit("destroyed",t)})),hydrate:cv((function(t,e){const n=e._value;return e.children.forEach((r=>{if("object"==typeof n)if(r.name in n){const t="input"!==r.type||n[r.name]&&"object"==typeof n[r.name]?Em(n[r.name]):n[r.name];r.input(t,!1)}else("list"!==t.type||"number"==typeof r.name)&&vv(e,{name:r.name,value:r.value}),n.__init||("group"===r.type?r.input({},!1):"list"===r.type?r.input([],!1):r.input(void 0,!1))})),t})),index:cv((function(t){if(t.parent){const e=[...t.parent.children].indexOf(t);return-1===e?t.parent.children.length:e}return-1}),(function(t,e,n,r){if(sv(t.parent)){const e=t.parent.children,n=r>=e.length?e.length-1:r<0?0:r,i=e.indexOf(t);return-1!==i&&(e.splice(i,1),e.splice(n,0,t),t.parent.children=e,"list"===t.parent.type&&t.parent.disturb().calm({name:n,value:iv,from:i}),!0)}return!1}),!1),input:cv(gv),each:cv((function(t,e,n){e.children.forEach((t=>n(t)))})),emit:cv((function(t,e,n,r,i=!0){return e._e(t,{payload:r,name:n,bubble:i,origin:t}),t})),find:cv((function(t,e,n,r){return function(t,e,n="name"){const r="string"==typeof n?t=>t[n]==e:n,i=[t];for(;i.length;){const t=i.shift();if(r(t,e))return t;i.push(...t.children)}}(t,n,r)})),on:cv((function(t,e,n,r){return e._e.on(n,r)})),off:cv((function(t,e,n){return e._e.off(n),t})),parent:cv(!1,(function(t,e,n,r){return sv(r)?(t.parent&&t.parent!==r&&t.parent.remove(t),e.parent=r,t.resetConfig(),r.children.includes(t)?t.use(r.plugins):r.add(t),!0):null===r&&(e.parent=null,!0)})),plugins:cv(!1),remove:cv((function(t,e,n){const r=e.children.indexOf(n);if(-1!==r){n.isSettled&&t.disturb(),e.children.splice(r,1);let i=Tm(n.props.preserve),o=n.parent;for(;void 0===i&&o;)i=Tm(o.props.preserve),o=o.parent;i?t.calm():t.calm({name:"list"===t.type?r:n.name,value:rv}),n.parent=null,n.config._rmn=n}return t.ledger.unmerge(n),t})),root:cv((function(t){let e=t;for(;e.parent;)e=e.parent;return e}),av,!1),reset:cv((function(t,e,n){return tv(t,n)})),resetConfig:cv((function(t,e){const n=t.parent||void 0;e.config=_v(t.config._t,n),t.walk((t=>t.resetConfig()))})),setErrors:cv(xv),submit:cv((function(t){const e=t.name;do{if(!0===t.props.isForm)break;t.parent||Im(106,e),t=t.parent}while(t);t.props.id&&Qm(t.props.id)})),t:cv((function(t,e,n,r="ui"){const i="string"==typeof n?{key:n,value:n,type:r}:n,o=t.hook.text.dispatch(i);return t.emit("text",o,!1),o.value})),use:cv(yv),name:cv((function(t,e){var n;return"list"===(null===(n=t.parent)||void 0===n?void 0:n.type)?t.index:e.name!==nv?e.name:t.index}),!1,!1),walk:cv((function(t,e,n,r=!1){e.children.forEach((t=>{(!1!==n(t)||!r)&&t.walk(n)}))}))};function cv(t,e,n=!0){return{get:!!t&&((e,r)=>n?(...n)=>t(e,r,...n):t(e,r)),set:void 0!==e?e:av.bind(null)}}function uv(){const t=new Map;return new Proxy(t,{get:(e,n)=>(t.has(n)||t.set(n,Mm()),t.get(n))})}let hv=0,pv=0;function dv(t){var e,n;return"list"===(null===(e=t.parent)||void 0===e?void 0:e.type)?nv:t.name||`${(null===(n=t.props)||void 0===n?void 0:n.type)||"input"}_${++hv}`}function fv(t){return"group"===t.type?Em(t.value&&"object"==typeof t.value&&!Array.isArray(t.value)?t.value:{}):"list"===t.type?Em(Array.isArray(t.value)?t.value:[]):null===t.value?"":t.value}function gv(t,e,n,r=!0){return e._value=function(t,e){switch(t.type){case"input":break;case"group":(!e||"object"!=typeof e)&&Im(107,[t,e]);break;case"list":Array.isArray(e)||Im(108,[t,e])}return e}(t,t.hook.input.dispatch(n)),t.emit("input",e._value),e.isSettled&&t.disturb(),r?(e._tmo&&clearTimeout(e._tmo),e._tmo=setTimeout(mv,t.props.delay,t,e)):mv(t,e),e.settled}function mv(t,e,n=!0,r=!0){e._value=e.value=t.hook.commit.dispatch(e._value),"input"!==t.type&&r&&t.hydrate(),t.emit("commit",e.value),n&&t.calm()}function vv(t,{name:e,value:n,from:r}){if(!Object.isFrozen(t._value)){if(function(t){return"list"===t.type&&Array.isArray(t._value)}(t)){const i=n===rv?[]:n===iv&&"number"==typeof r?t._value.splice(r,1):[n];return void t._value.splice(e,n===iv||r===ov?0:1,...i)}n!==rv?t._value[e]=n:delete t._value[e]}}function yv(t,e,n,r=!0,i=!0){return Array.isArray(n)||n instanceof Set?(n.forEach((n=>yv(t,e,n))),t):(e.plugins.has(n)||(i&&"function"==typeof n.library&&n.library(t),r&&!1!==n(t)&&(e.plugins.add(n),t.children.forEach((t=>t.use(n))))),t)}function bv(t,e){const n=String(e).match(/^(find)\((.*)\)$/);if(n){const[,e,r]=n,i=r.split(",").map((t=>t.trim()));return"find"===e?t.find(i[0],i[1]):void 0}}function _v(t={},e){let n;return new Proxy(t,{get(...r){const i=r[1];if("_t"===i)return t;const o=Reflect.get(...r);if(void 0!==o)return o;if(e){const t=e.config[i];if(void 0!==t)return t}if(t.rootConfig&&"string"==typeof i){const e=t.rootConfig[i];if(void 0!==e)return e}return"delay"===i&&"input"===(null==n?void 0:n.type)?20:ev[i]},set(...e){const r=e[1],i=e[2];if("_n"===r)return n=i,t.rootConfig&&t.rootConfig._add(n),!0;if("_rmn"===r)return t.rootConfig&&t.rootConfig._rm(n),n=void 0,!0;if(!gm(t[r],i,!1)){const t=Reflect.set(...e);return n&&(n.emit(`config:${r}`,i,!1),Jm(n,r,i),n.walk((t=>Jm(t,r,i)),!0)),t}return!0}})}function xv(t,e,n,r){const i=`${t.name}-set`,o=t.hook.setErrors.dispatch({localErrors:n,childErrors:r});return function(t,...e){const n=`${t.name}-set`,r=t=>Rm({key:Pm(t),type:"error",value:t,meta:{source:n,autoClear:!0}});return e.filter((t=>!!t)).map((t=>{if("string"==typeof t&&(t=[t]),Array.isArray(t))return t.map((t=>r(t)));{const e={};for(const n in t)Array.isArray(t[n])?e[n]=t[n].map((t=>r(t))):e[n]=[r(t[n])];return e}}))}(t,o.localErrors,o.childErrors).forEach((e=>{t.store.apply(e,(t=>t.meta.source===i))})),t}function wv(t){const e={initial:"object"==typeof t?Om(t):t};let n,r=!0;return new Proxy(e,{get(...t){const[r,i]=t;return fm(e,i)?Reflect.get(...t):n&&"string"==typeof i&&void 0!==n.config[i]?n.config[i]:void 0},set(t,i,o,s){if("_n"===i)return n=o,!0;if("_emit"===i)return r=o,!0;const{prop:a,value:l}=n.hook.prop.dispatch({prop:i,value:o});if(!gm(e[a],l,!1)||"object"==typeof l){const e=Reflect.set(t,a,l,s);return r&&(n.emit("prop",{prop:a,value:l}),"string"==typeof a&&n.emit(`prop:${a}`,l)),e}return!0}})}function Sv(t){const e=t||{},n=function(t){const e=fv(t),n=_v(t.config||{},t.parent);return{_d:0,_e:Lm(),_resolve:!1,_tmo:!1,_value:e,children:dm(t.children||[]),config:n,hook:uv(),isCreated:!1,isSettled:!0,ledger:qm(),name:dv(t),parent:t.parent||null,plugins:new Set,props:wv(e),settled:Promise.resolve(e),store:Bm(!0),traps:new Map(Object.entries(lv)),type:t.type||"input",value:e}}(e),r=new Proxy(n,{get(...t){const[,e]=t;if("__FKNode__"===e)return!0;const i=n.traps.get(e);return i&&i.get?i.get(r,n):Reflect.get(...t)},set(...t){const[,e,i]=t,o=n.traps.get(e);return o&&o.set?o.set(r,n,e,i):Reflect.set(...t)}});return function(t,e){var n;if(t.ledger.init(t.store._n=t.props._n=t.config._n=t),t.props._emit=!1,e.props&&Object.assign(t.props,e.props),t.props._emit=!0,function(t,e){if(t.props.definition)return t.define(t.props.definition);for(const n of e){if(t.props.definition)return;"function"==typeof n.library&&n.library(t)}}(t,new Set([...e.plugins||[],...t.parent?t.parent.plugins:[]])),e.plugins)for(const n of e.plugins)yv(t,t._c,n,!0,!1);return function(t){fm(t.props,"id")||(t.props.id="input_"+pv++)}(t),t.each((e=>t.add(e))),t.parent&&t.parent.add(t,e.index),"input"===t.type&&t.children.length&&Im(100,t),gv(t,t._c,t._value,!1),t.store.release(),!(null===(n=e.props)||void 0===n)&&n.id&&function(t){t.props.id&&(Gm.set(t.props.id,t),Xm.set(t,t.props.id),Ym(t,{payload:t,name:t.props.id,bubble:!1,origin:t}))}(t),t.emit("created",t),t.isCreated=!0,t}(r,e)}function kv(t){return"string"!=typeof t&&fm(t,"$el")}function Cv(t){return"string"!=typeof t&&fm(t,"$cmp")}function Av(t){return!(!t||"string"==typeof t)&&fm(t,"if")&&fm(t,"then")}function Ov(t){let e;const n=new Set,r=function(t,e){return"function"==typeof t?t(e):t},i=[{"&&":(t,e,n)=>r(t,n)&&r(e,n),"||":(t,e,n)=>r(t,n)||r(e,n)},{"===":(t,e,n)=>r(t,n)===r(e,n),"!==":(t,e,n)=>r(t,n)!==r(e,n),"==":(t,e,n)=>r(t,n)==r(e,n),"!=":(t,e,n)=>r(t,n)!=r(e,n),">=":(t,e,n)=>r(t,n)>=r(e,n),"<=":(t,e,n)=>r(t,n)<=r(e,n),">":(t,e,n)=>r(t,n)>r(e,n),"<":(t,e,n)=>r(t,n)<r(e,n)},{"+":(t,e,n)=>r(t,n)+r(e,n),"-":(t,e,n)=>r(t,n)-r(e,n)},{"*":(t,e,n)=>r(t,n)*r(e,n),"/":(t,e,n)=>r(t,n)/r(e,n),"%":(t,e,n)=>r(t,n)%r(e,n)}],o=i.reduce(((t,e)=>t.concat(Object.keys(e))),[]),s=new Set(o.map((t=>t.charAt(0))));function a(t,e,n,r){const i=t.filter((t=>t.startsWith(e)));return!!i.length&&i.find((t=>r.length>=n+t.length&&r.substring(n,n+t.length)===t&&t))}function l(t,e,n=1){let r=n?e.substring(t+1).trim():e.substring(0,t).trim();if(!r.length)return-1;if(!n){const t=r.split("").reverse(),e=t.findIndex((t=>s.has(t)));r=t.slice(e).join("")}const o=r[0];return i.findIndex((t=>!!a(Object.keys(t),o,0,r)))}function c(t,e){let n="";const r=e.length;let i=0;for(let s=t;s<r;s++){const t=e.charAt(s);if("("===t)i++;else if(")"===t)i--;else if(0===i&&" "===t)continue;if(0===i&&a(o,t,s,e))return[n,s-1];n+=t}return[n,e.length-1]}function u(t,e=0){const n=i[e],r=t.length,o=Object.keys(n);let s,u=0,p=!1,d=null,f="",g=null,m="",v="",y="",b="",_=0;const x=(t,e)=>{t?y+=e:f+=e};for(let i=0;i<r;i++)if(m=v,v=t.charAt(i),"'"!==v&&'"'!==v||"\\"===m||!(0===u&&!p||u&&!b))if(p&&(v!==p||"\\"===m)||b&&(v!==b||"\\"===m))x(u,v);else if(p!==v)if(b!==v){if(" "!==v)if("("===v)0===u?_=i:y+=v,u++;else if(")"===v)if(u--,0===u){const n="string"==typeof f&&f.startsWith("$")?f:void 0,r=n&&"."===t.charAt(i+1);let o="";r&&([o,i]=c(i+2,t));const s=d?e:l(_,t,0),a=l(i,t);-1===s&&-1===a?f=h(y,-1,n,o):d&&(s>=a||-1===a)&&e===s?(g=d.bind(null,h(y,-1,n,o)),d=null,f=""):a>s&&e===a?f=h(y,-1,n,o):f+=`(${y})${r?`.${o}`:""}`,y=""}else y+=v;else{if(0===u&&(s=a(o,v,i,t))){0===i&&Im(103,[s,t]),i+=s.length-1,i===t.length-1&&Im(104,[s,t]),d?f&&(g=d.bind(null,h(f,e)),d=n[s].bind(null,g),f=""):g?(d=n[s].bind(null,h(g,e)),g=null):(d=n[s].bind(null,h(f,e)),f="");continue}x(u,v)}}else b=!1,x(u,v);else p=!1,x(u,v);else u?b=v:p=v,x(u,v);return f&&d&&(d=d.bind(null,h(f,e))),d=!d&&g?g:d,!d&&f&&(d=(t,e)=>"function"==typeof t?t(e):t,d=d.bind(null,h(f,e))),!d&&!f&&Im(105,t),d}function h(t,r,o,s){if(o){const n=h(o,i.length);let r,a=!!s&&Ov(`$${s}`);if("function"==typeof n){const i=function(t){const e=[];let n="",r=0,i="",o="";for(let s=0;s<t.length;s++){const a=t.charAt(s);a===i&&"\\"!==o?i="":"'"!==a&&'"'!==a||i||"\\"===o?"("!==a||i?")"===a&&!i&&r--:r++:i=a,","!==a||i||0!==r?(" "!==a||i)&&(n+=a):(e.push(n),n=""),o=a}return n&&e.push(n),e}(String(t)).map((t=>h(t,-1)));return t=>{const l=n(t);return"function"!=typeof l?($m(150,o),l):(r=l(...i.map((e=>"function"==typeof e?e(t):e))),a&&(a=a.provide((t=>{const n=e(t);return t.reduce(((t,e)=>{if(e===s||(null==s?void 0:s.startsWith(`${e}(`))){const n=function(t,e){if(!t||"object"!=typeof t)return null;const n=e.split(".");let r=t;for(const t in n){const e=n[t];if(fm(r,e)&&(r=r[e]),+t==n.length-1)return r;if(!r||"object"!=typeof r)return null}return null}(r,e);t[e]=()=>n}else t[e]=n[e];return t}),{})}))),a?a():r)}}}else if("string"==typeof t){if("true"===t)return!0;if("false"===t)return!1;if("undefined"===t)return;if(function(t){if('"'!==t[0]&&"'"!==t[0]||t[0]!==t[t.length-1])return!1;const e=t[0];for(let n=1;n<t.length;n++)if(t[n]===e&&(1===n||"\\"!==t[n-1])&&n!==t.length-1)return!1;return!0}(t))return function(t){if(!t.length)return"";let e="",n="";for(let r=0;r<t.length;r++){const i=t.charAt(r);("\\"!==i||"\\"===n)&&(e+=i),n=i}return e}(t.substring(1,t.length-1));if(!isNaN(+t))return Number(t);if(r<i.length-1)return u(t,r+1);if(t.startsWith("$")){const e=t.substring(1);return n.add(e),function(t){return e in t?t[e]():void 0}}return t}return t}const p=u(t.startsWith("$:")?t.substring(2):t),d=Array.from(n);return Object.assign(p,{provide:function t(n){return e=n,Object.assign(p.bind(null,n(d)),{provide:t})}})}function Tv(t,e,n){return n?"string"==typeof n?n.split(" ").reduce(((t,e)=>Object.assign(t,{[e]:!0})),{}):"function"==typeof n?Tv(t,e,n(e,t)):n:{}}function Ev(t,e,n){const r=Zm(t);r?r.setErrors(e,n):$m(651,t)}function Pv(t,e=!0){const n=Zm(t);n?n.clearErrors(e):$m(652,t)}const Mv="1.0.0-beta.10",Lv=Iy("outer",(()=>({$el:"div",attrs:{key:"$id","data-family":"$family || undefined","data-type":"$type","data-multiple":'$attrs.multiple || ($type != "select" && $options != undefined) || undefined',"data-disabled":"$disabled || undefined","data-complete":"$state.complete || undefined","data-invalid":"$state.valid === false && $state.validationVisible || undefined","data-errors":"$state.errors || undefined","data-submitted":"$state.submitted || undefined","data-prefix-icon":"$_rawPrefixIcon !== undefined || undefined","data-suffix-icon":"$_rawSuffixIcon !== undefined || undefined","data-prefix-icon-click":"$onPrefixIconClick !== undefined || undefined","data-suffix-icon-click":"$onSuffixIconClick !== undefined || undefined"}})),!0),jv=Iy("inner","div"),Dv=Iy("wrapper","div"),$v=Iy("label",(()=>({$el:"label",if:"$label",attrs:{for:"$id"}}))),Iv=Iy("messages",(()=>({$el:"ul",if:"$fns.length($messages)"}))),Rv=Iy("message",(()=>({$el:"li",for:["message","$messages"],attrs:{key:"$message.key",id:"$id + '-' + $message.key","data-message-type":"$message.type"}}))),Nv=Iy("prefix",null),Bv=Iy("suffix",null),Fv=Iy("help",(()=>({$el:"div",if:"$help",attrs:{id:'$: "help-" + $id'}}))),zv=Iy("fieldset",(()=>({$el:"fieldset",attrs:{id:"$id","aria-describedby":{if:"$help",then:'$: "help-" + $id',else:void 0}}}))),Vv=Iy("decorator",(()=>({$el:"span",attrs:{"aria-hidden":"true"}}))),qv=Iy("input",(()=>({$el:"input",bind:"$attrs",attrs:{type:"$type",name:"$node.props.altName || $node.name",disabled:"$option.attrs.disabled || $disabled",onInput:"$handlers.toggleChecked",checked:"$fns.eq($_value, $onValue)",onBlur:"$handlers.blur",value:"$: true",id:"$id","aria-describedby":{if:"$options.length",then:{if:"$option.help",then:'$: "help-" + $option.attrs.id',else:void 0},else:{if:"$help",then:'$: "help-" + $id',else:void 0}}}}))),Wv=Iy("legend",(()=>({$el:"legend",if:"$label"}))),Hv=Iy("option",(()=>({$el:"li",for:["option","$options"],attrs:{"data-disabled":"$option.attrs.disabled || $disabled"}}))),Uv=Iy("options","ul"),Gv=Iy("wrapper",(()=>({$el:"label",attrs:{"data-disabled":{if:"$options.length",then:void 0,else:"$disabled || undefined"}}}))),Xv=Iy("optionHelp",(()=>({$el:"div",if:"$option.help",attrs:{id:'$: "help-" + $option.attrs.id'}}))),Yv=Iy("label","span"),Kv=Iy("input",(()=>({$el:"button",bind:"$attrs",attrs:{type:"$type",disabled:"$disabled",name:"$node.name",id:"$id"}}))),Zv=Iy("default",null),Jv=Iy("input",(()=>({$el:"input",bind:"$attrs",attrs:{type:"file",disabled:"$disabled",name:"$node.name",onChange:"$handlers.files",onBlur:"$handlers.blur",id:"$id","aria-describedby":"$describedBy"}}))),Qv=Iy("fileItem",(()=>({$el:"li",for:["file","$value"]}))),ty=Iy("fileList",(()=>({$el:"ul",if:"$value.length",attrs:{"data-has-multiple":{if:"$value.length > 1",then:"true"}}}))),ey=Iy("fileName",(()=>({$el:"span",attrs:{class:"$classes.fileName"}}))),ny=Iy("fileRemove",(()=>({$el:"button",attrs:{onClick:"$handlers.resetFiles"}}))),ry=Iy("noFiles",(()=>({$el:"span",if:"$value.length == 0"}))),iy=Iy("form",(()=>({$el:"form",bind:"$attrs",attrs:{id:"$id",name:"$node.name",onSubmit:"$handlers.submit","data-loading":"$state.loading || undefined"}})),!0),oy=Iy("actions",(()=>({$el:"div",if:"$actions"}))),sy=Iy("submit",(()=>({$cmp:"FormKit",bind:"$submitAttrs",props:{ignore:!0,type:"submit",disabled:"$disabled",label:"$submitLabel"}}))),ay=Iy("input",(()=>({$el:"input",bind:"$attrs",attrs:{type:"$type",disabled:"$disabled",name:"$node.name",onInput:"$handlers.DOMInput",onBlur:"$handlers.blur",value:"$_value",id:"$id","aria-describedby":"$describedBy"}}))),ly=Iy("wrapper",null,!0),cy=Iy("input",(()=>({$el:"select",bind:"$attrs",attrs:{id:"$id","data-placeholder":{if:"$placeholder",then:{if:"$value",then:void 0,else:"true"}},disabled:"$disabled",class:"$classes.input",name:"$node.name",onChange:"$handlers.onChange",onInput:"$handlers.selectInput",onBlur:"$handlers.blur","aria-describedby":"$describedBy"}}))),uy=Iy("option",(()=>({$el:"option",for:["option","$options"],bind:"$option.attrs",attrs:{class:"$classes.option",value:"$option.value",selected:"$fns.isSelected($option.value)"}}))),hy=Iy("input",(()=>({$el:"textarea",bind:"$attrs",attrs:{disabled:"$disabled",name:"$node.name",onInput:"$handlers.DOMInput",onBlur:"$handlers.blur",value:"$_value",id:"$id","aria-describedby":"$describedBy"},children:"$initialValue"}))),py=(t,e)=>Iy(`${t}Icon`,(()=>{const n=`_raw${t.charAt(0).toUpperCase()}${t.slice(1)}Icon`;return{if:`$${t}Icon && $${n}`,$el:`${e||"span"}`,attrs:{class:`$classes.${t}Icon + " formkit-icon"`,innerHTML:`$${n}`,onClick:`$handlers.iconClick(${t})`,for:{if:`${"label"===e}`,then:"$id"}}}}))();function dy(t){return function(e,n){return"options"===e.prop&&Array.isArray(e.value)&&(e.value=e.value.map((e=>{var n;return null!==(n=e.attrs)&&void 0!==n&&n.id?e:_m(e,{attrs:{id:`${t.name}-option-${Cm(String(e.value))}`}})})),"checkbox"===t.props.type&&!Array.isArray(t.value)&&(t.isCreated?t.input([],!1):t.on("created",(()=>{Array.isArray(t.value)||t.input([],!1)})))),n(e)}}function fy(t,e){if(Array.isArray(t))for(const n of t)if(e==n.value)return"__original"in n?n.__original:n.value;return e}function gy(t,e){return t==e||!(!bm(t)||!bm(e))&&gm(t,e)}function my(t){t.hook.prop(((t,e)=>{if("options"===t.prop){const e=function(t){let e=1;return Array.isArray(t)?t.map((t=>"string"==typeof t||"number"==typeof t?{label:t,value:t}:("object"==typeof t&&"value"in t&&"string"!=typeof t.value&&Object.assign(t,{value:"__mask_"+e++,__original:t.value}),t))):Object.keys(t).map((e=>({label:t[e],value:e})))}(t.value);t.value=e}return e(t)}))}function vy(t,e){const n=e.target;if(n instanceof HTMLInputElement){const e=Array.isArray(t.props.options)?fy(t.props.options,n.value):n.value;Array.isArray(t.props.options)&&t.props.options.length?Array.isArray(t._value)?t._value.some((t=>gy(e,t)))?t.input(t._value.filter((t=>!gy(e,t)))):t.input([...t._value,e]):t.input([e]):n.checked?t.input(t.props.onValue):t.input(t.props.offValue)}}function yy(t,e){var n,r;return null===(n=t.context)||void 0===n||n.value,null===(r=t.context)||void 0===r||r._value,!!Array.isArray(t._value)&&t._value.some((n=>gy(fy(t.props.options,e),n)))}function by(t){t.on("created",(()=>{t.props.disabled=Tm(t.props.disabled)})),t.hook.prop((({prop:t,value:e},n)=>n({prop:t,value:e="disabled"===t?Tm(e):e}))),t.on("prop:disabled",(({payload:e})=>{t.config.disabled=Tm(e)})),t.on("created",(()=>{t.config.disabled=Tm(t.props.disabled)}))}function _y(t,e){return n=>{n.store.set(Rm({key:t,type:"ui",value:e||t,meta:{localize:!0,i18nArgs:[n]}}))}}const xy=typeof window<"u";function wy(t){t.target instanceof HTMLElement&&t.target.hasAttribute("data-file-hover")&&t.target.removeAttribute("data-file-hover")}function Sy(t,e){e.target instanceof HTMLInputElement?"dragover"===t&&e.target.setAttribute("data-file-hover","true"):e.preventDefault(),"drop"===t&&wy(e)}async function ky(t,e){if(e.preventDefault(),await t.settled,t.walk((t=>{t.store.set(Rm({key:"submitted",value:!0,visible:!1}))})),"function"==typeof t.props.onSubmitRaw&&t.props.onSubmitRaw(e,t),t.ledger.value("blocking"))"function"==typeof t.props.onSubmitInvalid&&t.props.onSubmitInvalid(t),!1!==t.props.incompleteMessage&&t.store.set(Rm({blocking:!1,key:"incomplete",meta:{localize:void 0===t.props.incompleteMessage,i18nArgs:[{node:t}],showAsMessage:!0},type:"ui",value:t.props.incompleteMessage||"Form incomplete."}));else if("function"==typeof t.props.onSubmit){const e=t.props.onSubmit(t.hook.submit.dispatch(Am(t.value)),t);if(e instanceof Promise){const n=void 0===t.props.disabled&&"live"!==t.props.submitBehavior;n&&(t.props.disabled=!0),t.store.set(Rm({key:"loading",value:!0,visible:!1})),await e,n&&(t.props.disabled=!1),t.store.remove("loading")}}else e.target instanceof HTMLFormElement&&e.target.submit()}function Cy(t,e){e.target instanceof HTMLInputElement&&t.input(fy(t.props.options,e.target.value))}function Ay(t,e){var n,r;return null===(n=t.context)||void 0===n||n.value,null===(r=t.context)||void 0===r||r._value,gy(fy(t.props.options,e),t._value)}function Oy(t){t.on("created",(()=>{var e,n;Array.isArray(t.props.options)||$m(350,t),!(null===(e=t.context)||void 0===e)&&e.handlers&&(t.context.handlers.toggleChecked=Cy.bind(null,t)),null!==(n=t.context)&&void 0!==n&&n.fns&&(t.context.fns.isChecked=Ay.bind(null,t))})),t.hook.prop(dy(t))}function Ty(t,e){t.context&&t.context.value;const n=fy(t.props.options,e);return Array.isArray(t._value)?t._value.some((t=>gy(t,n))):void 0===t.value&&!e||gy(n,t._value)}async function Ey(t,e){var n;"function"==typeof(null===(n=t.props.attrs)||void 0===n?void 0:n.onChange)&&(await new Promise((t=>setTimeout(t,0))),await t.settled,t.props.attrs.onChange(e))}function Py(t,e){const n=e.target,r=n.hasAttribute("multiple")?Array.from(n.selectedOptions).map((e=>fy(t.props.options,e.value))):fy(t.props.options,n.value);t.input(r)}function My(t,e){return t.some((t=>t.attrs&&t.attrs["data-is-placeholder"]))?t:[{label:e,value:"",attrs:{hidden:!0,disabled:!0,"data-is-placeholder":"true"}},...t]}function Ly(t,e){return n=>{void 0===n.props[`${t}Icon`]&&(n.props[`${t}Icon`]=`default:${e}`)}}function jy(t){return"object"==typeof t&&("$el"in t||"$cmp"in t||"$formkit"in t)}function Dy(t){return!!(Av(t)&&t.if&&t.if.startsWith("$slots.")&&"string"==typeof t.then&&t.then.startsWith("$slots.")&&"else"in t)}function $y(t,e={}){return"string"==typeof t?jy(e)||"string"==typeof e?e:t:Array.isArray(t)?jy(e)?e:t:_m(t,e)}function Iy(t,e,n=!1){return(...r)=>{const i=n=>{const i=e&&"string"!=typeof e?e():{$el:e};return(kv(i)||Cv(i))&&(i.meta||(i.meta={section:t}),r.length&&!i.children&&(i.children=[...r.map((t=>"string"==typeof t?t:t(n)))]),kv(i)&&(i.attrs={class:`$classes.${t}`,...i.attrs||{}})),{if:`$slots.${t}`,then:`$slots.${t}`,else:t in n?$y(i,n[t]):i}};return n?Ry(i):i}}function Ry(t){return e=>[t(e)]}function Ny(t,e,n){return r=>{const i=e(r);return n?{if:t,then:i,else:n(r)}:(Dy(i)?Object.assign(i.else,{if:t}):jy(i)&&Object.assign(i,{if:t}),i)}}function By(t,e){return n=>{const r=t({});return Dy(r)?(Array.isArray(r.else)||(r.else=$y($y(r.else,e),n)),r):$y($y(r,e),n)}}const Fy={schema:Lv(Iv(Rv("$message.value")),Dv(Kv(py("prefix"),Nv(),Zv("$label || $ui.submit.value"),Bv(),py("suffix"))),Fv("$help")),type:"input",family:"button",props:[],features:[_y("submit"),function(t){void 0===t.props.ignore&&(t.props.ignore=!0,t.parent=null)}]},zy={schema:Lv(Ny("$options == undefined",Gv(jv(Nv(),qv(),Vv(py("decorator")),Bv()),Ny("$label",Yv("$label"))),zv(Wv("$label"),Fv("$help"),Uv(Hv(Gv(jv(Nv(),By(qv(),{bind:"$option.attrs",attrs:{id:"$option.attrs.id",value:"$option.value",checked:"$fns.isChecked($option.value)"}}),Vv(py("decorator")),Bv()),Ny("$option.label",Yv("$option.label"))),Xv("$option.help"))))),Ny("$options == undefined && $help",Fv("$help")),Iv(Rv("$message.value"))),type:"input",family:"box",props:["options","onValue","offValue"],features:[my,function(t){t.on("created",(()=>{var e,n;!(null===(e=t.context)||void 0===e)&&e.handlers&&(t.context.handlers.toggleChecked=vy.bind(null,t)),!(null===(n=t.context)||void 0===n)&&n.fns&&(t.context.fns.isChecked=yy.bind(null,t)),fm(t.props,"onValue")||(t.props.onValue=!0),fm(t.props,"offValue")||(t.props.offValue=!1)})),t.hook.prop(dy(t))},Ly("decorator","checkboxDecorator")]},Vy={schema:Lv(Dv($v("$label"),jv(py("prefix","label"),Nv(),Jv(),ty(Qv(py("fileItem"),ey("$file.name"),Ny("$value.length === 1",ny(py("fileRemove"),"$ui.remove.value")))),Ny("$value.length > 1",ny("$ui.removeAll.value")),ry(py("noFiles"),"$ui.noFiles.value"),Bv(),py("suffix"))),Fv("$help"),Iv(Rv("$message.value"))),type:"input",family:"text",props:[],features:[function(t){_y("noFiles","Select file")(t),_y("removeAll","Remove all")(t),_y("remove")(t),xy&&(window._FormKit_File_Drop||(window.addEventListener("dragover",Sy.bind(null,"dragover")),window.addEventListener("drop",Sy.bind(null,"drop")),window.addEventListener("dragleave",wy),window._FormKit_File_Drop=!0)),t.hook.input(((t,e)=>e(Array.isArray(t)?t:[]))),t.on("created",(()=>{Array.isArray(t.value)||t.input([],!1),t.context&&(t.context.handlers.resetFiles=e=>{if(e.preventDefault(),t.input([]),t.props.id&&xy){const e=document.getElementById(t.props.id);e&&(e.value="")}},t.context.handlers.files=e=>{var n,r;const i=[];if(e.target instanceof HTMLInputElement&&e.target.files){for(let t=0;t<e.target.files.length;t++){let n;(n=e.target.files.item(t))&&i.push({name:n.name,file:n})}t.input(i)}t.context&&(t.context.files=i),"function"==typeof(null===(n=t.props.attrs)||void 0===n?void 0:n.onChange)&&(null===(r=t.props.attrs)||void 0===r||r.onChange(e))})}))},Ly("fileItem","fileItem"),Ly("fileRemove","fileRemove"),Ly("noFiles","noFiles")]},qy={schema:iy("$slots.default",Iv(Rv("$message.value")),oy(sy())),type:"group",props:["actions","submit","submitLabel","submitAttrs","submitBehavior","incompleteMessage"],features:[function(t){t.props.isForm=!0,t.on("created",(()=>{var e;!(null===(e=t.context)||void 0===e)&&e.handlers&&(t.context.handlers.submit=ky.bind(null,t)),fm(t.props,"actions")||(t.props.actions=!0)})),t.on("settled:blocking",(()=>t.store.remove("incomplete")))},by]},Wy={schema:ly("$slots.default"),type:"group",props:[],features:[by]},Hy={schema:function(t){return Ry(t)}(ay()),type:"input",props:[],features:[]},Uy={schema:ly("$slots.default"),type:"list",props:[],features:[by]},Gy={schema:Lv(Ny("$options == undefined",Gv(jv(Nv(),qv(),Vv(py("decorator")),Bv()),Ny("$label",Yv("$label"))),zv(Wv("$label"),Fv("$help"),Uv(Hv(Gv(jv(Nv(),By(qv(),{bind:"$option.attrs",attrs:{id:"$option.attrs.id",value:"$option.value",checked:"$fns.isChecked($option.value)"}}),Vv(py("decorator")),Bv()),Ny("$option.label",Yv("$option.label"))),Xv("$option.help"))))),Ny("$options == undefined && $help",Fv("$help")),Iv(Rv("$message.value"))),type:"input",family:"box",props:["options","onValue","offValue"],features:[my,Oy,Ly("decorator","radioDecorator")]},Xy={schema:Lv(Dv($v("$label"),jv(py("prefix"),Nv(),cy(Ny("$slots.default",(()=>"$slots.default"),Ny("$slots.option",(()=>({$el:null,if:"$options.length",for:["option","$options"],children:"$slots.option"})),uy("$option.label")))),Ny("$attrs.multiple !== undefined",(()=>""),py("select")),Bv(),py("suffix"))),Fv("$help"),Iv(Rv("$message.value"))),type:"input",props:["options","placeholder"],features:[my,function(t){t.on("created",(()=>{var e,n,r;const i=Tm(null===(e=t.props.attrs)||void 0===e?void 0:e.multiple);!i&&t.props.placeholder&&Array.isArray(t.props.options)&&(t.hook.prop((({prop:e,value:n},r)=>("options"===e&&(n=My(n,t.props.placeholder)),r({prop:e,value:n})))),t.props.options=My(t.props.options,t.props.placeholder)),i?void 0===t.value&&t.input([],!1):t.context&&!t.context.options&&(t.props.attrs=Object.assign({},t.props.attrs,{value:t._value}),t.on("input",(({payload:e})=>{t.props.attrs=Object.assign({},t.props.attrs,{value:e})}))),!(null===(n=t.context)||void 0===n)&&n.handlers&&(t.context.handlers.selectInput=Py.bind(null,t),t.context.handlers.onChange=Ey.bind(null,t)),null!==(r=t.context)&&void 0!==r&&r.fns&&(t.context.fns.isSelected=Ty.bind(null,t))})),t.hook.input(((e,n)=>{var r,i,o;return!t.props.placeholder&&void 0===e&&Array.isArray(null===(r=t.props)||void 0===r?void 0:r.options)&&t.props.options.length&&!Tm(null===(o=null===(i=t.props)||void 0===i?void 0:i.attrs)||void 0===o?void 0:o.multiple)&&(e="__original"in t.props.options[0]?t.props.options[0].__original:t.props.options[0].value),n(e)}))},Ly("select","select")]},Yy={schema:Lv(Dv($v("$label"),jv(py("prefix","label"),Nv(),hy(),Bv(),py("suffix"))),Fv("$help"),Iv(Rv("$message.value"))),type:"input",props:[],features:[function(t){t.on("created",(()=>{t.context&&(t.context.initialValue=t.value||"")}))}]},Ky={schema:Lv(Dv($v("$label"),jv(py("prefix","label"),Nv(),ay(),Bv(),py("suffix"))),Fv("$help"),Iv(Rv("$message.value"))),type:"input",family:"text",props:[],features:[]};var Zy=Object.freeze({__proto__:null,button:Fy,submit:Fy,checkbox:zy,file:Vy,form:qy,group:Wy,hidden:Hy,list:Uy,radio:Gy,select:Xy,textarea:Yy,text:Ky,color:Ky,date:Ky,datetimeLocal:Ky,email:Ky,month:Ky,number:Ky,password:Ky,search:Ky,tel:Ky,time:Ky,url:Ky,week:Ky,range:Ky});const Jy=Iy("labelWrapper","div"),{prefixIcon:Qy,...tb}=(Lv(zv(Wv("$label"),Fv("$help"),Uv(Hv(Gv(jv(Nv(),By(qv(),{bind:"$option.attrs",attrs:{id:"$option.attrs.id",value:"$option.value",checked:"$fns.isChecked($option.value)"}}),Vv(py("decorator")),Bv()),Jy(Ny("$option.label",Yv("$option.label")),Xv("$option.help")))))),Iv(Rv("$message.value"))),Ly("decorator","radioDecorator"),om),eb=qh(rr({components:{InputField:hm},props:{...tb,placeholder:{type:String,default:"Search..."}}}),[["render",function(t,e,n,r,i,o){const s=Tn("InputField");return Ai(),Mi(s,Ui(t.$props,{"prefix-icon":"search","input-class":t.$style.input,type:"search"}),Ar({_:2},[Cr(t.$slots,((e,n)=>({name:n,fn:wn((e=>[Or(t.$slots,n,K(Bi(e)))]))})))]),1040,["input-class"])}],["__cssModules",{$style:{input:"_input_1ijgr_1"}}]]),nb=/(_confirm(?:ed)?)$/,rb=function({value:t},e="default"){return"trim"===e&&"string"==typeof t?!mm(t.trim()):!mm(t)};rb.skipEmpty=!1;const ib=Object.freeze(Object.defineProperty({__proto__:null,accepted:function({value:t}){return["yes","on","1",1,!0,"true"].includes(t)},alpha:function({value:t},e="default"){const n={default:/^[a-zA-ZÀ-ÖØ-öø-ÿĄąĆćČčĎďĘęĚěŁłŃńŇňŘřŚśŠšŤťŮůŹźŻŽžż]+$/,latin:/^[a-zA-Z]+$/};return n[fm(n,e)?e:"default"].test(String(t))},alpha_spaces:function({value:t},e="default"){const n={default:/^[a-zA-ZÀ-ÖØ-öø-ÿĄąĆćČčĎďĘęĚěŁłŃńŇňŘřŚśŠšŤťŮůŹźŻŽžż ]+$/,latin:/^[a-zA-Z ]+$/};return n[fm(n,e)?e:"default"].test(String(t))},alphanumeric:function({value:t},e="default"){const n={default:/^[a-zA-Z0-9À-ÖØ-öø-ÿĄąĆćĘęŁłŃńŚśŹźŻż]+$/,latin:/^[a-zA-Z0-9]+$/};return n[fm(n,e)?e:"default"].test(String(t))},between:function({value:t},e,n){if(!isNaN(t)&&!isNaN(e)&&!isNaN(n)){const r=1*t;e=Number(e),n=Number(n);const[i,o]=e<=n?[e,n]:[n,e];return r>=1*i&&r<=1*o}return!1},confirm:function(t,e,n="loose"){var r;e||(e=nb.test(t.name)?t.name.replace(nb,""):`${t.name}_confirm`);const i=null===(r=t.at(e))||void 0===r?void 0:r.value;return"strict"===n?t.value===i:t.value==i},date_after:function({value:t},e=!1){const n=Date.parse(e||new Date),r=Date.parse(String(t));return!isNaN(r)&&r>n},date_before:function({value:t},e=!1){const n=Date.parse(e||new Date),r=Date.parse(String(t));return!isNaN(r)&&r<n},date_between:function({value:t},e,n){e=e instanceof Date?e.getTime():Date.parse(e),n=n instanceof Date?n.getTime():Date.parse(n);const r=t instanceof Date?t.getTime():Date.parse(String(t));if(e&&!n)n=e,e=Date.now();else if(!e||!r)return!1;return r>=e&&r<=n},date_format:function({value:t},e){return e&&"string"==typeof e?function(t){const e=`^${function(t){return t.replace(/[.*+?^${}()|[\]\\]/g,"\\$&")}(t)}$`,n={MM:"(0[1-9]|1[012])",M:"([1-9]|1[012])",DD:"([012][0-9]|3[01])",D:"([012]?[0-9]|3[01])",YYYY:"\\d{4}",YY:"\\d{2}"},r=Object.keys(n);return new RegExp(r.reduce(((t,e)=>t.replace(e,n[e])),e))}(e).test(String(t)):!isNaN(Date.parse(String(t)))},email:function({value:t}){return/^(([^<>()\[\]\.,;:\s@\"]+(\.[^<>()\[\]\.,;:\s@\"]+)*)|(\".+\"))@(([^<>()[\]\.,;:\s@\"]+\.)+[^<>()[\]\.,;:\s@\"]{2,})$/i.test(String(t))},ends_with:function({value:t},...e){return"string"==typeof t&&e.length?e.some((e=>t.endsWith(e))):"string"==typeof t&&0===e.length},is:function({value:t},...e){return e.some((e=>"object"==typeof e?gm(e,t):e==t))},length:function({value:t},e=0,n=1/0){const r=(e=parseInt(e))<=(n=isNaN(parseInt(n))?1/0:parseInt(n))?e:n,i=n>=e?n:e;if("string"==typeof t||Array.isArray(t))return t.length>=r&&t.length<=i;if(t&&"object"==typeof t){const e=Object.keys(t).length;return e>=r&&e<=i}return!1},matches:function({value:t},...e){return e.some((e=>("string"==typeof e&&"/"===e.substr(0,1)&&"/"===e.substr(-1)&&(e=new RegExp(e.substr(1,e.length-2))),e instanceof RegExp?e.test(String(t)):e===t)))},max:function({value:t},e=10){return Array.isArray(t)?t.length<=e:Number(t)<=Number(e)},min:function({value:t},e=1){return Array.isArray(t)?t.length>=e:Number(t)>=Number(e)},not:function({value:t},...e){return!e.some((e=>"object"==typeof e?gm(e,t):e===t))},number:function({value:t}){return!isNaN(t)},required:rb,starts_with:function({value:t},...e){return"string"==typeof t&&e.length?e.some((e=>t.startsWith(e))):"string"==typeof t&&0===e.length},url:function({value:t},...e){try{const n=e.length?e:["http:","https:"],r=new URL(String(t));return n.includes(r.protocol)}catch{return!1}}},Symbol.toStringTag,{value:"Module"})),ob=new WeakSet;function sb(t,e){const n=e||Object.assign(new Map,{active:!1}),r=new Map,i=function(e){var r;n.active&&(n.has(t)||n.set(t,new Set),null===(r=n.get(t))||void 0===r||r.add(e))},o=function(t,e){return sv(t)?sb(t,n):("value"===e&&i("commit"),"props"===e?function(t){return new Proxy(t,{get:(...t)=>("string"==typeof t[1]&&i(`prop:${t[1]}`),Reflect.get(...t))})}(t):"ledger"===e?function(t){return new Proxy(t,{get:(...e)=>"value"===e[1]?e=>(i(`count:${e}`),t.value(e)):Reflect.get(...e)})}(t):t)},{proxy:s,revoke:a}=Proxy.revocable(t,{get(...t){switch(t[1]){case"deps":return n;case"watch":return t=>cb(s,t);case"observe":return()=>{const t=new Map(n);return n.clear(),n.active=!0,t};case"stopObserve":return()=>{const t=new Map(n);return n.active=!1,t};case"receipts":return r;case"kill":return()=>{lb(r),ob.add(t[2]),a()}}const e=Reflect.get(...t);return"function"==typeof e?(...n)=>{const r=e(...n);return o(r,t[1])}:o(e,t[1])}});return s}function ab(t,[e,n],r){e.forEach(((e,n)=>{e.forEach((e=>{t.receipts.has(n)||t.receipts.set(n,{}),t.receipts.set(n,Object.assign(t.receipts.get(n),{[e]:n.on(e,r)}))}))})),n.forEach(((e,n)=>{e.forEach((e=>{if(t.receipts.has(n)){const r=t.receipts.get(n);r&&fm(r,e)&&(n.off(r[e]),delete r[e],t.receipts.set(n,r))}}))}))}function lb(t){t.forEach(((t,e)=>{for(const n in t)e.off(t[n])}))}async function cb(t,e){const n=new Map(t.deps);t.observe();const r=e(t);r instanceof Promise&&await r;const i=t.stopObserve();ab(t,ub(n,i),(()=>cb(t,e)))}function ub(t,e){const n=new Map,r=new Map;return e.forEach(((e,r)=>{if(t.has(r)){const i=new Set,o=t.get(r);e.forEach((t=>!(null!=o&&o.has(t))&&i.add(t))),n.set(r,i)}else n.set(r,e)})),t.forEach(((t,n)=>{if(e.has(n)){const i=new Set,o=e.get(n);t.forEach((t=>!(null!=o&&o.has(t))&&i.add(t))),r.set(n,i)}else r.set(n,t)})),[n,r]}const hb=Rm({type:"state",blocking:!0,visible:!1,value:!0,key:"validating"});function pb(t,e,n){(function(t){return ob.has(t)})(t)||(n.input=pm(),n.isPassing=!0,t.store.filter((t=>!t.meta.removeImmediately),"validation"),e.forEach((t=>t.debounce&&clearTimeout(t.timer))),e.length&&(t.store.set(hb),db(0,e,t,n,!1,(()=>{t.store.remove(hb.key)}))))}function db(t,e,n,r,i,o){const s=e[t];if(!s)return o();const a=r.input;function l(l,c){r.isPassing=r.isPassing&&!!c,s.queued=!1;const u=n.stopObserve();ab(n,ub(s.deps,u),(()=>{s.queued=!0,r.rerun&&clearTimeout(r.rerun),r.rerun=setTimeout(pb,0,n,e,r)})),s.deps=u,r.input===a&&(s.state=c,!1===c?function(t,e,n){const r=function(t,e){return[{node:t,name:fb(t),args:e.args}]}(t,e),i=function(t,e,n){const r=t.props.validationMessages&&fm(t.props.validationMessages,e.name)?t.props.validationMessages[e.name]:void 0;return"function"==typeof r?r(...n):r}(t,e,r),o=Rm({blocking:e.blocking,key:`rule_${e.name}`,meta:{messageKey:e.name,removeImmediately:n,localize:!i,i18nArgs:r},type:"validation",value:i||"This field is not valid."});t.store.set(o)}(n,s,i||l):function(t,e){const n=`rule_${e.name}`;fm(t.store,n)&&t.store.remove(n)}(n,s),e.length>t+1?db(t+1,e,n,r,i||l,o):o())}s.state=null,mm(n.value)&&s.skipEmpty||!r.isPassing&&!s.force?(mm(n.value)&&s.skipEmpty&&r.isPassing&&(n.observe(),n.value),l(!1,null)):s.queued?function(t,e,n){t.debounce?t.timer=setTimeout((()=>{e.observe(),n(t.rule(e,...t.args))}),t.debounce):(e.observe(),n(t.rule(e,...t.args)))}(s,n,(t=>{t instanceof Promise?t.then((t=>l(!0,t))):l(!1,t)})):db(t+1,e,n,r,i,o)}function fb(t){return"function"==typeof t.props.validationLabel?t.props.validationLabel(t):t.props.validationLabel||t.props.label||t.props.name||String(t.name)}const gb="(?:[\\*+?()0-9]+)",mb="[a-zA-Z][a-zA-Z0-9_]+",vb=new RegExp(`^(${gb}?${mb})(?:\\:(.*)+)?$`,"i"),yb=new RegExp(`^(${gb})(${mb})$`,"i"),bb=/([\*+?]+)?(\(\d+\))([\*+?]+)?/,_b=/\(\d+\)/,xb={blocking:!0,debounce:0,force:!1,skipEmpty:!0,name:""};function wb(t,e){return t?("string"==typeof t?function(t){return t.split("|").reduce(((t,e)=>{const n=function(t){const e=t.trim();if(e){const t=e.match(vb);if(t&&"string"==typeof t[1])return[t[1].trim(),...t[2]&&"string"==typeof t[2]?t[2].split(",").map((t=>t.trim())):[]]}return!1}(e);return n&&t.push(n),t}),[])}(t):Am(t)).reduce(((t,n)=>{let r=n.shift();const i={};if("string"==typeof r){const[t,n]=function(t){const e=t.match(yb);if(!e)return[t,{name:t}];const n={"*":{force:!0},"+":{skipEmpty:!1},"?":{blocking:!1}},[,r,i]=e,o=_b.test(r)?r.match(bb)||[]:[,r];return[i,[o[1],o[2],o[3]].reduce(((t,e)=>(e&&(_b.test(e)?t.debounce=parseInt(e.substr(1,e.length-1)):e.split("").forEach((e=>fm(n,e)&&Object.assign(t,n[e])))),t)),{name:i})]}(r);fm(e,t)&&(r=e[t],Object.assign(i,n))}return"function"==typeof r&&t.push({rule:r,args:n,timer:0,state:null,queued:!0,deps:new Map,...xb,...Sb(i,r)}),t}),[]):[]}function Sb(t,e){return t.name||(t.name=e.ruleName||e.name),["skipEmpty","force","debounce","blocking"].reduce(((t,n)=>(fm(e,n)&&!fm(t,n)&&Object.assign(t,{[n]:e[n]}),t)),t)}function kb(t){return t[0].toUpperCase()+t.substr(1)}function Cb(t,e="or"){return t.reduce(((n,r,i)=>(n+=r,i<=t.length-2&&t.length>2&&(n+=", "),i===t.length-2&&(n+=`${2===t.length?" ":""}${e} `),n)),"")}function Ab(t){const e="string"==typeof t?new Date(Date.parse(t)):t;return e instanceof Date?new Intl.DateTimeFormat(void 0,{dateStyle:"medium"}).format(e):"(unknown)"}const Ob={accepted:({name:t})=>`Please accept the ${t}.`,date_after:({name:t,args:e})=>Array.isArray(e)&&e.length?`${kb(t)} must be after ${Ab(e[0])}.`:`${kb(t)} must be in the future.`,alpha:({name:t})=>`${kb(t)} can only contain alphabetical characters.`,alphanumeric:({name:t})=>`${kb(t)} can only contain letters and numbers.`,alpha_spaces:({name:t})=>`${kb(t)} can only contain letters and spaces.`,date_before:({name:t,args:e})=>Array.isArray(e)&&e.length?`${kb(t)} must be before ${Ab(e[0])}.`:`${kb(t)} must be in the past.`,between({name:t,args:e}){if(isNaN(e[0])||isNaN(e[1]))return"This field was configured incorrectly and can’t be submitted.";const[n,r]=function(t,e){return Number(t)>=Number(e)?[e,t]:[t,e]}(e[0],e[1]);return`${kb(t)} must be between ${n} and ${r}.`},confirm:({name:t})=>`${kb(t)} does not match.`,date_format:({name:t,args:e})=>Array.isArray(e)&&e.length?`${kb(t)} is not a valid date, please use the format ${e[0]}`:"This field was configured incorrectly and can’t be submitted",date_between:({name:t,args:e})=>`${kb(t)} must be between ${Ab(e[0])} and ${Ab(e[1])}`,email:"Please enter a valid email address.",ends_with:({name:t,args:e})=>`${kb(t)} doesn’t end with ${Cb(e)}.`,is:({name:t})=>`${kb(t)} is not an allowed value.`,length({name:t,args:[e=0,n=1/0]}){const r=Number(e)<=Number(n)?e:n,i=Number(n)>=Number(e)?n:e;return 1==r&&i===1/0?`${kb(t)} must be at least one character.`:0==r&&i?`${kb(t)} must be less than or equal to ${i} characters.`:r&&i===1/0?`${kb(t)} must be greater than or equal to ${r} characters.`:`${kb(t)} must be between ${r} and ${i} characters.`},matches:({name:t})=>`${kb(t)} is not an allowed value.`,max:({name:t,node:{value:e},args:n})=>Array.isArray(e)?`Cannot have more than ${n[0]} ${t}.`:`${kb(t)} must be less than or equal to ${n[0]}.`,mime:({name:t,args:e})=>e[0]?`${kb(t)} must be of the type: ${e[0]}`:"No file formats allowed.",min:({name:t,node:{value:e},args:n})=>Array.isArray(e)?`Cannot have less than ${n[0]} ${t}.`:`${kb(t)} must be at least ${n[0]}.`,not:({name:t,node:{value:e}})=>`“${e}” is not an allowed ${t}.`,number:({name:t})=>`${kb(t)} must be a number.`,required:({name:t})=>`${kb(t)} is required.`,starts_with:({name:t,args:e})=>`${kb(t)} doesn’t start with ${Cb(e)}.`,url:()=>"Please include a valid url."};var Tb=Object.freeze({__proto__:null,ui:{add:"Add",remove:"Remove",removeAll:"Remove all",incomplete:"Sorry, not all fields are filled out correctly.",submit:"Submit",noFiles:"No file chosen"},validation:Ob});function Eb(t,e){if(fm(e,t))return t;const[n]=t.split("-");if(fm(e,n))return n;for(const t in e)return t;return!1}let Pb,Mb,Lb=null,jb=!1,Db=!1;const $b=new Promise((t=>{Mb=()=>{jb=!0,t()}})),Ib=typeof window<"u"&&typeof fetch<"u";Pb=Ib?getComputedStyle(document.documentElement):void 0;const Rb={},Nb={};function Bb(t,e,n,r){e&&Object.assign(Rb,e),Ib&&!Db&&null!=Pb&&Pb.getPropertyValue("--formkit-theme")?(Mb(),Db=!0):t&&!Db&&Ib?function(t){if(t&&Ib&&"function"==typeof getComputedStyle&&(Db=!0,Lb=document.getElementById("formkit-theme"),t&&Ib&&((null==Pb||!Pb.getPropertyValue("--formkit-theme"))&&!Lb||null!=Lb&&Lb.getAttribute("data-theme")&&(null==Lb?void 0:Lb.getAttribute("data-theme"))!==t))){const e=`https://cdn.jsdelivr.net/npm/@formkit/themes@${Mv.startsWith("__")?"latest":Mv}/dist/${t}/theme.css`,n=document.createElement("link");n.type="text/css",n.rel="stylesheet",n.id="formkit-theme",n.setAttribute("data-theme",t),n.onload=()=>{Pb=getComputedStyle(document.documentElement),Mb()},document.head.appendChild(n),n.href=e,Lb&&Lb.remove()}}(t):!Db&&Ib&&Mb();const i=function(t){var e,i;t.addProps(["iconLoader","iconLoaderUrl"]),t.props.iconHandler=Fb(null!==(e=t.props)&&void 0!==e&&e.iconLoader?t.props.iconLoader:r,null!==(i=t.props)&&void 0!==i&&i.iconLoaderUrl?t.props.iconLoaderUrl:n),function(t,e){const n=/^[a-zA-Z-]+(?:-icon|Icon)$/;Object.keys(t.props).filter((t=>n.test(t))).forEach((n=>function(t,e,n){const r=e(t.props[n]),i=`_raw${n.charAt(0).toUpperCase()}${n.slice(1)}`,o=`on${n.charAt(0).toUpperCase()}${n.slice(1)}Click`;if(t.addProps([i,o]),t.on(`prop:${n}`,Vb),r instanceof Promise)return r.then((e=>{t.props[i]=e}));t.props[i]=r}(t,e,n)))}(t,t.props.iconHandler),t.on("created",(()=>{var e;null!==(e=null==t?void 0:t.context)&&void 0!==e&&e.handlers&&(t.context.handlers.iconClick=e=>{const n=`on${e.charAt(0).toUpperCase()}${e.slice(1)}IconClick`,r=t.props[n];if(r&&"function"==typeof r)return e=>r(t,e)})}))};return i.iconHandler=Fb(r,n),i}function Fb(t,e){return n=>{if("boolean"==typeof n)return;if(n.startsWith("<svg"))return n;if("string"!=typeof n)return;const r=Rb[n],i=n.startsWith("default:");let o;if(n=i?n.split(":")[1]:n,r||n in Rb)return r;if(!Nb[n])if(o=function(t){if(Ib)return jb?zb(t):$b.then((()=>zb(t)))}(n),o=Ib&&typeof o>"u"?Promise.resolve(o):o,o instanceof Promise)Nb[n]=o.then((r=>r||"string"!=typeof n||i?r:o="function"==typeof t?t(n):function(t,e){const n=Mv.startsWith("__")?"latest":Mv,r="function"==typeof e?e(t):`https://cdn.jsdelivr.net/npm/@formkit/icons@${n}/dist/icons/${t}.svg`;if(Ib)return fetch(`${r}`).then((async t=>{const e=await t.text();if(e.startsWith("<svg"))return e})).catch((t=>{console.error(t)}))}(n,e))).then((t=>("string"==typeof n&&(Rb[i?`default:${n}`:n]=t),t)));else if("string"==typeof o)return Rb[i?`default:${n}`:n]=o,o;return Nb[n]}}function zb(t){const e=null==Pb?void 0:Pb.getPropertyValue(`--fk-icon-${t}`);if(e){const n=atob(e);if(n.startsWith("<svg"))return Rb[t]=n,n}}function Vb(t){var e;const n=t.origin,r=t.payload,i=null===(e=null==n?void 0:n.props)||void 0===e?void 0:e.iconHandler,o=t.name.split(":")[1],s=`_raw${o.charAt(0).toUpperCase()}${o.slice(1)}`;if(i&&"function"==typeof i){const t=i(r);if(t instanceof Promise)return t.then((t=>{n.props[s]=t}));n.props[s]=t}}let qb=!1;const Wb={100:({data:t})=>`Only groups, lists, and forms can have children (${t.name}).`,101:({data:t})=>`You cannot directly modify the store (${t.name}). See: https://formkit.com/advanced/core#message-store`,102:({data:[t,e]})=>`You cannot directly assign node.${e} (${t.name})`,103:({data:[t]})=>`Schema expressions cannot start with an operator (${t})`,104:({data:[t,e]})=>`Schema expressions cannot end with an operator (${t} in "${e}")`,105:({data:t})=>`Invalid schema expression: ${t}`,106:({data:t})=>`Cannot submit because (${t}) is not in a form.`,107:({data:[t,e]})=>`Cannot set ${t.name} to non object value: ${e}`,108:({data:[t,e]})=>`Cannot set ${t.name} to non array value: ${e}`,600:({data:t})=>`Unknown input type${"string"==typeof t.props.type?' "'+t.props.type+'"':""} ("${t.name}")`,601:({data:t})=>`Input definition${"string"==typeof t.props.type?' "'+t.props.type+'"':""} is missing a schema or component property (${t.name}).`},Hb={150:({data:t})=>`Schema function "${t}()" is not a valid function.`,151:({data:t})=>`No form element with id: ${t}`,152:({data:t})=>`No input element with id: ${t}`,350:({data:t})=>`Invalid options prop for radio input (${t.name}). See https://formkit.com/inputs/radio`,650:'Schema "$get()" must use the id of an input to access.',651:({data:t})=>`Cannot setErrors() on "${t}" because no such id exists.`,652:({data:t})=>`Cannot clearErrors() on "${t}" because no such id exists.`,800:({data:t})=>`${t} is deprecated.`};qb||jm(((t,e)=>{if(t.code in Wb){const e=Wb[t.code];t.message="function"==typeof e?e(t):e}return e(t)})),qb||Dm(((t,e)=>{if(t.code in Hb){const e=Hb[t.code];t.message="function"==typeof e?e(t):e}return e(t)})),qb=!0;const Ub={};let Gb;const Xb=new Map,Yb=/[a-zA-Z0-9\-][cC]lass$/;function Kb(t,e){const n=Ae(null);if("get"===t){const t={};return n.value=Jb.bind(null,t),n}const r=t.split(".");return In((()=>n.value=Zb(e,r))),n}function Zb(t,e){if(Array.isArray(t)){for(const n of t){const t=!1!==n&&Zb(n,e);if(void 0!==t)return t}return}let n;return e.reduce(((t,r,i,o)=>{if("object"!=typeof t)return n=void 0,o.splice(1);const s=t[r];return i===e.length-1&&void 0!==s&&(n=s),t[r]}),t),n}function Jb(t,e){if("string"!=typeof e)return $m(650);if(e in t||(t[e]=Ae(void 0)),void 0===t[e].value){t[e].value=null;const n=Zm(e);n&&(t[e].value=n.context),function(t,e){Km.push(Ym.on(t,e))}(e,(({payload:n})=>{t[e].value=sv(n)?n.context:n}))}return t[e].value}function Qb(t,e){function n(t,e){return[l(Ov(e.if),{if:!0}),s(t,e.then),e.else?s(t,e.else):null]}function r(t,e){var n,r;const o=l(Ov(t.if));let s=()=>e,a=()=>e;return a="object"==typeof t.then?i(t.then,void 0):"string"==typeof t.then&&null!==(n=t.then)&&void 0!==n&&n.startsWith("$")?l(Ov(t.then)):()=>t.then,fm(t,"else")&&(s="object"==typeof t.else?i(t.else):"string"==typeof t.else&&null!==(r=t.else)&&void 0!==r&&r.startsWith("$")?l(Ov(t.else)):()=>t.else),()=>o()?a():s()}function i(t,e,n={}){const o=new Set(Object.keys(t||{})),s=e?l(Ov(e)):()=>({}),a=[t=>{const e=s();for(const n in e)o.has(n)||(t[n]=e[n])}];if(t){if(Av(t))return r(t,n);for(let e in t){const n=t[e];let o;const s="string"==typeof n;e.startsWith("__raw__")?(e=e.substring(7),o=()=>n):o=!(s&&n.startsWith("$")&&n.length>1)||n.startsWith("$reset")&&Yb.test(e)?"object"==typeof n&&Av(n)?r(n,void 0):"object"==typeof n&&bm(n)?i(n):()=>n:l(Ov(n)),a.push((t=>{t[e]=o()}))}}return()=>{const e=Array.isArray(t)?[]:{};return a.forEach((t=>t(e))),e}}function o(t,e){const[r,o,a,c,u,h,p]=function(t,e){let r=null,o=()=>null,a=!1,c=null,u=null,h=null,p=!1;const d=function(t){if("string"==typeof t)return{$el:"text",children:t};if(function(t){return"string"!=typeof t&&"$formkit"in t}(t)){const{$formkit:e,for:n,if:r,children:i,bind:o,...s}=t;return Object.assign({$cmp:"FormKit",props:{...s,type:e}},r?{if:r}:{},n?{for:n}:{},i?{children:i}:{},o?{bind:o}:{})}return t}(e);if(kv(d)?(r=d.$el,o="text"!==d.$el?i(d.attrs,d.bind):()=>null):Cv(d)?("string"==typeof d.$cmp?fm(t,d.$cmp)?r=t[d.$cmp]:(r=d.$cmp,p=!0):r=d.$cmp,o=i(d.props,d.bind)):Av(d)&&([a,c,u]=n(t,d)),!Av(d)&&"if"in d?a=l(Ov(d.if)):!Av(d)&&null===r&&(a=()=>!0),"children"in d&&d.children)if("string"==typeof d.children)if(d.children.startsWith("$slots."))r="text"===r?"slot":r,c=l(Ov(d.children));else if(d.children.startsWith("$")&&d.children.length>1){const t=l(Ov(d.children));c=()=>String(t())}else c=()=>String(d.children);else if(Array.isArray(d.children))c=s(t,d.children);else{const[e,r,i]=n(t,d.children);c=t=>e&&e()?r&&r(t):i&&i(t)}if(Cv(d))if(c){const t=c;c=e=>({default(n,r){var i,o,s,a;const l=Gb;r&&(Gb=r),n&&(null===(i=Xb.get(Gb))||void 0===i||i.unshift(n)),e&&(null===(o=Xb.get(Gb))||void 0===o||o.unshift(e));const c=t(e);return n&&(null===(s=Xb.get(Gb))||void 0===s||s.shift()),e&&(null===(a=Xb.get(Gb))||void 0===a||a.shift()),Gb=l,c}}),c.slot=!0}else c=()=>({});if("for"in d&&d.for){const t=3===d.for.length?d.for[2]:d.for[1];h=["string"==typeof t&&t.startsWith("$")?l(Ov(t)):()=>t,d.for[0],3===d.for.length?String(d.for[1]):null]}return[a,r,o,c,u,h,p]}(t,e);let d=t=>{if(r&&null===o&&c)return r()?c(t):u&&u(t);if(o&&(!r||r())){if("text"===o&&c)return zi(String(c()));if("slot"===o&&c)return c(t);const e=p?Tn(o):o,n=null!=c&&c.slot?function(t,e){const n=t(e),r=Gb;return Object.keys(n).reduce(((t,e)=>{const i=n&&n[e];return t[e]=t=>i&&i(t,r)||null,t}),{})}(c,t):null;return po(e,a(),n||(c?c(t):[]))}return"function"==typeof u?u(t):u};if(h){const t=d,[e,n,r]=h;d=()=>{const i=e(),o=isNaN(i)?i:Array(Number(i)).fill(0).map(((t,e)=>e)),s=[];if("object"!=typeof o)return null;const a=Xb.get(Gb)||[];for(const e in o){if(Array.isArray(o)&&"length"===e)continue;const i=Object.defineProperty({...a.reduce(((t,e)=>t.__idata?{...t,...e}:e),{}),[n]:o[e],...null!==r?{[r]:e}:{}},"__idata",{enumerable:!1,value:!0});a.unshift(i),s.push(t.bind(null,i)()),a.shift()}return s}}return d}function s(t,e){if(Array.isArray(e)){const n=e.map(o.bind(null,t));return t=>n.map((e=>e(t)))}const n=o(t,e);return t=>n(t)}const a=[];function l(t,e={}){const n={};return a.push(((r,i)=>{n[i]=t.provide((t=>r(t,e)))})),()=>n[Gb]()}return function(n,r){const i=JSON.stringify(e),[o,l]=fm(Ub,i)?Ub[i]:[s(t,e),a];return Ub[i]=[o,l],l.forEach((t=>{t(n,r)})),()=>(Gb=r,o())}}function t_(t,e){const n=Xb.get(Gb)||[];let r;return n.length&&(r=Zb(n,t.split("."))),void 0===r?e:r}function e_(t,e,n){return t(((t,r={})=>t.reduce(((t,i)=>{if(i.startsWith("slots.")){const o=i.substring(6),s=e.slots&&fm(e.slots,o);if(r.if)t[i]=()=>s;else if(e.slots&&s){const r=function(t,e){return new Proxy(t,{get(...t){let n;const r=t[1];if("string"==typeof r){const t=Gb;Gb=e,n=t_(r,void 0),Gb=t}return void 0!==n?n:Reflect.get(...t)}})}(e,n);return t[i]=()=>e.slots[o](r),t}}const o=Kb(i,e);return t[i]=()=>t_(i,o.value),t}),{})),n)}let n_=0;const r_=rr({name:"FormKitSchema",props:{schema:{type:[Array,Object],required:!0},data:{type:Object,default:()=>({})},library:{type:Object,default:()=>({})}},setup(t,e){const n=Zi();let r=Symbol(String(n_++));Xb.set(r,[]);let i,o,s=Qb(t.library,t.schema);return Nn((()=>t.schema),((e,a)=>{var l;r=Symbol(String(n_++)),s=Qb(t.library,t.schema),i=e_(s,o,r),e===a&&(null===(l=null==n?void 0:n.proxy)||void 0===l?void 0:l.$forceUpdate)()}),{deep:!0}),In((()=>{o=Object.assign(ue(t.data),{slots:e.slots}),i=e_(s,o,r)})),()=>i()}}),i_={config:{type:Object,default:{}},classes:{type:Object,required:!1},delay:{type:Number,required:!1},errors:{type:Array,default:[]},inputErrors:{type:Object,default:()=>({})},index:{type:Number,required:!1},id:{type:String,required:!1},modelValue:{required:!1},name:{type:String,required:!1},parent:{type:Object,required:!1},plugins:{type:Array,default:[]},sectionsSchema:{type:Object,default:{}},type:{type:[String,Object],default:"text"},validation:{type:[String,Array],required:!1},validationMessages:{type:Object,required:!1},validationRules:{type:Object,required:!1},validationLabel:{type:[String,Function],required:!1}},o_=Symbol("FormKitParent"),s_=rr({props:i_,emits:{input:(t,e)=>!0,inputRaw:(t,e)=>!0,"update:modelValue":t=>!0,node:t=>!!t,submit:(t,e)=>!0,submitRaw:(t,e)=>!0,submitInvalid:t=>!0},inheritAttrs:!1,setup(t,e){const n=function(t,e,n={}){const r=Object.assign({},Jr(a_)||{},n),i=Zi(),o=function(t){return t?["Submit","SubmitRaw","SubmitInvalid"].reduce(((e,n)=>{const r=`on${n}`;return r in t&&"function"==typeof t[r]&&(e[r]=t[r]),e}),{}):{}}(null==i?void 0:i.vnode.props),s=void 0!==t.modelValue,a=void 0!==t.modelValue?t.modelValue:Om(e.attrs.value);const l=function(){const n={...xm(t),...o},r=wm(xm(e.attrs),g_);n.attrs=r;const i=Sm(xm(e.attrs),g_);for(const t in i)n[km(t)]=i[t];const s={props:{}};return m_(s,t),Object.assign(n,s.props),"string"!=typeof n.type&&(n.definition=n.type,delete n.type),n}(),c=l.ignore?null:t.parent||Jr(o_,null),u=Sv(_m(r||{},{name:t.name||void 0,value:a,parent:c,plugins:(r.plugins||[]).concat(t.plugins),config:t.config,props:l,index:t.index},!1,!0));u.props.definition||Im(600,u);const h=Ae(new Set(u.props.definition.props||[]));u.on("added-props",(({payload:t})=>{Array.isArray(t)&&t.forEach((t=>h.value.add(t)))}));const p=ho((()=>g_.concat([...h.value]).reduce(((t,e)=>("string"==typeof e?(t.push(km(e)),t.push(Cm(e))):t.push(e),t)),[])));In((()=>m_(u,t)));const d=xm(t);for(const e in d)Nn((()=>t[e]),(()=>{void 0!==t[e]&&(u.props[e]=t[e])}));const f=new Set,g=xm(e.attrs);if(In((()=>{!function(t){f.forEach((t=>{t(),f.delete(t)}));for(const n in t){const t=km(n);f.add(Nn((()=>e.attrs[n]),(()=>{u.props[t]=e.attrs[n]})))}}(Sm(g,p.value))})),In((()=>{const t=wm(xm(e.attrs),p.value);u.props.attrs=Object.assign({},u.props.attrs||{},t)})),In((()=>{const e=t.errors.map((t=>Rm({key:Pm(t),type:"error",value:t,meta:{source:"prop"}})));u.store.apply(e,(t=>"error"===t.type&&"prop"===t.meta.source))})),"input"!==u.type){const e=`${u.name}-prop`;In((()=>{const n=Object.keys(t.inputErrors);n.length||u.clearErrors(!0,e);const r=n.reduce(((n,r)=>{let i=t.inputErrors[r];return"string"==typeof i&&(i=[i]),Array.isArray(i)&&(n[r]=i.map((t=>Rm({key:t,type:"error",value:t,meta:{source:e}})))),n}),{});u.store.apply(r,(t=>"error"===t.type&&t.meta.source===e))}))}let m;In((()=>Object.assign(u.config,t.config))),"input"!==u.type&&Zr(o_,u);const v=new WeakSet;return u.on("modelUpdated",(()=>{var n,r;if(e.emit("inputRaw",null===(n=u.context)||void 0===n?void 0:n.value,u),clearTimeout(m),m=setTimeout(e.emit,20,"input",null===(r=u.context)||void 0===r?void 0:r.value,u),s&&u.context){const n=f_(u.context.value);ym(n)&&f_(t.modelValue)!==n&&v.add(n),e.emit("update:modelValue",n)}})),s&&function(t,e){const n={},r=e=>{for(const r of e)r.__str in n&&n[r.__str](),n[r.__str]=Nn(h_.bind(null,t,r),i.bind(null,r),{deep:!1})},i=function(t,e,n,r){return i=>{const o=p_(t,i);o!==u_&&(i.__deep&&r(i),"object"==typeof o&&n(d_(o,[i],...i)),e(i,o,t))}}(t,((t,e)=>{var n;const r=f_(e);if(ym(r)&&v.has(r))return v.delete(r);t.length?null===(n=u.at(t))||void 0===n||n.input(e,!1):u.input(e,!1)}),r,(t=>{if(t.length)for(const e in n)`${e}`.startsWith(`${t.__str}.`)&&(n[e](),delete n[e])}));r(d_(t))}(function(t,e,n){return Ce(t)?t:b(t)?new $e(t):w(t)&&arguments.length>1?Ie(t,e,n):Ae(t)}(t,"modelValue")),_r((()=>u.destroy())),u}(t,e);if(n.props.definition||Im(600,n),n.props.definition.component)return()=>{var t;return po(null===(t=n.props.definition)||void 0===t?void 0:t.component,{context:n.context},{...e.slots})};const r=Ae([]),i=()=>{var e,i;const o=null===(i=null===(e=n.props)||void 0===e?void 0:e.definition)||void 0===i?void 0:i.schema;o||Im(601,n),r.value="function"==typeof o?o({...t.sectionsSchema}):o};i(),n.on("schema",i),e.emit("node",n);const o=n.props.definition.library;return e.expose({node:n}),()=>po(r_,{schema:r.value,data:n.context,library:o},{...e.slots})}}),a_=Symbol.for("FormKitOptions"),l_=Symbol.for("FormKitConfig"),c_={install(t,e){const n=Object.assign({alias:"FormKit",schemaAlias:"FormKitSchema"},"function"==typeof e?e():e),r=function(t={}){const e=new Set,n={...t,_add:t=>e.add(t),_rm:t=>t.remove(t)};return new Proxy(n,{set:(t,n,r,i)=>("string"==typeof n&&e.forEach((t=>Jm(t,n,r))),Reflect.set(t,n,r,i))})}(n.config||{});n.config={rootConfig:r},t.config.globalProperties.$formkit=function(t,e){return t.component(e.alias||"FormKit",s_).component(e.schemaAlias||"FormKitSchema",r_),{get:Zm,setLocale:t=>{var n;null!==(n=e.config)&&void 0!==n&&n.rootConfig&&(e.config.rootConfig.locale=t)},clearErrors:Pv,setErrors:Ev,submit:Qm,reset:tv}}(t,n),t.provide(a_,n),t.provide(l_,r)}},u_=Symbol();function h_(t,e){const n=p_(t,e);return n&&"object"==typeof n?Object.keys(n):n}function p_(t,e){if(Ce(t)){if(0===e.length)return t.value;t=t.value}return e.reduce(((t,e)=>t===u_?t:null===t||"object"!=typeof t?u_:t[e]),t)}function d_(t,e=[],...n){if(null===t)return e;if(!n.length){const n=Object.defineProperty([],"__str",{value:""});if(!(t=Ce(t)?t.value:t)||"object"!=typeof t)return[n];Object.defineProperty(n,"__deep",{value:!0}),e.push(n)}if(null===t||"object"!=typeof t)return e;for(const r in t){const i=n.concat(r);Object.defineProperty(i,"__str",{value:i.join(".")});const o=t[r];bm(o)||Array.isArray(o)?(e.push(Object.defineProperty(i,"__deep",{value:!0})),e=e.concat(d_(o,[],...i))):e.push(i)}return e}function f_(t){return null===t||"object"!=typeof t||(fe(t)?t=ye(t):Ce(t)&&(t=fe(t.value)?f_(t.value):t.value)),t}const g_=["help","label","ignore","disabled","preserve",/^preserve(-e|E)rrors/,/^[a-z]+(?:-visibility|Visibility)$/,/^[a-zA-Z-]+(?:-class|Class)$/,"prefixIcon","suffixIcon",/^[a-zA-Z-]+(?:-icon|Icon)$/];function m_(t,e){e.classes&&Object.keys(e.classes).forEach((n=>{"string"==typeof n&&(t.props[`_${n}Class`]=e.classes[n],ym(e.classes[n])&&"inner"===n&&Object.values(e.classes[n]))}))}let v_=1;const y_=function(t){t.ledger.count("blocking",(t=>t.blocking));const e=Ae(!t.ledger.value("blocking"));t.ledger.count("errors",(t=>"error"===t.type));const n=Ae(!!t.ledger.value("errors"));let r=!1;Ye((()=>{r=!0}));const i=ue(t.store.reduce(((t,e)=>(e.visible&&(t[e.key]=e),t)),{})),o=Ae(t.props.validationVisibility||"blur");t.on("prop:validationVisibility",(({payload:t})=>{o.value=t}));const s=Ae("live"===o.value),a=ho((()=>{if(v.state.submitted)return!0;if(!s.value&&!v.state.settled)return!1;switch(o.value){case"live":return!0;case"blur":return v.state.blurred;case"dirty":return v.state.dirty;default:return!1}})),l=ho((()=>c.value?e.value&&!n.value:v.state.dirty&&!mm(v.value))),c=Ae(Array.isArray(t.props.parsedRules)&&t.props.parsedRules.length>0);t.on("prop:parsedRules",(({payload:t})=>{c.value=Array.isArray(t)&&t.length>0}));const u=ho((()=>{const t={};for(const e in i){const n=i[e];("validation"!==n.type||a.value)&&(t[e]=n)}return t})),h=ue(t.store.reduce(((t,e)=>("ui"===e.type&&e.visible&&(t[e.key]=e),t)),{})),p=ue({}),d=new Proxy(p,{get(...e){const[n,r]=e;let i=Reflect.get(...e);return!i&&"string"==typeof r&&!fm(n,r)&&!r.startsWith("__v")&&sb(t).watch((t=>{const e="function"==typeof t.config.rootClasses?t.config.rootClasses(r,t):{},o=t.config.classes?Tv(r,t,t.config.classes[r]):{},s=Tv(r,t,t.props[`_${r}Class`]),a=Tv(r,t,t.props[`${r}Class`]);i=function(t,e,...n){const r=n.reduce(((t,e)=>{if(!e)return t;const{$reset:n,...r}=e;return n?r:Object.assign(t,r)}),{});return Object.keys(t.hook.classes.dispatch({property:e,classes:r}).classes).filter((t=>r[t])).join(" ")||null}(t,r,e,o,s,a),n[r]=i})),i}}),f=ho((()=>{const e=[];v.help&&e.push(`help-${t.props.id}`);for(const n in u.value)e.push(`${t.props.id}-${n}`);return e.length?e.join(" "):void 0})),g=Ae(t.value),m=Ae(t.value),v=ue({_value:m,attrs:t.props.attrs,disabled:t.props.disabled,describedBy:f,fns:{length:t=>Object.keys(t).length,number:t=>Number(t),string:t=>String(t),json:t=>JSON.stringify(t),eq:gm},handlers:{blur:e=>{t.store.set(Rm({key:"blurred",visible:!1,value:!0})),"function"==typeof t.props.attrs.onBlur&&t.props.attrs.onBlur(e)},touch:()=>{t.store.set(Rm({key:"dirty",visible:!1,value:!0}))},DOMInput:e=>{t.input(e.target.value),t.emit("dom-input-event",e)}},help:t.props.help,id:t.props.id,label:t.props.label,messages:u,node:be(t),options:t.props.options,state:{blurred:!1,complete:l,dirty:!1,submitted:!1,settled:t.isSettled,valid:e,errors:n,rules:c,validationVisible:a},type:t.props.type,family:t.props.family,ui:h,value:g,classes:d});function y(e){e.forEach((e=>{e=km(e),!fm(v,e)&&fm(t.props,e)&&(v[e]=t.props[e]),t.on(`prop:${e}`,(({payload:t})=>{v[e]=t}))}))}var b;t.on("created",(()=>{gm(v.value,t.value)||(m.value=t.value,g.value=t.value,Ee(g),Ee(m)),t.props._init=Om(t.value)})),t.on("settled",(({payload:t})=>{v.state.settled=t})),y((()=>{const e=/^[a-zA-Z-]+(?:-icon|Icon)$/,n=Object.keys(t.props).filter((t=>e.test(t)));return["help","label","disabled","options","type","attrs","preserve","preserveErrors","id"].concat(n)})()),t.props.definition&&(b=t.props.definition).props&&y(b.props),t.on("added-props",(({payload:t})=>y(t))),t.on("input",(({payload:t})=>{m.value=t,Ee(m)})),t.on("commit",(({payload:e})=>{g.value=m.value=e,Ee(g),t.emit("modelUpdated"),!v.state.dirty&&t.isCreated&&r&&!gm(g.value,t.props._init)&&v.handlers.touch(),l&&"input"===t.type&&n.value&&!Tm(t.props.preserveErrors)&&t.store.filter((t=>{var e;return!("error"===t.type&&!0===(null===(e=t.meta)||void 0===e?void 0:e.autoClear))}))}));const _=async t=>{"ui"===t.type&&t.visible&&!t.meta.showAsMessage?h[t.key]=t:t.visible?i[t.key]=t:"state"===t.type&&(v.state[t.key]=!!t.value)};t.on("message-added",(t=>_(t.payload))),t.on("message-updated",(t=>_(t.payload))),t.on("message-removed",(({payload:t})=>{delete h[t.key],delete i[t.key],delete v.state[t.key]})),t.on("settled:blocking",(()=>{e.value=!0})),t.on("unsettled:blocking",(()=>{e.value=!1})),t.on("settled:errors",(()=>{n.value=!1})),t.on("unsettled:errors",(()=>{n.value=!0})),Nn(a,(t=>{t&&(s.value=!0)})),t.context=v,t.emit("context",t,!1)};rr({name:"FormKitIcon",props:{icon:{type:String,default:""},iconLoader:{type:Function,default:null},iconLoaderUrl:{type:Function,default:null}},setup(t){var e,n;const r=Ae(void 0),i=Jr(a_,{}),o=Jr(o_,null);let s;if(t.iconLoader&&"function"==typeof t.iconLoader)s=Fb(t.iconLoader);else if(o&&null!==(e=o.props)&&void 0!==e&&e.iconLoader)s=Fb(o.props.iconLoader);else if(t.iconLoaderUrl&&"function"==typeof t.iconLoaderUrl)s=Fb(s,t.iconLoaderUrl);else{const t=null===(n=null==i?void 0:i.plugins)||void 0===n?void 0:n.find((t=>"function"==typeof t.iconHandler));t&&(s=t.iconHandler)}if(s&&"function"==typeof s){const e=s(t.icon);e instanceof Promise?e.then((t=>{r.value=t})):r.value=e}return()=>r.value?po("span",{class:"formkit-icon",innerHTML:r.value}):null}});const b_=rr({__name:"select-input",props:{context:{type:Object,required:!0}},setup(t){const e=t,n=t=>e.context.attrs.customValue?e.context.attrs.customValue(t):t,r=t=>{const r=n(t);e.context.attrs.multiple?e.context.node.input([e.context._value,r].flat().filter(Boolean)):e.context.node.input(r)},i=t=>{const r=n(t);e.context.attrs.multiple?e.context.node.input([e.context._value].flat().filter((t=>t!==r))):e.context.node.input(null)},o=ho((()=>e.context.attrs.options.find((t=>n(t)===e.context._value))||e.context._value)),s=ho((()=>e.context.node.props)),a=Ae(!1),l=Nh.debounce((async(t,n)=>{t&&e.context.attrs.onSearchChange&&(a.value=!0,await e.context.attrs.onSearchChange(t,n),a.value=!1)}),e.context.attrs.searchDebounce),c=ho((()=>({...e.context.attrs,loading:a.value||e.context.attrs.loading,onSearchChange:l})));return _r((()=>{l.cancel()})),(n,a)=>(Ai(),Pi("div",{class:Y(["ap-select-input",{taggable:t.context.attrs.taggable}])},[Ni(Pe(Lg),Ui(c.value,{id:s.value.id,class:{error:t.context.state.errors||t.context.state.validationVisible&&!t.context.state.valid},disabled:s.value.disabled,"model-value":o.value,name:s.value.name,options:t.context.attrs.options,onBlur:t.context.handlers.blur,onRemove:i,onSelect:r,onTouch:t.context.handlers.touch}),Ar({_:2},[Cr(e.context.slots,((t,e)=>({name:e,fn:wn((e=>[t?(Ai(),Mi(Pn(t),K(Ui({key:0},e)),null,16)):Vi("",!0)]))})))]),1040,["id","class","disabled","model-value","name","options","onBlur","onTouch"])],2))}}),__=qh(b_,[["__scopeId","data-v-7460d5fa"]]),x_={allowEmpty:{type:Boolean,required:!1,default:!0},blockKeys:{type:Array,required:!1,default:[]},clearOnSelect:{type:Boolean,required:!1,default:!0},closeOnSelect:{type:Boolean,required:!1,default:!0},customLabel:{type:Function,required:!1},customValue:{type:Function,required:!1},groupValues:{type:String,required:!1},groupLabel:{type:String,required:!1},groupSelect:{type:Boolean,required:!1,default:!1},hideSelected:{type:Boolean,required:!1,default:!1},id:{type:String,required:!1},internalSearch:{type:Boolean,required:!1,default:!0},limit:{type:Number,required:!1},limitText:{type:Function,required:!1,default:t=>`and ${t} more`},loading:{type:Boolean,required:!1,default:!1},modelValue:{type:void 0,required:!1},multiple:{type:Boolean,required:!1,default:!1},name:{type:String,required:!1},onSearchChange:{type:Function,required:!1},onTag:{type:Function,required:!1},openDirection:{type:String,required:!1},options:{type:Array,required:!1,default:()=>[]},optionsLimit:{type:Number,required:!1,default:1e3},preselectFirst:{type:Boolean,required:!1,default:!1},preserveSearch:{type:Boolean,required:!1,default:!1},placeholder:{type:String,required:!1},resetAfter:{type:Boolean,required:!1,default:!1},searchDebounce:{type:Number,required:!1,default:500},searchable:{type:Boolean,required:!1,default:!0},taggable:{type:Boolean,required:!1,default:!1},tagPlaceholder:{type:String,required:!1,default:"Press enter to create a tag"},tagPosition:{type:String,required:!1,default:"top"}},w_=rr({__name:"select-field",props:{...x_,...om},setup(t){const e=t,n=function(t,e={}){const n={type:"input",...e};let r;if(function(t){return"function"==typeof t&&2===t.length||"object"==typeof t&&!Array.isArray(t)&&!("$el"in t)&&!("$cmp"in t)&&!("if"in t)}(t)){const e="SchemaComponent"+v_++;r=Iy("input",(()=>({$cmp:e,props:{context:"$node.context"}}))),n.library={[e]:be(t)}}else r="function"==typeof t?t:Iy("input",(()=>Om(t)));return n.schema=function(t){return Lv(Dv($v("$label"),jv(Nv(),t(),Bv())),Fv("$help"),Iv(Rv("$message.value")))}(r||"Schema undefined"),n}(__);return(t,r)=>(Ai(),Mi(am,Ui(e,{type:Pe(n)}),Ar({_:2},[Cr(t.$slots,((e,n)=>({name:n,fn:wn((e=>[Or(t.$slots,n,K(Bi(e)))]))})))]),1040,["type"]))}}),S_=new Set,k_=new WeakMap,C_=new WeakMap,A_=new WeakMap,O_=new WeakMap,T_=new WeakMap,E_=new WeakMap,P_=new WeakMap,M_=new WeakSet;let L_;const j_="__aa_tgt",D_="__aa_del";function $_(t){clearTimeout(P_.get(t));const e=W_(t),n="function"==typeof e?500:e.duration;P_.set(t,setTimeout((async()=>{const e=A_.get(t);(!e||await e.finished)&&(k_.set(t,V_(t)),function(t){const e=O_.get(t);null==e||e.disconnect();let n=k_.get(t),r=0;n||(n=V_(t),k_.set(t,n));const{offsetWidth:i,offsetHeight:o}=L_,s=[n.top-5,i-(n.left+5+n.width),o-(n.top+5+n.height),n.left-5].map((t=>-1*Math.floor(t)+"px")).join(" "),a=new IntersectionObserver((()=>{++r>1&&$_(t)}),{root:L_,threshold:1,rootMargin:s});a.observe(t),O_.set(t,a)}(t))}),n))}function I_(t){setTimeout((()=>{T_.set(t,setInterval((()=>R_($_.bind(null,t))),2e3))}),Math.round(2e3*Math.random()))}function R_(t){"function"==typeof requestIdleCallback?requestIdleCallback((()=>t())):requestAnimationFrame((()=>t()))}let N_,B_;function F_(t,e){e||j_ in t?e&&!(j_ in e)&&Object.defineProperty(e,j_,{value:t}):Object.defineProperty(t,j_,{value:t})}function z_(t){return Number(t.replace(/[^0-9.\-]/g,""))}function V_(t){const e=t.getBoundingClientRect();return{top:e.top+window.scrollY,left:e.left+window.scrollX,width:e.width,height:e.height}}function q_(t,e,n){let r=e.width,i=e.height,o=n.width,s=n.height;const a=getComputedStyle(t);if("content-box"===a.getPropertyValue("box-sizing")){const t=z_(a.paddingTop)+z_(a.paddingBottom)+z_(a.borderTopWidth)+z_(a.borderBottomWidth),e=z_(a.paddingLeft)+z_(a.paddingRight)+z_(a.borderRightWidth)+z_(a.borderLeftWidth);r-=e,o-=e,i-=t,s-=t}return[r,o,i,s].map(Math.round)}function W_(t){return j_ in t&&E_.has(t[j_])?E_.get(t[j_]):{duration:250,easing:"ease-in-out"}}function H_(t){if(j_ in t)return t[j_]}function U_(t){const e=H_(t);return!!e&&M_.has(e)}function G_(t,...e){e.forEach((e=>e(t,E_.has(t))));for(let n=0;n<t.children.length;n++){const r=t.children.item(n);r&&e.forEach((t=>t(r,E_.has(r))))}}typeof window<"u"&&(L_=document.documentElement,N_=new MutationObserver((t=>{const e=function(t){return t.reduce(((t,e)=>{if(!1===t)return!1;if(e.target instanceof Element){if(F_(e.target),!t.has(e.target)){t.add(e.target);for(let n=0;n<e.target.children.length;n++){const r=e.target.children.item(n);if(r){if(D_ in r)return!1;F_(e.target,r),t.add(r)}}}if(e.removedNodes.length)for(let n=0;n<e.removedNodes.length;n++){const r=e.removedNodes[n];if(D_ in r)return!1;r instanceof Element&&(t.add(r),F_(e.target,r),C_.set(r,[e.previousSibling,e.nextSibling]))}}return t}),new Set)}(t);e&&e.forEach((t=>function(t){var e;const n=L_.contains(t),r=k_.has(t);n&&C_.has(t)&&C_.delete(t),A_.has(t)&&(null===(e=A_.get(t))||void 0===e||e.cancel()),r&&n?function(t){const e=k_.get(t),n=V_(t);if(!U_(t))return k_.set(t,n);let r;if(!e)return;const i=W_(t);if("function"!=typeof i){const o=e.left-n.left,s=e.top-n.top,[a,l,c,u]=q_(t,e,n),h={transform:`translate(${o}px, ${s}px)`},p={transform:"translate(0, 0)"};a!==l&&(h.width=`${a}px`,p.width=`${l}px`),c!==u&&(h.height=`${c}px`,p.height=`${u}px`),r=t.animate([h,p],{duration:i.duration,easing:i.easing})}else r=new Animation(i(t,"remain",e,n)),r.play();A_.set(t,r),k_.set(t,n),r.addEventListener("finish",$_.bind(null,t))}(t):r&&!n?function(t){var e;if(!C_.has(t)||!k_.has(t))return;const[n,r]=C_.get(t);function i(){var e;t.remove(),k_.delete(t),C_.delete(t),A_.delete(t),null===(e=O_.get(t))||void 0===e||e.disconnect()}if(Object.defineProperty(t,D_,{value:!0}),r&&r.parentNode&&r.parentNode instanceof Element?r.parentNode.insertBefore(t,r):n&&n.parentNode?n.parentNode.appendChild(t):null===(e=H_(t))||void 0===e||e.appendChild(t),!U_(t))return i();const[o,s,a,l]=function(t){const e=k_.get(t),[n,,r]=q_(t,e,V_(t));let i=t.parentElement;for(;i&&("static"===getComputedStyle(i).position||i instanceof HTMLBodyElement);)i=i.parentElement;i||(i=document.body);const o=getComputedStyle(i),s=k_.get(i)||V_(i);return[Math.round(e.top-s.top)-z_(o.borderTopWidth),Math.round(e.left-s.left)-z_(o.borderLeftWidth),n,r]}(t),c=W_(t),u=k_.get(t);let h;Object.assign(t.style,{position:"absolute",top:`${o}px`,left:`${s}px`,width:`${a}px`,height:`${l}px`,margin:0,pointerEvents:"none",transformOrigin:"center",zIndex:100}),"function"!=typeof c?h=t.animate([{transform:"scale(1)",opacity:1},{transform:"scale(.98)",opacity:0}],{duration:c.duration,easing:"ease-out"}):(h=new Animation(c(t,"remove",u)),h.play()),A_.set(t,h),h.addEventListener("finish",i)}(t):function(t){const e=V_(t);k_.set(t,e);const n=W_(t);if(!U_(t))return;let r;"function"!=typeof n?r=t.animate([{transform:"scale(.98)",opacity:0},{transform:"scale(0.98)",opacity:0,offset:.5},{transform:"scale(1)",opacity:1}],{duration:1.5*n.duration,easing:"ease-in"}):(r=new Animation(n(t,"add",e)),r.play()),A_.set(t,r),r.addEventListener("finish",$_.bind(null,t))}(t)}(t)))})),B_=new ResizeObserver((t=>{t.forEach((t=>{t.target===L_&&(clearTimeout(P_.get(L_)),P_.set(L_,setTimeout((()=>{S_.forEach((t=>G_(t,(t=>R_((()=>$_(t)))))))}),100))),k_.has(t.target)&&$_(t.target)}))})),B_.observe(L_));const X_=new Map;let Y_=null;function K_(){X_.forEach(((t,e)=>{const n=document.getElementById(e);n&&(X_.delete(e),function(t,e={}){N_&&B_&&(window.matchMedia("(prefers-reduced-motion: reduce)").matches&&"function"!=typeof e&&!e.disrespectUserMotionPreference||(M_.add(t),"static"===getComputedStyle(t).position&&Object.assign(t.style,{position:"relative"}),G_(t,$_,I_,(t=>null==B_?void 0:B_.observe(t))),"function"==typeof e?E_.set(t,e):E_.set(t,{duration:250,easing:"ease-in-out",...e}),N_.observe(t,{childList:!0}),S_.add(t))),Object.freeze({parent:t,enable:()=>{M_.add(t)},disable:()=>{M_.delete(t)},isEnabled:()=>M_.has(t)})}(n,t||{}))}))}function Z_(t){return e=>{e.on("created",(()=>{var n;if("function"==typeof(null===(n=e.props.definition)||void 0===n?void 0:n.schema)){if(void 0===typeof window)return;const n=e.props.definition.schema;e.props.definition.schema=r=>{r.outer=_m({attrs:{id:`outer-${e.props.id}`}},r.outer||{});const i=n(r),o=Av(i[0])?Array.isArray(i[0].else)?i[0].else[0]:i[0].else:i[0];return o&&kv(o)&&o.attrs&&"id"in o.attrs&&X_.set(String("$id"===o.attrs.id?e.props.id:o.attrs.id),t||void 0),i}}Y_||(K_(),Y_=new MutationObserver((()=>{K_(),!X_.size&&Y_&&(Y_.disconnect(),Y_=null)})),Y_.observe(document,{childList:!0,subtree:!0}))}))}}const J_={install(t,e={}){var n;t.use(c_,((t={})=>{const{rules:e={},locales:n={},inputs:r={},messages:i={},locale:o,theme:s,iconLoaderUrl:a,iconLoader:l,icons:c={},...u}=t,h=function(t={}){return function(e){const n=Object.assign({},t,e.props.validationRules);let r=sb(e);const i={input:pm(),rerun:null,isPassing:!0};let o=Om(e.props.validation);e.on("prop:validation",(({payload:t})=>{gm(o,t)||(o=Om(t),lb(r.receipts),e.store.filter((()=>!1),"validation"),e.props.parsedRules=wb(t,n),r.kill(),r=sb(e),pb(r,e.props.parsedRules,i))})),e.props.parsedRules=wb(o,n),pb(r,e.props.parsedRules,i)}}({...ib,...e||{}}),p=function(t){return function(e){let n=Eb(e.config.locale,t),r=n?t[n]:{};e.on("prop:locale",(({payload:i})=>{n=Eb(i,t),r=n?t[n]:{},e.store.touch()})),e.on("prop:label",(()=>e.store.touch())),e.on("prop:validationLabel",(()=>e.store.touch())),e.hook.text(((t,e)=>{var n,i;const o=(null===(n=t.meta)||void 0===n?void 0:n.messageKey)||t.key;if(fm(r,t.type)&&fm(r[t.type],o)){const e=r[t.type][o];t.value="function"==typeof e?Array.isArray(null===(i=t.meta)||void 0===i?void 0:i.i18nArgs)?e(...t.meta.i18nArgs):e(t):e}return e(t)}))}}(_m({en:Tb,...n||{}},i)),d=function(...t){const e=t.reduce(((t,e)=>_m(t,e)),{}),n=()=>{};return n.library=function(t){const n=km(t.props.type);fm(e,n)&&t.define(e[n])},n}(Zy,r);return _m({plugins:[d,Bb(s,c,a,l),y_,p,h],...o?{config:{locale:o}}:{}},u||{},!0)})({...e,plugins:[Z_(),...e.plugins||[]],config:{...e.config,classes:{messages:Zg.messages,message:Zg.message,help:Zg.help,optionHelp:Zg.help,inner:Zg.inner,...null==(n=e.config)?void 0:n.classes}}}))}},Q_=t=>(_n("data-v-69b1dd7f"),t=t(),xn(),t),tx={key:0},ex=[Q_((()=>Ri("td",{colspan:"999"},[Ri("span",{class:"loading"})],-1)))],nx={key:1},rx={colspan:"999"},ix=Q_((()=>Ri("div",null,null,-1))),ox=rr({__name:"table-core",props:{hideRowCount:{type:Boolean},loading:{type:Boolean},page:{},pageTotal:{},rows:{default:()=>[]},rowCount:{default:({rows:t})=>(null==t?void 0:t.length)||0},onSearch:{},searchProps:{default:()=>({debounce:0,placeholder:"Search..."})},titleDescription:{},title:{}},emits:["sort","update:page"],setup(t,{emit:e}){const n=t,r=ts();function i(t){return void 0!==t.page&&void 0!==t.pageTotal}const o=ho((()=>{const t=n.page||1,e=n.pageTotal,r=n.rowCount;if(!e||!r)return{start:0,end:0};let i;return i=t<e?n.rows.length*(t-1):r-n.rows.length,{start:i+1,end:i+n.rows.length}}));return(t,s)=>(Ai(),Pi("div",null,[i(n)||t.hideRowCount?Vi("",!0):(Ai(),Pi("div",{key:0,class:Y(t.$style.searchCountTop)},[zi(" Showing "),Ri("strong",null,et(t.rows.length),1),zi(" of "),Ri("strong",null,et(t.rowCount),1)],2)),t.$slots.title||t.title||t.$slots.titleDescription||t.titleDescription?(Ai(),Pi("div",{key:1,class:Y(t.$style.titleRow)},[Or(t.$slots,"title",{},(()=>[t.title?(Ai(),Mi(Xg,{key:0},{default:wn((()=>[zi(et(t.title),1)])),_:1})):Vi("",!0)]),!0),t.$slots.titleDescription||t.titleDescription?(Ai(),Pi("div",{key:0,class:Y(t.$style.titleDescription)},[Or(t.$slots,"titleDescription",{},(()=>[zi(et(t.titleDescription),1)]),!0)],2)):Vi("",!0)],2)):Vi("",!0),t.$slots.search||t.onSearch?(Ai(),Pi("div",{key:2,class:Y(t.$style.searchInput)},[Or(t.$slots,"search",{},(()=>[Ni(Pe(eb),{config:{delay:t.searchProps.debounce},placeholder:t.searchProps.placeholder,onInput:t.onSearch},null,8,["config","placeholder","onInput"])]),!0)],2)):Vi("",!0),Ri("table",{class:Y(t.$style.table)},[Ri("thead",{onClick:s[0]||(s[0]=t=>function(t){var n;if(!t.target)return;const i=Nh.get(t,"target.attributes.data-sort-by.value");if(!i)return;const o=t.target,s=o.classList.contains(r.active)?o.classList.contains(r.reverse)?"asc":"desc":"asc";null!=(n=o.parentElement)&&n.children&&Array.from(o.parentElement.children).forEach((t=>{t.classList&&(t.classList.remove(r.active),t.classList.remove(r.reverse))})),o.classList.add(r.active),o.classList["desc"===s?"add":"remove"](r.reverse),e("sort",i,s)}(t))},[Or(t.$slots,"thead",{},void 0,!0)]),Ri("tbody",null,[(Ai(!0),Pi(_i,null,Cr(t.rows,(e=>Or(t.$slots,"tbody",{row:e,rows:t.rows},void 0,!0))),256)),t.loading?(Ai(),Pi("tr",tx,ex)):Vi("",!0),t.rows.length||t.loading?Vi("",!0):(Ai(),Pi("tr",nx,[Ri("td",rx,[Or(t.$slots,"empty",{},(()=>[zi(" No items found ")]),!0)])]))])],2),i(n)?(Ai(),Pi("div",{key:3,class:Y(t.$style.footer)},[ix,Ni(Pe(Hg),{"model-value":n.page,total:n.pageTotal,class:Y(t.$style.pagination),"onUpdate:modelValue":s[1]||(s[1]=e=>t.$emit("update:page",e))},null,8,["model-value","total","class"]),t.hideRowCount?Vi("",!0):(Ai(),Pi("div",{key:0,class:Y(t.$style.searchCountBottom)},[zi(" Showing "),Ri("strong",null,et(o.value.start)+"-"+et(o.value.end),1),zi(" of "),Ri("strong",null,et(t.rowCount),1)],2))],2)):Vi("",!0)]))}}),sx=qh(ox,[["__cssModules",{$style:{icon:"_icon_sahpl_1",titleRow:"_titleRow_sahpl_51",titleDescription:"_titleDescription_sahpl_54",searchCount:"_searchCount_sahpl_58",searchCountTop:"_searchCountTop_sahpl_59",searchCountBottom:"_searchCountBottom_sahpl_60",searchInput:"_searchInput_sahpl_75",table:"_table_sahpl_79",active:"_active_sahpl_111",reverse:"_reverse_sahpl_114",footer:"_footer_sahpl_121",pagination:"_pagination_sahpl_131",spin:"_spin_sahpl_1"}}],["__scopeId","data-v-69b1dd7f"]]),ax=(Object.assign(sx,{Title:Xg}),Boolean,Boolean,ue({id:1,active:[],add(t){ax.active.push({id:this.id++,...t})},remove(t){const e=this.active.findIndex((e=>e.id===t));this.active.splice(e,1)},reset(){this.active=[],this.id=1}})),lx="sidenav-lock",cx=(ue({isMobileOpen:!1,isLocked:!!(typeof localStorage<"u"&&localStorage.getItem(lx)),toggleMobile(){this.isMobileOpen=!this.isMobileOpen},toggleLock(){this.isLocked=!this.isLocked,typeof localStorage<"u"&&(this.isLocked?localStorage.setItem(lx,"true"):localStorage.removeItem(lx))}}),{install(t,e={}){t.use(J_,e.form),t.directive("hidden",(function(t,e){t.style.visibility=e.value?"hidden":null}))}});function ux(t,e,...n){if(t in e){let r=e[t];return"function"==typeof r?r(...n):r}let r=new Error(`Tried to handle "${t}" but there is no handler defined. Only defined handlers are: ${Object.keys(e).map((t=>`"${t}"`)).join(", ")}.`);throw Error.captureStackTrace&&Error.captureStackTrace(r,ux),r}var hx=(t=>(t[t.None=0]="None",t[t.RenderStrategy=1]="RenderStrategy",t[t.Static=2]="Static",t))(hx||{}),px=(t=>(t[t.Unmount=0]="Unmount",t[t.Hidden=1]="Hidden",t))(px||{});function dx({visible:t=!0,features:e=0,ourProps:n,theirProps:r,...i}){var o;let s=mx(r,n),a=Object.assign(i,{props:s});return t||2&e&&s.static?fx(a):1&e?ux(null==(o=s.unmount)||o?0:1,{0:()=>null,1:()=>fx({...i,props:{...s,hidden:!0,style:{display:"none"}}})}):fx(a)}function fx({props:t,attrs:e,slots:n,slot:r,name:i}){var o,s;let{as:a,...l}=function(t,e=[]){let n=Object.assign({},t);for(let t of e)t in n&&delete n[t];return n}(t,["unmount","static"]),c=null==(o=n.default)?void 0:o.call(n,r),u={};if(r){let t=!1,e=[];for(let[n,i]of Object.entries(r))"boolean"==typeof i&&(t=!0),!0===i&&e.push(n);t&&(u["data-headlessui-state"]=e.join(" "))}if("template"===a){if(c=gx(c??[]),Object.keys(l).length>0||Object.keys(e).length>0){let[t,...n]=c??[];if(!function(t){return null!=t&&("string"==typeof t.type||"object"==typeof t.type||"function"==typeof t.type)}(t)||n.length>0)throw new Error(['Passing props on "template"!',"",`The current component <${i} /> is rendering a "template".`,"However we need to passthrough the following props:",Object.keys(l).concat(Object.keys(e)).map((t=>t.trim())).filter(((t,e,n)=>n.indexOf(t)===e)).sort(((t,e)=>t.localeCompare(e))).map((t=>`  - ${t}`)).join("\n"),"","You can apply a few solutions:",['Add an `as="..."` prop, to ensure that we render an actual element instead of a "template".',"Render a single element as the child so that we can forward the props onto that element."].map((t=>`  - ${t}`)).join("\n")].join("\n"));let r=mx(null!=(s=t.props)?s:{},l),o=Fi(t,r);for(let t in r)t.startsWith("on")&&(o.props||(o.props={}),o.props[t]=r[t]);return o}return Array.isArray(c)&&1===c.length?c[0]:c}return po(a,Object.assign({},l,u),{default:()=>c})}function gx(t){return t.flatMap((t=>t.type===_i?gx(t.children):[t]))}function mx(...t){if(0===t.length)return{};if(1===t.length)return t[0];let e={},n={};for(let r of t)for(let t in r)t.startsWith("on")&&"function"==typeof r[t]?(null!=n[t]||(n[t]=[]),n[t].push(r[t])):e[t]=r[t];if(e.disabled||e["aria-disabled"])return Object.assign(e,Object.fromEntries(Object.keys(n).map((t=>[t,void 0]))));for(let t in n)Object.assign(e,{[t](e,...r){let i=n[t];for(let t of i){if(e instanceof Event&&e.defaultPrevented)return;t(e,...r)}}});return e}let vx=0;function yx(){return++vx}var bx=(t=>(t.Space=" ",t.Enter="Enter",t.Escape="Escape",t.Backspace="Backspace",t.Delete="Delete",t.ArrowLeft="ArrowLeft",t.ArrowUp="ArrowUp",t.ArrowRight="ArrowRight",t.ArrowDown="ArrowDown",t.Home="Home",t.End="End",t.PageUp="PageUp",t.PageDown="PageDown",t.Tab="Tab",t))(bx||{});function _x(t){var e;return null==t||null==t.value?null:null!=(e=t.value.$el)?e:t.value}let xx=Symbol("Context");var wx=(t=>(t[t.Open=1]="Open",t[t.Closed=2]="Closed",t[t.Closing=4]="Closing",t[t.Opening=8]="Opening",t))(wx||{});function Sx(t,e){if(t)return t;let n=e??"button";return"string"==typeof n&&"button"===n.toLowerCase()?"button":void 0}var kx=(t=>(t[t.Open=0]="Open",t[t.Closed=1]="Closed",t))(kx||{});let Cx=Symbol("DisclosureContext");function Ax(t){let e=Jr(Cx,null);if(null===e){let e=new Error(`<${t} /> is missing a parent <Disclosure /> component.`);throw Error.captureStackTrace&&Error.captureStackTrace(e,Ax),e}return e}let Ox=Symbol("DisclosurePanelContext");rr({name:"Disclosure",props:{as:{type:[Object,String],default:"template"},defaultOpen:{type:[Boolean],default:!1}},setup(t,{slots:e,attrs:n}){let r=Ae(t.defaultOpen?0:1),i=Ae(null),o=Ae(null),s={buttonId:Ae(`headlessui-disclosure-button-${yx()}`),panelId:Ae(`headlessui-disclosure-panel-${yx()}`),disclosureState:r,panel:i,button:o,toggleDisclosure(){r.value=ux(r.value,{0:1,1:0})},closeDisclosure(){1!==r.value&&(r.value=1)},close(t){s.closeDisclosure();let e=t?t instanceof HTMLElement?t:t.value instanceof HTMLElement?_x(t):_x(s.button):_x(s.button);null==e||e.focus()}};return Zr(Cx,s),function(t){Zr(xx,t)}(ho((()=>ux(r.value,{0:wx.Open,1:wx.Closed})))),()=>{let{defaultOpen:i,...o}=t;return dx({theirProps:o,ourProps:{},slot:{open:0===r.value,close:s.close},slots:e,attrs:n,name:"Disclosure"})}}}),rr({name:"DisclosureButton",props:{as:{type:[Object,String],default:"button"},disabled:{type:[Boolean],default:!1},id:{type:String,default:null}},setup(t,{attrs:e,slots:n,expose:r}){let i=Ax("DisclosureButton"),o=Jr(Ox,null),s=ho((()=>null!==o&&o.value===i.panelId.value));mr((()=>{s.value||null!==t.id&&(i.buttonId.value=t.id)})),_r((()=>{s.value||(i.buttonId.value=null)}));let a=Ae(null);r({el:a,$el:a}),s.value||In((()=>{i.button.value=a.value}));let l=function(t,e){let n=Ae(Sx(t.value.type,t.value.as));return mr((()=>{n.value=Sx(t.value.type,t.value.as)})),In((()=>{var t;n.value||_x(e)&&_x(e)instanceof HTMLButtonElement&&(null==(t=_x(e))||!t.hasAttribute("type"))&&(n.value="button")})),n}(ho((()=>({as:t.as,type:e.type}))),a);function c(){var e;t.disabled||(s.value?(i.toggleDisclosure(),null==(e=_x(i.button))||e.focus()):i.toggleDisclosure())}function u(e){var n;if(!t.disabled)if(s.value)switch(e.key){case bx.Space:case bx.Enter:e.preventDefault(),e.stopPropagation(),i.toggleDisclosure(),null==(n=_x(i.button))||n.focus()}else switch(e.key){case bx.Space:case bx.Enter:e.preventDefault(),e.stopPropagation(),i.toggleDisclosure()}}function h(t){t.key===bx.Space&&t.preventDefault()}return()=>{var r;let o={open:0===i.disclosureState.value},{id:p,...d}=t;return dx({ourProps:s.value?{ref:a,type:l.value,onClick:c,onKeydown:u}:{id:null!=(r=i.buttonId.value)?r:p,ref:a,type:l.value,"aria-expanded":0===i.disclosureState.value,"aria-controls":0===i.disclosureState.value||_x(i.panel)?i.panelId.value:void 0,disabled:!!t.disabled||void 0,onClick:c,onKeydown:u,onKeyup:h},theirProps:d,slot:o,attrs:e,slots:n,name:"DisclosureButton"})}}}),rr({name:"DisclosurePanel",props:{as:{type:[Object,String],default:"div"},static:{type:Boolean,default:!1},unmount:{type:Boolean,default:!0},id:{type:String,default:null}},setup(t,{attrs:e,slots:n,expose:r}){let i=Ax("DisclosurePanel");mr((()=>{null!==t.id&&(i.panelId.value=t.id)})),_r((()=>{i.panelId.value=null})),r({el:i.panel,$el:i.panel}),Zr(Ox,i.panelId);let o=Jr(xx,null),s=ho((()=>null!==o?(o.value&wx.Open)===wx.Open:0===i.disclosureState.value));return()=>{var r;let o={open:0===i.disclosureState.value,close:i.close},{id:a,...l}=t;return dx({ourProps:{id:null!=(r=i.panelId.value)?r:a,ref:i.panel},theirProps:l,slot:o,attrs:e,slots:n,features:hx.RenderStrategy|hx.Static,visible:s.value,name:"DisclosurePanel"})}}});Boolean,Boolean,Boolean,Boolean;Boolean;const Tx=qh(rr({__name:"nav-link-contents",props:{link:{},wrapperMaxWidth:{}},setup:t=>(t,e)=>(Ai(),Pi("div",{class:"wrapper",style:W({maxWidth:t.wrapperMaxWidth})},[t.link.icon?(Ai(),Pi(_i,{key:0},["string"==typeof t.link.icon?(Ai(),Mi(Pe(Uh),{key:0,class:Y([t.link.icon,"icon"]),icon:t.link.icon},null,8,["class","icon"])):(Ai(),Mi(Pn(t.link.icon()),{key:1}))],64)):Vi("",!0),Or(t.$slots,"default",{},void 0,!0)],4))}),[["__scopeId","data-v-418031f4"]]),Ex=["href","onClick"],Px={key:1};Boolean;Boolean;Boolean;const Mx=(Boolean,{components:{Navigation:ju,SelectField:w_,Form:im},data:()=>({requiredTags:[],requiredOptions:[],forbiddenTags:[],forbiddenOptions:[]}),methods:{handleRequiredTag(t){this.requiredTags.push(t),this.requiredOptions.push(t)},handleForbiddenTag(t){this.forbiddenTags.push(t),this.forbiddenOptions.push(t)},confirm(){this.$store.commit("setPageScan",{required:this.requiredTags,forbidden:this.forbiddenTags}),this.$store.dispatch("confirm")}}});n(265);const Lx=(0,ds.A)(Mx,[["render",function(t,e,n,r,i,o){const s=Tn("SelectField"),a=Tn("Form"),l=Tn("Navigation");return Ai(),Pi("div",null,[Eh,Ri("section",null,[Ph,Mh,Ni(a,{actions:!1},{default:wn((()=>[Ni(s,{name:"PageScan Required",modelValue:i.requiredTags,"onUpdate:modelValue":e[0]||(e[0]=t=>i.requiredTags=t),options:i.requiredOptions,taggable:"",multiple:"",onTag:o.handleRequiredTag,openDirection:"bottom"},null,8,["modelValue","options","onTag"]),Ni(s,{name:"PageScan Forbidden",modelValue:i.forbiddenTags,"onUpdate:modelValue":e[1]||(e[1]=t=>i.forbiddenTags=t),options:i.forbiddenOptions,taggable:"",multiple:"",onTag:o.handleForbiddenTag,openDirection:"bottom"},null,8,["modelValue","options","onTag"])])),_:1})]),Ni(l,{onConfirm:o.confirm,disableConfirm:!1},null,8,["onConfirm"])])}],["__scopeId","data-v-67a095b2"]]),jx=function(t){const e=function(t,e){const n=[],r=new Map;function i(t,n,r){const a=!r,l=function(t){return{path:t.path,redirect:t.redirect,name:t.name,meta:t.meta||{},aliasOf:void 0,beforeEnter:t.beforeEnter,props:Hc(t),children:t.children||[],instances:{},leaveGuards:new Set,updateGuards:new Set,enterCallbacks:{},components:"components"in t?t.components||null:t.component&&{default:t.component}}}(t);l.aliasOf=r&&r.record;const c=Xc(e,t),u=[l];if("alias"in t){const e="string"==typeof t.alias?[t.alias]:t.alias;for(const t of e)u.push(Xl({},l,{components:r?r.record.components:l.components,path:t,aliasOf:r?r.record:l}))}let h,p;for(const e of u){const{path:u}=e;if(n&&"/"!==u[0]){const t=n.record.path,r="/"===t[t.length-1]?"":"/";e.path=n.record.path+(u&&r+u)}if(h=qc(e,n,c),r?r.alias.push(h):(p=p||h,p!==h&&p.alias.push(h),a&&t.name&&!Uc(h)&&o(t.name)),l.children){const t=l.children;for(let e=0;e<t.length;e++)i(t[e],h,r&&r.children[e])}r=r||h,(h.record.components&&Object.keys(h.record.components).length||h.record.name||h.record.redirect)&&s(h)}return p?()=>{o(p)}:Kl}function o(t){if(Ec(t)){const e=r.get(t);e&&(r.delete(t),n.splice(n.indexOf(e),1),e.children.forEach(o),e.alias.forEach(o))}else{const e=n.indexOf(t);e>-1&&(n.splice(e,1),t.record.name&&r.delete(t.record.name),t.children.forEach(o),t.alias.forEach(o))}}function s(t){let e=0;for(;e<n.length&&Bc(t,n[e])>=0&&(t.record.path!==n[e].record.path||!Yc(t,n[e]));)e++;n.splice(e,0,t),t.record.name&&!Uc(t)&&r.set(t.record.name,t)}return e=Xc({strict:!1,end:!0,sensitive:!1},e),t.forEach((t=>i(t))),{addRoute:i,resolve:function(t,e){let i,o,s,a={};if("name"in t&&t.name){if(i=r.get(t.name),!i)throw jc(1,{location:t});s=i.record.name,a=Xl(Wc(e.params,i.keys.filter((t=>!t.optional)).concat(i.parent?i.parent.keys.filter((t=>t.optional)):[]).map((t=>t.name))),t.params&&Wc(t.params,i.keys.map((t=>t.name)))),o=i.stringify(a)}else if(null!=t.path)o=t.path,i=n.find((t=>t.re.test(o))),i&&(a=i.parse(o),s=i.record.name);else{if(i=e.name?r.get(e.name):n.find((t=>t.re.test(e.path))),!i)throw jc(1,{location:t,currentLocation:e});s=i.record.name,a=Xl({},e.params,t.params),o=i.stringify(a)}const l=[];let c=i;for(;c;)l.unshift(c.record),c=c.parent;return{name:s,path:o,params:a,matched:l,meta:Gc(l)}},removeRoute:o,getRoutes:function(){return n},getRecordMatcher:function(t){return r.get(t)}}}(t.routes,t),n=t.parseQuery||Kc,r=t.stringifyQuery||Zc,i=t.history,o=iu(),s=iu(),a=iu(),l=Oe(Pc,!0);let c=Pc;Gl&&t.scrollBehavior&&"scrollRestoration"in history&&(history.scrollRestoration="manual");const u=Yl.bind(null,(t=>""+t)),h=Yl.bind(null,fc),p=Yl.bind(null,gc);function d(t,o){if(o=Xl({},o||l.value),"string"==typeof t){const r=vc(n,t,o.path),s=e.resolve({path:r.path},o),a=i.createHref(r.fullPath);return Xl(r,s,{params:p(s.params),hash:gc(r.hash),redirectedFrom:void 0,href:a})}let s;if(null!=t.path)s=Xl({},t,{path:vc(n,t.path,o.path).path});else{const e=Xl({},t.params);for(const t in e)null==e[t]&&delete e[t];s=Xl({},t,{params:h(e)}),o.params=h(o.params)}const a=e.resolve(s,o),c=t.hash||"";a.params=u(p(a.params));const d=function(t,e){const n=e.query?t(e.query):"";return e.path+(n&&"?")+n+(e.hash||"")}(r,Xl({},t,{hash:(f=c,pc(f).replace(lc,"{").replace(uc,"}").replace(sc,"^")),path:a.path}));var f;const g=i.createHref(d);return Xl({fullPath:d,hash:c,query:r===Zc?Jc(t.query):t.query||{}},a,{redirectedFrom:void 0,href:g})}function f(t){return"string"==typeof t?vc(n,t,l.value.path):Xl({},t)}function g(t,e){if(c!==t)return jc(8,{from:e,to:t})}function m(t){return y(t)}function v(t){const e=t.matched[t.matched.length-1];if(e&&e.redirect){const{redirect:n}=e;let r="function"==typeof n?n(t):n;return"string"==typeof r&&(r=r.includes("?")||r.includes("#")?r=f(r):{path:r},r.params={}),Xl({query:t.query,hash:t.hash,params:null!=r.path?{}:t.params},r)}}function y(t,e){const n=c=d(t),i=l.value,o=t.state,s=t.force,a=!0===t.replace,u=v(n);if(u)return y(Xl(f(u),{state:"object"==typeof u?Xl({},o,u.state):o,force:s,replace:a}),e||n);const h=n;let p;return h.redirectedFrom=e,!s&&function(t,e,n){const r=e.matched.length-1,i=n.matched.length-1;return r>-1&&r===i&&yc(e.matched[r],n.matched[i])&&bc(e.params,n.params)&&t(e.query)===t(n.query)&&e.hash===n.hash}(r,i,n)&&(p=jc(16,{to:h,from:i}),M(i,i,!0,!1)),(p?Promise.resolve(p):x(h,i)).catch((t=>Dc(t)?Dc(t,2)?t:P(t):E(t,h,i))).then((t=>{if(t){if(Dc(t,2))return y(Xl({replace:a},f(t.to),{state:"object"==typeof t.to?Xl({},o,t.to.state):o,force:s}),e||h)}else t=S(h,i,!0,a,o);return w(h,i,t),t}))}function b(t,e){const n=g(t,e);return n?Promise.reject(n):Promise.resolve()}function _(t){const e=D.values().next().value;return e&&"function"==typeof e.runWithContext?e.runWithContext(t):t()}function x(t,e){let n;const[r,i,a]=function(t,e){const n=[],r=[],i=[],o=Math.max(e.matched.length,t.matched.length);for(let s=0;s<o;s++){const o=e.matched[s];o&&(t.matched.find((t=>yc(t,o)))?r.push(o):n.push(o));const a=t.matched[s];a&&(e.matched.find((t=>yc(t,a)))||i.push(a))}return[n,r,i]}(t,e);n=su(r.reverse(),"beforeRouteLeave",t,e);for(const i of r)i.leaveGuards.forEach((r=>{n.push(ou(r,t,e))}));const l=b.bind(null,t,e);return n.push(l),I(n).then((()=>{n=[];for(const r of o.list())n.push(ou(r,t,e));return n.push(l),I(n)})).then((()=>{n=su(i,"beforeRouteUpdate",t,e);for(const r of i)r.updateGuards.forEach((r=>{n.push(ou(r,t,e))}));return n.push(l),I(n)})).then((()=>{n=[];for(const r of a)if(r.beforeEnter)if(Zl(r.beforeEnter))for(const i of r.beforeEnter)n.push(ou(i,t,e));else n.push(ou(r.beforeEnter,t,e));return n.push(l),I(n)})).then((()=>(t.matched.forEach((t=>t.enterCallbacks={})),n=su(a,"beforeRouteEnter",t,e,_),n.push(l),I(n)))).then((()=>{n=[];for(const r of s.list())n.push(ou(r,t,e));return n.push(l),I(n)})).catch((t=>Dc(t,8)?t:Promise.reject(t)))}function w(t,e,n){a.list().forEach((r=>_((()=>r(t,e,n)))))}function S(t,e,n,r,o){const s=g(t,e);if(s)return s;const a=e===Pc,c=Gl?history.state:{};n&&(r||a?i.replace(t.fullPath,Xl({scroll:a&&c&&c.scroll},o)):i.push(t.fullPath,o)),l.value=t,M(t,e,n,a),P()}let k;function C(){k||(k=i.listen(((t,e,n)=>{if(!$.listening)return;const r=d(t),o=v(r);if(o)return void y(Xl(o,{replace:!0}),r).catch(Kl);c=r;const s=l.value;var a,u;Gl&&(a=Oc(s.fullPath,n.delta),u={left:window.scrollX,top:window.scrollY},Tc.set(a,u)),x(r,s).catch((t=>Dc(t,12)?t:Dc(t,2)?(y(t.to,r).then((t=>{Dc(t,20)&&!n.delta&&n.type===wc.pop&&i.go(-1,!1)})).catch(Kl),Promise.reject()):(n.delta&&i.go(-n.delta,!1),E(t,r,s)))).then((t=>{(t=t||S(r,s,!1))&&(n.delta&&!Dc(t,8)?i.go(-n.delta,!1):n.type===wc.pop&&Dc(t,20)&&i.go(-1,!1)),w(r,s,t)})).catch(Kl)})))}let A,O=iu(),T=iu();function E(t,e,n){P(t);const r=T.list();return r.length?r.forEach((r=>r(t,e,n))):console.error(t),Promise.reject(t)}function P(t){return A||(A=!t,C(),O.list().forEach((([e,n])=>t?n(t):e())),O.reset()),t}function M(e,n,r,i){const{scrollBehavior:o}=t;if(!Gl||!o)return Promise.resolve();const s=!r&&function(t){const e=Tc.get(t);return Tc.delete(t),e}(Oc(e.fullPath,0))||(i||!r)&&history.state&&history.state.scroll||null;return Ye().then((()=>o(e,n,s))).then((t=>t&&function(t){let e;if("el"in t){const n=t.el,r="string"==typeof n&&n.startsWith("#"),i="string"==typeof n?r?document.getElementById(n.slice(1)):document.querySelector(n):n;if(!i)return;e=function(t,e){const n=document.documentElement.getBoundingClientRect(),r=t.getBoundingClientRect();return{behavior:e.behavior,left:r.left-n.left-(e.left||0),top:r.top-n.top-(e.top||0)}}(i,t)}else e=t;"scrollBehavior"in document.documentElement.style?window.scrollTo(e):window.scrollTo(null!=e.left?e.left:window.scrollX,null!=e.top?e.top:window.scrollY)}(t))).catch((t=>E(t,e,n)))}const L=t=>i.go(t);let j;const D=new Set,$={currentRoute:l,listening:!0,addRoute:function(t,n){let r,i;return Ec(t)?(r=e.getRecordMatcher(t),i=n):i=t,e.addRoute(i,r)},removeRoute:function(t){const n=e.getRecordMatcher(t);n&&e.removeRoute(n)},hasRoute:function(t){return!!e.getRecordMatcher(t)},getRoutes:function(){return e.getRoutes().map((t=>t.record))},resolve:d,options:t,push:m,replace:function(t){return m(Xl(f(t),{replace:!0}))},go:L,back:()=>L(-1),forward:()=>L(1),beforeEach:o.add,beforeResolve:s.add,afterEach:a.add,onError:T.add,isReady:function(){return A&&l.value!==Pc?Promise.resolve():new Promise(((t,e)=>{O.add([t,e])}))},install(t){const n=this;t.component("RouterLink",lu),t.component("RouterView",pu),t.config.globalProperties.$router=n,Object.defineProperty(t.config.globalProperties,"$route",{enumerable:!0,get:()=>Pe(l)}),Gl&&!j&&l.value===Pc&&(j=!0,m(i.location).catch((t=>{})));const r={};for(const t in Pc)Object.defineProperty(r,t,{get:()=>l.value[t],enumerable:!0});t.provide(eu,n),t.provide(nu,he(r)),t.provide(ru,l);const o=t.unmount;D.add(t),t.unmount=function(){D.delete(t),D.size<1&&(c=Pc,k&&k(),k=null,l.value=Pc,j=!1,A=!1),o()},__VUE_PROD_DEVTOOLS__&&Gl&&mu(t,n,e)}};function I(t){return t.reduce(((t,e)=>t.then((()=>_(e)))),Promise.resolve())}return $}({history:function(t=""){let e=[],n=[""],r=0;function i(t){r++,r!==n.length&&n.splice(r),n.push(t)}const o={location:"",state:{},base:t=kc(t),createHref:Ac.bind(null,t),replace(t){n.splice(r--,1),i(t)},push(t,e){i(t)},listen:t=>(e.push(t),()=>{const n=e.indexOf(t);n>-1&&e.splice(n,1)}),destroy(){e=[],n=[""],r=0},go(t,i=!0){const o=this.location,s=t<0?Sc.back:Sc.forward;r=Math.max(0,Math.min(r+t,n.length-1)),i&&function(t,n,{direction:r,delta:i}){const o={direction:r,delta:i,type:wc.pop};for(const r of e)r(t,n,o)}(this.location,o,{direction:s,delta:t})}};return Object.defineProperty(o,"location",{enumerable:!0,get:()=>n[r]}),o}(),routes:[{path:"/",name:"Default",component:gs,children:[{path:"",alias:"1",name:"PageOne",component:Nu},{path:"2",name:"PageTwo",component:Wu},{path:"3",name:"PageThree",component:Xu},{path:"4",name:"PageFour",component:dh},{path:"5",name:"PageFive",component:Oh},{path:"6",name:"PageSix",component:Lx}]}]});r().init((function(t){const e=((...t)=>{const e=(ps||(ps=gi(hs))).createApp(...t),{mount:n}=e;return e.mount=t=>{const r=function(t){return _(t)?document.querySelector(t):t}(t);if(!r)return;const i=e._component;b(i)||i.render||i.template||(i.template=r.innerHTML),r.innerHTML="";const o=n(r,!1,function(t){return t instanceof SVGElement?"svg":"function"==typeof MathMLElement&&t instanceof MathMLElement?"mathml":void 0}(r));return r instanceof Element&&(r.removeAttribute("v-cloak"),r.setAttribute("data-v-app","")),o},e})(gs);e.use(Ul(t,r())),e.use(jx),e.use(cx),e.mount("#app")}))})()})();